-- MySQL dump 10.13  Distrib 8.0.36, for macos14 (arm64)
--
-- Host: 127.0.0.1    Database: archielite_apexa
-- ------------------------------------------------------
-- Server version	8.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'URUZ9UmL9ORZxqaEkspJbZRmL6UTtR66',1,'2024-08-09 23:58:28','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `has_action` tinyint(1) NOT NULL DEFAULT '0',
  `action_label` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_open_new_tab` tinyint(1) NOT NULL DEFAULT '0',
  `dismissible` tinyint(1) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'Announcement 1','Introducing Our New Business Consulting Solutions!',0,NULL,NULL,0,1,'2024-08-10 06:59:33',NULL,1,'2024-08-09 23:59:33','2024-08-09 23:59:33'),(2,'Announcement 2','Elevate Your Business with Our Comprehensive Consulting Services.',0,NULL,NULL,0,1,'2024-08-10 06:59:33',NULL,1,'2024-08-09 23:59:33','2024-08-09 23:59:33'),(3,'Announcement 3','Revolutionize Your Business Strategy with Our Expertise.',0,NULL,NULL,0,1,'2024-08-10 06:59:33',NULL,1,'2024-08-09 23:59:33','2024-08-09 23:59:33');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements_translations`
--

DROP TABLE IF EXISTS `announcements_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announcements_id` bigint unsigned NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`announcements_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements_translations`
--

LOCK TABLES `announcements_translations` WRITE;
/*!40000 ALTER TABLE `announcements_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcements_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers`
--

DROP TABLE IF EXISTS `careers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers`
--

LOCK TABLES `careers` WRITE;
/*!40000 ALTER TABLE `careers` DISABLE KEYS */;
INSERT INTO `careers` VALUES (1,'Senior Full Stack Engineer','West Vestatown, Bosnia and Herzegovina','6,982','Join our team as a Senior Full Stack Engineer and help us build cutting-edge solutions to empower creators worldwide.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(2,'Lead Backend Developer','Lake Camila, Saint Pierre and Miquelon','8,353','Exciting opportunity for a Lead Backend Developer to lead our backend team in architecting scalable and robust systems.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(3,'UI/UX Designer','South Makenziebury, Chad','1,875','We are looking for a talented UI/UX Designer to create intuitive and visually stunning user experiences for our products.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(4,'Product Manager','Lake Madelynn, China','3,028','As a Product Manager, you will drive the development and strategy of our products to meet the needs of our growing user base.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(5,'Data Scientist','Lake Lanefurt, Netherlands','5,271','Seeking a Data Scientist to analyze large datasets and derive actionable insights to inform business decisions.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(6,'DevOps Engineer','Brendanburgh, Denmark','7,957','We are hiring a DevOps Engineer to streamline our development processes and ensure the reliability and scalability of our infrastructure.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:58:41','2024-08-09 23:58:41');
/*!40000 ALTER TABLE `careers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers_translations`
--

DROP TABLE IF EXISTS `careers_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `careers_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`careers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers_translations`
--

LOCK TABLES `careers_translations` WRITE;
/*!40000 ALTER TABLE `careers_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `careers_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Entrepreneurship',0,'Voluptas tempora quos non nihil animi omnis esse. Velit molestiae aliquam voluptatum est. Nostrum repudiandae voluptatem illum aliquid quia qui aliquam.','published',1,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(2,'Startups',0,'Hic eos voluptas corporis. Recusandae consequatur temporibus est cumque labore hic nisi. Quasi voluptatem odit neque ut esse ullam labore.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(3,'Marketing',0,'Voluptatem iusto tempore quaerat sapiente id sed. Quia et ea laborum enim doloremque quia accusamus. Explicabo nostrum animi in.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(4,'Sales',0,'Doloremque a quia est amet blanditiis sunt sint. Non ducimus deleniti quasi ut minus. Aut cumque ab similique debitis officiis nobis modi.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(5,'Finance',0,'Tempore debitis quasi tenetur officiis et est. Ut nisi sed magnam ipsum saepe omnis. Qui quo quod consequatur sed est quas cum.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(6,'Leadership',0,'Porro adipisci quibusdam harum inventore quasi. Debitis inventore ut est consectetur modi aut. Voluptatibus tempore ea quaerat maiores.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(7,'Management',0,'Fuga modi aspernatur nisi animi consequatur magni molestiae. Quis velit consequatur saepe quaerat enim suscipit. Aut alias omnis alias dolorem sunt sed vero. Unde ea eum non eveniet aut itaque.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(8,'Human Resources',0,'Quibusdam saepe rem aut sit aut deserunt qui accusantium. Occaecati aut necessitatibus velit esse qui consequatur dolorem. Qui repudiandae et consequatur ut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(9,'Customer Service',0,'Voluptas tempore unde et quia. Ab est deserunt ut quis est ut sit. Minus et sed aut. Et asperiores aut omnis velit ut possimus nihil.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(10,'Innovation',0,'Quis non rerum modi sit impedit. Velit et pariatur ut tempore nam eius voluptatibus. Aliquam ipsam facilis numquam est et ab facere. Ad ut animi soluta sed eos voluptatem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(11,'Business Strategy',0,'Tempora dolor architecto neque commodi. Quam modi commodi natus. Repellendus enim rem itaque sint quae neque qui. Delectus consequuntur consequatur omnis dolore ut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(12,'E-commerce',0,'Exercitationem facere quaerat ut nobis. Soluta ratione reprehenderit ratione vitae error qui. Voluptatum quas vel in non tempora corporis. Fugiat iure delectus architecto nostrum ea at.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(13,'Technology',0,'Consequuntur inventore aut repellendus magnam qui unde est. Consequatur qui ipsum aut magnam error delectus eveniet. Sint doloremque nihil adipisci consequuntur enim aliquam laborum.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(14,'Networking',0,'Tempore maiores incidunt quo. Aut repellat pariatur libero consequatur non molestiae. Reprehenderit fugit soluta quia est.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(15,'Productivity',0,'Laboriosam nisi dicta necessitatibus. Unde iure ut aliquam totam consequatur omnis doloremque. Omnis rerum nesciunt aliquid sequi aliquid culpa. Voluptate sed itaque qui non consectetur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(16,'Operations',0,'Nesciunt veritatis sint qui placeat. Perspiciatis ullam voluptas voluptas et sed debitis odio. Quae id sapiente ut consectetur eos veritatis quia. Autem ut voluptatem laborum autem voluptatem ut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(17,'Legal',0,'In rerum sequi hic adipisci nihil sit suscipit. Labore animi incidunt enim quasi aut consequatur dolor sed. Minus officiis velit ea illo.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(18,'Industry Trends',0,'Eum dolore illo dolorem eveniet. Adipisci quae ut aut facere. Et necessitatibus in ea velit ea deserunt consequuntur. Et est rerum omnis voluptatem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(19,'Small Business',0,'Assumenda qui ut dolorem quae sequi labore. Quia voluptatem dolor aliquid possimus in accusamus. Modi fuga in deserunt commodi dolores magnam quas.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(20,'Consulting',0,'Qui repellendus rem cum corporis ad. Natus quidem voluptas dolores ea dignissimos dolorem natus culpa. Vero omnis corporis dolorum dolorem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:58:37','2024-08-09 23:58:37');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `record_id` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cities_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities_translations`
--

DROP TABLE IF EXISTS `cities_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cities_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`cities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities_translations`
--

LOCK TABLES `cities_translations` WRITE;
/*!40000 ALTER TABLE `cities_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options`
--

DROP TABLE IF EXISTS `contact_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options`
--

LOCK TABLES `contact_custom_field_options` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options_translations`
--

DROP TABLE IF EXISTS `contact_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options_translations` (
  `contact_custom_field_options_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options_translations`
--

LOCK TABLES `contact_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields`
--

DROP TABLE IF EXISTS `contact_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields`
--

LOCK TABLES `contact_custom_fields` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields_translations`
--

DROP TABLE IF EXISTS `contact_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields_translations` (
  `contact_custom_fields_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields_translations`
--

LOCK TABLES `contact_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,'Demario Boyle','qbergnaum@example.org','1-302-375-1062','53826 Alayna Mountain Apt. 077\nStehrshire, NC 76272','Quae accusamus ad enim magnam sit quia.','Vel labore eos rerum dicta et. Et voluptatem maiores reprehenderit rerum repellendus unde fuga fugit. Eos quibusdam quis aut omnis sequi est sed minima. Deserunt omnis enim aut illo ipsum. Sint aut explicabo consectetur. Quae ab et id repudiandae ab hic laudantium. Error voluptatem consequatur optio. Blanditiis dolorum atque nobis sed illum eos porro. Dolor debitis dolor perferendis dolores rem maiores.',NULL,'read','2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,'Laurine Rodriguez','effertz.dianna@example.com','938.894.7146','919 Yolanda Spring\nLake Savannah, DC 13127','Earum facilis voluptas ut magnam.','Adipisci ex saepe aliquid aliquid laboriosam. Labore maxime reprehenderit error optio ut vel. Et et velit earum qui iure fuga. Et dolor adipisci quo dolorem commodi. Quas labore eligendi labore nobis et cupiditate. Fuga sit aspernatur tempore omnis veniam ut voluptatem. Ab repellendus quibusdam eos libero omnis placeat dolorem. Qui autem praesentium quod molestias.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,'Dr. Sven Prohaska I','clarabelle41@example.org','+19516628748','242 Trantow Station Apt. 491\nPort Floridachester, WI 58644-9264','Voluptas ea aut porro similique voluptas ut est.','Suscipit quibusdam rerum temporibus et reiciendis. Quis a voluptates ducimus aliquid cupiditate explicabo maxime. Nostrum beatae qui quo accusantium impedit omnis. Ut exercitationem consectetur excepturi ullam et sit minima. Nisi velit mollitia id nemo ex qui deserunt. Architecto temporibus repellat et nihil sint. Qui recusandae eveniet suscipit aliquid dolorem rem recusandae. Suscipit qui officia similique possimus.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,'Mr. Roderick Roob Jr.','steuber.madilyn@example.com','1-615-343-9919','73426 Shawn Plains\nLarkinfort, OK 86725','Vel enim quaerat et est.','Tempora distinctio autem velit alias. Culpa veritatis ea ducimus quia delectus aut soluta. Cum aliquam esse perferendis ad suscipit laborum aut. Sed id ea assumenda perferendis laborum mollitia. Necessitatibus ut nisi iste et qui. Unde atque libero fugit error explicabo. Dolor nihil dolores quia. Dolorem unde quaerat qui. Voluptate alias ut eum tempore. Dolorem libero atque porro non fugit ut. Et perferendis delectus ea cumque. Inventore libero illum rerum nihil facilis temporibus.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(5,'Karine Olson','hyman96@example.com','(941) 847-8182','877 Yost Freeway\nNorth Aurelioside, NE 71172','Inventore atque fugiat placeat quis aut.','Et quis provident eos et et dolores vitae. Quae libero doloremque ut enim. Rerum consequatur aut ut voluptatibus quaerat illum non. Odit ut nisi est omnis. Qui sint voluptas et ullam. Facilis reprehenderit quisquam facilis. Ab fugit nemo dicta. Voluptas beatae voluptas iusto dolor temporibus. Vel alias sed maiores tempora consequatur. Qui alias et omnis quod animi alias. Dolores voluptas sed molestiae eligendi adipisci autem quae. Ab quas quod consequatur et ut et omnis.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(6,'Darryl Cummerata V','marquardt.vaughn@example.org','(203) 593-7038','386 Lavern Fall Suite 743\nEast Rahulfort, OH 91457','Maxime recusandae et consequuntur.','Aperiam ducimus in expedita enim et. Quaerat aut fuga sunt est repellat. Corporis ipsa nemo vel. Non natus quis esse et beatae. Nihil quasi molestias molestiae nobis repellendus illum. Qui molestias tempore quia. Aut nostrum et qui accusamus veritatis eveniet ducimus. Excepturi dolorum voluptatem quis modi velit. Ad ratione tenetur necessitatibus est dolor. Corrupti accusamus soluta distinctio assumenda hic delectus omnis.',NULL,'read','2024-08-09 23:58:28','2024-08-09 23:58:28'),(7,'Prof. Alia Pacocha Sr.','bartholome.hand@example.com','(380) 273-9964','368 Kenya Prairie Apt. 020\nPort Thelmashire, HI 00853-6701','Dolor atque dolorum aut at sunt vero nisi.','Incidunt labore sit aut ad accusantium quis rerum voluptatem. Dicta modi mollitia et iure dolorum dolorem consectetur illo. Officia expedita sunt quisquam iusto inventore sed animi. Sed adipisci in consequatur maxime at. Necessitatibus occaecati vero exercitationem expedita tenetur. Pariatur asperiores aut expedita provident assumenda. Numquam quia et laudantium reprehenderit vel. Fugit eaque aut labore.',NULL,'read','2024-08-09 23:58:28','2024-08-09 23:58:28'),(8,'Giovanna Jacobson','hegmann.rupert@example.com','475-773-4879','86210 Mertz Manor\nSouth Mellieburgh, ME 36924','Tempora quibusdam similique accusamus.','Sequi quo nihil optio ea et. Praesentium facere quisquam nulla est. Accusantium voluptatem omnis porro vitae laborum rerum. Consequuntur impedit qui minus fugiat. Autem aliquid voluptatem quisquam quae nulla porro aspernatur eum. Asperiores inventore aut sint iusto accusamus assumenda. Et inventore ipsam at. Et dolorem et tempore et quia deserunt facilis.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(9,'Dr. Kenyatta Vandervort','isai99@example.org','+1-206-896-3294','865 Ernser Parkway Apt. 142\nNorth Unique, MI 09816-9150','Sint voluptatem assumenda sint a dolores.','Illo nobis numquam non cupiditate doloribus nam. Porro aut minima modi autem numquam recusandae quasi. Doloremque iusto quidem et laudantium in aut. Neque recusandae hic aliquam. Ea iure sit quae. Ut aut nulla doloremque assumenda omnis quos. Deleniti vel aspernatur placeat tempore. Soluta et quam assumenda aliquid atque error amet. Laudantium distinctio consequatur alias alias quis non.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28'),(10,'Prof. Carolyn Heathcote','glen.brekke@example.net','(619) 331-3154','4076 Stanley Overpass Suite 734\nQuentinport, OR 30870','Rerum delectus at facere voluptates sit.','Eos nobis blanditiis quis facilis exercitationem voluptatibus. Magni dicta commodi quo exercitationem architecto molestiae. Veritatis perspiciatis ad et in. Non neque sit quasi omnis iure error. Itaque nihil iste consequatur ea ducimus et illo. Veniam non maxime est ut. Quia tempore deleniti sit explicabo aliquam est. Aut deleniti in consequatur consequatur aut ullam.',NULL,'unread','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_translations`
--

DROP TABLE IF EXISTS `countries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `countries_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`countries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_translations`
--

LOCK TABLES `countries_translations` WRITE;
/*!40000 ALTER TABLE `countries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands`
--

DROP TABLE IF EXISTS `ec_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands`
--

LOCK TABLES `ec_brands` WRITE;
/*!40000 ALTER TABLE `ec_brands` DISABLE KEYS */;
INSERT INTO `ec_brands` VALUES (1,'FoodPound','New Snacks Release',NULL,'brands/1.png','published',0,1,'2024-08-09 23:58:42','2024-08-09 23:58:42'),(2,'iTea JSC','Happy Tea 100% Organic. From $29.9',NULL,'brands/1.png','published',1,1,'2024-08-09 23:58:42','2024-08-09 23:58:42'),(3,'Soda Brand','Soda is a brand that lets your inner-dive out through creative makeup and cool makeup tips! Whichever product you choose, you will see that it is a perfect ...',NULL,'brands/1.png','published',2,1,'2024-08-09 23:58:42','2024-08-09 23:58:42'),(4,'Farmart','Fresh Meat Sausage. BUY 2 GET 1!',NULL,'brands/1.png','published',3,1,'2024-08-09 23:58:42','2024-08-09 23:58:42');
/*!40000 ALTER TABLE `ec_brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands_translations`
--

DROP TABLE IF EXISTS `ec_brands_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_brands_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_brands_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands_translations`
--

LOCK TABLES `ec_brands_translations` WRITE;
/*!40000 ALTER TABLE `ec_brands_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_brands_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_cart`
--

DROP TABLE IF EXISTS `ec_cart`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_cart` (
  `identifier` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `instance` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`identifier`,`instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_cart`
--

LOCK TABLES `ec_cart` WRITE;
/*!40000 ALTER TABLE `ec_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_currencies`
--

DROP TABLE IF EXISTS `ec_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_currencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_prefix_symbol` tinyint unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint unsigned DEFAULT '0',
  `order` int unsigned DEFAULT '0',
  `is_default` tinyint NOT NULL DEFAULT '0',
  `exchange_rate` double NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_currencies`
--

LOCK TABLES `ec_currencies` WRITE;
/*!40000 ALTER TABLE `ec_currencies` DISABLE KEYS */;
INSERT INTO `ec_currencies` VALUES (1,'USD','$',1,2,0,1,1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,'EUR','€',0,2,1,0,0.84,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,'VND','₫',0,0,2,0,23203,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,'NGN','₦',1,2,2,0,895.52,'2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `ec_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_addresses`
--

DROP TABLE IF EXISTS `ec_customer_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_addresses`
--

LOCK TABLES `ec_customer_addresses` WRITE;
/*!40000 ALTER TABLE `ec_customer_addresses` DISABLE KEYS */;
INSERT INTO `ec_customer_addresses` VALUES (1,'Seth Schmitt','customer@archielite.com','+12062882056','AO','New York','South Garnett','3676 Wilburn Row Suite 889',1,1,'2024-08-09 23:59:31','2024-08-09 23:59:31','45137'),(2,'Seth Schmitt','customer@archielite.com','+16294723564','AI','Vermont','South Kobe','548 Christian Coves Suite 848',1,0,'2024-08-09 23:59:31','2024-08-09 23:59:31','58375-1707'),(3,'Mrs. Adrianna Stiedemann DDS','michael30@example.com','+14582898003','MN','South Carolina','South Meggieport','9292 Keaton Locks',2,1,'2024-08-09 23:59:31','2024-08-09 23:59:31','87014'),(4,'Alexandria Hills','fadel.jaunita@example.org','+13803364907','GL','Michigan','West Adrianashire','3802 Hermiston Cliffs',3,1,'2024-08-09 23:59:31','2024-08-09 23:59:31','05438-5416'),(5,'Mr. Dwight Dare','pansy.gottlieb@example.com','+17378723929','PY','Virginia','South Haleigh','268 Nya Brook Apt. 105',4,1,'2024-08-09 23:59:32','2024-08-09 23:59:32','84392'),(6,'Sadie Bode','baron.walker@example.net','+15866356733','FI','Illinois','South Jaylenton','4864 Skiles Roads Suite 621',5,1,'2024-08-09 23:59:32','2024-08-09 23:59:32','53906-7278'),(7,'Rafaela O\'Conner','nondricka@example.org','+18057842755','AX','Mississippi','Lake Dejahville','93361 Ledner Wall',6,1,'2024-08-09 23:59:32','2024-08-09 23:59:32','67440'),(8,'Lenore Walter','feeney.audrey@example.net','+19132879768','MP','Michigan','Lake Rigoberto','109 Reynold Shores',7,1,'2024-08-09 23:59:32','2024-08-09 23:59:32','82712'),(9,'Jazlyn Adams','beier.leta@example.com','+17623709394','SM','Oklahoma','Lake Arthur','581 VonRueden Path',8,1,'2024-08-09 23:59:32','2024-08-09 23:59:32','76768-3923'),(10,'Aiyana Von','trantow.stan@example.com','+19168564234','LT','Michigan','North Aracelyside','453 Rene Ports',9,1,'2024-08-09 23:59:33','2024-08-09 23:59:33','33939-1725');
/*!40000 ALTER TABLE `ec_customer_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_deletion_requests`
--

DROP TABLE IF EXISTS `ec_customer_deletion_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_deletion_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting_for_confirmation',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `confirmed_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customer_deletion_requests_token_unique` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_deletion_requests`
--

LOCK TABLES `ec_customer_deletion_requests` WRITE;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_password_resets`
--

DROP TABLE IF EXISTS `ec_customer_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `ec_customer_password_resets_email_index` (`email`),
  KEY `ec_customer_password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_password_resets`
--

LOCK TABLES `ec_customer_password_resets` WRITE;
/*!40000 ALTER TABLE `ec_customer_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_recently_viewed_products`
--

DROP TABLE IF EXISTS `ec_customer_recently_viewed_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_recently_viewed_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_recently_viewed_products`
--

LOCK TABLES `ec_customer_recently_viewed_products` WRITE;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_used_coupons`
--

DROP TABLE IF EXISTS `ec_customer_used_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_used_coupons` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_used_coupons`
--

LOCK TABLES `ec_customer_used_coupons` WRITE;
/*!40000 ALTER TABLE `ec_customer_used_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_used_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customers`
--

DROP TABLE IF EXISTS `ec_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `email_verify_token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'activated',
  `private_notes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customers`
--

LOCK TABLES `ec_customers` WRITE;
/*!40000 ALTER TABLE `ec_customers` DISABLE KEYS */;
INSERT INTO `ec_customers` VALUES (1,'Seth Schmitt','customer@archielite.com','$2y$12$.EjY/Bs8Rle6rKHRwAXKYu8cYKIdiItYeonpUbcoiVwDB9ysC6.7y','customers/6.jpg','1979-07-19','+19153765208',NULL,'2024-08-09 23:59:31','2024-08-09 23:59:31','2024-08-10 06:59:31',NULL,'activated',NULL),(2,'Mrs. Adrianna Stiedemann DDS','michael30@example.com','$2y$12$aYBaurEy6vAXV.kUzwAGtuRsmcGBPxRpup6r.RL.cozbt1Wa5ISzS','customers/1.jpg','1987-07-31','+12837591248',NULL,'2024-08-09 23:59:31','2024-08-09 23:59:31','2024-08-10 06:59:31',NULL,'activated',NULL),(3,'Alexandria Hills','fadel.jaunita@example.org','$2y$12$mSqFrIQ050GNEXziv0wF/OKOfLwud92b9IzTpOmzMBKYxbv.bXqAG','customers/2.jpg','2000-07-29','+15513891409',NULL,'2024-08-09 23:59:31','2024-08-09 23:59:31','2024-08-10 06:59:31',NULL,'activated',NULL),(4,'Mr. Dwight Dare','pansy.gottlieb@example.com','$2y$12$E.BOXhOEZ4UXo6EFYQoMXuTWKQPUklC3gafjlKUL4IyH/jZ0xEGKG','customers/3.jpg','2000-08-09','+12169070568',NULL,'2024-08-09 23:59:31','2024-08-09 23:59:31','2024-08-10 06:59:31',NULL,'activated',NULL),(5,'Sadie Bode','baron.walker@example.net','$2y$12$v/2NOXFFhH9QqNskb/npLuixaf0.IBuv2jVVKggFZSs76430UBXRa','customers/4.jpg','1977-08-04','+14246046721',NULL,'2024-08-09 23:59:32','2024-08-09 23:59:32','2024-08-10 06:59:31',NULL,'activated',NULL),(6,'Rafaela O\'Conner','nondricka@example.org','$2y$12$iY.DBD0PFhJ8UPCXbThq2eWbcFmgcXK4K5DJfTlmNhUhmvqxGr7XS','customers/5.jpg','1975-08-05','+14694790503',NULL,'2024-08-09 23:59:32','2024-08-09 23:59:32','2024-08-10 06:59:31',NULL,'activated',NULL),(7,'Lenore Walter','feeney.audrey@example.net','$2y$12$Xfi7MYF9PLyHz1bKm4gb..QfWaiQfiDypf.xWEIZbDQEXV8YXtWQC','customers/6.jpg','1992-07-22','+14356865847',NULL,'2024-08-09 23:59:32','2024-08-09 23:59:32','2024-08-10 06:59:31',NULL,'activated',NULL),(8,'Jazlyn Adams','beier.leta@example.com','$2y$12$TP3dK3wkWrz6pa0liZ9XgeOdvXkvdJEC2.CAy127wBMxuq4Rlwuv.','customers/7.jpg','1990-07-19','+13517878193',NULL,'2024-08-09 23:59:32','2024-08-09 23:59:32','2024-08-10 06:59:31',NULL,'activated',NULL),(9,'Aiyana Von','trantow.stan@example.com','$2y$12$6MRra5MlcCiTloB8smk11uvvTAozBeiYBYpV4QmfaysCVRqeeEClm','customers/8.jpg','1991-07-28','+17325893991',NULL,'2024-08-09 23:59:33','2024-08-09 23:59:33','2024-08-10 06:59:31',NULL,'activated',NULL);
/*!40000 ALTER TABLE `ec_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_customers`
--

DROP TABLE IF EXISTS `ec_discount_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_customers` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_customers`
--

LOCK TABLES `ec_discount_customers` WRITE;
/*!40000 ALTER TABLE `ec_discount_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_categories`
--

DROP TABLE IF EXISTS `ec_discount_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_categories` (
  `discount_id` bigint unsigned NOT NULL,
  `product_category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_categories`
--

LOCK TABLES `ec_discount_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_collections`
--

DROP TABLE IF EXISTS `ec_discount_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_collections` (
  `discount_id` bigint unsigned NOT NULL,
  `product_collection_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_collections`
--

LOCK TABLES `ec_discount_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_products`
--

DROP TABLE IF EXISTS `ec_discount_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_products` (
  `discount_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_products`
--

LOCK TABLES `ec_discount_products` WRITE;
/*!40000 ALTER TABLE `ec_discount_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discounts`
--

DROP TABLE IF EXISTS `ec_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discounts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `total_used` int unsigned NOT NULL DEFAULT '0',
  `value` double DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'coupon',
  `can_use_with_promotion` tinyint(1) NOT NULL DEFAULT '0',
  `discount_on` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_quantity` int unsigned DEFAULT NULL,
  `type_option` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'amount',
  `target` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'all-orders',
  `min_order_price` decimal(15,2) DEFAULT NULL,
  `apply_via_url` tinyint(1) NOT NULL DEFAULT '0',
  `display_at_checkout` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_discounts_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discounts`
--

LOCK TABLES `ec_discounts` WRITE;
/*!40000 ALTER TABLE `ec_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sale_products`
--

DROP TABLE IF EXISTS `ec_flash_sale_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sale_products` (
  `flash_sale_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `price` double unsigned DEFAULT NULL,
  `quantity` int unsigned DEFAULT NULL,
  `sold` int unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sale_products`
--

LOCK TABLES `ec_flash_sale_products` WRITE;
/*!40000 ALTER TABLE `ec_flash_sale_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sale_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales`
--

DROP TABLE IF EXISTS `ec_flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` datetime NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales`
--

LOCK TABLES `ec_flash_sales` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales_translations`
--

DROP TABLE IF EXISTS `ec_flash_sales_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_flash_sales_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_flash_sales_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales_translations`
--

LOCK TABLES `ec_flash_sales_translations` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value`
--

DROP TABLE IF EXISTS `ec_global_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value`
--

LOCK TABLES `ec_global_option_value` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value_translations`
--

DROP TABLE IF EXISTS `ec_global_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value_translations`
--

LOCK TABLES `ec_global_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options`
--

DROP TABLE IF EXISTS `ec_global_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'option type',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options`
--

LOCK TABLES `ec_global_options` WRITE;
/*!40000 ALTER TABLE `ec_global_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options_translations`
--

DROP TABLE IF EXISTS `ec_global_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options_translations`
--

LOCK TABLES `ec_global_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_grouped_products`
--

DROP TABLE IF EXISTS `ec_grouped_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_grouped_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_product_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `fixed_qty` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_grouped_products`
--

LOCK TABLES `ec_grouped_products` WRITE;
/*!40000 ALTER TABLE `ec_grouped_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_grouped_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoice_items`
--

DROP TABLE IF EXISTS `ec_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoice_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL DEFAULT '0.00',
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `amount` decimal(15,2) unsigned NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_invoice_items_reference_type_reference_id_index` (`reference_type`,`reference_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoice_items`
--

LOCK TABLES `ec_invoice_items` WRITE;
/*!40000 ALTER TABLE `ec_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoices`
--

DROP TABLE IF EXISTS `ec_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoices` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `payment_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_invoices_code_unique` (`code`),
  KEY `ec_invoices_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `ec_invoices_payment_id_index` (`payment_id`),
  KEY `ec_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoices`
--

LOCK TABLES `ec_invoices` WRITE;
/*!40000 ALTER TABLE `ec_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value`
--

DROP TABLE IF EXISTS `ec_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value`
--

LOCK TABLES `ec_option_value` WRITE;
/*!40000 ALTER TABLE `ec_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value_translations`
--

DROP TABLE IF EXISTS `ec_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value_translations`
--

LOCK TABLES `ec_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options`
--

DROP TABLE IF EXISTS `ec_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'option type',
  `product_id` bigint unsigned NOT NULL DEFAULT '0',
  `order` int NOT NULL DEFAULT '9999',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options`
--

LOCK TABLES `ec_options` WRITE;
/*!40000 ALTER TABLE `ec_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options_translations`
--

DROP TABLE IF EXISTS `ec_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options_translations`
--

LOCK TABLES `ec_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_addresses`
--

DROP TABLE IF EXISTS `ec_order_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'shipping_address',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_addresses`
--

LOCK TABLES `ec_order_addresses` WRITE;
/*!40000 ALTER TABLE `ec_order_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_histories`
--

DROP TABLE IF EXISTS `ec_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `extras` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_histories`
--

LOCK TABLES `ec_order_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_product`
--

DROP TABLE IF EXISTS `ec_order_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_product` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `qty` int NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `product_options` text COLLATE utf8mb4_unicode_ci COMMENT 'product option data',
  `product_id` bigint unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `restock_quantity` int unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'physical',
  `times_downloaded` int NOT NULL DEFAULT '0',
  `license_code` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `downloaded_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_product`
--

LOCK TABLES `ec_order_product` WRITE;
/*!40000 ALTER TABLE `ec_order_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_referrals`
--

DROP TABLE IF EXISTS `ec_order_referrals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_referrals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_page` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_params` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referral` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_source` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_campaign` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_medium` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_term` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_content` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer_url` text COLLATE utf8mb4_unicode_ci,
  `referrer_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_referrals_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_referrals`
--

LOCK TABLES `ec_order_referrals` WRITE;
/*!40000 ALTER TABLE `ec_order_referrals` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_histories`
--

DROP TABLE IF EXISTS `ec_order_return_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_return_id` bigint unsigned NOT NULL,
  `action` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_histories`
--

LOCK TABLES `ec_order_return_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_return_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_items`
--

DROP TABLE IF EXISTS `ec_order_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_return_id` bigint unsigned NOT NULL COMMENT 'Order return id',
  `order_product_id` bigint unsigned NOT NULL COMMENT 'Order product id',
  `product_id` bigint unsigned NOT NULL COMMENT 'Product id',
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int NOT NULL COMMENT 'Quantity return',
  `price` decimal(15,2) NOT NULL COMMENT 'Price Product',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `refund_amount` decimal(12,2) DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_items`
--

LOCK TABLES `ec_order_return_items` WRITE;
/*!40000 ALTER TABLE `ec_order_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_returns`
--

DROP TABLE IF EXISTS `ec_order_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_returns` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL COMMENT 'Order ID',
  `store_id` bigint unsigned DEFAULT NULL COMMENT 'Store ID',
  `user_id` bigint unsigned NOT NULL COMMENT 'Customer ID',
  `reason` text COLLATE utf8mb4_unicode_ci COMMENT 'Reason return order',
  `order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Order current status',
  `return_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Return status',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_order_returns_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_returns`
--

LOCK TABLES `ec_order_returns` WRITE;
/*!40000 ALTER TABLE `ec_order_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_tax_information`
--

DROP TABLE IF EXISTS `ec_order_tax_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_tax_information` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `company_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_tax_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_tax_information_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_tax_information`
--

LOCK TABLES `ec_order_tax_information` WRITE;
/*!40000 ALTER TABLE `ec_order_tax_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_tax_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_orders`
--

DROP TABLE IF EXISTS `ec_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `amount` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) DEFAULT NULL,
  `shipping_amount` decimal(15,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(15,2) DEFAULT NULL,
  `sub_total` decimal(15,2) NOT NULL,
  `is_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_finished` tinyint(1) DEFAULT '0',
  `cancellation_reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancellation_reason_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `completed_at` timestamp NULL DEFAULT NULL,
  `token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `proof_file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_orders_code_unique` (`code`),
  KEY `ec_orders_user_id_status_created_at_index` (`user_id`,`status`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_orders`
--

LOCK TABLES `ec_orders` WRITE;
/*!40000 ALTER TABLE `ec_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `display_layout` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'swatch_dropdown',
  `is_searchable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_comparable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_use_in_product_listing` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `use_image_from_product_variation` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets`
--

LOCK TABLES `ec_product_attribute_sets` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets` DISABLE KEYS */;
INSERT INTO `ec_product_attribute_sets` VALUES (1,'Color','color','visual',1,1,1,'published',0,'2024-08-09 23:59:30','2024-08-09 23:59:30',0),(2,'Size','size','text',1,1,1,'published',1,'2024-08-09 23:59:30','2024-08-09 23:59:30',0),(3,'Weight','weight','text',1,1,1,'published',0,'2024-08-09 23:59:30','2024-08-09 23:59:30',0),(4,'Boxes','boxes','text',1,1,1,'published',1,'2024-08-09 23:59:30','2024-08-09 23:59:30',0);
/*!40000 ALTER TABLE `ec_product_attribute_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets_translations`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attribute_sets_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attribute_sets_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets_translations`
--

LOCK TABLES `ec_product_attribute_sets_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes`
--

DROP TABLE IF EXISTS `ec_product_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_set_id` bigint unsigned NOT NULL,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_set_status_index` (`attribute_set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes`
--

LOCK TABLES `ec_product_attributes` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes` DISABLE KEYS */;
INSERT INTO `ec_product_attributes` VALUES (1,1,'Green','green','#5FB7D4',NULL,1,1,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(2,1,'Blue','blue','#333333',NULL,0,2,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(3,1,'Red','red','#DA323F',NULL,0,3,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(4,1,'Black','black','#2F366C',NULL,0,4,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(5,1,'Brown','brown','#87554B',NULL,0,5,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(6,2,'S','s',NULL,NULL,1,1,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(7,2,'M','m',NULL,NULL,0,2,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(8,2,'L','l',NULL,NULL,0,3,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(9,2,'XL','xl',NULL,NULL,0,4,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(10,2,'XXL','xxl',NULL,NULL,0,5,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(11,3,'1KG','1kg',NULL,NULL,1,1,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(12,3,'2KG','2kg',NULL,NULL,0,2,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(13,3,'3KG','3kg',NULL,NULL,0,3,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(14,3,'4KG','4kg',NULL,NULL,0,4,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(15,3,'5KG','5kg',NULL,NULL,0,5,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(16,4,'1 Box','1-box',NULL,NULL,1,1,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(17,4,'2 Boxes','2-boxes',NULL,NULL,0,2,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(18,4,'3 Boxes','3-boxes',NULL,NULL,0,3,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(19,4,'4 Boxes','4-boxes',NULL,NULL,0,4,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(20,4,'5 Boxes','5-boxes',NULL,NULL,0,5,'2024-08-09 23:59:30','2024-08-09 23:59:30');
/*!40000 ALTER TABLE `ec_product_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes_translations`
--

DROP TABLE IF EXISTS `ec_product_attributes_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attributes_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attributes_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes_translations`
--

LOCK TABLES `ec_product_attributes_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attributes_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories`
--

DROP TABLE IF EXISTS `ec_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` int unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_categories_parent_id_status_created_at_index` (`parent_id`,`status`,`created_at`),
  KEY `ec_product_categories_parent_id_status_index` (`parent_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories`
--

LOCK TABLES `ec_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_product_categories` DISABLE KEYS */;
INSERT INTO `ec_product_categories` VALUES (1,'Desktop PC',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',1,'product-categories/1.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(2,'Headphone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',2,'product-categories/2.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(3,'Laptop',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',3,'product-categories/3.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(4,'Mobile Phone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',4,'product-categories/4.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(5,'Printer',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',5,'product-categories/5.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(6,'Books',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',6,'product-categories/6.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(7,'Tablet',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',7,'product-categories/7.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(8,'USB Flash',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',8,'product-categories/8.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(9,'Game Mouse',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',9,'product-categories/9.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(10,'Security',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',10,'product-categories/10.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(11,'Watch',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',11,'product-categories/11.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL),(12,'Scanner',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',12,'product-categories/12.png',1,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,NULL);
/*!40000 ALTER TABLE `ec_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories_translations`
--

DROP TABLE IF EXISTS `ec_product_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_product_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories_translations`
--

LOCK TABLES `ec_product_categories_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categorizables`
--

DROP TABLE IF EXISTS `ec_product_categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categorizables` (
  `category_id` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`category_id`,`reference_id`,`reference_type`),
  KEY `ec_product_categorizables_category_id_index` (`category_id`),
  KEY `ec_product_categorizables_reference_id_index` (`reference_id`),
  KEY `ec_product_categorizables_reference_type_index` (`reference_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categorizables`
--

LOCK TABLES `ec_product_categorizables` WRITE;
/*!40000 ALTER TABLE `ec_product_categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categorizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_category_product`
--

DROP TABLE IF EXISTS `ec_product_category_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_category_product` (
  `category_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `ec_product_category_product_category_id_index` (`category_id`),
  KEY `ec_product_category_product_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_category_product`
--

LOCK TABLES `ec_product_category_product` WRITE;
/*!40000 ALTER TABLE `ec_product_category_product` DISABLE KEYS */;
INSERT INTO `ec_product_category_product` VALUES (1,4),(1,18),(1,23),(1,38),(1,40),(1,43),(2,2),(2,17),(2,63),(2,65),(3,1),(3,5),(3,7),(3,11),(3,23),(3,50),(4,3),(4,9),(4,13),(4,24),(4,35),(4,41),(4,43),(4,50),(4,59),(5,22),(5,26),(5,30),(5,42),(5,47),(6,15),(6,18),(6,20),(6,36),(6,39),(6,52),(6,56),(7,27),(7,30),(7,54),(7,61),(7,64),(8,17),(8,27),(8,40),(9,7),(9,11),(9,28),(9,37),(9,43),(9,44),(9,48),(10,13),(10,26),(10,28),(10,55),(10,56),(11,49),(11,51),(11,58),(11,62),(13,3),(13,6),(13,19),(13,31),(13,32),(13,33),(14,3),(14,58),(14,62),(15,24),(15,26),(15,30),(15,33),(15,38),(16,8),(16,41),(16,46),(16,50),(16,54),(16,62),(17,18),(17,22),(17,37),(17,39),(17,65),(18,10),(18,12),(18,15),(18,21),(18,34),(18,39),(18,59),(18,63),(19,5),(19,9),(19,14),(19,16),(19,25),(19,35),(19,45),(19,53),(20,7),(20,8),(20,24),(20,28),(20,49),(20,52),(20,59),(21,27),(21,36),(21,39),(21,49),(22,19),(22,22),(22,24),(22,30),(22,33),(22,44),(22,45),(22,52),(22,57),(23,4),(23,5),(23,13),(23,16),(23,20),(23,23),(23,31),(23,35),(23,40),(23,56),(23,60),(24,1),(24,5),(24,10),(24,15),(24,17),(24,25),(24,43),(24,47),(24,51),(24,53),(24,57),(24,60),(25,2),(25,29),(25,55),(25,59),(25,60),(26,2),(26,3),(26,8),(26,25),(26,29),(26,32),(26,34),(26,35),(26,41),(26,45),(26,48),(26,54),(27,1),(27,17),(27,21),(27,37),(27,53),(27,55),(27,60),(27,64),(27,65),(28,9),(28,29),(28,38),(28,44),(28,46),(28,50),(28,61),(28,63),(29,10),(29,11),(29,14),(29,40),(29,42),(29,57),(30,4),(30,6),(30,7),(30,10),(30,14),(30,19),(30,31),(30,42),(30,48),(31,12),(31,20),(31,32),(31,34),(31,44),(31,46),(31,53),(31,54),(31,58),(32,6),(32,11),(32,20),(32,28),(32,31),(32,34),(32,37),(32,41),(32,57),(32,61),(33,1),(33,6),(33,14),(33,16),(33,19),(33,23),(33,48),(33,51),(33,61),(33,64),(34,8),(34,18),(34,22),(34,29),(34,38),(34,42),(34,65),(35,12),(35,21),(35,32),(35,36),(35,47),(35,49),(35,64),(36,2),(36,4),(36,12),(36,15),(36,26),(36,33),(37,13),(37,21),(37,25),(37,27),(37,36),(37,45),(37,46),(37,47),(37,55),(37,62);
/*!40000 ALTER TABLE `ec_product_category_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collection_products`
--

DROP TABLE IF EXISTS `ec_product_collection_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collection_products` (
  `product_collection_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`product_collection_id`),
  KEY `ec_product_collection_products_product_collection_id_index` (`product_collection_id`),
  KEY `ec_product_collection_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collection_products`
--

LOCK TABLES `ec_product_collection_products` WRITE;
/*!40000 ALTER TABLE `ec_product_collection_products` DISABLE KEYS */;
INSERT INTO `ec_product_collection_products` VALUES (1,1),(1,6),(1,20),(1,22),(1,27),(1,31),(1,32),(1,35),(1,36),(1,42),(1,44),(1,47),(1,51),(1,52),(1,54),(1,56),(1,63),(1,64),(2,4),(2,8),(2,9),(2,12),(2,13),(2,15),(2,18),(2,21),(2,25),(2,26),(2,28),(2,30),(2,33),(2,37),(2,38),(2,39),(2,40),(2,41),(2,43),(2,45),(2,46),(2,49),(2,53),(2,57),(2,62),(2,65),(3,2),(3,3),(3,5),(3,7),(3,10),(3,11),(3,14),(3,16),(3,17),(3,19),(3,23),(3,24),(3,29),(3,34),(3,48),(3,50),(3,55),(3,58),(3,59),(3,60),(3,61);
/*!40000 ALTER TABLE `ec_product_collection_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections`
--

DROP TABLE IF EXISTS `ec_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections`
--

LOCK TABLES `ec_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_product_collections` DISABLE KEYS */;
INSERT INTO `ec_product_collections` VALUES (1,'New Arrival','new-arrival',NULL,NULL,'published','2024-08-09 23:58:42','2024-08-09 23:58:42',0),(2,'Best Sellers','best-sellers',NULL,NULL,'published','2024-08-09 23:58:42','2024-08-09 23:58:42',0),(3,'Special Offer','special-offer',NULL,NULL,'published','2024-08-09 23:58:42','2024-08-09 23:58:42',0);
/*!40000 ALTER TABLE `ec_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections_translations`
--

DROP TABLE IF EXISTS `ec_product_collections_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_collections_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_collections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections_translations`
--

LOCK TABLES `ec_product_collections_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_collections_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_collections_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_cross_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_cross_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_cross_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  `is_variant` tinyint(1) NOT NULL DEFAULT '0',
  `price` decimal(15,2) DEFAULT '0.00',
  `price_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed',
  `apply_to_all_variations` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_cross_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_cross_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_cross_sale_relations`
--

LOCK TABLES `ec_product_cross_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` DISABLE KEYS */;
INSERT INTO `ec_product_cross_sale_relations` VALUES (1,2,0,0.00,'fixed',1),(1,5,0,0.00,'fixed',1),(1,7,0,0.00,'fixed',1),(1,15,0,0.00,'fixed',1),(1,18,0,0.00,'fixed',1),(1,20,0,0.00,'fixed',1),(2,5,0,0.00,'fixed',1),(2,8,0,0.00,'fixed',1),(2,11,0,0.00,'fixed',1),(2,12,0,0.00,'fixed',1),(2,18,0,0.00,'fixed',1),(2,19,0,0.00,'fixed',1),(3,4,0,0.00,'fixed',1),(3,5,0,0.00,'fixed',1),(3,7,0,0.00,'fixed',1),(3,9,0,0.00,'fixed',1),(3,10,0,0.00,'fixed',1),(3,17,0,0.00,'fixed',1),(3,18,0,0.00,'fixed',1),(4,1,0,0.00,'fixed',1),(4,3,0,0.00,'fixed',1),(4,6,0,0.00,'fixed',1),(4,13,0,0.00,'fixed',1),(4,15,0,0.00,'fixed',1),(5,4,0,0.00,'fixed',1),(5,6,0,0.00,'fixed',1),(5,9,0,0.00,'fixed',1),(5,10,0,0.00,'fixed',1),(5,13,0,0.00,'fixed',1),(5,16,0,0.00,'fixed',1),(5,20,0,0.00,'fixed',1),(6,2,0,0.00,'fixed',1),(6,8,0,0.00,'fixed',1),(6,11,0,0.00,'fixed',1),(6,12,0,0.00,'fixed',1),(6,15,0,0.00,'fixed',1),(6,16,0,0.00,'fixed',1),(7,1,0,0.00,'fixed',1),(7,6,0,0.00,'fixed',1),(7,8,0,0.00,'fixed',1),(7,14,0,0.00,'fixed',1),(7,15,0,0.00,'fixed',1),(7,16,0,0.00,'fixed',1),(8,1,0,0.00,'fixed',1),(8,3,0,0.00,'fixed',1),(8,9,0,0.00,'fixed',1),(8,11,0,0.00,'fixed',1),(8,15,0,0.00,'fixed',1),(8,16,0,0.00,'fixed',1),(8,20,0,0.00,'fixed',1),(9,2,0,0.00,'fixed',1),(9,10,0,0.00,'fixed',1),(9,14,0,0.00,'fixed',1),(9,16,0,0.00,'fixed',1),(9,18,0,0.00,'fixed',1),(9,19,0,0.00,'fixed',1),(10,3,0,0.00,'fixed',1),(10,4,0,0.00,'fixed',1),(10,5,0,0.00,'fixed',1),(10,13,0,0.00,'fixed',1),(10,17,0,0.00,'fixed',1),(10,19,0,0.00,'fixed',1),(11,5,0,0.00,'fixed',1),(11,6,0,0.00,'fixed',1),(11,7,0,0.00,'fixed',1),(11,10,0,0.00,'fixed',1),(11,14,0,0.00,'fixed',1),(11,16,0,0.00,'fixed',1),(11,17,0,0.00,'fixed',1),(12,4,0,0.00,'fixed',1),(12,5,0,0.00,'fixed',1),(12,7,0,0.00,'fixed',1),(12,8,0,0.00,'fixed',1),(12,10,0,0.00,'fixed',1),(12,13,0,0.00,'fixed',1),(12,16,0,0.00,'fixed',1),(13,9,0,0.00,'fixed',1),(13,11,0,0.00,'fixed',1),(13,12,0,0.00,'fixed',1),(13,15,0,0.00,'fixed',1),(13,16,0,0.00,'fixed',1),(13,17,0,0.00,'fixed',1),(14,1,0,0.00,'fixed',1),(14,2,0,0.00,'fixed',1),(14,6,0,0.00,'fixed',1),(14,8,0,0.00,'fixed',1),(14,11,0,0.00,'fixed',1),(14,13,0,0.00,'fixed',1),(14,17,0,0.00,'fixed',1),(15,2,0,0.00,'fixed',1),(15,6,0,0.00,'fixed',1),(15,7,0,0.00,'fixed',1),(15,10,0,0.00,'fixed',1),(15,11,0,0.00,'fixed',1),(16,2,0,0.00,'fixed',1),(16,4,0,0.00,'fixed',1),(16,6,0,0.00,'fixed',1),(16,18,0,0.00,'fixed',1),(17,4,0,0.00,'fixed',1),(17,10,0,0.00,'fixed',1),(17,16,0,0.00,'fixed',1),(17,19,0,0.00,'fixed',1),(17,20,0,0.00,'fixed',1),(18,2,0,0.00,'fixed',1),(18,4,0,0.00,'fixed',1),(18,5,0,0.00,'fixed',1),(18,12,0,0.00,'fixed',1),(18,14,0,0.00,'fixed',1),(18,20,0,0.00,'fixed',1),(19,1,0,0.00,'fixed',1),(19,3,0,0.00,'fixed',1),(19,9,0,0.00,'fixed',1),(19,10,0,0.00,'fixed',1),(19,11,0,0.00,'fixed',1),(19,16,0,0.00,'fixed',1),(20,1,0,0.00,'fixed',1),(20,6,0,0.00,'fixed',1),(20,7,0,0.00,'fixed',1),(20,10,0,0.00,'fixed',1),(20,11,0,0.00,'fixed',1),(20,16,0,0.00,'fixed',1),(21,2,0,0.00,'fixed',1),(21,4,0,0.00,'fixed',1),(21,7,0,0.00,'fixed',1),(21,11,0,0.00,'fixed',1),(21,12,0,0.00,'fixed',1),(21,18,0,0.00,'fixed',1),(21,19,0,0.00,'fixed',1),(22,8,0,0.00,'fixed',1),(22,9,0,0.00,'fixed',1),(22,13,0,0.00,'fixed',1),(22,14,0,0.00,'fixed',1),(22,17,0,0.00,'fixed',1),(22,19,0,0.00,'fixed',1),(23,4,0,0.00,'fixed',1),(23,7,0,0.00,'fixed',1),(23,9,0,0.00,'fixed',1),(23,10,0,0.00,'fixed',1),(23,19,0,0.00,'fixed',1),(24,2,0,0.00,'fixed',1),(24,3,0,0.00,'fixed',1),(24,10,0,0.00,'fixed',1),(24,13,0,0.00,'fixed',1),(24,14,0,0.00,'fixed',1),(24,16,0,0.00,'fixed',1),(24,17,0,0.00,'fixed',1),(25,4,0,0.00,'fixed',1),(25,10,0,0.00,'fixed',1),(25,11,0,0.00,'fixed',1),(25,12,0,0.00,'fixed',1),(25,18,0,0.00,'fixed',1),(26,2,0,0.00,'fixed',1),(26,3,0,0.00,'fixed',1),(26,8,0,0.00,'fixed',1),(26,11,0,0.00,'fixed',1),(26,19,0,0.00,'fixed',1),(27,3,0,0.00,'fixed',1),(27,4,0,0.00,'fixed',1),(27,6,0,0.00,'fixed',1),(27,11,0,0.00,'fixed',1),(27,14,0,0.00,'fixed',1),(27,15,0,0.00,'fixed',1),(28,4,0,0.00,'fixed',1),(28,8,0,0.00,'fixed',1),(28,9,0,0.00,'fixed',1),(28,13,0,0.00,'fixed',1),(28,15,0,0.00,'fixed',1),(28,16,0,0.00,'fixed',1),(29,3,0,0.00,'fixed',1),(29,10,0,0.00,'fixed',1),(29,12,0,0.00,'fixed',1),(29,16,0,0.00,'fixed',1),(29,17,0,0.00,'fixed',1),(29,19,0,0.00,'fixed',1),(30,6,0,0.00,'fixed',1),(30,12,0,0.00,'fixed',1),(30,13,0,0.00,'fixed',1),(30,16,0,0.00,'fixed',1),(30,17,0,0.00,'fixed',1),(30,18,0,0.00,'fixed',1),(31,6,0,0.00,'fixed',1),(31,15,0,0.00,'fixed',1),(31,16,0,0.00,'fixed',1),(31,18,0,0.00,'fixed',1),(32,2,0,0.00,'fixed',1),(32,7,0,0.00,'fixed',1),(32,8,0,0.00,'fixed',1),(32,14,0,0.00,'fixed',1),(32,18,0,0.00,'fixed',1),(33,7,0,0.00,'fixed',1),(33,11,0,0.00,'fixed',1),(33,18,0,0.00,'fixed',1),(33,19,0,0.00,'fixed',1),(34,4,0,0.00,'fixed',1),(34,5,0,0.00,'fixed',1),(34,6,0,0.00,'fixed',1),(34,11,0,0.00,'fixed',1),(34,16,0,0.00,'fixed',1),(34,17,0,0.00,'fixed',1),(34,19,0,0.00,'fixed',1),(35,1,0,0.00,'fixed',1),(35,2,0,0.00,'fixed',1),(35,3,0,0.00,'fixed',1),(35,5,0,0.00,'fixed',1),(35,8,0,0.00,'fixed',1),(35,14,0,0.00,'fixed',1),(35,15,0,0.00,'fixed',1),(36,2,0,0.00,'fixed',1),(36,4,0,0.00,'fixed',1),(36,5,0,0.00,'fixed',1),(36,7,0,0.00,'fixed',1),(36,10,0,0.00,'fixed',1),(36,15,0,0.00,'fixed',1),(37,1,0,0.00,'fixed',1),(37,2,0,0.00,'fixed',1),(37,10,0,0.00,'fixed',1),(37,14,0,0.00,'fixed',1),(37,16,0,0.00,'fixed',1),(37,19,0,0.00,'fixed',1),(38,4,0,0.00,'fixed',1),(38,6,0,0.00,'fixed',1),(38,8,0,0.00,'fixed',1),(38,10,0,0.00,'fixed',1),(38,11,0,0.00,'fixed',1),(38,14,0,0.00,'fixed',1),(38,18,0,0.00,'fixed',1),(39,1,0,0.00,'fixed',1),(39,4,0,0.00,'fixed',1),(39,8,0,0.00,'fixed',1),(39,10,0,0.00,'fixed',1),(39,11,0,0.00,'fixed',1),(39,12,0,0.00,'fixed',1),(39,13,0,0.00,'fixed',1),(40,2,0,0.00,'fixed',1),(40,4,0,0.00,'fixed',1),(40,9,0,0.00,'fixed',1),(40,12,0,0.00,'fixed',1),(40,13,0,0.00,'fixed',1),(40,14,0,0.00,'fixed',1),(41,7,0,0.00,'fixed',1),(41,10,0,0.00,'fixed',1),(41,11,0,0.00,'fixed',1),(41,16,0,0.00,'fixed',1),(41,17,0,0.00,'fixed',1),(41,18,0,0.00,'fixed',1),(42,6,0,0.00,'fixed',1),(42,7,0,0.00,'fixed',1),(42,13,0,0.00,'fixed',1),(42,15,0,0.00,'fixed',1),(42,16,0,0.00,'fixed',1),(43,1,0,0.00,'fixed',1),(43,4,0,0.00,'fixed',1),(43,6,0,0.00,'fixed',1),(43,7,0,0.00,'fixed',1),(43,8,0,0.00,'fixed',1),(43,9,0,0.00,'fixed',1),(44,4,0,0.00,'fixed',1),(44,7,0,0.00,'fixed',1),(44,8,0,0.00,'fixed',1),(44,13,0,0.00,'fixed',1),(44,15,0,0.00,'fixed',1),(44,17,0,0.00,'fixed',1),(45,4,0,0.00,'fixed',1),(45,6,0,0.00,'fixed',1),(45,12,0,0.00,'fixed',1),(45,13,0,0.00,'fixed',1),(45,16,0,0.00,'fixed',1),(45,17,0,0.00,'fixed',1),(45,18,0,0.00,'fixed',1),(46,7,0,0.00,'fixed',1),(46,10,0,0.00,'fixed',1),(46,11,0,0.00,'fixed',1),(46,14,0,0.00,'fixed',1),(46,17,0,0.00,'fixed',1),(46,19,0,0.00,'fixed',1),(47,4,0,0.00,'fixed',1),(47,5,0,0.00,'fixed',1),(47,14,0,0.00,'fixed',1),(47,15,0,0.00,'fixed',1),(47,16,0,0.00,'fixed',1),(48,1,0,0.00,'fixed',1),(48,6,0,0.00,'fixed',1),(48,7,0,0.00,'fixed',1),(48,8,0,0.00,'fixed',1),(48,13,0,0.00,'fixed',1),(48,18,0,0.00,'fixed',1),(49,1,0,0.00,'fixed',1),(49,3,0,0.00,'fixed',1),(49,4,0,0.00,'fixed',1),(49,15,0,0.00,'fixed',1),(49,16,0,0.00,'fixed',1),(49,18,0,0.00,'fixed',1),(49,19,0,0.00,'fixed',1),(50,6,0,0.00,'fixed',1),(50,9,0,0.00,'fixed',1),(50,14,0,0.00,'fixed',1),(50,15,0,0.00,'fixed',1),(50,17,0,0.00,'fixed',1),(50,19,0,0.00,'fixed',1),(51,4,0,0.00,'fixed',1),(51,5,0,0.00,'fixed',1),(51,6,0,0.00,'fixed',1),(51,7,0,0.00,'fixed',1),(51,11,0,0.00,'fixed',1),(51,17,0,0.00,'fixed',1),(52,5,0,0.00,'fixed',1),(52,7,0,0.00,'fixed',1),(52,9,0,0.00,'fixed',1),(52,11,0,0.00,'fixed',1),(52,15,0,0.00,'fixed',1),(52,17,0,0.00,'fixed',1),(52,19,0,0.00,'fixed',1),(53,5,0,0.00,'fixed',1),(53,7,0,0.00,'fixed',1),(53,8,0,0.00,'fixed',1),(53,14,0,0.00,'fixed',1),(53,16,0,0.00,'fixed',1),(53,17,0,0.00,'fixed',1),(54,1,0,0.00,'fixed',1),(54,4,0,0.00,'fixed',1),(54,9,0,0.00,'fixed',1),(54,11,0,0.00,'fixed',1),(54,13,0,0.00,'fixed',1),(54,16,0,0.00,'fixed',1),(55,1,0,0.00,'fixed',1),(55,2,0,0.00,'fixed',1),(55,3,0,0.00,'fixed',1),(55,7,0,0.00,'fixed',1),(55,17,0,0.00,'fixed',1),(56,3,0,0.00,'fixed',1),(56,4,0,0.00,'fixed',1),(56,5,0,0.00,'fixed',1),(56,13,0,0.00,'fixed',1),(56,16,0,0.00,'fixed',1),(56,17,0,0.00,'fixed',1),(56,19,0,0.00,'fixed',1),(57,2,0,0.00,'fixed',1),(57,12,0,0.00,'fixed',1),(57,13,0,0.00,'fixed',1),(57,15,0,0.00,'fixed',1),(57,19,0,0.00,'fixed',1),(58,1,0,0.00,'fixed',1),(58,9,0,0.00,'fixed',1),(58,12,0,0.00,'fixed',1),(58,15,0,0.00,'fixed',1),(58,18,0,0.00,'fixed',1),(58,19,0,0.00,'fixed',1),(59,3,0,0.00,'fixed',1),(59,8,0,0.00,'fixed',1),(59,10,0,0.00,'fixed',1),(59,12,0,0.00,'fixed',1),(59,15,0,0.00,'fixed',1),(59,19,0,0.00,'fixed',1),(60,2,0,0.00,'fixed',1),(60,7,0,0.00,'fixed',1),(60,10,0,0.00,'fixed',1),(60,13,0,0.00,'fixed',1),(60,15,0,0.00,'fixed',1),(60,17,0,0.00,'fixed',1),(60,19,0,0.00,'fixed',1),(61,6,0,0.00,'fixed',1),(61,8,0,0.00,'fixed',1),(61,14,0,0.00,'fixed',1),(61,17,0,0.00,'fixed',1),(61,18,0,0.00,'fixed',1),(61,19,0,0.00,'fixed',1),(62,2,0,0.00,'fixed',1),(62,3,0,0.00,'fixed',1),(62,9,0,0.00,'fixed',1),(62,10,0,0.00,'fixed',1),(62,16,0,0.00,'fixed',1),(62,19,0,0.00,'fixed',1),(63,1,0,0.00,'fixed',1),(63,9,0,0.00,'fixed',1),(63,10,0,0.00,'fixed',1),(63,11,0,0.00,'fixed',1),(63,13,0,0.00,'fixed',1),(63,15,0,0.00,'fixed',1),(63,18,0,0.00,'fixed',1),(64,8,0,0.00,'fixed',1),(64,10,0,0.00,'fixed',1),(64,13,0,0.00,'fixed',1),(64,14,0,0.00,'fixed',1),(64,17,0,0.00,'fixed',1),(64,18,0,0.00,'fixed',1),(65,1,0,0.00,'fixed',1),(65,7,0,0.00,'fixed',1),(65,11,0,0.00,'fixed',1),(65,14,0,0.00,'fixed',1),(65,15,0,0.00,'fixed',1),(65,17,0,0.00,'fixed',1),(65,19,0,0.00,'fixed',1);
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_files`
--

DROP TABLE IF EXISTS `ec_product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extras` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_files_product_id_index` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_files`
--

LOCK TABLES `ec_product_files` WRITE;
/*!40000 ALTER TABLE `ec_product_files` DISABLE KEYS */;
INSERT INTO `ec_product_files` VALUES (1,66,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(2,67,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(3,78,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(4,78,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(5,78,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(6,78,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(7,79,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(8,79,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(9,79,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(10,79,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(11,80,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(12,80,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(13,80,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(14,80,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(15,81,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(16,81,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(17,81,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(18,81,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(19,88,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(20,88,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(21,88,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(22,89,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(23,89,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(24,89,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(25,90,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(26,90,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(27,90,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(28,99,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(29,99,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(30,109,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(31,109,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(32,109,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(33,109,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(34,110,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(35,110,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(36,110,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(37,110,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:28\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-09 23:59:28','2024-08-09 23:59:28'),(38,118,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(39,118,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(40,118,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(41,119,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(42,119,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(43,119,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(44,129,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(45,129,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(46,129,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(47,130,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(48,130,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(49,130,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(50,131,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(51,131,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(52,131,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(53,132,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(54,132,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(55,132,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(56,133,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(57,133,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(58,133,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(59,141,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(60,141,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(61,141,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(62,142,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(63,142,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(64,142,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(65,150,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(66,150,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(67,150,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(68,156,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(69,156,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(70,156,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(71,157,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(72,157,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(73,157,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(74,158,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(75,158,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(76,158,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(77,167,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(78,167,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(79,167,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(80,174,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(81,174,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(82,175,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(83,175,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(84,176,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(85,176,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(86,184,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(87,184,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(88,184,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(89,185,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(90,185,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(91,185,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(92,186,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(93,186,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(94,186,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(95,197,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(96,197,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(97,198,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(98,198,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(99,205,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(100,205,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(101,206,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(102,206,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(103,214,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(104,214,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:29\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:29','2024-08-09 23:59:29'),(105,223,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30'),(106,223,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30'),(107,223,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30'),(108,224,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30'),(109,224,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30'),(110,224,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:59:30\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-09 23:59:30','2024-08-09 23:59:30');
/*!40000 ALTER TABLE `ec_product_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_label_products`
--

DROP TABLE IF EXISTS `ec_product_label_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_label_products` (
  `product_label_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_label_id`,`product_id`),
  KEY `ec_product_label_products_product_label_id_index` (`product_label_id`),
  KEY `ec_product_label_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_label_products`
--

LOCK TABLES `ec_product_label_products` WRITE;
/*!40000 ALTER TABLE `ec_product_label_products` DISABLE KEYS */;
INSERT INTO `ec_product_label_products` VALUES (1,3),(1,6),(1,30),(1,45),(1,51),(1,54),(1,60),(2,9),(2,12),(2,27),(2,33),(2,42),(2,48),(2,57),(2,63),(3,15),(3,18),(3,21),(3,24),(3,36),(3,39);
/*!40000 ALTER TABLE `ec_product_label_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels`
--

DROP TABLE IF EXISTS `ec_product_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels`
--

LOCK TABLES `ec_product_labels` WRITE;
/*!40000 ALTER TABLE `ec_product_labels` DISABLE KEYS */;
INSERT INTO `ec_product_labels` VALUES (1,'Hot','#d71e2d','published','2024-08-09 23:58:42','2024-08-09 23:58:42'),(2,'New','#02856e','published','2024-08-09 23:58:42','2024-08-09 23:58:42'),(3,'Sale','#fe9931','published','2024-08-09 23:58:42','2024-08-09 23:58:42');
/*!40000 ALTER TABLE `ec_product_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels_translations`
--

DROP TABLE IF EXISTS `ec_product_labels_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_labels_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels_translations`
--

LOCK TABLES `ec_product_labels_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_labels_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_labels_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_related_relations`
--

DROP TABLE IF EXISTS `ec_product_related_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_related_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_related_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_related_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_related_relations`
--

LOCK TABLES `ec_product_related_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_related_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_related_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tag_product`
--

DROP TABLE IF EXISTS `ec_product_tag_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tag_product` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `ec_product_tag_product_product_id_index` (`product_id`),
  KEY `ec_product_tag_product_tag_id_index` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tag_product`
--

LOCK TABLES `ec_product_tag_product` WRITE;
/*!40000 ALTER TABLE `ec_product_tag_product` DISABLE KEYS */;
INSERT INTO `ec_product_tag_product` VALUES (1,1),(1,4),(1,5),(2,1),(2,4),(3,2),(3,3),(3,6),(4,3),(4,4),(5,1),(5,2),(5,6),(6,3),(6,4),(7,2),(7,3),(7,4),(8,1),(8,4),(8,6),(9,3),(9,5),(10,3),(10,4),(10,6),(11,3),(11,4),(12,1),(12,5),(12,6),(13,1),(13,2),(14,1),(14,5),(14,6),(15,3),(15,5),(15,6),(16,3),(17,4),(17,5),(18,1),(18,3),(19,2),(19,4),(20,2),(20,3),(21,1),(21,2),(21,5),(22,4),(22,5),(22,6),(23,1),(23,2),(24,1),(24,2),(24,4),(25,1),(25,2),(25,3),(26,5),(26,6),(27,1),(27,2),(27,6),(28,1),(28,4),(28,6),(29,1),(29,2),(30,2),(30,4),(30,6),(31,3),(31,6),(32,4),(32,6),(33,1),(33,6),(34,2),(34,3),(34,6),(35,1),(35,6),(36,1),(36,4),(36,5),(37,1),(37,3),(37,5),(38,1),(38,2),(38,5),(39,1),(39,2),(39,6),(40,5),(41,5),(41,6),(42,2),(42,5),(42,6),(43,4),(43,5),(44,2),(44,5),(44,6),(45,3),(45,4),(45,5),(46,2),(46,3),(46,6),(47,2),(47,5),(48,4),(48,5),(49,3),(49,4),(50,4),(50,6),(51,2),(51,3),(51,4),(52,1),(52,3),(53,1),(53,2),(53,4),(54,3),(54,4),(54,6),(55,1),(55,2),(55,3),(56,3),(56,4),(56,6),(57,2),(57,3),(58,1),(58,3),(58,6),(59,4),(60,2),(60,3),(60,5),(61,1),(61,4),(62,3),(62,6),(63,2),(63,3),(63,6),(64,1),(64,2),(64,6),(65,3),(65,4);
/*!40000 ALTER TABLE `ec_product_tag_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags`
--

DROP TABLE IF EXISTS `ec_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags`
--

LOCK TABLES `ec_product_tags` WRITE;
/*!40000 ALTER TABLE `ec_product_tags` DISABLE KEYS */;
INSERT INTO `ec_product_tags` VALUES (1,'Electronic',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30'),(2,'Mobile',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30'),(3,'Iphone',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30'),(4,'Printer',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30'),(5,'Office',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30'),(6,'IT',NULL,'published','2024-08-09 23:59:30','2024-08-09 23:59:30');
/*!40000 ALTER TABLE `ec_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags_translations`
--

DROP TABLE IF EXISTS `ec_product_tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags_translations`
--

LOCK TABLES `ec_product_tags_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_up_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_up_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_up_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_up_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_up_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_up_sale_relations`
--

LOCK TABLES `ec_product_up_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variation_items`
--

DROP TABLE IF EXISTS `ec_product_variation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variation_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variation_items_attribute_id_variation_id_unique` (`attribute_id`,`variation_id`),
  KEY `attribute_variation_index` (`attribute_id`,`variation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=319 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variation_items`
--

LOCK TABLES `ec_product_variation_items` WRITE;
/*!40000 ALTER TABLE `ec_product_variation_items` DISABLE KEYS */;
INSERT INTO `ec_product_variation_items` VALUES (13,1,7),(15,1,8),(17,1,9),(19,1,10),(27,1,14),(47,1,24),(55,1,28),(65,1,33),(71,1,36),(83,1,42),(89,1,45),(93,1,47),(107,1,54),(109,1,55),(111,1,56),(1,2,1),(7,2,4),(29,2,15),(39,2,20),(41,2,21),(53,2,27),(59,2,30),(63,2,32),(115,2,58),(117,2,59),(119,2,60),(43,3,22),(45,3,23),(57,3,29),(67,3,34),(73,3,37),(75,3,38),(87,3,44),(91,3,46),(97,3,49),(99,3,50),(101,3,51),(105,3,53),(5,4,3),(9,4,5),(11,4,6),(21,4,11),(23,4,12),(31,4,16),(33,4,17),(37,4,19),(49,4,25),(81,4,41),(103,4,52),(113,4,57),(3,5,2),(25,5,13),(35,5,18),(51,5,26),(61,5,31),(69,5,35),(77,5,39),(79,5,40),(85,5,43),(95,5,48),(8,6,4),(12,6,6),(16,6,8),(22,6,11),(42,6,21),(44,6,22),(46,6,23),(50,6,25),(60,6,30),(62,6,31),(64,6,32),(70,6,35),(74,6,37),(76,6,38),(78,6,39),(82,6,41),(98,6,49),(104,6,52),(110,6,55),(118,6,59),(18,7,9),(34,7,17),(38,7,19),(56,7,28),(58,7,29),(68,7,34),(72,7,36),(80,7,40),(84,7,42),(92,7,46),(102,7,51),(106,7,53),(108,7,54),(4,8,2),(6,8,3),(14,8,7),(20,8,10),(48,8,24),(86,8,43),(96,8,48),(100,8,50),(112,8,56),(10,9,5),(40,9,20),(54,9,27),(66,9,33),(88,9,44),(116,9,58),(2,10,1),(24,10,12),(26,10,13),(28,10,14),(30,10,15),(32,10,16),(36,10,18),(52,10,26),(90,10,45),(94,10,47),(114,10,57),(120,10,60),(123,11,62),(129,11,65),(135,11,68),(147,11,74),(151,11,76),(163,11,82),(187,11,94),(205,11,103),(209,11,105),(221,11,111),(237,11,119),(245,11,123),(247,11,124),(263,11,132),(283,11,142),(295,11,148),(299,11,150),(307,11,154),(309,11,155),(127,12,64),(143,12,72),(149,12,75),(157,12,79),(191,12,96),(193,12,97),(199,12,100),(219,12,110),(227,12,114),(259,12,130),(267,12,134),(269,12,135),(285,12,143),(287,12,144),(303,12,152),(305,12,153),(313,12,157),(315,12,158),(317,12,159),(121,13,61),(133,13,67),(139,13,70),(169,13,85),(173,13,87),(175,13,88),(183,13,92),(195,13,98),(203,13,102),(215,13,108),(233,13,117),(235,13,118),(257,13,129),(281,13,141),(289,13,145),(311,13,156),(125,14,63),(131,14,66),(137,14,69),(141,14,71),(145,14,73),(155,14,78),(159,14,80),(161,14,81),(167,14,84),(177,14,89),(201,14,101),(207,14,104),(211,14,106),(217,14,109),(225,14,113),(239,14,120),(241,14,121),(249,14,125),(255,14,128),(261,14,131),(273,14,137),(277,14,139),(291,14,146),(293,14,147),(297,14,149),(153,15,77),(165,15,83),(171,15,86),(179,15,90),(181,15,91),(185,15,93),(189,15,95),(197,15,99),(213,15,107),(223,15,112),(229,15,115),(231,15,116),(243,15,122),(251,15,126),(253,15,127),(265,15,133),(271,15,136),(275,15,138),(279,15,140),(301,15,151),(122,16,61),(128,16,64),(134,16,67),(136,16,68),(146,16,73),(148,16,74),(152,16,76),(170,16,85),(176,16,88),(178,16,89),(184,16,92),(190,16,95),(218,16,109),(234,16,117),(266,16,133),(278,16,139),(312,16,156),(314,16,157),(138,17,69),(140,17,70),(144,17,72),(156,17,78),(158,17,79),(162,17,81),(168,17,84),(182,17,91),(188,17,94),(192,17,96),(202,17,101),(216,17,108),(220,17,110),(224,17,112),(226,17,113),(232,17,116),(240,17,120),(244,17,122),(246,17,123),(260,17,130),(270,17,135),(280,17,140),(286,17,143),(288,17,144),(292,17,146),(296,17,148),(298,17,149),(304,17,152),(306,17,153),(316,17,158),(132,18,66),(150,18,75),(154,18,77),(160,18,80),(164,18,82),(174,18,87),(194,18,97),(200,18,100),(214,18,107),(222,18,111),(236,18,118),(242,18,121),(252,18,126),(256,18,128),(264,18,132),(272,18,136),(290,18,145),(308,18,154),(124,19,62),(130,19,65),(142,19,71),(172,19,86),(180,19,90),(186,19,93),(198,19,99),(206,19,103),(210,19,105),(212,19,106),(230,19,115),(248,19,124),(250,19,125),(254,19,127),(258,19,129),(274,19,137),(282,19,141),(284,19,142),(300,19,150),(310,19,155),(318,19,159),(126,20,63),(166,20,83),(196,20,98),(204,20,102),(208,20,104),(228,20,114),(238,20,119),(262,20,131),(268,20,134),(276,20,138),(294,20,147),(302,20,151);
/*!40000 ALTER TABLE `ec_product_variation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variations`
--

DROP TABLE IF EXISTS `ec_product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `configurable_product_id` bigint unsigned NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variations_product_id_configurable_product_id_unique` (`product_id`,`configurable_product_id`),
  KEY `configurable_product_index` (`product_id`,`configurable_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variations`
--

LOCK TABLES `ec_product_variations` WRITE;
/*!40000 ALTER TABLE `ec_product_variations` DISABLE KEYS */;
INSERT INTO `ec_product_variations` VALUES (1,66,1,1),(2,67,1,0),(3,68,2,1),(4,69,2,0),(5,70,2,0),(6,71,3,1),(7,72,3,0),(8,73,3,0),(9,74,4,1),(10,75,4,0),(11,76,4,0),(12,77,4,0),(13,78,5,1),(14,79,5,0),(15,80,5,0),(16,81,5,0),(17,82,6,1),(18,83,7,1),(19,84,8,1),(20,85,8,0),(21,86,8,0),(22,87,8,0),(23,88,9,1),(24,89,9,0),(25,90,9,0),(26,91,10,1),(27,92,10,0),(28,93,10,0),(29,94,10,0),(30,95,11,1),(31,96,11,0),(32,97,11,0),(33,98,12,1),(34,99,13,1),(35,100,14,1),(36,101,14,0),(37,102,14,0),(38,103,15,1),(39,104,15,0),(40,105,15,0),(41,106,16,1),(42,107,16,0),(43,108,16,0),(44,109,17,1),(45,110,17,0),(46,111,18,1),(47,112,18,0),(48,113,18,0),(49,114,19,1),(50,115,19,0),(51,116,20,1),(52,117,20,0),(53,118,21,1),(54,119,21,0),(55,120,22,1),(56,121,22,0),(57,122,22,0),(58,123,23,1),(59,124,23,0),(60,125,23,0),(61,126,24,1),(62,127,24,0),(63,128,24,0),(64,129,25,1),(65,130,25,0),(66,131,25,0),(67,132,25,0),(68,133,25,0),(69,134,26,1),(70,135,26,0),(71,136,27,1),(72,137,27,0),(73,138,27,0),(74,139,27,0),(75,140,28,1),(76,141,29,1),(77,142,29,0),(78,143,30,1),(79,144,30,0),(80,145,30,0),(81,146,30,0),(82,147,31,1),(83,148,32,1),(84,149,32,0),(85,150,33,1),(86,151,34,1),(87,152,35,1),(88,153,35,0),(89,154,35,0),(90,155,36,1),(91,156,37,1),(92,157,37,0),(93,158,37,0),(94,159,38,1),(95,160,39,1),(96,161,39,0),(97,162,39,0),(98,163,40,1),(99,164,40,0),(100,165,40,0),(101,166,40,0),(102,167,41,1),(103,168,42,1),(104,169,42,0),(105,170,42,0),(106,171,43,1),(107,172,43,0),(108,173,44,1),(109,174,45,1),(110,175,45,0),(111,176,45,0),(112,177,46,1),(113,178,46,0),(114,179,46,0),(115,180,47,1),(116,181,47,0),(117,182,48,1),(118,183,48,0),(119,184,49,1),(120,185,49,0),(121,186,49,0),(122,187,50,1),(123,188,50,0),(124,189,51,1),(125,190,51,0),(126,191,51,0),(127,192,51,0),(128,193,52,1),(129,194,52,0),(130,195,52,0),(131,196,52,0),(132,197,53,1),(133,198,53,0),(134,199,54,1),(135,200,55,1),(136,201,56,1),(137,202,56,0),(138,203,56,0),(139,204,56,0),(140,205,57,1),(141,206,57,0),(142,207,58,1),(143,208,58,0),(144,209,59,1),(145,210,59,0),(146,211,60,1),(147,212,60,0),(148,213,60,0),(149,214,61,1),(150,215,62,1),(151,216,62,0),(152,217,63,1),(153,218,63,0),(154,219,64,1),(155,220,64,0),(156,221,64,0),(157,222,64,0),(158,223,65,1),(159,224,65,0);
/*!40000 ALTER TABLE `ec_product_variations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_views`
--

DROP TABLE IF EXISTS `ec_product_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `views` int NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '2024-08-10',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_views_product_id_date_unique` (`product_id`,`date`),
  KEY `ec_product_views_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_views`
--

LOCK TABLES `ec_product_views` WRITE;
/*!40000 ALTER TABLE `ec_product_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_with_attribute_set`
--

DROP TABLE IF EXISTS `ec_product_with_attribute_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_with_attribute_set` (
  `attribute_set_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`attribute_set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_with_attribute_set`
--

LOCK TABLES `ec_product_with_attribute_set` WRITE;
/*!40000 ALTER TABLE `ec_product_with_attribute_set` DISABLE KEYS */;
INSERT INTO `ec_product_with_attribute_set` VALUES (1,1,0),(2,1,0),(1,2,0),(2,2,0),(1,3,0),(2,3,0),(1,4,0),(2,4,0),(1,5,0),(2,5,0),(1,6,0),(2,6,0),(1,7,0),(2,7,0),(1,8,0),(2,8,0),(1,9,0),(2,9,0),(1,10,0),(2,10,0),(1,11,0),(2,11,0),(1,12,0),(2,12,0),(1,13,0),(2,13,0),(1,14,0),(2,14,0),(1,15,0),(2,15,0),(1,16,0),(2,16,0),(1,17,0),(2,17,0),(1,18,0),(2,18,0),(1,19,0),(2,19,0),(1,20,0),(2,20,0),(1,21,0),(2,21,0),(1,22,0),(2,22,0),(1,23,0),(2,23,0),(3,24,0),(4,24,0),(3,25,0),(4,25,0),(3,26,0),(4,26,0),(3,27,0),(4,27,0),(3,28,0),(4,28,0),(3,29,0),(4,29,0),(3,30,0),(4,30,0),(3,31,0),(4,31,0),(3,32,0),(4,32,0),(3,33,0),(4,33,0),(3,34,0),(4,34,0),(3,35,0),(4,35,0),(3,36,0),(4,36,0),(3,37,0),(4,37,0),(3,38,0),(4,38,0),(3,39,0),(4,39,0),(3,40,0),(4,40,0),(3,41,0),(4,41,0),(3,42,0),(4,42,0),(3,43,0),(4,43,0),(3,44,0),(4,44,0),(3,45,0),(4,45,0),(3,46,0),(4,46,0),(3,47,0),(4,47,0),(3,48,0),(4,48,0),(3,49,0),(4,49,0),(3,50,0),(4,50,0),(3,51,0),(4,51,0),(3,52,0),(4,52,0),(3,53,0),(4,53,0),(3,54,0),(4,54,0),(3,55,0),(4,55,0),(3,56,0),(4,56,0),(3,57,0),(4,57,0),(3,58,0),(4,58,0),(3,59,0),(4,59,0),(3,60,0),(4,60,0),(3,61,0),(4,61,0),(3,62,0),(4,62,0),(3,63,0),(4,63,0),(3,64,0),(4,64,0),(3,65,0),(4,65,0);
/*!40000 ALTER TABLE `ec_product_with_attribute_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products`
--

DROP TABLE IF EXISTS `ec_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `images` text COLLATE utf8mb4_unicode_ci,
  `video_media` text COLLATE utf8mb4_unicode_ci,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `quantity` int unsigned DEFAULT NULL,
  `allow_checkout_when_out_of_stock` tinyint unsigned NOT NULL DEFAULT '0',
  `with_storehouse_management` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `brand_id` bigint unsigned DEFAULT NULL,
  `is_variation` tinyint NOT NULL DEFAULT '0',
  `sale_type` tinyint NOT NULL DEFAULT '0',
  `price` double unsigned DEFAULT NULL,
  `sale_price` double unsigned DEFAULT NULL,
  `start_date` timestamp NULL DEFAULT NULL,
  `end_date` timestamp NULL DEFAULT NULL,
  `length` double(8,2) DEFAULT NULL,
  `wide` double(8,2) DEFAULT NULL,
  `height` double(8,2) DEFAULT NULL,
  `weight` double(8,2) DEFAULT NULL,
  `tax_id` bigint unsigned DEFAULT NULL,
  `views` bigint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `stock_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'in_stock',
  `created_by_id` bigint unsigned DEFAULT '0',
  `created_by_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'physical',
  `barcode` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_per_item` double DEFAULT NULL,
  `generate_license_code` tinyint(1) NOT NULL DEFAULT '0',
  `minimum_order_quantity` int unsigned DEFAULT '0',
  `maximum_order_quantity` int unsigned DEFAULT '0',
  `notify_attachment_updated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ec_products_brand_id_status_is_variation_created_at_index` (`brand_id`,`status`,`is_variation`,`created_at`),
  KEY `sale_type_index` (`sale_type`),
  KEY `start_date_index` (`start_date`),
  KEY `end_date_index` (`end_date`),
  KEY `sale_price_index` (`sale_price`),
  KEY `is_variation_index` (`is_variation`),
  KEY `ec_products_sku_index` (`sku`)
) ENGINE=InnoDB AUTO_INCREMENT=225 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products`
--

LOCK TABLES `ec_products` WRITE;
/*!40000 ALTER TABLE `ec_products` DISABLE KEYS */;
INSERT INTO `ec_products` VALUES (1,'Dual Camera 20MP (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/1.jpg\"]',NULL,'SW-155-A0',0,10,0,1,1,4,0,0,80.25,NULL,NULL,NULL,11.00,13.00,17.00,820.00,NULL,55397,'2024-08-09 23:59:27','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(2,'Smart Watches','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/2.jpg\",\"products\\/2-1.jpg\",\"products\\/2-2.jpg\",\"products\\/2-3.jpg\"]',NULL,'SW-186-A0',0,13,0,1,1,1,0,0,40.5,NULL,NULL,NULL,12.00,16.00,19.00,552.00,NULL,183350,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(3,'Beat Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/3.jpg\"]',NULL,'SW-146-A0',0,14,0,1,1,3,0,0,20,NULL,NULL,NULL,19.00,15.00,20.00,662.00,NULL,126767,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(4,'Red &amp; Black Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/4.jpg\",\"products\\/4-1.jpg\",\"products\\/4-2.jpg\",\"products\\/4-3.jpg\"]',NULL,'SW-144-A0',0,12,0,1,1,4,0,0,536,428.8,NULL,NULL,20.00,11.00,11.00,858.00,NULL,60407,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(5,'Smart Watch External (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/5.jpg\",\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/5-3.jpg\"]',NULL,'SW-154-A0',0,16,0,1,1,5,0,0,715,NULL,NULL,NULL,10.00,15.00,17.00,768.00,NULL,146628,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(6,'Nikon HD camera','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/6.jpg\"]',NULL,'SW-107-A0',0,12,0,1,1,3,0,0,437,NULL,NULL,NULL,15.00,10.00,18.00,772.00,NULL,11429,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(7,'Audio Equipment','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/7.jpg\"]',NULL,'SW-186-A0',0,13,0,1,1,3,0,0,594,NULL,NULL,NULL,15.00,19.00,14.00,693.00,NULL,28721,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(8,'Smart Televisions','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/8.jpg\",\"products\\/8-1.jpg\",\"products\\/8-2.jpg\",\"products\\/8-3.jpg\"]',NULL,'SW-124-A0',0,15,0,1,1,3,0,0,1141,867.16,NULL,NULL,17.00,15.00,10.00,823.00,NULL,163343,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(9,'Samsung Smart Phone (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/9.jpg\",\"products\\/9-1.jpg\",\"products\\/9-2.jpg\"]',NULL,'SW-181-A0',0,18,0,1,1,1,0,0,523,NULL,NULL,NULL,17.00,13.00,18.00,623.00,NULL,3503,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(10,'Herschel Leather Duffle Bag In Brown Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/10.jpg\",\"products\\/10-1.jpg\",\"products\\/10-2.jpg\"]',NULL,'SW-142-A0',0,10,0,1,0,1,0,0,1195,NULL,NULL,NULL,17.00,20.00,17.00,628.00,NULL,14573,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(11,'Xbox One Wireless Controller Black Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/11.jpg\",\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/11-3.jpg\"]',NULL,'SW-161-A0',0,11,0,1,0,4,0,0,1173,NULL,NULL,NULL,10.00,14.00,14.00,629.00,NULL,173581,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(12,'EPSION Plaster Printer','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/12.jpg\",\"products\\/12-1.jpg\",\"products\\/12-2.jpg\",\"products\\/12-3.jpg\"]',NULL,'SW-188-A0',0,15,0,1,0,1,0,0,591,449.16,NULL,NULL,17.00,19.00,15.00,544.00,NULL,132716,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(13,'Sound Intone I65 Earphone White Version (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/13.jpg\",\"products\\/13-1.jpg\"]',NULL,'SW-186-A0',0,16,0,1,0,1,0,0,590,NULL,NULL,NULL,18.00,14.00,16.00,708.00,NULL,44349,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(14,'B&amp;O Play Mini Bluetooth Speaker','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/14.jpg\"]',NULL,'SW-162-A0',0,18,0,1,0,3,0,0,534,NULL,NULL,NULL,14.00,19.00,11.00,875.00,NULL,136219,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(15,'Apple MacBook Air Retina 13.3-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/15.jpg\",\"products\\/15-1.jpg\"]',NULL,'SW-191-A0',0,16,0,1,0,2,0,0,579,NULL,NULL,NULL,11.00,12.00,13.00,592.00,NULL,180826,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(16,'Apple MacBook Air Retina 12-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/16.jpg\"]',NULL,'SW-110-A0',0,14,0,1,0,2,0,0,528,475.2,NULL,NULL,19.00,20.00,12.00,741.00,NULL,7963,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(17,'Samsung Gear VR Virtual Reality Headset (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/17.jpg\",\"products\\/17-1.jpg\",\"products\\/17-2.jpg\",\"products\\/17-3.jpg\"]',NULL,'SW-194-A0',0,14,0,1,0,2,0,0,523,NULL,NULL,NULL,13.00,12.00,20.00,805.00,NULL,107438,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(18,'Aveeno Moisturizing Body Shower 450ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/18.jpg\",\"products\\/18-1.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\"]',NULL,'SW-195-A0',0,20,0,1,0,4,0,0,1203,NULL,NULL,NULL,17.00,14.00,16.00,745.00,NULL,33692,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(19,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/19.jpg\",\"products\\/19-1.jpg\",\"products\\/19-2.jpg\",\"products\\/19-3.jpg\"]',NULL,'SW-190-A0',0,15,0,1,0,5,0,0,1297,NULL,NULL,NULL,15.00,17.00,17.00,551.00,NULL,166345,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(20,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/20.jpg\",\"products\\/20-1.jpg\",\"products\\/20-2.jpg\",\"products\\/20-3.jpg\"]',NULL,'SW-123-A0',0,16,0,1,0,4,0,0,907,780.02,NULL,NULL,11.00,15.00,13.00,731.00,NULL,63517,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(21,'MVMTH Classical Leather Watch In Black (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/21.jpg\",\"products\\/21-1.jpg\",\"products\\/21-2.jpg\"]',NULL,'SW-149-A0',0,15,0,1,0,2,0,0,998,NULL,NULL,NULL,15.00,15.00,12.00,568.00,NULL,166086,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(22,'Baxter Care Hair Kit For Bearded Mens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/22.jpg\",\"products\\/22-1.jpg\",\"products\\/22-2.jpg\",\"products\\/22-3.jpg\"]',NULL,'SW-174-A0',0,18,0,1,0,2,0,0,540,NULL,NULL,NULL,11.00,17.00,15.00,802.00,NULL,138346,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(23,'Ciate Palemore Lipstick Bold Red Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/23.jpg\",\"products\\/23-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\"]',NULL,'SW-132-A0',0,19,0,1,0,3,0,0,932,NULL,NULL,NULL,19.00,14.00,10.00,845.00,NULL,74657,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(24,'Vimto Squash Remix Apple 1.5 Litres','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/24.jpg\",\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]',NULL,'SW-132-A0',0,17,0,1,0,4,0,0,682,538.78,NULL,NULL,10.00,13.00,13.00,798.00,NULL,116491,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(25,'Crock Pot Slow Cooker (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/25.jpg\",\"products\\/25-1.jpg\",\"products\\/25-2.jpg\"]',NULL,'SW-134-A0',0,19,0,1,0,3,0,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,153561,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(26,'Taylors of Harrogate Yorkshire Coffee','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/26.jpg\",\"products\\/26-1.jpg\"]',NULL,'SW-183-A0',0,19,0,1,0,4,0,0,1196,NULL,NULL,NULL,11.00,15.00,12.00,559.00,NULL,147839,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(27,'Soft Mochi &amp; Galeto Ice Cream','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/27.jpg\",\"products\\/27-1.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,4,0,0,1176,NULL,NULL,NULL,15.00,19.00,14.00,812.00,NULL,76134,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(28,'Naked Noodle Egg Noodles Singapore','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/28.jpg\",\"products\\/28-1.jpg\",\"products\\/28-2.jpg\"]',NULL,'SW-105-A0',0,14,0,1,0,5,0,0,1095,930.75,NULL,NULL,14.00,19.00,17.00,662.00,NULL,129801,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(29,'Saute Pan Silver (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/29.jpg\",\"products\\/29-1.jpg\",\"products\\/29-2.jpg\"]',NULL,'SW-155-A0',0,11,0,1,0,5,0,0,936,NULL,NULL,NULL,12.00,10.00,15.00,881.00,NULL,80074,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(30,'Bar S – Classic Bun Length Franks','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/30.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]',NULL,'SW-115-A0',0,20,0,1,0,3,0,0,1105,NULL,NULL,NULL,20.00,17.00,18.00,747.00,NULL,34702,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(31,'Broccoli Crowns','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/31.jpg\",\"products\\/31-1.jpg\"]',NULL,'SW-192-A0',0,10,0,1,0,2,0,0,1068,NULL,NULL,NULL,13.00,10.00,12.00,557.00,NULL,15074,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(32,'Slimming World Vegan Mac Greens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/32.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]',NULL,'SW-190-A0',0,18,0,1,0,5,0,0,1240,1016.8,NULL,NULL,10.00,12.00,14.00,780.00,NULL,114788,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(33,'Häagen-Dazs Salted Caramel (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/33.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]',NULL,'SW-132-A0',0,12,0,1,0,3,0,0,1127,NULL,NULL,NULL,19.00,18.00,14.00,530.00,NULL,192007,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(34,'Iceland 3 Solo Exotic Burst','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/34.jpg\",\"products\\/34-1.jpg\"]',NULL,'SW-161-A0',0,19,0,1,0,2,0,0,1064,NULL,NULL,NULL,13.00,20.00,10.00,828.00,NULL,110538,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(35,'Extreme Budweiser Light Can','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/35.jpg\",\"products\\/35-1.jpg\"]',NULL,'SW-131-A0',0,19,0,1,0,3,0,0,685,NULL,NULL,NULL,17.00,17.00,15.00,567.00,NULL,100420,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(36,'Iceland Macaroni Cheese Traybake','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/36.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]',NULL,'SW-173-A0',0,15,0,1,0,1,0,0,1152,840.96,NULL,NULL,15.00,19.00,11.00,644.00,NULL,43757,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(37,'Dolmio Bolognese Pasta Sauce (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/37.jpg\",\"products\\/37-1.jpg\",\"products\\/37-2.jpg\"]',NULL,'SW-126-A0',0,19,0,1,0,1,0,0,620,NULL,NULL,NULL,20.00,10.00,20.00,895.00,NULL,66795,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(38,'Sitema BakeIT Plastic Box','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/38.jpg\",\"products\\/38-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]',NULL,'SW-160-A0',0,14,0,1,0,2,0,0,959,NULL,NULL,NULL,18.00,17.00,14.00,617.00,NULL,131151,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(39,'Wayfair Basics Dinner Plate Storage','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/39.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\"]',NULL,'SW-127-A0',0,16,0,1,0,5,0,0,1167,NULL,NULL,NULL,10.00,12.00,11.00,868.00,NULL,175042,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(40,'Miko The Panda Water Bottle','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/40.jpg\",\"products\\/40-1.jpg\"]',NULL,'SW-124-A0',0,14,0,1,0,4,0,0,1283,936.59,NULL,NULL,20.00,18.00,20.00,563.00,NULL,154965,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(41,'Sesame Seed Bread (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/41.jpg\",\"products\\/41-1.jpg\",\"products\\/41-2.jpg\"]',NULL,'SW-114-A0',0,15,0,1,0,1,0,0,539,NULL,NULL,NULL,18.00,13.00,12.00,842.00,NULL,116960,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(42,'Morrisons The Best Beef','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/42.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\"]',NULL,'SW-123-A0',0,12,0,1,0,1,0,0,897,NULL,NULL,NULL,16.00,20.00,16.00,651.00,NULL,114450,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(43,'Avocado, Hass Large','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/43.jpg\",\"products\\/43-1.jpg\",\"products\\/43-2.jpg\"]',NULL,'SW-129-A0',0,12,0,1,0,2,0,0,1292,NULL,NULL,NULL,11.00,10.00,19.00,511.00,NULL,45530,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(44,'Italia Beef Lasagne','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/44.jpg\",\"products\\/44-1.jpg\",\"products\\/44-2.jpg\"]',NULL,'SW-121-A0',0,12,0,1,0,2,0,0,723,585.63,NULL,NULL,12.00,13.00,16.00,800.00,NULL,134808,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(45,'Maxwell House Classic Roast Mocha (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/45.jpg\",\"products\\/45-1.jpg\"]',NULL,'SW-102-A0',0,19,0,1,0,2,0,0,650,NULL,NULL,NULL,11.00,12.00,19.00,623.00,NULL,141020,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(46,'Bottled Pure Water 500ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/46.jpg\",\"products\\/46-1.jpg\"]',NULL,'SW-119-A0',0,20,0,1,0,3,0,0,654,NULL,NULL,NULL,16.00,11.00,13.00,799.00,NULL,107965,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(47,'Famart Farmhouse Soft White','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/47.jpg\",\"products\\/47-1.jpg\"]',NULL,'SW-155-A0',0,19,0,1,0,3,0,0,644,NULL,NULL,NULL,19.00,20.00,20.00,564.00,NULL,2617,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(48,'Coca-Cola Original Taste','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/48.jpg\",\"products\\/48-1.jpg\",\"products\\/48-2.jpg\"]',NULL,'SW-130-A0',0,15,0,1,0,2,0,0,893,678.68,NULL,NULL,17.00,12.00,16.00,647.00,NULL,199245,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(49,'Casillero Diablo Cabernet Sauvignon (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/49.jpg\",\"products\\/49-1.jpg\",\"products\\/49-2.jpg\"]',NULL,'SW-116-A0',0,17,0,1,0,4,0,0,954,NULL,NULL,NULL,19.00,14.00,17.00,716.00,NULL,46800,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(50,'Arla Organic Free Range Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/50.jpg\",\"products\\/50-1.jpg\"]',NULL,'SW-160-A0',0,11,0,1,0,3,0,0,1176,NULL,NULL,NULL,11.00,17.00,12.00,698.00,NULL,139050,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(51,'Aptamil Follow On Baby Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/51.jpg\"]',NULL,'SW-127-A0',0,20,0,1,0,5,0,0,849,NULL,NULL,NULL,17.00,15.00,15.00,540.00,NULL,45997,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(52,'Cuisinart Chef’S Classic Hard-Anodized','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/52.jpg\",\"products\\/52-1.jpg\",\"products\\/52-2.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,2,0,0,1205,1012.2,NULL,NULL,19.00,19.00,10.00,736.00,NULL,86869,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(53,'Corn, Yellow Sweet (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/53.jpg\",\"products\\/53-1.jpg\"]',NULL,'SW-126-A0',0,11,0,1,0,3,0,0,627,NULL,NULL,NULL,12.00,10.00,18.00,762.00,NULL,11530,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(54,'Hobnobs The Nobbly Biscuit','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/54.jpg\",\"products\\/54-1.jpg\"]',NULL,'SW-153-A0',0,16,0,1,0,2,0,0,993,NULL,NULL,NULL,20.00,19.00,14.00,800.00,NULL,53804,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(55,'Honest Organic Still Lemonade','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/55.jpg\",\"products\\/55-1.jpg\",\"products\\/55-2.jpg\"]',NULL,'SW-156-A0',0,15,0,1,0,4,0,0,1272,NULL,NULL,NULL,18.00,10.00,17.00,707.00,NULL,124199,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(56,'Ice Beck’s Beer 350ml x 24 Pieces','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/56.jpg\",\"products\\/56-1.jpg\",\"products\\/56-2.jpg\"]',NULL,'SW-164-A0',0,17,0,1,0,2,0,0,1275,1083.75,NULL,NULL,16.00,12.00,11.00,642.00,NULL,157738,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(57,'Iceland 6 Hot Cross Buns (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/57.jpg\",\"products\\/57-1.jpg\"]',NULL,'SW-188-A0',0,16,0,1,0,3,0,0,944,NULL,NULL,NULL,14.00,19.00,13.00,734.00,NULL,47968,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(58,'Iceland Luxury 4 Panini Rolls','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/58.jpg\",\"products\\/58-1.jpg\",\"products\\/58-2.jpg\"]',NULL,'SW-109-A0',0,13,0,1,0,3,0,0,1272,NULL,NULL,NULL,10.00,15.00,18.00,559.00,NULL,154837,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(59,'Iceland Soft Scoop Vanilla','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/59.jpg\",\"products\\/59-1.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\"]',NULL,'SW-126-A0',0,11,0,1,0,3,0,0,1248,NULL,NULL,NULL,17.00,20.00,20.00,830.00,NULL,183809,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(60,'Iceland Spaghetti Bolognese','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/60.jpg\",\"products\\/60-1.jpg\",\"products\\/60-2.jpg\"]',NULL,'SW-155-A0',0,15,0,1,0,2,0,0,1085,813.75,NULL,NULL,15.00,10.00,11.00,631.00,NULL,189981,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(61,'Kellogg’s Coco Pops Cereal (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/61.jpg\",\"products\\/61-1.jpg\"]',NULL,'SW-175-A0',0,13,0,1,0,5,0,0,1032,NULL,NULL,NULL,13.00,15.00,16.00,694.00,NULL,159260,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(62,'Kit Kat Chunky Milk Chocolate','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/62.jpg\",\"products\\/62-1.jpg\"]',NULL,'SW-129-A0',0,11,0,1,0,5,0,0,1022,NULL,NULL,NULL,20.00,17.00,10.00,688.00,NULL,94587,'2024-08-09 23:59:28','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(63,'Large Green Bell Pepper','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/63.jpg\",\"products\\/63-1.jpg\"]',NULL,'SW-179-A0',0,10,0,1,0,3,0,0,715,NULL,NULL,NULL,17.00,14.00,11.00,648.00,NULL,145983,'2024-08-09 23:59:28','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(64,'Pice 94w Beasley Journal','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/64.jpg\",\"products\\/64-1.jpg\"]',NULL,'SW-183-A0',0,20,0,1,0,5,0,0,1222,1014.26,NULL,NULL,10.00,11.00,10.00,713.00,NULL,136200,'2024-08-09 23:59:28','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(65,'Province Piece Glass Drinking Glass (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/65.jpg\",\"products\\/65-1.jpg\",\"products\\/65-2.jpg\"]',NULL,'SW-158-A0',0,20,0,1,0,1,0,0,792,NULL,NULL,NULL,18.00,20.00,15.00,762.00,NULL,190480,'2024-08-09 23:59:28','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(66,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-155-A0',0,10,0,1,0,4,1,0,80.25,NULL,NULL,NULL,11.00,13.00,17.00,820.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(67,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-155-A0-A1',0,10,0,1,0,4,1,0,80.25,NULL,NULL,NULL,11.00,13.00,17.00,820.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(68,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]',NULL,'SW-186-A0',0,13,0,1,0,1,1,0,40.5,NULL,NULL,NULL,12.00,16.00,19.00,552.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(69,'Smart Watches',NULL,NULL,'published','[\"products\\/2-1.jpg\"]',NULL,'SW-186-A0-A1',0,13,0,1,0,1,1,0,40.5,NULL,NULL,NULL,12.00,16.00,19.00,552.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(70,'Smart Watches',NULL,NULL,'published','[\"products\\/2-2.jpg\"]',NULL,'SW-186-A0-A2',0,13,0,1,0,1,1,0,40.5,NULL,NULL,NULL,12.00,16.00,19.00,552.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(71,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-146-A0',0,14,0,1,0,3,1,0,20,NULL,NULL,NULL,19.00,15.00,20.00,662.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(72,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-146-A0-A1',0,14,0,1,0,3,1,0,20,NULL,NULL,NULL,19.00,15.00,20.00,662.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(73,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-146-A0-A2',0,14,0,1,0,3,1,0,20,NULL,NULL,NULL,19.00,15.00,20.00,662.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(74,'Red & Black Headphone',NULL,NULL,'published','[\"products\\/4.jpg\"]',NULL,'SW-144-A0',0,12,0,1,0,4,1,0,536,428.8,NULL,NULL,20.00,11.00,11.00,858.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(75,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-1.jpg\"]',NULL,'SW-144-A0-A1',0,12,0,1,0,4,1,0,536,412.72,NULL,NULL,20.00,11.00,11.00,858.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(76,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-2.jpg\"]',NULL,'SW-144-A0-A2',0,12,0,1,0,4,1,0,536,380.56,NULL,NULL,20.00,11.00,11.00,858.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(77,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-3.jpg\"]',NULL,'SW-144-A0-A3',0,12,0,1,0,4,1,0,536,471.68,NULL,NULL,20.00,11.00,11.00,858.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(78,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5.jpg\"]',NULL,'SW-154-A0',0,16,0,1,0,5,1,0,715,NULL,NULL,NULL,10.00,15.00,17.00,768.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(79,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-1.jpg\"]',NULL,'SW-154-A0-A1',0,16,0,1,0,5,1,0,715,NULL,NULL,NULL,10.00,15.00,17.00,768.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(80,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-2.jpg\"]',NULL,'SW-154-A0-A2',0,16,0,1,0,5,1,0,715,NULL,NULL,NULL,10.00,15.00,17.00,768.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(81,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-3.jpg\"]',NULL,'SW-154-A0-A3',0,16,0,1,0,5,1,0,715,NULL,NULL,NULL,10.00,15.00,17.00,768.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(82,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-107-A0',0,12,0,1,0,3,1,0,437,NULL,NULL,NULL,15.00,10.00,18.00,772.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(83,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-186-A0',0,13,0,1,0,3,1,0,594,NULL,NULL,NULL,15.00,19.00,14.00,693.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(84,'Smart Televisions',NULL,NULL,'published','[\"products\\/8.jpg\"]',NULL,'SW-124-A0',0,15,0,1,0,3,1,0,1141,867.16,NULL,NULL,17.00,15.00,10.00,823.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(85,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-1.jpg\"]',NULL,'SW-124-A0-A1',0,15,0,1,0,3,1,0,1141,901.39,NULL,NULL,17.00,15.00,10.00,823.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(86,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-2.jpg\"]',NULL,'SW-124-A0-A2',0,15,0,1,0,3,1,0,1141,855.75,NULL,NULL,17.00,15.00,10.00,823.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(87,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-3.jpg\"]',NULL,'SW-124-A0-A3',0,15,0,1,0,3,1,0,1141,810.11,NULL,NULL,17.00,15.00,10.00,823.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(88,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9.jpg\"]',NULL,'SW-181-A0',0,18,0,1,0,1,1,0,523,NULL,NULL,NULL,17.00,13.00,18.00,623.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(89,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-1.jpg\"]',NULL,'SW-181-A0-A1',0,18,0,1,0,1,1,0,523,NULL,NULL,NULL,17.00,13.00,18.00,623.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(90,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-2.jpg\"]',NULL,'SW-181-A0-A2',0,18,0,1,0,1,1,0,523,NULL,NULL,NULL,17.00,13.00,18.00,623.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(91,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-142-A0',0,10,0,1,0,1,1,0,1195,NULL,NULL,NULL,17.00,20.00,17.00,628.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(92,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-1.jpg\"]',NULL,'SW-142-A0-A1',0,10,0,1,0,1,1,0,1195,NULL,NULL,NULL,17.00,20.00,17.00,628.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(93,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-2.jpg\"]',NULL,'SW-142-A0-A2',0,10,0,1,0,1,1,0,1195,NULL,NULL,NULL,17.00,20.00,17.00,628.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(94,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-142-A0-A3',0,10,0,1,0,1,1,0,1195,NULL,NULL,NULL,17.00,20.00,17.00,628.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(95,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11.jpg\"]',NULL,'SW-161-A0',0,11,0,1,0,4,1,0,1173,NULL,NULL,NULL,10.00,14.00,14.00,629.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(96,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-1.jpg\"]',NULL,'SW-161-A0-A1',0,11,0,1,0,4,1,0,1173,NULL,NULL,NULL,10.00,14.00,14.00,629.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(97,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-2.jpg\"]',NULL,'SW-161-A0-A2',0,11,0,1,0,4,1,0,1173,NULL,NULL,NULL,10.00,14.00,14.00,629.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(98,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]',NULL,'SW-188-A0',0,15,0,1,0,1,1,0,591,449.16,NULL,NULL,17.00,19.00,15.00,544.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(99,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-186-A0',0,16,0,1,0,1,1,0,590,NULL,NULL,NULL,18.00,14.00,16.00,708.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(100,'B&O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-162-A0',0,18,0,1,0,3,1,0,534,NULL,NULL,NULL,14.00,19.00,11.00,875.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(101,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-162-A0-A1',0,18,0,1,0,3,1,0,534,NULL,NULL,NULL,14.00,19.00,11.00,875.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(102,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-162-A0-A2',0,18,0,1,0,3,1,0,534,NULL,NULL,NULL,14.00,19.00,11.00,875.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(103,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-191-A0',0,16,0,1,0,2,1,0,579,NULL,NULL,NULL,11.00,12.00,13.00,592.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(104,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15-1.jpg\"]',NULL,'SW-191-A0-A1',0,16,0,1,0,2,1,0,579,NULL,NULL,NULL,11.00,12.00,13.00,592.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(105,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-191-A0-A2',0,16,0,1,0,2,1,0,579,NULL,NULL,NULL,11.00,12.00,13.00,592.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(106,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-110-A0',0,14,0,1,0,2,1,0,528,475.2,NULL,NULL,19.00,20.00,12.00,741.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(107,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-110-A0-A1',0,14,0,1,0,2,1,0,528,454.08,NULL,NULL,19.00,20.00,12.00,741.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(108,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-110-A0-A2',0,14,0,1,0,2,1,0,528,369.6,NULL,NULL,19.00,20.00,12.00,741.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(109,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17.jpg\"]',NULL,'SW-194-A0',0,14,0,1,0,2,1,0,523,NULL,NULL,NULL,13.00,12.00,20.00,805.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(110,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17-1.jpg\"]',NULL,'SW-194-A0-A1',0,14,0,1,0,2,1,0,523,NULL,NULL,NULL,13.00,12.00,20.00,805.00,NULL,0,'2024-08-09 23:59:28','2024-08-09 23:59:28','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(111,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18.jpg\"]',NULL,'SW-195-A0',0,20,0,1,0,4,1,0,1203,NULL,NULL,NULL,17.00,14.00,16.00,745.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(112,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-1.jpg\"]',NULL,'SW-195-A0-A1',0,20,0,1,0,4,1,0,1203,NULL,NULL,NULL,17.00,14.00,16.00,745.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(113,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-2.jpg\"]',NULL,'SW-195-A0-A2',0,20,0,1,0,4,1,0,1203,NULL,NULL,NULL,17.00,14.00,16.00,745.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(114,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19.jpg\"]',NULL,'SW-190-A0',0,15,0,1,0,5,1,0,1297,NULL,NULL,NULL,15.00,17.00,17.00,551.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(115,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-1.jpg\"]',NULL,'SW-190-A0-A1',0,15,0,1,0,5,1,0,1297,NULL,NULL,NULL,15.00,17.00,17.00,551.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(116,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20.jpg\"]',NULL,'SW-123-A0',0,16,0,1,0,4,1,0,907,780.02,NULL,NULL,11.00,15.00,13.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(117,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20-1.jpg\"]',NULL,'SW-123-A0-A1',0,16,0,1,0,4,1,0,907,662.11,NULL,NULL,11.00,15.00,13.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(118,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-149-A0',0,15,0,1,0,2,1,0,998,NULL,NULL,NULL,15.00,15.00,12.00,568.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(119,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-1.jpg\"]',NULL,'SW-149-A0-A1',0,15,0,1,0,2,1,0,998,NULL,NULL,NULL,15.00,15.00,12.00,568.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(120,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22.jpg\"]',NULL,'SW-174-A0',0,18,0,1,0,2,1,0,540,NULL,NULL,NULL,11.00,17.00,15.00,802.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(121,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-1.jpg\"]',NULL,'SW-174-A0-A1',0,18,0,1,0,2,1,0,540,NULL,NULL,NULL,11.00,17.00,15.00,802.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(122,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-2.jpg\"]',NULL,'SW-174-A0-A2',0,18,0,1,0,2,1,0,540,NULL,NULL,NULL,11.00,17.00,15.00,802.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(123,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23.jpg\"]',NULL,'SW-132-A0',0,19,0,1,0,3,1,0,932,NULL,NULL,NULL,19.00,14.00,10.00,845.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(124,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-1.jpg\"]',NULL,'SW-132-A0-A1',0,19,0,1,0,3,1,0,932,NULL,NULL,NULL,19.00,14.00,10.00,845.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(125,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-2.jpg\"]',NULL,'SW-132-A0-A2',0,19,0,1,0,3,1,0,932,NULL,NULL,NULL,19.00,14.00,10.00,845.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(126,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24.jpg\"]',NULL,'SW-132-A0',0,17,0,1,0,4,1,0,682,538.78,NULL,NULL,10.00,13.00,13.00,798.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(127,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-1.jpg\"]',NULL,'SW-132-A0-A1',0,17,0,1,0,4,1,0,682,497.86,NULL,NULL,10.00,13.00,13.00,798.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(128,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-2.jpg\"]',NULL,'SW-132-A0-A2',0,17,0,1,0,4,1,0,682,613.8,NULL,NULL,10.00,13.00,13.00,798.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(129,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-134-A0',0,19,0,1,0,3,1,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(130,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-1.jpg\"]',NULL,'SW-134-A0-A1',0,19,0,1,0,3,1,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(131,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-2.jpg\"]',NULL,'SW-134-A0-A2',0,19,0,1,0,3,1,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(132,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-134-A0-A3',0,19,0,1,0,3,1,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(133,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-134-A0-A4',0,19,0,1,0,3,1,0,610,NULL,NULL,NULL,20.00,13.00,17.00,731.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(134,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-183-A0',0,19,0,1,0,4,1,0,1196,NULL,NULL,NULL,11.00,15.00,12.00,559.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(135,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26-1.jpg\"]',NULL,'SW-183-A0-A1',0,19,0,1,0,4,1,0,1196,NULL,NULL,NULL,11.00,15.00,12.00,559.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(136,'Soft Mochi & Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,4,1,0,1176,NULL,NULL,NULL,15.00,19.00,14.00,812.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(137,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27-1.jpg\"]',NULL,'SW-178-A0-A1',0,14,0,1,0,4,1,0,1176,NULL,NULL,NULL,15.00,19.00,14.00,812.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(138,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-178-A0-A2',0,14,0,1,0,4,1,0,1176,NULL,NULL,NULL,15.00,19.00,14.00,812.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(139,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-178-A0-A3',0,14,0,1,0,4,1,0,1176,NULL,NULL,NULL,15.00,19.00,14.00,812.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(140,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-105-A0',0,14,0,1,0,5,1,0,1095,930.75,NULL,NULL,14.00,19.00,17.00,662.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(141,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-155-A0',0,11,0,1,0,5,1,0,936,NULL,NULL,NULL,12.00,10.00,15.00,881.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(142,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-1.jpg\"]',NULL,'SW-155-A0-A1',0,11,0,1,0,5,1,0,936,NULL,NULL,NULL,12.00,10.00,15.00,881.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(143,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-115-A0',0,20,0,1,0,3,1,0,1105,NULL,NULL,NULL,20.00,17.00,18.00,747.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(144,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-1.jpg\"]',NULL,'SW-115-A0-A1',0,20,0,1,0,3,1,0,1105,NULL,NULL,NULL,20.00,17.00,18.00,747.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(145,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-2.jpg\"]',NULL,'SW-115-A0-A2',0,20,0,1,0,3,1,0,1105,NULL,NULL,NULL,20.00,17.00,18.00,747.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(146,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-115-A0-A3',0,20,0,1,0,3,1,0,1105,NULL,NULL,NULL,20.00,17.00,18.00,747.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(147,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-192-A0',0,10,0,1,0,2,1,0,1068,NULL,NULL,NULL,13.00,10.00,12.00,557.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(148,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32.jpg\"]',NULL,'SW-190-A0',0,18,0,1,0,5,1,0,1240,1016.8,NULL,NULL,10.00,12.00,14.00,780.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(149,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32-1.jpg\"]',NULL,'SW-190-A0-A1',0,18,0,1,0,5,1,0,1240,1091.2,NULL,NULL,10.00,12.00,14.00,780.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(150,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33.jpg\"]',NULL,'SW-132-A0',0,12,0,1,0,3,1,0,1127,NULL,NULL,NULL,19.00,18.00,14.00,530.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(151,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-161-A0',0,19,0,1,0,2,1,0,1064,NULL,NULL,NULL,13.00,20.00,10.00,828.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(152,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-131-A0',0,19,0,1,0,3,1,0,685,NULL,NULL,NULL,17.00,17.00,15.00,567.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(153,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35-1.jpg\"]',NULL,'SW-131-A0-A1',0,19,0,1,0,3,1,0,685,NULL,NULL,NULL,17.00,17.00,15.00,567.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(154,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-131-A0-A2',0,19,0,1,0,3,1,0,685,NULL,NULL,NULL,17.00,17.00,15.00,567.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(155,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]',NULL,'SW-173-A0',0,15,0,1,0,1,1,0,1152,840.96,NULL,NULL,15.00,19.00,11.00,644.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(156,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]',NULL,'SW-126-A0',0,19,0,1,0,1,1,0,620,NULL,NULL,NULL,20.00,10.00,20.00,895.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(157,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-1.jpg\"]',NULL,'SW-126-A0-A1',0,19,0,1,0,1,1,0,620,NULL,NULL,NULL,20.00,10.00,20.00,895.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(158,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-2.jpg\"]',NULL,'SW-126-A0-A2',0,19,0,1,0,1,1,0,620,NULL,NULL,NULL,20.00,10.00,20.00,895.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(159,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38.jpg\"]',NULL,'SW-160-A0',0,14,0,1,0,2,1,0,959,NULL,NULL,NULL,18.00,17.00,14.00,617.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(160,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]',NULL,'SW-127-A0',0,16,0,1,0,5,1,0,1167,NULL,NULL,NULL,10.00,12.00,11.00,868.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(161,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-1.jpg\"]',NULL,'SW-127-A0-A1',0,16,0,1,0,5,1,0,1167,NULL,NULL,NULL,10.00,12.00,11.00,868.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(162,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-2.jpg\"]',NULL,'SW-127-A0-A2',0,16,0,1,0,5,1,0,1167,NULL,NULL,NULL,10.00,12.00,11.00,868.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(163,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-124-A0',0,14,0,1,0,4,1,0,1283,936.59,NULL,NULL,20.00,18.00,20.00,563.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(164,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40-1.jpg\"]',NULL,'SW-124-A0-A1',0,14,0,1,0,4,1,0,1283,1141.87,NULL,NULL,20.00,18.00,20.00,563.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(165,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-124-A0-A2',0,14,0,1,0,4,1,0,1283,910.93,NULL,NULL,20.00,18.00,20.00,563.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(166,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-124-A0-A3',0,14,0,1,0,4,1,0,1283,1154.7,NULL,NULL,20.00,18.00,20.00,563.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(167,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]',NULL,'SW-114-A0',0,15,0,1,0,1,1,0,539,NULL,NULL,NULL,18.00,13.00,12.00,842.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(168,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]',NULL,'SW-123-A0',0,12,0,1,0,1,1,0,897,NULL,NULL,NULL,16.00,20.00,16.00,651.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(169,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-1.jpg\"]',NULL,'SW-123-A0-A1',0,12,0,1,0,1,1,0,897,NULL,NULL,NULL,16.00,20.00,16.00,651.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(170,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-2.jpg\"]',NULL,'SW-123-A0-A2',0,12,0,1,0,1,1,0,897,NULL,NULL,NULL,16.00,20.00,16.00,651.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(171,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-129-A0',0,12,0,1,0,2,1,0,1292,NULL,NULL,NULL,11.00,10.00,19.00,511.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(172,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-1.jpg\"]',NULL,'SW-129-A0-A1',0,12,0,1,0,2,1,0,1292,NULL,NULL,NULL,11.00,10.00,19.00,511.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(173,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]',NULL,'SW-121-A0',0,12,0,1,0,2,1,0,723,585.63,NULL,NULL,12.00,13.00,16.00,800.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(174,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-102-A0',0,19,0,1,0,2,1,0,650,NULL,NULL,NULL,11.00,12.00,19.00,623.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(175,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45-1.jpg\"]',NULL,'SW-102-A0-A1',0,19,0,1,0,2,1,0,650,NULL,NULL,NULL,11.00,12.00,19.00,623.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(176,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-102-A0-A2',0,19,0,1,0,2,1,0,650,NULL,NULL,NULL,11.00,12.00,19.00,623.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(177,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-119-A0',0,20,0,1,0,3,1,0,654,NULL,NULL,NULL,16.00,11.00,13.00,799.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(178,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46-1.jpg\"]',NULL,'SW-119-A0-A1',0,20,0,1,0,3,1,0,654,NULL,NULL,NULL,16.00,11.00,13.00,799.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(179,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-119-A0-A2',0,20,0,1,0,3,1,0,654,NULL,NULL,NULL,16.00,11.00,13.00,799.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(180,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-155-A0',0,19,0,1,0,3,1,0,644,NULL,NULL,NULL,19.00,20.00,20.00,564.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(181,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47-1.jpg\"]',NULL,'SW-155-A0-A1',0,19,0,1,0,3,1,0,644,NULL,NULL,NULL,19.00,20.00,20.00,564.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(182,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48.jpg\"]',NULL,'SW-130-A0',0,15,0,1,0,2,1,0,893,678.68,NULL,NULL,17.00,12.00,16.00,647.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(183,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-1.jpg\"]',NULL,'SW-130-A0-A1',0,15,0,1,0,2,1,0,893,625.1,NULL,NULL,17.00,12.00,16.00,647.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(184,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49.jpg\"]',NULL,'SW-116-A0',0,17,0,1,0,4,1,0,954,NULL,NULL,NULL,19.00,14.00,17.00,716.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(185,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49-1.jpg\"]',NULL,'SW-116-A0-A1',0,17,0,1,0,4,1,0,954,NULL,NULL,NULL,19.00,14.00,17.00,716.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(186,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49-2.jpg\"]',NULL,'SW-116-A0-A2',0,17,0,1,0,4,1,0,954,NULL,NULL,NULL,19.00,14.00,17.00,716.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(187,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]',NULL,'SW-160-A0',0,11,0,1,0,3,1,0,1176,NULL,NULL,NULL,11.00,17.00,12.00,698.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(188,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50-1.jpg\"]',NULL,'SW-160-A0-A1',0,11,0,1,0,3,1,0,1176,NULL,NULL,NULL,11.00,17.00,12.00,698.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(189,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-127-A0',0,20,0,1,0,5,1,0,849,NULL,NULL,NULL,17.00,15.00,15.00,540.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(190,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-127-A0-A1',0,20,0,1,0,5,1,0,849,NULL,NULL,NULL,17.00,15.00,15.00,540.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(191,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-127-A0-A2',0,20,0,1,0,5,1,0,849,NULL,NULL,NULL,17.00,15.00,15.00,540.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(192,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-127-A0-A3',0,20,0,1,0,5,1,0,849,NULL,NULL,NULL,17.00,15.00,15.00,540.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(193,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,2,1,0,1205,1012.2,NULL,NULL,19.00,19.00,10.00,736.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(194,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-1.jpg\"]',NULL,'SW-178-A0-A1',0,14,0,1,0,2,1,0,1205,1072.45,NULL,NULL,19.00,19.00,10.00,736.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(195,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-2.jpg\"]',NULL,'SW-178-A0-A2',0,14,0,1,0,2,1,0,1205,843.5,NULL,NULL,19.00,19.00,10.00,736.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(196,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]',NULL,'SW-178-A0-A3',0,14,0,1,0,2,1,0,1205,1012.2,NULL,NULL,19.00,19.00,10.00,736.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(197,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-126-A0',0,11,0,1,0,3,1,0,627,NULL,NULL,NULL,12.00,10.00,18.00,762.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(198,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53-1.jpg\"]',NULL,'SW-126-A0-A1',0,11,0,1,0,3,1,0,627,NULL,NULL,NULL,12.00,10.00,18.00,762.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(199,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]',NULL,'SW-153-A0',0,16,0,1,0,2,1,0,993,NULL,NULL,NULL,20.00,19.00,14.00,800.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(200,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]',NULL,'SW-156-A0',0,15,0,1,0,4,1,0,1272,NULL,NULL,NULL,18.00,10.00,17.00,707.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(201,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]',NULL,'SW-164-A0',0,17,0,1,0,2,1,0,1275,1083.75,NULL,NULL,16.00,12.00,11.00,642.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(202,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-1.jpg\"]',NULL,'SW-164-A0-A1',0,17,0,1,0,2,1,0,1275,1096.5,NULL,NULL,16.00,12.00,11.00,642.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(203,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-2.jpg\"]',NULL,'SW-164-A0-A2',0,17,0,1,0,2,1,0,1275,956.25,NULL,NULL,16.00,12.00,11.00,642.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(204,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]',NULL,'SW-164-A0-A3',0,17,0,1,0,2,1,0,1275,1058.25,NULL,NULL,16.00,12.00,11.00,642.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(205,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-188-A0',0,16,0,1,0,3,1,0,944,NULL,NULL,NULL,14.00,19.00,13.00,734.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(206,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57-1.jpg\"]',NULL,'SW-188-A0-A1',0,16,0,1,0,3,1,0,944,NULL,NULL,NULL,14.00,19.00,13.00,734.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(207,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]',NULL,'SW-109-A0',0,13,0,1,0,3,1,0,1272,NULL,NULL,NULL,10.00,15.00,18.00,559.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(208,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-1.jpg\"]',NULL,'SW-109-A0-A1',0,13,0,1,0,3,1,0,1272,NULL,NULL,NULL,10.00,15.00,18.00,559.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(209,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59.jpg\"]',NULL,'SW-126-A0',0,11,0,1,0,3,1,0,1248,NULL,NULL,NULL,17.00,20.00,20.00,830.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(210,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59-1.jpg\"]',NULL,'SW-126-A0-A1',0,11,0,1,0,3,1,0,1248,NULL,NULL,NULL,17.00,20.00,20.00,830.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(211,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]',NULL,'SW-155-A0',0,15,0,1,0,2,1,0,1085,813.75,NULL,NULL,15.00,10.00,11.00,631.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(212,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60-1.jpg\"]',NULL,'SW-155-A0-A1',0,15,0,1,0,2,1,0,1085,954.8,NULL,NULL,15.00,10.00,11.00,631.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(213,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60-2.jpg\"]',NULL,'SW-155-A0-A2',0,15,0,1,0,2,1,0,1085,965.65,NULL,NULL,15.00,10.00,11.00,631.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(214,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-175-A0',0,13,0,1,0,5,1,0,1032,NULL,NULL,NULL,13.00,15.00,16.00,694.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:29','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(215,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]',NULL,'SW-129-A0',0,11,0,1,0,5,1,0,1022,NULL,NULL,NULL,20.00,17.00,10.00,688.00,NULL,0,'2024-08-09 23:59:29','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(216,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62-1.jpg\"]',NULL,'SW-129-A0-A1',0,11,0,1,0,5,1,0,1022,NULL,NULL,NULL,20.00,17.00,10.00,688.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(217,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-179-A0',0,10,0,1,0,3,1,0,715,NULL,NULL,NULL,17.00,14.00,11.00,648.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(218,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63-1.jpg\"]',NULL,'SW-179-A0-A1',0,10,0,1,0,3,1,0,715,NULL,NULL,NULL,17.00,14.00,11.00,648.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(219,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-183-A0',0,20,0,1,0,5,1,0,1222,1014.26,NULL,NULL,10.00,11.00,10.00,713.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(220,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64-1.jpg\"]',NULL,'SW-183-A0-A1',0,20,0,1,0,5,1,0,1222,1026.48,NULL,NULL,10.00,11.00,10.00,713.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(221,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-183-A0-A2',0,20,0,1,0,5,1,0,1222,879.84,NULL,NULL,10.00,11.00,10.00,713.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(222,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-183-A0-A3',0,20,0,1,0,5,1,0,1222,892.06,NULL,NULL,10.00,11.00,10.00,713.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(223,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65.jpg\"]',NULL,'SW-158-A0',0,20,0,1,0,1,1,0,792,NULL,NULL,NULL,18.00,20.00,15.00,762.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(224,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-1.jpg\"]',NULL,'SW-158-A0-A1',0,20,0,1,0,1,1,0,792,NULL,NULL,NULL,18.00,20.00,15.00,762.00,NULL,0,'2024-08-09 23:59:30','2024-08-09 23:59:30','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0);
/*!40000 ALTER TABLE `ec_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products_translations`
--

DROP TABLE IF EXISTS `ec_products_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_products_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products_translations`
--

LOCK TABLES `ec_products_translations` WRITE;
/*!40000 ALTER TABLE `ec_products_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_products_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_review_replies`
--

DROP TABLE IF EXISTS `ec_review_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_review_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `review_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_review_replies_review_id_user_id_unique` (`review_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_review_replies`
--

LOCK TABLES `ec_review_replies` WRITE;
/*!40000 ALTER TABLE `ec_review_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_review_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_reviews`
--

DROP TABLE IF EXISTS `ec_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned DEFAULT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_id` bigint unsigned NOT NULL,
  `star` double(8,2) NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_reviews_product_id_customer_id_unique` (`product_id`,`customer_id`),
  KEY `ec_reviews_product_id_customer_id_status_created_at_index` (`product_id`,`customer_id`,`status`,`created_at`),
  KEY `review_relation_index` (`product_id`,`customer_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_reviews`
--

LOCK TABLES `ec_reviews` WRITE;
/*!40000 ALTER TABLE `ec_reviews` DISABLE KEYS */;
INSERT INTO `ec_reviews` VALUES (1,2,NULL,NULL,63,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20.jpg\"]'),(2,7,NULL,NULL,51,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/47.jpg\",\"products\\/50-1.jpg\"]'),(3,2,NULL,NULL,45,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-2.jpg\"]'),(4,4,NULL,NULL,65,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-2.jpg\",\"products\\/21.jpg\",\"products\\/33-2.jpg\",\"products\\/55-1.jpg\"]'),(5,7,NULL,NULL,58,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/6.jpg\",\"products\\/35-1.jpg\",\"products\\/54-1.jpg\",\"products\\/57.jpg\"]'),(6,3,NULL,NULL,37,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/25.jpg\",\"products\\/37-1.jpg\",\"products\\/45.jpg\"]'),(7,6,NULL,NULL,28,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-3.jpg\",\"products\\/56-2.jpg\"]'),(8,8,NULL,NULL,42,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37-2.jpg\",\"products\\/41-2.jpg\",\"products\\/54-1.jpg\",\"products\\/58-2.jpg\"]'),(9,1,NULL,NULL,28,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/51.jpg\",\"products\\/59-3.jpg\",\"products\\/65.jpg\"]'),(10,8,NULL,NULL,47,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/8-1.jpg\",\"products\\/23-2.jpg\",\"products\\/61-1.jpg\"]'),(11,6,NULL,NULL,19,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\",\"products\\/28.jpg\",\"products\\/30-2.jpg\",\"products\\/37-1.jpg\"]'),(12,2,NULL,NULL,62,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31-1.jpg\",\"products\\/31.jpg\",\"products\\/53-1.jpg\",\"products\\/55-2.jpg\"]'),(13,5,NULL,NULL,33,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/49-1.jpg\"]'),(14,5,NULL,NULL,5,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/9.jpg\"]'),(15,3,NULL,NULL,6,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/23-3.jpg\",\"products\\/24-1.jpg\",\"products\\/36-2.jpg\"]'),(16,7,NULL,NULL,38,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/65-2.jpg\"]'),(17,5,NULL,NULL,58,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43-1.jpg\"]'),(18,4,NULL,NULL,59,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\",\"products\\/37-2.jpg\"]'),(19,2,NULL,NULL,11,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-2.jpg\",\"products\\/22-1.jpg\",\"products\\/30-1.jpg\",\"products\\/47-1.jpg\"]'),(20,6,NULL,NULL,29,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/5.jpg\",\"products\\/31.jpg\",\"products\\/61.jpg\"]'),(22,4,NULL,NULL,19,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/8-3.jpg\"]'),(23,3,NULL,NULL,41,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/48-1.jpg\"]'),(24,2,NULL,NULL,51,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/17-2.jpg\",\"products\\/40-1.jpg\",\"products\\/54.jpg\"]'),(25,9,NULL,NULL,8,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37.jpg\",\"products\\/48-2.jpg\",\"products\\/52-1.jpg\",\"products\\/53-1.jpg\"]'),(26,9,NULL,NULL,43,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8.jpg\",\"products\\/36.jpg\",\"products\\/40-1.jpg\"]'),(27,8,NULL,NULL,10,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/23-2.jpg\",\"products\\/31-1.jpg\"]'),(29,4,NULL,NULL,15,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/51.jpg\"]'),(30,4,NULL,NULL,1,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13-1.jpg\",\"products\\/18-2.jpg\",\"products\\/34-1.jpg\",\"products\\/40.jpg\"]'),(31,5,NULL,NULL,62,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21-2.jpg\",\"products\\/28-2.jpg\",\"products\\/39-1.jpg\"]'),(32,1,NULL,NULL,64,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/58-1.jpg\"]'),(33,6,NULL,NULL,27,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/25-2.jpg\",\"products\\/33-2.jpg\",\"products\\/64-1.jpg\"]'),(34,9,NULL,NULL,65,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/59.jpg\",\"products\\/60-1.jpg\",\"products\\/63.jpg\"]'),(35,5,NULL,NULL,54,4.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-3.jpg\"]'),(37,6,NULL,NULL,26,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/58.jpg\"]'),(38,3,NULL,NULL,39,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/18-2.jpg\",\"products\\/23.jpg\",\"products\\/27-1.jpg\"]'),(39,8,NULL,NULL,49,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-2.jpg\",\"products\\/39-1.jpg\",\"products\\/45-1.jpg\"]'),(40,8,NULL,NULL,4,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/35.jpg\"]'),(41,3,NULL,NULL,27,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33.jpg\"]'),(42,9,NULL,NULL,7,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/28.jpg\",\"products\\/61-1.jpg\"]'),(43,5,NULL,NULL,46,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/14.jpg\",\"products\\/18.jpg\",\"products\\/33.jpg\",\"products\\/58-1.jpg\"]'),(44,4,NULL,NULL,47,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/58-2.jpg\"]'),(45,6,NULL,NULL,18,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/12-1.jpg\",\"products\\/61-1.jpg\"]'),(46,4,NULL,NULL,12,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8.jpg\",\"products\\/18.jpg\"]'),(47,9,NULL,NULL,33,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-2.jpg\",\"products\\/54-1.jpg\"]'),(48,9,NULL,NULL,52,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/25-1.jpg\",\"products\\/34-1.jpg\",\"products\\/63.jpg\"]'),(49,4,NULL,NULL,4,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33.jpg\"]'),(50,1,NULL,NULL,61,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25.jpg\"]'),(51,3,NULL,NULL,47,5.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-1.jpg\"]'),(52,6,NULL,NULL,16,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/23-2.jpg\",\"products\\/53-1.jpg\",\"products\\/57-1.jpg\"]'),(53,7,NULL,NULL,60,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\",\"products\\/25.jpg\",\"products\\/50-1.jpg\"]'),(54,2,NULL,NULL,33,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/61-1.jpg\"]'),(55,8,NULL,NULL,61,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43.jpg\"]'),(56,5,NULL,NULL,23,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/25-2.jpg\",\"products\\/33-1.jpg\"]'),(58,3,NULL,NULL,10,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-3.jpg\",\"products\\/30-2.jpg\"]'),(59,2,NULL,NULL,57,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/39-2.jpg\",\"products\\/47.jpg\",\"products\\/56-2.jpg\"]'),(60,6,NULL,NULL,1,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41-1.jpg\",\"products\\/46-1.jpg\"]'),(61,3,NULL,NULL,7,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/43-2.jpg\",\"products\\/57-1.jpg\"]'),(62,6,NULL,NULL,55,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-3.jpg\",\"products\\/21.jpg\",\"products\\/32-2.jpg\",\"products\\/40.jpg\"]'),(63,5,NULL,NULL,29,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/64-1.jpg\"]'),(64,9,NULL,NULL,60,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\",\"products\\/18-2.jpg\",\"products\\/28-1.jpg\"]'),(65,7,NULL,NULL,24,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-1.jpg\",\"products\\/17-2.jpg\",\"products\\/38-3.jpg\"]'),(66,5,NULL,NULL,15,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/12.jpg\",\"products\\/27-1.jpg\",\"products\\/57.jpg\"]'),(68,2,NULL,NULL,21,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/20-2.jpg\",\"products\\/21.jpg\",\"products\\/60-1.jpg\"]'),(69,6,NULL,NULL,50,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18.jpg\",\"products\\/19.jpg\"]'),(70,2,NULL,NULL,16,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25-1.jpg\"]'),(71,6,NULL,NULL,63,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21-1.jpg\",\"products\\/24-2.jpg\",\"products\\/38-3.jpg\",\"products\\/59-1.jpg\"]'),(73,4,NULL,NULL,40,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/38-1.jpg\",\"products\\/43-2.jpg\",\"products\\/55-2.jpg\"]'),(74,4,NULL,NULL,37,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21-2.jpg\",\"products\\/21.jpg\",\"products\\/61.jpg\"]'),(75,1,NULL,NULL,23,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-3.jpg\",\"products\\/64-1.jpg\"]'),(76,2,NULL,NULL,7,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/20.jpg\",\"products\\/35-1.jpg\"]'),(77,2,NULL,NULL,6,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31-1.jpg\"]'),(78,5,NULL,NULL,60,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/39-1.jpg\",\"products\\/49-1.jpg\",\"products\\/55-2.jpg\",\"products\\/58-1.jpg\"]'),(79,6,NULL,NULL,42,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-1.jpg\",\"products\\/33-1.jpg\",\"products\\/40-1.jpg\",\"products\\/42.jpg\"]'),(80,3,NULL,NULL,58,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24.jpg\",\"products\\/62-1.jpg\"]'),(81,7,NULL,NULL,59,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/36.jpg\",\"products\\/55.jpg\",\"products\\/58-1.jpg\"]'),(82,6,NULL,NULL,49,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21-2.jpg\",\"products\\/33-2.jpg\"]'),(84,5,NULL,NULL,51,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-1.jpg\"]'),(85,5,NULL,NULL,11,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-3.jpg\"]'),(86,8,NULL,NULL,14,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-1.jpg\",\"products\\/48-1.jpg\",\"products\\/52-2.jpg\",\"products\\/53-1.jpg\"]'),(87,3,NULL,NULL,15,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-2.jpg\"]'),(88,7,NULL,NULL,19,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23.jpg\"]'),(89,1,NULL,NULL,29,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-1.jpg\",\"products\\/11-2.jpg\",\"products\\/12.jpg\",\"products\\/25-1.jpg\"]'),(90,2,NULL,NULL,28,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/7.jpg\",\"products\\/9-2.jpg\",\"products\\/11-1.jpg\"]'),(91,9,NULL,NULL,64,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/39-2.jpg\",\"products\\/65-2.jpg\"]'),(92,4,NULL,NULL,33,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\",\"products\\/44-1.jpg\",\"products\\/58.jpg\",\"products\\/59-3.jpg\"]'),(93,5,NULL,NULL,31,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/28-2.jpg\",\"products\\/29-2.jpg\",\"products\\/61-1.jpg\"]'),(95,8,NULL,NULL,43,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/42-2.jpg\",\"products\\/57-1.jpg\"]'),(96,1,NULL,NULL,1,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/28-1.jpg\",\"products\\/28-2.jpg\",\"products\\/49-1.jpg\"]'),(99,1,NULL,NULL,46,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/39-2.jpg\",\"products\\/58-2.jpg\",\"products\\/62-1.jpg\"]'),(100,5,NULL,NULL,14,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/40-1.jpg\",\"products\\/56.jpg\",\"products\\/58.jpg\"]'),(101,1,NULL,NULL,59,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/64.jpg\"]'),(102,1,NULL,NULL,7,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-1.jpg\",\"products\\/52-2.jpg\"]'),(104,4,NULL,NULL,49,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-3.jpg\",\"products\\/19-3.jpg\"]'),(106,9,NULL,NULL,15,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/10.jpg\",\"products\\/16.jpg\"]'),(107,6,NULL,NULL,7,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-1.jpg\",\"products\\/58.jpg\"]'),(108,4,NULL,NULL,29,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-1.jpg\",\"products\\/11.jpg\",\"products\\/28-2.jpg\",\"products\\/38.jpg\"]'),(109,3,NULL,NULL,51,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/39.jpg\"]'),(110,6,NULL,NULL,36,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/39-1.jpg\",\"products\\/42.jpg\",\"products\\/50-1.jpg\",\"products\\/64.jpg\"]'),(111,1,NULL,NULL,48,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-3.jpg\",\"products\\/12.jpg\",\"products\\/29-2.jpg\",\"products\\/43-2.jpg\"]'),(113,5,NULL,NULL,65,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\",\"products\\/13.jpg\",\"products\\/45.jpg\",\"products\\/54.jpg\"]'),(114,1,NULL,NULL,30,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/45-1.jpg\",\"products\\/53.jpg\"]'),(115,6,NULL,NULL,59,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/27.jpg\",\"products\\/53.jpg\"]'),(116,1,NULL,NULL,42,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-1.jpg\",\"products\\/25-2.jpg\",\"products\\/27.jpg\",\"products\\/62-1.jpg\"]'),(117,4,NULL,NULL,6,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-1.jpg\",\"products\\/20.jpg\",\"products\\/27.jpg\",\"products\\/48-2.jpg\"]'),(118,1,NULL,NULL,35,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/50.jpg\"]'),(120,5,NULL,NULL,27,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/1.jpg\",\"products\\/59.jpg\"]'),(122,3,NULL,NULL,2,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-2.jpg\"]'),(123,8,NULL,NULL,20,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/19-2.jpg\",\"products\\/30-1.jpg\",\"products\\/55-1.jpg\"]'),(126,5,NULL,NULL,35,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/21.jpg\",\"products\\/30-1.jpg\",\"products\\/38-2.jpg\"]'),(128,2,NULL,NULL,15,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-1.jpg\",\"products\\/57.jpg\"]'),(129,4,NULL,NULL,46,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/57.jpg\"]'),(130,7,NULL,NULL,7,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/27-1.jpg\",\"products\\/29-1.jpg\",\"products\\/56-2.jpg\"]'),(132,1,NULL,NULL,13,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\",\"products\\/33-1.jpg\",\"products\\/37-1.jpg\",\"products\\/46.jpg\"]'),(133,7,NULL,NULL,40,2.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20.jpg\",\"products\\/25-2.jpg\",\"products\\/53-1.jpg\",\"products\\/56.jpg\"]'),(134,7,NULL,NULL,5,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\",\"products\\/5.jpg\",\"products\\/15.jpg\",\"products\\/58.jpg\"]'),(135,7,NULL,NULL,16,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-1.jpg\",\"products\\/47-1.jpg\",\"products\\/48.jpg\"]'),(137,2,NULL,NULL,43,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21.jpg\",\"products\\/34.jpg\"]'),(139,1,NULL,NULL,45,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/53-1.jpg\",\"products\\/63-1.jpg\"]'),(140,7,NULL,NULL,37,3.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-2.jpg\",\"products\\/53-1.jpg\",\"products\\/57.jpg\"]'),(141,3,NULL,NULL,13,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/38.jpg\",\"products\\/60-1.jpg\"]'),(144,2,NULL,NULL,52,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\",\"products\\/42.jpg\",\"products\\/58-2.jpg\"]'),(145,6,NULL,NULL,62,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/8.jpg\",\"products\\/30-2.jpg\",\"products\\/56-1.jpg\"]'),(146,2,NULL,NULL,24,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/8-2.jpg\",\"products\\/30-1.jpg\",\"products\\/60.jpg\"]'),(148,1,NULL,NULL,65,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\",\"products\\/11.jpg\",\"products\\/12-3.jpg\",\"products\\/54.jpg\"]'),(150,9,NULL,NULL,53,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/42-1.jpg\"]'),(151,2,NULL,NULL,10,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/24.jpg\"]'),(152,7,NULL,NULL,64,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22.jpg\"]'),(153,9,NULL,NULL,50,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/36.jpg\"]'),(154,5,NULL,NULL,64,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-2.jpg\",\"products\\/58-1.jpg\"]'),(155,8,NULL,NULL,38,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-1.jpg\",\"products\\/24-1.jpg\",\"products\\/35.jpg\",\"products\\/61-1.jpg\"]'),(156,3,NULL,NULL,46,5.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/27-1.jpg\"]'),(157,2,NULL,NULL,50,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-2.jpg\",\"products\\/33-1.jpg\",\"products\\/42-2.jpg\",\"products\\/49-1.jpg\"]'),(158,3,NULL,NULL,60,1.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\"]'),(161,8,NULL,NULL,12,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-1.jpg\"]'),(162,9,NULL,NULL,38,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32.jpg\",\"products\\/39.jpg\",\"products\\/44.jpg\"]'),(164,9,NULL,NULL,55,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43-1.jpg\"]'),(165,9,NULL,NULL,62,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-2.jpg\"]'),(168,3,NULL,NULL,9,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/59-1.jpg\"]'),(169,1,NULL,NULL,63,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/36-2.jpg\",\"products\\/49.jpg\"]'),(170,2,NULL,NULL,53,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\"]'),(172,3,NULL,NULL,5,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19.jpg\",\"products\\/42-1.jpg\"]'),(173,1,NULL,NULL,10,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-3.jpg\",\"products\\/37.jpg\"]'),(174,7,NULL,NULL,41,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24.jpg\"]'),(175,8,NULL,NULL,56,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/12.jpg\",\"products\\/32-1.jpg\",\"products\\/62-1.jpg\"]'),(176,1,NULL,NULL,3,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\"]'),(177,6,NULL,NULL,25,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-1.jpg\",\"products\\/28-1.jpg\",\"products\\/39.jpg\"]'),(178,7,NULL,NULL,56,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48.jpg\"]'),(179,2,NULL,NULL,65,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-1.jpg\",\"products\\/13-1.jpg\",\"products\\/30-1.jpg\",\"products\\/53.jpg\"]'),(180,6,NULL,NULL,17,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/21-1.jpg\"]'),(182,1,NULL,NULL,52,3.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-2.jpg\",\"products\\/27-1.jpg\",\"products\\/44.jpg\"]'),(183,5,NULL,NULL,38,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/33-2.jpg\",\"products\\/33.jpg\",\"products\\/56-1.jpg\"]'),(184,8,NULL,NULL,29,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-1.jpg\",\"products\\/43.jpg\",\"products\\/50-1.jpg\"]'),(185,5,NULL,NULL,36,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/41-1.jpg\"]'),(186,9,NULL,NULL,27,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/11-2.jpg\",\"products\\/49-2.jpg\",\"products\\/62-1.jpg\"]'),(187,6,NULL,NULL,61,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-3.jpg\",\"products\\/28.jpg\",\"products\\/64-1.jpg\"]'),(188,5,NULL,NULL,53,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/28-2.jpg\"]'),(189,3,NULL,NULL,63,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/53.jpg\"]'),(190,8,NULL,NULL,3,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/49-1.jpg\",\"products\\/65-2.jpg\"]'),(191,9,NULL,NULL,5,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2.jpg\",\"products\\/17-2.jpg\",\"products\\/40.jpg\"]'),(193,7,NULL,NULL,44,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25-2.jpg\"]'),(194,4,NULL,NULL,14,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\"]'),(195,9,NULL,NULL,17,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-2.jpg\",\"products\\/24.jpg\",\"products\\/56-2.jpg\"]'),(196,8,NULL,NULL,53,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/25-1.jpg\"]'),(197,1,NULL,NULL,38,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/26.jpg\",\"products\\/41.jpg\"]'),(198,5,NULL,NULL,13,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/42.jpg\"]'),(199,2,NULL,NULL,41,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8.jpg\",\"products\\/10-1.jpg\",\"products\\/20-2.jpg\",\"products\\/54-1.jpg\"]'),(201,2,NULL,NULL,22,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/6.jpg\",\"products\\/11-3.jpg\",\"products\\/55-1.jpg\",\"products\\/61.jpg\"]'),(203,3,NULL,NULL,18,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\"]'),(204,6,NULL,NULL,32,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/23-2.jpg\",\"products\\/33.jpg\",\"products\\/65.jpg\"]'),(205,2,NULL,NULL,12,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/49-1.jpg\",\"products\\/51.jpg\"]'),(206,5,NULL,NULL,39,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-1.jpg\",\"products\\/37-1.jpg\",\"products\\/56-2.jpg\"]'),(208,8,NULL,NULL,41,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/52-2.jpg\"]'),(210,4,NULL,NULL,51,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-2.jpg\",\"products\\/36.jpg\",\"products\\/40-1.jpg\",\"products\\/48-2.jpg\"]'),(211,6,NULL,NULL,10,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12.jpg\"]'),(213,8,NULL,NULL,64,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22.jpg\",\"products\\/23-3.jpg\",\"products\\/25-1.jpg\",\"products\\/64-1.jpg\"]'),(215,3,NULL,NULL,53,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\"]'),(217,6,NULL,NULL,35,1.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\"]'),(218,1,NULL,NULL,26,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/1.jpg\",\"products\\/40.jpg\",\"products\\/44.jpg\"]'),(219,8,NULL,NULL,28,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/26-1.jpg\",\"products\\/39-2.jpg\",\"products\\/60-1.jpg\"]'),(220,4,NULL,NULL,64,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19.jpg\",\"products\\/22-1.jpg\",\"products\\/24.jpg\",\"products\\/41-2.jpg\"]'),(221,8,NULL,NULL,57,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/45-1.jpg\"]'),(223,3,NULL,NULL,28,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-2.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]'),(224,5,NULL,NULL,9,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\"]'),(226,3,NULL,NULL,38,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/19-1.jpg\"]'),(227,7,NULL,NULL,47,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/45.jpg\"]'),(228,9,NULL,NULL,63,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38.jpg\",\"products\\/43.jpg\"]'),(231,1,NULL,NULL,32,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-3.jpg\",\"products\\/46.jpg\"]'),(232,9,NULL,NULL,58,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-1.jpg\",\"products\\/37.jpg\"]'),(234,2,NULL,NULL,23,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-2.jpg\",\"products\\/37.jpg\",\"products\\/50-1.jpg\"]'),(235,2,NULL,NULL,13,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-3.jpg\"]'),(236,8,NULL,NULL,46,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/64-1.jpg\"]'),(237,4,NULL,NULL,57,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37-1.jpg\",\"products\\/65-1.jpg\"]'),(238,4,NULL,NULL,34,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-3.jpg\",\"products\\/30-1.jpg\",\"products\\/36.jpg\",\"products\\/61.jpg\"]'),(239,2,NULL,NULL,26,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-1.jpg\",\"products\\/36.jpg\",\"products\\/58.jpg\"]'),(240,9,NULL,NULL,42,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/36.jpg\",\"products\\/43.jpg\",\"products\\/44-2.jpg\"]'),(241,1,NULL,NULL,43,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/20.jpg\",\"products\\/60-2.jpg\",\"products\\/63.jpg\"]'),(242,5,NULL,NULL,47,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/26.jpg\"]'),(243,9,NULL,NULL,26,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10.jpg\",\"products\\/35-1.jpg\",\"products\\/43-2.jpg\"]'),(244,3,NULL,NULL,65,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/57.jpg\"]'),(245,5,NULL,NULL,3,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/60-1.jpg\"]'),(247,7,NULL,NULL,25,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-1.jpg\",\"products\\/45.jpg\"]'),(248,7,NULL,NULL,61,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/42.jpg\",\"products\\/47-1.jpg\"]'),(249,4,NULL,NULL,3,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-2.jpg\",\"products\\/54-1.jpg\"]'),(253,7,NULL,NULL,10,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/25-2.jpg\"]'),(254,9,NULL,NULL,34,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10.jpg\",\"products\\/23-1.jpg\",\"products\\/49-2.jpg\"]'),(255,5,NULL,NULL,55,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41.jpg\",\"products\\/49-1.jpg\"]'),(256,5,NULL,NULL,32,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-1.jpg\",\"products\\/35-1.jpg\",\"products\\/59-3.jpg\",\"products\\/61.jpg\"]'),(257,5,NULL,NULL,16,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-3.jpg\",\"products\\/32-2.jpg\"]'),(258,7,NULL,NULL,22,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\"]'),(259,3,NULL,NULL,48,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20.jpg\",\"products\\/36-2.jpg\"]'),(260,7,NULL,NULL,21,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/14.jpg\",\"products\\/52-1.jpg\",\"products\\/55.jpg\"]'),(261,1,NULL,NULL,21,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/60.jpg\"]'),(262,9,NULL,NULL,51,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22.jpg\",\"products\\/43.jpg\",\"products\\/55-1.jpg\"]'),(263,1,NULL,NULL,62,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21-1.jpg\",\"products\\/23.jpg\",\"products\\/64-1.jpg\"]'),(264,9,NULL,NULL,18,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\"]'),(266,8,NULL,NULL,48,3.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25-2.jpg\",\"products\\/54.jpg\"]'),(267,9,NULL,NULL,46,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31-1.jpg\",\"products\\/45-1.jpg\"]'),(268,4,NULL,NULL,52,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\",\"products\\/31-1.jpg\",\"products\\/55.jpg\",\"products\\/57-1.jpg\"]'),(270,3,NULL,NULL,31,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/17-3.jpg\"]'),(271,5,NULL,NULL,8,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/1.jpg\",\"products\\/12.jpg\"]'),(279,4,NULL,NULL,35,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31-1.jpg\",\"products\\/33-1.jpg\",\"products\\/60.jpg\"]'),(281,6,NULL,NULL,15,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/11-2.jpg\"]'),(282,3,NULL,NULL,4,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-3.jpg\",\"products\\/23-1.jpg\",\"products\\/27.jpg\",\"products\\/38.jpg\"]'),(283,5,NULL,NULL,1,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\"]'),(284,6,NULL,NULL,46,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33-1.jpg\",\"products\\/44-2.jpg\"]'),(286,7,NULL,NULL,62,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/23-3.jpg\",\"products\\/32-2.jpg\",\"products\\/52-1.jpg\"]'),(287,5,NULL,NULL,21,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/26-1.jpg\",\"products\\/31.jpg\"]'),(288,9,NULL,NULL,23,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/42-2.jpg\"]'),(290,5,NULL,NULL,28,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-2.jpg\",\"products\\/20-3.jpg\",\"products\\/21-2.jpg\"]'),(291,8,NULL,NULL,24,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22.jpg\",\"products\\/59-1.jpg\"]'),(292,9,NULL,NULL,49,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/44-2.jpg\",\"products\\/61.jpg\"]'),(293,7,NULL,NULL,46,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12.jpg\",\"products\\/22.jpg\",\"products\\/37.jpg\"]'),(297,9,NULL,NULL,2,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37.jpg\",\"products\\/41-2.jpg\",\"products\\/43-1.jpg\",\"products\\/52.jpg\"]'),(298,8,NULL,NULL,26,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\"]'),(300,2,NULL,NULL,35,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/18.jpg\",\"products\\/40-1.jpg\"]'),(302,7,NULL,NULL,29,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/35-1.jpg\"]'),(303,2,NULL,NULL,27,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/32.jpg\"]'),(305,7,NULL,NULL,14,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/14.jpg\"]'),(307,2,NULL,NULL,32,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19.jpg\"]'),(308,8,NULL,NULL,22,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-1.jpg\",\"products\\/52-2.jpg\",\"products\\/56-1.jpg\"]'),(310,4,NULL,NULL,38,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-2.jpg\",\"products\\/50-1.jpg\",\"products\\/65-2.jpg\"]'),(312,7,NULL,NULL,42,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-3.jpg\",\"products\\/62.jpg\"]'),(313,4,NULL,NULL,48,5.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\",\"products\\/34.jpg\"]'),(315,9,NULL,NULL,25,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-2.jpg\",\"products\\/42.jpg\"]'),(318,1,NULL,NULL,37,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-2.jpg\",\"products\\/39.jpg\"]'),(320,6,NULL,NULL,14,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/62.jpg\",\"products\\/63-1.jpg\",\"products\\/64.jpg\"]'),(321,2,NULL,NULL,14,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25-2.jpg\",\"products\\/36-1.jpg\",\"products\\/57.jpg\"]'),(322,6,NULL,NULL,11,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/5.jpg\",\"products\\/16.jpg\",\"products\\/55.jpg\"]'),(323,1,NULL,NULL,47,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/58.jpg\",\"products\\/60-2.jpg\"]'),(324,2,NULL,NULL,40,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\"]'),(325,3,NULL,NULL,8,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/59-1.jpg\"]'),(326,7,NULL,NULL,35,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31.jpg\",\"products\\/64.jpg\"]'),(330,8,NULL,NULL,21,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/47.jpg\"]'),(331,6,NULL,NULL,6,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/27.jpg\",\"products\\/45-1.jpg\",\"products\\/57-1.jpg\"]'),(333,3,NULL,NULL,32,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/6.jpg\",\"products\\/31.jpg\"]'),(334,3,NULL,NULL,3,1.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\"]'),(336,6,NULL,NULL,12,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17.jpg\",\"products\\/43-2.jpg\",\"products\\/53.jpg\"]'),(337,7,NULL,NULL,48,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/41-2.jpg\",\"products\\/55.jpg\",\"products\\/58-2.jpg\"]'),(338,4,NULL,NULL,25,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/57.jpg\"]'),(339,1,NULL,NULL,14,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-2.jpg\",\"products\\/64-1.jpg\"]'),(341,6,NULL,NULL,30,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/16.jpg\",\"products\\/56-1.jpg\"]'),(343,6,NULL,NULL,23,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/8-1.jpg\",\"products\\/15.jpg\",\"products\\/28.jpg\"]'),(344,3,NULL,NULL,62,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/26.jpg\",\"products\\/28-2.jpg\"]'),(345,2,NULL,NULL,47,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\",\"products\\/28-2.jpg\",\"products\\/30.jpg\"]'),(347,4,NULL,NULL,61,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-1.jpg\"]'),(348,5,NULL,NULL,4,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-3.jpg\",\"products\\/44.jpg\"]'),(349,1,NULL,NULL,58,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-2.jpg\",\"products\\/21-1.jpg\",\"products\\/22-2.jpg\"]'),(351,5,NULL,NULL,61,5.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/35.jpg\",\"products\\/42-2.jpg\"]'),(352,2,NULL,NULL,37,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31.jpg\"]'),(353,2,NULL,NULL,60,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41-1.jpg\",\"products\\/52-2.jpg\",\"products\\/65.jpg\"]'),(357,3,NULL,NULL,20,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-2.jpg\",\"products\\/21.jpg\",\"products\\/23-1.jpg\",\"products\\/54-1.jpg\"]'),(358,4,NULL,NULL,36,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/64.jpg\"]'),(360,8,NULL,NULL,6,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-2.jpg\",\"products\\/19-2.jpg\",\"products\\/41-1.jpg\",\"products\\/44-2.jpg\"]'),(362,2,NULL,NULL,31,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/17.jpg\",\"products\\/42.jpg\",\"products\\/54-1.jpg\"]'),(365,8,NULL,NULL,15,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/26-1.jpg\",\"products\\/41-1.jpg\",\"products\\/42-1.jpg\"]'),(366,4,NULL,NULL,22,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/37-1.jpg\",\"products\\/53.jpg\"]'),(367,8,NULL,NULL,63,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/25-2.jpg\"]'),(369,8,NULL,NULL,25,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13-1.jpg\",\"products\\/32-1.jpg\",\"products\\/64.jpg\",\"products\\/65-1.jpg\"]'),(370,6,NULL,NULL,5,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/23-1.jpg\",\"products\\/33-2.jpg\",\"products\\/38-1.jpg\"]'),(372,3,NULL,NULL,64,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/54.jpg\"]'),(375,3,NULL,NULL,30,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-1.jpg\",\"products\\/21.jpg\",\"products\\/26-1.jpg\"]'),(377,1,NULL,NULL,20,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/41-2.jpg\"]'),(378,2,NULL,NULL,34,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/14.jpg\"]'),(380,2,NULL,NULL,58,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-2.jpg\",\"products\\/40-1.jpg\",\"products\\/42-2.jpg\",\"products\\/44.jpg\"]'),(381,9,NULL,NULL,13,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-1.jpg\",\"products\\/36-2.jpg\",\"products\\/61.jpg\",\"products\\/62-1.jpg\"]'),(383,5,NULL,NULL,49,2.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/64-1.jpg\"]'),(386,1,NULL,NULL,2,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/29-2.jpg\",\"products\\/61.jpg\"]'),(388,7,NULL,NULL,63,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20.jpg\",\"products\\/28-2.jpg\",\"products\\/31.jpg\",\"products\\/65-1.jpg\"]'),(389,6,NULL,NULL,43,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/34.jpg\",\"products\\/40-1.jpg\",\"products\\/52.jpg\",\"products\\/59-1.jpg\"]'),(390,9,NULL,NULL,61,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/8-2.jpg\",\"products\\/26-1.jpg\"]'),(391,8,NULL,NULL,34,5.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/58-1.jpg\"]'),(392,9,NULL,NULL,39,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-3.jpg\",\"products\\/63-1.jpg\"]'),(397,4,NULL,NULL,17,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/15.jpg\",\"products\\/25-1.jpg\"]'),(400,6,NULL,NULL,53,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-2.jpg\",\"products\\/42.jpg\"]'),(401,3,NULL,NULL,54,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/40-1.jpg\",\"products\\/46.jpg\"]'),(402,7,NULL,NULL,3,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/14.jpg\",\"products\\/58.jpg\",\"products\\/61-1.jpg\"]'),(404,2,NULL,NULL,55,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/14.jpg\",\"products\\/56-1.jpg\",\"products\\/63-1.jpg\"]'),(405,3,NULL,NULL,12,5.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\"]'),(406,4,NULL,NULL,53,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/26.jpg\",\"products\\/29.jpg\",\"products\\/37-2.jpg\"]'),(408,3,NULL,NULL,17,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23-1.jpg\",\"products\\/29-2.jpg\"]'),(409,8,NULL,NULL,59,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43-2.jpg\"]'),(416,4,NULL,NULL,11,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/46-1.jpg\",\"products\\/49.jpg\",\"products\\/50.jpg\"]'),(418,5,NULL,NULL,30,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13.jpg\"]'),(419,8,NULL,NULL,35,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30.jpg\"]'),(420,1,NULL,NULL,36,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\"]'),(424,5,NULL,NULL,56,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/50.jpg\"]'),(426,2,NULL,NULL,17,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24.jpg\",\"products\\/48.jpg\"]'),(435,8,NULL,NULL,13,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\",\"products\\/52-1.jpg\"]'),(436,6,NULL,NULL,20,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21.jpg\",\"products\\/49.jpg\",\"products\\/52.jpg\",\"products\\/59.jpg\"]'),(438,7,NULL,NULL,50,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-2.jpg\"]'),(442,2,NULL,NULL,59,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10.jpg\",\"products\\/13-1.jpg\",\"products\\/60.jpg\"]'),(443,1,NULL,NULL,50,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-1.jpg\",\"products\\/59.jpg\",\"products\\/62-1.jpg\",\"products\\/64-1.jpg\"]'),(445,3,NULL,NULL,29,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/8-3.jpg\",\"products\\/36.jpg\",\"products\\/61-1.jpg\"]'),(446,5,NULL,NULL,44,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-1.jpg\",\"products\\/47.jpg\"]'),(447,6,NULL,NULL,60,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38.jpg\",\"products\\/56-1.jpg\",\"products\\/56.jpg\"]'),(451,9,NULL,NULL,32,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43.jpg\",\"products\\/48-2.jpg\"]'),(455,8,NULL,NULL,65,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8.jpg\",\"products\\/30-1.jpg\",\"products\\/58.jpg\"]'),(459,6,NULL,NULL,21,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/7.jpg\",\"products\\/11-2.jpg\",\"products\\/29-1.jpg\",\"products\\/41-1.jpg\"]'),(463,9,NULL,NULL,3,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/13-1.jpg\",\"products\\/65-1.jpg\"]'),(465,6,NULL,NULL,54,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\",\"products\\/27-1.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]'),(469,4,NULL,NULL,43,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19.jpg\",\"products\\/29-2.jpg\",\"products\\/33-2.jpg\"]'),(470,3,NULL,NULL,33,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/52.jpg\"]'),(474,4,NULL,NULL,42,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-1.jpg\"]'),(477,6,NULL,NULL,22,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-1.jpg\",\"products\\/17.jpg\"]'),(479,1,NULL,NULL,4,3.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33-1.jpg\",\"products\\/62.jpg\"]'),(480,8,NULL,NULL,37,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/9-1.jpg\",\"products\\/51.jpg\"]'),(483,3,NULL,NULL,40,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/63.jpg\"]'),(484,1,NULL,NULL,51,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/52.jpg\"]'),(486,7,NULL,NULL,27,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25.jpg\",\"products\\/50.jpg\"]'),(487,4,NULL,NULL,63,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-3.jpg\",\"products\\/17-1.jpg\",\"products\\/47-1.jpg\",\"products\\/50.jpg\"]'),(489,8,NULL,NULL,51,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13.jpg\",\"products\\/18-3.jpg\",\"products\\/61.jpg\"]'),(490,9,NULL,NULL,30,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38-3.jpg\",\"products\\/41.jpg\",\"products\\/47-1.jpg\",\"products\\/60-2.jpg\"]'),(494,7,NULL,NULL,49,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/40.jpg\",\"products\\/41.jpg\",\"products\\/44-1.jpg\",\"products\\/55.jpg\"]'),(497,9,NULL,NULL,54,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41.jpg\",\"products\\/48-1.jpg\"]'),(498,9,NULL,NULL,59,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-2.jpg\",\"products\\/21-1.jpg\",\"products\\/28.jpg\",\"products\\/65-2.jpg\"]'),(500,1,NULL,NULL,53,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41-1.jpg\",\"products\\/50-1.jpg\",\"products\\/57-1.jpg\",\"products\\/61-1.jpg\"]'),(502,3,NULL,NULL,19,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/35.jpg\",\"products\\/43-2.jpg\",\"products\\/46-1.jpg\"]'),(504,1,NULL,NULL,9,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-1.jpg\",\"products\\/63-1.jpg\",\"products\\/65-1.jpg\"]'),(508,4,NULL,NULL,21,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-3.jpg\",\"products\\/8-2.jpg\",\"products\\/20-2.jpg\",\"products\\/55-2.jpg\"]'),(511,8,NULL,NULL,31,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\"]'),(512,9,NULL,NULL,37,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8.jpg\",\"products\\/17-2.jpg\",\"products\\/48-1.jpg\"]'),(513,1,NULL,NULL,54,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-2.jpg\",\"products\\/34-1.jpg\",\"products\\/43-2.jpg\"]'),(514,7,NULL,NULL,11,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/28.jpg\",\"products\\/53.jpg\",\"products\\/56-2.jpg\",\"products\\/60-2.jpg\"]'),(517,7,NULL,NULL,39,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31-1.jpg\"]'),(518,3,NULL,NULL,55,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21.jpg\",\"products\\/46.jpg\"]'),(519,7,NULL,NULL,55,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\",\"products\\/36.jpg\"]'),(520,2,NULL,NULL,36,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-2.jpg\"]'),(526,7,NULL,NULL,32,2.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/7.jpg\"]'),(527,6,NULL,NULL,65,4.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\",\"products\\/22-1.jpg\",\"products\\/36.jpg\",\"products\\/42-2.jpg\"]'),(529,9,NULL,NULL,41,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-2.jpg\"]'),(531,8,NULL,NULL,30,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/31.jpg\",\"products\\/49-1.jpg\",\"products\\/62-1.jpg\"]'),(532,6,NULL,NULL,8,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/20-2.jpg\",\"products\\/35-1.jpg\"]'),(540,1,NULL,NULL,8,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/29-2.jpg\",\"products\\/41-1.jpg\",\"products\\/56.jpg\"]'),(544,1,NULL,NULL,33,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-2.jpg\",\"products\\/24.jpg\",\"products\\/36.jpg\"]'),(546,3,NULL,NULL,14,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-1.jpg\"]'),(547,3,NULL,NULL,57,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/14.jpg\",\"products\\/50.jpg\"]'),(548,9,NULL,NULL,29,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/22-2.jpg\"]'),(551,9,NULL,NULL,44,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/20-1.jpg\",\"products\\/30-2.jpg\"]'),(552,8,NULL,NULL,45,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/6.jpg\",\"products\\/22-2.jpg\"]'),(558,8,NULL,NULL,18,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-3.jpg\",\"products\\/33-1.jpg\",\"products\\/41-2.jpg\",\"products\\/55-1.jpg\"]'),(561,1,NULL,NULL,60,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/10.jpg\",\"products\\/53.jpg\"]'),(562,5,NULL,NULL,63,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\",\"products\\/38.jpg\",\"products\\/50.jpg\"]'),(565,9,NULL,NULL,36,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-2.jpg\",\"products\\/62.jpg\"]'),(566,6,NULL,NULL,64,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25-2.jpg\"]'),(568,1,NULL,NULL,41,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-3.jpg\"]'),(574,4,NULL,NULL,30,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9.jpg\",\"products\\/11.jpg\",\"products\\/22-1.jpg\",\"products\\/42.jpg\"]'),(575,9,NULL,NULL,31,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/29-2.jpg\",\"products\\/38-1.jpg\",\"products\\/56-1.jpg\"]'),(576,9,NULL,NULL,28,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-1.jpg\",\"products\\/38-2.jpg\"]'),(577,5,NULL,NULL,25,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/16.jpg\",\"products\\/18.jpg\",\"products\\/20-3.jpg\"]'),(580,1,NULL,NULL,15,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/42-1.jpg\",\"products\\/59.jpg\"]'),(584,5,NULL,NULL,50,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/33-2.jpg\",\"products\\/48-1.jpg\",\"products\\/63.jpg\"]'),(587,8,NULL,NULL,7,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-2.jpg\",\"products\\/28-1.jpg\"]'),(589,3,NULL,NULL,11,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-2.jpg\"]'),(596,7,NULL,NULL,34,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/37.jpg\",\"products\\/41-1.jpg\",\"products\\/59-3.jpg\"]'),(600,7,NULL,NULL,54,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/17-3.jpg\",\"products\\/25-2.jpg\"]'),(601,5,NULL,NULL,34,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-2.jpg\",\"products\\/9-2.jpg\",\"products\\/43.jpg\"]'),(613,8,NULL,NULL,2,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-1.jpg\"]'),(617,3,NULL,NULL,16,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/34.jpg\",\"products\\/38-3.jpg\",\"products\\/59-1.jpg\"]'),(621,7,NULL,NULL,18,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/1.jpg\",\"products\\/12-3.jpg\",\"products\\/22-2.jpg\"]'),(622,4,NULL,NULL,62,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37.jpg\",\"products\\/56-2.jpg\",\"products\\/63-1.jpg\"]'),(623,6,NULL,NULL,39,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-2.jpg\"]'),(627,8,NULL,NULL,32,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24.jpg\",\"products\\/51.jpg\"]'),(629,3,NULL,NULL,45,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/33-2.jpg\",\"products\\/44.jpg\"]'),(631,9,NULL,NULL,19,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/32-1.jpg\",\"products\\/38-1.jpg\"]'),(632,2,NULL,NULL,19,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/11-3.jpg\",\"products\\/38.jpg\",\"products\\/59.jpg\"]'),(635,3,NULL,NULL,34,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-2.jpg\",\"products\\/20-1.jpg\",\"products\\/64.jpg\"]'),(636,8,NULL,NULL,52,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/61.jpg\"]'),(642,7,NULL,NULL,28,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17.jpg\",\"products\\/18-3.jpg\"]'),(644,2,NULL,NULL,48,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32-1.jpg\",\"products\\/63-1.jpg\"]'),(647,6,NULL,NULL,4,4.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-2.jpg\",\"products\\/33-1.jpg\",\"products\\/41.jpg\",\"products\\/56.jpg\"]'),(651,2,NULL,NULL,4,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-3.jpg\",\"products\\/17-3.jpg\",\"products\\/19-3.jpg\",\"products\\/20-1.jpg\"]'),(656,8,NULL,NULL,55,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/1.jpg\",\"products\\/8.jpg\",\"products\\/28-1.jpg\",\"products\\/65-2.jpg\"]'),(658,4,NULL,NULL,58,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24.jpg\",\"products\\/53.jpg\"]'),(671,1,NULL,NULL,22,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/8-2.jpg\",\"products\\/19-1.jpg\",\"products\\/30.jpg\",\"products\\/64.jpg\"]'),(675,2,NULL,NULL,1,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-2.jpg\",\"products\\/32-2.jpg\",\"products\\/38-2.jpg\",\"products\\/39.jpg\"]'),(677,5,NULL,NULL,42,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23.jpg\",\"products\\/49.jpg\",\"products\\/60-1.jpg\"]'),(686,6,NULL,NULL,51,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/21.jpg\",\"products\\/25.jpg\",\"products\\/27.jpg\",\"products\\/56-1.jpg\"]'),(692,6,NULL,NULL,33,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33.jpg\"]'),(693,5,NULL,NULL,26,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/29-2.jpg\",\"products\\/49-1.jpg\"]'),(694,6,NULL,NULL,40,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/45.jpg\"]'),(695,7,NULL,NULL,43,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31.jpg\",\"products\\/56-1.jpg\",\"products\\/60.jpg\",\"products\\/62-1.jpg\"]'),(697,1,NULL,NULL,40,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/31.jpg\",\"products\\/55.jpg\"]'),(698,4,NULL,NULL,55,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/59-2.jpg\"]'),(699,5,NULL,NULL,22,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/33-2.jpg\",\"products\\/43-1.jpg\"]'),(703,6,NULL,NULL,56,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32.jpg\",\"products\\/65-2.jpg\"]'),(704,4,NULL,NULL,24,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25.jpg\",\"products\\/47.jpg\",\"products\\/57.jpg\",\"products\\/65-1.jpg\"]'),(705,3,NULL,NULL,35,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/11-1.jpg\",\"products\\/56.jpg\"]'),(706,2,NULL,NULL,8,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-1.jpg\",\"products\\/37-1.jpg\",\"products\\/60-2.jpg\",\"products\\/61.jpg\"]'),(719,4,NULL,NULL,50,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/18.jpg\",\"products\\/48-2.jpg\"]'),(721,9,NULL,NULL,16,3.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/12-3.jpg\",\"products\\/30.jpg\",\"products\\/56-1.jpg\"]'),(725,3,NULL,NULL,44,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15-1.jpg\",\"products\\/49.jpg\"]'),(726,4,NULL,NULL,45,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/60-1.jpg\"]'),(729,4,NULL,NULL,7,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\",\"products\\/65-1.jpg\"]'),(733,3,NULL,NULL,61,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/27.jpg\"]'),(735,5,NULL,NULL,40,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\",\"products\\/38.jpg\",\"products\\/56.jpg\"]'),(740,7,NULL,NULL,33,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-1.jpg\",\"products\\/30-2.jpg\",\"products\\/43.jpg\",\"products\\/46.jpg\"]'),(741,1,NULL,NULL,34,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-3.jpg\",\"products\\/59.jpg\"]'),(742,4,NULL,NULL,56,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17.jpg\",\"products\\/36-2.jpg\",\"products\\/45.jpg\"]'),(748,7,NULL,NULL,57,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-3.jpg\",\"products\\/59-1.jpg\"]'),(751,6,NULL,NULL,58,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\",\"products\\/37.jpg\",\"products\\/49-1.jpg\"]'),(753,5,NULL,NULL,2,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/22-3.jpg\",\"products\\/26.jpg\"]'),(755,5,NULL,NULL,19,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13-1.jpg\",\"products\\/27-1.jpg\",\"products\\/37.jpg\",\"products\\/48-1.jpg\"]'),(758,7,NULL,NULL,65,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/39.jpg\",\"products\\/55-2.jpg\"]'),(759,1,NULL,NULL,25,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/6.jpg\",\"products\\/38-1.jpg\"]'),(761,3,NULL,NULL,56,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/48-1.jpg\",\"products\\/49.jpg\"]'),(762,6,NULL,NULL,3,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/35-1.jpg\"]'),(763,9,NULL,NULL,9,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/34.jpg\",\"products\\/48-1.jpg\"]'),(768,1,NULL,NULL,49,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-3.jpg\",\"products\\/41-1.jpg\"]'),(769,5,NULL,NULL,24,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/31.jpg\",\"products\\/57-1.jpg\"]'),(771,3,NULL,NULL,1,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/14.jpg\"]'),(772,8,NULL,NULL,9,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/43-2.jpg\",\"products\\/51.jpg\"]'),(773,7,NULL,NULL,52,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/20-3.jpg\",\"products\\/57.jpg\"]'),(780,2,NULL,NULL,46,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19-1.jpg\",\"products\\/39-2.jpg\",\"products\\/43.jpg\"]'),(781,1,NULL,NULL,17,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\"]'),(786,2,NULL,NULL,64,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/33.jpg\"]'),(795,2,NULL,NULL,5,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-3.jpg\",\"products\\/50.jpg\"]'),(806,9,NULL,NULL,47,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/38.jpg\",\"products\\/54-1.jpg\"]'),(807,8,NULL,NULL,60,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-1.jpg\",\"products\\/29.jpg\",\"products\\/55-1.jpg\",\"products\\/65.jpg\"]'),(812,4,NULL,NULL,20,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/28-1.jpg\",\"products\\/44-2.jpg\"]'),(814,9,NULL,NULL,24,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30.jpg\",\"products\\/43-2.jpg\"]'),(822,3,NULL,NULL,50,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/16.jpg\",\"products\\/24-1.jpg\",\"products\\/43-1.jpg\"]'),(824,1,NULL,NULL,18,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/25.jpg\",\"products\\/57.jpg\"]'),(825,2,NULL,NULL,42,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11-1.jpg\"]'),(830,8,NULL,NULL,8,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/18-3.jpg\",\"products\\/21.jpg\",\"products\\/33-1.jpg\"]'),(831,5,NULL,NULL,52,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/34-1.jpg\"]'),(832,9,NULL,NULL,10,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/23.jpg\",\"products\\/25.jpg\"]'),(833,6,NULL,NULL,24,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37-1.jpg\",\"products\\/56-1.jpg\"]'),(835,9,NULL,NULL,45,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/42-2.jpg\",\"products\\/44.jpg\",\"products\\/47-1.jpg\"]'),(839,8,NULL,NULL,44,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/12-1.jpg\",\"products\\/37.jpg\",\"products\\/60.jpg\"]'),(840,8,NULL,NULL,50,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/36.jpg\",\"products\\/56-2.jpg\",\"products\\/65-1.jpg\"]'),(842,9,NULL,NULL,20,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-2.jpg\",\"products\\/28.jpg\",\"products\\/60-2.jpg\"]'),(846,5,NULL,NULL,20,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/42-1.jpg\"]'),(847,2,NULL,NULL,44,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-3.jpg\",\"products\\/30-1.jpg\"]'),(848,4,NULL,NULL,18,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4.jpg\"]'),(849,6,NULL,NULL,48,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/27.jpg\",\"products\\/37-2.jpg\",\"products\\/50-1.jpg\",\"products\\/65-1.jpg\"]'),(851,8,NULL,NULL,62,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/25-2.jpg\",\"products\\/59-2.jpg\",\"products\\/61-1.jpg\"]'),(854,7,NULL,NULL,17,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5.jpg\",\"products\\/59-2.jpg\"]'),(859,1,NULL,NULL,39,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/7.jpg\",\"products\\/14.jpg\"]'),(862,4,NULL,NULL,27,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-2.jpg\",\"products\\/23-3.jpg\"]'),(868,9,NULL,NULL,40,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/19.jpg\"]'),(882,8,NULL,NULL,5,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/15.jpg\",\"products\\/19-3.jpg\",\"products\\/46.jpg\"]'),(884,4,NULL,NULL,41,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/12-2.jpg\",\"products\\/16.jpg\",\"products\\/21-1.jpg\",\"products\\/65-1.jpg\"]'),(888,9,NULL,NULL,21,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/37-1.jpg\",\"products\\/44-2.jpg\"]'),(896,7,NULL,NULL,45,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/22-1.jpg\",\"products\\/27.jpg\",\"products\\/42-2.jpg\",\"products\\/52.jpg\"]'),(901,6,NULL,NULL,47,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/50.jpg\"]'),(904,6,NULL,NULL,44,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/41-2.jpg\"]'),(921,6,NULL,NULL,57,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31.jpg\"]'),(922,3,NULL,NULL,59,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/32.jpg\"]'),(923,4,NULL,NULL,16,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/13-1.jpg\"]'),(924,7,NULL,NULL,26,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/20-3.jpg\",\"products\\/28.jpg\",\"products\\/38-1.jpg\"]'),(927,4,NULL,NULL,32,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\"]'),(930,4,NULL,NULL,23,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/24-2.jpg\",\"products\\/37.jpg\",\"products\\/49-2.jpg\",\"products\\/51.jpg\"]'),(939,3,NULL,NULL,42,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/62.jpg\"]'),(940,9,NULL,NULL,1,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/30-2.jpg\",\"products\\/52-1.jpg\",\"products\\/60-1.jpg\",\"products\\/63-1.jpg\"]'),(946,4,NULL,NULL,9,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/17-1.jpg\",\"products\\/22-3.jpg\",\"products\\/40.jpg\",\"products\\/52-2.jpg\"]'),(950,7,NULL,NULL,13,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/3.jpg\",\"products\\/43-1.jpg\",\"products\\/55-1.jpg\",\"products\\/59-1.jpg\"]'),(955,3,NULL,NULL,24,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-2.jpg\",\"products\\/29.jpg\",\"products\\/37-2.jpg\"]'),(959,2,NULL,NULL,3,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/39-1.jpg\",\"products\\/44.jpg\"]'),(961,4,NULL,NULL,13,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/5-3.jpg\"]'),(962,9,NULL,NULL,48,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/28.jpg\"]'),(967,1,NULL,NULL,16,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/9-1.jpg\",\"products\\/17.jpg\",\"products\\/42-2.jpg\",\"products\\/52-1.jpg\"]'),(968,2,NULL,NULL,30,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/4-2.jpg\",\"products\\/23-1.jpg\",\"products\\/32-1.jpg\",\"products\\/52-2.jpg\"]'),(971,4,NULL,NULL,26,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\"]'),(973,7,NULL,NULL,36,3.00,'Clean & perfect source code','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/10-1.jpg\",\"products\\/13-1.jpg\",\"products\\/19.jpg\",\"products\\/36-1.jpg\"]'),(978,4,NULL,NULL,54,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/31.jpg\",\"products\\/41-2.jpg\",\"products\\/44.jpg\",\"products\\/47.jpg\"]'),(986,8,NULL,NULL,16,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/11.jpg\",\"products\\/56.jpg\"]'),(989,8,NULL,NULL,23,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/18-3.jpg\",\"products\\/33-1.jpg\"]'),(992,5,NULL,NULL,12,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:59:33','2024-08-09 23:59:33','[\"products\\/2-1.jpg\",\"products\\/8-3.jpg\",\"products\\/61.jpg\"]');
/*!40000 ALTER TABLE `ec_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shared_wishlists`
--

DROP TABLE IF EXISTS `ec_shared_wishlists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shared_wishlists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_ids` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_shared_wishlists_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shared_wishlists`
--

LOCK TABLES `ec_shared_wishlists` WRITE;
/*!40000 ALTER TABLE `ec_shared_wishlists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shared_wishlists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipment_histories`
--

DROP TABLE IF EXISTS `ec_shipment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipment_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `shipment_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipment_histories`
--

LOCK TABLES `ec_shipment_histories` WRITE;
/*!40000 ALTER TABLE `ec_shipment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipments`
--

DROP TABLE IF EXISTS `ec_shipments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `shipment_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cod_amount` decimal(15,2) DEFAULT '0.00',
  `cod_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cross_checking_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `price` decimal(15,2) DEFAULT '0.00',
  `store_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tracking_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimate_date_shipped` datetime DEFAULT NULL,
  `date_shipped` datetime DEFAULT NULL,
  `label_url` text COLLATE utf8mb4_unicode_ci,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipments`
--

LOCK TABLES `ec_shipments` WRITE;
/*!40000 ALTER TABLE `ec_shipments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping`
--

DROP TABLE IF EXISTS `ec_shipping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping`
--

LOCK TABLES `ec_shipping` WRITE;
/*!40000 ALTER TABLE `ec_shipping` DISABLE KEYS */;
INSERT INTO `ec_shipping` VALUES (1,'All',NULL,'2024-08-09 23:59:30','2024-08-09 23:59:30');
/*!40000 ALTER TABLE `ec_shipping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rule_items`
--

DROP TABLE IF EXISTS `ec_shipping_rule_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rule_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_rule_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_price` decimal(15,2) DEFAULT '0.00',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rule_items`
--

LOCK TABLES `ec_shipping_rule_items` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rule_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipping_rule_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rules`
--

DROP TABLE IF EXISTS `ec_shipping_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `shipping_id` bigint unsigned NOT NULL,
  `type` varchar(24) COLLATE utf8mb4_unicode_ci DEFAULT 'based_on_price',
  `from` decimal(15,2) DEFAULT '0.00',
  `to` decimal(15,2) DEFAULT '0.00',
  `price` decimal(15,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rules`
--

LOCK TABLES `ec_shipping_rules` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rules` DISABLE KEYS */;
INSERT INTO `ec_shipping_rules` VALUES (1,'Free delivery',1,'based_on_price',1000.00,NULL,0.00,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(2,'Flat Rate',1,'based_on_price',0.00,NULL,20.00,'2024-08-09 23:59:30','2024-08-09 23:59:30'),(3,'Local Pickup',1,'based_on_price',0.00,NULL,0.00,'2024-08-09 23:59:30','2024-08-09 23:59:30');
/*!40000 ALTER TABLE `ec_shipping_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_store_locators`
--

DROP TABLE IF EXISTS `ec_store_locators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_store_locators` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_primary` tinyint(1) DEFAULT '0',
  `is_shipping_location` tinyint(1) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_store_locators`
--

LOCK TABLES `ec_store_locators` WRITE;
/*!40000 ALTER TABLE `ec_store_locators` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_store_locators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_products`
--

DROP TABLE IF EXISTS `ec_tax_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_products` (
  `tax_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tax_id`),
  KEY `ec_tax_products_tax_id_index` (`tax_id`),
  KEY `ec_tax_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_products`
--

LOCK TABLES `ec_tax_products` WRITE;
/*!40000 ALTER TABLE `ec_tax_products` DISABLE KEYS */;
INSERT INTO `ec_tax_products` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65);
/*!40000 ALTER TABLE `ec_tax_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_rules`
--

DROP TABLE IF EXISTS `ec_tax_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_rules`
--

LOCK TABLES `ec_tax_rules` WRITE;
/*!40000 ALTER TABLE `ec_tax_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_tax_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_taxes`
--

DROP TABLE IF EXISTS `ec_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_taxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_taxes`
--

LOCK TABLES `ec_taxes` WRITE;
/*!40000 ALTER TABLE `ec_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_wish_lists`
--

DROP TABLE IF EXISTS `ec_wish_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_wish_lists` (
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`product_id`),
  KEY `wishlist_relation_index` (`product_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_wish_lists`
--

LOCK TABLES `ec_wish_lists` WRITE;
/*!40000 ALTER TABLE `ec_wish_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_wish_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
INSERT INTO `faq_categories` VALUES (1,'Sales &amp; Pricing',0,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(2,'Project Management',1,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(3,'Client Satisfaction',2,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(4,'Our Team',3,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(5,'Security',4,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(6,'Client Support',5,'published','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL);
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
INSERT INTO `faqs` VALUES (1,'Can I see a demo before purchasing your business services?','Absolutely! We understand that seeing our services in action can be helpful. In most cases, we can provide a free demo or consultation to showcase our capabilities and ensure they align with your specific needs.',3,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(2,'What types of payment plans do you offer for your business services?','We offer flexible payment plans to cater to different business budgets. We may offer upfront payments,  monthly installments, or project-based pricing depending on the service.  Feel free to discuss your preferred payment option with our sales team to find the best solution for you.',3,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(3,'What is the turnaround time for your business services?','Turnaround times can vary depending on the complexity of the service and your specific needs. We will provide a clear timeline during the initial consultation or proposal stage. We also prioritize open communication and keep you updated throughout the process.',5,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(4,'Do you offer any guarantees or warranties on your business services?','We stand behind the quality of our work and offer satisfaction guarantees on many of our services. The specific terms will be outlined in our agreement. If you have any concerns, don\'t hesitate to ask for clarification.',5,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(5,'What qualifications or certifications do your team members have?','Our team is comprised of experienced and qualified professionals. We invest in ongoing training to ensure we stay up-to-date on the latest industry trends and best practices.  Feel free to inquire about specific credentials or expertise relevant to your needs.',4,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(6,'How do you ensure the security of my data when using your business services?','Data security is a top priority for us. We employ robust security measures to protect your information, including secure servers, encryption protocols, and access controls. We can provide more details about our security practices upon request.',3,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(7,'Can I customize your business services to fit my specific needs?','Yes, customization is often possible. We understand that every business is unique. We take the time to understand your requirements and tailor our services to deliver the best possible outcome for your specific situation.',2,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(8,'How can I get a quote for your business services?','Getting a quote is easy! Simply contact us through our website, email, or phone. We will discuss your needs and provide a personalized quote based on the chosen service and its scope.',6,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(9,'What is the difference between your various business service packages?','We offer a variety of service packages to cater to different business needs and budgets. Each package will typically include a specific set of features or deliverables.  We would be happy to explain the differences and recommend the best option for you during a consultation.',2,'published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(10,'Do you offer any ongoing support after I purchase your business services?','Yes, we offer ongoing support to ensure you get the most out of our services. This may include training materials, access to a help desk, or even additional consultations depending on the service.',2,'published','2024-08-09 23:58:41','2024-08-09 23:58:41');
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fob_comments`
--

DROP TABLE IF EXISTS `fob_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fob_comments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reply_to` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fob_comments_author_type_author_id_index` (`author_type`,`author_id`),
  KEY `fob_comments_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `fob_comments_reply_to_index` (`reply_to`),
  KEY `fob_comments_reference_url_index` (`reference_url`),
  KEY `fob_comments_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fob_comments`
--

LOCK TABLES `fob_comments` WRITE;
/*!40000 ALTER TABLE `fob_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `fob_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries`
--

DROP TABLE IF EXISTS `galleries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleries_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries`
--

LOCK TABLES `galleries` WRITE;
/*!40000 ALTER TABLE `galleries` DISABLE KEYS */;
INSERT INTO `galleries` VALUES (1,'Perfect','Quis qui temporibus rem aut numquam. Ipsa dolorem quia sed ut consequuntur officia quia. Laudantium harum pariatur molestiae ad ab incidunt impedit.',0,0,'galleries/1.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(2,'New Day','Sint recusandae repellat aut dolorem. Tempore necessitatibus vero rerum rerum vitae. Atque voluptatem rerum esse libero.',0,0,'galleries/2.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(3,'Happy Day','Quaerat delectus in omnis laudantium. Quidem eligendi quia autem repellat. Illo rerum unde nobis velit aut. Quibusdam aperiam accusamus ullam.',0,0,'galleries/3.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(4,'Nature','Corporis ea consectetur sint sint accusamus quis veniam soluta. Beatae vitae corporis ipsam odit provident voluptas.',0,0,'galleries/4.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(5,'Morning','Dicta consequuntur atque porro. Voluptatibus in excepturi distinctio accusamus.',0,0,'galleries/5.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(6,'Sunset','Magni aut unde vel fugiat eum est. Tempora quo voluptatum rerum cum aperiam. Velit ipsam fuga ut reiciendis et neque voluptas.',0,0,'galleries/6.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(7,'Ocean Views','Beatae qui quia autem dolorem nihil. Sapiente voluptatem ea adipisci eaque. Laboriosam sint amet repudiandae ex qui.',0,0,'galleries/7.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30'),(8,'Adventure Time','Totam id maxime modi voluptatem ea eos. Quasi quod molestiae modi dolorem. A adipisci dignissimos odit sit veniam perspiciatis quis.',0,0,'galleries/8.jpg',1,'published','2024-08-09 23:58:30','2024-08-09 23:58:30');
/*!40000 ALTER TABLE `galleries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries_translations`
--

DROP TABLE IF EXISTS `galleries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `galleries_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`galleries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries_translations`
--

LOCK TABLES `galleries_translations` WRITE;
/*!40000 ALTER TABLE `galleries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `galleries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta`
--

DROP TABLE IF EXISTS `gallery_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `images` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gallery_meta_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta`
--

LOCK TABLES `gallery_meta` WRITE;
/*!40000 ALTER TABLE `gallery_meta` DISABLE KEYS */;
INSERT INTO `gallery_meta` VALUES (1,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',1,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(2,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',2,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(3,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',3,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(4,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',4,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(5,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',5,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(6,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',6,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(7,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',7,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30'),(8,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',8,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:58:30','2024-08-09 23:58:30');
/*!40000 ALTER TABLE `gallery_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta_translations`
--

DROP TABLE IF EXISTS `gallery_meta_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gallery_meta_id` bigint unsigned NOT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`gallery_meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta_translations`
--

LOCK TABLES `gallery_meta_translations` WRITE;
/*!40000 ALTER TABLE `gallery_meta_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery_meta_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','964e72474a4d9768cbeeb967519ba338',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','12eca3cbf3ee9a22ee378c4bb421be4a',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','0864ec8ef7d2644dc702d51c760733f4',1,'Botble\\SimpleSlider\\Models\\SimpleSlider');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `visibility` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'public',
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=336 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'about-us-information-1','about-us-information-1',1,'image/jpeg',12878,'general/about-us-information-1.jpg','[]','2024-08-09 23:58:19','2024-08-09 23:58:19',NULL,'public'),(2,0,'about-us-information-10','about-us-information-10',1,'image/jpeg',6813,'general/about-us-information-10.jpg','[]','2024-08-09 23:58:19','2024-08-09 23:58:19',NULL,'public'),(3,0,'about-us-information-11-1','about-us-information-11-1',1,'image/jpeg',4980,'general/about-us-information-11-1.jpg','[]','2024-08-09 23:58:19','2024-08-09 23:58:19',NULL,'public'),(4,0,'about-us-information-11-2','about-us-information-11-2',1,'image/png',1940,'general/about-us-information-11-2.png','[]','2024-08-09 23:58:19','2024-08-09 23:58:19',NULL,'public'),(5,0,'about-us-information-11','about-us-information-11',1,'image/jpeg',7174,'general/about-us-information-11.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(6,0,'about-us-information-13','about-us-information-13',1,'image/jpeg',13236,'general/about-us-information-13.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(7,0,'about-us-information-14','about-us-information-14',1,'image/png',30399,'general/about-us-information-14.png','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(8,0,'about-us-information-15','about-us-information-15',1,'image/png',7778,'general/about-us-information-15.png','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(9,0,'about-us-information-16','about-us-information-16',1,'image/png',7320,'general/about-us-information-16.png','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(10,0,'about-us-information-2-1','about-us-information-2-1',1,'image/jpeg',8580,'general/about-us-information-2-1.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(11,0,'about-us-information-2-2','about-us-information-2-2',1,'image/jpeg',2974,'general/about-us-information-2-2.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(12,0,'about-us-information-3-1','about-us-information-3-1',1,'image/jpeg',10406,'general/about-us-information-3-1.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(13,0,'about-us-information-3-2','about-us-information-3-2',1,'image/jpeg',1745,'general/about-us-information-3-2.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(14,0,'about-us-information-4-1','about-us-information-4-1',1,'image/jpeg',9362,'general/about-us-information-4-1.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(15,0,'about-us-information-4-2','about-us-information-4-2',1,'image/jpeg',2161,'general/about-us-information-4-2.jpg','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(16,0,'about-us-information-4-3','about-us-information-4-3',1,'image/png',9470,'general/about-us-information-4-3.png','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(17,0,'about-us-information-5-1','about-us-information-5-1',1,'image/png',2845,'general/about-us-information-5-1.png','[]','2024-08-09 23:58:20','2024-08-09 23:58:20',NULL,'public'),(18,0,'about-us-information-5','about-us-information-5',1,'image/jpeg',10266,'general/about-us-information-5.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(19,0,'about-us-information-6-1','about-us-information-6-1',1,'image/png',9939,'general/about-us-information-6-1.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(20,0,'about-us-information-6-2','about-us-information-6-2',1,'image/png',3037,'general/about-us-information-6-2.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(21,0,'about-us-information-6-3','about-us-information-6-3',1,'image/png',2223,'general/about-us-information-6-3.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(22,0,'about-us-information-6-4','about-us-information-6-4',1,'image/png',12341,'general/about-us-information-6-4.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(23,0,'about-us-information-6','about-us-information-6',1,'image/jpeg',4329,'general/about-us-information-6.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(24,0,'about-us-information-7','about-us-information-7',1,'image/png',13510,'general/about-us-information-7.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(25,0,'about-us-information-8-1','about-us-information-8-1',1,'image/jpeg',8429,'general/about-us-information-8-1.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(26,0,'about-us-information-8-2','about-us-information-8-2',1,'image/jpeg',3553,'general/about-us-information-8-2.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(27,0,'about-us-information-9-1','about-us-information-9-1',1,'image/png',8037,'general/about-us-information-9-1.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(28,0,'about-us-information-9','about-us-information-9',1,'image/png',8152,'general/about-us-information-9.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(29,0,'author-avatar','author-avatar',1,'image/png',3528,'general/author-avatar.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(30,0,'author-signature','author-signature',1,'image/png',428,'general/author-signature.png','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(31,0,'consulting-block','consulting-block',1,'image/jpeg',5821,'general/consulting-block.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(32,0,'content-featured','content-featured',1,'image/jpeg',5678,'general/content-featured.jpg','[]','2024-08-09 23:58:21','2024-08-09 23:58:21',NULL,'public'),(33,0,'faq','faq',1,'image/png',24258,'general/faq.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(34,0,'hero-banner-4','hero-banner-4',1,'image/png',14400,'general/hero-banner-4.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(35,0,'hero-banner-5-1','hero-banner-5-1',1,'image/png',1967,'general/hero-banner-5-1.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(36,0,'hero-banner-5','hero-banner-5',1,'image/png',10642,'general/hero-banner-5.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(37,0,'hero-banner-slider-team','hero-banner-slider-team',1,'image/png',1760,'general/hero-banner-slider-team.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(38,0,'testimonials-1','testimonials-1',1,'image/png',6274,'general/testimonials-1.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(39,0,'testimonials-4-1','testimonials-4-1',1,'image/png',8618,'general/testimonials-4-1.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(40,0,'testimonials-4','testimonials-4',1,'image/png',8618,'general/testimonials-4.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(41,0,'favicon','favicon',2,'image/png',756,'icons/favicon.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(42,0,'logo-white','logo-white',2,'image/png',1748,'icons/logo-white.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(43,0,'logo','logo',2,'image/png',2537,'icons/logo.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(44,0,'popularity','popularity',2,'image/png',1531,'icons/popularity.png','[]','2024-08-09 23:58:22','2024-08-09 23:58:22',NULL,'public'),(45,0,'preloader-image','preloader-image',2,'image/gif',602487,'icons/preloader-image.gif','[]','2024-08-09 23:58:23','2024-08-09 23:58:23',NULL,'public'),(46,0,'star','star',2,'image/png',2711,'icons/star.png','[]','2024-08-09 23:58:25','2024-08-09 23:58:25',NULL,'public'),(47,0,'time','time',2,'image/png',1402,'icons/time.png','[]','2024-08-09 23:58:25','2024-08-09 23:58:25',NULL,'public'),(48,0,'trophy','trophy',2,'image/png',2209,'icons/trophy.png','[]','2024-08-09 23:58:25','2024-08-09 23:58:25',NULL,'public'),(49,0,'about-us-information-bg','about-us-information-bg',3,'image/jpeg',26687,'backgrounds/about-us-information-bg.jpg','[]','2024-08-09 23:58:25','2024-08-09 23:58:25',NULL,'public'),(50,0,'blog-posts-bg','blog-posts-bg',3,'image/jpeg',28680,'backgrounds/blog-posts-bg.jpg','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(51,0,'breadcrumb-bg','breadcrumb-bg',3,'image/jpeg',8920,'backgrounds/breadcrumb-bg.jpg','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(52,0,'contact-block-bg-1','contact-block-bg-1',3,'image/jpeg',19498,'backgrounds/contact-block-bg-1.jpg','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(53,0,'contact-block-bg-3','contact-block-bg-3',3,'image/png',216066,'backgrounds/contact-block-bg-3.png','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(54,0,'contact-block-bg','contact-block-bg',3,'image/jpeg',19498,'backgrounds/contact-block-bg.jpg','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(55,0,'footer-bg','footer-bg',3,'image/png',23940,'backgrounds/footer-bg.png','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(56,0,'hero-banner-1','hero-banner-1',3,'image/jpeg',20022,'backgrounds/hero-banner-1.jpg','[]','2024-08-09 23:58:26','2024-08-09 23:58:26',NULL,'public'),(57,0,'hero-banner-bg-4','hero-banner-bg-4',3,'image/jpeg',37935,'backgrounds/hero-banner-bg-4.jpg','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(58,0,'hero-banner-bg-5','hero-banner-bg-5',3,'image/jpeg',25168,'backgrounds/hero-banner-bg-5.jpg','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(59,0,'hero-banner','hero-banner',3,'image/jpeg',20022,'backgrounds/hero-banner.jpg','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(60,0,'newsletter-bg','newsletter-bg',3,'image/png',8876,'backgrounds/newsletter-bg.png','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(61,0,'services-bg-3','services-bg-3',3,'image/jpeg',35882,'backgrounds/services-bg-3.jpg','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(62,0,'services-bg','services-bg',3,'image/jpeg',31420,'backgrounds/services-bg.jpg','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(63,0,'site-statistics-bg','site-statistics-bg',3,'image/png',31111,'backgrounds/site-statistics-bg.png','[]','2024-08-09 23:58:27','2024-08-09 23:58:27',NULL,'public'),(65,0,'document','document',5,'application/pdf',9593,'downloads/document.pdf','[]','2024-08-09 23:58:28','2024-08-09 23:58:28',NULL,'public'),(66,0,'1','1',6,'image/jpeg',33268,'galleries/1.jpg','[]','2024-08-09 23:58:28','2024-08-09 23:58:28',NULL,'public'),(67,0,'2','2',6,'image/jpeg',33268,'galleries/2.jpg','[]','2024-08-09 23:58:28','2024-08-09 23:58:28',NULL,'public'),(68,0,'3','3',6,'image/jpeg',33268,'galleries/3.jpg','[]','2024-08-09 23:58:29','2024-08-09 23:58:29',NULL,'public'),(69,0,'4','4',6,'image/jpeg',33268,'galleries/4.jpg','[]','2024-08-09 23:58:29','2024-08-09 23:58:29',NULL,'public'),(70,0,'5','5',6,'image/jpeg',33268,'galleries/5.jpg','[]','2024-08-09 23:58:29','2024-08-09 23:58:29',NULL,'public'),(71,0,'6','6',6,'image/jpeg',33268,'galleries/6.jpg','[]','2024-08-09 23:58:29','2024-08-09 23:58:29',NULL,'public'),(72,0,'7','7',6,'image/jpeg',33268,'galleries/7.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(73,0,'8','8',6,'image/jpeg',33268,'galleries/8.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(74,0,'1','1',7,'image/jpeg',9803,'teams/1.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(75,0,'2-1','2-1',7,'image/jpeg',9803,'teams/2-1.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(76,0,'2-2','2-2',7,'image/jpeg',9803,'teams/2-2.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(77,0,'2-3','2-3',7,'image/jpeg',9803,'teams/2-3.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(78,0,'2-4','2-4',7,'image/jpeg',9803,'teams/2-4.jpg','[]','2024-08-09 23:58:30','2024-08-09 23:58:30',NULL,'public'),(79,0,'2-5','2-5',7,'image/jpeg',9803,'teams/2-5.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(80,0,'2-6','2-6',7,'image/jpeg',9803,'teams/2-6.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(81,0,'2-7','2-7',7,'image/jpeg',9803,'teams/2-7.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(82,0,'2-8','2-8',7,'image/jpeg',9803,'teams/2-8.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(83,0,'2','2',7,'image/jpeg',9803,'teams/2.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(84,0,'3','3',7,'image/jpeg',9803,'teams/3.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(85,0,'4','4',7,'image/jpeg',9803,'teams/4.jpg','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(86,0,'5-1','5-1',7,'image/png',9803,'teams/5-1.png','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(87,0,'5-2','5-2',7,'image/png',9803,'teams/5-2.png','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(88,0,'5-3','5-3',7,'image/png',9803,'teams/5-3.png','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(89,0,'5-4','5-4',7,'image/png',9803,'teams/5-4.png','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(90,0,'5-5','5-5',7,'image/png',9803,'teams/5-5.png','[]','2024-08-09 23:58:31','2024-08-09 23:58:31',NULL,'public'),(91,0,'5-6','5-6',7,'image/png',9803,'teams/5-6.png','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(92,0,'5-7','5-7',7,'image/png',9803,'teams/5-7.png','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(93,0,'5-8','5-8',7,'image/png',9803,'teams/5-8.png','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(94,0,'5','5',7,'image/jpeg',9803,'teams/5.jpg','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(95,0,'6','6',7,'image/jpeg',9803,'teams/6.jpg','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(96,0,'7','7',7,'image/jpeg',9803,'teams/7.jpg','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(97,0,'8','8',7,'image/jpeg',9803,'teams/8.jpg','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(98,0,'1','1',8,'image/jpeg',33268,'news/1.jpg','[]','2024-08-09 23:58:32','2024-08-09 23:58:32',NULL,'public'),(99,0,'10','10',8,'image/jpeg',33268,'news/10.jpg','[]','2024-08-09 23:58:33','2024-08-09 23:58:33',NULL,'public'),(100,0,'11','11',8,'image/jpeg',33268,'news/11.jpg','[]','2024-08-09 23:58:33','2024-08-09 23:58:33',NULL,'public'),(101,0,'12','12',8,'image/jpeg',33268,'news/12.jpg','[]','2024-08-09 23:58:33','2024-08-09 23:58:33',NULL,'public'),(102,0,'13','13',8,'image/jpeg',33268,'news/13.jpg','[]','2024-08-09 23:58:33','2024-08-09 23:58:33',NULL,'public'),(103,0,'14','14',8,'image/jpeg',33268,'news/14.jpg','[]','2024-08-09 23:58:34','2024-08-09 23:58:34',NULL,'public'),(104,0,'15','15',8,'image/jpeg',33268,'news/15.jpg','[]','2024-08-09 23:58:34','2024-08-09 23:58:34',NULL,'public'),(105,0,'16','16',8,'image/jpeg',33268,'news/16.jpg','[]','2024-08-09 23:58:34','2024-08-09 23:58:34',NULL,'public'),(106,0,'17','17',8,'image/jpeg',33268,'news/17.jpg','[]','2024-08-09 23:58:34','2024-08-09 23:58:34',NULL,'public'),(107,0,'18','18',8,'image/jpeg',33268,'news/18.jpg','[]','2024-08-09 23:58:35','2024-08-09 23:58:35',NULL,'public'),(108,0,'19','19',8,'image/jpeg',33268,'news/19.jpg','[]','2024-08-09 23:58:35','2024-08-09 23:58:35',NULL,'public'),(109,0,'2','2',8,'image/jpeg',33268,'news/2.jpg','[]','2024-08-09 23:58:35','2024-08-09 23:58:35',NULL,'public'),(110,0,'20','20',8,'image/jpeg',33268,'news/20.jpg','[]','2024-08-09 23:58:35','2024-08-09 23:58:35',NULL,'public'),(111,0,'3','3',8,'image/jpeg',33268,'news/3.jpg','[]','2024-08-09 23:58:36','2024-08-09 23:58:36',NULL,'public'),(112,0,'4','4',8,'image/jpeg',33268,'news/4.jpg','[]','2024-08-09 23:58:36','2024-08-09 23:58:36',NULL,'public'),(113,0,'5','5',8,'image/jpeg',33268,'news/5.jpg','[]','2024-08-09 23:58:36','2024-08-09 23:58:36',NULL,'public'),(114,0,'6','6',8,'image/jpeg',33268,'news/6.jpg','[]','2024-08-09 23:58:36','2024-08-09 23:58:36',NULL,'public'),(115,0,'7','7',8,'image/jpeg',33268,'news/7.jpg','[]','2024-08-09 23:58:37','2024-08-09 23:58:37',NULL,'public'),(116,0,'8','8',8,'image/jpeg',33268,'news/8.jpg','[]','2024-08-09 23:58:37','2024-08-09 23:58:37',NULL,'public'),(117,0,'9','9',8,'image/jpeg',33268,'news/9.jpg','[]','2024-08-09 23:58:37','2024-08-09 23:58:37',NULL,'public'),(118,0,'1','1',9,'image/jpeg',33268,'projects/1.jpg','[]','2024-08-09 23:58:38','2024-08-09 23:58:38',NULL,'public'),(119,0,'10','10',9,'image/jpeg',33268,'projects/10.jpg','[]','2024-08-09 23:58:38','2024-08-09 23:58:38',NULL,'public'),(120,0,'2','2',9,'image/jpeg',33268,'projects/2.jpg','[]','2024-08-09 23:58:38','2024-08-09 23:58:38',NULL,'public'),(121,0,'3','3',9,'image/jpeg',33268,'projects/3.jpg','[]','2024-08-09 23:58:38','2024-08-09 23:58:38',NULL,'public'),(122,0,'4','4',9,'image/jpeg',33268,'projects/4.jpg','[]','2024-08-09 23:58:39','2024-08-09 23:58:39',NULL,'public'),(123,0,'5','5',9,'image/jpeg',33268,'projects/5.jpg','[]','2024-08-09 23:58:39','2024-08-09 23:58:39',NULL,'public'),(124,0,'6','6',9,'image/jpeg',33268,'projects/6.jpg','[]','2024-08-09 23:58:39','2024-08-09 23:58:39',NULL,'public'),(125,0,'7','7',9,'image/jpeg',33268,'projects/7.jpg','[]','2024-08-09 23:58:39','2024-08-09 23:58:39',NULL,'public'),(126,0,'8','8',9,'image/jpeg',33268,'projects/8.jpg','[]','2024-08-09 23:58:40','2024-08-09 23:58:40',NULL,'public'),(127,0,'9','9',9,'image/jpeg',33268,'projects/9.jpg','[]','2024-08-09 23:58:40','2024-08-09 23:58:40',NULL,'public'),(128,0,'1','1',10,'image/jpeg',148419,'sliders/1.jpg','[]','2024-08-09 23:58:40','2024-08-09 23:58:40',NULL,'public'),(129,0,'2','2',10,'image/jpeg',112138,'sliders/2.jpg','[]','2024-08-09 23:58:40','2024-08-09 23:58:40',NULL,'public'),(130,0,'3','3',10,'image/jpeg',232756,'sliders/3.jpg','[]','2024-08-09 23:58:40','2024-08-09 23:58:40',NULL,'public'),(131,0,'1','1',11,'image/png',4294,'testimonials/1.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(132,0,'2','2',11,'image/png',4294,'testimonials/2.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(133,0,'3','3',11,'image/png',4294,'testimonials/3.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(134,0,'4','4',11,'image/png',4294,'testimonials/4.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(135,0,'banner','banner',12,'image/jpeg',33268,'careers/banner.jpg','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(136,0,'1','1',13,'image/png',496,'product-categories/1.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(137,0,'10','10',13,'image/png',496,'product-categories/10.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(138,0,'11','11',13,'image/png',496,'product-categories/11.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(139,0,'12','12',13,'image/png',496,'product-categories/12.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(140,0,'13','13',13,'image/png',496,'product-categories/13.png','[]','2024-08-09 23:58:41','2024-08-09 23:58:41',NULL,'public'),(141,0,'2','2',13,'image/png',496,'product-categories/2.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(142,0,'3','3',13,'image/png',496,'product-categories/3.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(143,0,'4','4',13,'image/png',496,'product-categories/4.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(144,0,'5','5',13,'image/png',496,'product-categories/5.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(145,0,'6','6',13,'image/png',496,'product-categories/6.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(146,0,'7','7',13,'image/png',496,'product-categories/7.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(147,0,'8','8',13,'image/png',496,'product-categories/8.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(148,0,'9','9',13,'image/png',496,'product-categories/9.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(149,0,'1','1',14,'image/png',834,'brands/1.png','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(150,0,'1','1',15,'image/jpeg',33268,'products/1.jpg','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(151,0,'10-1','10-1',15,'image/jpeg',33268,'products/10-1.jpg','[]','2024-08-09 23:58:42','2024-08-09 23:58:42',NULL,'public'),(152,0,'10-2','10-2',15,'image/jpeg',33268,'products/10-2.jpg','[]','2024-08-09 23:58:43','2024-08-09 23:58:43',NULL,'public'),(153,0,'10','10',15,'image/jpeg',33268,'products/10.jpg','[]','2024-08-09 23:58:43','2024-08-09 23:58:43',NULL,'public'),(154,0,'11-1','11-1',15,'image/jpeg',33268,'products/11-1.jpg','[]','2024-08-09 23:58:43','2024-08-09 23:58:43',NULL,'public'),(155,0,'11-2','11-2',15,'image/jpeg',33268,'products/11-2.jpg','[]','2024-08-09 23:58:43','2024-08-09 23:58:43',NULL,'public'),(156,0,'11-3','11-3',15,'image/jpeg',33268,'products/11-3.jpg','[]','2024-08-09 23:58:44','2024-08-09 23:58:44',NULL,'public'),(157,0,'11','11',15,'image/jpeg',33268,'products/11.jpg','[]','2024-08-09 23:58:44','2024-08-09 23:58:44',NULL,'public'),(158,0,'12-1','12-1',15,'image/jpeg',33268,'products/12-1.jpg','[]','2024-08-09 23:58:44','2024-08-09 23:58:44',NULL,'public'),(159,0,'12-2','12-2',15,'image/jpeg',33268,'products/12-2.jpg','[]','2024-08-09 23:58:44','2024-08-09 23:58:44',NULL,'public'),(160,0,'12-3','12-3',15,'image/jpeg',33268,'products/12-3.jpg','[]','2024-08-09 23:58:45','2024-08-09 23:58:45',NULL,'public'),(161,0,'12','12',15,'image/jpeg',33268,'products/12.jpg','[]','2024-08-09 23:58:45','2024-08-09 23:58:45',NULL,'public'),(162,0,'13-1','13-1',15,'image/jpeg',33268,'products/13-1.jpg','[]','2024-08-09 23:58:45','2024-08-09 23:58:45',NULL,'public'),(163,0,'13','13',15,'image/jpeg',33268,'products/13.jpg','[]','2024-08-09 23:58:45','2024-08-09 23:58:45',NULL,'public'),(164,0,'14','14',15,'image/jpeg',33268,'products/14.jpg','[]','2024-08-09 23:58:46','2024-08-09 23:58:46',NULL,'public'),(165,0,'15-1','15-1',15,'image/jpeg',33268,'products/15-1.jpg','[]','2024-08-09 23:58:46','2024-08-09 23:58:46',NULL,'public'),(166,0,'15','15',15,'image/jpeg',33268,'products/15.jpg','[]','2024-08-09 23:58:46','2024-08-09 23:58:46',NULL,'public'),(167,0,'16','16',15,'image/jpeg',33268,'products/16.jpg','[]','2024-08-09 23:58:46','2024-08-09 23:58:46',NULL,'public'),(168,0,'17-1','17-1',15,'image/jpeg',33268,'products/17-1.jpg','[]','2024-08-09 23:58:47','2024-08-09 23:58:47',NULL,'public'),(169,0,'17-2','17-2',15,'image/jpeg',33268,'products/17-2.jpg','[]','2024-08-09 23:58:47','2024-08-09 23:58:47',NULL,'public'),(170,0,'17-3','17-3',15,'image/jpeg',33268,'products/17-3.jpg','[]','2024-08-09 23:58:47','2024-08-09 23:58:47',NULL,'public'),(171,0,'17','17',15,'image/jpeg',33268,'products/17.jpg','[]','2024-08-09 23:58:47','2024-08-09 23:58:47',NULL,'public'),(172,0,'18-1','18-1',15,'image/jpeg',33268,'products/18-1.jpg','[]','2024-08-09 23:58:48','2024-08-09 23:58:48',NULL,'public'),(173,0,'18-2','18-2',15,'image/jpeg',33268,'products/18-2.jpg','[]','2024-08-09 23:58:48','2024-08-09 23:58:48',NULL,'public'),(174,0,'18-3','18-3',15,'image/jpeg',33268,'products/18-3.jpg','[]','2024-08-09 23:58:48','2024-08-09 23:58:48',NULL,'public'),(175,0,'18','18',15,'image/jpeg',33268,'products/18.jpg','[]','2024-08-09 23:58:49','2024-08-09 23:58:49',NULL,'public'),(176,0,'19-1','19-1',15,'image/jpeg',33268,'products/19-1.jpg','[]','2024-08-09 23:58:49','2024-08-09 23:58:49',NULL,'public'),(177,0,'19-2','19-2',15,'image/jpeg',33268,'products/19-2.jpg','[]','2024-08-09 23:58:49','2024-08-09 23:58:49',NULL,'public'),(178,0,'19-3','19-3',15,'image/jpeg',33268,'products/19-3.jpg','[]','2024-08-09 23:58:49','2024-08-09 23:58:49',NULL,'public'),(179,0,'19','19',15,'image/jpeg',33268,'products/19.jpg','[]','2024-08-09 23:58:50','2024-08-09 23:58:50',NULL,'public'),(180,0,'2-1','2-1',15,'image/jpeg',33268,'products/2-1.jpg','[]','2024-08-09 23:58:50','2024-08-09 23:58:50',NULL,'public'),(181,0,'2-2','2-2',15,'image/jpeg',33268,'products/2-2.jpg','[]','2024-08-09 23:58:50','2024-08-09 23:58:50',NULL,'public'),(182,0,'2-3','2-3',15,'image/jpeg',33268,'products/2-3.jpg','[]','2024-08-09 23:58:50','2024-08-09 23:58:50',NULL,'public'),(183,0,'2','2',15,'image/jpeg',33268,'products/2.jpg','[]','2024-08-09 23:58:51','2024-08-09 23:58:51',NULL,'public'),(184,0,'20-1','20-1',15,'image/jpeg',33268,'products/20-1.jpg','[]','2024-08-09 23:58:51','2024-08-09 23:58:51',NULL,'public'),(185,0,'20-2','20-2',15,'image/jpeg',33268,'products/20-2.jpg','[]','2024-08-09 23:58:51','2024-08-09 23:58:51',NULL,'public'),(186,0,'20-3','20-3',15,'image/jpeg',33268,'products/20-3.jpg','[]','2024-08-09 23:58:51','2024-08-09 23:58:51',NULL,'public'),(187,0,'20','20',15,'image/jpeg',33268,'products/20.jpg','[]','2024-08-09 23:58:52','2024-08-09 23:58:52',NULL,'public'),(188,0,'21-1','21-1',15,'image/jpeg',33268,'products/21-1.jpg','[]','2024-08-09 23:58:52','2024-08-09 23:58:52',NULL,'public'),(189,0,'21-2','21-2',15,'image/jpeg',33268,'products/21-2.jpg','[]','2024-08-09 23:58:52','2024-08-09 23:58:52',NULL,'public'),(190,0,'21','21',15,'image/jpeg',33268,'products/21.jpg','[]','2024-08-09 23:58:52','2024-08-09 23:58:52',NULL,'public'),(191,0,'22-1','22-1',15,'image/jpeg',33268,'products/22-1.jpg','[]','2024-08-09 23:58:53','2024-08-09 23:58:53',NULL,'public'),(192,0,'22-2','22-2',15,'image/jpeg',33268,'products/22-2.jpg','[]','2024-08-09 23:58:53','2024-08-09 23:58:53',NULL,'public'),(193,0,'22-3','22-3',15,'image/jpeg',33268,'products/22-3.jpg','[]','2024-08-09 23:58:53','2024-08-09 23:58:53',NULL,'public'),(194,0,'22','22',15,'image/jpeg',33268,'products/22.jpg','[]','2024-08-09 23:58:53','2024-08-09 23:58:53',NULL,'public'),(195,0,'23-1','23-1',15,'image/jpeg',33268,'products/23-1.jpg','[]','2024-08-09 23:58:54','2024-08-09 23:58:54',NULL,'public'),(196,0,'23-2','23-2',15,'image/jpeg',33268,'products/23-2.jpg','[]','2024-08-09 23:58:54','2024-08-09 23:58:54',NULL,'public'),(197,0,'23-3','23-3',15,'image/jpeg',33268,'products/23-3.jpg','[]','2024-08-09 23:58:54','2024-08-09 23:58:54',NULL,'public'),(198,0,'23','23',15,'image/jpeg',33268,'products/23.jpg','[]','2024-08-09 23:58:54','2024-08-09 23:58:54',NULL,'public'),(199,0,'24-1','24-1',15,'image/jpeg',33268,'products/24-1.jpg','[]','2024-08-09 23:58:55','2024-08-09 23:58:55',NULL,'public'),(200,0,'24-2','24-2',15,'image/jpeg',33268,'products/24-2.jpg','[]','2024-08-09 23:58:55','2024-08-09 23:58:55',NULL,'public'),(201,0,'24','24',15,'image/jpeg',33268,'products/24.jpg','[]','2024-08-09 23:58:55','2024-08-09 23:58:55',NULL,'public'),(202,0,'25-1','25-1',15,'image/jpeg',33268,'products/25-1.jpg','[]','2024-08-09 23:58:55','2024-08-09 23:58:55',NULL,'public'),(203,0,'25-2','25-2',15,'image/jpeg',33268,'products/25-2.jpg','[]','2024-08-09 23:58:56','2024-08-09 23:58:56',NULL,'public'),(204,0,'25','25',15,'image/jpeg',33268,'products/25.jpg','[]','2024-08-09 23:58:56','2024-08-09 23:58:56',NULL,'public'),(205,0,'26-1','26-1',15,'image/jpeg',33268,'products/26-1.jpg','[]','2024-08-09 23:58:56','2024-08-09 23:58:56',NULL,'public'),(206,0,'26','26',15,'image/jpeg',33268,'products/26.jpg','[]','2024-08-09 23:58:56','2024-08-09 23:58:56',NULL,'public'),(207,0,'27-1','27-1',15,'image/jpeg',33268,'products/27-1.jpg','[]','2024-08-09 23:58:57','2024-08-09 23:58:57',NULL,'public'),(208,0,'27','27',15,'image/jpeg',33268,'products/27.jpg','[]','2024-08-09 23:58:57','2024-08-09 23:58:57',NULL,'public'),(209,0,'28-1','28-1',15,'image/jpeg',33268,'products/28-1.jpg','[]','2024-08-09 23:58:57','2024-08-09 23:58:57',NULL,'public'),(210,0,'28-2','28-2',15,'image/jpeg',33268,'products/28-2.jpg','[]','2024-08-09 23:58:57','2024-08-09 23:58:57',NULL,'public'),(211,0,'28','28',15,'image/jpeg',33268,'products/28.jpg','[]','2024-08-09 23:58:58','2024-08-09 23:58:58',NULL,'public'),(212,0,'29-1','29-1',15,'image/jpeg',33268,'products/29-1.jpg','[]','2024-08-09 23:58:58','2024-08-09 23:58:58',NULL,'public'),(213,0,'29-2','29-2',15,'image/jpeg',33268,'products/29-2.jpg','[]','2024-08-09 23:58:58','2024-08-09 23:58:58',NULL,'public'),(214,0,'29','29',15,'image/jpeg',33268,'products/29.jpg','[]','2024-08-09 23:58:58','2024-08-09 23:58:58',NULL,'public'),(215,0,'3','3',15,'image/jpeg',33268,'products/3.jpg','[]','2024-08-09 23:58:59','2024-08-09 23:58:59',NULL,'public'),(216,0,'30-1','30-1',15,'image/jpeg',33268,'products/30-1.jpg','[]','2024-08-09 23:58:59','2024-08-09 23:58:59',NULL,'public'),(217,0,'30-2','30-2',15,'image/jpeg',33268,'products/30-2.jpg','[]','2024-08-09 23:58:59','2024-08-09 23:58:59',NULL,'public'),(218,0,'30','30',15,'image/jpeg',33268,'products/30.jpg','[]','2024-08-09 23:58:59','2024-08-09 23:58:59',NULL,'public'),(219,0,'31-1','31-1',15,'image/jpeg',33268,'products/31-1.jpg','[]','2024-08-09 23:59:00','2024-08-09 23:59:00',NULL,'public'),(220,0,'31','31',15,'image/jpeg',33268,'products/31.jpg','[]','2024-08-09 23:59:00','2024-08-09 23:59:00',NULL,'public'),(221,0,'32-1','32-1',15,'image/jpeg',33268,'products/32-1.jpg','[]','2024-08-09 23:59:00','2024-08-09 23:59:00',NULL,'public'),(222,0,'32-2','32-2',15,'image/jpeg',33268,'products/32-2.jpg','[]','2024-08-09 23:59:00','2024-08-09 23:59:00',NULL,'public'),(223,0,'32','32',15,'image/jpeg',33268,'products/32.jpg','[]','2024-08-09 23:59:01','2024-08-09 23:59:01',NULL,'public'),(224,0,'33-1','33-1',15,'image/jpeg',33268,'products/33-1.jpg','[]','2024-08-09 23:59:01','2024-08-09 23:59:01',NULL,'public'),(225,0,'33-2','33-2',15,'image/jpeg',33268,'products/33-2.jpg','[]','2024-08-09 23:59:01','2024-08-09 23:59:01',NULL,'public'),(226,0,'33','33',15,'image/jpeg',33268,'products/33.jpg','[]','2024-08-09 23:59:01','2024-08-09 23:59:01',NULL,'public'),(227,0,'34-1','34-1',15,'image/jpeg',33268,'products/34-1.jpg','[]','2024-08-09 23:59:02','2024-08-09 23:59:02',NULL,'public'),(228,0,'34','34',15,'image/jpeg',33268,'products/34.jpg','[]','2024-08-09 23:59:02','2024-08-09 23:59:02',NULL,'public'),(229,0,'35-1','35-1',15,'image/jpeg',33268,'products/35-1.jpg','[]','2024-08-09 23:59:02','2024-08-09 23:59:02',NULL,'public'),(230,0,'35','35',15,'image/jpeg',33268,'products/35.jpg','[]','2024-08-09 23:59:02','2024-08-09 23:59:02',NULL,'public'),(231,0,'36-1','36-1',15,'image/jpeg',33268,'products/36-1.jpg','[]','2024-08-09 23:59:03','2024-08-09 23:59:03',NULL,'public'),(232,0,'36-2','36-2',15,'image/jpeg',33268,'products/36-2.jpg','[]','2024-08-09 23:59:03','2024-08-09 23:59:03',NULL,'public'),(233,0,'36','36',15,'image/jpeg',33268,'products/36.jpg','[]','2024-08-09 23:59:03','2024-08-09 23:59:03',NULL,'public'),(234,0,'37-1','37-1',15,'image/jpeg',33268,'products/37-1.jpg','[]','2024-08-09 23:59:03','2024-08-09 23:59:03',NULL,'public'),(235,0,'37-2','37-2',15,'image/jpeg',33268,'products/37-2.jpg','[]','2024-08-09 23:59:04','2024-08-09 23:59:04',NULL,'public'),(236,0,'37','37',15,'image/jpeg',33268,'products/37.jpg','[]','2024-08-09 23:59:04','2024-08-09 23:59:04',NULL,'public'),(237,0,'38-1','38-1',15,'image/jpeg',33268,'products/38-1.jpg','[]','2024-08-09 23:59:04','2024-08-09 23:59:04',NULL,'public'),(238,0,'38-2','38-2',15,'image/jpeg',33268,'products/38-2.jpg','[]','2024-08-09 23:59:04','2024-08-09 23:59:04',NULL,'public'),(239,0,'38-3','38-3',15,'image/jpeg',33268,'products/38-3.jpg','[]','2024-08-09 23:59:05','2024-08-09 23:59:05',NULL,'public'),(240,0,'38','38',15,'image/jpeg',33268,'products/38.jpg','[]','2024-08-09 23:59:05','2024-08-09 23:59:05',NULL,'public'),(241,0,'39-1','39-1',15,'image/jpeg',33268,'products/39-1.jpg','[]','2024-08-09 23:59:05','2024-08-09 23:59:05',NULL,'public'),(242,0,'39-2','39-2',15,'image/jpeg',33268,'products/39-2.jpg','[]','2024-08-09 23:59:05','2024-08-09 23:59:05',NULL,'public'),(243,0,'39','39',15,'image/jpeg',33268,'products/39.jpg','[]','2024-08-09 23:59:06','2024-08-09 23:59:06',NULL,'public'),(244,0,'4-1','4-1',15,'image/jpeg',33268,'products/4-1.jpg','[]','2024-08-09 23:59:06','2024-08-09 23:59:06',NULL,'public'),(245,0,'4-2','4-2',15,'image/jpeg',33268,'products/4-2.jpg','[]','2024-08-09 23:59:06','2024-08-09 23:59:06',NULL,'public'),(246,0,'4-3','4-3',15,'image/jpeg',33268,'products/4-3.jpg','[]','2024-08-09 23:59:07','2024-08-09 23:59:07',NULL,'public'),(247,0,'4','4',15,'image/jpeg',33268,'products/4.jpg','[]','2024-08-09 23:59:07','2024-08-09 23:59:07',NULL,'public'),(248,0,'40-1','40-1',15,'image/jpeg',33268,'products/40-1.jpg','[]','2024-08-09 23:59:07','2024-08-09 23:59:07',NULL,'public'),(249,0,'40','40',15,'image/jpeg',33268,'products/40.jpg','[]','2024-08-09 23:59:08','2024-08-09 23:59:08',NULL,'public'),(250,0,'41-1','41-1',15,'image/jpeg',33268,'products/41-1.jpg','[]','2024-08-09 23:59:08','2024-08-09 23:59:08',NULL,'public'),(251,0,'41-2','41-2',15,'image/jpeg',33268,'products/41-2.jpg','[]','2024-08-09 23:59:08','2024-08-09 23:59:08',NULL,'public'),(252,0,'41','41',15,'image/jpeg',33268,'products/41.jpg','[]','2024-08-09 23:59:08','2024-08-09 23:59:08',NULL,'public'),(253,0,'42-1','42-1',15,'image/jpeg',33268,'products/42-1.jpg','[]','2024-08-09 23:59:09','2024-08-09 23:59:09',NULL,'public'),(254,0,'42-2','42-2',15,'image/jpeg',33268,'products/42-2.jpg','[]','2024-08-09 23:59:09','2024-08-09 23:59:09',NULL,'public'),(255,0,'42','42',15,'image/jpeg',33268,'products/42.jpg','[]','2024-08-09 23:59:09','2024-08-09 23:59:09',NULL,'public'),(256,0,'43-1','43-1',15,'image/jpeg',33268,'products/43-1.jpg','[]','2024-08-09 23:59:09','2024-08-09 23:59:09',NULL,'public'),(257,0,'43-2','43-2',15,'image/jpeg',33268,'products/43-2.jpg','[]','2024-08-09 23:59:10','2024-08-09 23:59:10',NULL,'public'),(258,0,'43','43',15,'image/jpeg',33268,'products/43.jpg','[]','2024-08-09 23:59:10','2024-08-09 23:59:10',NULL,'public'),(259,0,'44-1','44-1',15,'image/jpeg',33268,'products/44-1.jpg','[]','2024-08-09 23:59:10','2024-08-09 23:59:10',NULL,'public'),(260,0,'44-2','44-2',15,'image/jpeg',33268,'products/44-2.jpg','[]','2024-08-09 23:59:10','2024-08-09 23:59:10',NULL,'public'),(261,0,'44','44',15,'image/jpeg',33268,'products/44.jpg','[]','2024-08-09 23:59:11','2024-08-09 23:59:11',NULL,'public'),(262,0,'45-1','45-1',15,'image/jpeg',33268,'products/45-1.jpg','[]','2024-08-09 23:59:11','2024-08-09 23:59:11',NULL,'public'),(263,0,'45','45',15,'image/jpeg',33268,'products/45.jpg','[]','2024-08-09 23:59:11','2024-08-09 23:59:11',NULL,'public'),(264,0,'46-1','46-1',15,'image/jpeg',33268,'products/46-1.jpg','[]','2024-08-09 23:59:12','2024-08-09 23:59:12',NULL,'public'),(265,0,'46','46',15,'image/jpeg',33268,'products/46.jpg','[]','2024-08-09 23:59:12','2024-08-09 23:59:12',NULL,'public'),(266,0,'47-1','47-1',15,'image/jpeg',33268,'products/47-1.jpg','[]','2024-08-09 23:59:12','2024-08-09 23:59:12',NULL,'public'),(267,0,'47','47',15,'image/jpeg',33268,'products/47.jpg','[]','2024-08-09 23:59:12','2024-08-09 23:59:12',NULL,'public'),(268,0,'48-1','48-1',15,'image/jpeg',33268,'products/48-1.jpg','[]','2024-08-09 23:59:13','2024-08-09 23:59:13',NULL,'public'),(269,0,'48-2','48-2',15,'image/jpeg',33268,'products/48-2.jpg','[]','2024-08-09 23:59:13','2024-08-09 23:59:13',NULL,'public'),(270,0,'48','48',15,'image/jpeg',33268,'products/48.jpg','[]','2024-08-09 23:59:13','2024-08-09 23:59:13',NULL,'public'),(271,0,'49-1','49-1',15,'image/jpeg',33268,'products/49-1.jpg','[]','2024-08-09 23:59:13','2024-08-09 23:59:13',NULL,'public'),(272,0,'49-2','49-2',15,'image/jpeg',33268,'products/49-2.jpg','[]','2024-08-09 23:59:14','2024-08-09 23:59:14',NULL,'public'),(273,0,'49','49',15,'image/jpeg',33268,'products/49.jpg','[]','2024-08-09 23:59:14','2024-08-09 23:59:14',NULL,'public'),(274,0,'5-1','5-1',15,'image/jpeg',33268,'products/5-1.jpg','[]','2024-08-09 23:59:14','2024-08-09 23:59:14',NULL,'public'),(275,0,'5-2','5-2',15,'image/jpeg',33268,'products/5-2.jpg','[]','2024-08-09 23:59:14','2024-08-09 23:59:14',NULL,'public'),(276,0,'5-3','5-3',15,'image/jpeg',33268,'products/5-3.jpg','[]','2024-08-09 23:59:15','2024-08-09 23:59:15',NULL,'public'),(277,0,'5','5',15,'image/jpeg',33268,'products/5.jpg','[]','2024-08-09 23:59:15','2024-08-09 23:59:15',NULL,'public'),(278,0,'50-1','50-1',15,'image/jpeg',33268,'products/50-1.jpg','[]','2024-08-09 23:59:15','2024-08-09 23:59:15',NULL,'public'),(279,0,'50','50',15,'image/jpeg',33268,'products/50.jpg','[]','2024-08-09 23:59:15','2024-08-09 23:59:15',NULL,'public'),(280,0,'51','51',15,'image/jpeg',33268,'products/51.jpg','[]','2024-08-09 23:59:16','2024-08-09 23:59:16',NULL,'public'),(281,0,'52-1','52-1',15,'image/jpeg',33268,'products/52-1.jpg','[]','2024-08-09 23:59:16','2024-08-09 23:59:16',NULL,'public'),(282,0,'52-2','52-2',15,'image/jpeg',33268,'products/52-2.jpg','[]','2024-08-09 23:59:16','2024-08-09 23:59:16',NULL,'public'),(283,0,'52','52',15,'image/jpeg',33268,'products/52.jpg','[]','2024-08-09 23:59:16','2024-08-09 23:59:16',NULL,'public'),(284,0,'53-1','53-1',15,'image/jpeg',33268,'products/53-1.jpg','[]','2024-08-09 23:59:17','2024-08-09 23:59:17',NULL,'public'),(285,0,'53','53',15,'image/jpeg',33268,'products/53.jpg','[]','2024-08-09 23:59:17','2024-08-09 23:59:17',NULL,'public'),(286,0,'54-1','54-1',15,'image/jpeg',33268,'products/54-1.jpg','[]','2024-08-09 23:59:17','2024-08-09 23:59:17',NULL,'public'),(287,0,'54','54',15,'image/jpeg',33268,'products/54.jpg','[]','2024-08-09 23:59:18','2024-08-09 23:59:18',NULL,'public'),(288,0,'55-1','55-1',15,'image/jpeg',33268,'products/55-1.jpg','[]','2024-08-09 23:59:18','2024-08-09 23:59:18',NULL,'public'),(289,0,'55-2','55-2',15,'image/jpeg',33268,'products/55-2.jpg','[]','2024-08-09 23:59:18','2024-08-09 23:59:18',NULL,'public'),(290,0,'55','55',15,'image/jpeg',33268,'products/55.jpg','[]','2024-08-09 23:59:18','2024-08-09 23:59:18',NULL,'public'),(291,0,'56-1','56-1',15,'image/jpeg',33268,'products/56-1.jpg','[]','2024-08-09 23:59:19','2024-08-09 23:59:19',NULL,'public'),(292,0,'56-2','56-2',15,'image/jpeg',33268,'products/56-2.jpg','[]','2024-08-09 23:59:19','2024-08-09 23:59:19',NULL,'public'),(293,0,'56','56',15,'image/jpeg',33268,'products/56.jpg','[]','2024-08-09 23:59:19','2024-08-09 23:59:19',NULL,'public'),(294,0,'57-1','57-1',15,'image/jpeg',33268,'products/57-1.jpg','[]','2024-08-09 23:59:19','2024-08-09 23:59:19',NULL,'public'),(295,0,'57','57',15,'image/jpeg',33268,'products/57.jpg','[]','2024-08-09 23:59:20','2024-08-09 23:59:20',NULL,'public'),(296,0,'58-1','58-1',15,'image/jpeg',33268,'products/58-1.jpg','[]','2024-08-09 23:59:20','2024-08-09 23:59:20',NULL,'public'),(297,0,'58-2','58-2',15,'image/jpeg',33268,'products/58-2.jpg','[]','2024-08-09 23:59:20','2024-08-09 23:59:20',NULL,'public'),(298,0,'58','58',15,'image/jpeg',33268,'products/58.jpg','[]','2024-08-09 23:59:20','2024-08-09 23:59:20',NULL,'public'),(299,0,'59-1','59-1',15,'image/jpeg',33268,'products/59-1.jpg','[]','2024-08-09 23:59:21','2024-08-09 23:59:21',NULL,'public'),(300,0,'59-2','59-2',15,'image/jpeg',33268,'products/59-2.jpg','[]','2024-08-09 23:59:21','2024-08-09 23:59:21',NULL,'public'),(301,0,'59-3','59-3',15,'image/jpeg',33268,'products/59-3.jpg','[]','2024-08-09 23:59:21','2024-08-09 23:59:21',NULL,'public'),(302,0,'59','59',15,'image/jpeg',33268,'products/59.jpg','[]','2024-08-09 23:59:21','2024-08-09 23:59:21',NULL,'public'),(303,0,'6','6',15,'image/jpeg',33268,'products/6.jpg','[]','2024-08-09 23:59:22','2024-08-09 23:59:22',NULL,'public'),(304,0,'60-1','60-1',15,'image/jpeg',33268,'products/60-1.jpg','[]','2024-08-09 23:59:22','2024-08-09 23:59:22',NULL,'public'),(305,0,'60-2','60-2',15,'image/jpeg',33268,'products/60-2.jpg','[]','2024-08-09 23:59:22','2024-08-09 23:59:22',NULL,'public'),(306,0,'60','60',15,'image/jpeg',33268,'products/60.jpg','[]','2024-08-09 23:59:22','2024-08-09 23:59:22',NULL,'public'),(307,0,'61-1','61-1',15,'image/jpeg',33268,'products/61-1.jpg','[]','2024-08-09 23:59:23','2024-08-09 23:59:23',NULL,'public'),(308,0,'61','61',15,'image/jpeg',33268,'products/61.jpg','[]','2024-08-09 23:59:23','2024-08-09 23:59:23',NULL,'public'),(309,0,'62-1','62-1',15,'image/jpeg',33268,'products/62-1.jpg','[]','2024-08-09 23:59:23','2024-08-09 23:59:23',NULL,'public'),(310,0,'62','62',15,'image/jpeg',33268,'products/62.jpg','[]','2024-08-09 23:59:23','2024-08-09 23:59:23',NULL,'public'),(311,0,'63-1','63-1',15,'image/jpeg',33268,'products/63-1.jpg','[]','2024-08-09 23:59:24','2024-08-09 23:59:24',NULL,'public'),(312,0,'63','63',15,'image/jpeg',33268,'products/63.jpg','[]','2024-08-09 23:59:24','2024-08-09 23:59:24',NULL,'public'),(313,0,'64-1','64-1',15,'image/jpeg',33268,'products/64-1.jpg','[]','2024-08-09 23:59:24','2024-08-09 23:59:24',NULL,'public'),(314,0,'64','64',15,'image/jpeg',33268,'products/64.jpg','[]','2024-08-09 23:59:24','2024-08-09 23:59:24',NULL,'public'),(315,0,'65-1','65-1',15,'image/jpeg',33268,'products/65-1.jpg','[]','2024-08-09 23:59:25','2024-08-09 23:59:25',NULL,'public'),(316,0,'65-2','65-2',15,'image/jpeg',33268,'products/65-2.jpg','[]','2024-08-09 23:59:25','2024-08-09 23:59:25',NULL,'public'),(317,0,'65','65',15,'image/jpeg',33268,'products/65.jpg','[]','2024-08-09 23:59:25','2024-08-09 23:59:25',NULL,'public'),(318,0,'7','7',15,'image/jpeg',33268,'products/7.jpg','[]','2024-08-09 23:59:25','2024-08-09 23:59:25',NULL,'public'),(319,0,'8-1','8-1',15,'image/jpeg',33268,'products/8-1.jpg','[]','2024-08-09 23:59:26','2024-08-09 23:59:26',NULL,'public'),(320,0,'8-2','8-2',15,'image/jpeg',33268,'products/8-2.jpg','[]','2024-08-09 23:59:26','2024-08-09 23:59:26',NULL,'public'),(321,0,'8-3','8-3',15,'image/jpeg',33268,'products/8-3.jpg','[]','2024-08-09 23:59:26','2024-08-09 23:59:26',NULL,'public'),(322,0,'8','8',15,'image/jpeg',33268,'products/8.jpg','[]','2024-08-09 23:59:26','2024-08-09 23:59:26',NULL,'public'),(323,0,'9-1','9-1',15,'image/jpeg',33268,'products/9-1.jpg','[]','2024-08-09 23:59:27','2024-08-09 23:59:27',NULL,'public'),(324,0,'9-2','9-2',15,'image/jpeg',33268,'products/9-2.jpg','[]','2024-08-09 23:59:27','2024-08-09 23:59:27',NULL,'public'),(325,0,'9','9',15,'image/jpeg',33268,'products/9.jpg','[]','2024-08-09 23:59:27','2024-08-09 23:59:27',NULL,'public'),(326,0,'1','1',16,'image/jpeg',9803,'customers/1.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(327,0,'10','10',16,'image/jpeg',9803,'customers/10.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(328,0,'2','2',16,'image/jpeg',9803,'customers/2.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(329,0,'3','3',16,'image/jpeg',9803,'customers/3.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(330,0,'4','4',16,'image/jpeg',9803,'customers/4.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(331,0,'5','5',16,'image/jpeg',9803,'customers/5.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(332,0,'6','6',16,'image/jpeg',9803,'customers/6.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(333,0,'7','7',16,'image/jpeg',9803,'customers/7.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(334,0,'8','8',16,'image/jpeg',9803,'customers/8.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public'),(335,0,'9','9',16,'image/jpeg',9803,'customers/9.jpg','[]','2024-08-09 23:59:30','2024-08-09 23:59:30',NULL,'public');
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'general',NULL,'general',0,'2024-08-09 23:58:19','2024-08-09 23:58:19',NULL),(2,0,'icons',NULL,'icons',0,'2024-08-09 23:58:22','2024-08-09 23:58:22',NULL),(3,0,'backgrounds',NULL,'backgrounds',0,'2024-08-09 23:58:25','2024-08-09 23:58:25',NULL),(5,0,'downloads',NULL,'downloads',0,'2024-08-09 23:58:28','2024-08-09 23:58:28',NULL),(6,0,'galleries',NULL,'galleries',0,'2024-08-09 23:58:28','2024-08-09 23:58:28',NULL),(7,0,'teams',NULL,'teams',0,'2024-08-09 23:58:30','2024-08-09 23:58:30',NULL),(8,0,'news',NULL,'news',0,'2024-08-09 23:58:32','2024-08-09 23:58:32',NULL),(9,0,'projects',NULL,'projects',0,'2024-08-09 23:58:38','2024-08-09 23:58:38',NULL),(10,0,'sliders',NULL,'sliders',0,'2024-08-09 23:58:40','2024-08-09 23:58:40',NULL),(11,0,'testimonials',NULL,'testimonials',0,'2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(12,0,'careers',NULL,'careers',0,'2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(13,0,'product-categories',NULL,'product-categories',0,'2024-08-09 23:58:41','2024-08-09 23:58:41',NULL),(14,0,'brands',NULL,'brands',0,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL),(15,0,'products',NULL,'products',0,'2024-08-09 23:58:42','2024-08-09 23:58:42',NULL),(16,0,'customers',NULL,'customers',0,'2024-08-09 23:59:30','2024-08-09 23:59:30',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,'/',NULL,0,'Home',NULL,'_self',1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,1,1,NULL,NULL,'https://apexa.archielite.com',NULL,0,'Business',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,1,1,NULL,NULL,'https://apexa-finance.archielite.com',NULL,0,'Finance',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,1,1,NULL,NULL,'https://apexa-consulting.archielite.com',NULL,0,'Consulting',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(5,1,1,NULL,NULL,'https://apexa-insurance.archielite.com',NULL,0,'Insurance',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(6,1,1,NULL,NULL,'https://apexa-digital-agency.archielite.com',NULL,0,'Digital Agency',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(7,1,1,NULL,NULL,'https://apexa-finance-solutions.archielite.com',NULL,0,'Finance Solutions',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(8,1,1,NULL,NULL,'https://apexa-accounting-services.archielite.com',NULL,0,'Accounting Services',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(9,1,1,NULL,NULL,'https://apexa-it-solutions.archielite.com',NULL,0,'IT Solutions',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(10,1,0,NULL,NULL,'/',NULL,0,'About Us',NULL,'_self',1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(11,1,10,4,'Botble\\Page\\Models\\Page','/business-about',NULL,0,'Business About',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(12,1,10,5,'Botble\\Page\\Models\\Page','/finance-about',NULL,0,'Finance About',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(13,1,10,6,'Botble\\Page\\Models\\Page','/consulting-about',NULL,0,'Consulting About',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(14,1,10,7,'Botble\\Page\\Models\\Page','/insurance-about',NULL,0,'Insurance About',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(15,1,10,8,'Botble\\Page\\Models\\Page','/digital-agency-about',NULL,0,'Digital agency About',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(16,1,0,NULL,NULL,'/',NULL,0,'Services',NULL,'_self',1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(17,1,16,9,'Botble\\Page\\Models\\Page','/services',NULL,0,'Business Service',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(18,1,16,10,'Botble\\Page\\Models\\Page','/finance-service',NULL,0,'Finance Service',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(19,1,16,11,'Botble\\Page\\Models\\Page','/consulting-service',NULL,0,'Consulting Service',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(20,1,16,13,'Botble\\Page\\Models\\Page','/insurance-service',NULL,0,'Insurance Service',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(21,1,16,12,'Botble\\Page\\Models\\Page','/digital-agency-service',NULL,0,'Digital Agency Service',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(22,1,16,NULL,NULL,'/services/data-analyst',NULL,0,'Service Details One',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(23,1,0,NULL,NULL,'/',NULL,0,'Pages',NULL,'_self',1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(24,1,23,NULL,NULL,'/careers',NULL,0,'Careers',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(25,1,23,NULL,NULL,'/careers/lead-backend-developer',NULL,0,'Career Details',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(26,1,23,14,'Botble\\Page\\Models\\Page','/team-one',NULL,0,'Team One',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(27,1,23,15,'Botble\\Page\\Models\\Page','/team-two',NULL,0,'Team Two',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(28,1,23,16,'Botble\\Page\\Models\\Page','/team-three',NULL,0,'Team Three',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(29,1,23,17,'Botble\\Page\\Models\\Page','/team-four',NULL,0,'Team Four',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(30,1,23,NULL,NULL,'/teams/devon-lane',NULL,0,'Team Details',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(31,1,23,NULL,NULL,'/projects/strategic-planning',NULL,0,'Project Details',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(32,1,23,NULL,NULL,'/products',NULL,0,'Product List',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(33,1,23,NULL,NULL,'/products/kelloggs-coco-pops-cereal-digital',NULL,0,'Product Details',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(34,1,23,NULL,NULL,'/404',NULL,0,'404 Error Page',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(35,1,23,NULL,NULL,'/login',NULL,0,'Login Page',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(36,1,23,NULL,NULL,'/resister',NULL,0,'Register Page',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(37,1,23,NULL,NULL,'/password/reset',NULL,0,'Forgot password Page',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(38,1,0,NULL,NULL,'/',NULL,0,'Blogs',NULL,'_self',1,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(39,1,38,3,'Botble\\Page\\Models\\Page','/blog',NULL,0,'Our Blog',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(40,1,38,NULL,NULL,'/the-art-of-negotiation-winning-deals-and-building-relationships',NULL,0,'Blog Details',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28'),(41,1,0,2,'Botble\\Page\\Models\\Page','/contact-us',NULL,0,'Contact Us',NULL,'_self',0,'2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'action_label','[\"Get The Plan Now\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,'action_url','[\"\\/contact-us\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(3,'action_label','[\"Get The Plan Now\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(4,'action_url','[\"\\/contact-us\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(5,'action_label','[\"Get The Plan Now\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(6,'action_url','[\"\\/contact-us\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:58:40','2024-08-09 23:58:40'),(7,'category','[\"Business Strategy\"]',1,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(8,'category','[\"Business Services\"]',2,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(9,'category','[\"Business Strategy\"]',3,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(10,'category','[\"Business Strategy\"]',4,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(11,'category','[\"Business Services\"]',5,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(12,'category','[\"Inventory Tracking\"]',6,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(13,'category','[\"Financing Management\"]',7,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(14,'category','[\"Financing Management\"]',8,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(15,'category','[\"Business Strategy\"]',9,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:58:40','2024-08-09 23:58:40'),(16,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:58:40','2024-08-09 23:58:40'),(17,'icon','[\"ti ti-square-percentage\"]',2,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:58:40','2024-08-09 23:58:40'),(18,'icon','[\"ti ti-layers-subtract\"]',3,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:58:40','2024-08-09 23:58:40'),(19,'icon','[\"ti ti-timeline\"]',4,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:58:40','2024-08-09 23:58:40'),(20,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(21,'icon','[\"ti ti-calendar-week\"]',2,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(22,'icon','[\"ti ti-coin\"]',3,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(23,'icon','[\"ti ti-layers-subtract\"]',4,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(24,'icon','[\"ti ti-brand-databricks\"]',5,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(25,'icon','[\"ti ti-report-analytics\"]',6,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(26,'icon','[\"ti ti-moneybag\"]',7,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(27,'icon','[\"ti ti-layers-subtract\"]',8,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(28,'icon','[\"ti ti-moneybag\"]',9,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(29,'icon','[\"ti ti-heart-handshake\"]',10,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(30,'icon','[\"ti ti-code-circle\"]',11,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(31,'icon','[\"ti ti-presentation\"]',12,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(32,'icon','[\"ti ti-brand-funimation\"]',13,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:58:40','2024-08-09 23:58:40'),(33,'subtitle','[\"We Are Expert In This Field\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(34,'button_label','[\"Free Consulting\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(35,'data_count','[15]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(36,'data_count_description','[\"Years of applying <br> digital transformation\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(37,'subtitle','[\"Actionable Analytics & Reporting\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(38,'button_label','[\"Learn More\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(39,'data_count','[25]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(40,'data_count_description','[\"Years Experiences <br> in this field\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:58:41','2024-08-09 23:58:41'),(41,'rating_star','[5]',1,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:58:41','2024-08-09 23:58:41'),(42,'rating_star','[5]',2,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:58:41','2024-08-09 23:58:41'),(43,'rating_star','[5]',3,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:58:41','2024-08-09 23:58:41'),(44,'rating_star','[5]',4,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:58:41','2024-08-09 23:58:41'),(45,'image','[\"careers\\/banner.jpg\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(46,'icon','[\"ti ti-chart-bar\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(47,'apply_url','[\"\\/contact-us\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(48,'image','[\"careers\\/banner.jpg\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(49,'icon','[\"ti ti-replace\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(50,'apply_url','[\"\\/contact-us\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(51,'image','[\"careers\\/banner.jpg\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(52,'icon','[\"ti ti-components\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(53,'apply_url','[\"\\/contact-us\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(54,'image','[\"careers\\/banner.jpg\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(55,'icon','[\"ti ti-brand-deezer\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(56,'apply_url','[\"\\/contact-us\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(57,'image','[\"careers\\/banner.jpg\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(58,'icon','[\"ti ti-video\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(59,'apply_url','[\"\\/contact-us\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(60,'image','[\"careers\\/banner.jpg\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(61,'icon','[\"ti ti-device-desktop-code\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(62,'apply_url','[\"\\/contact-us\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:58:41','2024-08-09 23:58:41'),(63,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',1,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(64,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',2,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(65,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',3,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(66,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',4,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(67,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',5,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(68,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',6,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(69,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',7,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(70,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',8,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(71,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',9,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(72,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',10,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(73,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',11,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(74,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',12,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(75,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',13,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(76,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',14,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(77,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',15,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(78,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',16,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(79,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',17,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(80,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',18,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(81,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',19,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(82,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',20,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(83,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',21,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(84,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',22,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(85,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',23,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(86,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',24,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(87,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',25,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(88,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',26,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(89,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',27,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(90,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',28,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(91,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',29,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(92,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',30,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(93,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',31,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(94,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',32,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(95,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',33,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(96,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',34,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(97,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',35,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(98,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',36,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(99,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',37,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(100,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',38,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(101,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',39,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(102,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',40,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(103,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',41,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(104,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',42,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(105,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',43,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(106,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',44,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(107,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',45,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(108,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',46,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(109,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',47,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(110,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',48,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(111,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',49,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(112,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',50,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(113,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',51,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(114,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',52,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(115,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',53,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(116,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',54,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(117,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',55,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(118,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',56,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(119,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',57,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(120,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',58,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(121,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',59,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(122,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',60,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(123,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',61,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(124,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',62,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(125,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',63,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(126,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',64,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28'),(127,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',65,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:59:28','2024-08-09 23:59:28');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=201 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2015_06_18_033822_create_blog_table',1),(6,'2015_06_29_025744_create_audit_history',1),(7,'2016_06_10_230148_create_acl_tables',1),(8,'2016_06_14_230857_create_menus_table',1),(9,'2016_06_17_091537_create_contacts_table',1),(10,'2016_06_28_221418_create_pages_table',1),(11,'2016_10_03_032336_create_languages_table',1),(12,'2016_10_05_074239_create_setting_table',1),(13,'2016_10_07_193005_create_translations_table',1),(14,'2016_10_13_150201_create_galleries_table',1),(15,'2016_11_28_032840_create_dashboard_widget_tables',1),(16,'2016_12_16_084601_create_widgets_table',1),(17,'2017_05_09_070343_create_media_tables',1),(18,'2017_05_18_080441_create_payment_tables',1),(19,'2017_07_11_140018_create_simple_slider_table',1),(20,'2017_10_24_154832_create_newsletter_table',1),(21,'2017_11_03_070450_create_slug_table',1),(22,'2018_07_09_214610_create_testimonial_table',1),(23,'2018_07_09_221238_create_faq_table',1),(24,'2019_01_05_053554_create_jobs_table',1),(25,'2019_06_24_211801_create_career_table',1),(26,'2019_08_19_000000_create_failed_jobs_table',1),(27,'2019_11_18_061011_create_country_table',1),(28,'2019_12_14_000001_create_personal_access_tokens_table',1),(29,'2020_03_05_041139_create_ecommerce_tables',1),(30,'2021_01_01_044147_ecommerce_create_flash_sale_table',1),(31,'2021_01_17_082713_add_column_is_featured_to_product_collections_table',1),(32,'2021_01_18_024333_add_zip_code_into_table_customer_addresses',1),(33,'2021_02_16_092633_remove_default_value_for_author_type',1),(34,'2021_02_18_073505_update_table_ec_reviews',1),(35,'2021_03_10_024419_add_column_confirmed_at_to_table_ec_customers',1),(36,'2021_03_10_025153_change_column_tax_amount',1),(37,'2021_03_20_033103_add_column_availability_to_table_ec_products',1),(38,'2021_03_27_144913_add_customer_type_into_table_payments',1),(39,'2021_04_28_074008_ecommerce_create_product_label_table',1),(40,'2021_05_24_034720_make_column_currency_nullable',1),(41,'2021_05_31_173037_ecommerce_create_ec_products_translations',1),(42,'2021_08_09_161302_add_metadata_column_to_payments_table',1),(43,'2021_08_17_105016_remove_column_currency_id_in_some_tables',1),(44,'2021_08_30_142128_add_images_column_to_ec_reviews_table',1),(45,'2021_10_04_030050_add_column_created_by_to_table_ec_products',1),(46,'2021_10_05_122616_add_status_column_to_ec_customers_table',1),(47,'2021_10_19_020859_update_metadata_field',1),(48,'2021_10_25_021023_fix-priority-load-for-language-advanced',1),(49,'2021_11_03_025806_nullable_phone_number_in_ec_customer_addresses',1),(50,'2021_11_23_071403_correct_languages_for_product_variations',1),(51,'2021_11_28_031808_add_product_tags_translations',1),(52,'2021_12_01_031123_add_featured_image_to_ec_products',1),(53,'2021_12_03_030600_create_blog_translations',1),(54,'2021_12_03_075608_create_page_translations',1),(55,'2021_12_03_082134_create_faq_translations',1),(56,'2021_12_03_082953_create_gallery_translations',1),(57,'2021_12_03_083642_create_testimonials_translations',1),(58,'2021_12_03_084118_create_location_translations',1),(59,'2021_12_03_094518_migrate_old_location_data',1),(60,'2021_12_04_095357_create_careers_translations_table',1),(61,'2021_12_10_034440_switch_plugin_location_to_use_language_advanced',1),(62,'2022_01_01_033107_update_table_ec_shipments',1),(63,'2022_01_16_085908_improve_plugin_location',1),(64,'2022_02_16_042457_improve_product_attribute_sets',1),(65,'2022_03_22_075758_correct_product_name',1),(66,'2022_04_19_113334_add_index_to_ec_products',1),(67,'2022_04_19_113923_add_index_to_table_posts',1),(68,'2022_04_20_100851_add_index_to_media_table',1),(69,'2022_04_20_101046_add_index_to_menu_table',1),(70,'2022_04_28_144405_remove_unused_table',1),(71,'2022_04_30_034048_create_gallery_meta_translations_table',1),(72,'2022_05_05_115015_create_ec_customer_recently_viewed_products_table',1),(73,'2022_05_18_143720_add_index_to_table_ec_product_categories',1),(74,'2022_06_16_095633_add_index_to_some_tables',1),(75,'2022_06_28_151901_activate_paypal_stripe_plugin',1),(76,'2022_06_30_035148_create_order_referrals_table',1),(77,'2022_07_07_153354_update_charge_id_in_table_payments',1),(78,'2022_07_10_034813_move_lang_folder_to_root',1),(79,'2022_07_24_153815_add_completed_at_to_ec_orders_table',1),(80,'2022_08_04_051940_add_missing_column_expires_at',1),(81,'2022_08_04_052122_delete_location_backup_tables',1),(82,'2022_08_14_032836_create_ec_order_returns_table',1),(83,'2022_08_14_033554_create_ec_order_return_items_table',1),(84,'2022_08_15_040324_add_billing_address',1),(85,'2022_08_30_091114_support_digital_products_table',1),(86,'2022_09_01_000001_create_admin_notifications_tables',1),(87,'2022_09_13_095744_create_options_table',1),(88,'2022_09_13_104347_create_option_value_table',1),(89,'2022_10_05_163518_alter_table_ec_order_product',1),(90,'2022_10_12_041517_create_invoices_table',1),(91,'2022_10_12_142226_update_orders_table',1),(92,'2022_10_13_024916_update_table_order_returns',1),(93,'2022_10_14_024629_drop_column_is_featured',1),(94,'2022_10_21_030830_update_columns_in_ec_shipments_table',1),(95,'2022_10_28_021046_update_columns_in_ec_shipments_table',1),(96,'2022_11_02_092723_team_create_team_table',1),(97,'2022_11_16_034522_update_type_column_in_ec_shipping_rules_table',1),(98,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(99,'2022_11_19_041643_add_ec_tax_product_table',1),(100,'2022_12_02_093615_update_slug_index_columns',1),(101,'2022_12_12_063830_update_tax_defadult_in_ec_tax_products_table',1),(102,'2022_12_17_041532_fix_address_in_order_invoice',1),(103,'2022_12_26_070329_create_ec_product_views_table',1),(104,'2023_01_04_033051_fix_product_categories',1),(105,'2023_01_09_050400_add_ec_global_options_translations_table',1),(106,'2023_01_10_093754_add_missing_option_value_id',1),(107,'2023_01_17_082713_add_column_barcode_and_cost_per_item_to_product_table',1),(108,'2023_01_26_021854_add_ec_customer_used_coupons_table',1),(109,'2023_01_30_024431_add_alt_to_media_table',1),(110,'2023_02_08_015900_update_options_column_in_ec_order_product_table',1),(111,'2023_02_16_042611_drop_table_password_resets',1),(112,'2023_02_27_095752_remove_duplicate_reviews',1),(113,'2023_03_20_115757_add_user_type_column_to_ec_shipment_histories_table',1),(114,'2023_04_21_082427_create_ec_product_categorizables_table',1),(115,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(116,'2023_04_23_061847_increase_state_translations_abbreviation_column',1),(117,'2023_05_03_011331_add_missing_column_price_into_invoice_items_table',1),(118,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(119,'2023_05_17_025812_fix_invoice_issue',1),(120,'2023_05_26_073140_move_option_make_phone_field_optional_at_checkout_page_to_mandatory_fields',1),(121,'2023_05_27_144611_fix_exchange_rate_setting',1),(122,'2023_06_22_084331_add_generate_license_code_to_ec_products_table',1),(123,'2023_06_30_042512_create_ec_order_tax_information_table',1),(124,'2023_07_06_011444_create_slug_translations_table',1),(125,'2023_07_14_022724_remove_column_id_from_ec_product_collection_products',1),(126,'2023_07_25_072632_create_portfolio_tables',1),(127,'2023_07_26_041451_add_more_columns_to_location_table',1),(128,'2023_07_27_041451_add_more_columns_to_location_translation_table',1),(129,'2023_08_03_041207_remove_unused_plugins',1),(130,'2023_08_06_070140_fix_shortcode_name',1),(131,'2023_08_09_012940_remove_column_status_in_ec_product_attributes',1),(132,'2023_08_09_035520_activate_business_services_plugin',1),(133,'2023_08_10_030324_migrate_old_shortcodes',1),(134,'2023_08_11_060908_create_announcements_table',1),(135,'2023_08_11_094574_update_team_table',1),(136,'2023_08_15_064505_create_ec_tax_rules_table',1),(137,'2023_08_15_073307_drop_unique_in_states_cities_translations',1),(138,'2023_08_21_021819_make_column_address_in_ec_customer_addresses_nullable',1),(139,'2023_08_21_090810_make_page_content_nullable',1),(140,'2023_08_22_094114_drop_unique_for_barcode',1),(141,'2023_08_29_074620_make_column_author_id_nullable',1),(142,'2023_08_29_075308_make_column_user_id_nullable',1),(143,'2023_08_30_031811_add_apply_via_url_column_to_ec_discounts_table',1),(144,'2023_09_07_094312_add_index_to_product_sku_and_translations',1),(145,'2023_09_11_023233_create_pf_custom_fields_table',1),(146,'2023_09_13_042633_add_columns_to_pf_projects_table',1),(147,'2023_09_13_044041_create_pf_project_categories_table',1),(148,'2023_09_14_021936_update_index_for_slugs_table',1),(149,'2023_09_14_022423_add_index_for_language_table',1),(150,'2023_09_19_024955_create_discount_product_categories_table',1),(151,'2023_09_20_050420_add_missing_translation_column',1),(152,'2023_09_22_061723_create_custom_fields_translations_table',1),(153,'2023_09_22_343531_remove_project_categories_table',1),(154,'2023_10_17_070728_add_icon_and_icon_image_to_product_categories_table',1),(155,'2023_10_21_065016_make_state_id_in_table_cities_nullable',1),(156,'2023_11_05_081701_fix_projects_table',1),(157,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',1),(158,'2023_11_14_033417_change_request_column_in_table_audit_histories',1),(159,'2023_11_17_063408_add_description_column_to_faq_categories_table',1),(160,'2023_11_22_154643_add_unique_in_table_ec_products_variations',1),(161,'2023_11_27_032313_add_price_columns_to_ec_product_cross_sale_relations_table',1),(162,'2023_11_30_085354_add_missing_description_to_team',1),(163,'2023_12_06_023945_add_display_on_checkout_column_to_ec_discounts_table',1),(164,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(165,'2023_12_12_105220_drop_translations_table',1),(166,'2023_12_17_162208_make_sure_column_color_in_media_folders_nullable',1),(167,'2023_12_25_040604_ec_create_review_replies_table',1),(168,'2023_12_26_090340_add_private_notes_column_to_ec_customers_table',1),(169,'2024_01_07_072057_update_theme_option_for_login_page',1),(170,'2024_01_16_050056_create_comments_table',1),(171,'2024_01_16_070706_fix_translation_tables',1),(172,'2024_01_23_075227_add_proof_file_to_ec_orders_table',1),(173,'2024_03_20_080001_migrate_change_attribute_email_to_nullable_form_contacts_table',1),(174,'2024_03_25_000001_update_captcha_settings_for_contact',1),(175,'2024_03_25_000001_update_captcha_settings_for_newsletter',1),(176,'2024_03_26_041531_add_cancel_reason_to_ec_orders_table',1),(177,'2024_03_27_062402_create_ec_customer_deletion_requests_table',1),(178,'2024_03_29_042242_migrate_old_captcha_settings',1),(179,'2024_03_29_093946_create_ec_order_return_histories_table',1),(180,'2024_04_01_063523_add_customer_columns_to_ec_reviews_table',1),(181,'2024_04_04_110758_update_value_column_in_user_meta_table',1),(182,'2024_04_15_092654_migrate_ecommerce_google_tag_manager_code_setting',1),(183,'2024_04_16_035713_add_min_max_order_quantity_columns_to_products_table',1),(184,'2024_04_19_063914_create_custom_fields_table',1),(185,'2024_04_27_100730_improve_analytics_setting',1),(186,'2024_05_07_073153_improve_table_wishlist',1),(187,'2024_05_07_093703_add_missing_zip_code_into_table_store_locators',1),(188,'2024_05_12_091229_add_column_visibility_to_table_media_files',1),(189,'2024_05_15_021503_fix_invoice_path',1),(190,'2024_05_16_060328_add_projects_translations_table',1),(191,'2024_06_20_160724_create_ec_shared_wishlists_table',1),(192,'2024_06_28_025104_add_notify_attachment_updated_column_to_ec_products_table',1),(193,'2024_07_03_030900_add_downloaded_at_column_to_ec_order_product_table',1),(194,'2024_07_04_083133_create_payment_logs_table',1),(195,'2024_07_07_091316_fix_column_url_in_menu_nodes_table',1),(196,'2024_07_12_100000_change_random_hash_for_media',1),(197,'2024_07_14_071826_make_customer_email_nullable',1),(198,'2024_07_15_104916_add_video_media_column_to_ec_products_table',1),(199,'2024_07_26_052530_add_percentage_to_tax_rules_table',1),(200,'2024_07_30_091615_fix_order_column_in_categories_table',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Homepage','[hero-banner-slider title=&quot;Accounting platformusing AI technology&quot; subtitle=&quot;BEST ACCOUNTING SERVICES&quot; description=&quot;Empower decision-making with real-time financial reporting&quot; simple_slider_key=&quot;home-slider&quot; quantity=&quot;4&quot; title_1=&quot;Best For IT Consulting&quot; title_2=&quot;Our Vision, Our Mission&quot; title_3=&quot;Save Money &amp; Time&quot; title_4=&quot;100% Satisfaction&quot; team_title=&quot;Trusted , Happy &amp; Satisfied Businesses&quot; team_image=&quot;general/hero-banner-slider-team.png&quot; background_color=&quot;rgb(236, 246, 250)&quot;][/hero-banner-slider][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/brands][about-us-information style=&quot;style-7&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-7.png&quot; quantity=&quot;2&quot; title_1=&quot;Finance Planning&quot; description_1=&quot;Apexa helps youcona doing tempor incididunt.&quot; icon_1=&quot;ti ti-chart-bar&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Apexa helps youcona doing tempor incididunt.&quot; icon_2=&quot;ti ti-coins&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][services style=&quot;style-6&quot; title=&quot;Expert Financial and Accounting Services for Businesses&quot; subtitle=&quot;OUR SOLUTIONS&quot; service_ids=&quot;1,3,4,5&quot; background_color=&quot;rgb(236, 246, 250)&quot; enable_lazy_loading=&quot;yes&quot;][/services][instruction-steps title=&quot;Engage With Us For Financial And Accounting Services With This Step-By-Step Guide&quot; description=&quot;Discover how our company can help your business with our comprehensive financial and accounting services. From bookkeeping to tax planning, we have you covered. Contact us today to get started.&quot; quantity=&quot;3&quot; title_1=&quot;Step 1: Initial Consultation&quot; description_1=&quot;Schedule a consultation with our experts to discuss your business needs and goals.&quot; icon_1=&quot;ti ti-chart-pie&quot; button_label_1=&quot;Read More&quot; button_url_1=&quot;/contact-us&quot; title_2=&quot;Step 2: Initial Consultation&quot; description_2=&quot;Schedule a consultation with our experts to discuss your business needs and goals.&quot; icon_2=&quot;ti ti-bulb&quot; button_label_2=&quot;Read more&quot; button_url_2=&quot;/contact-us&quot; title_3=&quot;Step 3: Initial Consultation&quot; description_3=&quot;Schedule a consultation with our experts to discuss your business needs and goals.&quot; icon_3=&quot;ti ti-rocket&quot; button_label_3=&quot;Read More&quot; button_url_3=&quot;/contact-us&quot; background_color=&quot;rgb(20, 23, 108)&quot;][/instruction-steps][services style=&quot;style-1&quot; title=&quot;Transforming Businesses with &lt;span&gt; Financial Excellence&quot; subtitle=&quot;FEATURES PROJECTS&quot; service_ids=&quot;1,2,3,4&quot; button_label=&quot;See All Services&quot; button_url=&quot;/&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/services][site-statistics style=&quot;style-2&quot; title=&quot;Our Journey Towards &lt;span&gt; Financial Excellence&quot; subtitle=&quot;FEATURES PROJECTS&quot; description=&quot;With a track record of success, we have served numerous clients worldwide, providing top-notch financial and accounting services.&quot; button_label=&quot;See All Services&quot; button_url=&quot;/services&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/contact-block-bg-3.png&quot; background_color=&quot;rgb(20, 23, 108)&quot;][/site-statistics][testimonials style=&quot;style-6&quot; title=&quot;What are They Saying About Our Company&quot; subtitle=&quot;FEATURES PROJECTS&quot; testimonial_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][about-us-information style=&quot;style-16&quot; title=&quot;Business Growth Creativity &lt;br&gt; Meet Our Agency&#039;s Experts&quot; subtitle=&quot;ABOUT COMPANY&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master.We successfully cope varying complexity provide area longerty guarantees.&quot; image=&quot;general/about-us-information-16.png&quot; image_1=&quot;general/about-us-information-5-1.png&quot; quantity=&quot;4&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; title_4=&quot;100% Money Growth&quot; data_count=&quot;15+&quot; data_count_description=&quot;World Best Agency Award Got&quot; background_color=&quot;rgb(254, 246, 230)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][blog-posts style=&quot;style-1&quot; category_ids=&quot;2,3,4,5&quot; title=&quot;Featured News And Insights&quot; subtitle=&quot;OUR BLOG UPDATE&quot; limit=&quot;3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/blog-posts]',1,NULL,'homepage',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,'Contact Us','<br><br><br><br><div>[google-map height=\"500\"]Awamileaug Drive, Kensington London, UK[/google-map]</div>[contact-form display_fields=\"phone,email,subject,address\" mandatory_fields=\"email\" title=\"How can we help you?\" description=\"When an unknown printer took a galley of type and scrambled it to make type pecimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker\" quantity=\"3\" title_1=\"Address\" icon_1=\"ti ti-map-pin\" description_1=\"Awamileaug Drive, Kensington London, UK\" title_2=\"Phone\" icon_2=\"ti ti-phone-call\" description_2=\"+48 500-130-0001\" title_3=\"E-mail\" icon_3=\"ti ti-mail\" description_3=\"info@gmail.com\" form_title=\"Give Us a Message\" form_description=\"Your email address will not be published. Required fields are marked *\" form_button_label=\"Submit Post\"][/contact-form]',1,NULL,NULL,NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,'Blog','',1,NULL,NULL,NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,'Business About','[about-us-information style=&quot;style-11&quot; title=&quot;We Help Organizations To Make Ultimate Businesses Growth Success&quot; subtitle=&quot;SIMPLY KNOW ABOUT&quot; description=&quot;We successfully cope with tasks of varying complexityprovide longerty term guarantees and regularly master new Practice Area technol ogiesOur portfolio includes dozen&quot; image=&quot;general/about-us-information-11.jpg&quot; image_1=&quot;general/about-us-information-11-1.jpg&quot; image_2=&quot;general/about-us-information-11-2.png&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;15+&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; button_label=&quot;Contact With Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands][about-us-information style=&quot;style-12&quot; title=&quot;Digital Solutions For Your Online Business&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur.&quot; quantity=&quot;4&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-histogram&quot; title_2=&quot;Finance Planning&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-building-bank&quot; title_3=&quot;Market Analysis&quot; description_3=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_3=&quot;ti ti-ad-2&quot; title_4=&quot;Business Solutions&quot; description_4=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_4=&quot;ti ti-box-model&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][team style=&quot;style-4&quot; title=&quot;Business Expertise Is Here For You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(5,'Finance About','[about-us-information style=&quot;style-13&quot; title=&quot;Dedicated Teams &lt;br&gt; &lt;span&gt;Always&lt;/span&gt; Bring Something &lt;span&gt;Good&lt;/span&gt;&quot; description=&quot;We when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only fiveawe centuriesbut also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release offer Letraset when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only &quot; image=&quot;general/about-us-information-13.jpg&quot; quantity=&quot;6&quot; data_count=&quot;25&quot; data_count_description=&quot;Years of experience&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(6,'Consulting About','[about-us-information style=&quot;style-3&quot; title=&quot;Providing Expert Advice On Business Consulting, Planning &amp; Success&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-3-1.jpg&quot; image_1=&quot;general/about-us-information-3-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Business Growth&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure&quot; data_count=&quot;25&quot; data_count_description=&quot;YEARS &lt;br&gt; EXPERIENCE &lt;br&gt; IN CONSULTING&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; contact_title=&quot;+123 8989 444&quot; contact_subtitle=&quot;Hot Line Number&quot; contact_url=&quot;tel:+123 8989444&quot; contact_icon=&quot;ti ti-phone-call&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(7,'Insurance About','[about-us-information style=&quot;style-4&quot; title=&quot;Insurance For The Better Family &amp; Corporate Life&quot; subtitle=&quot;ABOUT US&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-4-1.jpg&quot; image_1=&quot;general/about-us-information-4-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;25&quot; data_count_description=&quot;Years Experience &lt;br&gt;  in This Field&quot; button_label=&quot;Quick Contact Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][testimonials style=&quot;style-1&quot; image=&quot;general/testimonials-4-1.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(8,'Digital Agency About','<br><br><br><br>[about-us-information style=&quot;style-5&quot; title=&quot;Business Growth Creativity Meet Our Agency&#039;s Experts&quot; subtitle=&quot;ABOUT COMPANY&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master. We successfully cope varying complexity provide area longerty guarantees.&quot; image=&quot;general/about-us-information-5.jpg&quot; image_1=&quot;general/about-us-information-5-1.png&quot; data_count=&quot;15&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; quantity=&quot;4&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; title_4=&quot;100% Money Growth&quot; button_label=&quot;Contact with Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][services style=&quot;style-3&quot; title=&quot;Transforming Your Business With Technology&quot; subtitle=&quot;SPECIAL FEATURES&quot; service_ids=&quot;1,2,7&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/services][testimonials style=&quot;style-2&quot; title=&quot;What Our Loving Clients Saying&quot; subtitle=&quot;CLIENTS TESTIMONIAL&quot; testimonial_ids=&quot;1,2,3&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(9,'Services','[services style=&quot;style-1&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(10,'Finance Service','[services style=&quot;style-2&quot; title=&quot;Let&rsquo;s Discover Our Service &lt;br&gt; Features Charter&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_color=&quot;#14176C&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(11,'Consulting Service','[services style=&quot;style-3&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(12,'Digital Agency Service','[services style=&quot;style-6&quot; title=&quot;We Do World Class Work For You&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(13,'Insurance Service','[services-tab title=&quot;Discover Our Insurance Services For All&quot; subtitle=&quot;WHAT WE OFFER&quot; quantity=&quot;6&quot; service_id_1=&quot;1&quot; title_1=&quot;Data Analyst&quot; description_1=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_1=&quot;Business Growth&quot; featured_title_2_1=&quot;100% Secure&quot; featured_title_3_1=&quot;Business Growth&quot; service_id_2=&quot;8&quot; title_2=&quot;Strategy Adviser&quot; description_2=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_2=&quot;Business Growth&quot; featured_title_2_2=&quot;Analysis &amp; Research&quot; featured_title_3_2=&quot;100% Secure&quot; service_id_3=&quot;2&quot; title_3=&quot;Liability Planner&quot; description_3=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_3=&quot;Business Growth&quot; featured_title_2_3=&quot;Analysis &amp; Research&quot; featured_title_3_3=&quot;100% Secure&quot; service_id_4=&quot;12&quot; title_4=&quot;Growth Planner&quot; description_4=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_4=&quot;Business Growth&quot; featured_title_2_4=&quot;Analysis &amp; Research&quot; featured_title_3_4=&quot;100% Secure&quot; service_id_5=&quot;7&quot; title_5=&quot;Insurance Expert&quot; description_5=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_5=&quot;Business Growth&quot; featured_title_2_5=&quot;Analysis &amp; Research&quot; featured_title_3_5=&quot;100% Secure&quot; service_id_6=&quot;10&quot; title_6=&quot;Operations Expert&quot; description_6=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_6=&quot;Business Growth&quot; featured_title_2_6=&quot;Analysis &amp; Research&quot; featured_title_3_6=&quot;100% Secure&quot; button_label=&quot;See More Services&quot; button_url=&quot;/services&quot; background_image=&quot;backgrounds/services-bg-3.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services-tab]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(14,'Team One','[team style=\"style-1\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"transparent\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(15,'Team Two','[team style=\"style-2\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(16,'Team Three','[team style=\"style-3\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(17,'Team Four','[team style=\"style-4\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(18,'How Its Work','[instruction-steps title=\"Engage With Us For Financial And Accounting Services With This Step-By-Step Guide\" description=\"Discover how our company can help your business with our comprehensive financial and accounting services. From bookkeeping to tax planning, we have you covered. Contact us today to get started.\" quantity=\"3\" title_1=\"Step 1: Initial Consultation\" description_1=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_1=\"ti ti-chart-pie\" button_label_1=\"Read More\" button_url_1=\"/contact-us\" title_2=\"Step 2: Initial Consultation\" description_2=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_2=\"ti ti-bulb\" button_label_2=\"Read more\" button_url_2=\"/contact-us\" title_3=\"Step 3: Initial Consultation\" description_3=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_3=\"ti ti-rocket\" button_label_3=\"Read More\" button_url_3=\"/contact-us\" background_color=\"rgb(20, 23, 108)\"][/instruction-steps]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(19,'Pricing','[pricing title=\"We’ve Offered The Best Pricing For You\" subtitle=\"FLEXIBLE PRICING PLAN\" package_ids=\"1,2,3\" background_image=\"backgrounds/blog-posts-bg.jpg\" enable_lazy_loading=\"yes\"][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28'),(20,'Testimonials','[testimonials style=\"style-2\" title=\"What Our Loving Clients Saying\" subtitle=\"CLIENTS TESTIMONIAL\" testimonial_ids=\"1,2,3\" background_color=\"rgb(20, 23, 108)\" enable_lazy_loading=\"yes\"][/testimonials]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_logs`
--

DROP TABLE IF EXISTS `payment_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `response` longtext COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_logs`
--

LOCK TABLES `payment_logs` WRITE;
/*!40000 ALTER TABLE `payment_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `payment_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `currency` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `charge_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_channel` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'pending',
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'confirm',
  `customer_id` bigint unsigned DEFAULT NULL,
  `refunded_amount` decimal(15,2) unsigned DEFAULT NULL,
  `refund_note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options`
--

DROP TABLE IF EXISTS `pf_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_field_options_custom_field_id_index` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options`
--

LOCK TABLES `pf_custom_field_options` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options` DISABLE KEYS */;
INSERT INTO `pf_custom_field_options` VALUES (1,1,'Health Insurance','Health Insurance',999,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,1,'Travel Insurance','Travel Insurance',999,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(3,1,'Vehicle Insurance','Vehicle Insurance',999,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(4,1,'Cargo Insurance','Cargo Insurance',999,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(5,1,'Fire Insurance','Fire Insurance',999,'2024-08-09 23:58:40','2024-08-09 23:58:40');
/*!40000 ALTER TABLE `pf_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options_translations`
--

DROP TABLE IF EXISTS `pf_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_field_options_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options_translations`
--

LOCK TABLES `pf_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields`
--

DROP TABLE IF EXISTS `pf_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_fields_author_type_author_id_index` (`author_type`,`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields`
--

LOCK TABLES `pf_custom_fields` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields` DISABLE KEYS */;
INSERT INTO `pf_custom_fields` VALUES (1,'Botble\\ACL\\Models\\User',1,'Type',NULL,1,'dropdown',999,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,'Botble\\ACL\\Models\\User',1,'Price',NULL,0,'number',999,'published','2024-08-09 23:58:40','2024-08-09 23:58:40');
/*!40000 ALTER TABLE `pf_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields_translations`
--

DROP TABLE IF EXISTS `pf_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_fields_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields_translations`
--

LOCK TABLES `pf_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages`
--

DROP TABLE IF EXISTS `pf_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages`
--

LOCK TABLES `pf_packages` WRITE;
/*!40000 ALTER TABLE `pf_packages` DISABLE KEYS */;
INSERT INTO `pf_packages` VALUES (1,'Basic Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$19','$119','monthly','+ 100 User Activities\n+ Limit Access\n+ No Hidden Charge\n+ 01 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,'Team Plan','All the basics for businesses that are just getting started.','<p>This is package content</p>\n','$49','$499','monthly','+ 1000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 03 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',1,'2024-08-09 23:58:40','2024-08-09 23:58:40'),(3,'Enterprise Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$99','$999','monthly','+ 5000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 10 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:58:40','2024-08-09 23:58:40');
/*!40000 ALTER TABLE `pf_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages_translations`
--

DROP TABLE IF EXISTS `pf_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages_translations`
--

LOCK TABLES `pf_packages_translations` WRITE;
/*!40000 ALTER TABLE `pf_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects`
--

DROP TABLE IF EXISTS `pf_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `place` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects`
--

LOCK TABLES `pf_projects` WRITE;
/*!40000 ALTER TABLE `pf_projects` DISABLE KEYS */;
INSERT INTO `pf_projects` VALUES (1,'Innovation Hub: Navigating the Future','Gain invaluable insights into strategic business planning and decision-making through our comprehensive program. Unlock the power of data-driven strategies for sustainable growth.','<p>We are excited to introduce you to Innovation Hub: Navigating the Future, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Innovation Hub: Navigating the Future</span>?</h2>\n<p>\n    Choosing <span>Innovation Hub: Navigating the Future</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Paris','Grace Williams',0,'projects/1.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Devin Schaefer DVM','1999-02-19'),(2,'Leadership Excellence Initiative','Join us at the Innovation Hub, where we explore cutting-edge technologies and trends shaping the future of business. Discover innovative solutions and stay ahead of the curve.','<p>We are excited to introduce you to Leadership Excellence Initiative, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Leadership Excellence Initiative</span>?</h2>\n<p>\n    Choosing <span>Leadership Excellence Initiative</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','Michael Turner',0,'projects/2.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Mrs. Destini Doyle PhD','1986-09-18'),(3,'Startup Accelerator Program','Accelerate your startup’s growth with our intensive program. From idea to market entry, we provide mentorship, resources, and networking opportunities for success.','<p>We are excited to introduce you to Startup Accelerator Program, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Startup Accelerator Program</span>?</h2>\n<p>\n    Choosing <span>Startup Accelerator Program</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thailand','David Chen',0,'projects/3.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Jamey Trantow','1995-01-03'),(4,'Marketing Mastery Series','Master the art of marketing with our comprehensive series. From branding to digital marketing, this series equips you with the skills to captivate your audience.','<p>We are excited to introduce you to Marketing Mastery Series, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Mastery Series</span>?</h2>\n<p>\n    Choosing <span>Marketing Mastery Series</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Japan','Takashi Hamachi',0,'projects/4.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Aaliyah Gislason','1972-09-01'),(5,'Illustration Design','Vitae voluptas tempora iste qui. Nulla unde odio repudiandae non est rerum porro. Rerum consequatur eveniet quam velit architecto. Odit maxime magni mollitia laudantium ratione rerum.','<p>We are excited to introduce you to Illustration Design, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Illustration Design</span>?</h2>\n<p>\n    Choosing <span>Illustration Design</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','David Kane',0,'projects/5.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Ms. Lavada Wolf I','1970-09-27'),(6,'Design & Development','Esse odio consequatur quis aut. Maxime ad eos tenetur minus rerum. Mollitia qui autem debitis incidunt. Dolore voluptatem cupiditate nobis amet omnis.','<p>We are excited to introduce you to Design & Development, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Design & Development</span>?</h2>\n<p>\n    Choosing <span>Design & Development</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Canada','Franks Doe',0,'projects/6.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Marian Legros','1983-05-28'),(7,'Marketing Consultancy','Itaque nemo quae molestias. Sed in consequatur dignissimos autem qui. Atque eos modi voluptas est officiis facilis. Aspernatur iure et sed nulla.','<p>We are excited to introduce you to Marketing Consultancy, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Consultancy</span>?</h2>\n<p>\n    Choosing <span>Marketing Consultancy</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','India','Alexander Kavas',0,'projects/7.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Mr. Perry Kreiger','2006-07-13'),(8,'Digital Marketing','Aut non impedit quo facere. Error in tempora magnam quod. Unde qui et assumenda neque deleniti.','<p>We are excited to introduce you to Digital Marketing, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Digital Marketing</span>?</h2>\n<p>\n    Choosing <span>Digital Marketing</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Brazil','Roby Elexa',0,'projects/8.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','Otho Sporer','1993-04-13'),(9,'Strategic Planning','Aut dolores est eligendi perspiciatis soluta. Voluptas delectus qui sit aliquid sit rerum qui. Dolorem ea optio aliquam est ipsam labore. Enim eligendi culpa ut id.','<p>We are excited to introduce you to Strategic Planning, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Strategic Planning</span>?</h2>\n<p>\n    Choosing <span>Strategic Planning</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thai Lan','Nicola Per',0,'projects/9.jpg',NULL,0,'published','2024-08-09 23:58:40','2024-08-09 23:58:40','John Little','2021-12-26');
/*!40000 ALTER TABLE `pf_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects_translations`
--

DROP TABLE IF EXISTS `pf_projects_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_projects_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects_translations`
--

LOCK TABLES `pf_projects_translations` WRITE;
/*!40000 ALTER TABLE `pf_projects_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_projects_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_quotes`
--

DROP TABLE IF EXISTS `pf_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_quotes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_quotes`
--

LOCK TABLES `pf_quotes` WRITE;
/*!40000 ALTER TABLE `pf_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories`
--

DROP TABLE IF EXISTS `pf_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories`
--

LOCK TABLES `pf_service_categories` WRITE;
/*!40000 ALTER TABLE `pf_service_categories` DISABLE KEYS */;
INSERT INTO `pf_service_categories` VALUES (1,NULL,'Financial Analysis','Cum soluta expedita ratione repellendus nostrum non. Ut modi temporibus laudantium inventore in rem aliquam. Amet aperiam nulla deserunt sequi velit quia. Dignissimos aut ipsum similique quos sit architecto. Harum ipsam odio maxime omnis consequuntur. Ipsam aliquid nobis ullam. Quis a ut non.',NULL,1,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,NULL,'Tax Strategy','Voluptatem dolore suscipit placeat necessitatibus nihil. Est facere aspernatur quaerat consequatur sed. Placeat vero dolores in repellendus aut. Consequatur et aut architecto dolorem quas. Nesciunt aut ab ducimus qui sapiente voluptatum iure tempora.',NULL,2,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(3,NULL,'Market Research','Perferendis rerum magnam ut veritatis expedita maxime voluptas. Nisi et unde possimus soluta necessitatibus qui. Nisi dolores iusto voluptatem. Accusamus est at suscipit illo iure sit culpa veritatis. Dolores cum pariatur quam nisi et nemo. Blanditiis eligendi nostrum ut sunt aliquam alias aut. Ad cum odio reiciendis commodi vero quasi magnam. Voluptatem commodi architecto consequatur nulla.',NULL,3,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(4,NULL,'Business Strategy','Quidem quidem asperiores maiores magnam soluta. Quaerat corrupti et hic delectus aut. Ut autem voluptas temporibus blanditiis. Qui tenetur et vel incidunt consequatur aut id. Velit natus sit enim enim natus qui atque. Assumenda illum facere unde officiis libero tempora sint ut. Est occaecati dolorem non.',NULL,4,'published','2024-08-09 23:58:40','2024-08-09 23:58:40');
/*!40000 ALTER TABLE `pf_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories_translations`
--

DROP TABLE IF EXISTS `pf_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`pf_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories_translations`
--

LOCK TABLES `pf_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `pf_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services`
--

DROP TABLE IF EXISTS `pf_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services`
--

LOCK TABLES `pf_services` WRITE;
/*!40000 ALTER TABLE `pf_services` DISABLE KEYS */;
INSERT INTO `pf_services` VALUES (1,4,'Data Analyst','Maiores ut corporis consectetur cumque. Earum cupiditate nobis velit quisquam sint. Et velit necessitatibus autem soluta eum est vitae.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/1.jpg','[\"news\\/1.jpg\"]',6854,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(2,3,'Liability Planner','Sit repellendus expedita qui et in. Rerum pariatur laborum sequi mollitia sint quia labore nam. Et suscipit aut harum cumque. Aut nesciunt est et consequatur.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/3.jpg','[\"news\\/3.jpg\"]',561,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(3,4,'Growth Planner','Officia impedit deleniti similique ut. Illum beatae maxime non. Magnam id omnis id. Qui aliquam omnis velit quia ducimus et aut voluptas.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/2.jpg\"]',7729,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(4,1,'Risk Manager','Sed sit nihil sint recusandae. Similique dolores amet adipisci laudantium nihil. Voluptatem qui eos consequatur quisquam repellat qui.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',4957,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(5,4,'Retirement Planner','Sit vitae et eius debitis vitae perspiciatis. Beatae consectetur aspernatur et voluptatem tempore sunt omnis. Ut saepe ut reprehenderit similique.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/3.jpg\"]',5870,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(6,3,'Risk Analyst','Enim quaerat odio ut adipisci perspiciatis iusto quaerat. Delectus ut deserunt magni. Itaque animi nemo voluptatem earum eos. Molestiae et quasi sint.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/2.jpg\"]',1805,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(7,1,'Insurance Expert','Optio sapiente dicta itaque quia minus sed sapiente. Repudiandae non similique autem eaque. Ut quia aut voluptatem quas et quaerat magnam. Et consequatur quia doloremque aperiam autem.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/4.jpg\"]',7138,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(8,4,'Budget Manager','Ut quaerat voluptas rerum voluptas. Debitis totam eum consequatur ab. Omnis maiores aut laboriosam quaerat sit blanditiis.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',3465,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(9,3,'Strategy Adviser','Ullam aut eveniet et quia. Totam iusto hic tempore repellendus incidunt eaque. Eos voluptas reprehenderit quo harum.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/1.jpg','[\"news\\/4.jpg\"]',877,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(10,3,'Operations Expert','Enim voluptas dolorem vel est repellat velit ut. Omnis qui repellendus iure eius sunt numquam suscipit. Quia quo animi aliquam officiis enim quos.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/4.jpg\"]',5009,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(11,2,'Profit Strategist','Sit odit rerum qui et quis et. Expedita laborum aperiam excepturi magnam minus non. Aut enim sit mollitia sunt. Dolore voluptatem aut aut ut perspiciatis aut distinctio illo.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',7209,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(12,2,'Objective Planner','Aut numquam cum quis voluptate. Repellat non natus quia ea eaque. Molestiae unde enim impedit ut qui.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/4.jpg\"]',2715,'published','2024-08-09 23:58:40','2024-08-09 23:58:40'),(13,4,'Goal Specialist','Dolorem doloribus qui ea pariatur dolor natus reprehenderit. Et expedita voluptates iusto quisquam quo quasi labore. Omnis modi quidem et possimus.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/3.jpg','[\"news\\/4.jpg\"]',7089,'published','2024-08-09 23:58:40','2024-08-09 23:58:40');
/*!40000 ALTER TABLE `pf_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services_translations`
--

DROP TABLE IF EXISTS `pf_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services_translations`
--

LOCK TABLES `pf_services_translations` WRITE;
/*!40000 ALTER TABLE `pf_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (1,1),(12,1),(15,2),(5,2),(9,3),(18,3),(2,4),(16,4),(20,5),(4,5),(15,6),(20,6),(6,7),(15,7),(20,8),(15,8),(2,9),(8,10),(16,10),(10,11),(15,11),(3,12),(6,12),(12,13),(6,13),(18,14),(19,14),(10,15),(16,16),(13,16),(15,17),(2,17),(3,18),(20,18),(12,19),(7,19);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (4,1),(11,1),(18,1),(19,2),(9,2),(1,2),(2,3),(3,3),(15,3),(11,4),(16,4),(8,4),(6,5),(17,5),(2,5),(20,6),(3,6),(12,6),(10,7),(9,7),(14,7),(14,8),(17,8),(15,8),(19,9),(15,9),(4,10),(16,10),(3,10),(18,11),(1,11),(8,11),(5,12),(17,12),(7,12),(7,13),(13,13),(15,13),(9,14),(11,14),(1,14),(8,15),(1,15),(17,15),(7,16),(3,16),(5,16),(15,17),(8,17),(1,17),(16,18),(11,18),(13,19),(8,19),(11,19);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'The Power of Networking: Building Relationships for Business Growth','Learn how to build strategic connections and leverage your network to propel your business forward.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/1.jpg',195,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(2,'5 Productivity Hacks for Busy Entrepreneurs','Feeling overwhelmed? Discover practical tips to maximize your time and achieve more in your workday.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/2.jpg',1938,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(3,'From Brainstorm to Boardroom: Crafting a Winning Business Plan','Unleash your inner strategist. This post outlines the key elements of a compelling business plan.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/3.jpg',2054,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(4,'The Art of Delegation: Empowering Your Team for Success','Effective leaders empower others. Learn how to delegate tasks effectively and unlock your team\'s full potential.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/4.jpg',1954,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(5,'Customer Centricity: Putting Your Customers at the Heart of Your Business','In today\'s competitive market, customer satisfaction is paramount. Discover strategies to prioritize your customers.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/5.jpg',129,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(6,'Data-Driven Decisions: Leveraging Insights to Fuel Business Growth','Data is king. Learn how to harness the power of data analytics to make informed decisions for your business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/6.jpg',1212,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(7,'Building a Strong Brand Identity: Standing Out from the Crowd','Create a brand that resonates with your audience. Explore strategies to develop a unique and memorable brand identity.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/7.jpg',640,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(8,'The Importance of Social Media Marketing for Businesses','Reach a wider audience and engage with potential customers. Discover the power of social media marketing for businesses.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/8.jpg',407,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(9,'Content is King: Creating Engaging Content to Attract Customers','High-quality content is key to attracting and retaining customers. Explore strategies to create valuable and engaging content.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/9.jpg',1731,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(10,'The Art of Negotiation: Winning Deals and Building Relationships','Master the art of negotiation and achieve mutually beneficial outcomes. Learn effective negotiation strategies for business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/10.jpg',970,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(11,'Managing Cash Flow: The Lifeblood of Your Business','Cash flow is crucial for any business. Explore strategies to manage your cash flow effectively and ensure financial stability.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/11.jpg',1721,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(12,'The Power of Storytelling: Connecting with Your Audience on a Deeper Level','Stories have the power to inspire and connect. Learn how storytelling can enhance your marketing and brand communication.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/12.jpg',794,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(13,'Overcoming Challenges: Embracing Failure as a Learning Opportunity','Challenges are inevitable in business. Discover how to overcome obstacles and use setbacks as fuel for growth.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/13.jpg',1682,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(14,'Building a High-Performing Team: Creating a Culture of Collaboration and Success','The strength of a business lies in its people. Explore strategies to foster a collaborative and successful team environment.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/14.jpg',1188,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(15,'The Importance of Work-Life Balance for Entrepreneurs','Burnout is real. Learn how to maintain a healthy work-life balance for long-term success as an entrepreneur.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/15.jpg',1092,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(16,'Staying Ahead of the Curve: Embracing Innovation in Business','In a rapidly changing world, innovation is key. Learn strategies to stay ahead of the curve and adapt to industry trends.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/16.jpg',859,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(17,'The Power of Public Speaking: Captivate Your Audience and Deliver Your Message with Impact','Master the art of public speaking to elevate your presentations and connect with your audience effectively.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/17.jpg',1377,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(18,'Building a Sustainable Business: Environmental and Social Responsibility','Today\'s consumers are conscious. Learn how to build a sustainable business model that prioritizes social responsibility.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/18.jpg',1891,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37'),(19,'The Future of Business: Trends and Technologies Shaping the Landscape','Explore emerging trends and technologies that are shaping the future of business. Prepare your business for what\'s to come.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/19.jpg',638,NULL,'2024-08-09 23:58:37','2024-08-09 23:58:37');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.cms\":true,\"core.manage.license\":true,\"systems.cronjob\":true,\"core.tools\":true,\"tools.data-synchronize\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.common\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"settings.others\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"theme.robots-txt\":true,\"settings.website-tracking\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"announcements.index\":true,\"announcements.create\":true,\"announcements.edit\":true,\"announcements.destroy\":true,\"announcements.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"posts.export\":true,\"posts.import\":true,\"captcha.settings\":true,\"careers.index\":true,\"careers.create\":true,\"careers.edit\":true,\"careers.destroy\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugins.ecommerce\":true,\"ecommerce.report.index\":true,\"products.index\":true,\"products.create\":true,\"products.edit\":true,\"products.destroy\":true,\"products.duplicate\":true,\"ecommerce.product-prices.index\":true,\"ecommerce.product-prices.edit\":true,\"ecommerce.product-inventory.index\":true,\"ecommerce.product-inventory.edit\":true,\"product-categories.index\":true,\"product-categories.create\":true,\"product-categories.edit\":true,\"product-categories.destroy\":true,\"product-tag.index\":true,\"product-tag.create\":true,\"product-tag.edit\":true,\"product-tag.destroy\":true,\"brands.index\":true,\"brands.create\":true,\"brands.edit\":true,\"brands.destroy\":true,\"product-collections.index\":true,\"product-collections.create\":true,\"product-collections.edit\":true,\"product-collections.destroy\":true,\"product-attribute-sets.index\":true,\"product-attribute-sets.create\":true,\"product-attribute-sets.edit\":true,\"product-attribute-sets.destroy\":true,\"product-attributes.index\":true,\"product-attributes.create\":true,\"product-attributes.edit\":true,\"product-attributes.destroy\":true,\"tax.index\":true,\"tax.create\":true,\"tax.edit\":true,\"tax.destroy\":true,\"reviews.index\":true,\"reviews.create\":true,\"reviews.destroy\":true,\"reviews.publish\":true,\"reviews.reply\":true,\"ecommerce.shipments.index\":true,\"ecommerce.shipments.create\":true,\"ecommerce.shipments.edit\":true,\"ecommerce.shipments.destroy\":true,\"orders.index\":true,\"orders.create\":true,\"orders.edit\":true,\"orders.destroy\":true,\"discounts.index\":true,\"discounts.create\":true,\"discounts.edit\":true,\"discounts.destroy\":true,\"customers.index\":true,\"customers.create\":true,\"customers.edit\":true,\"customers.destroy\":true,\"flash-sale.index\":true,\"flash-sale.create\":true,\"flash-sale.edit\":true,\"flash-sale.destroy\":true,\"product-label.index\":true,\"product-label.create\":true,\"product-label.edit\":true,\"product-label.destroy\":true,\"ecommerce.import.products.index\":true,\"ecommerce.export.products.index\":true,\"order_returns.index\":true,\"order_returns.edit\":true,\"order_returns.destroy\":true,\"global-option.index\":true,\"global-option.create\":true,\"global-option.edit\":true,\"global-option.destroy\":true,\"ecommerce.invoice.index\":true,\"ecommerce.invoice.edit\":true,\"ecommerce.invoice.destroy\":true,\"ecommerce.settings\":true,\"ecommerce.settings.general\":true,\"ecommerce.invoice-template.index\":true,\"ecommerce.settings.currencies\":true,\"ecommerce.settings.products\":true,\"ecommerce.settings.product-search\":true,\"ecommerce.settings.digital-products\":true,\"ecommerce.settings.store-locators\":true,\"ecommerce.settings.invoices\":true,\"ecommerce.settings.product-reviews\":true,\"ecommerce.settings.customers\":true,\"ecommerce.settings.shopping\":true,\"ecommerce.settings.taxes\":true,\"ecommerce.settings.shipping\":true,\"ecommerce.settings.tracking\":true,\"ecommerce.settings.standard-and-format\":true,\"ecommerce.settings.checkout\":true,\"ecommerce.settings.return\":true,\"ecommerce.settings.flash-sale\":true,\"product-categories.export\":true,\"product-categories.import\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"fob-comment.index\":true,\"fob-comment.comments.index\":true,\"fob-comment.comments.edit\":true,\"fob-comment.comments.destroy\":true,\"fob-comment.comments.reply\":true,\"fob-comment.settings\":true,\"galleries.index\":true,\"galleries.create\":true,\"galleries.edit\":true,\"galleries.destroy\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"plugin.location\":true,\"country.index\":true,\"country.create\":true,\"country.edit\":true,\"country.destroy\":true,\"state.index\":true,\"state.create\":true,\"state.edit\":true,\"state.destroy\":true,\"city.index\":true,\"city.create\":true,\"city.edit\":true,\"city.destroy\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"payment.index\":true,\"payments.settings\":true,\"payment.destroy\":true,\"payments.logs\":true,\"payments.logs.show\":true,\"payments.logs.destroy\":true,\"plugins.portfolio\":true,\"portfolio.projects.index\":true,\"portfolio.projects.create\":true,\"portfolio.projects.edit\":true,\"portfolio.projects.destroy\":true,\"portfolio.service-categories.index\":true,\"portfolio.service-categories.create\":true,\"portfolio.service-categories.edit\":true,\"portfolio.service-categories.destroy\":true,\"portfolio.services.index\":true,\"portfolio.services.create\":true,\"portfolio.services.edit\":true,\"portfolio.services.destroy\":true,\"portfolio.packages.index\":true,\"portfolio.packages.create\":true,\"portfolio.packages.edit\":true,\"portfolio.packages.destroy\":true,\"portfolio.quotation-requests.index\":true,\"portfolio.quotation-requests.create\":true,\"portfolio.quotation-requests.edit\":true,\"portfolio.quotation-requests.destroy\":true,\"portfolio.custom-fields.index\":true,\"portfolio.custom-fields.create\":true,\"portfolio.custom-fields.edit\":true,\"portfolio.custom-fields.destroy\":true,\"simple-slider.index\":true,\"simple-slider.create\":true,\"simple-slider.edit\":true,\"simple-slider.destroy\":true,\"simple-slider-item.index\":true,\"simple-slider-item.create\":true,\"simple-slider-item.edit\":true,\"simple-slider-item.destroy\":true,\"simple-slider.settings\":true,\"social-login.settings\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true,\"theme-translations.export\":true,\"other-translations.export\":true,\"theme-translations.import\":true,\"other-translations.import\":true}','Admin users role',1,1,1,'2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','963d00e62428ac1a778d60cc40f21e8e',NULL,'2024-08-09 23:59:33'),(2,'api_enabled','0',NULL,'2024-08-09 23:59:33'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"analytics\",\"announcement\",\"audit-log\",\"backup\",\"blog\",\"captcha\",\"career\",\"contact\",\"cookie-consent\",\"ecommerce\",\"faq\",\"fob-comment\",\"gallery\",\"location\",\"mollie\",\"newsletter\",\"payment\",\"paypal\",\"paystack\",\"portfolio\",\"razorpay\",\"rss-feed\",\"shippo\",\"simple-slider\",\"social-login\",\"sslcommerz\",\"stripe\",\"team\",\"testimonial\",\"translation\"]',NULL,'2024-08-09 23:59:33'),(4,'payment_cod_status','1',NULL,'2024-08-09 23:59:33'),(5,'payment_bank_transfer_status','1',NULL,'2024-08-09 23:59:33'),(6,'theme','apexa',NULL,'2024-08-09 23:59:33'),(7,'show_admin_bar','1',NULL,'2024-08-09 23:59:33'),(8,'admin_logo','icons/logo-white.png',NULL,'2024-08-09 23:59:33'),(9,'admin_favicon','icons/favicon.png',NULL,'2024-08-09 23:59:33'),(10,'language_hide_default','1',NULL,'2024-08-09 23:59:33'),(11,'language_switcher_display','dropdown',NULL,'2024-08-09 23:59:33'),(12,'language_display','all',NULL,'2024-08-09 23:59:33'),(13,'language_hide_languages','[]',NULL,'2024-08-09 23:59:33'),(14,'theme-apexa-site_title','Apexa - Business Consulting Laravel Script',NULL,'2024-08-09 23:59:33'),(15,'theme-apexa-seo_description','Elevate your business consulting with Apexa - Business Consulting Laravel Script. Streamline operations, enhance client relationships, and boost productivity effortlessly. Get started now!',NULL,'2024-08-09 23:59:33'),(16,'theme-apexa-copyright','©%Y Archi Elite Team. All Rights Reserved.',NULL,'2024-08-09 23:59:33'),(17,'theme-apexa-favicon','icons/favicon.png',NULL,'2024-08-09 23:59:33'),(18,'theme-apexa-logo','icons/logo.png',NULL,'2024-08-09 23:59:33'),(19,'theme-apexa-logo_height','40',NULL,'2024-08-09 23:59:33'),(20,'theme-apexa-primary_font','Inter',NULL,'2024-08-09 23:59:33'),(21,'theme-apexa-secondary_font','Outfit',NULL,'2024-08-09 23:59:33'),(22,'theme-apexa-primary_color','#F7A400',NULL,'2024-08-09 23:59:33'),(23,'theme-apexa-secondary_color','#191D88',NULL,'2024-08-09 23:59:33'),(24,'theme-apexa-heading_color','#14176C',NULL,'2024-08-09 23:59:33'),(25,'theme-apexa-text_color','#3E4073',NULL,'2024-08-09 23:59:33'),(26,'theme-apexa-preloader_enabled','1',NULL,'2024-08-09 23:59:33'),(27,'theme-apexa-preloader_version','v2',NULL,'2024-08-09 23:59:33'),(28,'theme-apexa-lazy_load_images','1',NULL,'2024-08-09 23:59:33'),(29,'theme-apexa-lazy_load_placeholder_image','icons/preloader-image.gif',NULL,'2024-08-09 23:59:33'),(30,'theme-apexa-header_action_label','Let’s Talk',NULL,'2024-08-09 23:59:33'),(31,'theme-apexa-header_action_url','/contact-us',NULL,'2024-08-09 23:59:33'),(32,'theme-apexa-social_links','[[{\"key\":\"name\",\"value\":\"Facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.facebook.com\"}],[{\"key\":\"name\",\"value\":\"X\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"},{\"key\":\"url\",\"value\":\"https:\\/\\/x.com\"}],[{\"key\":\"name\",\"value\":\"Youtube\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-youtube\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.youtube.com\"}],[{\"key\":\"name\",\"value\":\"Instagram\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.linkedin.com\"}]]',NULL,'2024-08-09 23:59:33'),(33,'theme-apexa-social_sharing','[[{\"key\":\"social\",\"value\":\"facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"}],[{\"key\":\"social\",\"value\":\"x\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"}],[{\"key\":\"social\",\"value\":\"pinterest\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-pinterest\"}],[{\"key\":\"social\",\"value\":\"linkedin\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"}],[{\"key\":\"social\",\"value\":\"whatsapp\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-whatsapp\"}],[{\"key\":\"social\",\"value\":\"email\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}]]',NULL,'2024-08-09 23:59:33'),(34,'theme-apexa-footer_background_color','#0e104b',NULL,'2024-08-09 23:59:33'),(35,'theme-apexa-footer_bottom_background_color','#0e104b',NULL,'2024-08-09 23:59:33'),(36,'theme-apexa-footer_heading_color','#ffffff',NULL,'2024-08-09 23:59:33'),(37,'theme-apexa-footer_text_color','#b8b9da',NULL,'2024-08-09 23:59:33'),(38,'theme-apexa-footer_border_color','#272A68',NULL,'2024-08-09 23:59:33'),(39,'theme-apexa-footer_background_image','backgrounds/footer-bg.png',NULL,'2024-08-09 23:59:33'),(40,'theme-apexa-header_style','1',NULL,'2024-08-09 23:59:33'),(41,'theme-apexa-is_header_transparent','0',NULL,'2024-08-09 23:59:33'),(42,'theme-apexa-header_top_text_color','#ffffff',NULL,'2024-08-09 23:59:33'),(43,'theme-apexa-header_top_background_color','#0E104B',NULL,'2024-08-09 23:59:33'),(44,'theme-apexa-header_action_buttons','[[{\"key\":\"label\",\"value\":\"Let\\u2019s Talk\"},{\"key\":\"url\",\"value\":\"\\/contact-us\"}]]',NULL,'2024-08-09 23:59:33'),(45,'theme-apexa-homepage_id','1',NULL,'2024-08-09 23:59:33'),(46,'theme-apexa-blog_page_id','3',NULL,'2024-08-09 23:59:33'),(47,'theme-apexa-breadcrumb_background_image','backgrounds/breadcrumb-bg.jpg',NULL,'2024-08-09 23:59:33'),(48,'theme-apexa-quotation_form_title','Get A Quote',NULL,'2024-08-09 23:59:33'),(49,'theme-apexa-quotation_form_button_label','Request A Quote',NULL,'2024-08-09 23:59:33'),(50,'theme-apexa-header_text_color','#fffff',NULL,'2024-08-09 23:59:33'),(51,'simple_slider_using_assets','0',NULL,'2024-08-09 23:59:33'),(52,'announcement_max_width','1210',NULL,NULL),(53,'announcement_text_color','#FFFFFF',NULL,NULL),(54,'announcement_background_color','#F7A400',NULL,NULL),(55,'announcement_text_alignment','start',NULL,NULL),(56,'announcement_dismissible','1',NULL,NULL),(57,'announcement_font_size','1',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_slider_items`
--

DROP TABLE IF EXISTS `simple_slider_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_slider_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `simple_slider_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `order` int unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_slider_items`
--

LOCK TABLES `simple_slider_items` WRITE;
/*!40000 ALTER TABLE `simple_slider_items` DISABLE KEYS */;
INSERT INTO `simple_slider_items` VALUES (1,1,'Transforming Dreams into Financial Reality','sliders/1.jpg','/','Apexa helps you to convert your data into a strategic asset and get business insights Apexa helps you to convert.',0,'2024-08-09 23:58:41','2024-08-09 23:58:41'),(2,1,'Unlock the Power of Data-Driven Decisions','sliders/2.jpg','/','Gain valuable insights from your data to optimize marketing campaigns, improve customer experiences, and boost your bottom line.',1,'2024-08-09 23:58:41','2024-08-09 23:58:41');
/*!40000 ALTER TABLE `simple_slider_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_sliders`
--

DROP TABLE IF EXISTS `simple_sliders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_sliders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_sliders`
--

LOCK TABLES `simple_sliders` WRITE;
/*!40000 ALTER TABLE `simple_sliders` DISABLE KEYS */;
INSERT INTO `simple_sliders` VALUES (1,'Home slider','home-slider','The main slider on homepage','published','2024-08-09 23:58:41','2024-08-09 23:58:41');
/*!40000 ALTER TABLE `simple_sliders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=377 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'homepage',1,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,'contact-us',2,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,'blog',3,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,'business-about',4,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(5,'finance-about',5,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(6,'consulting-about',6,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(7,'insurance-about',7,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(8,'digital-agency-about',8,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(9,'services',9,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(10,'finance-service',10,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(11,'consulting-service',11,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(12,'digital-agency-service',12,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(13,'insurance-service',13,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(14,'team-one',14,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(15,'team-two',15,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(16,'team-three',16,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(17,'team-four',17,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(18,'how-its-work',18,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(19,'pricing',19,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(20,'testimonials',20,'Botble\\Page\\Models\\Page','','2024-08-09 23:58:28','2024-08-09 23:58:28'),(21,'perfect',1,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(22,'new-day',2,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(23,'happy-day',3,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(24,'nature',4,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(25,'morning',5,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(26,'sunset',6,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(27,'ocean-views',7,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(28,'adventure-time',8,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:58:30','2024-08-09 23:58:30'),(29,'devon-lane',1,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(30,'marvin-mckinney',2,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(31,'ronald-richards',3,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(32,'cameron-williamson',4,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(33,'alicia-sanders',5,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(34,'ethan-wright',6,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(35,'isabella-johnson',7,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(36,'liam-brown',8,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:58:32','2024-08-09 23:58:32'),(37,'entrepreneurship',1,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(38,'startups',2,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(39,'marketing',3,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(40,'sales',4,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(41,'finance',5,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(42,'leadership',6,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(43,'management',7,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(44,'human-resources',8,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(45,'customer-service',9,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(46,'innovation',10,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(47,'business-strategy',11,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(48,'e-commerce',12,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(49,'technology',13,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(50,'networking',14,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(51,'productivity',15,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(52,'operations',16,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(53,'legal',17,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(54,'industry-trends',18,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(55,'small-business',19,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(56,'consulting',20,'Botble\\Blog\\Models\\Category','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(57,'growth',1,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(58,'strategy',2,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(59,'innovation',3,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(60,'leadership',4,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(61,'funding',5,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(62,'marketing',6,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(63,'sales',7,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(64,'seo',8,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(65,'branding',9,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(66,'customer-service',10,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(67,'productivity',11,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(68,'networking',12,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(69,'startups',13,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(70,'e-commerce',14,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(71,'finance',15,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(72,'business-development',16,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(73,'team-building',17,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(74,'operations',18,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(75,'legal-advice',19,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(76,'hr-management',20,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:58:37','2024-08-09 23:58:37'),(77,'the-power-of-networking-building-relationships-for-business-growth',1,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(78,'5-productivity-hacks-for-busy-entrepreneurs',2,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(79,'from-brainstorm-to-boardroom-crafting-a-winning-business-plan',3,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(80,'the-art-of-delegation-empowering-your-team-for-success',4,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(81,'customer-centricity-putting-your-customers-at-the-heart-of-your-business',5,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(82,'data-driven-decisions-leveraging-insights-to-fuel-business-growth',6,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(83,'building-a-strong-brand-identity-standing-out-from-the-crowd',7,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(84,'the-importance-of-social-media-marketing-for-businesses',8,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(85,'content-is-king-creating-engaging-content-to-attract-customers',9,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(86,'the-art-of-negotiation-winning-deals-and-building-relationships',10,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(87,'managing-cash-flow-the-lifeblood-of-your-business',11,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(88,'the-power-of-storytelling-connecting-with-your-audience-on-a-deeper-level',12,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(89,'overcoming-challenges-embracing-failure-as-a-learning-opportunity',13,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(90,'building-a-high-performing-team-creating-a-culture-of-collaboration-and-success',14,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(91,'the-importance-of-work-life-balance-for-entrepreneurs',15,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(92,'staying-ahead-of-the-curve-embracing-innovation-in-business',16,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(93,'the-power-of-public-speaking-captivate-your-audience-and-deliver-your-message-with-impact',17,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(94,'building-a-sustainable-business-environmental-and-social-responsibility',18,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(95,'the-future-of-business-trends-and-technologies-shaping-the-landscape',19,'Botble\\Blog\\Models\\Post','','2024-08-09 23:58:37','2024-08-09 23:58:37'),(96,'basic-plan',1,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:58:40','2024-08-09 23:58:40'),(97,'team-plan',2,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:58:40','2024-08-09 23:58:40'),(98,'enterprise-plan',3,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:58:40','2024-08-09 23:58:40'),(99,'innovation-hub-navigating-the-future',1,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(100,'leadership-excellence-initiative',2,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(101,'startup-accelerator-program',3,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(102,'marketing-mastery-series',4,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(103,'illustration-design',5,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(104,'design-development',6,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(105,'marketing-consultancy',7,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(106,'digital-marketing',8,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(107,'strategic-planning',9,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:58:40','2024-08-09 23:58:40'),(108,'financial-analysis',1,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:58:40','2024-08-09 23:58:40'),(109,'tax-strategy',2,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:58:40','2024-08-09 23:58:40'),(110,'market-research',3,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:58:40','2024-08-09 23:58:40'),(111,'business-strategy',4,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:58:40','2024-08-09 23:58:40'),(112,'data-analyst',1,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(113,'liability-planner',2,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(114,'growth-planner',3,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(115,'risk-manager',4,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(116,'retirement-planner',5,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(117,'risk-analyst',6,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(118,'insurance-expert',7,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(119,'budget-manager',8,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(120,'strategy-adviser',9,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(121,'operations-expert',10,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(122,'profit-strategist',11,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(123,'objective-planner',12,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(124,'goal-specialist',13,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:58:40','2024-08-09 23:58:40'),(125,'senior-full-stack-engineer',1,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(126,'lead-backend-developer',2,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(127,'uiux-designer',3,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(128,'product-manager',4,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(129,'data-scientist',5,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(130,'devops-engineer',6,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:58:41','2024-08-09 23:58:41'),(131,'desktop-pc',1,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(132,'headphone',2,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(133,'laptop',3,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(134,'mobile-phone',4,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(135,'printer',5,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(136,'books',6,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(137,'tablet',7,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(138,'usb-flash',8,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(139,'game-mouse',9,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(140,'security',10,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(141,'watch',11,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(142,'scanner',12,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:58:42','2024-08-09 23:58:42'),(143,'foodpound',1,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:58:42','2024-08-09 23:58:42'),(144,'itea-jsc',2,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:58:42','2024-08-09 23:58:42'),(145,'soda-brand',3,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:58:42','2024-08-09 23:58:42'),(146,'farmart',4,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:58:42','2024-08-09 23:58:42'),(147,'dual-camera-20mp-digital',1,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(148,'smart-watches',2,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(149,'beat-headphone',3,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(150,'red-black-headphone',4,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(151,'smart-watch-external-digital',5,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(152,'nikon-hd-camera',6,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(153,'audio-equipment',7,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(154,'smart-televisions',8,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(155,'samsung-smart-phone-digital',9,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(156,'herschel-leather-duffle-bag-in-brown-color',10,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(157,'xbox-one-wireless-controller-black-color',11,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(158,'epsion-plaster-printer',12,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(159,'sound-intone-i65-earphone-white-version-digital',13,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(160,'bo-play-mini-bluetooth-speaker',14,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(161,'apple-macbook-air-retina-133-inch-laptop',15,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(162,'apple-macbook-air-retina-12-inch-laptop',16,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(163,'samsung-gear-vr-virtual-reality-headset-digital',17,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(164,'aveeno-moisturizing-body-shower-450ml',18,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(165,'nyx-beauty-couton-pallete-makeup-12',19,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(166,'nyx-beauty-couton-pallete-makeup-12',20,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(167,'mvmth-classical-leather-watch-in-black-digital',21,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(168,'baxter-care-hair-kit-for-bearded-mens',22,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(169,'ciate-palemore-lipstick-bold-red-color',23,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(170,'vimto-squash-remix-apple-15-litres',24,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(171,'crock-pot-slow-cooker-digital',25,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(172,'taylors-of-harrogate-yorkshire-coffee',26,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(173,'soft-mochi-galeto-ice-cream',27,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(174,'naked-noodle-egg-noodles-singapore',28,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(175,'saute-pan-silver-digital',29,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(176,'bar-s-classic-bun-length-franks',30,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(177,'broccoli-crowns',31,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(178,'slimming-world-vegan-mac-greens',32,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(179,'haagen-dazs-salted-caramel-digital',33,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(180,'iceland-3-solo-exotic-burst',34,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(181,'extreme-budweiser-light-can',35,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(182,'iceland-macaroni-cheese-traybake',36,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(183,'dolmio-bolognese-pasta-sauce-digital',37,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(184,'sitema-bakeit-plastic-box',38,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(185,'wayfair-basics-dinner-plate-storage',39,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(186,'miko-the-panda-water-bottle',40,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(187,'sesame-seed-bread-digital',41,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(188,'morrisons-the-best-beef',42,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(189,'avocado-hass-large',43,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(190,'italia-beef-lasagne',44,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(191,'maxwell-house-classic-roast-mocha-digital',45,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(192,'bottled-pure-water-500ml',46,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(193,'famart-farmhouse-soft-white',47,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(194,'coca-cola-original-taste',48,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(195,'casillero-diablo-cabernet-sauvignon-digital',49,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(196,'arla-organic-free-range-milk',50,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(197,'aptamil-follow-on-baby-milk',51,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(198,'cuisinart-chefs-classic-hard-anodized',52,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(199,'corn-yellow-sweet-digital',53,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(200,'hobnobs-the-nobbly-biscuit',54,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(201,'honest-organic-still-lemonade',55,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(202,'ice-becks-beer-350ml-x-24-pieces',56,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(203,'iceland-6-hot-cross-buns-digital',57,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(204,'iceland-luxury-4-panini-rolls',58,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(205,'iceland-soft-scoop-vanilla',59,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(206,'iceland-spaghetti-bolognese',60,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(207,'kelloggs-coco-pops-cereal-digital',61,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(208,'kit-kat-chunky-milk-chocolate',62,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(209,'large-green-bell-pepper',63,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(210,'pice-94w-beasley-journal',64,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(211,'province-piece-glass-drinking-glass-digital',65,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:28','2024-08-09 23:59:28'),(212,'electronic',1,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(213,'mobile',2,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(214,'iphone',3,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(215,'printer',4,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(216,'office',5,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(217,'it',6,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:59:30','2024-08-09 23:59:30'),(218,'dual-camera-20mp-digital',66,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(219,'dual-camera-20mp-digital',67,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(220,'smart-watches',68,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(221,'smart-watches',69,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(222,'smart-watches',70,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(223,'beat-headphone',71,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(224,'beat-headphone',72,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(225,'beat-headphone',73,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(226,'red-black-headphone',74,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(227,'red-black-headphone',75,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(228,'red-black-headphone',76,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(229,'red-black-headphone',77,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(230,'smart-watch-external-digital',78,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(231,'smart-watch-external-digital',79,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(232,'smart-watch-external-digital',80,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(233,'smart-watch-external-digital',81,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(234,'nikon-hd-camera',82,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(235,'audio-equipment',83,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(236,'smart-televisions',84,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(237,'smart-televisions',85,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(238,'smart-televisions',86,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(239,'smart-televisions',87,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(240,'samsung-smart-phone-digital',88,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(241,'samsung-smart-phone-digital',89,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(242,'samsung-smart-phone-digital',90,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(243,'herschel-leather-duffle-bag-in-brown-color',91,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(244,'herschel-leather-duffle-bag-in-brown-color',92,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(245,'herschel-leather-duffle-bag-in-brown-color',93,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(246,'herschel-leather-duffle-bag-in-brown-color',94,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(247,'xbox-one-wireless-controller-black-color',95,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(248,'xbox-one-wireless-controller-black-color',96,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(249,'xbox-one-wireless-controller-black-color',97,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(250,'epsion-plaster-printer',98,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(251,'sound-intone-i65-earphone-white-version-digital',99,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(252,'bo-play-mini-bluetooth-speaker',100,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(253,'bo-play-mini-bluetooth-speaker',101,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(254,'bo-play-mini-bluetooth-speaker',102,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(255,'apple-macbook-air-retina-133-inch-laptop',103,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(256,'apple-macbook-air-retina-133-inch-laptop',104,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(257,'apple-macbook-air-retina-133-inch-laptop',105,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(258,'apple-macbook-air-retina-12-inch-laptop',106,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(259,'apple-macbook-air-retina-12-inch-laptop',107,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(260,'apple-macbook-air-retina-12-inch-laptop',108,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(261,'samsung-gear-vr-virtual-reality-headset-digital',109,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(262,'samsung-gear-vr-virtual-reality-headset-digital',110,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(263,'aveeno-moisturizing-body-shower-450ml',111,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(264,'aveeno-moisturizing-body-shower-450ml',112,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(265,'aveeno-moisturizing-body-shower-450ml',113,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(266,'nyx-beauty-couton-pallete-makeup-12',114,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(267,'nyx-beauty-couton-pallete-makeup-12',115,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(268,'nyx-beauty-couton-pallete-makeup-12',116,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(269,'nyx-beauty-couton-pallete-makeup-12',117,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(270,'mvmth-classical-leather-watch-in-black-digital',118,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(271,'mvmth-classical-leather-watch-in-black-digital',119,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(272,'baxter-care-hair-kit-for-bearded-mens',120,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(273,'baxter-care-hair-kit-for-bearded-mens',121,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(274,'baxter-care-hair-kit-for-bearded-mens',122,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(275,'ciate-palemore-lipstick-bold-red-color',123,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(276,'ciate-palemore-lipstick-bold-red-color',124,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(277,'ciate-palemore-lipstick-bold-red-color',125,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(278,'vimto-squash-remix-apple-15-litres',126,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(279,'vimto-squash-remix-apple-15-litres',127,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(280,'vimto-squash-remix-apple-15-litres',128,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(281,'crock-pot-slow-cooker-digital',129,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(282,'crock-pot-slow-cooker-digital',130,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(283,'crock-pot-slow-cooker-digital',131,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(284,'crock-pot-slow-cooker-digital',132,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(285,'crock-pot-slow-cooker-digital',133,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(286,'taylors-of-harrogate-yorkshire-coffee',134,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(287,'taylors-of-harrogate-yorkshire-coffee',135,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(288,'soft-mochi-galeto-ice-cream',136,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(289,'soft-mochi-galeto-ice-cream',137,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(290,'soft-mochi-galeto-ice-cream',138,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(291,'soft-mochi-galeto-ice-cream',139,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(292,'naked-noodle-egg-noodles-singapore',140,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(293,'saute-pan-silver-digital',141,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(294,'saute-pan-silver-digital',142,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(295,'bar-s-classic-bun-length-franks',143,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(296,'bar-s-classic-bun-length-franks',144,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(297,'bar-s-classic-bun-length-franks',145,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(298,'bar-s-classic-bun-length-franks',146,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(299,'broccoli-crowns',147,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(300,'slimming-world-vegan-mac-greens',148,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(301,'slimming-world-vegan-mac-greens',149,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(302,'haagen-dazs-salted-caramel-digital',150,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(303,'iceland-3-solo-exotic-burst',151,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(304,'extreme-budweiser-light-can',152,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(305,'extreme-budweiser-light-can',153,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(306,'extreme-budweiser-light-can',154,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(307,'iceland-macaroni-cheese-traybake',155,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(308,'dolmio-bolognese-pasta-sauce-digital',156,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(309,'dolmio-bolognese-pasta-sauce-digital',157,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(310,'dolmio-bolognese-pasta-sauce-digital',158,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(311,'sitema-bakeit-plastic-box',159,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(312,'wayfair-basics-dinner-plate-storage',160,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(313,'wayfair-basics-dinner-plate-storage',161,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(314,'wayfair-basics-dinner-plate-storage',162,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(315,'miko-the-panda-water-bottle',163,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(316,'miko-the-panda-water-bottle',164,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(317,'miko-the-panda-water-bottle',165,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(318,'miko-the-panda-water-bottle',166,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(319,'sesame-seed-bread-digital',167,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(320,'morrisons-the-best-beef',168,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(321,'morrisons-the-best-beef',169,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(322,'morrisons-the-best-beef',170,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(323,'avocado-hass-large',171,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(324,'avocado-hass-large',172,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(325,'italia-beef-lasagne',173,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(326,'maxwell-house-classic-roast-mocha-digital',174,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(327,'maxwell-house-classic-roast-mocha-digital',175,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(328,'maxwell-house-classic-roast-mocha-digital',176,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(329,'bottled-pure-water-500ml',177,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(330,'bottled-pure-water-500ml',178,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(331,'bottled-pure-water-500ml',179,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(332,'famart-farmhouse-soft-white',180,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(333,'famart-farmhouse-soft-white',181,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(334,'coca-cola-original-taste',182,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(335,'coca-cola-original-taste',183,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(336,'casillero-diablo-cabernet-sauvignon-digital',184,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(337,'casillero-diablo-cabernet-sauvignon-digital',185,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(338,'casillero-diablo-cabernet-sauvignon-digital',186,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(339,'arla-organic-free-range-milk',187,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(340,'arla-organic-free-range-milk',188,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(341,'aptamil-follow-on-baby-milk',189,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(342,'aptamil-follow-on-baby-milk',190,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(343,'aptamil-follow-on-baby-milk',191,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(344,'aptamil-follow-on-baby-milk',192,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(345,'cuisinart-chefs-classic-hard-anodized',193,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(346,'cuisinart-chefs-classic-hard-anodized',194,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(347,'cuisinart-chefs-classic-hard-anodized',195,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(348,'cuisinart-chefs-classic-hard-anodized',196,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(349,'corn-yellow-sweet-digital',197,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(350,'corn-yellow-sweet-digital',198,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(351,'hobnobs-the-nobbly-biscuit',199,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(352,'honest-organic-still-lemonade',200,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(353,'ice-becks-beer-350ml-x-24-pieces',201,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(354,'ice-becks-beer-350ml-x-24-pieces',202,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(355,'ice-becks-beer-350ml-x-24-pieces',203,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(356,'ice-becks-beer-350ml-x-24-pieces',204,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(357,'iceland-6-hot-cross-buns-digital',205,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(358,'iceland-6-hot-cross-buns-digital',206,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(359,'iceland-luxury-4-panini-rolls',207,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(360,'iceland-luxury-4-panini-rolls',208,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(361,'iceland-soft-scoop-vanilla',209,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(362,'iceland-soft-scoop-vanilla',210,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(363,'iceland-spaghetti-bolognese',211,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(364,'iceland-spaghetti-bolognese',212,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(365,'iceland-spaghetti-bolognese',213,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(366,'kelloggs-coco-pops-cereal-digital',214,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(367,'kit-kat-chunky-milk-chocolate',215,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(368,'kit-kat-chunky-milk-chocolate',216,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(369,'large-green-bell-pepper',217,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(370,'large-green-bell-pepper',218,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(371,'pice-94w-beasley-journal',219,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(372,'pice-94w-beasley-journal',220,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(373,'pice-94w-beasley-journal',221,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(374,'pice-94w-beasley-journal',222,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(375,'province-piece-glass-drinking-glass-digital',223,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33'),(376,'province-piece-glass-drinking-glass-digital',224,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:59:33','2024-08-09 23:59:33');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `states_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states_translations`
--

DROP TABLE IF EXISTS `states_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `states_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`states_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states_translations`
--

LOCK TABLES `states_translations` WRITE;
/*!40000 ALTER TABLE `states_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `states_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Growth',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(2,'Strategy',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(3,'Innovation',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(4,'Leadership',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(5,'Funding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(6,'Marketing',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(7,'Sales',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(8,'SEO',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(9,'Branding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(10,'Customer Service',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(11,'Productivity',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(12,'Networking',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(13,'Startups',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(14,'E-commerce',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(15,'Finance',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(16,'Business Development',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(17,'Team Building',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(18,'Operations',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(19,'Legal Advice',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37'),(20,'HR Management',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:58:37','2024-08-09 23:58:37');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Devon Lane','teams/1.jpg','Sales Agent','India','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','01123259241','devonsoland111@gmail.com','4855, 24, Ansari Road, Darya Ganj',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(2,'Marvin McKinney','teams/2.jpg','Business Manager','Thailand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','6623742088','marvinkensy@gmail.com','849 Sukhapibal 1 Klong Chan Bang Kapi',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(3,'Ronald Richards','teams/3.jpg','Marketing Director','Canada','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','4165550123','ronrichards@marketing.com','123 Maple Street, Toronto, ON',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(4,'Cameron Williamson','teams/4.jpg','Chief Technology Officer','Germany','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','49221567890','cameronwill@tech.com','45 Hauptstraße, 50667 Köln',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(5,'Alicia Sanders','teams/5.jpg','Human Resources Manager','Australia','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0298765432','alicia.hr@company.com','15 George St, Sydney, NSW',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(6,'Ethan Wright','teams/6.jpg','Operations Manager','South Africa','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0217896543','ethanwright@operations.com','789 Beach Road, Cape Town',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(7,'Isabella Johnson','teams/7.jpg','Product Manager','New Zealand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0498761234','isabella.prod@company.com','32 Victoria St, Wellington',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(8,'Liam Brown','teams/8.jpg','Legal Advisor','United Kingdom','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:58:32','2024-08-09 23:58:32','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','02079461234','liam.legal@company.co.uk','10 Downing Street, London',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally');
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Guy Hawkins','Exceptional service! Gerow’s attention to detail and reliability have been instrumental in our supply chain success.','testimonials/1.png','CEO, JAKS Shans','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(2,'Eleanor Pena','Gerow has consistently met and exceeded our logistics needs. Their dedication to excellence is truly commendable.','testimonials/2.png','SEO, ChenTech Solutions','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(3,'Cody Fisher','Their team is a valuable asset to our business operations. Gerow’s efficient service has saved us time and money.','testimonials/3.png','Developer, Moie Agency','published','2024-08-09 23:58:41','2024-08-09 23:58:41'),(4,'Albert Flores','Gerow’s attention to detail and professionalism have made them our preferred logistics partner. Highly recommended!','testimonials/4.png','CEO, Bank of America','published','2024-08-09 23:58:41','2024-08-09 23:58:41');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'bemard@schinner.com',NULL,'$2y$12$XV/nlsIakDbJcswYbAhHRO4oFiSTURJrGvkgbzhhB9jhYo2oPcMXW',NULL,'2024-08-09 23:58:28','2024-08-09 23:58:32','Javonte','Tremblay','admin',80,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'SiteInformationWidget','menu_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"quantity\":3,\"title_1\":\"Office Address\",\"description_1\":\"123\\/A, Miranda City Likaoli Prikano, Dope\",\"title_2\":\"Phone Number\",\"description_2\":\"+0989 7876 9865 9 <br> +(090) 8765 86543 85\",\"title_3\":\"Email Address\",\"description_3\":\"info@example.com <br> example.mail@hum.com\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(2,'SocialLinksWidget','menu_sidebar','apexa',2,'{\"id\":\"SocialLinksWidget\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(3,'SiteInformationWidget','footer_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"logo\":\"icons\\/logo-white.png\",\"description\":\"Felis consquat magnis fames sagittis ultrices plasodales porttitor quisque ultrice tempor turpis.\",\"background_color\":\"rgb(20, 23, 108)\",\"display_social_links\":true,\"quantity\":0,\"style\":\"style-2\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(4,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Information\",\"items\":[[{\"key\":\"label\",\"value\":\"+123 888 9999\"},{\"key\":\"url\",\"value\":\"tel:+123 888 9999\"},{\"key\":\"icon\",\"value\":\"ti ti-phone-call\"}],[{\"key\":\"label\",\"value\":\"info@apexa.com\"},{\"key\":\"url\",\"value\":\"mailto:info@apexa.com\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}],[{\"key\":\"label\",\"value\":\"Sydney Harbour Bridge Circular City of Sydney, Australia.\"},{\"key\":\"url\",\"value\":\"\\/\"},{\"key\":\"icon\",\"value\":\"ti ti-map-pin\"}]]}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',3,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Top Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it\\u2019s Work\"},{\"key\":\"url\",\"value\":\"\\/how-its-work\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/team-one\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/testimonials\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/contact-us\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/pricing\"}]]}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(6,'GalleriesWidget','footer_sidebar','apexa',4,'{\"id\":\"GalleriesWidget\",\"title\":\"Instagram Posts\",\"limit\":6}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(7,'NewsletterWidget','top_footer_sidebar','apexa',1,'{\"id\":\"NewsletterWidget\",\"title\":\"Subscribe Newsletter For Latest Updates\",\"image\":\"backgrounds\\/newsletter-bg.png\",\"background_color\":\"#0e104b\",\"display_social_links\":true,\"style\":\"style-3\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(8,'SiteCopyrightWidget','bottom_footer_sidebar','apexa',1,'[]','2024-08-09 23:58:28','2024-08-09 23:58:28'),(9,'BlogSearchWidget','blog_sidebar','apexa',1,'{\"id\":\"BlogSearchWidget\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(10,'BlogCategoriesWidget','blog_sidebar','apexa',2,'{\"id\":\"BlogCategoriesWidget\",\"title\":\"Categories\",\"category_ids\":[1,2,3,4,5]}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(11,'BlogPostsWidget','blog_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(12,'BlogTagsWidget','blog_sidebar','apexa',4,'{\"id\":\"BlogTagsWidget\",\"title\":\"Tags\",\"limit\":5}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(13,'ContactInformationWidget','header_top_start_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"+123 9898 500\",\"icon_1\":\"ti ti-phone-call\",\"url_1\":\"tel:123 9898 500\",\"title_2\":\"256 Avenue, Mark Street, NewYork City\",\"icon_2\":\"ti ti-map-pin\",\"url_2\":\"https:\\/\\/www.google.com\\/maps\\/place\\/256+St+Marks+Ave,+Freeport,+NY+11520,+USA\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(14,'ContactInformationWidget','header_top_end_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"info@apexa.com\",\"icon_1\":\"ti ti-mail\",\"url_1\":\"mailto:info@apexa.com\",\"title_2\":\"Mon-Fri: 10:00am - 09:00pm\",\"icon_2\":\"ti ti-clock-hour-6\",\"url_2\":\"\",\"alignment\":\"end\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(15,'ServicesWidget','service_sidebar','apexa',1,'{\"id\":\"ServicesWidget\",\"service_ids\":[1,2,3,4,5]}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(16,'BrochureDownloadsWidget','service_sidebar','apexa',2,'{\"id\":\"BrochureDownloadsWidget\",\"title\":\"Brochure\",\"description\":\"when an unknown printer took ga lley offer typey anddey.\",\"file_1\":\"downloads\\/document.pdf\",\"file_2\":\"downloads\\/document.pdf\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(17,'BlogPostsWidget','service_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(18,'ContactBlockWidget','service_sidebar','apexa',4,'{\"id\":\"ContactBlockWidget\",\"title\":\"If You Need Any Help Contact With Us\",\"phone_number\":\"+91 705 2101 786\"}','2024-08-09 23:58:28','2024-08-09 23:58:28'),(19,'ContactFormWidget','service_sidebar','apexa',5,'{\"id\":\"ContactFormWidget\",\"title\":\"Send Us Message\",\"button_label\":\"Send Message\",\"background_color\":\"#ECF6FA\"}','2024-08-09 23:58:28','2024-08-09 23:58:28');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-08-10 13:59:34
