-- MySQL dump 10.13  Distrib 8.0.36, for macos14 (arm64)
--
-- Host: 127.0.0.1    Database: archielite_apexa
-- ------------------------------------------------------
-- Server version	8.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'oeDnYNBio9WyiZfGsPy9x8KAEbZjbwGb',1,'2024-08-09 23:59:45','2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `has_action` tinyint(1) NOT NULL DEFAULT '0',
  `action_label` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_open_new_tab` tinyint(1) NOT NULL DEFAULT '0',
  `dismissible` tinyint(1) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'Announcement 1','Introducing Our New Business Consulting Solutions!',0,NULL,NULL,0,1,'2024-08-10 07:00:50',NULL,1,'2024-08-10 00:00:50','2024-08-10 00:00:50'),(2,'Announcement 2','Elevate Your Business with Our Comprehensive Consulting Services.',0,NULL,NULL,0,1,'2024-08-10 07:00:50',NULL,1,'2024-08-10 00:00:50','2024-08-10 00:00:50'),(3,'Announcement 3','Revolutionize Your Business Strategy with Our Expertise.',0,NULL,NULL,0,1,'2024-08-10 07:00:50',NULL,1,'2024-08-10 00:00:50','2024-08-10 00:00:50');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements_translations`
--

DROP TABLE IF EXISTS `announcements_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announcements_id` bigint unsigned NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`announcements_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements_translations`
--

LOCK TABLES `announcements_translations` WRITE;
/*!40000 ALTER TABLE `announcements_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcements_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers`
--

DROP TABLE IF EXISTS `careers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers`
--

LOCK TABLES `careers` WRITE;
/*!40000 ALTER TABLE `careers` DISABLE KEYS */;
INSERT INTO `careers` VALUES (1,'Senior Full Stack Engineer','West Tremaineborough, Somalia','1,819','Join our team as a Senior Full Stack Engineer and help us build cutting-edge solutions to empower creators worldwide.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(2,'Lead Backend Developer','Lanemouth, United Arab Emirates','9,268','Exciting opportunity for a Lead Backend Developer to lead our backend team in architecting scalable and robust systems.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(3,'UI/UX Designer','Yoststad, Russian Federation','2,224','We are looking for a talented UI/UX Designer to create intuitive and visually stunning user experiences for our products.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(4,'Product Manager','Gleichnerburgh, Monaco','3,965','As a Product Manager, you will drive the development and strategy of our products to meet the needs of our growing user base.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(5,'Data Scientist','Fadelchester, Greece','2,355','Seeking a Data Scientist to analyze large datasets and derive actionable insights to inform business decisions.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(6,'DevOps Engineer','West Rhettbury, Taiwan','3,550','We are hiring a DevOps Engineer to streamline our development processes and ensure the reliability and scalability of our infrastructure.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:59:59','2024-08-09 23:59:59');
/*!40000 ALTER TABLE `careers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers_translations`
--

DROP TABLE IF EXISTS `careers_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `careers_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`careers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers_translations`
--

LOCK TABLES `careers_translations` WRITE;
/*!40000 ALTER TABLE `careers_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `careers_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Entrepreneurship',0,'Velit eum consequatur repudiandae aut accusamus magni. Distinctio vel accusamus velit laboriosam rem ea quidem. Optio autem autem repellendus sit nemo libero. Asperiores corporis non voluptatem est.','published',1,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(2,'Startups',0,'Illo voluptatibus maiores illo hic error dignissimos et. Qui voluptates repellendus rerum repudiandae deleniti quas. Enim dolor et unde incidunt. Ea consectetur ea et ratione aut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(3,'Marketing',0,'Saepe optio alias sit iusto magni ad. Ea dolores ut doloremque amet. Nihil natus omnis hic quas eveniet repellat nihil. Dolores quia modi quo ea sed doloribus delectus velit.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(4,'Sales',0,'Et nihil doloribus est. Quae dolores iusto velit eum. Asperiores et vero tempore quis eaque a eligendi.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(5,'Finance',0,'Ut sint voluptatem ullam. Vitae non exercitationem repellat at fuga. Eos possimus sunt molestiae maxime.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(6,'Leadership',0,'Autem porro et debitis. Quisquam hic officiis illum iste omnis quia. Fugiat qui ipsa ut fugit. Sapiente facilis cupiditate cumque a dolor. Consequatur enim eum fugit sint.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(7,'Management',0,'Porro nesciunt voluptate incidunt. Consequuntur cumque excepturi ducimus quas. Ea tempore doloribus quos. Illo quaerat rerum vel odit.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(8,'Human Resources',0,'Nihil et in aut qui maiores eum. Nostrum illo quaerat libero quidem. Iste harum optio blanditiis harum. Et minus pariatur non enim exercitationem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(9,'Customer Service',0,'Excepturi debitis sequi molestiae nisi culpa quasi error. Quis facere et doloribus explicabo dolorem. Reiciendis suscipit consequatur veniam voluptatibus quidem aut qui consequatur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(10,'Innovation',0,'A sint ex nesciunt occaecati. Aliquam inventore impedit quibusdam. Qui minus quis sint aliquam quo odit quasi.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(11,'Business Strategy',0,'Numquam rerum facilis ut rerum non. Repudiandae quia omnis non libero. Repellat doloremque molestiae nulla rerum. Architecto sit quaerat sit sed unde.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(12,'E-commerce',0,'Ratione et ea omnis ex blanditiis voluptatem facilis qui. Quos est deserunt rem debitis. Similique totam perferendis mollitia et quasi.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(13,'Technology',0,'Aut ipsa id dicta perferendis. Placeat nemo et qui dolorum quasi. Perferendis veniam fugit neque temporibus et hic nemo. Fugit sed placeat mollitia quod accusamus dolorem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(14,'Networking',0,'Est et quos esse ut et consequatur ea quis. Aliquid sint unde sapiente non nesciunt quas quia. Ut ut deserunt error.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(15,'Productivity',0,'Dolore vel reprehenderit natus at id doloribus consequatur. Expedita tenetur explicabo facere quos. Quae sit tempore tenetur natus quia non laudantium. Provident dolor aut ipsa autem ipsam qui.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(16,'Operations',0,'A itaque et excepturi voluptatum. Ex impedit rerum repellat omnis pariatur. Totam ad quisquam debitis libero sit. Eligendi ab sunt sequi.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(17,'Legal',0,'Et non voluptatum qui quod et illo quia. Consequatur qui delectus vel sunt itaque. Placeat dolores enim ut vero qui vitae.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(18,'Industry Trends',0,'Doloremque et numquam sit explicabo sit tenetur. Quibusdam unde vel non a ad eius velit dolorem. Qui sequi enim non aut nemo voluptatem praesentium. Architecto est eligendi quia dolores.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(19,'Small Business',0,'Id doloremque perspiciatis aliquam molestias sapiente est. Deserunt aliquam ad sit quia aut in. Aut quaerat eos est alias.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(20,'Consulting',0,'Quia et in iusto laudantium voluptatem consequatur sunt amet. A magnam unde ipsum pariatur. Blanditiis molestiae eveniet ea aliquam sit beatae et blanditiis.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:59:55','2024-08-09 23:59:55');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `record_id` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cities_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities_translations`
--

DROP TABLE IF EXISTS `cities_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cities_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`cities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities_translations`
--

LOCK TABLES `cities_translations` WRITE;
/*!40000 ALTER TABLE `cities_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options`
--

DROP TABLE IF EXISTS `contact_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options`
--

LOCK TABLES `contact_custom_field_options` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options_translations`
--

DROP TABLE IF EXISTS `contact_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options_translations` (
  `contact_custom_field_options_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options_translations`
--

LOCK TABLES `contact_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields`
--

DROP TABLE IF EXISTS `contact_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields`
--

LOCK TABLES `contact_custom_fields` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields_translations`
--

DROP TABLE IF EXISTS `contact_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields_translations` (
  `contact_custom_fields_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields_translations`
--

LOCK TABLES `contact_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,'Alex Ruecker','natalie95@example.net','(878) 587-5179','573 Fritz Hollow Suite 285\nMelanyfort, LA 58769','Velit provident non aut atque quia.','Beatae modi repellendus magnam tempora iste omnis. Ut officiis quis voluptatem fuga. Odit necessitatibus explicabo quaerat tenetur doloribus ipsa id. Quia doloribus possimus et non dolorum mollitia. Provident tempore vitae consequatur aut voluptate quis. Maxime voluptatem cupiditate odio qui aperiam necessitatibus ea at. Ad quae harum et fuga quidem. Omnis a ut ab voluptas perspiciatis aut libero.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(2,'Jett Feeney','hope.schumm@example.com','+1 (774) 833-8076','709 Dicki Camp Apt. 742\nNorth Karellebury, ND 46112-3337','Tempora labore est officia vel.','Enim quis deleniti inventore. Omnis voluptates quibusdam accusamus et magnam libero. Consequatur quod voluptates rerum et neque rerum ea rem. Est nisi et soluta iusto animi vero numquam. Dolore occaecati debitis alias eos aut voluptatem est voluptatibus. Tempora recusandae sunt et laboriosam dicta distinctio. Autem qui et harum quisquam qui quas. Velit cum culpa perferendis. Voluptatem neque suscipit sit sit.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(3,'Joanne Aufderhar','kunze.ivory@example.org','+1-769-910-9977','364 Eusebio River Suite 141\nEast Natalietown, IA 99092','Dolore quis eius nobis dolorem enim natus animi.','Nobis dicta fugit qui accusantium. Expedita debitis modi voluptatem saepe. A sit magnam sint voluptate laboriosam neque aut ab. Doloribus quo asperiores atque. Est quo asperiores et neque est vitae minima est. Neque saepe consequatur dolore quod. Tenetur adipisci rerum inventore aut similique et voluptatem. Consequatur explicabo molestiae quis dolorem et. Repellendus atque accusantium deleniti ducimus. Quis sunt molestias saepe ad tenetur eos explicabo. Nesciunt voluptate quo enim.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(4,'Dr. Karine Bahringer','gottlieb.joyce@example.com','1-251-848-2751','93126 Hilpert Mills Apt. 401\nAntwonchester, AR 75397','Officia aut nemo ut porro laboriosam eos nostrum.','Quia quaerat at blanditiis. Expedita id veniam molestiae quia fuga aut et. Voluptatem eius sit nemo ad sunt consequatur laboriosam. Dolorum ducimus similique nam sint a et voluptatibus aspernatur. Enim voluptatum exercitationem in et officia incidunt aperiam. Totam suscipit quia exercitationem in. Consequatur ex qui error quisquam.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(5,'Saige Schneider Jr.','xvolkman@example.net','+1-678-404-0073','541 Kovacek Dam Apt. 699\nMossiebury, MT 15912','Aspernatur et est officia in soluta.','Sunt velit sequi est mollitia totam id alias. Aliquam et neque consequuntur et et cum. Consequatur eum saepe nobis soluta quas. Sequi quia ducimus nihil illum assumenda similique rem aut. Est minus iure ut quo. Est corporis vero quia accusamus pariatur in ea. Et commodi enim et. Omnis dolor inventore error aut qui enim. Ratione quae et nobis eius corrupti necessitatibus impedit. Veniam vitae dolor rerum ut dolores ut.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(6,'Dr. Laron Konopelski','tillman.caroline@example.com','605.926.2991','6523 Senger Court Apt. 703\nReichertmouth, MO 99242-0123','Iste quas quia quaerat aut sint mollitia.','Est cumque magnam similique expedita odio explicabo sapiente. Incidunt dolore omnis aut excepturi vel quia fuga placeat. Omnis est nam vel nisi id qui. Sunt voluptates dolorem beatae accusamus accusamus. Iure tempore et occaecati laborum repellendus animi. Dolore quia dolorum dolorem nesciunt eaque minima sapiente aut. Ut assumenda delectus impedit id et libero. Et sint quos incidunt aperiam recusandae autem.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(7,'Noble Block','nia24@example.com','202.772.4021','277 Kiarra Meadows Apt. 584\nWest Mafalda, AL 18981-6247','Veniam alias harum facere quod.','Officia vitae animi atque itaque cum modi. Esse nam inventore cumque nobis quisquam. Laboriosam aliquam error excepturi et tempore. Sed explicabo in officiis dignissimos saepe consequatur harum. Qui velit odit reiciendis quam voluptatum non. Qui nihil commodi vero aut dignissimos quasi. Aut qui sit quis cupiditate corrupti ipsum. Enim et dignissimos tenetur repellendus et. Voluptas non ut velit quo.',NULL,'read','2024-08-09 23:59:45','2024-08-09 23:59:45'),(8,'Ms. Cathy Crooks V','jarred61@example.net','504.584.8629','94537 Hills Views\nLake Maryseville, MO 74370-1468','Consequatur maiores sit sit sed perspiciatis.','Ex asperiores quam reiciendis in explicabo sunt. Accusantium mollitia quia omnis voluptatibus. Consequatur eligendi consequatur ea. Consequatur accusamus amet architecto sunt non. Consequatur qui voluptatem corporis beatae placeat omnis. Nemo est voluptatem sunt est architecto esse. Cum eum nam fuga. Quia voluptas quas ipsa ut et nostrum. Eum sapiente autem ut sit dolores dolores nulla. Natus consequatur nihil omnis consequatur officiis sint voluptas.',NULL,'read','2024-08-09 23:59:45','2024-08-09 23:59:45'),(9,'Mr. Joe Koelpin DDS','major.veum@example.org','(430) 324-5538','5971 Little Manors\nPort Claudia, WY 84952-2214','Ullam aut asperiores molestias architecto.','Et qui quas quia vitae totam est non. Dolorem aperiam rerum sed pariatur dicta omnis. Sequi autem corporis fugit voluptate repudiandae quis atque. Optio cum facilis sed esse sed. Repellat maiores sint non deserunt cupiditate veniam velit. Maxime quo fugit unde illo neque quos occaecati. Porro veniam fugit doloremque quasi aut quibusdam aut. Atque sed perferendis incidunt pariatur cum dolorem.',NULL,'unread','2024-08-09 23:59:45','2024-08-09 23:59:45'),(10,'Obie Oberbrunner III','jeremy.mckenzie@example.org','+1-972-815-9206','4033 Thompson View Suite 835\nLake Caitlynview, TX 48443','Laborum sit quos natus qui.','Modi aut ut dolores a provident saepe fugiat est. Perferendis non doloribus qui sit dolorem est sint aperiam. Ut provident ut dolor et ullam. Ratione id ex occaecati itaque eos. Reprehenderit ut suscipit fugit rerum culpa. Totam voluptate quae maiores error consequatur ut vitae quis. Fugit distinctio doloremque deserunt nulla error recusandae explicabo. Quo voluptatem vel sit voluptatum.',NULL,'read','2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_translations`
--

DROP TABLE IF EXISTS `countries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `countries_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`countries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_translations`
--

LOCK TABLES `countries_translations` WRITE;
/*!40000 ALTER TABLE `countries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands`
--

DROP TABLE IF EXISTS `ec_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands`
--

LOCK TABLES `ec_brands` WRITE;
/*!40000 ALTER TABLE `ec_brands` DISABLE KEYS */;
INSERT INTO `ec_brands` VALUES (1,'FoodPound','New Snacks Release',NULL,'brands/1.png','published',0,1,'2024-08-10 00:00:00','2024-08-10 00:00:00'),(2,'iTea JSC','Happy Tea 100% Organic. From $29.9',NULL,'brands/1.png','published',1,1,'2024-08-10 00:00:00','2024-08-10 00:00:00'),(3,'Soda Brand','Soda is a brand that lets your inner-dive out through creative makeup and cool makeup tips! Whichever product you choose, you will see that it is a perfect ...',NULL,'brands/1.png','published',2,1,'2024-08-10 00:00:00','2024-08-10 00:00:00'),(4,'Farmart','Fresh Meat Sausage. BUY 2 GET 1!',NULL,'brands/1.png','published',3,1,'2024-08-10 00:00:00','2024-08-10 00:00:00');
/*!40000 ALTER TABLE `ec_brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands_translations`
--

DROP TABLE IF EXISTS `ec_brands_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_brands_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_brands_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands_translations`
--

LOCK TABLES `ec_brands_translations` WRITE;
/*!40000 ALTER TABLE `ec_brands_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_brands_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_cart`
--

DROP TABLE IF EXISTS `ec_cart`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_cart` (
  `identifier` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `instance` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`identifier`,`instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_cart`
--

LOCK TABLES `ec_cart` WRITE;
/*!40000 ALTER TABLE `ec_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_currencies`
--

DROP TABLE IF EXISTS `ec_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_currencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_prefix_symbol` tinyint unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint unsigned DEFAULT '0',
  `order` int unsigned DEFAULT '0',
  `is_default` tinyint NOT NULL DEFAULT '0',
  `exchange_rate` double NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_currencies`
--

LOCK TABLES `ec_currencies` WRITE;
/*!40000 ALTER TABLE `ec_currencies` DISABLE KEYS */;
INSERT INTO `ec_currencies` VALUES (1,'USD','$',1,2,0,1,1,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(2,'EUR','€',0,2,1,0,0.84,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(3,'VND','₫',0,0,2,0,23203,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(4,'NGN','₦',1,2,2,0,895.52,'2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `ec_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_addresses`
--

DROP TABLE IF EXISTS `ec_customer_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_addresses`
--

LOCK TABLES `ec_customer_addresses` WRITE;
/*!40000 ALTER TABLE `ec_customer_addresses` DISABLE KEYS */;
INSERT INTO `ec_customer_addresses` VALUES (1,'Carmen Daniel','customer@archielite.com','+15077796967','RS','Alabama','New Nyasia','90859 Lemuel Roads Apt. 623',1,1,'2024-08-10 00:00:48','2024-08-10 00:00:48','44645-3216'),(2,'Carmen Daniel','customer@archielite.com','+13088970176','LR','Kansas','Madelynnmouth','7751 Brakus Trafficway Apt. 171',1,0,'2024-08-10 00:00:48','2024-08-10 00:00:48','45351-5711'),(3,'Nayeli Rice','ecrooks@example.com','+13216806953','MZ','Iowa','Violetteburgh','786 Garret Common',2,1,'2024-08-10 00:00:48','2024-08-10 00:00:48','73794-1759'),(4,'Prof. Carrie Nolan','pryan@example.com','+19493179978','JP','Montana','South Leilani','11176 Swift Mall Suite 824',3,1,'2024-08-10 00:00:49','2024-08-10 00:00:49','40778-8753'),(5,'Prof. Joel Runolfsdottir','kelton.batz@example.org','+15165285338','GR','Oklahoma','South Elodyton','27558 Gerardo Plaza Apt. 924',4,1,'2024-08-10 00:00:49','2024-08-10 00:00:49','85445-8683'),(6,'Myles Kessler Sr.','goodwin.breanne@example.net','+19208640309','UY','West Virginia','Amyatown','4262 Mayer Extension',5,1,'2024-08-10 00:00:49','2024-08-10 00:00:49','27873-3857'),(7,'Rozella Sanford Sr.','cierra66@example.org','+14802047094','FJ','Wyoming','South Rethafurt','104 Pedro Hill Apt. 650',6,1,'2024-08-10 00:00:49','2024-08-10 00:00:49','13839-7830'),(8,'Katlyn Beahan','paul35@example.com','+16894406403','LB','Colorado','Runolfsdottirmouth','9309 Muller Ford',7,1,'2024-08-10 00:00:50','2024-08-10 00:00:50','08430'),(9,'Dorothea Stoltenberg Sr.','trantow.chelsie@example.net','+18595256310','CH','Colorado','Wildermanhaven','26604 Murphy Drives',8,1,'2024-08-10 00:00:50','2024-08-10 00:00:50','61205-8690'),(10,'Prof. Kory Bednar DVM','modesto11@example.org','+12564957737','LC','Maine','Vivianneport','11935 Anderson Well',9,1,'2024-08-10 00:00:50','2024-08-10 00:00:50','77059-5951');
/*!40000 ALTER TABLE `ec_customer_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_deletion_requests`
--

DROP TABLE IF EXISTS `ec_customer_deletion_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_deletion_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting_for_confirmation',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `confirmed_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customer_deletion_requests_token_unique` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_deletion_requests`
--

LOCK TABLES `ec_customer_deletion_requests` WRITE;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_password_resets`
--

DROP TABLE IF EXISTS `ec_customer_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `ec_customer_password_resets_email_index` (`email`),
  KEY `ec_customer_password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_password_resets`
--

LOCK TABLES `ec_customer_password_resets` WRITE;
/*!40000 ALTER TABLE `ec_customer_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_recently_viewed_products`
--

DROP TABLE IF EXISTS `ec_customer_recently_viewed_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_recently_viewed_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_recently_viewed_products`
--

LOCK TABLES `ec_customer_recently_viewed_products` WRITE;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_used_coupons`
--

DROP TABLE IF EXISTS `ec_customer_used_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_used_coupons` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_used_coupons`
--

LOCK TABLES `ec_customer_used_coupons` WRITE;
/*!40000 ALTER TABLE `ec_customer_used_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_used_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customers`
--

DROP TABLE IF EXISTS `ec_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `email_verify_token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'activated',
  `private_notes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customers`
--

LOCK TABLES `ec_customers` WRITE;
/*!40000 ALTER TABLE `ec_customers` DISABLE KEYS */;
INSERT INTO `ec_customers` VALUES (1,'Carmen Daniel','customer@archielite.com','$2y$12$CF/Gkl3lSQHS5GptClUOjeG.Rs.oLXCaXttzqF4iB8bC6rfT3z1AO','customers/4.jpg','1977-07-22','+15204494450',NULL,'2024-08-10 00:00:48','2024-08-10 00:00:48','2024-08-10 07:00:48',NULL,'activated',NULL),(2,'Nayeli Rice','ecrooks@example.com','$2y$12$OkoV3Cui5Y0jwD2LYx1Nc.xFB9RwVT2/Qlgq0Tb0vC00/vPcWodsa','customers/1.jpg','2003-07-22','+19405815912',NULL,'2024-08-10 00:00:48','2024-08-10 00:00:48','2024-08-10 07:00:48',NULL,'activated',NULL),(3,'Prof. Carrie Nolan','pryan@example.com','$2y$12$zOMj9TcmtmZhtRgMtosDK.kdXOJSURsMJlOcmjzo0sKsn7uR5tiNa','customers/2.jpg','1977-08-03','+18583388440',NULL,'2024-08-10 00:00:49','2024-08-10 00:00:49','2024-08-10 07:00:48',NULL,'activated',NULL),(4,'Prof. Joel Runolfsdottir','kelton.batz@example.org','$2y$12$kD1YMlQ.IXirQUb7EjISr..tS9izDxgwonLbnYaeOKUIsEBUQG5kC','customers/3.jpg','1997-08-02','+16506996996',NULL,'2024-08-10 00:00:49','2024-08-10 00:00:49','2024-08-10 07:00:48',NULL,'activated',NULL),(5,'Myles Kessler Sr.','goodwin.breanne@example.net','$2y$12$os6IZBMV.AFK3PGlDkzo9e8s7sWIX09YehK90Mt7x9/NJo8j9O5LG','customers/4.jpg','1989-08-05','+15412360555',NULL,'2024-08-10 00:00:49','2024-08-10 00:00:49','2024-08-10 07:00:48',NULL,'activated',NULL),(6,'Rozella Sanford Sr.','cierra66@example.org','$2y$12$8CMLhi8rKfe6PxPfUeMlvumKpc5Ge5.u8E0NUwRv/eezA3EV5WMti','customers/5.jpg','2003-07-24','+18588136038',NULL,'2024-08-10 00:00:49','2024-08-10 00:00:49','2024-08-10 07:00:48',NULL,'activated',NULL),(7,'Katlyn Beahan','paul35@example.com','$2y$12$TwtIjTau5gbZ7doykGyB.uTr0adUrjWlEuGRpyUvWOoZPRU9V20h.','customers/6.jpg','2004-07-23','+18638389102',NULL,'2024-08-10 00:00:50','2024-08-10 00:00:50','2024-08-10 07:00:48',NULL,'activated',NULL),(8,'Dorothea Stoltenberg Sr.','trantow.chelsie@example.net','$2y$12$hAf1p.kR9IYMMqxxTF7OfOnelEW9aVFIwrhBuLNAk7mLkxjiaWO6W','customers/7.jpg','1990-07-25','+13027040038',NULL,'2024-08-10 00:00:50','2024-08-10 00:00:50','2024-08-10 07:00:48',NULL,'activated',NULL),(9,'Prof. Kory Bednar DVM','modesto11@example.org','$2y$12$1JNzNv8kjfvllTAFlG1wEeoBz5g7wHXfjsbDilR0FQN235oYkniGy','customers/8.jpg','2000-07-25','+16468863143',NULL,'2024-08-10 00:00:50','2024-08-10 00:00:50','2024-08-10 07:00:48',NULL,'activated',NULL);
/*!40000 ALTER TABLE `ec_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_customers`
--

DROP TABLE IF EXISTS `ec_discount_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_customers` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_customers`
--

LOCK TABLES `ec_discount_customers` WRITE;
/*!40000 ALTER TABLE `ec_discount_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_categories`
--

DROP TABLE IF EXISTS `ec_discount_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_categories` (
  `discount_id` bigint unsigned NOT NULL,
  `product_category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_categories`
--

LOCK TABLES `ec_discount_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_collections`
--

DROP TABLE IF EXISTS `ec_discount_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_collections` (
  `discount_id` bigint unsigned NOT NULL,
  `product_collection_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_collections`
--

LOCK TABLES `ec_discount_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_products`
--

DROP TABLE IF EXISTS `ec_discount_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_products` (
  `discount_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_products`
--

LOCK TABLES `ec_discount_products` WRITE;
/*!40000 ALTER TABLE `ec_discount_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discounts`
--

DROP TABLE IF EXISTS `ec_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discounts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `total_used` int unsigned NOT NULL DEFAULT '0',
  `value` double DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'coupon',
  `can_use_with_promotion` tinyint(1) NOT NULL DEFAULT '0',
  `discount_on` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_quantity` int unsigned DEFAULT NULL,
  `type_option` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'amount',
  `target` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'all-orders',
  `min_order_price` decimal(15,2) DEFAULT NULL,
  `apply_via_url` tinyint(1) NOT NULL DEFAULT '0',
  `display_at_checkout` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_discounts_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discounts`
--

LOCK TABLES `ec_discounts` WRITE;
/*!40000 ALTER TABLE `ec_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sale_products`
--

DROP TABLE IF EXISTS `ec_flash_sale_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sale_products` (
  `flash_sale_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `price` double unsigned DEFAULT NULL,
  `quantity` int unsigned DEFAULT NULL,
  `sold` int unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sale_products`
--

LOCK TABLES `ec_flash_sale_products` WRITE;
/*!40000 ALTER TABLE `ec_flash_sale_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sale_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales`
--

DROP TABLE IF EXISTS `ec_flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` datetime NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales`
--

LOCK TABLES `ec_flash_sales` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales_translations`
--

DROP TABLE IF EXISTS `ec_flash_sales_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_flash_sales_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_flash_sales_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales_translations`
--

LOCK TABLES `ec_flash_sales_translations` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value`
--

DROP TABLE IF EXISTS `ec_global_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value`
--

LOCK TABLES `ec_global_option_value` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value_translations`
--

DROP TABLE IF EXISTS `ec_global_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value_translations`
--

LOCK TABLES `ec_global_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options`
--

DROP TABLE IF EXISTS `ec_global_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'option type',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options`
--

LOCK TABLES `ec_global_options` WRITE;
/*!40000 ALTER TABLE `ec_global_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options_translations`
--

DROP TABLE IF EXISTS `ec_global_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options_translations`
--

LOCK TABLES `ec_global_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_grouped_products`
--

DROP TABLE IF EXISTS `ec_grouped_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_grouped_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_product_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `fixed_qty` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_grouped_products`
--

LOCK TABLES `ec_grouped_products` WRITE;
/*!40000 ALTER TABLE `ec_grouped_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_grouped_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoice_items`
--

DROP TABLE IF EXISTS `ec_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoice_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL DEFAULT '0.00',
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `amount` decimal(15,2) unsigned NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_invoice_items_reference_type_reference_id_index` (`reference_type`,`reference_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoice_items`
--

LOCK TABLES `ec_invoice_items` WRITE;
/*!40000 ALTER TABLE `ec_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoices`
--

DROP TABLE IF EXISTS `ec_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoices` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `payment_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_invoices_code_unique` (`code`),
  KEY `ec_invoices_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `ec_invoices_payment_id_index` (`payment_id`),
  KEY `ec_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoices`
--

LOCK TABLES `ec_invoices` WRITE;
/*!40000 ALTER TABLE `ec_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value`
--

DROP TABLE IF EXISTS `ec_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value`
--

LOCK TABLES `ec_option_value` WRITE;
/*!40000 ALTER TABLE `ec_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value_translations`
--

DROP TABLE IF EXISTS `ec_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value_translations`
--

LOCK TABLES `ec_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options`
--

DROP TABLE IF EXISTS `ec_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'option type',
  `product_id` bigint unsigned NOT NULL DEFAULT '0',
  `order` int NOT NULL DEFAULT '9999',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options`
--

LOCK TABLES `ec_options` WRITE;
/*!40000 ALTER TABLE `ec_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options_translations`
--

DROP TABLE IF EXISTS `ec_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options_translations`
--

LOCK TABLES `ec_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_addresses`
--

DROP TABLE IF EXISTS `ec_order_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'shipping_address',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_addresses`
--

LOCK TABLES `ec_order_addresses` WRITE;
/*!40000 ALTER TABLE `ec_order_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_histories`
--

DROP TABLE IF EXISTS `ec_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `extras` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_histories`
--

LOCK TABLES `ec_order_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_product`
--

DROP TABLE IF EXISTS `ec_order_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_product` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `qty` int NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `product_options` text COLLATE utf8mb4_unicode_ci COMMENT 'product option data',
  `product_id` bigint unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `restock_quantity` int unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'physical',
  `times_downloaded` int NOT NULL DEFAULT '0',
  `license_code` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `downloaded_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_product`
--

LOCK TABLES `ec_order_product` WRITE;
/*!40000 ALTER TABLE `ec_order_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_referrals`
--

DROP TABLE IF EXISTS `ec_order_referrals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_referrals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_page` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_params` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referral` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_source` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_campaign` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_medium` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_term` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_content` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer_url` text COLLATE utf8mb4_unicode_ci,
  `referrer_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_referrals_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_referrals`
--

LOCK TABLES `ec_order_referrals` WRITE;
/*!40000 ALTER TABLE `ec_order_referrals` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_histories`
--

DROP TABLE IF EXISTS `ec_order_return_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_return_id` bigint unsigned NOT NULL,
  `action` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_histories`
--

LOCK TABLES `ec_order_return_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_return_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_items`
--

DROP TABLE IF EXISTS `ec_order_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_return_id` bigint unsigned NOT NULL COMMENT 'Order return id',
  `order_product_id` bigint unsigned NOT NULL COMMENT 'Order product id',
  `product_id` bigint unsigned NOT NULL COMMENT 'Product id',
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int NOT NULL COMMENT 'Quantity return',
  `price` decimal(15,2) NOT NULL COMMENT 'Price Product',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `refund_amount` decimal(12,2) DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_items`
--

LOCK TABLES `ec_order_return_items` WRITE;
/*!40000 ALTER TABLE `ec_order_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_returns`
--

DROP TABLE IF EXISTS `ec_order_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_returns` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL COMMENT 'Order ID',
  `store_id` bigint unsigned DEFAULT NULL COMMENT 'Store ID',
  `user_id` bigint unsigned NOT NULL COMMENT 'Customer ID',
  `reason` text COLLATE utf8mb4_unicode_ci COMMENT 'Reason return order',
  `order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Order current status',
  `return_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Return status',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_order_returns_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_returns`
--

LOCK TABLES `ec_order_returns` WRITE;
/*!40000 ALTER TABLE `ec_order_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_tax_information`
--

DROP TABLE IF EXISTS `ec_order_tax_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_tax_information` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `company_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_tax_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_tax_information_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_tax_information`
--

LOCK TABLES `ec_order_tax_information` WRITE;
/*!40000 ALTER TABLE `ec_order_tax_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_tax_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_orders`
--

DROP TABLE IF EXISTS `ec_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `amount` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) DEFAULT NULL,
  `shipping_amount` decimal(15,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(15,2) DEFAULT NULL,
  `sub_total` decimal(15,2) NOT NULL,
  `is_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_finished` tinyint(1) DEFAULT '0',
  `cancellation_reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancellation_reason_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `completed_at` timestamp NULL DEFAULT NULL,
  `token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `proof_file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_orders_code_unique` (`code`),
  KEY `ec_orders_user_id_status_created_at_index` (`user_id`,`status`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_orders`
--

LOCK TABLES `ec_orders` WRITE;
/*!40000 ALTER TABLE `ec_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `display_layout` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'swatch_dropdown',
  `is_searchable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_comparable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_use_in_product_listing` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `use_image_from_product_variation` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets`
--

LOCK TABLES `ec_product_attribute_sets` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets` DISABLE KEYS */;
INSERT INTO `ec_product_attribute_sets` VALUES (1,'Color','color','visual',1,1,1,'published',0,'2024-08-10 00:00:47','2024-08-10 00:00:47',0),(2,'Size','size','text',1,1,1,'published',1,'2024-08-10 00:00:47','2024-08-10 00:00:47',0),(3,'Weight','weight','text',1,1,1,'published',0,'2024-08-10 00:00:47','2024-08-10 00:00:47',0),(4,'Boxes','boxes','text',1,1,1,'published',1,'2024-08-10 00:00:47','2024-08-10 00:00:47',0);
/*!40000 ALTER TABLE `ec_product_attribute_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets_translations`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attribute_sets_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attribute_sets_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets_translations`
--

LOCK TABLES `ec_product_attribute_sets_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes`
--

DROP TABLE IF EXISTS `ec_product_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_set_id` bigint unsigned NOT NULL,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_set_status_index` (`attribute_set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes`
--

LOCK TABLES `ec_product_attributes` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes` DISABLE KEYS */;
INSERT INTO `ec_product_attributes` VALUES (1,1,'Green','green','#5FB7D4',NULL,1,1,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(2,1,'Blue','blue','#333333',NULL,0,2,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(3,1,'Red','red','#DA323F',NULL,0,3,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(4,1,'Black','black','#2F366C',NULL,0,4,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(5,1,'Brown','brown','#87554B',NULL,0,5,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(6,2,'S','s',NULL,NULL,1,1,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(7,2,'M','m',NULL,NULL,0,2,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(8,2,'L','l',NULL,NULL,0,3,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(9,2,'XL','xl',NULL,NULL,0,4,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(10,2,'XXL','xxl',NULL,NULL,0,5,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(11,3,'1KG','1kg',NULL,NULL,1,1,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(12,3,'2KG','2kg',NULL,NULL,0,2,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(13,3,'3KG','3kg',NULL,NULL,0,3,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(14,3,'4KG','4kg',NULL,NULL,0,4,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(15,3,'5KG','5kg',NULL,NULL,0,5,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(16,4,'1 Box','1-box',NULL,NULL,1,1,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(17,4,'2 Boxes','2-boxes',NULL,NULL,0,2,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(18,4,'3 Boxes','3-boxes',NULL,NULL,0,3,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(19,4,'4 Boxes','4-boxes',NULL,NULL,0,4,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(20,4,'5 Boxes','5-boxes',NULL,NULL,0,5,'2024-08-10 00:00:47','2024-08-10 00:00:47');
/*!40000 ALTER TABLE `ec_product_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes_translations`
--

DROP TABLE IF EXISTS `ec_product_attributes_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attributes_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attributes_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes_translations`
--

LOCK TABLES `ec_product_attributes_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attributes_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories`
--

DROP TABLE IF EXISTS `ec_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` int unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_categories_parent_id_status_created_at_index` (`parent_id`,`status`,`created_at`),
  KEY `ec_product_categories_parent_id_status_index` (`parent_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories`
--

LOCK TABLES `ec_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_product_categories` DISABLE KEYS */;
INSERT INTO `ec_product_categories` VALUES (1,'Desktop PC',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',1,'product-categories/1.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(2,'Headphone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',2,'product-categories/2.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(3,'Laptop',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',3,'product-categories/3.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(4,'Mobile Phone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',4,'product-categories/4.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(5,'Printer',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',5,'product-categories/5.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(6,'Books',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',6,'product-categories/6.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(7,'Tablet',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',7,'product-categories/7.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(8,'USB Flash',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',8,'product-categories/8.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(9,'Game Mouse',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',9,'product-categories/9.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(10,'Security',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',10,'product-categories/10.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(11,'Watch',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',11,'product-categories/11.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL),(12,'Scanner',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',12,'product-categories/12.png',1,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,NULL);
/*!40000 ALTER TABLE `ec_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories_translations`
--

DROP TABLE IF EXISTS `ec_product_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_product_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories_translations`
--

LOCK TABLES `ec_product_categories_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categorizables`
--

DROP TABLE IF EXISTS `ec_product_categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categorizables` (
  `category_id` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`category_id`,`reference_id`,`reference_type`),
  KEY `ec_product_categorizables_category_id_index` (`category_id`),
  KEY `ec_product_categorizables_reference_id_index` (`reference_id`),
  KEY `ec_product_categorizables_reference_type_index` (`reference_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categorizables`
--

LOCK TABLES `ec_product_categorizables` WRITE;
/*!40000 ALTER TABLE `ec_product_categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categorizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_category_product`
--

DROP TABLE IF EXISTS `ec_product_category_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_category_product` (
  `category_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `ec_product_category_product_category_id_index` (`category_id`),
  KEY `ec_product_category_product_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_category_product`
--

LOCK TABLES `ec_product_category_product` WRITE;
/*!40000 ALTER TABLE `ec_product_category_product` DISABLE KEYS */;
INSERT INTO `ec_product_category_product` VALUES (1,17),(1,30),(1,32),(1,36),(1,46),(1,62),(2,2),(2,3),(2,12),(2,22),(2,33),(2,38),(2,63),(3,8),(3,39),(4,17),(4,19),(4,47),(4,58),(4,65),(5,6),(5,21),(5,25),(5,34),(5,45),(5,52),(6,16),(6,30),(6,64),(7,1),(7,40),(7,46),(7,51),(7,53),(7,64),(8,8),(8,18),(8,19),(8,25),(8,41),(8,44),(9,7),(9,27),(9,35),(9,43),(9,48),(9,52),(10,14),(10,31),(10,42),(10,55),(10,58),(10,59),(10,60),(11,26),(11,33),(11,56),(11,58),(11,64),(12,19),(12,37),(12,47),(13,22),(13,23),(13,35),(13,60),(14,2),(14,6),(14,17),(14,20),(14,24),(14,30),(14,45),(14,48),(14,50),(14,61),(15,3),(15,5),(15,10),(15,12),(15,14),(15,17),(15,34),(15,36),(15,38),(15,49),(16,15),(16,26),(16,30),(16,46),(16,54),(16,55),(17,4),(17,5),(17,9),(17,12),(17,14),(17,31),(17,36),(17,52),(17,59),(18,6),(18,14),(18,15),(18,29),(18,55),(18,62),(19,8),(19,9),(19,13),(19,16),(19,20),(19,22),(19,23),(19,28),(19,33),(19,50),(19,55),(19,56),(19,57),(19,62),(19,64),(20,9),(20,23),(20,32),(20,35),(20,57),(20,63),(20,65),(21,27),(21,41),(21,44),(21,49),(21,57),(22,4),(22,7),(22,16),(22,24),(22,41),(23,15),(23,26),(23,34),(23,38),(23,42),(23,48),(24,1),(24,10),(24,21),(24,25),(24,37),(24,41),(24,52),(24,54),(24,62),(25,3),(25,18),(25,20),(25,28),(25,29),(25,32),(25,35),(25,44),(25,51),(25,54),(25,57),(26,2),(26,7),(26,13),(26,16),(26,31),(26,42),(26,53),(26,56),(26,60),(26,63),(27,21),(27,40),(28,10),(28,28),(28,37),(28,43),(28,49),(28,58),(29,4),(29,11),(29,27),(29,53),(29,56),(29,59),(29,61),(30,1),(30,5),(30,12),(30,18),(30,34),(30,45),(31,5),(31,6),(31,11),(31,31),(31,33),(31,43),(31,48),(31,61),(32,2),(32,3),(32,8),(32,28),(32,40),(32,42),(32,51),(32,54),(32,59),(33,11),(33,13),(33,15),(33,18),(33,26),(33,37),(33,43),(33,45),(33,60),(33,65),(34,4),(34,27),(34,32),(34,50),(35,19),(35,25),(35,39),(35,47),(35,49),(36,11),(36,21),(36,23),(36,24),(36,39),(36,61),(36,65),(37,7),(37,10),(37,20),(37,22),(37,29),(37,38),(37,39),(37,44),(37,47),(37,51),(37,53);
/*!40000 ALTER TABLE `ec_product_category_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collection_products`
--

DROP TABLE IF EXISTS `ec_product_collection_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collection_products` (
  `product_collection_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`product_collection_id`),
  KEY `ec_product_collection_products_product_collection_id_index` (`product_collection_id`),
  KEY `ec_product_collection_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collection_products`
--

LOCK TABLES `ec_product_collection_products` WRITE;
/*!40000 ALTER TABLE `ec_product_collection_products` DISABLE KEYS */;
INSERT INTO `ec_product_collection_products` VALUES (1,4),(1,6),(1,13),(1,15),(1,20),(1,23),(1,31),(1,39),(1,40),(1,43),(1,44),(1,45),(1,48),(1,51),(1,53),(1,57),(1,60),(1,61),(1,65),(2,1),(2,5),(2,7),(2,8),(2,11),(2,16),(2,17),(2,21),(2,22),(2,26),(2,27),(2,29),(2,33),(2,35),(2,36),(2,38),(2,41),(2,52),(2,54),(2,64),(3,2),(3,3),(3,9),(3,10),(3,12),(3,14),(3,18),(3,19),(3,24),(3,25),(3,28),(3,30),(3,32),(3,34),(3,37),(3,42),(3,46),(3,47),(3,49),(3,50),(3,55),(3,56),(3,58),(3,59),(3,62),(3,63);
/*!40000 ALTER TABLE `ec_product_collection_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections`
--

DROP TABLE IF EXISTS `ec_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections`
--

LOCK TABLES `ec_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_product_collections` DISABLE KEYS */;
INSERT INTO `ec_product_collections` VALUES (1,'New Arrival','new-arrival',NULL,NULL,'published','2024-08-10 00:00:00','2024-08-10 00:00:00',0),(2,'Best Sellers','best-sellers',NULL,NULL,'published','2024-08-10 00:00:00','2024-08-10 00:00:00',0),(3,'Special Offer','special-offer',NULL,NULL,'published','2024-08-10 00:00:00','2024-08-10 00:00:00',0);
/*!40000 ALTER TABLE `ec_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections_translations`
--

DROP TABLE IF EXISTS `ec_product_collections_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_collections_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_collections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections_translations`
--

LOCK TABLES `ec_product_collections_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_collections_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_collections_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_cross_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_cross_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_cross_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  `is_variant` tinyint(1) NOT NULL DEFAULT '0',
  `price` decimal(15,2) DEFAULT '0.00',
  `price_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed',
  `apply_to_all_variations` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_cross_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_cross_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_cross_sale_relations`
--

LOCK TABLES `ec_product_cross_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` DISABLE KEYS */;
INSERT INTO `ec_product_cross_sale_relations` VALUES (1,3,0,0.00,'fixed',1),(1,4,0,0.00,'fixed',1),(1,7,0,0.00,'fixed',1),(1,13,0,0.00,'fixed',1),(1,15,0,0.00,'fixed',1),(1,16,0,0.00,'fixed',1),(2,1,0,0.00,'fixed',1),(2,5,0,0.00,'fixed',1),(2,10,0,0.00,'fixed',1),(2,12,0,0.00,'fixed',1),(2,13,0,0.00,'fixed',1),(2,16,0,0.00,'fixed',1),(2,18,0,0.00,'fixed',1),(3,1,0,0.00,'fixed',1),(3,9,0,0.00,'fixed',1),(3,13,0,0.00,'fixed',1),(3,17,0,0.00,'fixed',1),(3,18,0,0.00,'fixed',1),(4,1,0,0.00,'fixed',1),(4,3,0,0.00,'fixed',1),(4,6,0,0.00,'fixed',1),(4,10,0,0.00,'fixed',1),(4,11,0,0.00,'fixed',1),(4,17,0,0.00,'fixed',1),(4,20,0,0.00,'fixed',1),(5,1,0,0.00,'fixed',1),(5,4,0,0.00,'fixed',1),(5,8,0,0.00,'fixed',1),(5,13,0,0.00,'fixed',1),(5,17,0,0.00,'fixed',1),(6,7,0,0.00,'fixed',1),(6,9,0,0.00,'fixed',1),(6,13,0,0.00,'fixed',1),(6,15,0,0.00,'fixed',1),(6,16,0,0.00,'fixed',1),(7,2,0,0.00,'fixed',1),(7,3,0,0.00,'fixed',1),(7,4,0,0.00,'fixed',1),(7,10,0,0.00,'fixed',1),(7,16,0,0.00,'fixed',1),(7,19,0,0.00,'fixed',1),(7,20,0,0.00,'fixed',1),(8,3,0,0.00,'fixed',1),(8,4,0,0.00,'fixed',1),(8,6,0,0.00,'fixed',1),(8,10,0,0.00,'fixed',1),(8,18,0,0.00,'fixed',1),(8,20,0,0.00,'fixed',1),(9,3,0,0.00,'fixed',1),(9,5,0,0.00,'fixed',1),(9,8,0,0.00,'fixed',1),(9,12,0,0.00,'fixed',1),(9,20,0,0.00,'fixed',1),(10,3,0,0.00,'fixed',1),(10,4,0,0.00,'fixed',1),(10,14,0,0.00,'fixed',1),(10,15,0,0.00,'fixed',1),(10,17,0,0.00,'fixed',1),(11,1,0,0.00,'fixed',1),(11,6,0,0.00,'fixed',1),(11,7,0,0.00,'fixed',1),(11,12,0,0.00,'fixed',1),(11,17,0,0.00,'fixed',1),(11,18,0,0.00,'fixed',1),(12,1,0,0.00,'fixed',1),(12,9,0,0.00,'fixed',1),(12,14,0,0.00,'fixed',1),(12,17,0,0.00,'fixed',1),(12,19,0,0.00,'fixed',1),(12,20,0,0.00,'fixed',1),(13,1,0,0.00,'fixed',1),(13,3,0,0.00,'fixed',1),(13,7,0,0.00,'fixed',1),(13,9,0,0.00,'fixed',1),(13,11,0,0.00,'fixed',1),(14,3,0,0.00,'fixed',1),(14,4,0,0.00,'fixed',1),(14,6,0,0.00,'fixed',1),(14,10,0,0.00,'fixed',1),(14,17,0,0.00,'fixed',1),(14,18,0,0.00,'fixed',1),(15,2,0,0.00,'fixed',1),(15,3,0,0.00,'fixed',1),(15,4,0,0.00,'fixed',1),(15,5,0,0.00,'fixed',1),(15,7,0,0.00,'fixed',1),(15,14,0,0.00,'fixed',1),(15,16,0,0.00,'fixed',1),(16,1,0,0.00,'fixed',1),(16,4,0,0.00,'fixed',1),(16,5,0,0.00,'fixed',1),(16,12,0,0.00,'fixed',1),(16,13,0,0.00,'fixed',1),(16,19,0,0.00,'fixed',1),(17,2,0,0.00,'fixed',1),(17,7,0,0.00,'fixed',1),(17,13,0,0.00,'fixed',1),(17,14,0,0.00,'fixed',1),(17,15,0,0.00,'fixed',1),(18,2,0,0.00,'fixed',1),(18,9,0,0.00,'fixed',1),(18,11,0,0.00,'fixed',1),(18,12,0,0.00,'fixed',1),(18,13,0,0.00,'fixed',1),(18,16,0,0.00,'fixed',1),(19,6,0,0.00,'fixed',1),(19,8,0,0.00,'fixed',1),(19,13,0,0.00,'fixed',1),(19,15,0,0.00,'fixed',1),(19,17,0,0.00,'fixed',1),(19,18,0,0.00,'fixed',1),(20,5,0,0.00,'fixed',1),(20,6,0,0.00,'fixed',1),(20,10,0,0.00,'fixed',1),(20,11,0,0.00,'fixed',1),(20,12,0,0.00,'fixed',1),(20,16,0,0.00,'fixed',1),(21,2,0,0.00,'fixed',1),(21,4,0,0.00,'fixed',1),(21,7,0,0.00,'fixed',1),(21,9,0,0.00,'fixed',1),(21,11,0,0.00,'fixed',1),(21,12,0,0.00,'fixed',1),(21,17,0,0.00,'fixed',1),(22,6,0,0.00,'fixed',1),(22,7,0,0.00,'fixed',1),(22,8,0,0.00,'fixed',1),(22,10,0,0.00,'fixed',1),(22,11,0,0.00,'fixed',1),(22,19,0,0.00,'fixed',1),(23,1,0,0.00,'fixed',1),(23,5,0,0.00,'fixed',1),(23,8,0,0.00,'fixed',1),(23,11,0,0.00,'fixed',1),(23,12,0,0.00,'fixed',1),(23,15,0,0.00,'fixed',1),(24,3,0,0.00,'fixed',1),(24,8,0,0.00,'fixed',1),(24,10,0,0.00,'fixed',1),(24,13,0,0.00,'fixed',1),(24,16,0,0.00,'fixed',1),(24,18,0,0.00,'fixed',1),(25,9,0,0.00,'fixed',1),(25,10,0,0.00,'fixed',1),(25,11,0,0.00,'fixed',1),(25,12,0,0.00,'fixed',1),(25,13,0,0.00,'fixed',1),(25,14,0,0.00,'fixed',1),(25,18,0,0.00,'fixed',1),(26,4,0,0.00,'fixed',1),(26,9,0,0.00,'fixed',1),(26,11,0,0.00,'fixed',1),(26,15,0,0.00,'fixed',1),(26,16,0,0.00,'fixed',1),(27,2,0,0.00,'fixed',1),(27,5,0,0.00,'fixed',1),(27,8,0,0.00,'fixed',1),(27,15,0,0.00,'fixed',1),(27,16,0,0.00,'fixed',1),(27,19,0,0.00,'fixed',1),(28,1,0,0.00,'fixed',1),(28,3,0,0.00,'fixed',1),(28,6,0,0.00,'fixed',1),(28,9,0,0.00,'fixed',1),(28,10,0,0.00,'fixed',1),(28,11,0,0.00,'fixed',1),(28,12,0,0.00,'fixed',1),(29,5,0,0.00,'fixed',1),(29,8,0,0.00,'fixed',1),(29,10,0,0.00,'fixed',1),(29,16,0,0.00,'fixed',1),(29,18,0,0.00,'fixed',1),(30,5,0,0.00,'fixed',1),(30,11,0,0.00,'fixed',1),(30,13,0,0.00,'fixed',1),(30,16,0,0.00,'fixed',1),(30,17,0,0.00,'fixed',1),(30,18,0,0.00,'fixed',1),(31,5,0,0.00,'fixed',1),(31,6,0,0.00,'fixed',1),(31,9,0,0.00,'fixed',1),(31,10,0,0.00,'fixed',1),(31,13,0,0.00,'fixed',1),(31,14,0,0.00,'fixed',1),(31,18,0,0.00,'fixed',1),(32,4,0,0.00,'fixed',1),(32,7,0,0.00,'fixed',1),(32,10,0,0.00,'fixed',1),(32,11,0,0.00,'fixed',1),(32,12,0,0.00,'fixed',1),(32,18,0,0.00,'fixed',1),(33,6,0,0.00,'fixed',1),(33,7,0,0.00,'fixed',1),(33,12,0,0.00,'fixed',1),(33,15,0,0.00,'fixed',1),(33,16,0,0.00,'fixed',1),(33,17,0,0.00,'fixed',1),(34,3,0,0.00,'fixed',1),(34,5,0,0.00,'fixed',1),(34,8,0,0.00,'fixed',1),(34,10,0,0.00,'fixed',1),(34,13,0,0.00,'fixed',1),(34,19,0,0.00,'fixed',1),(35,10,0,0.00,'fixed',1),(35,12,0,0.00,'fixed',1),(35,13,0,0.00,'fixed',1),(35,14,0,0.00,'fixed',1),(35,15,0,0.00,'fixed',1),(35,19,0,0.00,'fixed',1),(36,2,0,0.00,'fixed',1),(36,10,0,0.00,'fixed',1),(36,14,0,0.00,'fixed',1),(36,15,0,0.00,'fixed',1),(36,16,0,0.00,'fixed',1),(37,4,0,0.00,'fixed',1),(37,5,0,0.00,'fixed',1),(37,9,0,0.00,'fixed',1),(37,13,0,0.00,'fixed',1),(37,16,0,0.00,'fixed',1),(37,19,0,0.00,'fixed',1),(38,1,0,0.00,'fixed',1),(38,3,0,0.00,'fixed',1),(38,4,0,0.00,'fixed',1),(38,6,0,0.00,'fixed',1),(38,8,0,0.00,'fixed',1),(39,4,0,0.00,'fixed',1),(39,5,0,0.00,'fixed',1),(39,8,0,0.00,'fixed',1),(39,15,0,0.00,'fixed',1),(39,19,0,0.00,'fixed',1),(40,1,0,0.00,'fixed',1),(40,3,0,0.00,'fixed',1),(40,6,0,0.00,'fixed',1),(40,7,0,0.00,'fixed',1),(40,12,0,0.00,'fixed',1),(40,14,0,0.00,'fixed',1),(41,3,0,0.00,'fixed',1),(41,4,0,0.00,'fixed',1),(41,6,0,0.00,'fixed',1),(41,7,0,0.00,'fixed',1),(41,12,0,0.00,'fixed',1),(41,13,0,0.00,'fixed',1),(42,4,0,0.00,'fixed',1),(42,5,0,0.00,'fixed',1),(42,8,0,0.00,'fixed',1),(42,10,0,0.00,'fixed',1),(42,13,0,0.00,'fixed',1),(42,15,0,0.00,'fixed',1),(42,16,0,0.00,'fixed',1),(43,1,0,0.00,'fixed',1),(43,2,0,0.00,'fixed',1),(43,5,0,0.00,'fixed',1),(43,7,0,0.00,'fixed',1),(43,14,0,0.00,'fixed',1),(43,15,0,0.00,'fixed',1),(44,2,0,0.00,'fixed',1),(44,4,0,0.00,'fixed',1),(44,5,0,0.00,'fixed',1),(44,6,0,0.00,'fixed',1),(44,9,0,0.00,'fixed',1),(44,10,0,0.00,'fixed',1),(44,12,0,0.00,'fixed',1),(45,3,0,0.00,'fixed',1),(45,6,0,0.00,'fixed',1),(45,8,0,0.00,'fixed',1),(45,9,0,0.00,'fixed',1),(45,12,0,0.00,'fixed',1),(46,4,0,0.00,'fixed',1),(46,8,0,0.00,'fixed',1),(46,9,0,0.00,'fixed',1),(46,12,0,0.00,'fixed',1),(46,15,0,0.00,'fixed',1),(46,18,0,0.00,'fixed',1),(46,19,0,0.00,'fixed',1),(47,3,0,0.00,'fixed',1),(47,5,0,0.00,'fixed',1),(47,13,0,0.00,'fixed',1),(47,15,0,0.00,'fixed',1),(47,16,0,0.00,'fixed',1),(47,19,0,0.00,'fixed',1),(48,2,0,0.00,'fixed',1),(48,3,0,0.00,'fixed',1),(48,6,0,0.00,'fixed',1),(48,7,0,0.00,'fixed',1),(48,9,0,0.00,'fixed',1),(48,13,0,0.00,'fixed',1),(49,2,0,0.00,'fixed',1),(49,3,0,0.00,'fixed',1),(49,9,0,0.00,'fixed',1),(49,13,0,0.00,'fixed',1),(49,18,0,0.00,'fixed',1),(50,1,0,0.00,'fixed',1),(50,2,0,0.00,'fixed',1),(50,18,0,0.00,'fixed',1),(50,19,0,0.00,'fixed',1),(51,3,0,0.00,'fixed',1),(51,7,0,0.00,'fixed',1),(51,16,0,0.00,'fixed',1),(51,17,0,0.00,'fixed',1),(51,18,0,0.00,'fixed',1),(51,19,0,0.00,'fixed',1),(52,3,0,0.00,'fixed',1),(52,4,0,0.00,'fixed',1),(52,10,0,0.00,'fixed',1),(52,15,0,0.00,'fixed',1),(52,18,0,0.00,'fixed',1),(53,1,0,0.00,'fixed',1),(53,2,0,0.00,'fixed',1),(53,3,0,0.00,'fixed',1),(53,5,0,0.00,'fixed',1),(53,7,0,0.00,'fixed',1),(53,13,0,0.00,'fixed',1),(53,18,0,0.00,'fixed',1),(54,1,0,0.00,'fixed',1),(54,2,0,0.00,'fixed',1),(54,5,0,0.00,'fixed',1),(54,6,0,0.00,'fixed',1),(54,7,0,0.00,'fixed',1),(54,10,0,0.00,'fixed',1),(55,1,0,0.00,'fixed',1),(55,4,0,0.00,'fixed',1),(55,10,0,0.00,'fixed',1),(55,11,0,0.00,'fixed',1),(55,12,0,0.00,'fixed',1),(55,17,0,0.00,'fixed',1),(55,18,0,0.00,'fixed',1),(56,3,0,0.00,'fixed',1),(56,6,0,0.00,'fixed',1),(56,8,0,0.00,'fixed',1),(56,10,0,0.00,'fixed',1),(56,16,0,0.00,'fixed',1),(56,17,0,0.00,'fixed',1),(56,18,0,0.00,'fixed',1),(57,6,0,0.00,'fixed',1),(57,8,0,0.00,'fixed',1),(57,10,0,0.00,'fixed',1),(57,15,0,0.00,'fixed',1),(57,16,0,0.00,'fixed',1),(58,5,0,0.00,'fixed',1),(58,9,0,0.00,'fixed',1),(58,11,0,0.00,'fixed',1),(58,15,0,0.00,'fixed',1),(58,17,0,0.00,'fixed',1),(59,2,0,0.00,'fixed',1),(59,7,0,0.00,'fixed',1),(59,9,0,0.00,'fixed',1),(59,11,0,0.00,'fixed',1),(59,14,0,0.00,'fixed',1),(59,15,0,0.00,'fixed',1),(59,18,0,0.00,'fixed',1),(60,1,0,0.00,'fixed',1),(60,2,0,0.00,'fixed',1),(60,3,0,0.00,'fixed',1),(60,5,0,0.00,'fixed',1),(60,16,0,0.00,'fixed',1),(60,17,0,0.00,'fixed',1),(60,18,0,0.00,'fixed',1),(61,1,0,0.00,'fixed',1),(61,2,0,0.00,'fixed',1),(61,3,0,0.00,'fixed',1),(61,6,0,0.00,'fixed',1),(61,9,0,0.00,'fixed',1),(61,16,0,0.00,'fixed',1),(62,8,0,0.00,'fixed',1),(62,10,0,0.00,'fixed',1),(62,12,0,0.00,'fixed',1),(62,14,0,0.00,'fixed',1),(62,17,0,0.00,'fixed',1),(63,12,0,0.00,'fixed',1),(63,13,0,0.00,'fixed',1),(63,14,0,0.00,'fixed',1),(63,15,0,0.00,'fixed',1),(63,19,0,0.00,'fixed',1),(64,1,0,0.00,'fixed',1),(64,9,0,0.00,'fixed',1),(64,12,0,0.00,'fixed',1),(64,14,0,0.00,'fixed',1),(64,16,0,0.00,'fixed',1),(64,17,0,0.00,'fixed',1),(65,4,0,0.00,'fixed',1),(65,11,0,0.00,'fixed',1),(65,12,0,0.00,'fixed',1),(65,13,0,0.00,'fixed',1),(65,14,0,0.00,'fixed',1),(65,17,0,0.00,'fixed',1);
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_files`
--

DROP TABLE IF EXISTS `ec_product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extras` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_files_product_id_index` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_files`
--

LOCK TABLES `ec_product_files` WRITE;
/*!40000 ALTER TABLE `ec_product_files` DISABLE KEYS */;
INSERT INTO `ec_product_files` VALUES (1,66,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:45\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:00:45','2024-08-10 00:00:45'),(2,67,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:45\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:00:45','2024-08-10 00:00:45'),(3,68,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(4,69,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(5,80,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(6,80,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(7,80,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(8,80,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(9,91,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(10,91,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(11,91,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(12,92,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(13,92,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(14,92,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(15,93,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(16,93,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(17,93,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(18,104,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(19,104,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(20,105,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(21,105,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(22,106,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(23,106,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(24,113,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(25,113,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(26,113,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(27,113,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(28,119,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(29,119,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(30,119,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(31,120,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(32,120,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(33,120,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(34,121,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(35,121,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(36,121,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(37,122,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(38,122,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(39,122,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(40,131,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(41,131,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(42,131,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(43,132,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(44,132,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(45,132,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(46,133,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(47,133,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(48,133,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(49,143,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(50,143,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(51,143,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(52,144,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(53,144,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(54,144,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(55,145,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(56,145,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(57,145,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(58,154,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(59,154,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(60,154,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(61,155,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(62,155,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(63,155,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(64,160,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(65,160,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(66,160,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(67,161,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(68,161,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(69,161,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(70,168,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(71,168,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(72,168,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(73,179,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(74,179,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(75,180,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(76,180,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:46\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:46','2024-08-10 00:00:46'),(77,190,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(78,190,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(79,190,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(80,197,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(81,197,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(82,198,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(83,198,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(84,205,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(85,205,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(86,206,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(87,206,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(88,207,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(89,207,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(90,216,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(91,216,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(92,217,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(93,217,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(94,229,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(95,229,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(96,229,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(97,230,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(98,230,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47'),(99,230,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:00:47\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-10 00:00:47','2024-08-10 00:00:47');
/*!40000 ALTER TABLE `ec_product_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_label_products`
--

DROP TABLE IF EXISTS `ec_product_label_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_label_products` (
  `product_label_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_label_id`,`product_id`),
  KEY `ec_product_label_products_product_label_id_index` (`product_label_id`),
  KEY `ec_product_label_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_label_products`
--

LOCK TABLES `ec_product_label_products` WRITE;
/*!40000 ALTER TABLE `ec_product_label_products` DISABLE KEYS */;
INSERT INTO `ec_product_label_products` VALUES (1,9),(1,12),(1,21),(1,33),(1,48),(1,63),(2,3),(2,6),(2,15),(2,24),(2,27),(2,30),(2,36),(2,39),(2,51),(2,54),(2,57),(3,18),(3,42),(3,45),(3,60);
/*!40000 ALTER TABLE `ec_product_label_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels`
--

DROP TABLE IF EXISTS `ec_product_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels`
--

LOCK TABLES `ec_product_labels` WRITE;
/*!40000 ALTER TABLE `ec_product_labels` DISABLE KEYS */;
INSERT INTO `ec_product_labels` VALUES (1,'Hot','#d71e2d','published','2024-08-10 00:00:00','2024-08-10 00:00:00'),(2,'New','#02856e','published','2024-08-10 00:00:00','2024-08-10 00:00:00'),(3,'Sale','#fe9931','published','2024-08-10 00:00:00','2024-08-10 00:00:00');
/*!40000 ALTER TABLE `ec_product_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels_translations`
--

DROP TABLE IF EXISTS `ec_product_labels_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_labels_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels_translations`
--

LOCK TABLES `ec_product_labels_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_labels_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_labels_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_related_relations`
--

DROP TABLE IF EXISTS `ec_product_related_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_related_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_related_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_related_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_related_relations`
--

LOCK TABLES `ec_product_related_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_related_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_related_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tag_product`
--

DROP TABLE IF EXISTS `ec_product_tag_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tag_product` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `ec_product_tag_product_product_id_index` (`product_id`),
  KEY `ec_product_tag_product_tag_id_index` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tag_product`
--

LOCK TABLES `ec_product_tag_product` WRITE;
/*!40000 ALTER TABLE `ec_product_tag_product` DISABLE KEYS */;
INSERT INTO `ec_product_tag_product` VALUES (1,3),(1,5),(1,6),(2,4),(2,5),(2,6),(3,2),(3,5),(4,1),(4,4),(5,3),(5,6),(6,1),(6,2),(6,4),(7,3),(8,1),(8,4),(8,5),(9,3),(9,4),(9,6),(10,4),(10,5),(11,2),(11,4),(11,5),(12,3),(12,5),(13,2),(13,4),(14,1),(14,2),(14,4),(15,2),(15,5),(15,6),(16,2),(16,3),(16,5),(17,3),(17,5),(18,1),(18,2),(19,2),(19,4),(19,6),(20,4),(20,6),(21,3),(21,5),(22,2),(22,4),(23,3),(23,4),(24,2),(24,5),(24,6),(25,4),(25,5),(26,2),(26,5),(27,1),(27,2),(27,5),(28,5),(28,6),(29,1),(29,5),(30,4),(30,5),(31,4),(31,6),(32,1),(32,5),(32,6),(33,1),(33,3),(33,4),(34,1),(34,2),(34,3),(35,1),(36,2),(36,3),(36,4),(37,1),(37,3),(38,2),(38,6),(39,3),(39,4),(39,6),(40,1),(40,2),(40,5),(41,1),(41,4),(42,1),(42,5),(43,2),(43,4),(44,2),(44,3),(44,5),(45,2),(45,6),(46,1),(46,3),(46,4),(47,2),(47,6),(48,3),(48,4),(48,5),(49,1),(49,4),(49,5),(50,2),(50,4),(50,6),(51,1),(51,4),(51,5),(52,3),(52,4),(53,4),(53,6),(54,1),(54,5),(55,3),(55,4),(56,1),(56,4),(56,5),(57,1),(57,4),(57,6),(58,2),(58,3),(58,6),(59,1),(59,4),(60,2),(60,6),(61,3),(61,5),(61,6),(62,2),(62,4),(62,6),(63,3),(63,4),(64,3),(64,4),(64,5),(65,1),(65,2),(65,3);
/*!40000 ALTER TABLE `ec_product_tag_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags`
--

DROP TABLE IF EXISTS `ec_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags`
--

LOCK TABLES `ec_product_tags` WRITE;
/*!40000 ALTER TABLE `ec_product_tags` DISABLE KEYS */;
INSERT INTO `ec_product_tags` VALUES (1,'Electronic',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47'),(2,'Mobile',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47'),(3,'Iphone',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47'),(4,'Printer',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47'),(5,'Office',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47'),(6,'IT',NULL,'published','2024-08-10 00:00:47','2024-08-10 00:00:47');
/*!40000 ALTER TABLE `ec_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags_translations`
--

DROP TABLE IF EXISTS `ec_product_tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags_translations`
--

LOCK TABLES `ec_product_tags_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_up_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_up_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_up_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_up_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_up_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_up_sale_relations`
--

LOCK TABLES `ec_product_up_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variation_items`
--

DROP TABLE IF EXISTS `ec_product_variation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variation_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variation_items_attribute_id_variation_id_unique` (`attribute_id`,`variation_id`),
  KEY `attribute_variation_index` (`attribute_id`,`variation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=331 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variation_items`
--

LOCK TABLES `ec_product_variation_items` WRITE;
/*!40000 ALTER TABLE `ec_product_variation_items` DISABLE KEYS */;
INSERT INTO `ec_product_variation_items` VALUES (3,1,2),(7,1,4),(11,1,6),(15,1,8),(31,1,16),(41,1,21),(57,1,29),(63,1,32),(69,1,35),(75,1,38),(77,1,39),(85,1,43),(103,1,52),(1,2,1),(13,2,7),(21,2,11),(53,2,27),(61,2,31),(87,2,44),(107,2,54),(113,2,57),(115,2,58),(23,3,12),(25,3,13),(27,3,14),(29,3,15),(35,3,18),(37,3,19),(43,3,22),(47,3,24),(59,3,30),(67,3,34),(73,3,37),(89,3,45),(105,3,53),(119,3,60),(123,3,62),(19,4,10),(33,4,17),(39,4,20),(45,4,23),(49,4,25),(51,4,26),(55,4,28),(65,4,33),(81,4,41),(91,4,46),(111,4,56),(121,4,61),(5,5,3),(9,5,5),(17,5,9),(71,5,36),(79,5,40),(83,5,42),(93,5,47),(95,5,48),(97,5,49),(99,5,50),(101,5,51),(109,5,55),(117,5,59),(2,6,1),(12,6,6),(16,6,8),(26,6,13),(30,6,15),(32,6,16),(44,6,22),(50,6,25),(52,6,26),(64,6,32),(74,6,37),(86,6,43),(88,6,44),(98,6,49),(118,6,59),(10,7,5),(18,7,9),(22,7,11),(34,7,17),(54,7,27),(78,7,39),(80,7,40),(94,7,47),(106,7,53),(112,7,56),(124,7,62),(28,8,14),(40,8,20),(46,8,23),(56,8,28),(58,8,29),(68,8,34),(70,8,35),(76,8,38),(82,8,41),(92,8,46),(96,8,48),(100,8,50),(122,8,61),(6,9,3),(36,9,18),(38,9,19),(42,9,21),(62,9,31),(102,9,51),(104,9,52),(108,9,54),(110,9,55),(114,9,57),(116,9,58),(4,10,2),(8,10,4),(14,10,7),(20,10,10),(24,10,12),(48,10,24),(60,10,30),(66,10,33),(72,10,36),(84,10,42),(90,10,45),(120,10,60),(125,11,63),(129,11,65),(149,11,75),(151,11,76),(157,11,79),(169,11,85),(197,11,99),(203,11,102),(205,11,103),(207,11,104),(217,11,109),(225,11,113),(229,11,115),(237,11,119),(243,11,122),(255,11,128),(257,11,129),(289,11,145),(295,11,148),(307,11,154),(313,11,157),(315,11,158),(319,11,160),(329,11,165),(133,12,67),(137,12,69),(145,12,73),(155,12,78),(161,12,81),(167,12,84),(173,12,87),(185,12,93),(189,12,95),(193,12,97),(211,12,106),(219,12,110),(223,12,112),(233,12,117),(235,12,118),(251,12,126),(253,12,127),(273,12,137),(301,12,151),(303,12,152),(311,12,156),(317,12,159),(127,13,64),(139,13,70),(143,13,72),(171,13,86),(177,13,89),(187,13,94),(195,13,98),(209,13,105),(221,13,111),(231,13,116),(241,13,121),(259,13,130),(261,13,131),(275,13,138),(281,13,141),(283,13,142),(285,13,143),(305,13,153),(309,13,155),(321,13,161),(325,13,163),(327,13,164),(153,14,77),(159,14,80),(163,14,82),(165,14,83),(213,14,107),(227,14,114),(247,14,124),(265,14,133),(269,14,135),(271,14,136),(277,14,139),(279,14,140),(287,14,144),(297,14,149),(299,14,150),(131,15,66),(135,15,68),(141,15,71),(147,15,74),(175,15,88),(179,15,90),(181,15,91),(183,15,92),(191,15,96),(199,15,100),(201,15,101),(215,15,108),(239,15,120),(245,15,123),(249,15,125),(263,15,132),(267,15,134),(291,15,146),(293,15,147),(323,15,162),(148,16,74),(152,16,76),(160,16,80),(164,16,82),(166,16,83),(184,16,92),(210,16,105),(224,16,112),(240,16,120),(244,16,122),(254,16,127),(256,16,128),(264,16,132),(284,16,142),(308,16,154),(312,16,156),(314,16,157),(128,17,64),(134,17,67),(156,17,78),(168,17,84),(176,17,88),(186,17,93),(204,17,102),(208,17,104),(214,17,107),(236,17,118),(242,17,121),(266,17,133),(276,17,138),(278,17,139),(306,17,153),(174,18,87),(182,18,91),(194,18,97),(202,18,101),(212,18,106),(230,18,115),(232,18,116),(268,18,134),(270,18,135),(274,18,137),(288,18,144),(318,18,159),(326,18,163),(126,19,63),(130,19,65),(138,19,69),(140,19,70),(142,19,71),(150,19,75),(162,19,81),(178,19,89),(190,19,95),(196,19,98),(198,19,99),(222,19,111),(228,19,114),(234,19,117),(246,19,123),(248,19,124),(260,19,130),(262,19,131),(282,19,141),(290,19,145),(292,19,146),(298,19,149),(300,19,150),(316,19,158),(322,19,161),(132,20,66),(136,20,68),(144,20,72),(146,20,73),(154,20,77),(158,20,79),(170,20,85),(172,20,86),(180,20,90),(188,20,94),(192,20,96),(200,20,100),(206,20,103),(216,20,108),(218,20,109),(220,20,110),(226,20,113),(238,20,119),(250,20,125),(252,20,126),(258,20,129),(272,20,136),(280,20,140),(286,20,143),(294,20,147),(296,20,148),(302,20,151),(304,20,152),(310,20,155),(320,20,160),(324,20,162),(328,20,164),(330,20,165);
/*!40000 ALTER TABLE `ec_product_variation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variations`
--

DROP TABLE IF EXISTS `ec_product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `configurable_product_id` bigint unsigned NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variations_product_id_configurable_product_id_unique` (`product_id`,`configurable_product_id`),
  KEY `configurable_product_index` (`product_id`,`configurable_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=166 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variations`
--

LOCK TABLES `ec_product_variations` WRITE;
/*!40000 ALTER TABLE `ec_product_variations` DISABLE KEYS */;
INSERT INTO `ec_product_variations` VALUES (1,66,1,1),(2,67,1,0),(3,68,1,0),(4,69,1,0),(5,70,2,1),(6,71,2,0),(7,72,2,0),(8,73,2,0),(9,74,2,0),(10,75,3,1),(11,76,3,0),(12,77,3,0),(13,78,4,1),(14,79,4,0),(15,80,5,1),(16,81,6,1),(17,82,6,0),(18,83,6,0),(19,84,7,1),(20,85,7,0),(21,86,7,0),(22,87,7,0),(23,88,8,1),(24,89,8,0),(25,90,8,0),(26,91,9,1),(27,92,9,0),(28,93,9,0),(29,94,10,1),(30,95,10,0),(31,96,10,0),(32,97,10,0),(33,98,11,1),(34,99,11,0),(35,100,11,0),(36,101,12,1),(37,102,12,0),(38,103,12,0),(39,104,13,1),(40,105,13,0),(41,106,13,0),(42,107,14,1),(43,108,14,0),(44,109,15,1),(45,110,15,0),(46,111,15,0),(47,112,16,1),(48,113,17,1),(49,114,18,1),(50,115,18,0),(51,116,19,1),(52,117,20,1),(53,118,20,0),(54,119,21,1),(55,120,21,0),(56,121,21,0),(57,122,21,0),(58,123,22,1),(59,124,23,1),(60,125,23,0),(61,126,23,0),(62,127,23,0),(63,128,24,1),(64,129,24,0),(65,130,24,0),(66,131,25,1),(67,132,25,0),(68,133,25,0),(69,134,26,1),(70,135,26,0),(71,136,26,0),(72,137,27,1),(73,138,28,1),(74,139,28,0),(75,140,28,0),(76,141,28,0),(77,142,28,0),(78,143,29,1),(79,144,29,0),(80,145,29,0),(81,146,30,1),(82,147,30,0),(83,148,31,1),(84,149,31,0),(85,150,31,0),(86,151,31,0),(87,152,32,1),(88,153,32,0),(89,154,33,1),(90,155,33,0),(91,156,34,1),(92,157,35,1),(93,158,35,0),(94,159,36,1),(95,160,37,1),(96,161,37,0),(97,162,38,1),(98,163,38,0),(99,164,39,1),(100,165,39,0),(101,166,40,1),(102,167,40,0),(103,168,41,1),(104,169,42,1),(105,170,42,0),(106,171,42,0),(107,172,42,0),(108,173,43,1),(109,174,43,0),(110,175,43,0),(111,176,43,0),(112,177,43,0),(113,178,44,1),(114,179,45,1),(115,180,45,0),(116,181,46,1),(117,182,46,0),(118,183,46,0),(119,184,47,1),(120,185,47,0),(121,186,47,0),(122,187,47,0),(123,188,48,1),(124,189,48,0),(125,190,49,1),(126,191,50,1),(127,192,51,1),(128,193,51,0),(129,194,51,0),(130,195,52,1),(131,196,52,0),(132,197,53,1),(133,198,53,0),(134,199,54,1),(135,200,55,1),(136,201,55,0),(137,202,56,1),(138,203,56,0),(139,204,56,0),(140,205,57,1),(141,206,57,0),(142,207,57,0),(143,208,58,1),(144,209,58,0),(145,210,58,0),(146,211,59,1),(147,212,60,1),(148,213,60,0),(149,214,60,0),(150,215,60,0),(151,216,61,1),(152,217,61,0),(153,218,62,1),(154,219,62,0),(155,220,62,0),(156,221,63,1),(157,222,63,0),(158,223,63,0),(159,224,63,0),(160,225,64,1),(161,226,64,0),(162,227,64,0),(163,228,64,0),(164,229,65,1),(165,230,65,0);
/*!40000 ALTER TABLE `ec_product_variations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_views`
--

DROP TABLE IF EXISTS `ec_product_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `views` int NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '2024-08-10',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_views_product_id_date_unique` (`product_id`,`date`),
  KEY `ec_product_views_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_views`
--

LOCK TABLES `ec_product_views` WRITE;
/*!40000 ALTER TABLE `ec_product_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_with_attribute_set`
--

DROP TABLE IF EXISTS `ec_product_with_attribute_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_with_attribute_set` (
  `attribute_set_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`attribute_set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_with_attribute_set`
--

LOCK TABLES `ec_product_with_attribute_set` WRITE;
/*!40000 ALTER TABLE `ec_product_with_attribute_set` DISABLE KEYS */;
INSERT INTO `ec_product_with_attribute_set` VALUES (1,1,0),(2,1,0),(1,2,0),(2,2,0),(1,3,0),(2,3,0),(1,4,0),(2,4,0),(1,5,0),(2,5,0),(1,6,0),(2,6,0),(1,7,0),(2,7,0),(1,8,0),(2,8,0),(1,9,0),(2,9,0),(1,10,0),(2,10,0),(1,11,0),(2,11,0),(1,12,0),(2,12,0),(1,13,0),(2,13,0),(1,14,0),(2,14,0),(1,15,0),(2,15,0),(1,16,0),(2,16,0),(1,17,0),(2,17,0),(1,18,0),(2,18,0),(1,19,0),(2,19,0),(1,20,0),(2,20,0),(1,21,0),(2,21,0),(1,22,0),(2,22,0),(1,23,0),(2,23,0),(3,24,0),(4,24,0),(3,25,0),(4,25,0),(3,26,0),(4,26,0),(3,27,0),(4,27,0),(3,28,0),(4,28,0),(3,29,0),(4,29,0),(3,30,0),(4,30,0),(3,31,0),(4,31,0),(3,32,0),(4,32,0),(3,33,0),(4,33,0),(3,34,0),(4,34,0),(3,35,0),(4,35,0),(3,36,0),(4,36,0),(3,37,0),(4,37,0),(3,38,0),(4,38,0),(3,39,0),(4,39,0),(3,40,0),(4,40,0),(3,41,0),(4,41,0),(3,42,0),(4,42,0),(3,43,0),(4,43,0),(3,44,0),(4,44,0),(3,45,0),(4,45,0),(3,46,0),(4,46,0),(3,47,0),(4,47,0),(3,48,0),(4,48,0),(3,49,0),(4,49,0),(3,50,0),(4,50,0),(3,51,0),(4,51,0),(3,52,0),(4,52,0),(3,53,0),(4,53,0),(3,54,0),(4,54,0),(3,55,0),(4,55,0),(3,56,0),(4,56,0),(3,57,0),(4,57,0),(3,58,0),(4,58,0),(3,59,0),(4,59,0),(3,60,0),(4,60,0),(3,61,0),(4,61,0),(3,62,0),(4,62,0),(3,63,0),(4,63,0),(3,64,0),(4,64,0),(3,65,0),(4,65,0);
/*!40000 ALTER TABLE `ec_product_with_attribute_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products`
--

DROP TABLE IF EXISTS `ec_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `images` text COLLATE utf8mb4_unicode_ci,
  `video_media` text COLLATE utf8mb4_unicode_ci,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `quantity` int unsigned DEFAULT NULL,
  `allow_checkout_when_out_of_stock` tinyint unsigned NOT NULL DEFAULT '0',
  `with_storehouse_management` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `brand_id` bigint unsigned DEFAULT NULL,
  `is_variation` tinyint NOT NULL DEFAULT '0',
  `sale_type` tinyint NOT NULL DEFAULT '0',
  `price` double unsigned DEFAULT NULL,
  `sale_price` double unsigned DEFAULT NULL,
  `start_date` timestamp NULL DEFAULT NULL,
  `end_date` timestamp NULL DEFAULT NULL,
  `length` double(8,2) DEFAULT NULL,
  `wide` double(8,2) DEFAULT NULL,
  `height` double(8,2) DEFAULT NULL,
  `weight` double(8,2) DEFAULT NULL,
  `tax_id` bigint unsigned DEFAULT NULL,
  `views` bigint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `stock_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'in_stock',
  `created_by_id` bigint unsigned DEFAULT '0',
  `created_by_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'physical',
  `barcode` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_per_item` double DEFAULT NULL,
  `generate_license_code` tinyint(1) NOT NULL DEFAULT '0',
  `minimum_order_quantity` int unsigned DEFAULT '0',
  `maximum_order_quantity` int unsigned DEFAULT '0',
  `notify_attachment_updated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ec_products_brand_id_status_is_variation_created_at_index` (`brand_id`,`status`,`is_variation`,`created_at`),
  KEY `sale_type_index` (`sale_type`),
  KEY `start_date_index` (`start_date`),
  KEY `end_date_index` (`end_date`),
  KEY `sale_price_index` (`sale_price`),
  KEY `is_variation_index` (`is_variation`),
  KEY `ec_products_sku_index` (`sku`)
) ENGINE=InnoDB AUTO_INCREMENT=231 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products`
--

LOCK TABLES `ec_products` WRITE;
/*!40000 ALTER TABLE `ec_products` DISABLE KEYS */;
INSERT INTO `ec_products` VALUES (1,'Dual Camera 20MP (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/1.jpg\"]',NULL,'SW-149-A0',0,12,0,1,1,1,0,0,80.25,NULL,NULL,NULL,11.00,17.00,14.00,575.00,NULL,62705,'2024-08-10 00:00:45','2024-08-10 00:00:45','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(2,'Smart Watches','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/2.jpg\",\"products\\/2-1.jpg\",\"products\\/2-2.jpg\",\"products\\/2-3.jpg\"]',NULL,'SW-101-A0',0,17,0,1,1,2,0,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,66169,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(3,'Beat Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/3.jpg\"]',NULL,'SW-151-A0',0,13,0,1,1,5,0,0,20,NULL,NULL,NULL,17.00,11.00,19.00,840.00,NULL,107102,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(4,'Red &amp; Black Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/4.jpg\",\"products\\/4-1.jpg\",\"products\\/4-2.jpg\",\"products\\/4-3.jpg\"]',NULL,'SW-142-A0',0,12,0,1,1,4,0,0,540,486,NULL,NULL,15.00,13.00,11.00,841.00,NULL,160977,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(5,'Smart Watch External (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/5.jpg\",\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/5-3.jpg\"]',NULL,'SW-177-A0',0,11,0,1,1,3,0,0,742,NULL,NULL,NULL,13.00,17.00,15.00,607.00,NULL,26241,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(6,'Nikon HD camera','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/6.jpg\"]',NULL,'SW-132-A0',0,16,0,1,1,1,0,0,481,NULL,NULL,NULL,19.00,18.00,11.00,787.00,NULL,87633,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(7,'Audio Equipment','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/7.jpg\"]',NULL,'SW-189-A0',0,18,0,1,1,2,0,0,531,NULL,NULL,NULL,20.00,10.00,14.00,706.00,NULL,148152,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(8,'Smart Televisions','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/8.jpg\",\"products\\/8-1.jpg\",\"products\\/8-2.jpg\",\"products\\/8-3.jpg\"]',NULL,'SW-160-A0',0,17,0,1,1,2,0,0,1137,989.19,NULL,NULL,12.00,15.00,13.00,829.00,NULL,104584,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(9,'Samsung Smart Phone (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/9.jpg\",\"products\\/9-1.jpg\",\"products\\/9-2.jpg\"]',NULL,'SW-124-A0',0,11,0,1,1,3,0,0,512,NULL,NULL,NULL,19.00,19.00,18.00,892.00,NULL,1735,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(10,'Herschel Leather Duffle Bag In Brown Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/10.jpg\",\"products\\/10-1.jpg\",\"products\\/10-2.jpg\"]',NULL,'SW-120-A0',0,11,0,1,0,1,0,0,1131,NULL,NULL,NULL,20.00,12.00,18.00,664.00,NULL,109915,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(11,'Xbox One Wireless Controller Black Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/11.jpg\",\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/11-3.jpg\"]',NULL,'SW-130-A0',0,18,0,1,0,4,0,0,1165,NULL,NULL,NULL,11.00,19.00,17.00,649.00,NULL,30806,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(12,'EPSION Plaster Printer','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/12.jpg\",\"products\\/12-1.jpg\",\"products\\/12-2.jpg\",\"products\\/12-3.jpg\"]',NULL,'SW-138-A0',0,15,0,1,0,5,0,0,555,394.05,NULL,NULL,12.00,17.00,11.00,646.00,NULL,34983,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(13,'Sound Intone I65 Earphone White Version (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/13.jpg\",\"products\\/13-1.jpg\"]',NULL,'SW-199-A0',0,10,0,1,0,1,0,0,572,NULL,NULL,NULL,17.00,12.00,11.00,624.00,NULL,194597,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(14,'B&amp;O Play Mini Bluetooth Speaker','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/14.jpg\"]',NULL,'SW-178-A0',0,15,0,1,0,3,0,0,574,NULL,NULL,NULL,13.00,16.00,13.00,752.00,NULL,149562,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(15,'Apple MacBook Air Retina 13.3-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/15.jpg\",\"products\\/15-1.jpg\"]',NULL,'SW-130-A0',0,10,0,1,0,3,0,0,523,NULL,NULL,NULL,12.00,10.00,18.00,643.00,NULL,27738,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(16,'Apple MacBook Air Retina 12-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/16.jpg\"]',NULL,'SW-188-A0',0,17,0,1,0,2,0,0,557,445.6,NULL,NULL,17.00,10.00,14.00,860.00,NULL,195568,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(17,'Samsung Gear VR Virtual Reality Headset (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/17.jpg\",\"products\\/17-1.jpg\",\"products\\/17-2.jpg\",\"products\\/17-3.jpg\"]',NULL,'SW-125-A0',0,14,0,1,0,2,0,0,542,NULL,NULL,NULL,11.00,18.00,10.00,505.00,NULL,43357,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(18,'Aveeno Moisturizing Body Shower 450ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/18.jpg\",\"products\\/18-1.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\"]',NULL,'SW-172-A0',0,19,0,1,0,4,0,0,1209,NULL,NULL,NULL,18.00,16.00,12.00,632.00,NULL,173003,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(19,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/19.jpg\",\"products\\/19-1.jpg\",\"products\\/19-2.jpg\",\"products\\/19-3.jpg\"]',NULL,'SW-189-A0',0,11,0,1,0,3,0,0,1001,NULL,NULL,NULL,20.00,14.00,12.00,619.00,NULL,150124,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(20,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/20.jpg\",\"products\\/20-1.jpg\",\"products\\/20-2.jpg\",\"products\\/20-3.jpg\"]',NULL,'SW-157-A0',0,14,0,1,0,2,0,0,788,559.48,NULL,NULL,18.00,18.00,12.00,665.00,NULL,96581,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(21,'MVMTH Classical Leather Watch In Black (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/21.jpg\",\"products\\/21-1.jpg\",\"products\\/21-2.jpg\"]',NULL,'SW-185-A0',0,19,0,1,0,1,0,0,745,NULL,NULL,NULL,12.00,13.00,15.00,525.00,NULL,171257,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(22,'Baxter Care Hair Kit For Bearded Mens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/22.jpg\",\"products\\/22-1.jpg\",\"products\\/22-2.jpg\",\"products\\/22-3.jpg\"]',NULL,'SW-115-A0',0,13,0,1,0,2,0,0,663,NULL,NULL,NULL,18.00,12.00,19.00,768.00,NULL,181278,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(23,'Ciate Palemore Lipstick Bold Red Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/23.jpg\",\"products\\/23-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\"]',NULL,'SW-162-A0',0,13,0,1,0,4,0,0,578,NULL,NULL,NULL,13.00,20.00,18.00,721.00,NULL,149036,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(24,'Vimto Squash Remix Apple 1.5 Litres','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/24.jpg\",\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]',NULL,'SW-155-A0',0,10,0,1,0,4,0,0,1243,1044.12,NULL,NULL,18.00,19.00,14.00,816.00,NULL,86702,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(25,'Crock Pot Slow Cooker (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/25.jpg\",\"products\\/25-1.jpg\",\"products\\/25-2.jpg\"]',NULL,'SW-179-A0',0,12,0,1,0,3,0,0,860,NULL,NULL,NULL,16.00,19.00,11.00,826.00,NULL,174784,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(26,'Taylors of Harrogate Yorkshire Coffee','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/26.jpg\",\"products\\/26-1.jpg\"]',NULL,'SW-122-A0',0,20,0,1,0,3,0,0,1099,NULL,NULL,NULL,10.00,11.00,17.00,615.00,NULL,197291,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(27,'Soft Mochi &amp; Galeto Ice Cream','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/27.jpg\",\"products\\/27-1.jpg\"]',NULL,'SW-165-A0',0,12,0,1,0,2,0,0,732,NULL,NULL,NULL,17.00,16.00,17.00,609.00,NULL,29097,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(28,'Naked Noodle Egg Noodles Singapore','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/28.jpg\",\"products\\/28-1.jpg\",\"products\\/28-2.jpg\"]',NULL,'SW-145-A0',0,14,0,1,0,4,0,0,699,524.25,NULL,NULL,15.00,13.00,19.00,813.00,NULL,163590,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(29,'Saute Pan Silver (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/29.jpg\",\"products\\/29-1.jpg\",\"products\\/29-2.jpg\"]',NULL,'SW-143-A0',0,16,0,1,0,3,0,0,848,NULL,NULL,NULL,11.00,15.00,17.00,758.00,NULL,24700,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(30,'Bar S – Classic Bun Length Franks','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/30.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]',NULL,'SW-187-A0',0,17,0,1,0,3,0,0,578,NULL,NULL,NULL,17.00,10.00,17.00,626.00,NULL,166249,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(31,'Broccoli Crowns','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/31.jpg\",\"products\\/31-1.jpg\"]',NULL,'SW-143-A0',0,11,0,1,0,2,0,0,1125,NULL,NULL,NULL,16.00,16.00,15.00,742.00,NULL,12420,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(32,'Slimming World Vegan Mac Greens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/32.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]',NULL,'SW-168-A0',0,13,0,1,0,3,0,0,904,750.32,NULL,NULL,17.00,11.00,12.00,829.00,NULL,94816,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(33,'Häagen-Dazs Salted Caramel (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/33.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]',NULL,'SW-180-A0',0,19,0,1,0,2,0,0,516,NULL,NULL,NULL,10.00,13.00,16.00,753.00,NULL,15087,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(34,'Iceland 3 Solo Exotic Burst','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/34.jpg\",\"products\\/34-1.jpg\"]',NULL,'SW-108-A0',0,15,0,1,0,4,0,0,1193,NULL,NULL,NULL,17.00,19.00,11.00,862.00,NULL,22924,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(35,'Extreme Budweiser Light Can','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/35.jpg\",\"products\\/35-1.jpg\"]',NULL,'SW-168-A0',0,20,0,1,0,3,0,0,1201,NULL,NULL,NULL,11.00,13.00,12.00,781.00,NULL,136689,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(36,'Iceland Macaroni Cheese Traybake','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/36.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]',NULL,'SW-151-A0',0,11,0,1,0,3,0,0,638,472.12,NULL,NULL,16.00,12.00,13.00,653.00,NULL,104961,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(37,'Dolmio Bolognese Pasta Sauce (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/37.jpg\",\"products\\/37-1.jpg\",\"products\\/37-2.jpg\"]',NULL,'SW-150-A0',0,17,0,1,0,5,0,0,549,NULL,NULL,NULL,10.00,14.00,14.00,504.00,NULL,79063,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(38,'Sitema BakeIT Plastic Box','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/38.jpg\",\"products\\/38-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,4,0,0,708,NULL,NULL,NULL,20.00,18.00,15.00,523.00,NULL,159521,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(39,'Wayfair Basics Dinner Plate Storage','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/39.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\"]',NULL,'SW-183-A0',0,20,0,1,0,5,0,0,745,NULL,NULL,NULL,12.00,18.00,16.00,637.00,NULL,84783,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(40,'Miko The Panda Water Bottle','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/40.jpg\",\"products\\/40-1.jpg\"]',NULL,'SW-108-A0',0,17,0,1,0,2,0,0,741,637.26,NULL,NULL,17.00,18.00,10.00,887.00,NULL,104404,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(41,'Sesame Seed Bread (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/41.jpg\",\"products\\/41-1.jpg\",\"products\\/41-2.jpg\"]',NULL,'SW-189-A0',0,13,0,1,0,5,0,0,852,NULL,NULL,NULL,13.00,19.00,15.00,707.00,NULL,78281,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(42,'Morrisons The Best Beef','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/42.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\"]',NULL,'SW-181-A0',0,14,0,1,0,4,0,0,781,NULL,NULL,NULL,18.00,20.00,12.00,876.00,NULL,77373,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(43,'Avocado, Hass Large','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/43.jpg\",\"products\\/43-1.jpg\",\"products\\/43-2.jpg\"]',NULL,'SW-109-A0',0,16,0,1,0,1,0,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,196544,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(44,'Italia Beef Lasagne','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/44.jpg\",\"products\\/44-1.jpg\",\"products\\/44-2.jpg\"]',NULL,'SW-165-A0',0,18,0,1,0,2,0,0,820,656,NULL,NULL,17.00,13.00,10.00,855.00,NULL,11007,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(45,'Maxwell House Classic Roast Mocha (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/45.jpg\",\"products\\/45-1.jpg\"]',NULL,'SW-178-A0',0,10,0,1,0,1,0,0,897,NULL,NULL,NULL,17.00,19.00,11.00,594.00,NULL,53709,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(46,'Bottled Pure Water 500ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/46.jpg\",\"products\\/46-1.jpg\"]',NULL,'SW-198-A0',0,17,0,1,0,2,0,0,1267,NULL,NULL,NULL,12.00,13.00,15.00,879.00,NULL,12776,'2024-08-10 00:00:45','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(47,'Famart Farmhouse Soft White','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/47.jpg\",\"products\\/47-1.jpg\"]',NULL,'SW-105-A0',0,13,0,1,0,4,0,0,1175,NULL,NULL,NULL,20.00,13.00,13.00,668.00,NULL,175746,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(48,'Coca-Cola Original Taste','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/48.jpg\",\"products\\/48-1.jpg\",\"products\\/48-2.jpg\"]',NULL,'SW-108-A0',0,13,0,1,0,3,0,0,912,647.52,NULL,NULL,14.00,16.00,11.00,782.00,NULL,36582,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(49,'Casillero Diablo Cabernet Sauvignon (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/49.jpg\",\"products\\/49-1.jpg\",\"products\\/49-2.jpg\"]',NULL,'SW-166-A0',0,19,0,1,0,3,0,0,742,NULL,NULL,NULL,18.00,19.00,15.00,743.00,NULL,26349,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(50,'Arla Organic Free Range Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/50.jpg\",\"products\\/50-1.jpg\"]',NULL,'SW-116-A0',0,16,0,1,0,5,0,0,1098,NULL,NULL,NULL,20.00,20.00,13.00,856.00,NULL,170155,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(51,'Aptamil Follow On Baby Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0',0,13,0,1,0,1,0,0,776,NULL,NULL,NULL,16.00,14.00,14.00,751.00,NULL,99837,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(52,'Cuisinart Chef’S Classic Hard-Anodized','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/52.jpg\",\"products\\/52-1.jpg\",\"products\\/52-2.jpg\"]',NULL,'SW-165-A0',0,14,0,1,0,1,0,0,728,567.84,NULL,NULL,16.00,10.00,19.00,735.00,NULL,166648,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(53,'Corn, Yellow Sweet (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/53.jpg\",\"products\\/53-1.jpg\"]',NULL,'SW-116-A0',0,10,0,1,0,5,0,0,791,NULL,NULL,NULL,12.00,18.00,15.00,560.00,NULL,79782,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(54,'Hobnobs The Nobbly Biscuit','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/54.jpg\",\"products\\/54-1.jpg\"]',NULL,'SW-131-A0',0,13,0,1,0,3,0,0,1060,NULL,NULL,NULL,20.00,15.00,11.00,831.00,NULL,3592,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(55,'Honest Organic Still Lemonade','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/55.jpg\",\"products\\/55-1.jpg\",\"products\\/55-2.jpg\"]',NULL,'SW-187-A0',0,16,0,1,0,3,0,0,985,NULL,NULL,NULL,13.00,12.00,11.00,599.00,NULL,20395,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(56,'Ice Beck’s Beer 350ml x 24 Pieces','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/56.jpg\",\"products\\/56-1.jpg\",\"products\\/56-2.jpg\"]',NULL,'SW-188-A0',0,14,0,1,0,2,0,0,692,581.28,NULL,NULL,18.00,19.00,17.00,546.00,NULL,109520,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(57,'Iceland 6 Hot Cross Buns (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/57.jpg\",\"products\\/57-1.jpg\"]',NULL,'SW-120-A0',0,18,0,1,0,5,0,0,618,NULL,NULL,NULL,13.00,10.00,14.00,780.00,NULL,132361,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(58,'Iceland Luxury 4 Panini Rolls','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/58.jpg\",\"products\\/58-1.jpg\",\"products\\/58-2.jpg\"]',NULL,'SW-188-A0',0,16,0,1,0,2,0,0,1010,NULL,NULL,NULL,10.00,14.00,11.00,601.00,NULL,61164,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(59,'Iceland Soft Scoop Vanilla','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/59.jpg\",\"products\\/59-1.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\"]',NULL,'SW-136-A0',0,12,0,1,0,4,0,0,1050,NULL,NULL,NULL,12.00,15.00,11.00,580.00,NULL,152852,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(60,'Iceland Spaghetti Bolognese','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/60.jpg\",\"products\\/60-1.jpg\",\"products\\/60-2.jpg\"]',NULL,'SW-173-A0',0,17,0,1,0,5,0,0,1085,846.3,NULL,NULL,18.00,10.00,15.00,570.00,NULL,65594,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(61,'Kellogg’s Coco Pops Cereal (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/61.jpg\",\"products\\/61-1.jpg\"]',NULL,'SW-150-A0',0,10,0,1,0,2,0,0,509,NULL,NULL,NULL,18.00,13.00,19.00,692.00,NULL,129006,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(62,'Kit Kat Chunky Milk Chocolate','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/62.jpg\",\"products\\/62-1.jpg\"]',NULL,'SW-168-A0',0,18,0,1,0,4,0,0,662,NULL,NULL,NULL,15.00,12.00,13.00,531.00,NULL,158543,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(63,'Large Green Bell Pepper','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/63.jpg\",\"products\\/63-1.jpg\"]',NULL,'SW-121-A0',0,13,0,1,0,3,0,0,914,NULL,NULL,NULL,12.00,17.00,19.00,691.00,NULL,184755,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(64,'Pice 94w Beasley Journal','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/64.jpg\",\"products\\/64-1.jpg\"]',NULL,'SW-105-A0',0,17,0,1,0,1,0,0,529,370.3,NULL,NULL,12.00,10.00,13.00,820.00,NULL,166922,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(65,'Province Piece Glass Drinking Glass (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/65.jpg\",\"products\\/65-1.jpg\",\"products\\/65-2.jpg\"]',NULL,'SW-129-A0',0,16,0,1,0,5,0,0,605,NULL,NULL,NULL,18.00,11.00,11.00,836.00,NULL,99895,'2024-08-10 00:00:45','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(66,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-149-A0',0,12,0,1,0,1,1,0,80.25,NULL,NULL,NULL,11.00,17.00,14.00,575.00,NULL,0,'2024-08-10 00:00:45','2024-08-10 00:00:45','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(67,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-149-A0-A1',0,12,0,1,0,1,1,0,80.25,NULL,NULL,NULL,11.00,17.00,14.00,575.00,NULL,0,'2024-08-10 00:00:45','2024-08-10 00:00:45','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(68,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-149-A0-A2',0,12,0,1,0,1,1,0,80.25,NULL,NULL,NULL,11.00,17.00,14.00,575.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(69,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-149-A0-A3',0,12,0,1,0,1,1,0,80.25,NULL,NULL,NULL,11.00,17.00,14.00,575.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(70,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]',NULL,'SW-101-A0',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(71,'Smart Watches',NULL,NULL,'published','[\"products\\/2-1.jpg\"]',NULL,'SW-101-A0-A1',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(72,'Smart Watches',NULL,NULL,'published','[\"products\\/2-2.jpg\"]',NULL,'SW-101-A0-A2',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(73,'Smart Watches',NULL,NULL,'published','[\"products\\/2-3.jpg\"]',NULL,'SW-101-A0-A3',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(74,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]',NULL,'SW-101-A0-A4',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,14.00,14.00,17.00,838.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(75,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-151-A0',0,13,0,1,0,5,1,0,20,NULL,NULL,NULL,17.00,11.00,19.00,840.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(76,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-151-A0-A1',0,13,0,1,0,5,1,0,20,NULL,NULL,NULL,17.00,11.00,19.00,840.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(77,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-151-A0-A2',0,13,0,1,0,5,1,0,20,NULL,NULL,NULL,17.00,11.00,19.00,840.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(78,'Red & Black Headphone',NULL,NULL,'published','[\"products\\/4.jpg\"]',NULL,'SW-142-A0',0,12,0,1,0,4,1,0,540,486,NULL,NULL,15.00,13.00,11.00,841.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(79,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-1.jpg\"]',NULL,'SW-142-A0-A1',0,12,0,1,0,4,1,0,540,383.4,NULL,NULL,15.00,13.00,11.00,841.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(80,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5.jpg\"]',NULL,'SW-177-A0',0,11,0,1,0,3,1,0,742,NULL,NULL,NULL,13.00,17.00,15.00,607.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(81,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-132-A0',0,16,0,1,0,1,1,0,481,NULL,NULL,NULL,19.00,18.00,11.00,787.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(82,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-132-A0-A1',0,16,0,1,0,1,1,0,481,NULL,NULL,NULL,19.00,18.00,11.00,787.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(83,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-132-A0-A2',0,16,0,1,0,1,1,0,481,NULL,NULL,NULL,19.00,18.00,11.00,787.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(84,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-189-A0',0,18,0,1,0,2,1,0,531,NULL,NULL,NULL,20.00,10.00,14.00,706.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(85,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-189-A0-A1',0,18,0,1,0,2,1,0,531,NULL,NULL,NULL,20.00,10.00,14.00,706.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(86,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-189-A0-A2',0,18,0,1,0,2,1,0,531,NULL,NULL,NULL,20.00,10.00,14.00,706.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(87,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-189-A0-A3',0,18,0,1,0,2,1,0,531,NULL,NULL,NULL,20.00,10.00,14.00,706.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(88,'Smart Televisions',NULL,NULL,'published','[\"products\\/8.jpg\"]',NULL,'SW-160-A0',0,17,0,1,0,2,1,0,1137,989.19,NULL,NULL,12.00,15.00,13.00,829.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(89,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-1.jpg\"]',NULL,'SW-160-A0-A1',0,17,0,1,0,2,1,0,1137,909.6,NULL,NULL,12.00,15.00,13.00,829.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(90,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-2.jpg\"]',NULL,'SW-160-A0-A2',0,17,0,1,0,2,1,0,1137,830.01,NULL,NULL,12.00,15.00,13.00,829.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(91,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9.jpg\"]',NULL,'SW-124-A0',0,11,0,1,0,3,1,0,512,NULL,NULL,NULL,19.00,19.00,18.00,892.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(92,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-1.jpg\"]',NULL,'SW-124-A0-A1',0,11,0,1,0,3,1,0,512,NULL,NULL,NULL,19.00,19.00,18.00,892.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(93,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-2.jpg\"]',NULL,'SW-124-A0-A2',0,11,0,1,0,3,1,0,512,NULL,NULL,NULL,19.00,19.00,18.00,892.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(94,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-120-A0',0,11,0,1,0,1,1,0,1131,NULL,NULL,NULL,20.00,12.00,18.00,664.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(95,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-1.jpg\"]',NULL,'SW-120-A0-A1',0,11,0,1,0,1,1,0,1131,NULL,NULL,NULL,20.00,12.00,18.00,664.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(96,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-2.jpg\"]',NULL,'SW-120-A0-A2',0,11,0,1,0,1,1,0,1131,NULL,NULL,NULL,20.00,12.00,18.00,664.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(97,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-120-A0-A3',0,11,0,1,0,1,1,0,1131,NULL,NULL,NULL,20.00,12.00,18.00,664.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(98,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11.jpg\"]',NULL,'SW-130-A0',0,18,0,1,0,4,1,0,1165,NULL,NULL,NULL,11.00,19.00,17.00,649.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(99,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-1.jpg\"]',NULL,'SW-130-A0-A1',0,18,0,1,0,4,1,0,1165,NULL,NULL,NULL,11.00,19.00,17.00,649.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(100,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-2.jpg\"]',NULL,'SW-130-A0-A2',0,18,0,1,0,4,1,0,1165,NULL,NULL,NULL,11.00,19.00,17.00,649.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(101,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]',NULL,'SW-138-A0',0,15,0,1,0,5,1,0,555,394.05,NULL,NULL,12.00,17.00,11.00,646.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(102,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-1.jpg\"]',NULL,'SW-138-A0-A1',0,15,0,1,0,5,1,0,555,444,NULL,NULL,12.00,17.00,11.00,646.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(103,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-2.jpg\"]',NULL,'SW-138-A0-A2',0,15,0,1,0,5,1,0,555,438.45,NULL,NULL,12.00,17.00,11.00,646.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(104,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-199-A0',0,10,0,1,0,1,1,0,572,NULL,NULL,NULL,17.00,12.00,11.00,624.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(105,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13-1.jpg\"]',NULL,'SW-199-A0-A1',0,10,0,1,0,1,1,0,572,NULL,NULL,NULL,17.00,12.00,11.00,624.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(106,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-199-A0-A2',0,10,0,1,0,1,1,0,572,NULL,NULL,NULL,17.00,12.00,11.00,624.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(107,'B&O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-178-A0',0,15,0,1,0,3,1,0,574,NULL,NULL,NULL,13.00,16.00,13.00,752.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(108,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-178-A0-A1',0,15,0,1,0,3,1,0,574,NULL,NULL,NULL,13.00,16.00,13.00,752.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(109,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-130-A0',0,10,0,1,0,3,1,0,523,NULL,NULL,NULL,12.00,10.00,18.00,643.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(110,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15-1.jpg\"]',NULL,'SW-130-A0-A1',0,10,0,1,0,3,1,0,523,NULL,NULL,NULL,12.00,10.00,18.00,643.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(111,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-130-A0-A2',0,10,0,1,0,3,1,0,523,NULL,NULL,NULL,12.00,10.00,18.00,643.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(112,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-188-A0',0,17,0,1,0,2,1,0,557,445.6,NULL,NULL,17.00,10.00,14.00,860.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(113,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17.jpg\"]',NULL,'SW-125-A0',0,14,0,1,0,2,1,0,542,NULL,NULL,NULL,11.00,18.00,10.00,505.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(114,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18.jpg\"]',NULL,'SW-172-A0',0,19,0,1,0,4,1,0,1209,NULL,NULL,NULL,18.00,16.00,12.00,632.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(115,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-1.jpg\"]',NULL,'SW-172-A0-A1',0,19,0,1,0,4,1,0,1209,NULL,NULL,NULL,18.00,16.00,12.00,632.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(116,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19.jpg\"]',NULL,'SW-189-A0',0,11,0,1,0,3,1,0,1001,NULL,NULL,NULL,20.00,14.00,12.00,619.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(117,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20.jpg\"]',NULL,'SW-157-A0',0,14,0,1,0,2,1,0,788,559.48,NULL,NULL,18.00,18.00,12.00,665.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(118,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20-1.jpg\"]',NULL,'SW-157-A0-A1',0,14,0,1,0,2,1,0,788,654.04,NULL,NULL,18.00,18.00,12.00,665.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(119,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-185-A0',0,19,0,1,0,1,1,0,745,NULL,NULL,NULL,12.00,13.00,15.00,525.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(120,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-1.jpg\"]',NULL,'SW-185-A0-A1',0,19,0,1,0,1,1,0,745,NULL,NULL,NULL,12.00,13.00,15.00,525.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(121,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-2.jpg\"]',NULL,'SW-185-A0-A2',0,19,0,1,0,1,1,0,745,NULL,NULL,NULL,12.00,13.00,15.00,525.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(122,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-185-A0-A3',0,19,0,1,0,1,1,0,745,NULL,NULL,NULL,12.00,13.00,15.00,525.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(123,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22.jpg\"]',NULL,'SW-115-A0',0,13,0,1,0,2,1,0,663,NULL,NULL,NULL,18.00,12.00,19.00,768.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(124,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23.jpg\"]',NULL,'SW-162-A0',0,13,0,1,0,4,1,0,578,NULL,NULL,NULL,13.00,20.00,18.00,721.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(125,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-1.jpg\"]',NULL,'SW-162-A0-A1',0,13,0,1,0,4,1,0,578,NULL,NULL,NULL,13.00,20.00,18.00,721.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(126,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-2.jpg\"]',NULL,'SW-162-A0-A2',0,13,0,1,0,4,1,0,578,NULL,NULL,NULL,13.00,20.00,18.00,721.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(127,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-3.jpg\"]',NULL,'SW-162-A0-A3',0,13,0,1,0,4,1,0,578,NULL,NULL,NULL,13.00,20.00,18.00,721.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(128,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24.jpg\"]',NULL,'SW-155-A0',0,10,0,1,0,4,1,0,1243,1044.12,NULL,NULL,18.00,19.00,14.00,816.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(129,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-1.jpg\"]',NULL,'SW-155-A0-A1',0,10,0,1,0,4,1,0,1243,907.39,NULL,NULL,18.00,19.00,14.00,816.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(130,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-2.jpg\"]',NULL,'SW-155-A0-A2',0,10,0,1,0,4,1,0,1243,1044.12,NULL,NULL,18.00,19.00,14.00,816.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(131,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-179-A0',0,12,0,1,0,3,1,0,860,NULL,NULL,NULL,16.00,19.00,11.00,826.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(132,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-1.jpg\"]',NULL,'SW-179-A0-A1',0,12,0,1,0,3,1,0,860,NULL,NULL,NULL,16.00,19.00,11.00,826.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(133,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-2.jpg\"]',NULL,'SW-179-A0-A2',0,12,0,1,0,3,1,0,860,NULL,NULL,NULL,16.00,19.00,11.00,826.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(134,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-122-A0',0,20,0,1,0,3,1,0,1099,NULL,NULL,NULL,10.00,11.00,17.00,615.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(135,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26-1.jpg\"]',NULL,'SW-122-A0-A1',0,20,0,1,0,3,1,0,1099,NULL,NULL,NULL,10.00,11.00,17.00,615.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(136,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-122-A0-A2',0,20,0,1,0,3,1,0,1099,NULL,NULL,NULL,10.00,11.00,17.00,615.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(137,'Soft Mochi & Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-165-A0',0,12,0,1,0,2,1,0,732,NULL,NULL,NULL,17.00,16.00,17.00,609.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(138,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-145-A0',0,14,0,1,0,4,1,0,699,524.25,NULL,NULL,15.00,13.00,19.00,813.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(139,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28-1.jpg\"]',NULL,'SW-145-A0-A1',0,14,0,1,0,4,1,0,699,566.19,NULL,NULL,15.00,13.00,19.00,813.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(140,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28-2.jpg\"]',NULL,'SW-145-A0-A2',0,14,0,1,0,4,1,0,699,524.25,NULL,NULL,15.00,13.00,19.00,813.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(141,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-145-A0-A3',0,14,0,1,0,4,1,0,699,545.22,NULL,NULL,15.00,13.00,19.00,813.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(142,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-145-A0-A4',0,14,0,1,0,4,1,0,699,517.26,NULL,NULL,15.00,13.00,19.00,813.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(143,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-143-A0',0,16,0,1,0,3,1,0,848,NULL,NULL,NULL,11.00,15.00,17.00,758.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(144,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-1.jpg\"]',NULL,'SW-143-A0-A1',0,16,0,1,0,3,1,0,848,NULL,NULL,NULL,11.00,15.00,17.00,758.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(145,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-2.jpg\"]',NULL,'SW-143-A0-A2',0,16,0,1,0,3,1,0,848,NULL,NULL,NULL,11.00,15.00,17.00,758.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(146,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-187-A0',0,17,0,1,0,3,1,0,578,NULL,NULL,NULL,17.00,10.00,17.00,626.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(147,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-1.jpg\"]',NULL,'SW-187-A0-A1',0,17,0,1,0,3,1,0,578,NULL,NULL,NULL,17.00,10.00,17.00,626.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(148,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-143-A0',0,11,0,1,0,2,1,0,1125,NULL,NULL,NULL,16.00,16.00,15.00,742.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(149,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31-1.jpg\"]',NULL,'SW-143-A0-A1',0,11,0,1,0,2,1,0,1125,NULL,NULL,NULL,16.00,16.00,15.00,742.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(150,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-143-A0-A2',0,11,0,1,0,2,1,0,1125,NULL,NULL,NULL,16.00,16.00,15.00,742.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(151,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-143-A0-A3',0,11,0,1,0,2,1,0,1125,NULL,NULL,NULL,16.00,16.00,15.00,742.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(152,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32.jpg\"]',NULL,'SW-168-A0',0,13,0,1,0,3,1,0,904,750.32,NULL,NULL,17.00,11.00,12.00,829.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(153,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32-1.jpg\"]',NULL,'SW-168-A0-A1',0,13,0,1,0,3,1,0,904,705.12,NULL,NULL,17.00,11.00,12.00,829.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(154,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33.jpg\"]',NULL,'SW-180-A0',0,19,0,1,0,2,1,0,516,NULL,NULL,NULL,10.00,13.00,16.00,753.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(155,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-1.jpg\"]',NULL,'SW-180-A0-A1',0,19,0,1,0,2,1,0,516,NULL,NULL,NULL,10.00,13.00,16.00,753.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(156,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-108-A0',0,15,0,1,0,4,1,0,1193,NULL,NULL,NULL,17.00,19.00,11.00,862.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(157,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-168-A0',0,20,0,1,0,3,1,0,1201,NULL,NULL,NULL,11.00,13.00,12.00,781.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(158,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35-1.jpg\"]',NULL,'SW-168-A0-A1',0,20,0,1,0,3,1,0,1201,NULL,NULL,NULL,11.00,13.00,12.00,781.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(159,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]',NULL,'SW-151-A0',0,11,0,1,0,3,1,0,638,472.12,NULL,NULL,16.00,12.00,13.00,653.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(160,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]',NULL,'SW-150-A0',0,17,0,1,0,5,1,0,549,NULL,NULL,NULL,10.00,14.00,14.00,504.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(161,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-1.jpg\"]',NULL,'SW-150-A0-A1',0,17,0,1,0,5,1,0,549,NULL,NULL,NULL,10.00,14.00,14.00,504.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(162,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,4,1,0,708,NULL,NULL,NULL,20.00,18.00,15.00,523.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(163,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-1.jpg\"]',NULL,'SW-171-A0-A1',0,17,0,1,0,4,1,0,708,NULL,NULL,NULL,20.00,18.00,15.00,523.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(164,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]',NULL,'SW-183-A0',0,20,0,1,0,5,1,0,745,NULL,NULL,NULL,12.00,18.00,16.00,637.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(165,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-1.jpg\"]',NULL,'SW-183-A0-A1',0,20,0,1,0,5,1,0,745,NULL,NULL,NULL,12.00,18.00,16.00,637.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(166,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-108-A0',0,17,0,1,0,2,1,0,741,637.26,NULL,NULL,17.00,18.00,10.00,887.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(167,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40-1.jpg\"]',NULL,'SW-108-A0-A1',0,17,0,1,0,2,1,0,741,570.57,NULL,NULL,17.00,18.00,10.00,887.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(168,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]',NULL,'SW-189-A0',0,13,0,1,0,5,1,0,852,NULL,NULL,NULL,13.00,19.00,15.00,707.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(169,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]',NULL,'SW-181-A0',0,14,0,1,0,4,1,0,781,NULL,NULL,NULL,18.00,20.00,12.00,876.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(170,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-1.jpg\"]',NULL,'SW-181-A0-A1',0,14,0,1,0,4,1,0,781,NULL,NULL,NULL,18.00,20.00,12.00,876.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(171,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-2.jpg\"]',NULL,'SW-181-A0-A2',0,14,0,1,0,4,1,0,781,NULL,NULL,NULL,18.00,20.00,12.00,876.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(172,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]',NULL,'SW-181-A0-A3',0,14,0,1,0,4,1,0,781,NULL,NULL,NULL,18.00,20.00,12.00,876.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(173,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-109-A0',0,16,0,1,0,1,1,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(174,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-1.jpg\"]',NULL,'SW-109-A0-A1',0,16,0,1,0,1,1,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(175,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-2.jpg\"]',NULL,'SW-109-A0-A2',0,16,0,1,0,1,1,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(176,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-109-A0-A3',0,16,0,1,0,1,1,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(177,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-109-A0-A4',0,16,0,1,0,1,1,0,1175,NULL,NULL,NULL,12.00,18.00,17.00,882.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(178,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]',NULL,'SW-165-A0',0,18,0,1,0,2,1,0,820,656,NULL,NULL,17.00,13.00,10.00,855.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(179,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-178-A0',0,10,0,1,0,1,1,0,897,NULL,NULL,NULL,17.00,19.00,11.00,594.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(180,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45-1.jpg\"]',NULL,'SW-178-A0-A1',0,10,0,1,0,1,1,0,897,NULL,NULL,NULL,17.00,19.00,11.00,594.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(181,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-198-A0',0,17,0,1,0,2,1,0,1267,NULL,NULL,NULL,12.00,13.00,15.00,879.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(182,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46-1.jpg\"]',NULL,'SW-198-A0-A1',0,17,0,1,0,2,1,0,1267,NULL,NULL,NULL,12.00,13.00,15.00,879.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(183,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-198-A0-A2',0,17,0,1,0,2,1,0,1267,NULL,NULL,NULL,12.00,13.00,15.00,879.00,NULL,0,'2024-08-10 00:00:46','2024-08-10 00:00:46','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(184,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-105-A0',0,13,0,1,0,4,1,0,1175,NULL,NULL,NULL,20.00,13.00,13.00,668.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(185,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47-1.jpg\"]',NULL,'SW-105-A0-A1',0,13,0,1,0,4,1,0,1175,NULL,NULL,NULL,20.00,13.00,13.00,668.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(186,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-105-A0-A2',0,13,0,1,0,4,1,0,1175,NULL,NULL,NULL,20.00,13.00,13.00,668.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(187,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-105-A0-A3',0,13,0,1,0,4,1,0,1175,NULL,NULL,NULL,20.00,13.00,13.00,668.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(188,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48.jpg\"]',NULL,'SW-108-A0',0,13,0,1,0,3,1,0,912,647.52,NULL,NULL,14.00,16.00,11.00,782.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(189,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-1.jpg\"]',NULL,'SW-108-A0-A1',0,13,0,1,0,3,1,0,912,720.48,NULL,NULL,14.00,16.00,11.00,782.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(190,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49.jpg\"]',NULL,'SW-166-A0',0,19,0,1,0,3,1,0,742,NULL,NULL,NULL,18.00,19.00,15.00,743.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(191,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]',NULL,'SW-116-A0',0,16,0,1,0,5,1,0,1098,NULL,NULL,NULL,20.00,20.00,13.00,856.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(192,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0',0,13,0,1,0,1,1,0,776,NULL,NULL,NULL,16.00,14.00,14.00,751.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(193,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0-A1',0,13,0,1,0,1,1,0,776,NULL,NULL,NULL,16.00,14.00,14.00,751.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(194,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0-A2',0,13,0,1,0,1,1,0,776,NULL,NULL,NULL,16.00,14.00,14.00,751.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(195,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]',NULL,'SW-165-A0',0,14,0,1,0,1,1,0,728,567.84,NULL,NULL,16.00,10.00,19.00,735.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(196,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-1.jpg\"]',NULL,'SW-165-A0-A1',0,14,0,1,0,1,1,0,728,655.2,NULL,NULL,16.00,10.00,19.00,735.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(197,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-116-A0',0,10,0,1,0,5,1,0,791,NULL,NULL,NULL,12.00,18.00,15.00,560.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(198,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53-1.jpg\"]',NULL,'SW-116-A0-A1',0,10,0,1,0,5,1,0,791,NULL,NULL,NULL,12.00,18.00,15.00,560.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(199,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]',NULL,'SW-131-A0',0,13,0,1,0,3,1,0,1060,NULL,NULL,NULL,20.00,15.00,11.00,831.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(200,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]',NULL,'SW-187-A0',0,16,0,1,0,3,1,0,985,NULL,NULL,NULL,13.00,12.00,11.00,599.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(201,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-1.jpg\"]',NULL,'SW-187-A0-A1',0,16,0,1,0,3,1,0,985,NULL,NULL,NULL,13.00,12.00,11.00,599.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(202,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]',NULL,'SW-188-A0',0,14,0,1,0,2,1,0,692,581.28,NULL,NULL,18.00,19.00,17.00,546.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(203,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-1.jpg\"]',NULL,'SW-188-A0-A1',0,14,0,1,0,2,1,0,692,581.28,NULL,NULL,18.00,19.00,17.00,546.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(204,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-2.jpg\"]',NULL,'SW-188-A0-A2',0,14,0,1,0,2,1,0,692,567.44,NULL,NULL,18.00,19.00,17.00,546.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(205,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-120-A0',0,18,0,1,0,5,1,0,618,NULL,NULL,NULL,13.00,10.00,14.00,780.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(206,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57-1.jpg\"]',NULL,'SW-120-A0-A1',0,18,0,1,0,5,1,0,618,NULL,NULL,NULL,13.00,10.00,14.00,780.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(207,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-120-A0-A2',0,18,0,1,0,5,1,0,618,NULL,NULL,NULL,13.00,10.00,14.00,780.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(208,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]',NULL,'SW-188-A0',0,16,0,1,0,2,1,0,1010,NULL,NULL,NULL,10.00,14.00,11.00,601.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(209,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-1.jpg\"]',NULL,'SW-188-A0-A1',0,16,0,1,0,2,1,0,1010,NULL,NULL,NULL,10.00,14.00,11.00,601.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(210,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-2.jpg\"]',NULL,'SW-188-A0-A2',0,16,0,1,0,2,1,0,1010,NULL,NULL,NULL,10.00,14.00,11.00,601.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(211,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59.jpg\"]',NULL,'SW-136-A0',0,12,0,1,0,4,1,0,1050,NULL,NULL,NULL,12.00,15.00,11.00,580.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(212,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]',NULL,'SW-173-A0',0,17,0,1,0,5,1,0,1085,846.3,NULL,NULL,18.00,10.00,15.00,570.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(213,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60-1.jpg\"]',NULL,'SW-173-A0-A1',0,17,0,1,0,5,1,0,1085,900.55,NULL,NULL,18.00,10.00,15.00,570.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(214,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60-2.jpg\"]',NULL,'SW-173-A0-A2',0,17,0,1,0,5,1,0,1085,889.7,NULL,NULL,18.00,10.00,15.00,570.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(215,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]',NULL,'SW-173-A0-A3',0,17,0,1,0,5,1,0,1085,770.35,NULL,NULL,18.00,10.00,15.00,570.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(216,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-150-A0',0,10,0,1,0,2,1,0,509,NULL,NULL,NULL,18.00,13.00,19.00,692.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(217,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61-1.jpg\"]',NULL,'SW-150-A0-A1',0,10,0,1,0,2,1,0,509,NULL,NULL,NULL,18.00,13.00,19.00,692.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(218,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]',NULL,'SW-168-A0',0,18,0,1,0,4,1,0,662,NULL,NULL,NULL,15.00,12.00,13.00,531.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(219,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62-1.jpg\"]',NULL,'SW-168-A0-A1',0,18,0,1,0,4,1,0,662,NULL,NULL,NULL,15.00,12.00,13.00,531.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(220,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]',NULL,'SW-168-A0-A2',0,18,0,1,0,4,1,0,662,NULL,NULL,NULL,15.00,12.00,13.00,531.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(221,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-121-A0',0,13,0,1,0,3,1,0,914,NULL,NULL,NULL,12.00,17.00,19.00,691.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(222,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63-1.jpg\"]',NULL,'SW-121-A0-A1',0,13,0,1,0,3,1,0,914,NULL,NULL,NULL,12.00,17.00,19.00,691.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(223,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-121-A0-A2',0,13,0,1,0,3,1,0,914,NULL,NULL,NULL,12.00,17.00,19.00,691.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(224,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-121-A0-A3',0,13,0,1,0,3,1,0,914,NULL,NULL,NULL,12.00,17.00,19.00,691.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(225,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-105-A0',0,17,0,1,0,1,1,0,529,370.3,NULL,NULL,12.00,10.00,13.00,820.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(226,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64-1.jpg\"]',NULL,'SW-105-A0-A1',0,17,0,1,0,1,1,0,529,449.65,NULL,NULL,12.00,10.00,13.00,820.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(227,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-105-A0-A2',0,17,0,1,0,1,1,0,529,470.81,NULL,NULL,12.00,10.00,13.00,820.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(228,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-105-A0-A3',0,17,0,1,0,1,1,0,529,375.59,NULL,NULL,12.00,10.00,13.00,820.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(229,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65.jpg\"]',NULL,'SW-129-A0',0,16,0,1,0,5,1,0,605,NULL,NULL,NULL,18.00,11.00,11.00,836.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(230,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-1.jpg\"]',NULL,'SW-129-A0-A1',0,16,0,1,0,5,1,0,605,NULL,NULL,NULL,18.00,11.00,11.00,836.00,NULL,0,'2024-08-10 00:00:47','2024-08-10 00:00:47','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0);
/*!40000 ALTER TABLE `ec_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products_translations`
--

DROP TABLE IF EXISTS `ec_products_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_products_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products_translations`
--

LOCK TABLES `ec_products_translations` WRITE;
/*!40000 ALTER TABLE `ec_products_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_products_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_review_replies`
--

DROP TABLE IF EXISTS `ec_review_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_review_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `review_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_review_replies_review_id_user_id_unique` (`review_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_review_replies`
--

LOCK TABLES `ec_review_replies` WRITE;
/*!40000 ALTER TABLE `ec_review_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_review_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_reviews`
--

DROP TABLE IF EXISTS `ec_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned DEFAULT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_id` bigint unsigned NOT NULL,
  `star` double(8,2) NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_reviews_product_id_customer_id_unique` (`product_id`,`customer_id`),
  KEY `ec_reviews_product_id_customer_id_status_created_at_index` (`product_id`,`customer_id`,`status`,`created_at`),
  KEY `review_relation_index` (`product_id`,`customer_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_reviews`
--

LOCK TABLES `ec_reviews` WRITE;
/*!40000 ALTER TABLE `ec_reviews` DISABLE KEYS */;
INSERT INTO `ec_reviews` VALUES (1,8,NULL,NULL,47,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-3.jpg\",\"products\\/24-2.jpg\"]'),(2,4,NULL,NULL,56,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-3.jpg\",\"products\\/19-3.jpg\",\"products\\/24-2.jpg\",\"products\\/42.jpg\"]'),(3,6,NULL,NULL,44,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-1.jpg\",\"products\\/32-2.jpg\",\"products\\/34.jpg\"]'),(4,2,NULL,NULL,39,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-3.jpg\",\"products\\/36-2.jpg\",\"products\\/40-1.jpg\"]'),(5,7,NULL,NULL,42,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-1.jpg\",\"products\\/49.jpg\"]'),(6,6,NULL,NULL,43,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/10-2.jpg\",\"products\\/39.jpg\"]'),(7,1,NULL,NULL,11,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/53-1.jpg\"]'),(8,5,NULL,NULL,45,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/52-1.jpg\",\"products\\/59-1.jpg\",\"products\\/63-1.jpg\"]'),(9,1,NULL,NULL,63,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/12.jpg\",\"products\\/26-1.jpg\",\"products\\/49-2.jpg\"]'),(10,3,NULL,NULL,46,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/20.jpg\",\"products\\/27.jpg\",\"products\\/63.jpg\"]'),(11,5,NULL,NULL,61,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/60.jpg\"]'),(12,7,NULL,NULL,1,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/58.jpg\"]'),(13,1,NULL,NULL,48,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29.jpg\",\"products\\/32-1.jpg\",\"products\\/47-1.jpg\"]'),(14,9,NULL,NULL,5,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/60.jpg\"]'),(15,6,NULL,NULL,30,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/12.jpg\",\"products\\/44-2.jpg\",\"products\\/60-1.jpg\"]'),(16,9,NULL,NULL,13,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\"]'),(17,7,NULL,NULL,37,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/12-2.jpg\",\"products\\/27.jpg\",\"products\\/28-2.jpg\"]'),(18,2,NULL,NULL,1,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-3.jpg\",\"products\\/58.jpg\"]'),(19,5,NULL,NULL,62,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29-2.jpg\",\"products\\/36-2.jpg\",\"products\\/44.jpg\"]'),(20,7,NULL,NULL,30,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15.jpg\"]'),(21,5,NULL,NULL,22,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/6.jpg\",\"products\\/9.jpg\",\"products\\/34.jpg\",\"products\\/58-1.jpg\"]'),(22,4,NULL,NULL,35,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/46-1.jpg\"]'),(23,3,NULL,NULL,51,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28.jpg\",\"products\\/58.jpg\"]'),(24,8,NULL,NULL,42,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27.jpg\",\"products\\/37.jpg\",\"products\\/56.jpg\"]'),(25,9,NULL,NULL,62,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15.jpg\",\"products\\/55-2.jpg\"]'),(26,4,NULL,NULL,44,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-3.jpg\",\"products\\/48-1.jpg\",\"products\\/56.jpg\",\"products\\/58-1.jpg\"]'),(27,2,NULL,NULL,13,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/49-2.jpg\",\"products\\/56-2.jpg\"]'),(28,5,NULL,NULL,42,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/39.jpg\",\"products\\/48-1.jpg\"]'),(29,6,NULL,NULL,3,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38.jpg\",\"products\\/48-2.jpg\"]'),(30,6,NULL,NULL,35,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-3.jpg\",\"products\\/22-3.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]'),(31,1,NULL,NULL,36,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-2.jpg\"]'),(32,7,NULL,NULL,6,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13.jpg\",\"products\\/52.jpg\"]'),(33,9,NULL,NULL,56,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/12-3.jpg\",\"products\\/17-2.jpg\",\"products\\/19.jpg\"]'),(34,5,NULL,NULL,64,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-3.jpg\",\"products\\/42-1.jpg\",\"products\\/56-1.jpg\"]'),(35,2,NULL,NULL,28,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\",\"products\\/48-1.jpg\"]'),(36,3,NULL,NULL,41,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12.jpg\"]'),(37,4,NULL,NULL,51,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/49-1.jpg\",\"products\\/52-1.jpg\"]'),(38,9,NULL,NULL,23,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\",\"products\\/57-1.jpg\"]'),(39,7,NULL,NULL,35,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/32-2.jpg\",\"products\\/55-1.jpg\"]'),(40,1,NULL,NULL,47,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-3.jpg\",\"products\\/29-1.jpg\",\"products\\/30-1.jpg\"]'),(41,5,NULL,NULL,16,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-2.jpg\"]'),(42,7,NULL,NULL,21,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/52-2.jpg\"]'),(43,5,NULL,NULL,53,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/44.jpg\",\"products\\/48.jpg\",\"products\\/57-1.jpg\",\"products\\/59-3.jpg\"]'),(44,7,NULL,NULL,25,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/7.jpg\",\"products\\/10.jpg\",\"products\\/28-2.jpg\"]'),(45,3,NULL,NULL,64,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/14.jpg\",\"products\\/55-1.jpg\"]'),(46,8,NULL,NULL,26,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/24-2.jpg\",\"products\\/41-2.jpg\",\"products\\/50-1.jpg\",\"products\\/64.jpg\"]'),(47,5,NULL,NULL,63,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/6.jpg\",\"products\\/35.jpg\",\"products\\/43.jpg\",\"products\\/56-2.jpg\"]'),(48,6,NULL,NULL,59,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/41-2.jpg\",\"products\\/52-2.jpg\"]'),(49,2,NULL,NULL,47,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/58-2.jpg\"]'),(50,8,NULL,NULL,46,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-1.jpg\",\"products\\/23-3.jpg\",\"products\\/58-2.jpg\"]'),(51,3,NULL,NULL,7,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/19-1.jpg\"]'),(52,7,NULL,NULL,62,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-1.jpg\",\"products\\/26-1.jpg\",\"products\\/55-1.jpg\",\"products\\/64-1.jpg\"]'),(53,9,NULL,NULL,63,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9.jpg\",\"products\\/17-3.jpg\",\"products\\/58-2.jpg\",\"products\\/59-3.jpg\"]'),(54,3,NULL,NULL,34,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-2.jpg\",\"products\\/8-2.jpg\"]'),(55,3,NULL,NULL,43,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-1.jpg\",\"products\\/25-2.jpg\",\"products\\/26.jpg\",\"products\\/49-1.jpg\"]'),(56,9,NULL,NULL,33,5.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28.jpg\"]'),(57,9,NULL,NULL,59,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/39.jpg\"]'),(58,1,NULL,NULL,4,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/65-1.jpg\"]'),(59,3,NULL,NULL,55,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-2.jpg\",\"products\\/60-2.jpg\",\"products\\/65-2.jpg\"]'),(60,1,NULL,NULL,24,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11.jpg\",\"products\\/27.jpg\"]'),(61,2,NULL,NULL,64,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-1.jpg\",\"products\\/47.jpg\"]'),(62,9,NULL,NULL,51,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\",\"products\\/23-3.jpg\",\"products\\/42.jpg\"]'),(64,1,NULL,NULL,3,2.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-2.jpg\",\"products\\/32-2.jpg\",\"products\\/36-1.jpg\",\"products\\/44.jpg\"]'),(65,6,NULL,NULL,7,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/28-2.jpg\",\"products\\/54-1.jpg\",\"products\\/59-1.jpg\"]'),(66,8,NULL,NULL,52,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/48-1.jpg\",\"products\\/59.jpg\",\"products\\/63.jpg\"]'),(67,8,NULL,NULL,2,3.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-2.jpg\",\"products\\/52.jpg\"]'),(68,7,NULL,NULL,29,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\",\"products\\/46-1.jpg\",\"products\\/48-1.jpg\"]'),(69,5,NULL,NULL,34,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\"]'),(70,8,NULL,NULL,34,5.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30-2.jpg\",\"products\\/39-1.jpg\",\"products\\/41-2.jpg\",\"products\\/55.jpg\"]'),(71,9,NULL,NULL,61,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/6.jpg\",\"products\\/32.jpg\",\"products\\/45.jpg\"]'),(72,3,NULL,NULL,35,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\",\"products\\/17-2.jpg\",\"products\\/41-2.jpg\",\"products\\/61-1.jpg\"]'),(73,7,NULL,NULL,58,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-3.jpg\",\"products\\/38-1.jpg\",\"products\\/42-1.jpg\",\"products\\/55.jpg\"]'),(74,7,NULL,NULL,19,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/22-3.jpg\",\"products\\/42.jpg\"]'),(75,5,NULL,NULL,1,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\",\"products\\/18-2.jpg\",\"products\\/36.jpg\"]'),(76,8,NULL,NULL,45,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\"]'),(77,6,NULL,NULL,65,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/8-3.jpg\"]'),(78,2,NULL,NULL,18,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/55.jpg\",\"products\\/60-1.jpg\"]'),(79,8,NULL,NULL,6,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/52-1.jpg\",\"products\\/59-1.jpg\"]'),(80,7,NULL,NULL,13,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/51.jpg\"]'),(81,9,NULL,NULL,7,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\"]'),(82,1,NULL,NULL,31,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-1.jpg\",\"products\\/38-2.jpg\",\"products\\/52-1.jpg\"]'),(84,8,NULL,NULL,43,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/34-1.jpg\",\"products\\/48-2.jpg\"]'),(85,3,NULL,NULL,3,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/43.jpg\"]'),(86,8,NULL,NULL,54,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/55-2.jpg\"]'),(87,8,NULL,NULL,59,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\",\"products\\/43.jpg\",\"products\\/58-1.jpg\"]'),(88,4,NULL,NULL,32,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/43-1.jpg\",\"products\\/60.jpg\"]'),(89,5,NULL,NULL,38,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29.jpg\",\"products\\/47-1.jpg\",\"products\\/53.jpg\",\"products\\/55-2.jpg\"]'),(90,8,NULL,NULL,63,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/10-1.jpg\",\"products\\/19-1.jpg\"]'),(92,6,NULL,NULL,63,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/19-2.jpg\",\"products\\/36-2.jpg\"]'),(93,2,NULL,NULL,65,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20.jpg\",\"products\\/21-1.jpg\",\"products\\/24-2.jpg\",\"products\\/65.jpg\"]'),(94,4,NULL,NULL,22,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21.jpg\",\"products\\/30-2.jpg\",\"products\\/55-2.jpg\",\"products\\/59-3.jpg\"]'),(95,2,NULL,NULL,10,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38.jpg\",\"products\\/55-2.jpg\"]'),(96,1,NULL,NULL,25,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/16.jpg\",\"products\\/56.jpg\"]'),(97,4,NULL,NULL,64,5.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/28-2.jpg\",\"products\\/29-2.jpg\"]'),(98,6,NULL,NULL,13,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-1.jpg\",\"products\\/45-1.jpg\"]'),(99,1,NULL,NULL,58,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\",\"products\\/36.jpg\",\"products\\/41.jpg\",\"products\\/65-2.jpg\"]'),(100,9,NULL,NULL,16,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/58.jpg\"]'),(101,7,NULL,NULL,10,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/21-2.jpg\",\"products\\/63.jpg\"]'),(102,8,NULL,NULL,65,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-2.jpg\",\"products\\/35.jpg\",\"products\\/51.jpg\",\"products\\/56-1.jpg\"]'),(103,1,NULL,NULL,44,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/39.jpg\",\"products\\/44-1.jpg\",\"products\\/57.jpg\",\"products\\/60-1.jpg\"]'),(104,1,NULL,NULL,42,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9.jpg\",\"products\\/39-1.jpg\"]'),(105,7,NULL,NULL,59,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-1.jpg\"]'),(106,8,NULL,NULL,51,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/62.jpg\"]'),(107,8,NULL,NULL,14,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/65.jpg\"]'),(108,9,NULL,NULL,31,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/55-2.jpg\"]'),(109,5,NULL,NULL,23,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15-1.jpg\",\"products\\/28-1.jpg\"]'),(110,3,NULL,NULL,32,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/21-1.jpg\",\"products\\/25.jpg\"]'),(111,7,NULL,NULL,23,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/8-3.jpg\",\"products\\/16.jpg\",\"products\\/59-2.jpg\"]'),(112,9,NULL,NULL,17,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/25-1.jpg\"]'),(113,2,NULL,NULL,9,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-2.jpg\",\"products\\/34.jpg\",\"products\\/36.jpg\"]'),(114,9,NULL,NULL,25,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/26-1.jpg\",\"products\\/59.jpg\",\"products\\/62-1.jpg\"]'),(115,1,NULL,NULL,35,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/43-1.jpg\",\"products\\/43-2.jpg\",\"products\\/55-1.jpg\",\"products\\/62.jpg\"]'),(116,8,NULL,NULL,32,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/20.jpg\",\"products\\/39.jpg\",\"products\\/56.jpg\"]'),(117,1,NULL,NULL,61,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/48.jpg\",\"products\\/58.jpg\"]'),(118,4,NULL,NULL,37,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15.jpg\",\"products\\/19-3.jpg\",\"products\\/36.jpg\"]'),(119,4,NULL,NULL,8,1.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-2.jpg\",\"products\\/28.jpg\",\"products\\/33.jpg\"]'),(120,3,NULL,NULL,65,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-2.jpg\",\"products\\/42-1.jpg\",\"products\\/44-2.jpg\",\"products\\/45.jpg\"]'),(121,9,NULL,NULL,26,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\",\"products\\/8-1.jpg\",\"products\\/61.jpg\"]'),(123,3,NULL,NULL,14,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-1.jpg\"]'),(124,9,NULL,NULL,42,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/65.jpg\"]'),(125,3,NULL,NULL,4,2.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/14.jpg\",\"products\\/30.jpg\",\"products\\/31-1.jpg\",\"products\\/51.jpg\"]'),(127,3,NULL,NULL,36,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/5-3.jpg\",\"products\\/17-2.jpg\",\"products\\/57.jpg\"]'),(128,5,NULL,NULL,26,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/40.jpg\",\"products\\/52-1.jpg\"]'),(129,5,NULL,NULL,4,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36.jpg\",\"products\\/53.jpg\",\"products\\/65-1.jpg\"]'),(130,4,NULL,NULL,5,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/32-1.jpg\",\"products\\/34-1.jpg\",\"products\\/35.jpg\"]'),(131,9,NULL,NULL,44,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33-2.jpg\",\"products\\/65-2.jpg\"]'),(133,2,NULL,NULL,24,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30.jpg\",\"products\\/40.jpg\"]'),(134,6,NULL,NULL,31,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/40.jpg\"]'),(136,9,NULL,NULL,29,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/44-2.jpg\"]'),(137,5,NULL,NULL,55,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15-1.jpg\",\"products\\/38.jpg\",\"products\\/52-1.jpg\"]'),(138,7,NULL,NULL,46,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/54-1.jpg\"]'),(139,1,NULL,NULL,62,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22.jpg\",\"products\\/62-1.jpg\"]'),(140,6,NULL,NULL,16,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30-2.jpg\",\"products\\/48-1.jpg\"]'),(141,7,NULL,NULL,12,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\"]'),(142,8,NULL,NULL,24,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/18-3.jpg\",\"products\\/46.jpg\",\"products\\/61.jpg\"]'),(143,3,NULL,NULL,13,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-1.jpg\",\"products\\/42-2.jpg\",\"products\\/58.jpg\"]'),(144,6,NULL,NULL,11,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28-1.jpg\",\"products\\/29-1.jpg\",\"products\\/35.jpg\",\"products\\/36-2.jpg\"]'),(146,4,NULL,NULL,19,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21.jpg\",\"products\\/36-2.jpg\",\"products\\/40-1.jpg\",\"products\\/43-2.jpg\"]'),(147,1,NULL,NULL,54,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21-1.jpg\",\"products\\/22.jpg\",\"products\\/47.jpg\"]'),(148,1,NULL,NULL,26,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-1.jpg\",\"products\\/20-3.jpg\",\"products\\/48-1.jpg\",\"products\\/63.jpg\"]'),(150,6,NULL,NULL,34,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-1.jpg\"]'),(151,2,NULL,NULL,42,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/54.jpg\",\"products\\/56-2.jpg\"]'),(152,5,NULL,NULL,65,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21-1.jpg\",\"products\\/32.jpg\",\"products\\/49.jpg\"]'),(154,6,NULL,NULL,61,1.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\",\"products\\/25-2.jpg\",\"products\\/36-1.jpg\",\"products\\/59-1.jpg\"]'),(155,8,NULL,NULL,38,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/56.jpg\"]'),(156,6,NULL,NULL,15,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17.jpg\"]'),(157,8,NULL,NULL,50,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/40-1.jpg\"]'),(158,5,NULL,NULL,27,2.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28-2.jpg\"]'),(161,1,NULL,NULL,7,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-1.jpg\"]'),(163,4,NULL,NULL,26,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33-1.jpg\",\"products\\/55-2.jpg\"]'),(164,1,NULL,NULL,51,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/60-1.jpg\"]'),(165,4,NULL,NULL,29,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/46.jpg\"]'),(166,2,NULL,NULL,50,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-1.jpg\",\"products\\/13.jpg\",\"products\\/19.jpg\",\"products\\/56.jpg\"]'),(167,1,NULL,NULL,41,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-2.jpg\",\"products\\/45-1.jpg\"]'),(168,5,NULL,NULL,46,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/26-1.jpg\",\"products\\/63.jpg\"]'),(169,4,NULL,NULL,50,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27-1.jpg\"]'),(170,3,NULL,NULL,18,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/48.jpg\",\"products\\/55-2.jpg\"]'),(171,1,NULL,NULL,2,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/21-2.jpg\",\"products\\/32.jpg\",\"products\\/38-1.jpg\"]'),(172,6,NULL,NULL,60,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/49.jpg\"]'),(173,3,NULL,NULL,57,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/35.jpg\"]'),(174,7,NULL,NULL,50,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-2.jpg\",\"products\\/40-1.jpg\",\"products\\/56.jpg\"]'),(175,8,NULL,NULL,23,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22.jpg\",\"products\\/52-1.jpg\"]'),(177,8,NULL,NULL,1,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17.jpg\"]'),(179,3,NULL,NULL,20,4.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/42.jpg\",\"products\\/58.jpg\"]'),(180,4,NULL,NULL,12,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/7.jpg\",\"products\\/12-1.jpg\",\"products\\/33-1.jpg\",\"products\\/53-1.jpg\"]'),(182,9,NULL,NULL,3,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/52.jpg\"]'),(184,1,NULL,NULL,12,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18.jpg\",\"products\\/21-2.jpg\",\"products\\/24.jpg\",\"products\\/54.jpg\"]'),(185,5,NULL,NULL,5,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\"]'),(186,4,NULL,NULL,42,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\"]'),(188,6,NULL,NULL,4,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/32-1.jpg\",\"products\\/37.jpg\",\"products\\/49-1.jpg\",\"products\\/53-1.jpg\"]'),(189,6,NULL,NULL,21,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/16.jpg\",\"products\\/25-1.jpg\",\"products\\/27.jpg\",\"products\\/32.jpg\"]'),(190,1,NULL,NULL,14,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-1.jpg\",\"products\\/22-2.jpg\",\"products\\/42-1.jpg\",\"products\\/48.jpg\"]'),(191,8,NULL,NULL,57,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-1.jpg\",\"products\\/42-1.jpg\"]'),(192,1,NULL,NULL,13,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-2.jpg\",\"products\\/35-1.jpg\"]'),(193,3,NULL,NULL,38,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/54.jpg\"]'),(196,2,NULL,NULL,4,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/35-1.jpg\",\"products\\/53.jpg\",\"products\\/65.jpg\"]'),(197,4,NULL,NULL,13,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/11-2.jpg\",\"products\\/17-1.jpg\",\"products\\/19-2.jpg\"]'),(203,1,NULL,NULL,1,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\",\"products\\/19-2.jpg\",\"products\\/20.jpg\"]'),(204,8,NULL,NULL,28,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/54.jpg\",\"products\\/59.jpg\"]'),(205,8,NULL,NULL,20,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/35.jpg\",\"products\\/47-1.jpg\",\"products\\/56.jpg\"]'),(206,9,NULL,NULL,64,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/37.jpg\",\"products\\/45-1.jpg\"]'),(207,3,NULL,NULL,39,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/40.jpg\"]'),(209,3,NULL,NULL,28,3.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-1.jpg\",\"products\\/19-3.jpg\",\"products\\/25-1.jpg\"]'),(210,8,NULL,NULL,44,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-1.jpg\"]'),(212,5,NULL,NULL,43,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20.jpg\",\"products\\/38-2.jpg\",\"products\\/59-2.jpg\"]'),(213,7,NULL,NULL,40,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/47.jpg\",\"products\\/64-1.jpg\"]'),(216,1,NULL,NULL,27,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/38-3.jpg\",\"products\\/60-1.jpg\"]'),(218,1,NULL,NULL,65,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/55-2.jpg\",\"products\\/56-2.jpg\",\"products\\/57.jpg\"]'),(219,3,NULL,NULL,22,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-3.jpg\",\"products\\/43.jpg\",\"products\\/49-1.jpg\",\"products\\/59-2.jpg\"]'),(220,4,NULL,NULL,65,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/60-2.jpg\"]'),(221,6,NULL,NULL,53,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/39.jpg\",\"products\\/40.jpg\"]'),(222,7,NULL,NULL,27,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/24-1.jpg\",\"products\\/43-1.jpg\"]'),(225,4,NULL,NULL,36,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30.jpg\"]'),(226,9,NULL,NULL,45,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/33-1.jpg\",\"products\\/65.jpg\"]'),(228,9,NULL,NULL,14,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9.jpg\",\"products\\/58-2.jpg\",\"products\\/59.jpg\"]'),(229,4,NULL,NULL,16,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-2.jpg\",\"products\\/25-2.jpg\"]'),(233,8,NULL,NULL,13,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-2.jpg\"]'),(234,2,NULL,NULL,46,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-3.jpg\",\"products\\/37-1.jpg\"]'),(236,4,NULL,NULL,54,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29-2.jpg\"]'),(239,9,NULL,NULL,30,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-1.jpg\",\"products\\/44.jpg\"]'),(243,6,NULL,NULL,25,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33-1.jpg\",\"products\\/53.jpg\",\"products\\/60.jpg\"]'),(244,9,NULL,NULL,39,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-2.jpg\"]'),(246,4,NULL,NULL,41,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/60-2.jpg\"]'),(250,2,NULL,NULL,3,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27.jpg\",\"products\\/32.jpg\",\"products\\/41.jpg\",\"products\\/60.jpg\"]'),(251,9,NULL,NULL,65,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-2.jpg\",\"products\\/56-1.jpg\"]'),(254,1,NULL,NULL,37,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/34-1.jpg\",\"products\\/49-2.jpg\"]'),(255,9,NULL,NULL,58,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\",\"products\\/24-2.jpg\",\"products\\/28-2.jpg\",\"products\\/57-1.jpg\"]'),(256,5,NULL,NULL,44,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-1.jpg\",\"products\\/20.jpg\",\"products\\/61.jpg\"]'),(257,6,NULL,NULL,28,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/56-1.jpg\"]'),(258,5,NULL,NULL,25,1.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13.jpg\",\"products\\/31.jpg\",\"products\\/32-1.jpg\"]'),(260,7,NULL,NULL,51,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/43-2.jpg\",\"products\\/46-1.jpg\",\"products\\/63-1.jpg\"]'),(264,9,NULL,NULL,60,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\",\"products\\/56-2.jpg\"]'),(265,4,NULL,NULL,47,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\"]'),(266,8,NULL,NULL,18,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/45.jpg\"]'),(267,1,NULL,NULL,6,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/32.jpg\",\"products\\/42-1.jpg\"]'),(268,7,NULL,NULL,5,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/50-1.jpg\",\"products\\/64-1.jpg\"]'),(269,1,NULL,NULL,28,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\",\"products\\/59-3.jpg\"]'),(273,8,NULL,NULL,15,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22.jpg\",\"products\\/30-2.jpg\",\"products\\/59-3.jpg\"]'),(274,5,NULL,NULL,50,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28-1.jpg\"]'),(275,1,NULL,NULL,15,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/55-2.jpg\"]'),(276,6,NULL,NULL,54,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/8-3.jpg\",\"products\\/24.jpg\",\"products\\/59.jpg\"]'),(279,3,NULL,NULL,25,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/11-2.jpg\",\"products\\/15.jpg\"]'),(280,7,NULL,NULL,9,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/59.jpg\"]'),(282,3,NULL,NULL,61,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/35.jpg\",\"products\\/36-1.jpg\",\"products\\/40-1.jpg\",\"products\\/60-1.jpg\"]'),(284,4,NULL,NULL,28,5.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/12.jpg\"]'),(285,7,NULL,NULL,7,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-3.jpg\",\"products\\/59.jpg\"]'),(286,4,NULL,NULL,21,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/42-2.jpg\",\"products\\/43-1.jpg\"]'),(288,3,NULL,NULL,9,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29-2.jpg\"]'),(289,3,NULL,NULL,59,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/45-1.jpg\"]'),(291,4,NULL,NULL,18,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\",\"products\\/22-3.jpg\",\"products\\/40.jpg\",\"products\\/62.jpg\"]'),(292,4,NULL,NULL,1,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/59-1.jpg\"]'),(294,4,NULL,NULL,17,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-2.jpg\",\"products\\/34-1.jpg\"]'),(297,6,NULL,NULL,62,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-3.jpg\",\"products\\/36.jpg\"]'),(298,7,NULL,NULL,34,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/30-2.jpg\"]'),(301,8,NULL,NULL,41,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/44-1.jpg\"]'),(303,2,NULL,NULL,7,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/11-3.jpg\",\"products\\/47-1.jpg\"]'),(304,9,NULL,NULL,21,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22.jpg\",\"products\\/35.jpg\",\"products\\/45-1.jpg\",\"products\\/52-1.jpg\"]'),(305,2,NULL,NULL,23,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/16.jpg\",\"products\\/41-2.jpg\",\"products\\/46.jpg\"]'),(307,7,NULL,NULL,65,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/6.jpg\",\"products\\/25-2.jpg\"]'),(309,7,NULL,NULL,3,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-1.jpg\",\"products\\/41-2.jpg\"]'),(311,5,NULL,NULL,37,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/26.jpg\",\"products\\/49-1.jpg\",\"products\\/63-1.jpg\"]'),(314,3,NULL,NULL,42,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\"]'),(316,3,NULL,NULL,52,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/51.jpg\"]'),(317,9,NULL,NULL,18,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/54.jpg\"]'),(318,9,NULL,NULL,11,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/36-2.jpg\"]'),(320,7,NULL,NULL,14,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/54.jpg\",\"products\\/57.jpg\"]'),(321,9,NULL,NULL,40,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5.jpg\",\"products\\/8-3.jpg\",\"products\\/25-1.jpg\",\"products\\/59-3.jpg\"]'),(323,2,NULL,NULL,37,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/65-1.jpg\"]'),(324,2,NULL,NULL,27,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27.jpg\",\"products\\/42.jpg\",\"products\\/65-1.jpg\"]'),(325,3,NULL,NULL,2,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\",\"products\\/32.jpg\",\"products\\/40-1.jpg\",\"products\\/55-2.jpg\"]'),(327,6,NULL,NULL,20,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/52.jpg\",\"products\\/53.jpg\"]'),(329,9,NULL,NULL,27,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15.jpg\",\"products\\/41-2.jpg\",\"products\\/52-1.jpg\",\"products\\/57-1.jpg\"]'),(333,8,NULL,NULL,39,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/20-1.jpg\"]'),(334,9,NULL,NULL,47,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/24-2.jpg\",\"products\\/40-1.jpg\"]'),(335,7,NULL,NULL,61,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\",\"products\\/14.jpg\",\"products\\/32.jpg\"]'),(338,3,NULL,NULL,29,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-1.jpg\",\"products\\/48-2.jpg\",\"products\\/63-1.jpg\"]'),(340,2,NULL,NULL,20,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/21-2.jpg\",\"products\\/65.jpg\"]'),(341,9,NULL,NULL,55,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/29-2.jpg\",\"products\\/44-1.jpg\",\"products\\/61.jpg\"]'),(342,1,NULL,NULL,45,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-3.jpg\",\"products\\/25-1.jpg\",\"products\\/27.jpg\",\"products\\/56.jpg\"]'),(343,8,NULL,NULL,4,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8.jpg\",\"products\\/36-2.jpg\"]'),(344,2,NULL,NULL,19,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/19-2.jpg\",\"products\\/25-2.jpg\",\"products\\/36.jpg\"]'),(347,3,NULL,NULL,58,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-3.jpg\",\"products\\/29-1.jpg\",\"products\\/57.jpg\"]'),(348,5,NULL,NULL,7,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-3.jpg\",\"products\\/39-2.jpg\"]'),(352,7,NULL,NULL,60,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/5.jpg\",\"products\\/12.jpg\",\"products\\/52.jpg\"]'),(353,1,NULL,NULL,39,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/32-1.jpg\"]'),(354,2,NULL,NULL,59,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/59-1.jpg\",\"products\\/61-1.jpg\"]'),(355,1,NULL,NULL,18,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/8.jpg\"]'),(357,1,NULL,NULL,50,5.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15-1.jpg\",\"products\\/16.jpg\",\"products\\/29-2.jpg\",\"products\\/48.jpg\"]'),(362,4,NULL,NULL,39,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31-1.jpg\",\"products\\/39-1.jpg\",\"products\\/44-1.jpg\",\"products\\/60-1.jpg\"]'),(367,8,NULL,NULL,12,1.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30.jpg\",\"products\\/38.jpg\",\"products\\/50.jpg\"]'),(368,6,NULL,NULL,48,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28-2.jpg\",\"products\\/57-1.jpg\",\"products\\/61.jpg\"]'),(370,8,NULL,NULL,9,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/59-2.jpg\"]'),(371,5,NULL,NULL,21,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-2.jpg\",\"products\\/53.jpg\"]'),(372,6,NULL,NULL,47,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/45.jpg\",\"products\\/61-1.jpg\",\"products\\/62-1.jpg\",\"products\\/64.jpg\"]'),(374,2,NULL,NULL,55,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\"]'),(376,5,NULL,NULL,60,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-2.jpg\",\"products\\/39.jpg\",\"products\\/48.jpg\"]'),(377,1,NULL,NULL,19,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15.jpg\",\"products\\/55-2.jpg\"]'),(378,1,NULL,NULL,60,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\",\"products\\/17-3.jpg\",\"products\\/65.jpg\"]'),(379,6,NULL,NULL,41,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-2.jpg\",\"products\\/19.jpg\"]'),(381,8,NULL,NULL,56,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-2.jpg\",\"products\\/47.jpg\",\"products\\/48-1.jpg\"]'),(382,2,NULL,NULL,51,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/13.jpg\",\"products\\/29-2.jpg\",\"products\\/38-3.jpg\"]'),(383,3,NULL,NULL,10,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-2.jpg\"]'),(384,1,NULL,NULL,55,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20-1.jpg\",\"products\\/20.jpg\"]'),(386,6,NULL,NULL,57,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/53-1.jpg\"]'),(391,5,NULL,NULL,12,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/14.jpg\",\"products\\/54-1.jpg\"]'),(392,8,NULL,NULL,22,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/56-1.jpg\",\"products\\/65.jpg\"]'),(393,2,NULL,NULL,58,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-2.jpg\",\"products\\/50.jpg\"]'),(395,8,NULL,NULL,60,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25.jpg\"]'),(399,2,NULL,NULL,21,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/13.jpg\",\"products\\/17-3.jpg\"]'),(401,9,NULL,NULL,36,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/34-1.jpg\",\"products\\/57.jpg\",\"products\\/58-2.jpg\"]'),(404,1,NULL,NULL,32,3.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23.jpg\",\"products\\/49.jpg\",\"products\\/59-2.jpg\"]'),(406,6,NULL,NULL,32,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/5.jpg\",\"products\\/40-1.jpg\",\"products\\/59-1.jpg\"]'),(407,9,NULL,NULL,10,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27-1.jpg\",\"products\\/55-2.jpg\"]'),(411,8,NULL,NULL,16,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10.jpg\"]'),(412,6,NULL,NULL,17,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/22.jpg\"]'),(413,7,NULL,NULL,63,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11.jpg\"]'),(415,4,NULL,NULL,10,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/7.jpg\",\"products\\/39-1.jpg\",\"products\\/54-1.jpg\"]'),(416,2,NULL,NULL,63,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/45.jpg\",\"products\\/63-1.jpg\"]'),(417,6,NULL,NULL,64,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/36-2.jpg\",\"products\\/41-2.jpg\",\"products\\/42-2.jpg\"]'),(418,3,NULL,NULL,19,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-3.jpg\",\"products\\/50.jpg\"]'),(420,8,NULL,NULL,7,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-2.jpg\",\"products\\/34.jpg\",\"products\\/59.jpg\",\"products\\/64-1.jpg\"]'),(423,9,NULL,NULL,9,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36.jpg\"]'),(429,5,NULL,NULL,33,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/35.jpg\",\"products\\/48-1.jpg\"]'),(430,7,NULL,NULL,39,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-1.jpg\",\"products\\/56.jpg\",\"products\\/60.jpg\"]'),(433,3,NULL,NULL,62,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/63.jpg\",\"products\\/64.jpg\"]'),(434,4,NULL,NULL,34,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-3.jpg\",\"products\\/43-2.jpg\",\"products\\/62.jpg\"]'),(439,3,NULL,NULL,11,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11.jpg\",\"products\\/33-2.jpg\",\"products\\/53-1.jpg\",\"products\\/62.jpg\"]'),(442,2,NULL,NULL,56,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/27-1.jpg\",\"products\\/53.jpg\"]'),(444,3,NULL,NULL,8,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31-1.jpg\"]'),(448,6,NULL,NULL,10,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/57-1.jpg\"]'),(449,2,NULL,NULL,45,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\",\"products\\/33-1.jpg\",\"products\\/39-2.jpg\",\"products\\/55-1.jpg\"]'),(450,1,NULL,NULL,46,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-2.jpg\",\"products\\/38-3.jpg\",\"products\\/50-1.jpg\"]'),(451,2,NULL,NULL,57,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/22.jpg\"]'),(454,7,NULL,NULL,49,1.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21.jpg\"]'),(455,3,NULL,NULL,21,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8.jpg\",\"products\\/55.jpg\",\"products\\/60-1.jpg\"]'),(456,5,NULL,NULL,14,1.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\",\"products\\/43-2.jpg\",\"products\\/43.jpg\",\"products\\/59.jpg\"]'),(459,5,NULL,NULL,41,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21-2.jpg\",\"products\\/38-3.jpg\",\"products\\/55-1.jpg\",\"products\\/56.jpg\"]'),(460,2,NULL,NULL,8,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/25-2.jpg\",\"products\\/56.jpg\",\"products\\/61.jpg\"]'),(461,7,NULL,NULL,26,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9.jpg\",\"products\\/17-2.jpg\",\"products\\/59-3.jpg\"]'),(462,9,NULL,NULL,38,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-3.jpg\",\"products\\/12-3.jpg\",\"products\\/29-2.jpg\"]'),(463,2,NULL,NULL,36,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-1.jpg\",\"products\\/34.jpg\",\"products\\/38-2.jpg\",\"products\\/49.jpg\"]'),(464,9,NULL,NULL,54,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/50.jpg\"]'),(465,7,NULL,NULL,48,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\"]'),(467,4,NULL,NULL,7,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-2.jpg\",\"products\\/41.jpg\"]'),(468,4,NULL,NULL,6,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29.jpg\"]'),(470,6,NULL,NULL,19,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/57-1.jpg\"]'),(471,6,NULL,NULL,36,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/43-2.jpg\",\"products\\/52-1.jpg\",\"products\\/56-1.jpg\"]'),(472,8,NULL,NULL,64,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/64.jpg\"]'),(474,8,NULL,NULL,49,3.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/5-3.jpg\",\"products\\/57-1.jpg\"]'),(478,7,NULL,NULL,15,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-3.jpg\",\"products\\/49-1.jpg\",\"products\\/54-1.jpg\",\"products\\/59-1.jpg\"]'),(480,5,NULL,NULL,48,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/50.jpg\",\"products\\/64.jpg\"]'),(482,1,NULL,NULL,10,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/40.jpg\",\"products\\/49-1.jpg\"]'),(483,3,NULL,NULL,37,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/16.jpg\",\"products\\/25-1.jpg\",\"products\\/42.jpg\",\"products\\/62.jpg\"]'),(484,9,NULL,NULL,24,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-1.jpg\",\"products\\/29-1.jpg\"]'),(485,5,NULL,NULL,57,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/22-3.jpg\",\"products\\/32-1.jpg\",\"products\\/40.jpg\"]'),(491,3,NULL,NULL,47,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-1.jpg\",\"products\\/16.jpg\",\"products\\/42-2.jpg\",\"products\\/60-2.jpg\"]'),(492,7,NULL,NULL,56,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25.jpg\",\"products\\/41-2.jpg\",\"products\\/53.jpg\"]'),(493,6,NULL,NULL,23,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28.jpg\",\"products\\/31.jpg\",\"products\\/45-1.jpg\",\"products\\/54-1.jpg\"]'),(494,8,NULL,NULL,62,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/14.jpg\",\"products\\/43-1.jpg\"]'),(497,4,NULL,NULL,53,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33-1.jpg\",\"products\\/48.jpg\"]'),(498,8,NULL,NULL,8,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/5-2.jpg\",\"products\\/30-1.jpg\",\"products\\/52.jpg\"]'),(503,5,NULL,NULL,30,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-2.jpg\",\"products\\/25-1.jpg\",\"products\\/46-1.jpg\",\"products\\/56.jpg\"]'),(506,4,NULL,NULL,27,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-1.jpg\"]'),(507,3,NULL,NULL,56,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/25.jpg\",\"products\\/50-1.jpg\"]'),(509,7,NULL,NULL,38,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\"]'),(510,3,NULL,NULL,63,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/48-2.jpg\"]'),(512,2,NULL,NULL,35,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/16.jpg\",\"products\\/18-1.jpg\",\"products\\/23-1.jpg\"]'),(515,6,NULL,NULL,37,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/53.jpg\",\"products\\/59-2.jpg\"]'),(517,6,NULL,NULL,24,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/24-1.jpg\"]'),(518,6,NULL,NULL,45,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-1.jpg\",\"products\\/25.jpg\"]'),(524,4,NULL,NULL,43,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-2.jpg\"]'),(532,6,NULL,NULL,51,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33.jpg\",\"products\\/38-3.jpg\",\"products\\/64.jpg\"]'),(534,2,NULL,NULL,31,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-3.jpg\",\"products\\/36.jpg\"]'),(539,5,NULL,NULL,58,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\",\"products\\/59-1.jpg\"]'),(541,9,NULL,NULL,35,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28-1.jpg\"]'),(545,8,NULL,NULL,37,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21.jpg\",\"products\\/44-1.jpg\",\"products\\/59.jpg\"]'),(547,2,NULL,NULL,53,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/32.jpg\",\"products\\/39.jpg\",\"products\\/55-2.jpg\",\"products\\/60-1.jpg\"]'),(551,8,NULL,NULL,3,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\",\"products\\/12-3.jpg\",\"products\\/24-1.jpg\",\"products\\/35-1.jpg\"]'),(552,7,NULL,NULL,55,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/15-1.jpg\",\"products\\/51.jpg\"]'),(559,7,NULL,NULL,41,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-2.jpg\",\"products\\/20-3.jpg\"]'),(562,3,NULL,NULL,17,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-3.jpg\",\"products\\/26.jpg\",\"products\\/44.jpg\"]'),(565,5,NULL,NULL,59,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/60.jpg\",\"products\\/62.jpg\"]'),(566,7,NULL,NULL,45,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/43.jpg\",\"products\\/44-2.jpg\",\"products\\/57-1.jpg\"]'),(573,8,NULL,NULL,19,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/65-1.jpg\"]'),(587,4,NULL,NULL,48,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/30-2.jpg\",\"products\\/65-1.jpg\"]'),(592,9,NULL,NULL,15,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\"]'),(596,9,NULL,NULL,48,4.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/26-1.jpg\"]'),(597,3,NULL,NULL,30,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/56-2.jpg\"]'),(598,4,NULL,NULL,63,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-3.jpg\",\"products\\/39-1.jpg\"]'),(600,3,NULL,NULL,6,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5.jpg\",\"products\\/22.jpg\"]'),(602,3,NULL,NULL,31,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\",\"products\\/56.jpg\"]'),(608,7,NULL,NULL,64,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/37-2.jpg\",\"products\\/44.jpg\"]'),(609,5,NULL,NULL,10,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/22-2.jpg\",\"products\\/39.jpg\",\"products\\/45.jpg\"]'),(611,9,NULL,NULL,41,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/36-2.jpg\",\"products\\/38-2.jpg\",\"products\\/50.jpg\"]'),(614,4,NULL,NULL,9,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/42-1.jpg\"]'),(615,5,NULL,NULL,18,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17.jpg\",\"products\\/29-1.jpg\"]'),(617,7,NULL,NULL,16,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-1.jpg\",\"products\\/54-1.jpg\"]'),(618,2,NULL,NULL,38,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/41-1.jpg\",\"products\\/49-2.jpg\"]'),(621,1,NULL,NULL,8,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/43-1.jpg\"]'),(623,6,NULL,NULL,9,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\",\"products\\/32.jpg\",\"products\\/37-2.jpg\"]'),(626,1,NULL,NULL,57,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/38-1.jpg\",\"products\\/61.jpg\"]'),(628,1,NULL,NULL,64,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\",\"products\\/13-1.jpg\",\"products\\/18-2.jpg\"]'),(629,5,NULL,NULL,13,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/25-1.jpg\",\"products\\/49-2.jpg\"]'),(637,1,NULL,NULL,52,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/18-2.jpg\",\"products\\/48.jpg\",\"products\\/51.jpg\"]'),(638,2,NULL,NULL,52,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-1.jpg\",\"products\\/23-3.jpg\",\"products\\/40.jpg\"]'),(642,4,NULL,NULL,57,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17.jpg\",\"products\\/39.jpg\",\"products\\/59-3.jpg\"]'),(643,5,NULL,NULL,51,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-1.jpg\",\"products\\/22-3.jpg\",\"products\\/35.jpg\",\"products\\/46-1.jpg\"]'),(649,6,NULL,NULL,33,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/42-1.jpg\"]'),(658,2,NULL,NULL,49,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21-1.jpg\",\"products\\/32-2.jpg\",\"products\\/38-1.jpg\",\"products\\/46-1.jpg\"]'),(659,7,NULL,NULL,17,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-1.jpg\",\"products\\/39.jpg\",\"products\\/45-1.jpg\"]'),(669,7,NULL,NULL,11,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/11-3.jpg\",\"products\\/41-1.jpg\",\"products\\/58-1.jpg\"]'),(671,2,NULL,NULL,25,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/44-1.jpg\"]'),(672,3,NULL,NULL,45,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18.jpg\",\"products\\/39-2.jpg\",\"products\\/57.jpg\"]'),(674,7,NULL,NULL,28,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\",\"products\\/39-1.jpg\"]'),(678,2,NULL,NULL,62,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13-1.jpg\",\"products\\/23-1.jpg\",\"products\\/45.jpg\"]'),(683,4,NULL,NULL,15,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4.jpg\"]'),(684,5,NULL,NULL,31,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\",\"products\\/42-1.jpg\",\"products\\/47-1.jpg\"]'),(685,9,NULL,NULL,2,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-1.jpg\",\"products\\/23.jpg\",\"products\\/45-1.jpg\",\"products\\/65-2.jpg\"]'),(692,1,NULL,NULL,20,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11.jpg\",\"products\\/48-1.jpg\"]'),(695,4,NULL,NULL,25,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-3.jpg\",\"products\\/9.jpg\",\"products\\/25-2.jpg\",\"products\\/38-1.jpg\"]'),(699,8,NULL,NULL,53,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/21-1.jpg\",\"products\\/22-3.jpg\",\"products\\/57.jpg\"]'),(701,8,NULL,NULL,31,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\"]'),(705,9,NULL,NULL,43,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/32.jpg\",\"products\\/59-1.jpg\",\"products\\/62.jpg\"]'),(709,7,NULL,NULL,43,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-3.jpg\",\"products\\/14.jpg\",\"products\\/17-1.jpg\",\"products\\/30.jpg\"]'),(714,4,NULL,NULL,2,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/24.jpg\",\"products\\/25-1.jpg\"]'),(716,1,NULL,NULL,9,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28.jpg\",\"products\\/32-2.jpg\"]'),(723,3,NULL,NULL,1,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-3.jpg\",\"products\\/24-2.jpg\",\"products\\/39-2.jpg\"]'),(728,6,NULL,NULL,8,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/18-3.jpg\"]'),(737,6,NULL,NULL,5,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23-1.jpg\",\"products\\/29-2.jpg\",\"products\\/60-1.jpg\"]'),(738,6,NULL,NULL,52,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-2.jpg\",\"products\\/34-1.jpg\",\"products\\/38-1.jpg\",\"products\\/39-2.jpg\"]'),(741,2,NULL,NULL,29,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/25-1.jpg\",\"products\\/49-2.jpg\"]'),(742,2,NULL,NULL,16,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-1.jpg\",\"products\\/46-1.jpg\",\"products\\/61-1.jpg\"]'),(747,4,NULL,NULL,11,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-2.jpg\",\"products\\/11-3.jpg\",\"products\\/43-2.jpg\",\"products\\/53.jpg\"]'),(749,5,NULL,NULL,29,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-1.jpg\",\"products\\/31.jpg\",\"products\\/34.jpg\"]'),(750,6,NULL,NULL,18,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13.jpg\",\"products\\/21.jpg\",\"products\\/39.jpg\",\"products\\/52.jpg\"]'),(757,6,NULL,NULL,38,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2-1.jpg\"]'),(760,2,NULL,NULL,2,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/37-1.jpg\",\"products\\/38-3.jpg\",\"products\\/48.jpg\"]'),(763,1,NULL,NULL,56,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/57.jpg\"]'),(766,8,NULL,NULL,5,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\",\"products\\/56-1.jpg\"]'),(768,2,NULL,NULL,15,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/3.jpg\",\"products\\/33-2.jpg\",\"products\\/52-2.jpg\",\"products\\/54-1.jpg\"]'),(778,8,NULL,NULL,29,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/29-2.jpg\",\"products\\/40.jpg\"]'),(779,8,NULL,NULL,30,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31.jpg\"]'),(780,1,NULL,NULL,53,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/37-1.jpg\"]'),(783,8,NULL,NULL,27,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/40-1.jpg\",\"products\\/45-1.jpg\",\"products\\/60-2.jpg\"]'),(785,8,NULL,NULL,33,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-2.jpg\",\"products\\/60-2.jpg\"]'),(790,2,NULL,NULL,33,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-2.jpg\",\"products\\/36.jpg\",\"products\\/57.jpg\"]'),(793,7,NULL,NULL,31,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/8-2.jpg\",\"products\\/19-1.jpg\",\"products\\/35.jpg\",\"products\\/38-2.jpg\"]'),(798,3,NULL,NULL,5,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/12-2.jpg\",\"products\\/38.jpg\",\"products\\/44-2.jpg\"]'),(801,6,NULL,NULL,55,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-2.jpg\",\"products\\/52-1.jpg\"]'),(804,6,NULL,NULL,50,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/44-1.jpg\",\"products\\/55.jpg\"]'),(807,7,NULL,NULL,47,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-3.jpg\",\"products\\/38-3.jpg\"]'),(810,4,NULL,NULL,38,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-1.jpg\",\"products\\/17-1.jpg\",\"products\\/25-1.jpg\"]'),(811,2,NULL,NULL,11,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-2.jpg\",\"products\\/29-1.jpg\",\"products\\/60-1.jpg\"]'),(812,6,NULL,NULL,42,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/64-1.jpg\"]'),(813,7,NULL,NULL,52,3.00,'Clean & perfect source code','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/23.jpg\",\"products\\/46-1.jpg\"]'),(818,7,NULL,NULL,53,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/25-1.jpg\",\"products\\/37.jpg\"]'),(821,5,NULL,NULL,47,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/52-1.jpg\",\"products\\/56.jpg\"]'),(835,6,NULL,NULL,49,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13.jpg\",\"products\\/43-1.jpg\",\"products\\/53-1.jpg\"]'),(839,5,NULL,NULL,9,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/33.jpg\",\"products\\/53-1.jpg\"]'),(840,7,NULL,NULL,44,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19-1.jpg\",\"products\\/20-2.jpg\",\"products\\/48-1.jpg\"]'),(844,3,NULL,NULL,23,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/45.jpg\"]'),(849,8,NULL,NULL,10,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/37-1.jpg\"]'),(857,2,NULL,NULL,60,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/58.jpg\"]'),(858,9,NULL,NULL,53,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/11.jpg\",\"products\\/32-2.jpg\",\"products\\/39-2.jpg\"]'),(860,6,NULL,NULL,1,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/13.jpg\"]'),(868,6,NULL,NULL,29,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/19.jpg\",\"products\\/41-1.jpg\"]'),(874,6,NULL,NULL,26,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/34.jpg\",\"products\\/38-3.jpg\"]'),(875,4,NULL,NULL,40,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/11-3.jpg\",\"products\\/28.jpg\"]'),(876,9,NULL,NULL,20,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/31-1.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\",\"products\\/56-1.jpg\"]'),(885,9,NULL,NULL,34,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/10-2.jpg\",\"products\\/25-1.jpg\"]'),(890,1,NULL,NULL,17,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/22-2.jpg\",\"products\\/29.jpg\"]'),(895,9,NULL,NULL,4,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/28.jpg\"]'),(907,2,NULL,NULL,54,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/7.jpg\",\"products\\/12-1.jpg\"]'),(909,8,NULL,NULL,36,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-1.jpg\",\"products\\/45-1.jpg\"]'),(916,7,NULL,NULL,22,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-1.jpg\",\"products\\/22-3.jpg\"]'),(921,8,NULL,NULL,25,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/40-1.jpg\",\"products\\/46.jpg\"]'),(925,5,NULL,NULL,19,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/7.jpg\",\"products\\/20.jpg\",\"products\\/26.jpg\",\"products\\/58-1.jpg\"]'),(926,7,NULL,NULL,20,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9.jpg\",\"products\\/32-1.jpg\",\"products\\/32.jpg\",\"products\\/43-1.jpg\"]'),(930,1,NULL,NULL,33,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/21-1.jpg\",\"products\\/40.jpg\"]'),(939,1,NULL,NULL,22,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/20.jpg\",\"products\\/52-1.jpg\",\"products\\/59-3.jpg\"]'),(942,7,NULL,NULL,33,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/46.jpg\"]'),(950,8,NULL,NULL,55,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/5-3.jpg\"]'),(952,6,NULL,NULL,14,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/6.jpg\"]'),(957,4,NULL,NULL,49,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/34-1.jpg\"]'),(962,9,NULL,NULL,6,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/40.jpg\",\"products\\/55-1.jpg\"]'),(967,1,NULL,NULL,29,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/36-1.jpg\"]'),(974,2,NULL,NULL,34,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/1.jpg\"]'),(976,1,NULL,NULL,59,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/2.jpg\",\"products\\/11-2.jpg\",\"products\\/40-1.jpg\",\"products\\/60-2.jpg\"]'),(978,8,NULL,NULL,35,2.00,'Best ecommerce CMS online store!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/4-3.jpg\",\"products\\/5-2.jpg\",\"products\\/20-1.jpg\",\"products\\/36.jpg\"]'),(979,4,NULL,NULL,24,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/17-2.jpg\",\"products\\/26-1.jpg\",\"products\\/33-2.jpg\",\"products\\/35-1.jpg\"]'),(993,3,NULL,NULL,40,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/9-2.jpg\",\"products\\/10.jpg\",\"products\\/44.jpg\",\"products\\/56-1.jpg\"]'),(998,6,NULL,NULL,46,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:00:50','2024-08-10 00:00:50','[\"products\\/12-2.jpg\"]');
/*!40000 ALTER TABLE `ec_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shared_wishlists`
--

DROP TABLE IF EXISTS `ec_shared_wishlists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shared_wishlists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_ids` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_shared_wishlists_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shared_wishlists`
--

LOCK TABLES `ec_shared_wishlists` WRITE;
/*!40000 ALTER TABLE `ec_shared_wishlists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shared_wishlists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipment_histories`
--

DROP TABLE IF EXISTS `ec_shipment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipment_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `shipment_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipment_histories`
--

LOCK TABLES `ec_shipment_histories` WRITE;
/*!40000 ALTER TABLE `ec_shipment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipments`
--

DROP TABLE IF EXISTS `ec_shipments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `shipment_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cod_amount` decimal(15,2) DEFAULT '0.00',
  `cod_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cross_checking_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `price` decimal(15,2) DEFAULT '0.00',
  `store_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tracking_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimate_date_shipped` datetime DEFAULT NULL,
  `date_shipped` datetime DEFAULT NULL,
  `label_url` text COLLATE utf8mb4_unicode_ci,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipments`
--

LOCK TABLES `ec_shipments` WRITE;
/*!40000 ALTER TABLE `ec_shipments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping`
--

DROP TABLE IF EXISTS `ec_shipping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping`
--

LOCK TABLES `ec_shipping` WRITE;
/*!40000 ALTER TABLE `ec_shipping` DISABLE KEYS */;
INSERT INTO `ec_shipping` VALUES (1,'All',NULL,'2024-08-10 00:00:47','2024-08-10 00:00:47');
/*!40000 ALTER TABLE `ec_shipping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rule_items`
--

DROP TABLE IF EXISTS `ec_shipping_rule_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rule_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_rule_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_price` decimal(15,2) DEFAULT '0.00',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rule_items`
--

LOCK TABLES `ec_shipping_rule_items` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rule_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipping_rule_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rules`
--

DROP TABLE IF EXISTS `ec_shipping_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `shipping_id` bigint unsigned NOT NULL,
  `type` varchar(24) COLLATE utf8mb4_unicode_ci DEFAULT 'based_on_price',
  `from` decimal(15,2) DEFAULT '0.00',
  `to` decimal(15,2) DEFAULT '0.00',
  `price` decimal(15,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rules`
--

LOCK TABLES `ec_shipping_rules` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rules` DISABLE KEYS */;
INSERT INTO `ec_shipping_rules` VALUES (1,'Free delivery',1,'based_on_price',1000.00,NULL,0.00,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(2,'Flat Rate',1,'based_on_price',0.00,NULL,20.00,'2024-08-10 00:00:47','2024-08-10 00:00:47'),(3,'Local Pickup',1,'based_on_price',0.00,NULL,0.00,'2024-08-10 00:00:47','2024-08-10 00:00:47');
/*!40000 ALTER TABLE `ec_shipping_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_store_locators`
--

DROP TABLE IF EXISTS `ec_store_locators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_store_locators` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_primary` tinyint(1) DEFAULT '0',
  `is_shipping_location` tinyint(1) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_store_locators`
--

LOCK TABLES `ec_store_locators` WRITE;
/*!40000 ALTER TABLE `ec_store_locators` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_store_locators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_products`
--

DROP TABLE IF EXISTS `ec_tax_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_products` (
  `tax_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tax_id`),
  KEY `ec_tax_products_tax_id_index` (`tax_id`),
  KEY `ec_tax_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_products`
--

LOCK TABLES `ec_tax_products` WRITE;
/*!40000 ALTER TABLE `ec_tax_products` DISABLE KEYS */;
INSERT INTO `ec_tax_products` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65);
/*!40000 ALTER TABLE `ec_tax_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_rules`
--

DROP TABLE IF EXISTS `ec_tax_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_rules`
--

LOCK TABLES `ec_tax_rules` WRITE;
/*!40000 ALTER TABLE `ec_tax_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_tax_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_taxes`
--

DROP TABLE IF EXISTS `ec_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_taxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_taxes`
--

LOCK TABLES `ec_taxes` WRITE;
/*!40000 ALTER TABLE `ec_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_wish_lists`
--

DROP TABLE IF EXISTS `ec_wish_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_wish_lists` (
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`product_id`),
  KEY `wishlist_relation_index` (`product_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_wish_lists`
--

LOCK TABLES `ec_wish_lists` WRITE;
/*!40000 ALTER TABLE `ec_wish_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_wish_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
INSERT INTO `faq_categories` VALUES (1,'Sales &amp; Pricing',0,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(2,'Project Management',1,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(3,'Client Satisfaction',2,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(4,'Our Team',3,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(5,'Security',4,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(6,'Client Support',5,'published','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL);
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
INSERT INTO `faqs` VALUES (1,'Can I see a demo before purchasing your business services?','Absolutely! We understand that seeing our services in action can be helpful. In most cases, we can provide a free demo or consultation to showcase our capabilities and ensure they align with your specific needs.',3,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(2,'What types of payment plans do you offer for your business services?','We offer flexible payment plans to cater to different business budgets. We may offer upfront payments,  monthly installments, or project-based pricing depending on the service.  Feel free to discuss your preferred payment option with our sales team to find the best solution for you.',1,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(3,'What is the turnaround time for your business services?','Turnaround times can vary depending on the complexity of the service and your specific needs. We will provide a clear timeline during the initial consultation or proposal stage. We also prioritize open communication and keep you updated throughout the process.',3,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(4,'Do you offer any guarantees or warranties on your business services?','We stand behind the quality of our work and offer satisfaction guarantees on many of our services. The specific terms will be outlined in our agreement. If you have any concerns, don\'t hesitate to ask for clarification.',4,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(5,'What qualifications or certifications do your team members have?','Our team is comprised of experienced and qualified professionals. We invest in ongoing training to ensure we stay up-to-date on the latest industry trends and best practices.  Feel free to inquire about specific credentials or expertise relevant to your needs.',3,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(6,'How do you ensure the security of my data when using your business services?','Data security is a top priority for us. We employ robust security measures to protect your information, including secure servers, encryption protocols, and access controls. We can provide more details about our security practices upon request.',6,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(7,'Can I customize your business services to fit my specific needs?','Yes, customization is often possible. We understand that every business is unique. We take the time to understand your requirements and tailor our services to deliver the best possible outcome for your specific situation.',3,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(8,'How can I get a quote for your business services?','Getting a quote is easy! Simply contact us through our website, email, or phone. We will discuss your needs and provide a personalized quote based on the chosen service and its scope.',1,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(9,'What is the difference between your various business service packages?','We offer a variety of service packages to cater to different business needs and budgets. Each package will typically include a specific set of features or deliverables.  We would be happy to explain the differences and recommend the best option for you during a consultation.',4,'published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(10,'Do you offer any ongoing support after I purchase your business services?','Yes, we offer ongoing support to ensure you get the most out of our services. This may include training materials, access to a help desk, or even additional consultations depending on the service.',5,'published','2024-08-09 23:59:59','2024-08-09 23:59:59');
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fob_comments`
--

DROP TABLE IF EXISTS `fob_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fob_comments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reply_to` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fob_comments_author_type_author_id_index` (`author_type`,`author_id`),
  KEY `fob_comments_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `fob_comments_reply_to_index` (`reply_to`),
  KEY `fob_comments_reference_url_index` (`reference_url`),
  KEY `fob_comments_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fob_comments`
--

LOCK TABLES `fob_comments` WRITE;
/*!40000 ALTER TABLE `fob_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `fob_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries`
--

DROP TABLE IF EXISTS `galleries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleries_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries`
--

LOCK TABLES `galleries` WRITE;
/*!40000 ALTER TABLE `galleries` DISABLE KEYS */;
INSERT INTO `galleries` VALUES (1,'Perfect','Placeat qui repudiandae expedita aut et. Ad tempora sit modi et. Non officiis libero velit et.',0,0,'galleries/1.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(2,'New Day','Voluptates est est ea atque eaque optio. Impedit at vel aut itaque. Velit quibusdam quae itaque.',0,0,'galleries/2.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(3,'Happy Day','Repellendus nostrum repellendus enim nesciunt placeat et ut quis. Modi quo et dolore et ut aut. Ut ipsa quia et enim exercitationem ut.',0,0,'galleries/3.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(4,'Nature','Odio quasi dolor aut tenetur sit debitis quo. Expedita et dolore iure ut magni. Est rerum debitis odio non eos expedita et quidem.',0,0,'galleries/4.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(5,'Morning','Non et facere dolore ea nihil. Provident architecto quaerat asperiores consequatur deserunt et ipsam voluptas.',0,0,'galleries/5.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(6,'Sunset','Nihil ut a culpa itaque exercitationem deleniti adipisci. Est architecto quo aut.',0,0,'galleries/6.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(7,'Ocean Views','Et officiis exercitationem natus. Iure libero ea dolores molestiae odit deserunt. Impedit non qui quibusdam corrupti vero doloribus omnis.',0,0,'galleries/7.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48'),(8,'Adventure Time','Velit et sint vitae et libero. Dolorem et deserunt porro libero voluptatem nemo. Similique rerum quo voluptas. Expedita omnis et ut sed.',0,0,'galleries/8.jpg',1,'published','2024-08-09 23:59:48','2024-08-09 23:59:48');
/*!40000 ALTER TABLE `galleries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries_translations`
--

DROP TABLE IF EXISTS `galleries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `galleries_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`galleries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries_translations`
--

LOCK TABLES `galleries_translations` WRITE;
/*!40000 ALTER TABLE `galleries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `galleries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta`
--

DROP TABLE IF EXISTS `gallery_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `images` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gallery_meta_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta`
--

LOCK TABLES `gallery_meta` WRITE;
/*!40000 ALTER TABLE `gallery_meta` DISABLE KEYS */;
INSERT INTO `gallery_meta` VALUES (1,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',1,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(2,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',2,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(3,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',3,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(4,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',4,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(5,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',5,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(6,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',6,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(7,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',7,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48'),(8,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',8,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:59:48','2024-08-09 23:59:48');
/*!40000 ALTER TABLE `gallery_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta_translations`
--

DROP TABLE IF EXISTS `gallery_meta_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gallery_meta_id` bigint unsigned NOT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`gallery_meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta_translations`
--

LOCK TABLES `gallery_meta_translations` WRITE;
/*!40000 ALTER TABLE `gallery_meta_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery_meta_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','6acc6d1443830f5eed904d3c7b32e2fb',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','2add554e5f0c07b332f8cbba34abda77',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','e668c9701eb8ab55ce5044b16dc2c8b3',1,'Botble\\SimpleSlider\\Models\\SimpleSlider');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `visibility` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'public',
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=336 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'about-us-information-1','about-us-information-1',1,'image/jpeg',12878,'general/about-us-information-1.jpg','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(2,0,'about-us-information-10','about-us-information-10',1,'image/jpeg',6813,'general/about-us-information-10.jpg','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(3,0,'about-us-information-11-1','about-us-information-11-1',1,'image/jpeg',4980,'general/about-us-information-11-1.jpg','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(4,0,'about-us-information-11-2','about-us-information-11-2',1,'image/png',1940,'general/about-us-information-11-2.png','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(5,0,'about-us-information-11','about-us-information-11',1,'image/jpeg',7174,'general/about-us-information-11.jpg','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(6,0,'about-us-information-13','about-us-information-13',1,'image/jpeg',13236,'general/about-us-information-13.jpg','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(7,0,'about-us-information-14','about-us-information-14',1,'image/png',30399,'general/about-us-information-14.png','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(8,0,'about-us-information-15','about-us-information-15',1,'image/png',7778,'general/about-us-information-15.png','[]','2024-08-09 23:59:37','2024-08-09 23:59:37',NULL,'public'),(9,0,'about-us-information-16','about-us-information-16',1,'image/png',7320,'general/about-us-information-16.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(10,0,'about-us-information-2-1','about-us-information-2-1',1,'image/jpeg',8580,'general/about-us-information-2-1.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(11,0,'about-us-information-2-2','about-us-information-2-2',1,'image/jpeg',2974,'general/about-us-information-2-2.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(12,0,'about-us-information-3-1','about-us-information-3-1',1,'image/jpeg',10406,'general/about-us-information-3-1.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(13,0,'about-us-information-3-2','about-us-information-3-2',1,'image/jpeg',1745,'general/about-us-information-3-2.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(14,0,'about-us-information-4-1','about-us-information-4-1',1,'image/jpeg',9362,'general/about-us-information-4-1.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(15,0,'about-us-information-4-2','about-us-information-4-2',1,'image/jpeg',2161,'general/about-us-information-4-2.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(16,0,'about-us-information-4-3','about-us-information-4-3',1,'image/png',9470,'general/about-us-information-4-3.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(17,0,'about-us-information-5-1','about-us-information-5-1',1,'image/png',2845,'general/about-us-information-5-1.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(18,0,'about-us-information-5','about-us-information-5',1,'image/jpeg',10266,'general/about-us-information-5.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(19,0,'about-us-information-6-1','about-us-information-6-1',1,'image/png',9939,'general/about-us-information-6-1.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(20,0,'about-us-information-6-2','about-us-information-6-2',1,'image/png',3037,'general/about-us-information-6-2.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(21,0,'about-us-information-6-3','about-us-information-6-3',1,'image/png',2223,'general/about-us-information-6-3.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(22,0,'about-us-information-6-4','about-us-information-6-4',1,'image/png',12341,'general/about-us-information-6-4.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(23,0,'about-us-information-6','about-us-information-6',1,'image/jpeg',4329,'general/about-us-information-6.jpg','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(24,0,'about-us-information-7','about-us-information-7',1,'image/png',13510,'general/about-us-information-7.png','[]','2024-08-09 23:59:38','2024-08-09 23:59:38',NULL,'public'),(25,0,'about-us-information-8-1','about-us-information-8-1',1,'image/jpeg',8429,'general/about-us-information-8-1.jpg','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(26,0,'about-us-information-8-2','about-us-information-8-2',1,'image/jpeg',3553,'general/about-us-information-8-2.jpg','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(27,0,'about-us-information-9-1','about-us-information-9-1',1,'image/png',8037,'general/about-us-information-9-1.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(28,0,'about-us-information-9','about-us-information-9',1,'image/png',8152,'general/about-us-information-9.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(29,0,'author-avatar','author-avatar',1,'image/png',3528,'general/author-avatar.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(30,0,'author-signature','author-signature',1,'image/png',428,'general/author-signature.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(31,0,'consulting-block','consulting-block',1,'image/jpeg',5821,'general/consulting-block.jpg','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(32,0,'content-featured','content-featured',1,'image/jpeg',5678,'general/content-featured.jpg','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(33,0,'faq','faq',1,'image/png',24258,'general/faq.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(34,0,'hero-banner-4','hero-banner-4',1,'image/png',14400,'general/hero-banner-4.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(35,0,'hero-banner-5-1','hero-banner-5-1',1,'image/png',1967,'general/hero-banner-5-1.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(36,0,'hero-banner-5','hero-banner-5',1,'image/png',10642,'general/hero-banner-5.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(37,0,'hero-banner-slider-team','hero-banner-slider-team',1,'image/png',1760,'general/hero-banner-slider-team.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(38,0,'testimonials-1','testimonials-1',1,'image/png',6274,'general/testimonials-1.png','[]','2024-08-09 23:59:39','2024-08-09 23:59:39',NULL,'public'),(39,0,'testimonials-4-1','testimonials-4-1',1,'image/png',8618,'general/testimonials-4-1.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(40,0,'testimonials-4','testimonials-4',1,'image/png',8618,'general/testimonials-4.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(41,0,'favicon','favicon',2,'image/png',756,'icons/favicon.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(42,0,'logo-white','logo-white',2,'image/png',1748,'icons/logo-white.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(43,0,'logo','logo',2,'image/png',2537,'icons/logo.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(44,0,'popularity','popularity',2,'image/png',1531,'icons/popularity.png','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(45,0,'preloader-image','preloader-image',2,'image/gif',602487,'icons/preloader-image.gif','[]','2024-08-09 23:59:40','2024-08-09 23:59:40',NULL,'public'),(46,0,'star','star',2,'image/png',2711,'icons/star.png','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(47,0,'time','time',2,'image/png',1402,'icons/time.png','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(48,0,'trophy','trophy',2,'image/png',2209,'icons/trophy.png','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(49,0,'about-us-information-bg','about-us-information-bg',3,'image/jpeg',26687,'backgrounds/about-us-information-bg.jpg','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(50,0,'blog-posts-bg','blog-posts-bg',3,'image/jpeg',28680,'backgrounds/blog-posts-bg.jpg','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(51,0,'breadcrumb-bg','breadcrumb-bg',3,'image/jpeg',8920,'backgrounds/breadcrumb-bg.jpg','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(52,0,'contact-block-bg-1','contact-block-bg-1',3,'image/jpeg',19498,'backgrounds/contact-block-bg-1.jpg','[]','2024-08-09 23:59:43','2024-08-09 23:59:43',NULL,'public'),(53,0,'contact-block-bg-3','contact-block-bg-3',3,'image/png',216066,'backgrounds/contact-block-bg-3.png','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(54,0,'contact-block-bg','contact-block-bg',3,'image/jpeg',19498,'backgrounds/contact-block-bg.jpg','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(55,0,'footer-bg','footer-bg',3,'image/png',23940,'backgrounds/footer-bg.png','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(56,0,'hero-banner-1','hero-banner-1',3,'image/jpeg',20022,'backgrounds/hero-banner-1.jpg','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(57,0,'hero-banner-bg-4','hero-banner-bg-4',3,'image/jpeg',37935,'backgrounds/hero-banner-bg-4.jpg','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(58,0,'hero-banner-bg-5','hero-banner-bg-5',3,'image/jpeg',25168,'backgrounds/hero-banner-bg-5.jpg','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(59,0,'hero-banner','hero-banner',3,'image/jpeg',20022,'backgrounds/hero-banner.jpg','[]','2024-08-09 23:59:44','2024-08-09 23:59:44',NULL,'public'),(60,0,'newsletter-bg','newsletter-bg',3,'image/png',8876,'backgrounds/newsletter-bg.png','[]','2024-08-09 23:59:45','2024-08-09 23:59:45',NULL,'public'),(61,0,'services-bg-3','services-bg-3',3,'image/jpeg',35882,'backgrounds/services-bg-3.jpg','[]','2024-08-09 23:59:45','2024-08-09 23:59:45',NULL,'public'),(62,0,'services-bg','services-bg',3,'image/jpeg',31420,'backgrounds/services-bg.jpg','[]','2024-08-09 23:59:45','2024-08-09 23:59:45',NULL,'public'),(63,0,'site-statistics-bg','site-statistics-bg',3,'image/png',31111,'backgrounds/site-statistics-bg.png','[]','2024-08-09 23:59:45','2024-08-09 23:59:45',NULL,'public'),(65,0,'document','document',5,'application/pdf',9593,'downloads/document.pdf','[]','2024-08-09 23:59:46','2024-08-09 23:59:46',NULL,'public'),(66,0,'1','1',6,'image/jpeg',33268,'galleries/1.jpg','[]','2024-08-09 23:59:46','2024-08-09 23:59:46',NULL,'public'),(67,0,'2','2',6,'image/jpeg',33268,'galleries/2.jpg','[]','2024-08-09 23:59:46','2024-08-09 23:59:46',NULL,'public'),(68,0,'3','3',6,'image/jpeg',33268,'galleries/3.jpg','[]','2024-08-09 23:59:46','2024-08-09 23:59:46',NULL,'public'),(69,0,'4','4',6,'image/jpeg',33268,'galleries/4.jpg','[]','2024-08-09 23:59:46','2024-08-09 23:59:46',NULL,'public'),(70,0,'5','5',6,'image/jpeg',33268,'galleries/5.jpg','[]','2024-08-09 23:59:47','2024-08-09 23:59:47',NULL,'public'),(71,0,'6','6',6,'image/jpeg',33268,'galleries/6.jpg','[]','2024-08-09 23:59:47','2024-08-09 23:59:47',NULL,'public'),(72,0,'7','7',6,'image/jpeg',33268,'galleries/7.jpg','[]','2024-08-09 23:59:47','2024-08-09 23:59:47',NULL,'public'),(73,0,'8','8',6,'image/jpeg',33268,'galleries/8.jpg','[]','2024-08-09 23:59:47','2024-08-09 23:59:47',NULL,'public'),(74,0,'1','1',7,'image/jpeg',9803,'teams/1.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(75,0,'2-1','2-1',7,'image/jpeg',9803,'teams/2-1.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(76,0,'2-2','2-2',7,'image/jpeg',9803,'teams/2-2.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(77,0,'2-3','2-3',7,'image/jpeg',9803,'teams/2-3.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(78,0,'2-4','2-4',7,'image/jpeg',9803,'teams/2-4.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(79,0,'2-5','2-5',7,'image/jpeg',9803,'teams/2-5.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(80,0,'2-6','2-6',7,'image/jpeg',9803,'teams/2-6.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(81,0,'2-7','2-7',7,'image/jpeg',9803,'teams/2-7.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(82,0,'2-8','2-8',7,'image/jpeg',9803,'teams/2-8.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(83,0,'2','2',7,'image/jpeg',9803,'teams/2.jpg','[]','2024-08-09 23:59:48','2024-08-09 23:59:48',NULL,'public'),(84,0,'3','3',7,'image/jpeg',9803,'teams/3.jpg','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(85,0,'4','4',7,'image/jpeg',9803,'teams/4.jpg','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(86,0,'5-1','5-1',7,'image/png',9803,'teams/5-1.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(87,0,'5-2','5-2',7,'image/png',9803,'teams/5-2.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(88,0,'5-3','5-3',7,'image/png',9803,'teams/5-3.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(89,0,'5-4','5-4',7,'image/png',9803,'teams/5-4.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(90,0,'5-5','5-5',7,'image/png',9803,'teams/5-5.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(91,0,'5-6','5-6',7,'image/png',9803,'teams/5-6.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(92,0,'5-7','5-7',7,'image/png',9803,'teams/5-7.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(93,0,'5-8','5-8',7,'image/png',9803,'teams/5-8.png','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(94,0,'5','5',7,'image/jpeg',9803,'teams/5.jpg','[]','2024-08-09 23:59:49','2024-08-09 23:59:49',NULL,'public'),(95,0,'6','6',7,'image/jpeg',9803,'teams/6.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(96,0,'7','7',7,'image/jpeg',9803,'teams/7.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(97,0,'8','8',7,'image/jpeg',9803,'teams/8.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(98,0,'1','1',8,'image/jpeg',33268,'news/1.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(99,0,'10','10',8,'image/jpeg',33268,'news/10.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(100,0,'11','11',8,'image/jpeg',33268,'news/11.jpg','[]','2024-08-09 23:59:50','2024-08-09 23:59:50',NULL,'public'),(101,0,'12','12',8,'image/jpeg',33268,'news/12.jpg','[]','2024-08-09 23:59:51','2024-08-09 23:59:51',NULL,'public'),(102,0,'13','13',8,'image/jpeg',33268,'news/13.jpg','[]','2024-08-09 23:59:51','2024-08-09 23:59:51',NULL,'public'),(103,0,'14','14',8,'image/jpeg',33268,'news/14.jpg','[]','2024-08-09 23:59:51','2024-08-09 23:59:51',NULL,'public'),(104,0,'15','15',8,'image/jpeg',33268,'news/15.jpg','[]','2024-08-09 23:59:51','2024-08-09 23:59:51',NULL,'public'),(105,0,'16','16',8,'image/jpeg',33268,'news/16.jpg','[]','2024-08-09 23:59:52','2024-08-09 23:59:52',NULL,'public'),(106,0,'17','17',8,'image/jpeg',33268,'news/17.jpg','[]','2024-08-09 23:59:52','2024-08-09 23:59:52',NULL,'public'),(107,0,'18','18',8,'image/jpeg',33268,'news/18.jpg','[]','2024-08-09 23:59:52','2024-08-09 23:59:52',NULL,'public'),(108,0,'19','19',8,'image/jpeg',33268,'news/19.jpg','[]','2024-08-09 23:59:52','2024-08-09 23:59:52',NULL,'public'),(109,0,'2','2',8,'image/jpeg',33268,'news/2.jpg','[]','2024-08-09 23:59:53','2024-08-09 23:59:53',NULL,'public'),(110,0,'20','20',8,'image/jpeg',33268,'news/20.jpg','[]','2024-08-09 23:59:53','2024-08-09 23:59:53',NULL,'public'),(111,0,'3','3',8,'image/jpeg',33268,'news/3.jpg','[]','2024-08-09 23:59:53','2024-08-09 23:59:53',NULL,'public'),(112,0,'4','4',8,'image/jpeg',33268,'news/4.jpg','[]','2024-08-09 23:59:54','2024-08-09 23:59:54',NULL,'public'),(113,0,'5','5',8,'image/jpeg',33268,'news/5.jpg','[]','2024-08-09 23:59:54','2024-08-09 23:59:54',NULL,'public'),(114,0,'6','6',8,'image/jpeg',33268,'news/6.jpg','[]','2024-08-09 23:59:54','2024-08-09 23:59:54',NULL,'public'),(115,0,'7','7',8,'image/jpeg',33268,'news/7.jpg','[]','2024-08-09 23:59:54','2024-08-09 23:59:54',NULL,'public'),(116,0,'8','8',8,'image/jpeg',33268,'news/8.jpg','[]','2024-08-09 23:59:55','2024-08-09 23:59:55',NULL,'public'),(117,0,'9','9',8,'image/jpeg',33268,'news/9.jpg','[]','2024-08-09 23:59:55','2024-08-09 23:59:55',NULL,'public'),(118,0,'1','1',9,'image/jpeg',33268,'projects/1.jpg','[]','2024-08-09 23:59:55','2024-08-09 23:59:55',NULL,'public'),(119,0,'10','10',9,'image/jpeg',33268,'projects/10.jpg','[]','2024-08-09 23:59:56','2024-08-09 23:59:56',NULL,'public'),(120,0,'2','2',9,'image/jpeg',33268,'projects/2.jpg','[]','2024-08-09 23:59:56','2024-08-09 23:59:56',NULL,'public'),(121,0,'3','3',9,'image/jpeg',33268,'projects/3.jpg','[]','2024-08-09 23:59:56','2024-08-09 23:59:56',NULL,'public'),(122,0,'4','4',9,'image/jpeg',33268,'projects/4.jpg','[]','2024-08-09 23:59:56','2024-08-09 23:59:56',NULL,'public'),(123,0,'5','5',9,'image/jpeg',33268,'projects/5.jpg','[]','2024-08-09 23:59:57','2024-08-09 23:59:57',NULL,'public'),(124,0,'6','6',9,'image/jpeg',33268,'projects/6.jpg','[]','2024-08-09 23:59:57','2024-08-09 23:59:57',NULL,'public'),(125,0,'7','7',9,'image/jpeg',33268,'projects/7.jpg','[]','2024-08-09 23:59:57','2024-08-09 23:59:57',NULL,'public'),(126,0,'8','8',9,'image/jpeg',33268,'projects/8.jpg','[]','2024-08-09 23:59:57','2024-08-09 23:59:57',NULL,'public'),(127,0,'9','9',9,'image/jpeg',33268,'projects/9.jpg','[]','2024-08-09 23:59:58','2024-08-09 23:59:58',NULL,'public'),(128,0,'1','1',10,'image/jpeg',148419,'sliders/1.jpg','[]','2024-08-09 23:59:58','2024-08-09 23:59:58',NULL,'public'),(129,0,'2','2',10,'image/jpeg',112138,'sliders/2.jpg','[]','2024-08-09 23:59:58','2024-08-09 23:59:58',NULL,'public'),(130,0,'3','3',10,'image/jpeg',232756,'sliders/3.jpg','[]','2024-08-09 23:59:58','2024-08-09 23:59:58',NULL,'public'),(131,0,'1','1',11,'image/png',4294,'testimonials/1.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(132,0,'2','2',11,'image/png',4294,'testimonials/2.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(133,0,'3','3',11,'image/png',4294,'testimonials/3.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(134,0,'4','4',11,'image/png',4294,'testimonials/4.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(135,0,'banner','banner',12,'image/jpeg',33268,'careers/banner.jpg','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(136,0,'1','1',13,'image/png',496,'product-categories/1.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(137,0,'10','10',13,'image/png',496,'product-categories/10.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(138,0,'11','11',13,'image/png',496,'product-categories/11.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(139,0,'12','12',13,'image/png',496,'product-categories/12.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(140,0,'13','13',13,'image/png',496,'product-categories/13.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(141,0,'2','2',13,'image/png',496,'product-categories/2.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(142,0,'3','3',13,'image/png',496,'product-categories/3.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(143,0,'4','4',13,'image/png',496,'product-categories/4.png','[]','2024-08-09 23:59:59','2024-08-09 23:59:59',NULL,'public'),(144,0,'5','5',13,'image/png',496,'product-categories/5.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(145,0,'6','6',13,'image/png',496,'product-categories/6.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(146,0,'7','7',13,'image/png',496,'product-categories/7.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(147,0,'8','8',13,'image/png',496,'product-categories/8.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(148,0,'9','9',13,'image/png',496,'product-categories/9.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(149,0,'1','1',14,'image/png',834,'brands/1.png','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(150,0,'1','1',15,'image/jpeg',33268,'products/1.jpg','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(151,0,'10-1','10-1',15,'image/jpeg',33268,'products/10-1.jpg','[]','2024-08-10 00:00:00','2024-08-10 00:00:00',NULL,'public'),(152,0,'10-2','10-2',15,'image/jpeg',33268,'products/10-2.jpg','[]','2024-08-10 00:00:01','2024-08-10 00:00:01',NULL,'public'),(153,0,'10','10',15,'image/jpeg',33268,'products/10.jpg','[]','2024-08-10 00:00:01','2024-08-10 00:00:01',NULL,'public'),(154,0,'11-1','11-1',15,'image/jpeg',33268,'products/11-1.jpg','[]','2024-08-10 00:00:01','2024-08-10 00:00:01',NULL,'public'),(155,0,'11-2','11-2',15,'image/jpeg',33268,'products/11-2.jpg','[]','2024-08-10 00:00:01','2024-08-10 00:00:01',NULL,'public'),(156,0,'11-3','11-3',15,'image/jpeg',33268,'products/11-3.jpg','[]','2024-08-10 00:00:02','2024-08-10 00:00:02',NULL,'public'),(157,0,'11','11',15,'image/jpeg',33268,'products/11.jpg','[]','2024-08-10 00:00:02','2024-08-10 00:00:02',NULL,'public'),(158,0,'12-1','12-1',15,'image/jpeg',33268,'products/12-1.jpg','[]','2024-08-10 00:00:02','2024-08-10 00:00:02',NULL,'public'),(159,0,'12-2','12-2',15,'image/jpeg',33268,'products/12-2.jpg','[]','2024-08-10 00:00:02','2024-08-10 00:00:02',NULL,'public'),(160,0,'12-3','12-3',15,'image/jpeg',33268,'products/12-3.jpg','[]','2024-08-10 00:00:03','2024-08-10 00:00:03',NULL,'public'),(161,0,'12','12',15,'image/jpeg',33268,'products/12.jpg','[]','2024-08-10 00:00:03','2024-08-10 00:00:03',NULL,'public'),(162,0,'13-1','13-1',15,'image/jpeg',33268,'products/13-1.jpg','[]','2024-08-10 00:00:03','2024-08-10 00:00:03',NULL,'public'),(163,0,'13','13',15,'image/jpeg',33268,'products/13.jpg','[]','2024-08-10 00:00:03','2024-08-10 00:00:03',NULL,'public'),(164,0,'14','14',15,'image/jpeg',33268,'products/14.jpg','[]','2024-08-10 00:00:04','2024-08-10 00:00:04',NULL,'public'),(165,0,'15-1','15-1',15,'image/jpeg',33268,'products/15-1.jpg','[]','2024-08-10 00:00:04','2024-08-10 00:00:04',NULL,'public'),(166,0,'15','15',15,'image/jpeg',33268,'products/15.jpg','[]','2024-08-10 00:00:04','2024-08-10 00:00:04',NULL,'public'),(167,0,'16','16',15,'image/jpeg',33268,'products/16.jpg','[]','2024-08-10 00:00:04','2024-08-10 00:00:04',NULL,'public'),(168,0,'17-1','17-1',15,'image/jpeg',33268,'products/17-1.jpg','[]','2024-08-10 00:00:05','2024-08-10 00:00:05',NULL,'public'),(169,0,'17-2','17-2',15,'image/jpeg',33268,'products/17-2.jpg','[]','2024-08-10 00:00:05','2024-08-10 00:00:05',NULL,'public'),(170,0,'17-3','17-3',15,'image/jpeg',33268,'products/17-3.jpg','[]','2024-08-10 00:00:05','2024-08-10 00:00:05',NULL,'public'),(171,0,'17','17',15,'image/jpeg',33268,'products/17.jpg','[]','2024-08-10 00:00:05','2024-08-10 00:00:05',NULL,'public'),(172,0,'18-1','18-1',15,'image/jpeg',33268,'products/18-1.jpg','[]','2024-08-10 00:00:06','2024-08-10 00:00:06',NULL,'public'),(173,0,'18-2','18-2',15,'image/jpeg',33268,'products/18-2.jpg','[]','2024-08-10 00:00:06','2024-08-10 00:00:06',NULL,'public'),(174,0,'18-3','18-3',15,'image/jpeg',33268,'products/18-3.jpg','[]','2024-08-10 00:00:06','2024-08-10 00:00:06',NULL,'public'),(175,0,'18','18',15,'image/jpeg',33268,'products/18.jpg','[]','2024-08-10 00:00:06','2024-08-10 00:00:06',NULL,'public'),(176,0,'19-1','19-1',15,'image/jpeg',33268,'products/19-1.jpg','[]','2024-08-10 00:00:07','2024-08-10 00:00:07',NULL,'public'),(177,0,'19-2','19-2',15,'image/jpeg',33268,'products/19-2.jpg','[]','2024-08-10 00:00:07','2024-08-10 00:00:07',NULL,'public'),(178,0,'19-3','19-3',15,'image/jpeg',33268,'products/19-3.jpg','[]','2024-08-10 00:00:07','2024-08-10 00:00:07',NULL,'public'),(179,0,'19','19',15,'image/jpeg',33268,'products/19.jpg','[]','2024-08-10 00:00:07','2024-08-10 00:00:07',NULL,'public'),(180,0,'2-1','2-1',15,'image/jpeg',33268,'products/2-1.jpg','[]','2024-08-10 00:00:08','2024-08-10 00:00:08',NULL,'public'),(181,0,'2-2','2-2',15,'image/jpeg',33268,'products/2-2.jpg','[]','2024-08-10 00:00:08','2024-08-10 00:00:08',NULL,'public'),(182,0,'2-3','2-3',15,'image/jpeg',33268,'products/2-3.jpg','[]','2024-08-10 00:00:08','2024-08-10 00:00:08',NULL,'public'),(183,0,'2','2',15,'image/jpeg',33268,'products/2.jpg','[]','2024-08-10 00:00:08','2024-08-10 00:00:08',NULL,'public'),(184,0,'20-1','20-1',15,'image/jpeg',33268,'products/20-1.jpg','[]','2024-08-10 00:00:09','2024-08-10 00:00:09',NULL,'public'),(185,0,'20-2','20-2',15,'image/jpeg',33268,'products/20-2.jpg','[]','2024-08-10 00:00:09','2024-08-10 00:00:09',NULL,'public'),(186,0,'20-3','20-3',15,'image/jpeg',33268,'products/20-3.jpg','[]','2024-08-10 00:00:09','2024-08-10 00:00:09',NULL,'public'),(187,0,'20','20',15,'image/jpeg',33268,'products/20.jpg','[]','2024-08-10 00:00:09','2024-08-10 00:00:09',NULL,'public'),(188,0,'21-1','21-1',15,'image/jpeg',33268,'products/21-1.jpg','[]','2024-08-10 00:00:10','2024-08-10 00:00:10',NULL,'public'),(189,0,'21-2','21-2',15,'image/jpeg',33268,'products/21-2.jpg','[]','2024-08-10 00:00:10','2024-08-10 00:00:10',NULL,'public'),(190,0,'21','21',15,'image/jpeg',33268,'products/21.jpg','[]','2024-08-10 00:00:10','2024-08-10 00:00:10',NULL,'public'),(191,0,'22-1','22-1',15,'image/jpeg',33268,'products/22-1.jpg','[]','2024-08-10 00:00:10','2024-08-10 00:00:10',NULL,'public'),(192,0,'22-2','22-2',15,'image/jpeg',33268,'products/22-2.jpg','[]','2024-08-10 00:00:11','2024-08-10 00:00:11',NULL,'public'),(193,0,'22-3','22-3',15,'image/jpeg',33268,'products/22-3.jpg','[]','2024-08-10 00:00:11','2024-08-10 00:00:11',NULL,'public'),(194,0,'22','22',15,'image/jpeg',33268,'products/22.jpg','[]','2024-08-10 00:00:11','2024-08-10 00:00:11',NULL,'public'),(195,0,'23-1','23-1',15,'image/jpeg',33268,'products/23-1.jpg','[]','2024-08-10 00:00:11','2024-08-10 00:00:11',NULL,'public'),(196,0,'23-2','23-2',15,'image/jpeg',33268,'products/23-2.jpg','[]','2024-08-10 00:00:12','2024-08-10 00:00:12',NULL,'public'),(197,0,'23-3','23-3',15,'image/jpeg',33268,'products/23-3.jpg','[]','2024-08-10 00:00:12','2024-08-10 00:00:12',NULL,'public'),(198,0,'23','23',15,'image/jpeg',33268,'products/23.jpg','[]','2024-08-10 00:00:12','2024-08-10 00:00:12',NULL,'public'),(199,0,'24-1','24-1',15,'image/jpeg',33268,'products/24-1.jpg','[]','2024-08-10 00:00:12','2024-08-10 00:00:12',NULL,'public'),(200,0,'24-2','24-2',15,'image/jpeg',33268,'products/24-2.jpg','[]','2024-08-10 00:00:13','2024-08-10 00:00:13',NULL,'public'),(201,0,'24','24',15,'image/jpeg',33268,'products/24.jpg','[]','2024-08-10 00:00:13','2024-08-10 00:00:13',NULL,'public'),(202,0,'25-1','25-1',15,'image/jpeg',33268,'products/25-1.jpg','[]','2024-08-10 00:00:13','2024-08-10 00:00:13',NULL,'public'),(203,0,'25-2','25-2',15,'image/jpeg',33268,'products/25-2.jpg','[]','2024-08-10 00:00:13','2024-08-10 00:00:13',NULL,'public'),(204,0,'25','25',15,'image/jpeg',33268,'products/25.jpg','[]','2024-08-10 00:00:14','2024-08-10 00:00:14',NULL,'public'),(205,0,'26-1','26-1',15,'image/jpeg',33268,'products/26-1.jpg','[]','2024-08-10 00:00:14','2024-08-10 00:00:14',NULL,'public'),(206,0,'26','26',15,'image/jpeg',33268,'products/26.jpg','[]','2024-08-10 00:00:14','2024-08-10 00:00:14',NULL,'public'),(207,0,'27-1','27-1',15,'image/jpeg',33268,'products/27-1.jpg','[]','2024-08-10 00:00:14','2024-08-10 00:00:14',NULL,'public'),(208,0,'27','27',15,'image/jpeg',33268,'products/27.jpg','[]','2024-08-10 00:00:15','2024-08-10 00:00:15',NULL,'public'),(209,0,'28-1','28-1',15,'image/jpeg',33268,'products/28-1.jpg','[]','2024-08-10 00:00:15','2024-08-10 00:00:15',NULL,'public'),(210,0,'28-2','28-2',15,'image/jpeg',33268,'products/28-2.jpg','[]','2024-08-10 00:00:15','2024-08-10 00:00:15',NULL,'public'),(211,0,'28','28',15,'image/jpeg',33268,'products/28.jpg','[]','2024-08-10 00:00:15','2024-08-10 00:00:15',NULL,'public'),(212,0,'29-1','29-1',15,'image/jpeg',33268,'products/29-1.jpg','[]','2024-08-10 00:00:16','2024-08-10 00:00:16',NULL,'public'),(213,0,'29-2','29-2',15,'image/jpeg',33268,'products/29-2.jpg','[]','2024-08-10 00:00:16','2024-08-10 00:00:16',NULL,'public'),(214,0,'29','29',15,'image/jpeg',33268,'products/29.jpg','[]','2024-08-10 00:00:16','2024-08-10 00:00:16',NULL,'public'),(215,0,'3','3',15,'image/jpeg',33268,'products/3.jpg','[]','2024-08-10 00:00:16','2024-08-10 00:00:16',NULL,'public'),(216,0,'30-1','30-1',15,'image/jpeg',33268,'products/30-1.jpg','[]','2024-08-10 00:00:17','2024-08-10 00:00:17',NULL,'public'),(217,0,'30-2','30-2',15,'image/jpeg',33268,'products/30-2.jpg','[]','2024-08-10 00:00:17','2024-08-10 00:00:17',NULL,'public'),(218,0,'30','30',15,'image/jpeg',33268,'products/30.jpg','[]','2024-08-10 00:00:17','2024-08-10 00:00:17',NULL,'public'),(219,0,'31-1','31-1',15,'image/jpeg',33268,'products/31-1.jpg','[]','2024-08-10 00:00:18','2024-08-10 00:00:18',NULL,'public'),(220,0,'31','31',15,'image/jpeg',33268,'products/31.jpg','[]','2024-08-10 00:00:18','2024-08-10 00:00:18',NULL,'public'),(221,0,'32-1','32-1',15,'image/jpeg',33268,'products/32-1.jpg','[]','2024-08-10 00:00:18','2024-08-10 00:00:18',NULL,'public'),(222,0,'32-2','32-2',15,'image/jpeg',33268,'products/32-2.jpg','[]','2024-08-10 00:00:18','2024-08-10 00:00:18',NULL,'public'),(223,0,'32','32',15,'image/jpeg',33268,'products/32.jpg','[]','2024-08-10 00:00:19','2024-08-10 00:00:19',NULL,'public'),(224,0,'33-1','33-1',15,'image/jpeg',33268,'products/33-1.jpg','[]','2024-08-10 00:00:19','2024-08-10 00:00:19',NULL,'public'),(225,0,'33-2','33-2',15,'image/jpeg',33268,'products/33-2.jpg','[]','2024-08-10 00:00:19','2024-08-10 00:00:19',NULL,'public'),(226,0,'33','33',15,'image/jpeg',33268,'products/33.jpg','[]','2024-08-10 00:00:19','2024-08-10 00:00:19',NULL,'public'),(227,0,'34-1','34-1',15,'image/jpeg',33268,'products/34-1.jpg','[]','2024-08-10 00:00:20','2024-08-10 00:00:20',NULL,'public'),(228,0,'34','34',15,'image/jpeg',33268,'products/34.jpg','[]','2024-08-10 00:00:20','2024-08-10 00:00:20',NULL,'public'),(229,0,'35-1','35-1',15,'image/jpeg',33268,'products/35-1.jpg','[]','2024-08-10 00:00:20','2024-08-10 00:00:20',NULL,'public'),(230,0,'35','35',15,'image/jpeg',33268,'products/35.jpg','[]','2024-08-10 00:00:20','2024-08-10 00:00:20',NULL,'public'),(231,0,'36-1','36-1',15,'image/jpeg',33268,'products/36-1.jpg','[]','2024-08-10 00:00:21','2024-08-10 00:00:21',NULL,'public'),(232,0,'36-2','36-2',15,'image/jpeg',33268,'products/36-2.jpg','[]','2024-08-10 00:00:21','2024-08-10 00:00:21',NULL,'public'),(233,0,'36','36',15,'image/jpeg',33268,'products/36.jpg','[]','2024-08-10 00:00:21','2024-08-10 00:00:21',NULL,'public'),(234,0,'37-1','37-1',15,'image/jpeg',33268,'products/37-1.jpg','[]','2024-08-10 00:00:21','2024-08-10 00:00:21',NULL,'public'),(235,0,'37-2','37-2',15,'image/jpeg',33268,'products/37-2.jpg','[]','2024-08-10 00:00:22','2024-08-10 00:00:22',NULL,'public'),(236,0,'37','37',15,'image/jpeg',33268,'products/37.jpg','[]','2024-08-10 00:00:22','2024-08-10 00:00:22',NULL,'public'),(237,0,'38-1','38-1',15,'image/jpeg',33268,'products/38-1.jpg','[]','2024-08-10 00:00:22','2024-08-10 00:00:22',NULL,'public'),(238,0,'38-2','38-2',15,'image/jpeg',33268,'products/38-2.jpg','[]','2024-08-10 00:00:22','2024-08-10 00:00:22',NULL,'public'),(239,0,'38-3','38-3',15,'image/jpeg',33268,'products/38-3.jpg','[]','2024-08-10 00:00:23','2024-08-10 00:00:23',NULL,'public'),(240,0,'38','38',15,'image/jpeg',33268,'products/38.jpg','[]','2024-08-10 00:00:23','2024-08-10 00:00:23',NULL,'public'),(241,0,'39-1','39-1',15,'image/jpeg',33268,'products/39-1.jpg','[]','2024-08-10 00:00:23','2024-08-10 00:00:23',NULL,'public'),(242,0,'39-2','39-2',15,'image/jpeg',33268,'products/39-2.jpg','[]','2024-08-10 00:00:23','2024-08-10 00:00:23',NULL,'public'),(243,0,'39','39',15,'image/jpeg',33268,'products/39.jpg','[]','2024-08-10 00:00:24','2024-08-10 00:00:24',NULL,'public'),(244,0,'4-1','4-1',15,'image/jpeg',33268,'products/4-1.jpg','[]','2024-08-10 00:00:24','2024-08-10 00:00:24',NULL,'public'),(245,0,'4-2','4-2',15,'image/jpeg',33268,'products/4-2.jpg','[]','2024-08-10 00:00:24','2024-08-10 00:00:24',NULL,'public'),(246,0,'4-3','4-3',15,'image/jpeg',33268,'products/4-3.jpg','[]','2024-08-10 00:00:24','2024-08-10 00:00:24',NULL,'public'),(247,0,'4','4',15,'image/jpeg',33268,'products/4.jpg','[]','2024-08-10 00:00:25','2024-08-10 00:00:25',NULL,'public'),(248,0,'40-1','40-1',15,'image/jpeg',33268,'products/40-1.jpg','[]','2024-08-10 00:00:25','2024-08-10 00:00:25',NULL,'public'),(249,0,'40','40',15,'image/jpeg',33268,'products/40.jpg','[]','2024-08-10 00:00:25','2024-08-10 00:00:25',NULL,'public'),(250,0,'41-1','41-1',15,'image/jpeg',33268,'products/41-1.jpg','[]','2024-08-10 00:00:25','2024-08-10 00:00:25',NULL,'public'),(251,0,'41-2','41-2',15,'image/jpeg',33268,'products/41-2.jpg','[]','2024-08-10 00:00:26','2024-08-10 00:00:26',NULL,'public'),(252,0,'41','41',15,'image/jpeg',33268,'products/41.jpg','[]','2024-08-10 00:00:26','2024-08-10 00:00:26',NULL,'public'),(253,0,'42-1','42-1',15,'image/jpeg',33268,'products/42-1.jpg','[]','2024-08-10 00:00:26','2024-08-10 00:00:26',NULL,'public'),(254,0,'42-2','42-2',15,'image/jpeg',33268,'products/42-2.jpg','[]','2024-08-10 00:00:27','2024-08-10 00:00:27',NULL,'public'),(255,0,'42','42',15,'image/jpeg',33268,'products/42.jpg','[]','2024-08-10 00:00:27','2024-08-10 00:00:27',NULL,'public'),(256,0,'43-1','43-1',15,'image/jpeg',33268,'products/43-1.jpg','[]','2024-08-10 00:00:27','2024-08-10 00:00:27',NULL,'public'),(257,0,'43-2','43-2',15,'image/jpeg',33268,'products/43-2.jpg','[]','2024-08-10 00:00:27','2024-08-10 00:00:27',NULL,'public'),(258,0,'43','43',15,'image/jpeg',33268,'products/43.jpg','[]','2024-08-10 00:00:28','2024-08-10 00:00:28',NULL,'public'),(259,0,'44-1','44-1',15,'image/jpeg',33268,'products/44-1.jpg','[]','2024-08-10 00:00:28','2024-08-10 00:00:28',NULL,'public'),(260,0,'44-2','44-2',15,'image/jpeg',33268,'products/44-2.jpg','[]','2024-08-10 00:00:28','2024-08-10 00:00:28',NULL,'public'),(261,0,'44','44',15,'image/jpeg',33268,'products/44.jpg','[]','2024-08-10 00:00:28','2024-08-10 00:00:28',NULL,'public'),(262,0,'45-1','45-1',15,'image/jpeg',33268,'products/45-1.jpg','[]','2024-08-10 00:00:29','2024-08-10 00:00:29',NULL,'public'),(263,0,'45','45',15,'image/jpeg',33268,'products/45.jpg','[]','2024-08-10 00:00:29','2024-08-10 00:00:29',NULL,'public'),(264,0,'46-1','46-1',15,'image/jpeg',33268,'products/46-1.jpg','[]','2024-08-10 00:00:29','2024-08-10 00:00:29',NULL,'public'),(265,0,'46','46',15,'image/jpeg',33268,'products/46.jpg','[]','2024-08-10 00:00:29','2024-08-10 00:00:29',NULL,'public'),(266,0,'47-1','47-1',15,'image/jpeg',33268,'products/47-1.jpg','[]','2024-08-10 00:00:30','2024-08-10 00:00:30',NULL,'public'),(267,0,'47','47',15,'image/jpeg',33268,'products/47.jpg','[]','2024-08-10 00:00:30','2024-08-10 00:00:30',NULL,'public'),(268,0,'48-1','48-1',15,'image/jpeg',33268,'products/48-1.jpg','[]','2024-08-10 00:00:30','2024-08-10 00:00:30',NULL,'public'),(269,0,'48-2','48-2',15,'image/jpeg',33268,'products/48-2.jpg','[]','2024-08-10 00:00:30','2024-08-10 00:00:30',NULL,'public'),(270,0,'48','48',15,'image/jpeg',33268,'products/48.jpg','[]','2024-08-10 00:00:31','2024-08-10 00:00:31',NULL,'public'),(271,0,'49-1','49-1',15,'image/jpeg',33268,'products/49-1.jpg','[]','2024-08-10 00:00:31','2024-08-10 00:00:31',NULL,'public'),(272,0,'49-2','49-2',15,'image/jpeg',33268,'products/49-2.jpg','[]','2024-08-10 00:00:31','2024-08-10 00:00:31',NULL,'public'),(273,0,'49','49',15,'image/jpeg',33268,'products/49.jpg','[]','2024-08-10 00:00:31','2024-08-10 00:00:31',NULL,'public'),(274,0,'5-1','5-1',15,'image/jpeg',33268,'products/5-1.jpg','[]','2024-08-10 00:00:32','2024-08-10 00:00:32',NULL,'public'),(275,0,'5-2','5-2',15,'image/jpeg',33268,'products/5-2.jpg','[]','2024-08-10 00:00:32','2024-08-10 00:00:32',NULL,'public'),(276,0,'5-3','5-3',15,'image/jpeg',33268,'products/5-3.jpg','[]','2024-08-10 00:00:32','2024-08-10 00:00:32',NULL,'public'),(277,0,'5','5',15,'image/jpeg',33268,'products/5.jpg','[]','2024-08-10 00:00:32','2024-08-10 00:00:32',NULL,'public'),(278,0,'50-1','50-1',15,'image/jpeg',33268,'products/50-1.jpg','[]','2024-08-10 00:00:33','2024-08-10 00:00:33',NULL,'public'),(279,0,'50','50',15,'image/jpeg',33268,'products/50.jpg','[]','2024-08-10 00:00:33','2024-08-10 00:00:33',NULL,'public'),(280,0,'51','51',15,'image/jpeg',33268,'products/51.jpg','[]','2024-08-10 00:00:33','2024-08-10 00:00:33',NULL,'public'),(281,0,'52-1','52-1',15,'image/jpeg',33268,'products/52-1.jpg','[]','2024-08-10 00:00:33','2024-08-10 00:00:33',NULL,'public'),(282,0,'52-2','52-2',15,'image/jpeg',33268,'products/52-2.jpg','[]','2024-08-10 00:00:34','2024-08-10 00:00:34',NULL,'public'),(283,0,'52','52',15,'image/jpeg',33268,'products/52.jpg','[]','2024-08-10 00:00:34','2024-08-10 00:00:34',NULL,'public'),(284,0,'53-1','53-1',15,'image/jpeg',33268,'products/53-1.jpg','[]','2024-08-10 00:00:34','2024-08-10 00:00:34',NULL,'public'),(285,0,'53','53',15,'image/jpeg',33268,'products/53.jpg','[]','2024-08-10 00:00:34','2024-08-10 00:00:34',NULL,'public'),(286,0,'54-1','54-1',15,'image/jpeg',33268,'products/54-1.jpg','[]','2024-08-10 00:00:35','2024-08-10 00:00:35',NULL,'public'),(287,0,'54','54',15,'image/jpeg',33268,'products/54.jpg','[]','2024-08-10 00:00:35','2024-08-10 00:00:35',NULL,'public'),(288,0,'55-1','55-1',15,'image/jpeg',33268,'products/55-1.jpg','[]','2024-08-10 00:00:35','2024-08-10 00:00:35',NULL,'public'),(289,0,'55-2','55-2',15,'image/jpeg',33268,'products/55-2.jpg','[]','2024-08-10 00:00:35','2024-08-10 00:00:35',NULL,'public'),(290,0,'55','55',15,'image/jpeg',33268,'products/55.jpg','[]','2024-08-10 00:00:36','2024-08-10 00:00:36',NULL,'public'),(291,0,'56-1','56-1',15,'image/jpeg',33268,'products/56-1.jpg','[]','2024-08-10 00:00:36','2024-08-10 00:00:36',NULL,'public'),(292,0,'56-2','56-2',15,'image/jpeg',33268,'products/56-2.jpg','[]','2024-08-10 00:00:36','2024-08-10 00:00:36',NULL,'public'),(293,0,'56','56',15,'image/jpeg',33268,'products/56.jpg','[]','2024-08-10 00:00:36','2024-08-10 00:00:36',NULL,'public'),(294,0,'57-1','57-1',15,'image/jpeg',33268,'products/57-1.jpg','[]','2024-08-10 00:00:37','2024-08-10 00:00:37',NULL,'public'),(295,0,'57','57',15,'image/jpeg',33268,'products/57.jpg','[]','2024-08-10 00:00:37','2024-08-10 00:00:37',NULL,'public'),(296,0,'58-1','58-1',15,'image/jpeg',33268,'products/58-1.jpg','[]','2024-08-10 00:00:37','2024-08-10 00:00:37',NULL,'public'),(297,0,'58-2','58-2',15,'image/jpeg',33268,'products/58-2.jpg','[]','2024-08-10 00:00:37','2024-08-10 00:00:37',NULL,'public'),(298,0,'58','58',15,'image/jpeg',33268,'products/58.jpg','[]','2024-08-10 00:00:38','2024-08-10 00:00:38',NULL,'public'),(299,0,'59-1','59-1',15,'image/jpeg',33268,'products/59-1.jpg','[]','2024-08-10 00:00:38','2024-08-10 00:00:38',NULL,'public'),(300,0,'59-2','59-2',15,'image/jpeg',33268,'products/59-2.jpg','[]','2024-08-10 00:00:38','2024-08-10 00:00:38',NULL,'public'),(301,0,'59-3','59-3',15,'image/jpeg',33268,'products/59-3.jpg','[]','2024-08-10 00:00:39','2024-08-10 00:00:39',NULL,'public'),(302,0,'59','59',15,'image/jpeg',33268,'products/59.jpg','[]','2024-08-10 00:00:39','2024-08-10 00:00:39',NULL,'public'),(303,0,'6','6',15,'image/jpeg',33268,'products/6.jpg','[]','2024-08-10 00:00:39','2024-08-10 00:00:39',NULL,'public'),(304,0,'60-1','60-1',15,'image/jpeg',33268,'products/60-1.jpg','[]','2024-08-10 00:00:39','2024-08-10 00:00:39',NULL,'public'),(305,0,'60-2','60-2',15,'image/jpeg',33268,'products/60-2.jpg','[]','2024-08-10 00:00:40','2024-08-10 00:00:40',NULL,'public'),(306,0,'60','60',15,'image/jpeg',33268,'products/60.jpg','[]','2024-08-10 00:00:40','2024-08-10 00:00:40',NULL,'public'),(307,0,'61-1','61-1',15,'image/jpeg',33268,'products/61-1.jpg','[]','2024-08-10 00:00:40','2024-08-10 00:00:40',NULL,'public'),(308,0,'61','61',15,'image/jpeg',33268,'products/61.jpg','[]','2024-08-10 00:00:40','2024-08-10 00:00:40',NULL,'public'),(309,0,'62-1','62-1',15,'image/jpeg',33268,'products/62-1.jpg','[]','2024-08-10 00:00:41','2024-08-10 00:00:41',NULL,'public'),(310,0,'62','62',15,'image/jpeg',33268,'products/62.jpg','[]','2024-08-10 00:00:41','2024-08-10 00:00:41',NULL,'public'),(311,0,'63-1','63-1',15,'image/jpeg',33268,'products/63-1.jpg','[]','2024-08-10 00:00:41','2024-08-10 00:00:41',NULL,'public'),(312,0,'63','63',15,'image/jpeg',33268,'products/63.jpg','[]','2024-08-10 00:00:41','2024-08-10 00:00:41',NULL,'public'),(313,0,'64-1','64-1',15,'image/jpeg',33268,'products/64-1.jpg','[]','2024-08-10 00:00:42','2024-08-10 00:00:42',NULL,'public'),(314,0,'64','64',15,'image/jpeg',33268,'products/64.jpg','[]','2024-08-10 00:00:42','2024-08-10 00:00:42',NULL,'public'),(315,0,'65-1','65-1',15,'image/jpeg',33268,'products/65-1.jpg','[]','2024-08-10 00:00:42','2024-08-10 00:00:42',NULL,'public'),(316,0,'65-2','65-2',15,'image/jpeg',33268,'products/65-2.jpg','[]','2024-08-10 00:00:42','2024-08-10 00:00:42',NULL,'public'),(317,0,'65','65',15,'image/jpeg',33268,'products/65.jpg','[]','2024-08-10 00:00:43','2024-08-10 00:00:43',NULL,'public'),(318,0,'7','7',15,'image/jpeg',33268,'products/7.jpg','[]','2024-08-10 00:00:43','2024-08-10 00:00:43',NULL,'public'),(319,0,'8-1','8-1',15,'image/jpeg',33268,'products/8-1.jpg','[]','2024-08-10 00:00:43','2024-08-10 00:00:43',NULL,'public'),(320,0,'8-2','8-2',15,'image/jpeg',33268,'products/8-2.jpg','[]','2024-08-10 00:00:43','2024-08-10 00:00:43',NULL,'public'),(321,0,'8-3','8-3',15,'image/jpeg',33268,'products/8-3.jpg','[]','2024-08-10 00:00:44','2024-08-10 00:00:44',NULL,'public'),(322,0,'8','8',15,'image/jpeg',33268,'products/8.jpg','[]','2024-08-10 00:00:44','2024-08-10 00:00:44',NULL,'public'),(323,0,'9-1','9-1',15,'image/jpeg',33268,'products/9-1.jpg','[]','2024-08-10 00:00:44','2024-08-10 00:00:44',NULL,'public'),(324,0,'9-2','9-2',15,'image/jpeg',33268,'products/9-2.jpg','[]','2024-08-10 00:00:44','2024-08-10 00:00:44',NULL,'public'),(325,0,'9','9',15,'image/jpeg',33268,'products/9.jpg','[]','2024-08-10 00:00:45','2024-08-10 00:00:45',NULL,'public'),(326,0,'1','1',16,'image/jpeg',9803,'customers/1.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(327,0,'10','10',16,'image/jpeg',9803,'customers/10.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(328,0,'2','2',16,'image/jpeg',9803,'customers/2.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(329,0,'3','3',16,'image/jpeg',9803,'customers/3.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(330,0,'4','4',16,'image/jpeg',9803,'customers/4.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(331,0,'5','5',16,'image/jpeg',9803,'customers/5.jpg','[]','2024-08-10 00:00:47','2024-08-10 00:00:47',NULL,'public'),(332,0,'6','6',16,'image/jpeg',9803,'customers/6.jpg','[]','2024-08-10 00:00:48','2024-08-10 00:00:48',NULL,'public'),(333,0,'7','7',16,'image/jpeg',9803,'customers/7.jpg','[]','2024-08-10 00:00:48','2024-08-10 00:00:48',NULL,'public'),(334,0,'8','8',16,'image/jpeg',9803,'customers/8.jpg','[]','2024-08-10 00:00:48','2024-08-10 00:00:48',NULL,'public'),(335,0,'9','9',16,'image/jpeg',9803,'customers/9.jpg','[]','2024-08-10 00:00:48','2024-08-10 00:00:48',NULL,'public');
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'general',NULL,'general',0,'2024-08-09 23:59:37','2024-08-09 23:59:37',NULL),(2,0,'icons',NULL,'icons',0,'2024-08-09 23:59:40','2024-08-09 23:59:40',NULL),(3,0,'backgrounds',NULL,'backgrounds',0,'2024-08-09 23:59:43','2024-08-09 23:59:43',NULL),(5,0,'downloads',NULL,'downloads',0,'2024-08-09 23:59:46','2024-08-09 23:59:46',NULL),(6,0,'galleries',NULL,'galleries',0,'2024-08-09 23:59:46','2024-08-09 23:59:46',NULL),(7,0,'teams',NULL,'teams',0,'2024-08-09 23:59:48','2024-08-09 23:59:48',NULL),(8,0,'news',NULL,'news',0,'2024-08-09 23:59:50','2024-08-09 23:59:50',NULL),(9,0,'projects',NULL,'projects',0,'2024-08-09 23:59:55','2024-08-09 23:59:55',NULL),(10,0,'sliders',NULL,'sliders',0,'2024-08-09 23:59:58','2024-08-09 23:59:58',NULL),(11,0,'testimonials',NULL,'testimonials',0,'2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(12,0,'careers',NULL,'careers',0,'2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(13,0,'product-categories',NULL,'product-categories',0,'2024-08-09 23:59:59','2024-08-09 23:59:59',NULL),(14,0,'brands',NULL,'brands',0,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL),(15,0,'products',NULL,'products',0,'2024-08-10 00:00:00','2024-08-10 00:00:00',NULL),(16,0,'customers',NULL,'customers',0,'2024-08-10 00:00:47','2024-08-10 00:00:47',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,'/',NULL,0,'Home',NULL,'_self',1,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(2,1,1,NULL,NULL,'https://apexa.archielite.com',NULL,0,'Business',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(3,1,1,NULL,NULL,'https://apexa-finance.archielite.com',NULL,0,'Finance',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(4,1,1,NULL,NULL,'https://apexa-consulting.archielite.com',NULL,0,'Consulting',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(5,1,1,NULL,NULL,'https://apexa-insurance.archielite.com',NULL,0,'Insurance',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(6,1,1,NULL,NULL,'https://apexa-digital-agency.archielite.com',NULL,0,'Digital Agency',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(7,1,1,NULL,NULL,'https://apexa-finance-solutions.archielite.com',NULL,0,'Finance Solutions',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(8,1,1,NULL,NULL,'https://apexa-accounting-services.archielite.com',NULL,0,'Accounting Services',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(9,1,1,NULL,NULL,'https://apexa-it-solutions.archielite.com',NULL,0,'IT Solutions',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(10,1,0,NULL,NULL,'/',NULL,0,'About Us',NULL,'_self',1,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(11,1,10,4,'Botble\\Page\\Models\\Page','/business-about',NULL,0,'Business About',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(12,1,10,5,'Botble\\Page\\Models\\Page','/finance-about',NULL,0,'Finance About',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(13,1,10,6,'Botble\\Page\\Models\\Page','/consulting-about',NULL,0,'Consulting About',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(14,1,10,7,'Botble\\Page\\Models\\Page','/insurance-about',NULL,0,'Insurance About',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(15,1,10,8,'Botble\\Page\\Models\\Page','/digital-agency-about',NULL,0,'Digital agency About',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(16,1,0,NULL,NULL,'/',NULL,0,'Services',NULL,'_self',1,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(17,1,16,9,'Botble\\Page\\Models\\Page','/services',NULL,0,'Business Service',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(18,1,16,10,'Botble\\Page\\Models\\Page','/finance-service',NULL,0,'Finance Service',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(19,1,16,11,'Botble\\Page\\Models\\Page','/consulting-service',NULL,0,'Consulting Service',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(20,1,16,13,'Botble\\Page\\Models\\Page','/insurance-service',NULL,0,'Insurance Service',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(21,1,16,12,'Botble\\Page\\Models\\Page','/digital-agency-service',NULL,0,'Digital Agency Service',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(22,1,16,NULL,NULL,'/services/data-analyst',NULL,0,'Service Details One',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(23,1,0,NULL,NULL,'/',NULL,0,'Pages',NULL,'_self',1,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(24,1,23,NULL,NULL,'/careers',NULL,0,'Careers',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(25,1,23,NULL,NULL,'/careers/lead-backend-developer',NULL,0,'Career Details',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:45'),(26,1,23,14,'Botble\\Page\\Models\\Page','/team-one',NULL,0,'Team One',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(27,1,23,15,'Botble\\Page\\Models\\Page','/team-two',NULL,0,'Team Two',NULL,'_self',0,'2024-08-09 23:59:45','2024-08-09 23:59:46'),(28,1,23,16,'Botble\\Page\\Models\\Page','/team-three',NULL,0,'Team Three',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(29,1,23,17,'Botble\\Page\\Models\\Page','/team-four',NULL,0,'Team Four',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(30,1,23,NULL,NULL,'/teams/devon-lane',NULL,0,'Team Details',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(31,1,23,NULL,NULL,'/projects/strategic-planning',NULL,0,'Project Details',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(32,1,23,NULL,NULL,'/products',NULL,0,'Product List',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(33,1,23,NULL,NULL,'/products/kelloggs-coco-pops-cereal-digital',NULL,0,'Product Details',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(34,1,23,NULL,NULL,'/404',NULL,0,'404 Error Page',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(35,1,23,NULL,NULL,'/login',NULL,0,'Login Page',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(36,1,23,NULL,NULL,'/resister',NULL,0,'Register Page',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(37,1,23,NULL,NULL,'/password/reset',NULL,0,'Forgot password Page',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(38,1,0,NULL,NULL,'/',NULL,0,'Blogs',NULL,'_self',1,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(39,1,38,3,'Botble\\Page\\Models\\Page','/blog',NULL,0,'Our Blog',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(40,1,38,NULL,NULL,'/the-art-of-negotiation-winning-deals-and-building-relationships',NULL,0,'Blog Details',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46'),(41,1,0,2,'Botble\\Page\\Models\\Page','/contact-us',NULL,0,'Contact Us',NULL,'_self',0,'2024-08-09 23:59:46','2024-08-09 23:59:46');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'action_label','[\"Get The Plan Now\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,'action_url','[\"\\/contact-us\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(3,'action_label','[\"Get The Plan Now\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(4,'action_url','[\"\\/contact-us\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(5,'action_label','[\"Get The Plan Now\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(6,'action_url','[\"\\/contact-us\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:59:58','2024-08-09 23:59:58'),(7,'category','[\"Financing Management\"]',1,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(8,'category','[\"Business Strategy\"]',2,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(9,'category','[\"Financing Management\"]',3,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(10,'category','[\"Business Services\"]',4,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(11,'category','[\"Business Services\"]',5,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(12,'category','[\"Financing Management\"]',6,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(13,'category','[\"Inventory Tracking\"]',7,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(14,'category','[\"Business Strategy\"]',8,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(15,'category','[\"Inventory Tracking\"]',9,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:59:58','2024-08-09 23:59:58'),(16,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:59:58','2024-08-09 23:59:58'),(17,'icon','[\"ti ti-square-percentage\"]',2,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:59:58','2024-08-09 23:59:58'),(18,'icon','[\"ti ti-layers-subtract\"]',3,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:59:58','2024-08-09 23:59:58'),(19,'icon','[\"ti ti-timeline\"]',4,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:59:58','2024-08-09 23:59:58'),(20,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(21,'icon','[\"ti ti-calendar-week\"]',2,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(22,'icon','[\"ti ti-coin\"]',3,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(23,'icon','[\"ti ti-layers-subtract\"]',4,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(24,'icon','[\"ti ti-brand-databricks\"]',5,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(25,'icon','[\"ti ti-report-analytics\"]',6,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(26,'icon','[\"ti ti-moneybag\"]',7,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(27,'icon','[\"ti ti-layers-subtract\"]',8,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(28,'icon','[\"ti ti-moneybag\"]',9,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(29,'icon','[\"ti ti-heart-handshake\"]',10,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(30,'icon','[\"ti ti-code-circle\"]',11,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(31,'icon','[\"ti ti-presentation\"]',12,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(32,'icon','[\"ti ti-brand-funimation\"]',13,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:59:58','2024-08-09 23:59:58'),(33,'subtitle','[\"We Are Expert In This Field\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(34,'button_label','[\"Free Consulting\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(35,'data_count','[15]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(36,'data_count_description','[\"Years of applying <br> digital transformation\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(37,'subtitle','[\"Actionable Analytics & Reporting\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(38,'button_label','[\"Learn More\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(39,'data_count','[25]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(40,'data_count_description','[\"Years Experiences <br> in this field\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:59:59','2024-08-09 23:59:59'),(41,'rating_star','[5]',1,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:59:59','2024-08-09 23:59:59'),(42,'rating_star','[5]',2,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:59:59','2024-08-09 23:59:59'),(43,'rating_star','[5]',3,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:59:59','2024-08-09 23:59:59'),(44,'rating_star','[5]',4,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:59:59','2024-08-09 23:59:59'),(45,'image','[\"careers\\/banner.jpg\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(46,'icon','[\"ti ti-chart-bar\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(47,'apply_url','[\"\\/contact-us\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(48,'image','[\"careers\\/banner.jpg\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(49,'icon','[\"ti ti-replace\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(50,'apply_url','[\"\\/contact-us\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(51,'image','[\"careers\\/banner.jpg\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(52,'icon','[\"ti ti-components\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(53,'apply_url','[\"\\/contact-us\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(54,'image','[\"careers\\/banner.jpg\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(55,'icon','[\"ti ti-brand-deezer\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(56,'apply_url','[\"\\/contact-us\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(57,'image','[\"careers\\/banner.jpg\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(58,'icon','[\"ti ti-video\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(59,'apply_url','[\"\\/contact-us\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(60,'image','[\"careers\\/banner.jpg\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(61,'icon','[\"ti ti-device-desktop-code\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(62,'apply_url','[\"\\/contact-us\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:59:59','2024-08-09 23:59:59'),(63,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',1,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(64,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',2,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(65,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',3,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(66,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',4,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(67,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',5,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(68,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',6,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(69,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',7,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(70,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',8,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(71,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',9,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(72,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',10,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(73,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',11,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(74,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',12,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(75,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',13,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(76,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',14,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(77,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',15,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(78,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',16,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(79,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',17,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(80,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',18,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(81,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',19,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(82,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',20,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(83,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',21,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(84,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',22,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(85,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',23,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(86,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',24,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(87,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',25,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(88,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',26,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(89,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',27,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(90,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',28,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(91,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',29,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(92,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',30,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(93,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',31,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(94,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',32,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(95,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',33,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(96,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',34,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(97,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',35,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(98,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',36,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(99,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',37,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(100,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',38,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(101,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',39,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(102,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',40,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(103,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',41,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(104,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',42,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(105,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',43,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(106,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',44,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(107,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',45,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(108,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',46,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(109,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',47,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(110,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',48,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(111,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',49,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(112,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',50,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(113,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',51,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(114,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',52,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(115,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',53,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(116,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',54,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(117,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',55,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(118,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',56,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(119,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',57,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(120,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',58,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(121,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',59,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(122,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',60,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(123,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',61,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(124,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',62,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(125,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',63,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(126,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',64,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45'),(127,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',65,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:00:45','2024-08-10 00:00:45');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=201 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2015_06_18_033822_create_blog_table',1),(6,'2015_06_29_025744_create_audit_history',1),(7,'2016_06_10_230148_create_acl_tables',1),(8,'2016_06_14_230857_create_menus_table',1),(9,'2016_06_17_091537_create_contacts_table',1),(10,'2016_06_28_221418_create_pages_table',1),(11,'2016_10_03_032336_create_languages_table',1),(12,'2016_10_05_074239_create_setting_table',1),(13,'2016_10_07_193005_create_translations_table',1),(14,'2016_10_13_150201_create_galleries_table',1),(15,'2016_11_28_032840_create_dashboard_widget_tables',1),(16,'2016_12_16_084601_create_widgets_table',1),(17,'2017_05_09_070343_create_media_tables',1),(18,'2017_05_18_080441_create_payment_tables',1),(19,'2017_07_11_140018_create_simple_slider_table',1),(20,'2017_10_24_154832_create_newsletter_table',1),(21,'2017_11_03_070450_create_slug_table',1),(22,'2018_07_09_214610_create_testimonial_table',1),(23,'2018_07_09_221238_create_faq_table',1),(24,'2019_01_05_053554_create_jobs_table',1),(25,'2019_06_24_211801_create_career_table',1),(26,'2019_08_19_000000_create_failed_jobs_table',1),(27,'2019_11_18_061011_create_country_table',1),(28,'2019_12_14_000001_create_personal_access_tokens_table',1),(29,'2020_03_05_041139_create_ecommerce_tables',1),(30,'2021_01_01_044147_ecommerce_create_flash_sale_table',1),(31,'2021_01_17_082713_add_column_is_featured_to_product_collections_table',1),(32,'2021_01_18_024333_add_zip_code_into_table_customer_addresses',1),(33,'2021_02_16_092633_remove_default_value_for_author_type',1),(34,'2021_02_18_073505_update_table_ec_reviews',1),(35,'2021_03_10_024419_add_column_confirmed_at_to_table_ec_customers',1),(36,'2021_03_10_025153_change_column_tax_amount',1),(37,'2021_03_20_033103_add_column_availability_to_table_ec_products',1),(38,'2021_03_27_144913_add_customer_type_into_table_payments',1),(39,'2021_04_28_074008_ecommerce_create_product_label_table',1),(40,'2021_05_24_034720_make_column_currency_nullable',1),(41,'2021_05_31_173037_ecommerce_create_ec_products_translations',1),(42,'2021_08_09_161302_add_metadata_column_to_payments_table',1),(43,'2021_08_17_105016_remove_column_currency_id_in_some_tables',1),(44,'2021_08_30_142128_add_images_column_to_ec_reviews_table',1),(45,'2021_10_04_030050_add_column_created_by_to_table_ec_products',1),(46,'2021_10_05_122616_add_status_column_to_ec_customers_table',1),(47,'2021_10_19_020859_update_metadata_field',1),(48,'2021_10_25_021023_fix-priority-load-for-language-advanced',1),(49,'2021_11_03_025806_nullable_phone_number_in_ec_customer_addresses',1),(50,'2021_11_23_071403_correct_languages_for_product_variations',1),(51,'2021_11_28_031808_add_product_tags_translations',1),(52,'2021_12_01_031123_add_featured_image_to_ec_products',1),(53,'2021_12_03_030600_create_blog_translations',1),(54,'2021_12_03_075608_create_page_translations',1),(55,'2021_12_03_082134_create_faq_translations',1),(56,'2021_12_03_082953_create_gallery_translations',1),(57,'2021_12_03_083642_create_testimonials_translations',1),(58,'2021_12_03_084118_create_location_translations',1),(59,'2021_12_03_094518_migrate_old_location_data',1),(60,'2021_12_04_095357_create_careers_translations_table',1),(61,'2021_12_10_034440_switch_plugin_location_to_use_language_advanced',1),(62,'2022_01_01_033107_update_table_ec_shipments',1),(63,'2022_01_16_085908_improve_plugin_location',1),(64,'2022_02_16_042457_improve_product_attribute_sets',1),(65,'2022_03_22_075758_correct_product_name',1),(66,'2022_04_19_113334_add_index_to_ec_products',1),(67,'2022_04_19_113923_add_index_to_table_posts',1),(68,'2022_04_20_100851_add_index_to_media_table',1),(69,'2022_04_20_101046_add_index_to_menu_table',1),(70,'2022_04_28_144405_remove_unused_table',1),(71,'2022_04_30_034048_create_gallery_meta_translations_table',1),(72,'2022_05_05_115015_create_ec_customer_recently_viewed_products_table',1),(73,'2022_05_18_143720_add_index_to_table_ec_product_categories',1),(74,'2022_06_16_095633_add_index_to_some_tables',1),(75,'2022_06_28_151901_activate_paypal_stripe_plugin',1),(76,'2022_06_30_035148_create_order_referrals_table',1),(77,'2022_07_07_153354_update_charge_id_in_table_payments',1),(78,'2022_07_10_034813_move_lang_folder_to_root',1),(79,'2022_07_24_153815_add_completed_at_to_ec_orders_table',1),(80,'2022_08_04_051940_add_missing_column_expires_at',1),(81,'2022_08_04_052122_delete_location_backup_tables',1),(82,'2022_08_14_032836_create_ec_order_returns_table',1),(83,'2022_08_14_033554_create_ec_order_return_items_table',1),(84,'2022_08_15_040324_add_billing_address',1),(85,'2022_08_30_091114_support_digital_products_table',1),(86,'2022_09_01_000001_create_admin_notifications_tables',1),(87,'2022_09_13_095744_create_options_table',1),(88,'2022_09_13_104347_create_option_value_table',1),(89,'2022_10_05_163518_alter_table_ec_order_product',1),(90,'2022_10_12_041517_create_invoices_table',1),(91,'2022_10_12_142226_update_orders_table',1),(92,'2022_10_13_024916_update_table_order_returns',1),(93,'2022_10_14_024629_drop_column_is_featured',1),(94,'2022_10_21_030830_update_columns_in_ec_shipments_table',1),(95,'2022_10_28_021046_update_columns_in_ec_shipments_table',1),(96,'2022_11_02_092723_team_create_team_table',1),(97,'2022_11_16_034522_update_type_column_in_ec_shipping_rules_table',1),(98,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(99,'2022_11_19_041643_add_ec_tax_product_table',1),(100,'2022_12_02_093615_update_slug_index_columns',1),(101,'2022_12_12_063830_update_tax_defadult_in_ec_tax_products_table',1),(102,'2022_12_17_041532_fix_address_in_order_invoice',1),(103,'2022_12_26_070329_create_ec_product_views_table',1),(104,'2023_01_04_033051_fix_product_categories',1),(105,'2023_01_09_050400_add_ec_global_options_translations_table',1),(106,'2023_01_10_093754_add_missing_option_value_id',1),(107,'2023_01_17_082713_add_column_barcode_and_cost_per_item_to_product_table',1),(108,'2023_01_26_021854_add_ec_customer_used_coupons_table',1),(109,'2023_01_30_024431_add_alt_to_media_table',1),(110,'2023_02_08_015900_update_options_column_in_ec_order_product_table',1),(111,'2023_02_16_042611_drop_table_password_resets',1),(112,'2023_02_27_095752_remove_duplicate_reviews',1),(113,'2023_03_20_115757_add_user_type_column_to_ec_shipment_histories_table',1),(114,'2023_04_21_082427_create_ec_product_categorizables_table',1),(115,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(116,'2023_04_23_061847_increase_state_translations_abbreviation_column',1),(117,'2023_05_03_011331_add_missing_column_price_into_invoice_items_table',1),(118,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(119,'2023_05_17_025812_fix_invoice_issue',1),(120,'2023_05_26_073140_move_option_make_phone_field_optional_at_checkout_page_to_mandatory_fields',1),(121,'2023_05_27_144611_fix_exchange_rate_setting',1),(122,'2023_06_22_084331_add_generate_license_code_to_ec_products_table',1),(123,'2023_06_30_042512_create_ec_order_tax_information_table',1),(124,'2023_07_06_011444_create_slug_translations_table',1),(125,'2023_07_14_022724_remove_column_id_from_ec_product_collection_products',1),(126,'2023_07_25_072632_create_portfolio_tables',1),(127,'2023_07_26_041451_add_more_columns_to_location_table',1),(128,'2023_07_27_041451_add_more_columns_to_location_translation_table',1),(129,'2023_08_03_041207_remove_unused_plugins',1),(130,'2023_08_06_070140_fix_shortcode_name',1),(131,'2023_08_09_012940_remove_column_status_in_ec_product_attributes',1),(132,'2023_08_09_035520_activate_business_services_plugin',1),(133,'2023_08_10_030324_migrate_old_shortcodes',1),(134,'2023_08_11_060908_create_announcements_table',1),(135,'2023_08_11_094574_update_team_table',1),(136,'2023_08_15_064505_create_ec_tax_rules_table',1),(137,'2023_08_15_073307_drop_unique_in_states_cities_translations',1),(138,'2023_08_21_021819_make_column_address_in_ec_customer_addresses_nullable',1),(139,'2023_08_21_090810_make_page_content_nullable',1),(140,'2023_08_22_094114_drop_unique_for_barcode',1),(141,'2023_08_29_074620_make_column_author_id_nullable',1),(142,'2023_08_29_075308_make_column_user_id_nullable',1),(143,'2023_08_30_031811_add_apply_via_url_column_to_ec_discounts_table',1),(144,'2023_09_07_094312_add_index_to_product_sku_and_translations',1),(145,'2023_09_11_023233_create_pf_custom_fields_table',1),(146,'2023_09_13_042633_add_columns_to_pf_projects_table',1),(147,'2023_09_13_044041_create_pf_project_categories_table',1),(148,'2023_09_14_021936_update_index_for_slugs_table',1),(149,'2023_09_14_022423_add_index_for_language_table',1),(150,'2023_09_19_024955_create_discount_product_categories_table',1),(151,'2023_09_20_050420_add_missing_translation_column',1),(152,'2023_09_22_061723_create_custom_fields_translations_table',1),(153,'2023_09_22_343531_remove_project_categories_table',1),(154,'2023_10_17_070728_add_icon_and_icon_image_to_product_categories_table',1),(155,'2023_10_21_065016_make_state_id_in_table_cities_nullable',1),(156,'2023_11_05_081701_fix_projects_table',1),(157,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',1),(158,'2023_11_14_033417_change_request_column_in_table_audit_histories',1),(159,'2023_11_17_063408_add_description_column_to_faq_categories_table',1),(160,'2023_11_22_154643_add_unique_in_table_ec_products_variations',1),(161,'2023_11_27_032313_add_price_columns_to_ec_product_cross_sale_relations_table',1),(162,'2023_11_30_085354_add_missing_description_to_team',1),(163,'2023_12_06_023945_add_display_on_checkout_column_to_ec_discounts_table',1),(164,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(165,'2023_12_12_105220_drop_translations_table',1),(166,'2023_12_17_162208_make_sure_column_color_in_media_folders_nullable',1),(167,'2023_12_25_040604_ec_create_review_replies_table',1),(168,'2023_12_26_090340_add_private_notes_column_to_ec_customers_table',1),(169,'2024_01_07_072057_update_theme_option_for_login_page',1),(170,'2024_01_16_050056_create_comments_table',1),(171,'2024_01_16_070706_fix_translation_tables',1),(172,'2024_01_23_075227_add_proof_file_to_ec_orders_table',1),(173,'2024_03_20_080001_migrate_change_attribute_email_to_nullable_form_contacts_table',1),(174,'2024_03_25_000001_update_captcha_settings_for_contact',1),(175,'2024_03_25_000001_update_captcha_settings_for_newsletter',1),(176,'2024_03_26_041531_add_cancel_reason_to_ec_orders_table',1),(177,'2024_03_27_062402_create_ec_customer_deletion_requests_table',1),(178,'2024_03_29_042242_migrate_old_captcha_settings',1),(179,'2024_03_29_093946_create_ec_order_return_histories_table',1),(180,'2024_04_01_063523_add_customer_columns_to_ec_reviews_table',1),(181,'2024_04_04_110758_update_value_column_in_user_meta_table',1),(182,'2024_04_15_092654_migrate_ecommerce_google_tag_manager_code_setting',1),(183,'2024_04_16_035713_add_min_max_order_quantity_columns_to_products_table',1),(184,'2024_04_19_063914_create_custom_fields_table',1),(185,'2024_04_27_100730_improve_analytics_setting',1),(186,'2024_05_07_073153_improve_table_wishlist',1),(187,'2024_05_07_093703_add_missing_zip_code_into_table_store_locators',1),(188,'2024_05_12_091229_add_column_visibility_to_table_media_files',1),(189,'2024_05_15_021503_fix_invoice_path',1),(190,'2024_05_16_060328_add_projects_translations_table',1),(191,'2024_06_20_160724_create_ec_shared_wishlists_table',1),(192,'2024_06_28_025104_add_notify_attachment_updated_column_to_ec_products_table',1),(193,'2024_07_03_030900_add_downloaded_at_column_to_ec_order_product_table',1),(194,'2024_07_04_083133_create_payment_logs_table',1),(195,'2024_07_07_091316_fix_column_url_in_menu_nodes_table',1),(196,'2024_07_12_100000_change_random_hash_for_media',1),(197,'2024_07_14_071826_make_customer_email_nullable',1),(198,'2024_07_15_104916_add_video_media_column_to_ec_products_table',1),(199,'2024_07_26_052530_add_percentage_to_tax_rules_table',1),(200,'2024_07_30_091615_fix_order_column_in_categories_table',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Homepage','[hero-banner title=&quot;Dynamic Solutions That &lt;span&gt; Power High &lt;/span&gt; Growth Startups&quot; description=&quot;Apexa helps you to convert your data into a strategic asset and get business insights Apexa helps you to convert.&quot; button_label=&quot;Get Started&quot; button_url=&quot;/&quot; display_social_links=&quot;0,1&quot; display_button_scroll_down=&quot;0&quot; background_image=&quot;backgrounds/hero-banner-1.jpg&quot; background_color=&quot;transparent&quot;][/hero-banner][about-us-information style=&quot;style-3&quot; title=&quot;Providing Expert Advice On Business Consulting, Planning &amp; Success&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-3-1.jpg&quot; image_1=&quot;general/about-us-information-3-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Business Growth&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure&quot; data_count=&quot;25&quot; data_count_description=&quot;YEARS &lt;br&gt; EXPERIENCE &lt;br&gt; IN CONSULTING&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; contact_title=&quot;+123 8989 444&quot; contact_subtitle=&quot;Hot Line Number&quot; contact_url=&quot;tel:+123 8989444&quot; contact_icon=&quot;ti ti-phone-call&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][services style=&quot;style-3&quot; title=&quot;Let&rsquo;s Discover Our Service Features Charter&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6&quot; background_image=&quot;backgrounds/services-bg-3.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/services][about-us-information style=&quot;style-10&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-10.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Finance Planning&quot; description_1=&quot;Apexa helps youcona doing &lt;br&gt; tempor incididunt.&quot; icon_1=&quot;ti ti-api-app&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Apexa helps youcona doing &lt;br&gt; tempor incididunt.&quot; icon_2=&quot;ti ti-table-shortcut&quot; background_color=&quot;rgb(255, 255, 255)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][projects style=&quot;style-4&quot; title=&quot;We Provide Solutions To Big &amp; Small Organizations For Work&quot; subtitle=&quot;OUR PROJECTS&quot; project_ids=&quot;1,2,3,4,5&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/projects][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Years of Experiences To Run This Company&quot; data_2=&quot;25&quot; unit_2=&quot;+&quot; image_2=&quot;icons/time.png&quot; title_3=&quot;Satisfied 100% Our Clients&quot; data_3=&quot;92&quot; unit_3=&quot;K+&quot; image_3=&quot;icons/star.png&quot; title_4=&quot;All Over The World We Are Available&quot; data_4=&quot;19&quot; unit_4=&quot;+&quot; image_4=&quot;icons/popularity.png&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-2&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-3&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][newsletter title=&quot;Request A Call Back&quot; description=&quot;Ever find yourself staring at your computer screen slogan to come to mind? Oftentimes.&quot; button_label=&quot;Send Now&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/newsletter][blog-posts style=&quot;style-2&quot; category_ids=&quot;2,3,4,5&quot; title=&quot;Featured News And Insights&quot; subtitle=&quot;OUR BLOG UPDATE&quot; limit=&quot;3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/blog-posts]',1,NULL,'homepage',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(2,'Contact Us','<br><br><br><br><div>[google-map height=\"500\"]Awamileaug Drive, Kensington London, UK[/google-map]</div>[contact-form display_fields=\"phone,email,subject,address\" mandatory_fields=\"email\" title=\"How can we help you?\" description=\"When an unknown printer took a galley of type and scrambled it to make type pecimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker\" quantity=\"3\" title_1=\"Address\" icon_1=\"ti ti-map-pin\" description_1=\"Awamileaug Drive, Kensington London, UK\" title_2=\"Phone\" icon_2=\"ti ti-phone-call\" description_2=\"+48 500-130-0001\" title_3=\"E-mail\" icon_3=\"ti ti-mail\" description_3=\"info@gmail.com\" form_title=\"Give Us a Message\" form_description=\"Your email address will not be published. Required fields are marked *\" form_button_label=\"Submit Post\"][/contact-form]',1,NULL,NULL,NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(3,'Blog','',1,NULL,NULL,NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(4,'Business About','[about-us-information style=&quot;style-11&quot; title=&quot;We Help Organizations To Make Ultimate Businesses Growth Success&quot; subtitle=&quot;SIMPLY KNOW ABOUT&quot; description=&quot;We successfully cope with tasks of varying complexityprovide longerty term guarantees and regularly master new Practice Area technol ogiesOur portfolio includes dozen&quot; image=&quot;general/about-us-information-11.jpg&quot; image_1=&quot;general/about-us-information-11-1.jpg&quot; image_2=&quot;general/about-us-information-11-2.png&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;15+&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; button_label=&quot;Contact With Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands][about-us-information style=&quot;style-12&quot; title=&quot;Digital Solutions For Your Online Business&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur.&quot; quantity=&quot;4&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-histogram&quot; title_2=&quot;Finance Planning&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-building-bank&quot; title_3=&quot;Market Analysis&quot; description_3=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_3=&quot;ti ti-ad-2&quot; title_4=&quot;Business Solutions&quot; description_4=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_4=&quot;ti ti-box-model&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][team style=&quot;style-4&quot; title=&quot;Business Expertise Is Here For You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(5,'Finance About','[about-us-information style=&quot;style-13&quot; title=&quot;Dedicated Teams &lt;br&gt; &lt;span&gt;Always&lt;/span&gt; Bring Something &lt;span&gt;Good&lt;/span&gt;&quot; description=&quot;We when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only fiveawe centuriesbut also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release offer Letraset when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only &quot; image=&quot;general/about-us-information-13.jpg&quot; quantity=&quot;6&quot; data_count=&quot;25&quot; data_count_description=&quot;Years of experience&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(6,'Consulting About','[about-us-information style=&quot;style-3&quot; title=&quot;Providing Expert Advice On Business Consulting, Planning &amp; Success&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-3-1.jpg&quot; image_1=&quot;general/about-us-information-3-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Business Growth&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure&quot; data_count=&quot;25&quot; data_count_description=&quot;YEARS &lt;br&gt; EXPERIENCE &lt;br&gt; IN CONSULTING&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; contact_title=&quot;+123 8989 444&quot; contact_subtitle=&quot;Hot Line Number&quot; contact_url=&quot;tel:+123 8989444&quot; contact_icon=&quot;ti ti-phone-call&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(7,'Insurance About','[about-us-information style=&quot;style-4&quot; title=&quot;Insurance For The Better Family &amp; Corporate Life&quot; subtitle=&quot;ABOUT US&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-4-1.jpg&quot; image_1=&quot;general/about-us-information-4-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;25&quot; data_count_description=&quot;Years Experience &lt;br&gt;  in This Field&quot; button_label=&quot;Quick Contact Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][testimonials style=&quot;style-1&quot; image=&quot;general/testimonials-4-1.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(8,'Digital Agency About','<br><br><br><br>[about-us-information style=&quot;style-5&quot; title=&quot;Business Growth Creativity Meet Our Agency&#039;s Experts&quot; subtitle=&quot;ABOUT COMPANY&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master. We successfully cope varying complexity provide area longerty guarantees.&quot; image=&quot;general/about-us-information-5.jpg&quot; image_1=&quot;general/about-us-information-5-1.png&quot; data_count=&quot;15&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; quantity=&quot;4&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; title_4=&quot;100% Money Growth&quot; button_label=&quot;Contact with Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][services style=&quot;style-3&quot; title=&quot;Transforming Your Business With Technology&quot; subtitle=&quot;SPECIAL FEATURES&quot; service_ids=&quot;1,2,7&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/services][testimonials style=&quot;style-2&quot; title=&quot;What Our Loving Clients Saying&quot; subtitle=&quot;CLIENTS TESTIMONIAL&quot; testimonial_ids=&quot;1,2,3&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(9,'Services','[services style=&quot;style-1&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(10,'Finance Service','[services style=&quot;style-2&quot; title=&quot;Let&rsquo;s Discover Our Service &lt;br&gt; Features Charter&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_color=&quot;#14176C&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(11,'Consulting Service','[services style=&quot;style-3&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(12,'Digital Agency Service','[services style=&quot;style-6&quot; title=&quot;We Do World Class Work For You&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(13,'Insurance Service','[services-tab title=&quot;Discover Our Insurance Services For All&quot; subtitle=&quot;WHAT WE OFFER&quot; quantity=&quot;6&quot; service_id_1=&quot;1&quot; title_1=&quot;Data Analyst&quot; description_1=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_1=&quot;Business Growth&quot; featured_title_2_1=&quot;100% Secure&quot; featured_title_3_1=&quot;Business Growth&quot; service_id_2=&quot;8&quot; title_2=&quot;Strategy Adviser&quot; description_2=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_2=&quot;Business Growth&quot; featured_title_2_2=&quot;Analysis &amp; Research&quot; featured_title_3_2=&quot;100% Secure&quot; service_id_3=&quot;2&quot; title_3=&quot;Liability Planner&quot; description_3=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_3=&quot;Business Growth&quot; featured_title_2_3=&quot;Analysis &amp; Research&quot; featured_title_3_3=&quot;100% Secure&quot; service_id_4=&quot;12&quot; title_4=&quot;Growth Planner&quot; description_4=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_4=&quot;Business Growth&quot; featured_title_2_4=&quot;Analysis &amp; Research&quot; featured_title_3_4=&quot;100% Secure&quot; service_id_5=&quot;7&quot; title_5=&quot;Insurance Expert&quot; description_5=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_5=&quot;Business Growth&quot; featured_title_2_5=&quot;Analysis &amp; Research&quot; featured_title_3_5=&quot;100% Secure&quot; service_id_6=&quot;10&quot; title_6=&quot;Operations Expert&quot; description_6=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_6=&quot;Business Growth&quot; featured_title_2_6=&quot;Analysis &amp; Research&quot; featured_title_3_6=&quot;100% Secure&quot; button_label=&quot;See More Services&quot; button_url=&quot;/services&quot; background_image=&quot;backgrounds/services-bg-3.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services-tab]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(14,'Team One','[team style=\"style-1\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"transparent\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(15,'Team Two','[team style=\"style-2\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(16,'Team Three','[team style=\"style-3\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(17,'Team Four','[team style=\"style-4\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(18,'How Its Work','[instruction-steps title=\"Engage With Us For Financial And Accounting Services With This Step-By-Step Guide\" description=\"Discover how our company can help your business with our comprehensive financial and accounting services. From bookkeeping to tax planning, we have you covered. Contact us today to get started.\" quantity=\"3\" title_1=\"Step 1: Initial Consultation\" description_1=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_1=\"ti ti-chart-pie\" button_label_1=\"Read More\" button_url_1=\"/contact-us\" title_2=\"Step 2: Initial Consultation\" description_2=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_2=\"ti ti-bulb\" button_label_2=\"Read more\" button_url_2=\"/contact-us\" title_3=\"Step 3: Initial Consultation\" description_3=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_3=\"ti ti-rocket\" button_label_3=\"Read More\" button_url_3=\"/contact-us\" background_color=\"rgb(20, 23, 108)\"][/instruction-steps]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(19,'Pricing','[pricing title=\"We’ve Offered The Best Pricing For You\" subtitle=\"FLEXIBLE PRICING PLAN\" package_ids=\"1,2,3\" background_image=\"backgrounds/blog-posts-bg.jpg\" enable_lazy_loading=\"yes\"][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45'),(20,'Testimonials','[testimonials style=\"style-2\" title=\"What Our Loving Clients Saying\" subtitle=\"CLIENTS TESTIMONIAL\" testimonial_ids=\"1,2,3\" background_color=\"rgb(20, 23, 108)\" enable_lazy_loading=\"yes\"][/testimonials]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_logs`
--

DROP TABLE IF EXISTS `payment_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `response` longtext COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_logs`
--

LOCK TABLES `payment_logs` WRITE;
/*!40000 ALTER TABLE `payment_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `payment_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `currency` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `charge_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_channel` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'pending',
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'confirm',
  `customer_id` bigint unsigned DEFAULT NULL,
  `refunded_amount` decimal(15,2) unsigned DEFAULT NULL,
  `refund_note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options`
--

DROP TABLE IF EXISTS `pf_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_field_options_custom_field_id_index` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options`
--

LOCK TABLES `pf_custom_field_options` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options` DISABLE KEYS */;
INSERT INTO `pf_custom_field_options` VALUES (1,1,'Health Insurance','Health Insurance',999,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,1,'Travel Insurance','Travel Insurance',999,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(3,1,'Vehicle Insurance','Vehicle Insurance',999,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(4,1,'Cargo Insurance','Cargo Insurance',999,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(5,1,'Fire Insurance','Fire Insurance',999,'2024-08-09 23:59:58','2024-08-09 23:59:58');
/*!40000 ALTER TABLE `pf_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options_translations`
--

DROP TABLE IF EXISTS `pf_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_field_options_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options_translations`
--

LOCK TABLES `pf_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields`
--

DROP TABLE IF EXISTS `pf_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_fields_author_type_author_id_index` (`author_type`,`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields`
--

LOCK TABLES `pf_custom_fields` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields` DISABLE KEYS */;
INSERT INTO `pf_custom_fields` VALUES (1,'Botble\\ACL\\Models\\User',1,'Type',NULL,0,'dropdown',999,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,'Botble\\ACL\\Models\\User',1,'Price',NULL,1,'number',999,'published','2024-08-09 23:59:58','2024-08-09 23:59:58');
/*!40000 ALTER TABLE `pf_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields_translations`
--

DROP TABLE IF EXISTS `pf_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_fields_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields_translations`
--

LOCK TABLES `pf_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages`
--

DROP TABLE IF EXISTS `pf_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages`
--

LOCK TABLES `pf_packages` WRITE;
/*!40000 ALTER TABLE `pf_packages` DISABLE KEYS */;
INSERT INTO `pf_packages` VALUES (1,'Basic Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$19','$119','monthly','+ 100 User Activities\n+ Limit Access\n+ No Hidden Charge\n+ 01 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,'Team Plan','All the basics for businesses that are just getting started.','<p>This is package content</p>\n','$49','$499','monthly','+ 1000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 03 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',1,'2024-08-09 23:59:58','2024-08-09 23:59:58'),(3,'Enterprise Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$99','$999','monthly','+ 5000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 10 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:59:58','2024-08-09 23:59:58');
/*!40000 ALTER TABLE `pf_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages_translations`
--

DROP TABLE IF EXISTS `pf_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages_translations`
--

LOCK TABLES `pf_packages_translations` WRITE;
/*!40000 ALTER TABLE `pf_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects`
--

DROP TABLE IF EXISTS `pf_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `place` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects`
--

LOCK TABLES `pf_projects` WRITE;
/*!40000 ALTER TABLE `pf_projects` DISABLE KEYS */;
INSERT INTO `pf_projects` VALUES (1,'Innovation Hub: Navigating the Future','Gain invaluable insights into strategic business planning and decision-making through our comprehensive program. Unlock the power of data-driven strategies for sustainable growth.','<p>We are excited to introduce you to Innovation Hub: Navigating the Future, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Innovation Hub: Navigating the Future</span>?</h2>\n<p>\n    Choosing <span>Innovation Hub: Navigating the Future</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Paris','Grace Williams',0,'projects/1.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Athena Kuvalis','2011-12-06'),(2,'Leadership Excellence Initiative','Join us at the Innovation Hub, where we explore cutting-edge technologies and trends shaping the future of business. Discover innovative solutions and stay ahead of the curve.','<p>We are excited to introduce you to Leadership Excellence Initiative, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Leadership Excellence Initiative</span>?</h2>\n<p>\n    Choosing <span>Leadership Excellence Initiative</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','Michael Turner',0,'projects/2.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Filomena Harber','2001-11-11'),(3,'Startup Accelerator Program','Accelerate your startup’s growth with our intensive program. From idea to market entry, we provide mentorship, resources, and networking opportunities for success.','<p>We are excited to introduce you to Startup Accelerator Program, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Startup Accelerator Program</span>?</h2>\n<p>\n    Choosing <span>Startup Accelerator Program</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thailand','David Chen',0,'projects/3.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Trisha Ondricka','1992-10-07'),(4,'Marketing Mastery Series','Master the art of marketing with our comprehensive series. From branding to digital marketing, this series equips you with the skills to captivate your audience.','<p>We are excited to introduce you to Marketing Mastery Series, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Mastery Series</span>?</h2>\n<p>\n    Choosing <span>Marketing Mastery Series</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Japan','Takashi Hamachi',0,'projects/4.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Jordy Shields','1999-08-28'),(5,'Illustration Design','Harum totam in consequatur eum facere eum inventore. Id possimus et ut qui quaerat aut deserunt. Est sunt voluptates consequuntur est consequatur totam.','<p>We are excited to introduce you to Illustration Design, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Illustration Design</span>?</h2>\n<p>\n    Choosing <span>Illustration Design</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','David Kane',0,'projects/5.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Dr. Sandy Schaden Jr.','2015-06-28'),(6,'Design & Development','Eos dolore iusto quia. Et in sit illum. Minima excepturi repellendus exercitationem illo.','<p>We are excited to introduce you to Design & Development, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Design & Development</span>?</h2>\n<p>\n    Choosing <span>Design & Development</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Canada','Franks Doe',0,'projects/6.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Zechariah Schamberger','2000-07-05'),(7,'Marketing Consultancy','Asperiores voluptatem temporibus sit totam saepe. Ea velit assumenda excepturi neque optio. Nobis earum consequatur voluptate quia beatae. Soluta optio sint perferendis unde repellendus recusandae.','<p>We are excited to introduce you to Marketing Consultancy, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Consultancy</span>?</h2>\n<p>\n    Choosing <span>Marketing Consultancy</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','India','Alexander Kavas',0,'projects/7.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Aliya Denesik II','1986-03-26'),(8,'Digital Marketing','Amet vero et qui quis voluptatem. Nostrum illo deserunt sunt cum dignissimos.','<p>We are excited to introduce you to Digital Marketing, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Digital Marketing</span>?</h2>\n<p>\n    Choosing <span>Digital Marketing</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Brazil','Roby Elexa',0,'projects/8.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Marc Schaefer','2002-01-07'),(9,'Strategic Planning','In dolore deserunt qui non atque. Reiciendis ipsum qui occaecati. Modi error voluptates rerum vel dolor perferendis.','<p>We are excited to introduce you to Strategic Planning, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Strategic Planning</span>?</h2>\n<p>\n    Choosing <span>Strategic Planning</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thai Lan','Nicola Per',0,'projects/9.jpg',NULL,0,'published','2024-08-09 23:59:58','2024-08-09 23:59:58','Adell Heidenreich','2012-02-13');
/*!40000 ALTER TABLE `pf_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects_translations`
--

DROP TABLE IF EXISTS `pf_projects_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_projects_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects_translations`
--

LOCK TABLES `pf_projects_translations` WRITE;
/*!40000 ALTER TABLE `pf_projects_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_projects_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_quotes`
--

DROP TABLE IF EXISTS `pf_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_quotes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_quotes`
--

LOCK TABLES `pf_quotes` WRITE;
/*!40000 ALTER TABLE `pf_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories`
--

DROP TABLE IF EXISTS `pf_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories`
--

LOCK TABLES `pf_service_categories` WRITE;
/*!40000 ALTER TABLE `pf_service_categories` DISABLE KEYS */;
INSERT INTO `pf_service_categories` VALUES (1,NULL,'Financial Analysis','Eos quaerat qui hic nisi nostrum aut. Inventore sed sit qui. Iste magnam dolore perferendis qui repudiandae. Maiores nostrum eos vitae sit ducimus voluptatem. Magnam beatae suscipit qui deserunt aut non harum. Similique soluta qui nesciunt rerum possimus quia.',NULL,1,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,NULL,'Tax Strategy','Ut consequatur et voluptas. Quisquam est eum mollitia adipisci est id. Molestiae harum cumque laudantium consequatur optio dicta quas. Tenetur explicabo dolorem exercitationem velit voluptate recusandae. Iste illum cupiditate soluta quasi.',NULL,2,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(3,NULL,'Market Research','Distinctio laborum labore sit ut quia porro. Aut mollitia fuga consequatur omnis inventore. Qui quis sint quae quis itaque rerum nisi. Quos consequatur qui quasi quia aut. Et blanditiis ea nobis cumque rerum. Ut enim exercitationem quia est. Aut ipsa voluptate dolores cupiditate cupiditate. Sed et placeat voluptatibus minus velit.',NULL,3,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(4,NULL,'Business Strategy','Iste nisi deserunt sint occaecati est et numquam magnam. At nam ducimus quos et quaerat. Qui odit sit rerum iste odit porro. Laborum sint et ad natus mollitia. Veritatis enim quia dolores modi quis nulla. Occaecati rerum nemo iste incidunt et dolorem. Magnam dolorum tenetur quae sint deserunt aut. Nemo ad quia ab et aspernatur est. Quibusdam ratione assumenda aut ut. Fuga explicabo est omnis.',NULL,4,'published','2024-08-09 23:59:58','2024-08-09 23:59:58');
/*!40000 ALTER TABLE `pf_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories_translations`
--

DROP TABLE IF EXISTS `pf_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`pf_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories_translations`
--

LOCK TABLES `pf_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `pf_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services`
--

DROP TABLE IF EXISTS `pf_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services`
--

LOCK TABLES `pf_services` WRITE;
/*!40000 ALTER TABLE `pf_services` DISABLE KEYS */;
INSERT INTO `pf_services` VALUES (1,1,'Data Analyst','Ipsa et molestias quae qui et. Aut atque odio ea provident atque. Optio velit ut sed impedit aliquam rerum. Hic possimus mollitia facilis nobis.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/1.jpg','[\"news\\/1.jpg\"]',5208,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(2,1,'Liability Planner','Ipsa sed cumque velit et sapiente. Corporis amet dolorem quam commodi soluta. Voluptatem rem voluptatem placeat ut illo facilis id.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/3.jpg','[\"news\\/3.jpg\"]',373,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(3,3,'Growth Planner','Fugit eveniet laudantium at iste animi aliquid sed. Quia cum quisquam quasi omnis qui. Facilis molestias et voluptatem sit explicabo fugit.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/2.jpg\"]',6127,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(4,3,'Risk Manager','Excepturi numquam quia nulla quia porro sit vero. Accusantium in ab dolor iste aut quo rerum.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',6251,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(5,2,'Retirement Planner','Ut iusto temporibus optio necessitatibus officiis et. Illo magnam aliquam non aspernatur. Assumenda ea cumque officia recusandae. Sunt exercitationem neque tenetur minus consectetur ullam atque.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/3.jpg\"]',5755,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(6,3,'Risk Analyst','Aut qui perspiciatis deserunt earum sint numquam. Explicabo odio optio explicabo. Velit ut in architecto earum error accusamus delectus. Voluptatum nisi molestias voluptatem saepe magnam rerum.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/2.jpg\"]',4783,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(7,4,'Insurance Expert','Ipsum impedit et deleniti ad repudiandae iusto. Sit esse est blanditiis rem exercitationem est esse aut. Error sit voluptatum id vitae sed quis repellat.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/4.jpg','[\"news\\/4.jpg\"]',9170,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(8,1,'Budget Manager','Possimus molestias dolore a quae possimus et. Impedit dolore omnis doloribus inventore ut culpa et sapiente.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/4.jpg\"]',8257,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(9,4,'Strategy Adviser','Voluptatem aperiam quibusdam laudantium vero similique aut. Nostrum sapiente qui accusantium minima quia aut ut itaque. Quisquam voluptas voluptatem facilis facere maiores.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',4775,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(10,1,'Operations Expert','Unde ipsam pariatur esse. Voluptas sunt dolorem eaque sint recusandae. Et dolorem optio nostrum explicabo libero. Nobis est ea aut totam esse.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',8448,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(11,4,'Profit Strategist','Distinctio molestias explicabo adipisci sunt eveniet consequatur. Non adipisci earum magnam molestiae dolorem rerum quod molestias. Odio iure dolorem delectus doloremque quisquam aut quod.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',8092,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(12,3,'Objective Planner','At veritatis minima tenetur rerum voluptas et eveniet. Quia repellendus aut consequatur a saepe voluptatum voluptate. Eius eum at et et.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',1305,'published','2024-08-09 23:59:58','2024-08-09 23:59:58'),(13,1,'Goal Specialist','Nihil exercitationem sed voluptas nostrum. Et quos doloremque sed quasi culpa blanditiis. Qui qui consectetur repellendus expedita tenetur veritatis adipisci. Accusamus ad quod aliquid voluptatem.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/3.jpg','[\"news\\/4.jpg\"]',2734,'published','2024-08-09 23:59:58','2024-08-09 23:59:58');
/*!40000 ALTER TABLE `pf_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services_translations`
--

DROP TABLE IF EXISTS `pf_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services_translations`
--

LOCK TABLES `pf_services_translations` WRITE;
/*!40000 ALTER TABLE `pf_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (20,1),(8,1),(11,2),(9,2),(20,3),(10,3),(12,4),(7,4),(17,5),(14,5),(2,6),(5,6),(3,7),(12,8),(7,8),(8,9),(18,9),(15,10),(13,10),(11,11),(17,11),(2,12),(20,12),(17,13),(20,13),(1,14),(13,14),(4,15),(13,15),(11,16),(7,16),(16,17),(11,17),(11,18),(16,18),(17,19),(10,19);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (3,1),(10,1),(19,1),(8,2),(20,2),(19,2),(16,3),(7,3),(10,3),(14,4),(13,4),(17,4),(5,5),(11,5),(14,5),(9,6),(12,6),(11,6),(12,7),(8,7),(9,7),(3,8),(7,8),(5,8),(20,9),(10,9),(7,9),(20,10),(5,10),(14,10),(13,11),(16,11),(20,12),(11,12),(12,12),(17,13),(18,13),(17,14),(18,14),(16,14),(5,15),(7,15),(16,15),(3,16),(20,16),(16,16),(10,17),(9,17),(12,17),(18,18),(1,18),(13,18),(17,19),(8,19),(14,19);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'The Power of Networking: Building Relationships for Business Growth','Learn how to build strategic connections and leverage your network to propel your business forward.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/1.jpg',658,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(2,'5 Productivity Hacks for Busy Entrepreneurs','Feeling overwhelmed? Discover practical tips to maximize your time and achieve more in your workday.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/2.jpg',1529,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(3,'From Brainstorm to Boardroom: Crafting a Winning Business Plan','Unleash your inner strategist. This post outlines the key elements of a compelling business plan.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/3.jpg',1477,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(4,'The Art of Delegation: Empowering Your Team for Success','Effective leaders empower others. Learn how to delegate tasks effectively and unlock your team\'s full potential.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/4.jpg',300,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(5,'Customer Centricity: Putting Your Customers at the Heart of Your Business','In today\'s competitive market, customer satisfaction is paramount. Discover strategies to prioritize your customers.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/5.jpg',2453,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(6,'Data-Driven Decisions: Leveraging Insights to Fuel Business Growth','Data is king. Learn how to harness the power of data analytics to make informed decisions for your business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/6.jpg',1096,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(7,'Building a Strong Brand Identity: Standing Out from the Crowd','Create a brand that resonates with your audience. Explore strategies to develop a unique and memorable brand identity.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/7.jpg',1229,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(8,'The Importance of Social Media Marketing for Businesses','Reach a wider audience and engage with potential customers. Discover the power of social media marketing for businesses.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/8.jpg',1252,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(9,'Content is King: Creating Engaging Content to Attract Customers','High-quality content is key to attracting and retaining customers. Explore strategies to create valuable and engaging content.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/9.jpg',2362,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(10,'The Art of Negotiation: Winning Deals and Building Relationships','Master the art of negotiation and achieve mutually beneficial outcomes. Learn effective negotiation strategies for business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/10.jpg',1397,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(11,'Managing Cash Flow: The Lifeblood of Your Business','Cash flow is crucial for any business. Explore strategies to manage your cash flow effectively and ensure financial stability.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/11.jpg',1194,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(12,'The Power of Storytelling: Connecting with Your Audience on a Deeper Level','Stories have the power to inspire and connect. Learn how storytelling can enhance your marketing and brand communication.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/12.jpg',683,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(13,'Overcoming Challenges: Embracing Failure as a Learning Opportunity','Challenges are inevitable in business. Discover how to overcome obstacles and use setbacks as fuel for growth.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/13.jpg',2161,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(14,'Building a High-Performing Team: Creating a Culture of Collaboration and Success','The strength of a business lies in its people. Explore strategies to foster a collaborative and successful team environment.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/14.jpg',1236,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(15,'The Importance of Work-Life Balance for Entrepreneurs','Burnout is real. Learn how to maintain a healthy work-life balance for long-term success as an entrepreneur.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/15.jpg',686,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(16,'Staying Ahead of the Curve: Embracing Innovation in Business','In a rapidly changing world, innovation is key. Learn strategies to stay ahead of the curve and adapt to industry trends.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/16.jpg',582,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(17,'The Power of Public Speaking: Captivate Your Audience and Deliver Your Message with Impact','Master the art of public speaking to elevate your presentations and connect with your audience effectively.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/17.jpg',595,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(18,'Building a Sustainable Business: Environmental and Social Responsibility','Today\'s consumers are conscious. Learn how to build a sustainable business model that prioritizes social responsibility.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/18.jpg',1355,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55'),(19,'The Future of Business: Trends and Technologies Shaping the Landscape','Explore emerging trends and technologies that are shaping the future of business. Prepare your business for what\'s to come.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/19.jpg',1943,NULL,'2024-08-09 23:59:55','2024-08-09 23:59:55');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.cms\":true,\"core.manage.license\":true,\"systems.cronjob\":true,\"core.tools\":true,\"tools.data-synchronize\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.common\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"settings.others\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"theme.robots-txt\":true,\"settings.website-tracking\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"announcements.index\":true,\"announcements.create\":true,\"announcements.edit\":true,\"announcements.destroy\":true,\"announcements.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"posts.export\":true,\"posts.import\":true,\"captcha.settings\":true,\"careers.index\":true,\"careers.create\":true,\"careers.edit\":true,\"careers.destroy\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugins.ecommerce\":true,\"ecommerce.report.index\":true,\"products.index\":true,\"products.create\":true,\"products.edit\":true,\"products.destroy\":true,\"products.duplicate\":true,\"ecommerce.product-prices.index\":true,\"ecommerce.product-prices.edit\":true,\"ecommerce.product-inventory.index\":true,\"ecommerce.product-inventory.edit\":true,\"product-categories.index\":true,\"product-categories.create\":true,\"product-categories.edit\":true,\"product-categories.destroy\":true,\"product-tag.index\":true,\"product-tag.create\":true,\"product-tag.edit\":true,\"product-tag.destroy\":true,\"brands.index\":true,\"brands.create\":true,\"brands.edit\":true,\"brands.destroy\":true,\"product-collections.index\":true,\"product-collections.create\":true,\"product-collections.edit\":true,\"product-collections.destroy\":true,\"product-attribute-sets.index\":true,\"product-attribute-sets.create\":true,\"product-attribute-sets.edit\":true,\"product-attribute-sets.destroy\":true,\"product-attributes.index\":true,\"product-attributes.create\":true,\"product-attributes.edit\":true,\"product-attributes.destroy\":true,\"tax.index\":true,\"tax.create\":true,\"tax.edit\":true,\"tax.destroy\":true,\"reviews.index\":true,\"reviews.create\":true,\"reviews.destroy\":true,\"reviews.publish\":true,\"reviews.reply\":true,\"ecommerce.shipments.index\":true,\"ecommerce.shipments.create\":true,\"ecommerce.shipments.edit\":true,\"ecommerce.shipments.destroy\":true,\"orders.index\":true,\"orders.create\":true,\"orders.edit\":true,\"orders.destroy\":true,\"discounts.index\":true,\"discounts.create\":true,\"discounts.edit\":true,\"discounts.destroy\":true,\"customers.index\":true,\"customers.create\":true,\"customers.edit\":true,\"customers.destroy\":true,\"flash-sale.index\":true,\"flash-sale.create\":true,\"flash-sale.edit\":true,\"flash-sale.destroy\":true,\"product-label.index\":true,\"product-label.create\":true,\"product-label.edit\":true,\"product-label.destroy\":true,\"ecommerce.import.products.index\":true,\"ecommerce.export.products.index\":true,\"order_returns.index\":true,\"order_returns.edit\":true,\"order_returns.destroy\":true,\"global-option.index\":true,\"global-option.create\":true,\"global-option.edit\":true,\"global-option.destroy\":true,\"ecommerce.invoice.index\":true,\"ecommerce.invoice.edit\":true,\"ecommerce.invoice.destroy\":true,\"ecommerce.settings\":true,\"ecommerce.settings.general\":true,\"ecommerce.invoice-template.index\":true,\"ecommerce.settings.currencies\":true,\"ecommerce.settings.products\":true,\"ecommerce.settings.product-search\":true,\"ecommerce.settings.digital-products\":true,\"ecommerce.settings.store-locators\":true,\"ecommerce.settings.invoices\":true,\"ecommerce.settings.product-reviews\":true,\"ecommerce.settings.customers\":true,\"ecommerce.settings.shopping\":true,\"ecommerce.settings.taxes\":true,\"ecommerce.settings.shipping\":true,\"ecommerce.settings.tracking\":true,\"ecommerce.settings.standard-and-format\":true,\"ecommerce.settings.checkout\":true,\"ecommerce.settings.return\":true,\"ecommerce.settings.flash-sale\":true,\"product-categories.export\":true,\"product-categories.import\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"fob-comment.index\":true,\"fob-comment.comments.index\":true,\"fob-comment.comments.edit\":true,\"fob-comment.comments.destroy\":true,\"fob-comment.comments.reply\":true,\"fob-comment.settings\":true,\"galleries.index\":true,\"galleries.create\":true,\"galleries.edit\":true,\"galleries.destroy\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"plugin.location\":true,\"country.index\":true,\"country.create\":true,\"country.edit\":true,\"country.destroy\":true,\"state.index\":true,\"state.create\":true,\"state.edit\":true,\"state.destroy\":true,\"city.index\":true,\"city.create\":true,\"city.edit\":true,\"city.destroy\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"payment.index\":true,\"payments.settings\":true,\"payment.destroy\":true,\"payments.logs\":true,\"payments.logs.show\":true,\"payments.logs.destroy\":true,\"plugins.portfolio\":true,\"portfolio.projects.index\":true,\"portfolio.projects.create\":true,\"portfolio.projects.edit\":true,\"portfolio.projects.destroy\":true,\"portfolio.service-categories.index\":true,\"portfolio.service-categories.create\":true,\"portfolio.service-categories.edit\":true,\"portfolio.service-categories.destroy\":true,\"portfolio.services.index\":true,\"portfolio.services.create\":true,\"portfolio.services.edit\":true,\"portfolio.services.destroy\":true,\"portfolio.packages.index\":true,\"portfolio.packages.create\":true,\"portfolio.packages.edit\":true,\"portfolio.packages.destroy\":true,\"portfolio.quotation-requests.index\":true,\"portfolio.quotation-requests.create\":true,\"portfolio.quotation-requests.edit\":true,\"portfolio.quotation-requests.destroy\":true,\"portfolio.custom-fields.index\":true,\"portfolio.custom-fields.create\":true,\"portfolio.custom-fields.edit\":true,\"portfolio.custom-fields.destroy\":true,\"simple-slider.index\":true,\"simple-slider.create\":true,\"simple-slider.edit\":true,\"simple-slider.destroy\":true,\"simple-slider-item.index\":true,\"simple-slider-item.create\":true,\"simple-slider-item.edit\":true,\"simple-slider-item.destroy\":true,\"simple-slider.settings\":true,\"social-login.settings\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true,\"theme-translations.export\":true,\"other-translations.export\":true,\"theme-translations.import\":true,\"other-translations.import\":true}','Admin users role',1,1,1,'2024-08-09 23:59:45','2024-08-09 23:59:45');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','9bf8fb28bbfedc81d3e880a4a1244e71',NULL,'2024-08-10 00:00:50'),(2,'api_enabled','0',NULL,'2024-08-10 00:00:50'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"analytics\",\"announcement\",\"audit-log\",\"backup\",\"blog\",\"captcha\",\"career\",\"contact\",\"cookie-consent\",\"ecommerce\",\"faq\",\"fob-comment\",\"gallery\",\"location\",\"mollie\",\"newsletter\",\"payment\",\"paypal\",\"paystack\",\"portfolio\",\"razorpay\",\"rss-feed\",\"shippo\",\"simple-slider\",\"social-login\",\"sslcommerz\",\"stripe\",\"team\",\"testimonial\",\"translation\"]',NULL,'2024-08-10 00:00:50'),(4,'payment_cod_status','1',NULL,'2024-08-10 00:00:50'),(5,'payment_bank_transfer_status','1',NULL,'2024-08-10 00:00:50'),(6,'theme','apexa',NULL,'2024-08-10 00:00:50'),(7,'show_admin_bar','1',NULL,'2024-08-10 00:00:50'),(8,'admin_logo','icons/logo-white.png',NULL,'2024-08-10 00:00:50'),(9,'admin_favicon','icons/favicon.png',NULL,'2024-08-10 00:00:50'),(10,'language_hide_default','1',NULL,'2024-08-10 00:00:50'),(11,'language_switcher_display','dropdown',NULL,'2024-08-10 00:00:50'),(12,'language_display','all',NULL,'2024-08-10 00:00:50'),(13,'language_hide_languages','[]',NULL,'2024-08-10 00:00:50'),(14,'theme-apexa-site_title','Apexa - Business Consulting Laravel Script',NULL,'2024-08-10 00:00:50'),(15,'theme-apexa-seo_description','Elevate your business consulting with Apexa - Business Consulting Laravel Script. Streamline operations, enhance client relationships, and boost productivity effortlessly. Get started now!',NULL,'2024-08-10 00:00:50'),(16,'theme-apexa-copyright','©%Y Archi Elite Team. All Rights Reserved.',NULL,'2024-08-10 00:00:50'),(17,'theme-apexa-favicon','icons/favicon.png',NULL,'2024-08-10 00:00:50'),(18,'theme-apexa-logo','icons/logo.png',NULL,'2024-08-10 00:00:50'),(19,'theme-apexa-logo_height','40',NULL,'2024-08-10 00:00:50'),(20,'theme-apexa-primary_font','Inter',NULL,'2024-08-10 00:00:50'),(21,'theme-apexa-secondary_font','Outfit',NULL,'2024-08-10 00:00:50'),(22,'theme-apexa-primary_color','#F7A400',NULL,'2024-08-10 00:00:50'),(23,'theme-apexa-secondary_color','#191D88',NULL,'2024-08-10 00:00:50'),(24,'theme-apexa-heading_color','#14176C',NULL,'2024-08-10 00:00:50'),(25,'theme-apexa-text_color','#3E4073',NULL,'2024-08-10 00:00:50'),(26,'theme-apexa-preloader_enabled','1',NULL,'2024-08-10 00:00:50'),(27,'theme-apexa-preloader_version','v2',NULL,'2024-08-10 00:00:50'),(28,'theme-apexa-lazy_load_images','1',NULL,'2024-08-10 00:00:50'),(29,'theme-apexa-lazy_load_placeholder_image','icons/preloader-image.gif',NULL,'2024-08-10 00:00:50'),(30,'theme-apexa-header_action_label','Let’s Talk',NULL,'2024-08-10 00:00:50'),(31,'theme-apexa-header_action_url','/contact-us',NULL,'2024-08-10 00:00:50'),(32,'theme-apexa-social_links','[[{\"key\":\"name\",\"value\":\"Facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.facebook.com\"}],[{\"key\":\"name\",\"value\":\"X\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"},{\"key\":\"url\",\"value\":\"https:\\/\\/x.com\"}],[{\"key\":\"name\",\"value\":\"Youtube\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-youtube\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.youtube.com\"}],[{\"key\":\"name\",\"value\":\"Instagram\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.linkedin.com\"}]]',NULL,'2024-08-10 00:00:50'),(33,'theme-apexa-social_sharing','[[{\"key\":\"social\",\"value\":\"facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"}],[{\"key\":\"social\",\"value\":\"x\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"}],[{\"key\":\"social\",\"value\":\"pinterest\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-pinterest\"}],[{\"key\":\"social\",\"value\":\"linkedin\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"}],[{\"key\":\"social\",\"value\":\"whatsapp\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-whatsapp\"}],[{\"key\":\"social\",\"value\":\"email\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}]]',NULL,'2024-08-10 00:00:50'),(34,'theme-apexa-footer_background_color','#0e104b',NULL,'2024-08-10 00:00:50'),(35,'theme-apexa-footer_bottom_background_color','#0e104b',NULL,'2024-08-10 00:00:50'),(36,'theme-apexa-footer_heading_color','#ffffff',NULL,'2024-08-10 00:00:50'),(37,'theme-apexa-footer_text_color','#b8b9da',NULL,'2024-08-10 00:00:50'),(38,'theme-apexa-footer_border_color','#272A68',NULL,'2024-08-10 00:00:50'),(39,'theme-apexa-footer_background_image','',NULL,'2024-08-10 00:00:50'),(40,'theme-apexa-header_style','4',NULL,'2024-08-10 00:00:50'),(41,'theme-apexa-is_header_transparent','1',NULL,'2024-08-10 00:00:50'),(42,'theme-apexa-header_top_text_color','#E6EEFF',NULL,'2024-08-10 00:00:50'),(43,'theme-apexa-header_top_background_color','#0E104B',NULL,'2024-08-10 00:00:50'),(44,'theme-apexa-header_action_buttons','[[{\"key\":\"label\",\"value\":\"Login\"},{\"key\":\"url\",\"value\":\"\\/login\"}]]',NULL,'2024-08-10 00:00:50'),(45,'theme-apexa-homepage_id','1',NULL,'2024-08-10 00:00:50'),(46,'theme-apexa-blog_page_id','3',NULL,'2024-08-10 00:00:50'),(47,'theme-apexa-breadcrumb_background_image','backgrounds/breadcrumb-bg.jpg',NULL,'2024-08-10 00:00:50'),(48,'theme-apexa-quotation_form_title','Get A Quote',NULL,'2024-08-10 00:00:50'),(49,'theme-apexa-quotation_form_button_label','Request A Quote',NULL,'2024-08-10 00:00:50'),(50,'theme-apexa-display_header_top','1',NULL,'2024-08-10 00:00:50'),(51,'simple_slider_using_assets','0',NULL,'2024-08-10 00:00:50'),(52,'announcement_max_width','1210',NULL,NULL),(53,'announcement_text_color','#FFFFFF',NULL,NULL),(54,'announcement_background_color','#F7A400',NULL,NULL),(55,'announcement_text_alignment','start',NULL,NULL),(56,'announcement_dismissible','1',NULL,NULL),(57,'announcement_font_size','1',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_slider_items`
--

DROP TABLE IF EXISTS `simple_slider_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_slider_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `simple_slider_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `order` int unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_slider_items`
--

LOCK TABLES `simple_slider_items` WRITE;
/*!40000 ALTER TABLE `simple_slider_items` DISABLE KEYS */;
INSERT INTO `simple_slider_items` VALUES (1,1,'Transforming Dreams into Financial Reality','sliders/1.jpg','/','Apexa helps you to convert your data into a strategic asset and get business insights Apexa helps you to convert.',0,'2024-08-09 23:59:59','2024-08-09 23:59:59'),(2,1,'Unlock the Power of Data-Driven Decisions','sliders/2.jpg','/','Gain valuable insights from your data to optimize marketing campaigns, improve customer experiences, and boost your bottom line.',1,'2024-08-09 23:59:59','2024-08-09 23:59:59');
/*!40000 ALTER TABLE `simple_slider_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_sliders`
--

DROP TABLE IF EXISTS `simple_sliders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_sliders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_sliders`
--

LOCK TABLES `simple_sliders` WRITE;
/*!40000 ALTER TABLE `simple_sliders` DISABLE KEYS */;
INSERT INTO `simple_sliders` VALUES (1,'Home slider','home-slider','The main slider on homepage','published','2024-08-09 23:59:59','2024-08-09 23:59:59');
/*!40000 ALTER TABLE `simple_sliders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=383 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'homepage',1,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(2,'contact-us',2,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(3,'blog',3,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(4,'business-about',4,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(5,'finance-about',5,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(6,'consulting-about',6,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(7,'insurance-about',7,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(8,'digital-agency-about',8,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(9,'services',9,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(10,'finance-service',10,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(11,'consulting-service',11,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(12,'digital-agency-service',12,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(13,'insurance-service',13,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(14,'team-one',14,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(15,'team-two',15,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(16,'team-three',16,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(17,'team-four',17,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(18,'how-its-work',18,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(19,'pricing',19,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(20,'testimonials',20,'Botble\\Page\\Models\\Page','','2024-08-09 23:59:45','2024-08-09 23:59:45'),(21,'perfect',1,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(22,'new-day',2,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(23,'happy-day',3,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(24,'nature',4,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(25,'morning',5,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(26,'sunset',6,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(27,'ocean-views',7,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(28,'adventure-time',8,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:59:48','2024-08-09 23:59:48'),(29,'devon-lane',1,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(30,'marvin-mckinney',2,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(31,'ronald-richards',3,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(32,'cameron-williamson',4,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(33,'alicia-sanders',5,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(34,'ethan-wright',6,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(35,'isabella-johnson',7,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(36,'liam-brown',8,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:59:50','2024-08-09 23:59:50'),(37,'entrepreneurship',1,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(38,'startups',2,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(39,'marketing',3,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(40,'sales',4,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(41,'finance',5,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(42,'leadership',6,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(43,'management',7,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(44,'human-resources',8,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(45,'customer-service',9,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(46,'innovation',10,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(47,'business-strategy',11,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(48,'e-commerce',12,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(49,'technology',13,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(50,'networking',14,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(51,'productivity',15,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(52,'operations',16,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(53,'legal',17,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(54,'industry-trends',18,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(55,'small-business',19,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(56,'consulting',20,'Botble\\Blog\\Models\\Category','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(57,'growth',1,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(58,'strategy',2,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(59,'innovation',3,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(60,'leadership',4,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(61,'funding',5,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(62,'marketing',6,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(63,'sales',7,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(64,'seo',8,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(65,'branding',9,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(66,'customer-service',10,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(67,'productivity',11,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(68,'networking',12,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(69,'startups',13,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(70,'e-commerce',14,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(71,'finance',15,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(72,'business-development',16,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(73,'team-building',17,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(74,'operations',18,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(75,'legal-advice',19,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(76,'hr-management',20,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:59:55','2024-08-09 23:59:55'),(77,'the-power-of-networking-building-relationships-for-business-growth',1,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(78,'5-productivity-hacks-for-busy-entrepreneurs',2,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(79,'from-brainstorm-to-boardroom-crafting-a-winning-business-plan',3,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(80,'the-art-of-delegation-empowering-your-team-for-success',4,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(81,'customer-centricity-putting-your-customers-at-the-heart-of-your-business',5,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(82,'data-driven-decisions-leveraging-insights-to-fuel-business-growth',6,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(83,'building-a-strong-brand-identity-standing-out-from-the-crowd',7,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(84,'the-importance-of-social-media-marketing-for-businesses',8,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(85,'content-is-king-creating-engaging-content-to-attract-customers',9,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(86,'the-art-of-negotiation-winning-deals-and-building-relationships',10,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(87,'managing-cash-flow-the-lifeblood-of-your-business',11,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(88,'the-power-of-storytelling-connecting-with-your-audience-on-a-deeper-level',12,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(89,'overcoming-challenges-embracing-failure-as-a-learning-opportunity',13,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(90,'building-a-high-performing-team-creating-a-culture-of-collaboration-and-success',14,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(91,'the-importance-of-work-life-balance-for-entrepreneurs',15,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(92,'staying-ahead-of-the-curve-embracing-innovation-in-business',16,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(93,'the-power-of-public-speaking-captivate-your-audience-and-deliver-your-message-with-impact',17,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(94,'building-a-sustainable-business-environmental-and-social-responsibility',18,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(95,'the-future-of-business-trends-and-technologies-shaping-the-landscape',19,'Botble\\Blog\\Models\\Post','','2024-08-09 23:59:55','2024-08-09 23:59:55'),(96,'basic-plan',1,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:59:58','2024-08-09 23:59:58'),(97,'team-plan',2,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:59:58','2024-08-09 23:59:58'),(98,'enterprise-plan',3,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:59:58','2024-08-09 23:59:58'),(99,'innovation-hub-navigating-the-future',1,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(100,'leadership-excellence-initiative',2,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(101,'startup-accelerator-program',3,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(102,'marketing-mastery-series',4,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(103,'illustration-design',5,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(104,'design-development',6,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(105,'marketing-consultancy',7,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(106,'digital-marketing',8,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(107,'strategic-planning',9,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:59:58','2024-08-09 23:59:58'),(108,'financial-analysis',1,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:59:58','2024-08-09 23:59:58'),(109,'tax-strategy',2,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:59:58','2024-08-09 23:59:58'),(110,'market-research',3,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:59:58','2024-08-09 23:59:58'),(111,'business-strategy',4,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:59:58','2024-08-09 23:59:58'),(112,'data-analyst',1,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(113,'liability-planner',2,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(114,'growth-planner',3,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(115,'risk-manager',4,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(116,'retirement-planner',5,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(117,'risk-analyst',6,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(118,'insurance-expert',7,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(119,'budget-manager',8,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(120,'strategy-adviser',9,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(121,'operations-expert',10,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(122,'profit-strategist',11,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(123,'objective-planner',12,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(124,'goal-specialist',13,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:59:58','2024-08-09 23:59:58'),(125,'senior-full-stack-engineer',1,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(126,'lead-backend-developer',2,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(127,'uiux-designer',3,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(128,'product-manager',4,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(129,'data-scientist',5,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(130,'devops-engineer',6,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:59:59','2024-08-09 23:59:59'),(131,'desktop-pc',1,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(132,'headphone',2,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(133,'laptop',3,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(134,'mobile-phone',4,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(135,'printer',5,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(136,'books',6,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(137,'tablet',7,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(138,'usb-flash',8,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(139,'game-mouse',9,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(140,'security',10,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(141,'watch',11,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(142,'scanner',12,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:00:00','2024-08-10 00:00:00'),(143,'foodpound',1,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:00:00','2024-08-10 00:00:00'),(144,'itea-jsc',2,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:00:00','2024-08-10 00:00:00'),(145,'soda-brand',3,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:00:00','2024-08-10 00:00:00'),(146,'farmart',4,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:00:00','2024-08-10 00:00:00'),(147,'dual-camera-20mp-digital',1,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(148,'smart-watches',2,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(149,'beat-headphone',3,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(150,'red-black-headphone',4,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(151,'smart-watch-external-digital',5,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(152,'nikon-hd-camera',6,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(153,'audio-equipment',7,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(154,'smart-televisions',8,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(155,'samsung-smart-phone-digital',9,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(156,'herschel-leather-duffle-bag-in-brown-color',10,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(157,'xbox-one-wireless-controller-black-color',11,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(158,'epsion-plaster-printer',12,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(159,'sound-intone-i65-earphone-white-version-digital',13,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(160,'bo-play-mini-bluetooth-speaker',14,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(161,'apple-macbook-air-retina-133-inch-laptop',15,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(162,'apple-macbook-air-retina-12-inch-laptop',16,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(163,'samsung-gear-vr-virtual-reality-headset-digital',17,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(164,'aveeno-moisturizing-body-shower-450ml',18,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(165,'nyx-beauty-couton-pallete-makeup-12',19,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(166,'nyx-beauty-couton-pallete-makeup-12',20,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(167,'mvmth-classical-leather-watch-in-black-digital',21,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(168,'baxter-care-hair-kit-for-bearded-mens',22,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(169,'ciate-palemore-lipstick-bold-red-color',23,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(170,'vimto-squash-remix-apple-15-litres',24,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(171,'crock-pot-slow-cooker-digital',25,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(172,'taylors-of-harrogate-yorkshire-coffee',26,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(173,'soft-mochi-galeto-ice-cream',27,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(174,'naked-noodle-egg-noodles-singapore',28,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(175,'saute-pan-silver-digital',29,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(176,'bar-s-classic-bun-length-franks',30,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(177,'broccoli-crowns',31,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(178,'slimming-world-vegan-mac-greens',32,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(179,'haagen-dazs-salted-caramel-digital',33,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(180,'iceland-3-solo-exotic-burst',34,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(181,'extreme-budweiser-light-can',35,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(182,'iceland-macaroni-cheese-traybake',36,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(183,'dolmio-bolognese-pasta-sauce-digital',37,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(184,'sitema-bakeit-plastic-box',38,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(185,'wayfair-basics-dinner-plate-storage',39,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(186,'miko-the-panda-water-bottle',40,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(187,'sesame-seed-bread-digital',41,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(188,'morrisons-the-best-beef',42,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(189,'avocado-hass-large',43,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(190,'italia-beef-lasagne',44,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(191,'maxwell-house-classic-roast-mocha-digital',45,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(192,'bottled-pure-water-500ml',46,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(193,'famart-farmhouse-soft-white',47,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(194,'coca-cola-original-taste',48,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(195,'casillero-diablo-cabernet-sauvignon-digital',49,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(196,'arla-organic-free-range-milk',50,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(197,'aptamil-follow-on-baby-milk',51,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(198,'cuisinart-chefs-classic-hard-anodized',52,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(199,'corn-yellow-sweet-digital',53,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(200,'hobnobs-the-nobbly-biscuit',54,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(201,'honest-organic-still-lemonade',55,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(202,'ice-becks-beer-350ml-x-24-pieces',56,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(203,'iceland-6-hot-cross-buns-digital',57,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(204,'iceland-luxury-4-panini-rolls',58,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(205,'iceland-soft-scoop-vanilla',59,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(206,'iceland-spaghetti-bolognese',60,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(207,'kelloggs-coco-pops-cereal-digital',61,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(208,'kit-kat-chunky-milk-chocolate',62,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(209,'large-green-bell-pepper',63,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(210,'pice-94w-beasley-journal',64,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(211,'province-piece-glass-drinking-glass-digital',65,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:45','2024-08-10 00:00:45'),(212,'electronic',1,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(213,'mobile',2,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(214,'iphone',3,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(215,'printer',4,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(216,'office',5,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(217,'it',6,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:00:47','2024-08-10 00:00:47'),(218,'dual-camera-20mp-digital',66,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(219,'dual-camera-20mp-digital',67,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(220,'dual-camera-20mp-digital',68,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(221,'dual-camera-20mp-digital',69,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(222,'smart-watches',70,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(223,'smart-watches',71,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(224,'smart-watches',72,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(225,'smart-watches',73,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(226,'smart-watches',74,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(227,'beat-headphone',75,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(228,'beat-headphone',76,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(229,'beat-headphone',77,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(230,'red-black-headphone',78,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(231,'red-black-headphone',79,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(232,'smart-watch-external-digital',80,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(233,'nikon-hd-camera',81,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(234,'nikon-hd-camera',82,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(235,'nikon-hd-camera',83,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(236,'audio-equipment',84,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(237,'audio-equipment',85,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(238,'audio-equipment',86,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(239,'audio-equipment',87,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(240,'smart-televisions',88,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(241,'smart-televisions',89,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(242,'smart-televisions',90,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(243,'samsung-smart-phone-digital',91,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(244,'samsung-smart-phone-digital',92,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(245,'samsung-smart-phone-digital',93,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(246,'herschel-leather-duffle-bag-in-brown-color',94,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(247,'herschel-leather-duffle-bag-in-brown-color',95,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(248,'herschel-leather-duffle-bag-in-brown-color',96,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(249,'herschel-leather-duffle-bag-in-brown-color',97,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(250,'xbox-one-wireless-controller-black-color',98,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(251,'xbox-one-wireless-controller-black-color',99,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(252,'xbox-one-wireless-controller-black-color',100,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(253,'epsion-plaster-printer',101,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(254,'epsion-plaster-printer',102,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(255,'epsion-plaster-printer',103,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(256,'sound-intone-i65-earphone-white-version-digital',104,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(257,'sound-intone-i65-earphone-white-version-digital',105,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(258,'sound-intone-i65-earphone-white-version-digital',106,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(259,'bo-play-mini-bluetooth-speaker',107,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(260,'bo-play-mini-bluetooth-speaker',108,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(261,'apple-macbook-air-retina-133-inch-laptop',109,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(262,'apple-macbook-air-retina-133-inch-laptop',110,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(263,'apple-macbook-air-retina-133-inch-laptop',111,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(264,'apple-macbook-air-retina-12-inch-laptop',112,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(265,'samsung-gear-vr-virtual-reality-headset-digital',113,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(266,'aveeno-moisturizing-body-shower-450ml',114,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(267,'aveeno-moisturizing-body-shower-450ml',115,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(268,'nyx-beauty-couton-pallete-makeup-12',116,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(269,'nyx-beauty-couton-pallete-makeup-12',117,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(270,'nyx-beauty-couton-pallete-makeup-12',118,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(271,'mvmth-classical-leather-watch-in-black-digital',119,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(272,'mvmth-classical-leather-watch-in-black-digital',120,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(273,'mvmth-classical-leather-watch-in-black-digital',121,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(274,'mvmth-classical-leather-watch-in-black-digital',122,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(275,'baxter-care-hair-kit-for-bearded-mens',123,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(276,'ciate-palemore-lipstick-bold-red-color',124,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(277,'ciate-palemore-lipstick-bold-red-color',125,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(278,'ciate-palemore-lipstick-bold-red-color',126,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(279,'ciate-palemore-lipstick-bold-red-color',127,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(280,'vimto-squash-remix-apple-15-litres',128,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(281,'vimto-squash-remix-apple-15-litres',129,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(282,'vimto-squash-remix-apple-15-litres',130,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(283,'crock-pot-slow-cooker-digital',131,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(284,'crock-pot-slow-cooker-digital',132,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(285,'crock-pot-slow-cooker-digital',133,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(286,'taylors-of-harrogate-yorkshire-coffee',134,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(287,'taylors-of-harrogate-yorkshire-coffee',135,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(288,'taylors-of-harrogate-yorkshire-coffee',136,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(289,'soft-mochi-galeto-ice-cream',137,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(290,'naked-noodle-egg-noodles-singapore',138,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(291,'naked-noodle-egg-noodles-singapore',139,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(292,'naked-noodle-egg-noodles-singapore',140,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(293,'naked-noodle-egg-noodles-singapore',141,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(294,'naked-noodle-egg-noodles-singapore',142,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(295,'saute-pan-silver-digital',143,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(296,'saute-pan-silver-digital',144,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(297,'saute-pan-silver-digital',145,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(298,'bar-s-classic-bun-length-franks',146,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(299,'bar-s-classic-bun-length-franks',147,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(300,'broccoli-crowns',148,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(301,'broccoli-crowns',149,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(302,'broccoli-crowns',150,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(303,'broccoli-crowns',151,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(304,'slimming-world-vegan-mac-greens',152,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(305,'slimming-world-vegan-mac-greens',153,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(306,'haagen-dazs-salted-caramel-digital',154,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:50','2024-08-10 00:00:50'),(307,'haagen-dazs-salted-caramel-digital',155,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(308,'iceland-3-solo-exotic-burst',156,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(309,'extreme-budweiser-light-can',157,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(310,'extreme-budweiser-light-can',158,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(311,'iceland-macaroni-cheese-traybake',159,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(312,'dolmio-bolognese-pasta-sauce-digital',160,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(313,'dolmio-bolognese-pasta-sauce-digital',161,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(314,'sitema-bakeit-plastic-box',162,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(315,'sitema-bakeit-plastic-box',163,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(316,'wayfair-basics-dinner-plate-storage',164,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(317,'wayfair-basics-dinner-plate-storage',165,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(318,'miko-the-panda-water-bottle',166,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(319,'miko-the-panda-water-bottle',167,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(320,'sesame-seed-bread-digital',168,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(321,'morrisons-the-best-beef',169,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(322,'morrisons-the-best-beef',170,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(323,'morrisons-the-best-beef',171,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(324,'morrisons-the-best-beef',172,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(325,'avocado-hass-large',173,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(326,'avocado-hass-large',174,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(327,'avocado-hass-large',175,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(328,'avocado-hass-large',176,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(329,'avocado-hass-large',177,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(330,'italia-beef-lasagne',178,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(331,'maxwell-house-classic-roast-mocha-digital',179,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(332,'maxwell-house-classic-roast-mocha-digital',180,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(333,'bottled-pure-water-500ml',181,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(334,'bottled-pure-water-500ml',182,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(335,'bottled-pure-water-500ml',183,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(336,'famart-farmhouse-soft-white',184,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(337,'famart-farmhouse-soft-white',185,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(338,'famart-farmhouse-soft-white',186,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(339,'famart-farmhouse-soft-white',187,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(340,'coca-cola-original-taste',188,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(341,'coca-cola-original-taste',189,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(342,'casillero-diablo-cabernet-sauvignon-digital',190,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(343,'arla-organic-free-range-milk',191,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(344,'aptamil-follow-on-baby-milk',192,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(345,'aptamil-follow-on-baby-milk',193,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(346,'aptamil-follow-on-baby-milk',194,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(347,'cuisinart-chefs-classic-hard-anodized',195,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(348,'cuisinart-chefs-classic-hard-anodized',196,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(349,'corn-yellow-sweet-digital',197,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(350,'corn-yellow-sweet-digital',198,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(351,'hobnobs-the-nobbly-biscuit',199,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(352,'honest-organic-still-lemonade',200,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(353,'honest-organic-still-lemonade',201,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(354,'ice-becks-beer-350ml-x-24-pieces',202,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(355,'ice-becks-beer-350ml-x-24-pieces',203,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(356,'ice-becks-beer-350ml-x-24-pieces',204,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(357,'iceland-6-hot-cross-buns-digital',205,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(358,'iceland-6-hot-cross-buns-digital',206,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(359,'iceland-6-hot-cross-buns-digital',207,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(360,'iceland-luxury-4-panini-rolls',208,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(361,'iceland-luxury-4-panini-rolls',209,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(362,'iceland-luxury-4-panini-rolls',210,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(363,'iceland-soft-scoop-vanilla',211,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(364,'iceland-spaghetti-bolognese',212,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(365,'iceland-spaghetti-bolognese',213,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(366,'iceland-spaghetti-bolognese',214,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(367,'iceland-spaghetti-bolognese',215,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(368,'kelloggs-coco-pops-cereal-digital',216,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(369,'kelloggs-coco-pops-cereal-digital',217,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(370,'kit-kat-chunky-milk-chocolate',218,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(371,'kit-kat-chunky-milk-chocolate',219,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(372,'kit-kat-chunky-milk-chocolate',220,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(373,'large-green-bell-pepper',221,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(374,'large-green-bell-pepper',222,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(375,'large-green-bell-pepper',223,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(376,'large-green-bell-pepper',224,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(377,'pice-94w-beasley-journal',225,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(378,'pice-94w-beasley-journal',226,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(379,'pice-94w-beasley-journal',227,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(380,'pice-94w-beasley-journal',228,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(381,'province-piece-glass-drinking-glass-digital',229,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51'),(382,'province-piece-glass-drinking-glass-digital',230,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:00:51','2024-08-10 00:00:51');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `states_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states_translations`
--

DROP TABLE IF EXISTS `states_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `states_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`states_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states_translations`
--

LOCK TABLES `states_translations` WRITE;
/*!40000 ALTER TABLE `states_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `states_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Growth',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(2,'Strategy',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(3,'Innovation',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(4,'Leadership',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(5,'Funding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(6,'Marketing',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(7,'Sales',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(8,'SEO',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(9,'Branding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(10,'Customer Service',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(11,'Productivity',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(12,'Networking',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(13,'Startups',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(14,'E-commerce',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(15,'Finance',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(16,'Business Development',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(17,'Team Building',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(18,'Operations',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(19,'Legal Advice',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55'),(20,'HR Management',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:59:55','2024-08-09 23:59:55');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Devon Lane','teams/2-1.jpg','Sales Agent','India','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','01123259241','devonsoland111@gmail.com','4855, 24, Ansari Road, Darya Ganj',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(2,'Marvin McKinney','teams/2-2.jpg','Business Manager','Thailand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','6623742088','marvinkensy@gmail.com','849 Sukhapibal 1 Klong Chan Bang Kapi',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(3,'Ronald Richards','teams/2-3.jpg','Marketing Director','Canada','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','4165550123','ronrichards@marketing.com','123 Maple Street, Toronto, ON',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(4,'Cameron Williamson','teams/2-4.jpg','Chief Technology Officer','Germany','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','49221567890','cameronwill@tech.com','45 Hauptstraße, 50667 Köln',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(5,'Alicia Sanders','teams/2-5.jpg','Human Resources Manager','Australia','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0298765432','alicia.hr@company.com','15 George St, Sydney, NSW',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(6,'Ethan Wright','teams/2-6.jpg','Operations Manager','South Africa','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0217896543','ethanwright@operations.com','789 Beach Road, Cape Town',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(7,'Isabella Johnson','teams/2-7.jpg','Product Manager','New Zealand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0498761234','isabella.prod@company.com','32 Victoria St, Wellington',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(8,'Liam Brown','teams/2-8.jpg','Legal Advisor','United Kingdom','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:59:50','2024-08-09 23:59:50','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','02079461234','liam.legal@company.co.uk','10 Downing Street, London',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally');
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Guy Hawkins','Exceptional service! Gerow’s attention to detail and reliability have been instrumental in our supply chain success.','testimonials/1.png','CEO, JAKS Shans','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(2,'Eleanor Pena','Gerow has consistently met and exceeded our logistics needs. Their dedication to excellence is truly commendable.','testimonials/2.png','SEO, ChenTech Solutions','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(3,'Cody Fisher','Their team is a valuable asset to our business operations. Gerow’s efficient service has saved us time and money.','testimonials/3.png','Developer, Moie Agency','published','2024-08-09 23:59:59','2024-08-09 23:59:59'),(4,'Albert Flores','Gerow’s attention to detail and professionalism have made them our preferred logistics partner. Highly recommended!','testimonials/4.png','CEO, Bank of America','published','2024-08-09 23:59:59','2024-08-09 23:59:59');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'anibal39@balistreri.com',NULL,'$2y$12$jqTk81txdhDA73xGT7MV7eZ33twJKe3U/wRcluWRsY8FzZWXYvqPe',NULL,'2024-08-09 23:59:45','2024-08-09 23:59:50','Norbert','Hammes','admin',77,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'SiteInformationWidget','menu_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"quantity\":3,\"title_1\":\"Office Address\",\"description_1\":\"123\\/A, Miranda City Likaoli Prikano, Dope\",\"title_2\":\"Phone Number\",\"description_2\":\"+0989 7876 9865 9 <br> +(090) 8765 86543 85\",\"title_3\":\"Email Address\",\"description_3\":\"info@example.com <br> example.mail@hum.com\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(2,'SocialLinksWidget','menu_sidebar','apexa',2,'{\"id\":\"SocialLinksWidget\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(3,'NewsletterWidget','footer_sidebar','apexa',1,'{\"id\":\"NewsletterWidget\",\"title\":\"Never Miss Out On A Moment Apexa Us\",\"background_color\":\"transparent\",\"display_social_links\":true,\"style\":\"style-4\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(4,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Information\",\"items\":[[{\"key\":\"label\",\"value\":\"+123 888 9999\"},{\"key\":\"url\",\"value\":\"tel:+123 888 9999\"},{\"key\":\"icon\",\"value\":\"ti ti-phone-call\"}],[{\"key\":\"label\",\"value\":\"info@apexa.com\"},{\"key\":\"url\",\"value\":\"mailto:info@apexa.com\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}],[{\"key\":\"label\",\"value\":\"Sydney Harbour Bridge Circular City of Sydney, Australia.\"},{\"key\":\"url\",\"value\":\"\\/\"},{\"key\":\"icon\",\"value\":\"ti ti-map-pin\"}]]}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',3,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Top Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it\\u2019s Work\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/\"}]]}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(6,'GalleriesWidget','footer_sidebar','apexa',4,'{\"id\":\"GalleriesWidget\",\"title\":\"Instagram Posts\",\"limit\":6}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(7,'SiteCopyrightWidget','bottom_footer_sidebar','apexa',1,'[]','2024-08-09 23:59:46','2024-08-09 23:59:46'),(8,'BlogSearchWidget','blog_sidebar','apexa',1,'{\"id\":\"BlogSearchWidget\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(9,'BlogCategoriesWidget','blog_sidebar','apexa',2,'{\"id\":\"BlogCategoriesWidget\",\"title\":\"Categories\",\"category_ids\":[1,2,3,4,5]}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(10,'BlogPostsWidget','blog_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(11,'BlogTagsWidget','blog_sidebar','apexa',4,'{\"id\":\"BlogTagsWidget\",\"title\":\"Tags\",\"limit\":5}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(12,'ContactInformationWidget','header_top_start_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"+123 9898 500\",\"icon_1\":\"ti ti-phone-call\",\"url_1\":\"tel:123 9898 500\",\"title_2\":\"256 Avenue, Mark Street, NewYork City\",\"icon_2\":\"ti ti-map-pin\",\"url_2\":\"https:\\/\\/www.google.com\\/maps\\/place\\/256+St+Marks+Ave,+Freeport,+NY+11520,+USA\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(13,'ContactInformationWidget','header_top_end_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"info@apexa.com\",\"icon_1\":\"ti ti-mail\",\"url_1\":\"mailto:info@apexa.com\",\"title_2\":\"Mon-Fri: 10:00am - 09:00pm\",\"icon_2\":\"ti ti-clock-hour-6\",\"url_2\":\"\",\"alignment\":\"end\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(14,'ServicesWidget','service_sidebar','apexa',1,'{\"id\":\"ServicesWidget\",\"service_ids\":[1,2,3,4,5]}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(15,'BrochureDownloadsWidget','service_sidebar','apexa',2,'{\"id\":\"BrochureDownloadsWidget\",\"title\":\"Brochure\",\"description\":\"when an unknown printer took ga lley offer typey anddey.\",\"file_1\":\"downloads\\/document.pdf\",\"file_2\":\"downloads\\/document.pdf\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(16,'BlogPostsWidget','service_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(17,'ContactBlockWidget','service_sidebar','apexa',4,'{\"id\":\"ContactBlockWidget\",\"title\":\"If You Need Any Help Contact With Us\",\"phone_number\":\"+91 705 2101 786\"}','2024-08-09 23:59:46','2024-08-09 23:59:46'),(18,'ContactFormWidget','service_sidebar','apexa',5,'{\"id\":\"ContactFormWidget\",\"title\":\"Send Us Message\",\"button_label\":\"Send Message\",\"background_color\":\"#ECF6FA\"}','2024-08-09 23:59:46','2024-08-09 23:59:46');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-08-10 14:00:52
