-- MySQL dump 10.13  Distrib 8.0.36, for macos14 (arm64)
--
-- Host: 127.0.0.1    Database: archielite_apexa
-- ------------------------------------------------------
-- Server version	8.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'mNrFiBjTwk0skkJrwsLhL3ViDtBv6P4W',1,'2024-08-10 00:03:36','2024-08-10 00:03:36','2024-08-10 00:03:36');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `has_action` tinyint(1) NOT NULL DEFAULT '0',
  `action_label` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_open_new_tab` tinyint(1) NOT NULL DEFAULT '0',
  `dismissible` tinyint(1) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'Announcement 1','Introducing Our New Business Consulting Solutions!',0,NULL,NULL,0,1,'2024-08-10 07:04:42',NULL,1,'2024-08-10 00:04:42','2024-08-10 00:04:42'),(2,'Announcement 2','Elevate Your Business with Our Comprehensive Consulting Services.',0,NULL,NULL,0,1,'2024-08-10 07:04:42',NULL,1,'2024-08-10 00:04:42','2024-08-10 00:04:42'),(3,'Announcement 3','Revolutionize Your Business Strategy with Our Expertise.',0,NULL,NULL,0,1,'2024-08-10 07:04:42',NULL,1,'2024-08-10 00:04:42','2024-08-10 00:04:42');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements_translations`
--

DROP TABLE IF EXISTS `announcements_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announcements_id` bigint unsigned NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`announcements_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements_translations`
--

LOCK TABLES `announcements_translations` WRITE;
/*!40000 ALTER TABLE `announcements_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcements_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers`
--

DROP TABLE IF EXISTS `careers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers`
--

LOCK TABLES `careers` WRITE;
/*!40000 ALTER TABLE `careers` DISABLE KEYS */;
INSERT INTO `careers` VALUES (1,'Senior Full Stack Engineer','Mraztown, Namibia','8,449','Join our team as a Senior Full Stack Engineer and help us build cutting-edge solutions to empower creators worldwide.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(2,'Lead Backend Developer','Hanemouth, Northern Mariana Islands','6,363','Exciting opportunity for a Lead Backend Developer to lead our backend team in architecting scalable and robust systems.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(3,'UI/UX Designer','Lake Reinaside, Jordan','5,221','We are looking for a talented UI/UX Designer to create intuitive and visually stunning user experiences for our products.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(4,'Product Manager','Lake Mariahborough, New Caledonia','7,447','As a Product Manager, you will drive the development and strategy of our products to meet the needs of our growing user base.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(5,'Data Scientist','Helmerhaven, Honduras','1,466','Seeking a Data Scientist to analyze large datasets and derive actionable insights to inform business decisions.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(6,'DevOps Engineer','Gibsonstad, Paraguay','2,453','We are hiring a DevOps Engineer to streamline our development processes and ensure the reliability and scalability of our infrastructure.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-10 00:03:50','2024-08-10 00:03:50');
/*!40000 ALTER TABLE `careers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers_translations`
--

DROP TABLE IF EXISTS `careers_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `careers_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`careers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers_translations`
--

LOCK TABLES `careers_translations` WRITE;
/*!40000 ALTER TABLE `careers_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `careers_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Entrepreneurship',0,'Error quam et consequatur iste sint. Autem et quos aut rem nihil dicta. Pariatur aut laudantium maxime et.','published',1,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(2,'Startups',0,'Occaecati voluptas sed ullam corporis sequi. Qui saepe et voluptatem. Et minus consequatur at officiis culpa voluptatibus.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(3,'Marketing',0,'Quia ipsam quae quod incidunt. Quia corporis deleniti sed aut. Laboriosam delectus voluptatem fugiat omnis inventore quo et. Sit tempora non fugiat rerum sed.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(4,'Sales',0,'Laboriosam distinctio adipisci magnam et. Praesentium sed voluptatem magnam nihil sit blanditiis praesentium autem. Quidem inventore ducimus eaque in vel eum consectetur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(5,'Finance',0,'Inventore quod quisquam inventore quisquam aliquid nisi architecto odio. Perspiciatis magnam dolores quia distinctio sapiente eum doloremque. Aut incidunt aut eaque aut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(6,'Leadership',0,'Libero debitis voluptatum eligendi molestiae sed ea. Qui eligendi velit at accusantium. Magni tenetur omnis occaecati ut ullam nihil.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(7,'Management',0,'Et rerum exercitationem nulla necessitatibus laudantium voluptas ut error. Sunt dolorem ea dicta impedit et nisi voluptatem velit. Occaecati nihil ut voluptate dicta illum tempore.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(8,'Human Resources',0,'Harum est voluptatibus eius sequi voluptas nihil repellat. Eius aut distinctio qui illum voluptatem. Sunt in eveniet sunt itaque molestiae magni odio.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(9,'Customer Service',0,'Consequatur aliquid ex minus. Ratione odit sit sunt earum officia dolor. Iure quisquam eum veritatis fugiat neque aut. Placeat impedit et odio alias repudiandae asperiores.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(10,'Innovation',0,'Ut eum et deleniti excepturi rem. Illum ea voluptas ipsa cumque ipsum. Facilis nemo sunt possimus voluptates et. Non quasi numquam dicta numquam.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(11,'Business Strategy',0,'Possimus eius inventore dolorem aut earum et. Nesciunt pariatur odio et quos unde. Repellat quia harum sit atque aspernatur cum.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(12,'E-commerce',0,'Sed quia voluptatem repudiandae est. Minima nam sed deleniti. Nihil numquam consequatur itaque autem itaque expedita. Consequuntur adipisci dolorum laudantium eius.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(13,'Technology',0,'Officiis nemo ipsam fugiat similique est vel. Qui incidunt omnis eos qui commodi fuga rerum.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(14,'Networking',0,'Enim enim qui illo sunt esse. Eos est tempore voluptatum illo. Voluptatum sed odio ex.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(15,'Productivity',0,'Sunt mollitia non velit eligendi. Ratione nesciunt maxime in sint nisi eum ab. Voluptatibus ut voluptas doloribus quod.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(16,'Operations',0,'Esse molestiae ut natus ea. Iste similique exercitationem ut quae esse. Repudiandae numquam voluptatibus ducimus.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(17,'Legal',0,'Quas nostrum dignissimos quis provident eos iste. Unde quia minus libero at repellendus.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(18,'Industry Trends',0,'Dolor unde est dicta quos numquam cum. Impedit alias esse molestiae consequatur. Labore sunt non ipsum perferendis sit quas.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(19,'Small Business',0,'Iste sequi dolor et nobis sed animi. Ratione autem sequi dolores officiis. Voluptates consectetur hic tempora fugiat.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(20,'Consulting',0,'Ea officiis soluta facere eius. Illo dolore et non veniam provident omnis ipsam. Laboriosam voluptas molestiae voluptate rem maiores consequuntur. Quia eligendi et sit dignissimos.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-10 00:03:46','2024-08-10 00:03:46');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `record_id` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cities_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities_translations`
--

DROP TABLE IF EXISTS `cities_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cities_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`cities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities_translations`
--

LOCK TABLES `cities_translations` WRITE;
/*!40000 ALTER TABLE `cities_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options`
--

DROP TABLE IF EXISTS `contact_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options`
--

LOCK TABLES `contact_custom_field_options` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options_translations`
--

DROP TABLE IF EXISTS `contact_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options_translations` (
  `contact_custom_field_options_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options_translations`
--

LOCK TABLES `contact_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields`
--

DROP TABLE IF EXISTS `contact_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields`
--

LOCK TABLES `contact_custom_fields` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields_translations`
--

DROP TABLE IF EXISTS `contact_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields_translations` (
  `contact_custom_fields_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields_translations`
--

LOCK TABLES `contact_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,'Ara Grant','alowe@example.org','+1.424.240.2988','46433 Bogisich Ranch Suite 410\nLake Antoniettabury, MO 56697','At aut voluptate in voluptas velit commodi.','Rerum adipisci impedit iusto et aut. Explicabo neque aut optio velit est aperiam. Architecto itaque est at dolores nihil voluptas pariatur. Fugit aliquam et quis commodi. Blanditiis consequuntur aut ut. Placeat corrupti ea quo eum. Minus nostrum autem itaque amet voluptates quis. Praesentium ut dignissimos qui minus optio aut nihil. Laborum magni ab ut. Est quo ea est maiores.',NULL,'read','2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,'Horacio Rempel','benjamin85@example.net','+1.442.564.4934','762 Brakus Trail Apt. 420\nLockmanchester, UT 90797-9631','Et blanditiis velit tenetur autem culpa in.','In dolor ea perspiciatis. Omnis perspiciatis maxime qui. Excepturi fugiat iusto earum corporis perferendis iure adipisci. Ea veritatis dolorem debitis quia incidunt quia. Consectetur aliquid veniam necessitatibus perferendis assumenda. Consequatur optio harum distinctio esse. Incidunt et amet incidunt eligendi est. Debitis dignissimos dolor placeat adipisci quia recusandae. Totam aut fuga ut voluptate. Vitae eos similique quisquam adipisci maxime. Eum et adipisci incidunt enim.',NULL,'read','2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,'Peyton Lind','buddy73@example.net','(660) 440-6258','868 Koss Mill\nSelenaport, TN 73533-3235','Minima exercitationem est sunt quia provident.','Itaque inventore id quia non aliquid ab. Rem aspernatur magni consequatur sit in necessitatibus repellat. At eius dolores cupiditate asperiores. Eum quasi atque quia maxime dolore quis. Enim rerum ut nobis et. Enim non optio itaque deleniti provident architecto. Sint dolor cumque placeat voluptatem similique quis harum quia. Temporibus autem pariatur et quia rerum reiciendis ducimus. Quibusdam accusantium laudantium consequuntur praesentium.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,'Kathleen Heidenreich MD','feil.rod@example.net','+1-904-948-1538','140 Von Port Apt. 161\nLake Darrel, NH 95617-9446','Architecto soluta eos fugiat.','Eos dolores velit dolorem exercitationem omnis. Aut aperiam quas dicta est mollitia explicabo quo consequatur. Fugit sit laudantium est rerum non aut commodi. Et nisi soluta tempora corrupti dolorum velit minima est. Voluptatem officiis inventore magni veritatis expedita ut. Sunt et dicta in ipsa beatae. Consectetur molestiae explicabo rerum quo dolores impedit iusto. Soluta magnam molestiae molestias rerum. Enim blanditiis necessitatibus repudiandae suscipit ipsam in voluptatum.',NULL,'read','2024-08-10 00:03:37','2024-08-10 00:03:37'),(5,'Retha Feil','perry71@example.net','1-262-354-3790','40517 Joelle Crossroad\nSouth Okeyton, VA 25601-9381','Possimus ad repellat sint architecto.','Omnis consequatur consequatur sed et eos dolorem laudantium alias. Ducimus quo quia qui nesciunt sunt vel. Quos et earum inventore qui labore sit. Autem occaecati atque et animi ea voluptatem occaecati. Facere dicta placeat fuga qui unde non. Corrupti ipsam quo nisi a porro. Quo cum quod cum molestias deserunt nemo.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37'),(6,'Rickey Marvin IV','herminia77@example.net','1-848-990-5491','7227 Magdalen Canyon\nDaphneyville, AZ 86120','Facere amet provident ad illo earum et.','Nostrum enim architecto iusto adipisci. Aut quo animi est facilis blanditiis omnis ut cumque. Porro totam aut et nemo qui et vero expedita. Libero possimus ducimus ut animi. Incidunt et velit odit ab maxime. Incidunt dolore autem quia nostrum ut. Magnam adipisci odio quibusdam nam quia. Dolor inventore saepe sed quia eius. Error et sequi fugiat vel explicabo tenetur. Possimus sint cumque enim et quas molestiae tempore doloribus.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37'),(7,'Leanne Legros','ccollins@example.org','+1.520.658.0720','822 Jennyfer Prairie Apt. 675\nWest Myriammouth, MT 45996','Id sed ad magnam veritatis sapiente.','Facere nostrum sequi enim iusto exercitationem id quae. Soluta nostrum enim reprehenderit beatae vero fugiat quidem assumenda. Repellat quisquam ea quo repellendus atque. Libero qui voluptatem ullam totam aliquid. Animi iusto qui error ut ut accusamus quasi. Perferendis unde est quibusdam qui dolores. Et assumenda enim ratione excepturi. Et et corporis sunt aut. Omnis fugit ut pariatur dolor. Iste et commodi enim omnis.',NULL,'read','2024-08-10 00:03:37','2024-08-10 00:03:37'),(8,'Griffin Crooks','xpacocha@example.com','1-380-431-7184','62903 Crystel Courts\nCroninport, IN 43406-1108','Quae aliquam rerum dolor et quasi asperiores.','A veniam soluta beatae omnis sequi consequuntur enim. Quod sit repudiandae suscipit consequuntur quod veniam eveniet. Qui non est ut qui aut minus. Nostrum harum culpa qui quo aut vero ipsam voluptatibus. Eligendi beatae illo esse. Vero necessitatibus necessitatibus commodi sunt. Culpa ut minima ut ratione enim temporibus molestiae. Eos vero doloremque nisi laboriosam dolorum.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37'),(9,'Enid Lubowitz Sr.','quentin.metz@example.org','954-349-8306','424 Muller Valleys\nHillstad, MO 08565-0618','Et facere rem non.','Animi sint quia sapiente sed ipsa odio. Consequatur aperiam voluptatem officiis facere perferendis. Aliquam quia fugiat et unde est laboriosam. Provident nihil labore ut. Eum laborum rerum adipisci corporis tenetur. Omnis repellat consequatur id. Tempore quasi ut quae totam. Similique reprehenderit deserunt labore quos laudantium. Dolores porro vel repellendus sit quod saepe deleniti. Ut pariatur rerum ut hic. Delectus nemo aliquid voluptatem quia rerum porro necessitatibus.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37'),(10,'Helen Kuphal','ollie.rutherford@example.net','+12608850716','44874 Kemmer Prairie\nLake Malcolmland, MO 60951-5202','Voluptas dolor minima eum repudiandae veritatis.','Iure officiis dolorem nam et rem repudiandae possimus. Deserunt molestiae fuga qui hic nihil blanditiis pariatur mollitia. Atque tenetur natus id ipsum fugit. Quis possimus rerum fugit aut voluptatem voluptates laboriosam. Qui debitis voluptatem voluptatem aut enim odio eveniet. Unde dolore assumenda maiores illum sit assumenda iure. Minima molestiae et incidunt quae. Sequi quibusdam dolorem aut quos deserunt eveniet omnis. Earum sit qui voluptatem magni. Quia ipsam ipsa enim.',NULL,'unread','2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_translations`
--

DROP TABLE IF EXISTS `countries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `countries_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`countries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_translations`
--

LOCK TABLES `countries_translations` WRITE;
/*!40000 ALTER TABLE `countries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands`
--

DROP TABLE IF EXISTS `ec_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands`
--

LOCK TABLES `ec_brands` WRITE;
/*!40000 ALTER TABLE `ec_brands` DISABLE KEYS */;
INSERT INTO `ec_brands` VALUES (1,'FoodPound','New Snacks Release',NULL,'brands/1.png','published',0,1,'2024-08-10 00:03:51','2024-08-10 00:03:51'),(2,'iTea JSC','Happy Tea 100% Organic. From $29.9',NULL,'brands/1.png','published',1,1,'2024-08-10 00:03:51','2024-08-10 00:03:51'),(3,'Soda Brand','Soda is a brand that lets your inner-dive out through creative makeup and cool makeup tips! Whichever product you choose, you will see that it is a perfect ...',NULL,'brands/1.png','published',2,1,'2024-08-10 00:03:51','2024-08-10 00:03:51'),(4,'Farmart','Fresh Meat Sausage. BUY 2 GET 1!',NULL,'brands/1.png','published',3,1,'2024-08-10 00:03:51','2024-08-10 00:03:51');
/*!40000 ALTER TABLE `ec_brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands_translations`
--

DROP TABLE IF EXISTS `ec_brands_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_brands_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_brands_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands_translations`
--

LOCK TABLES `ec_brands_translations` WRITE;
/*!40000 ALTER TABLE `ec_brands_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_brands_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_cart`
--

DROP TABLE IF EXISTS `ec_cart`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_cart` (
  `identifier` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `instance` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`identifier`,`instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_cart`
--

LOCK TABLES `ec_cart` WRITE;
/*!40000 ALTER TABLE `ec_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_currencies`
--

DROP TABLE IF EXISTS `ec_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_currencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_prefix_symbol` tinyint unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint unsigned DEFAULT '0',
  `order` int unsigned DEFAULT '0',
  `is_default` tinyint NOT NULL DEFAULT '0',
  `exchange_rate` double NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_currencies`
--

LOCK TABLES `ec_currencies` WRITE;
/*!40000 ALTER TABLE `ec_currencies` DISABLE KEYS */;
INSERT INTO `ec_currencies` VALUES (1,'USD','$',1,2,0,1,1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,'EUR','€',0,2,1,0,0.84,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,'VND','₫',0,0,2,0,23203,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,'NGN','₦',1,2,2,0,895.52,'2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `ec_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_addresses`
--

DROP TABLE IF EXISTS `ec_customer_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_addresses`
--

LOCK TABLES `ec_customer_addresses` WRITE;
/*!40000 ALTER TABLE `ec_customer_addresses` DISABLE KEYS */;
INSERT INTO `ec_customer_addresses` VALUES (1,'Ryan Osinski','customer@archielite.com','+17326909724','FJ','Nebraska','New Lillafurt','9582 Giuseppe Squares Apt. 104',1,1,'2024-08-10 00:04:39','2024-08-10 00:04:39','42771-8394'),(2,'Ryan Osinski','customer@archielite.com','+17852589979','SO','Indiana','Lake Bernardville','100 Nannie Isle',1,0,'2024-08-10 00:04:39','2024-08-10 00:04:39','63601-4219'),(3,'Bryon Nienow','felicia55@example.com','+19869164162','SO','Connecticut','Evertfort','179 Anne Point',2,1,'2024-08-10 00:04:40','2024-08-10 00:04:40','79717'),(4,'Elroy Nienow PhD','sgutmann@example.net','+18785283440','CC','Iowa','Quigleystad','17912 Ritchie Square Suite 561',3,1,'2024-08-10 00:04:40','2024-08-10 00:04:40','26300-4482'),(5,'Kimberly Bechtelar','karianne18@example.net','+18206843656','AF','Wisconsin','Ethaside','6107 Zboncak Trace',4,1,'2024-08-10 00:04:40','2024-08-10 00:04:40','73215'),(6,'Jermain Moen','precious.lang@example.org','+17192073085','MS','Iowa','Melisamouth','672 Maggio Terrace',5,1,'2024-08-10 00:04:40','2024-08-10 00:04:40','21882-7716'),(7,'Hellen Jones','kankunding@example.net','+19187313037','LS','California','Laurineton','29114 Braden Oval Apt. 189',6,1,'2024-08-10 00:04:41','2024-08-10 00:04:41','93177'),(8,'Miss Viviane Conroy','ernest.brekke@example.org','+13524329028','GI','South Carolina','Rennermouth','8420 Stehr Groves',7,1,'2024-08-10 00:04:41','2024-08-10 00:04:41','13202'),(9,'Sylvia Gaylord','lgerlach@example.net','+15208536493','IL','Michigan','North Carmel','18334 Reichel Mission',8,1,'2024-08-10 00:04:41','2024-08-10 00:04:41','22866'),(10,'Johann Leffler','blick.kristin@example.org','+19413935981','AF','Louisiana','Lake Eldaville','6671 Enid Ridge Apt. 304',9,1,'2024-08-10 00:04:41','2024-08-10 00:04:41','97072');
/*!40000 ALTER TABLE `ec_customer_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_deletion_requests`
--

DROP TABLE IF EXISTS `ec_customer_deletion_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_deletion_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting_for_confirmation',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `confirmed_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customer_deletion_requests_token_unique` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_deletion_requests`
--

LOCK TABLES `ec_customer_deletion_requests` WRITE;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_password_resets`
--

DROP TABLE IF EXISTS `ec_customer_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `ec_customer_password_resets_email_index` (`email`),
  KEY `ec_customer_password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_password_resets`
--

LOCK TABLES `ec_customer_password_resets` WRITE;
/*!40000 ALTER TABLE `ec_customer_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_recently_viewed_products`
--

DROP TABLE IF EXISTS `ec_customer_recently_viewed_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_recently_viewed_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_recently_viewed_products`
--

LOCK TABLES `ec_customer_recently_viewed_products` WRITE;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_used_coupons`
--

DROP TABLE IF EXISTS `ec_customer_used_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_used_coupons` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_used_coupons`
--

LOCK TABLES `ec_customer_used_coupons` WRITE;
/*!40000 ALTER TABLE `ec_customer_used_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_used_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customers`
--

DROP TABLE IF EXISTS `ec_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `email_verify_token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'activated',
  `private_notes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customers`
--

LOCK TABLES `ec_customers` WRITE;
/*!40000 ALTER TABLE `ec_customers` DISABLE KEYS */;
INSERT INTO `ec_customers` VALUES (1,'Ryan Osinski','customer@archielite.com','$2y$12$W44DGlQ1.KWG6KLd6MRvf.i0SfIbBJ8Ljig9Nq708dL0DyJc4LMyW','customers/2.jpg','1976-08-02','+13477532072',NULL,'2024-08-10 00:04:39','2024-08-10 00:04:39','2024-08-10 07:04:39',NULL,'activated',NULL),(2,'Bryon Nienow','felicia55@example.com','$2y$12$tn6rnU12mtRgUXur8GpFS.aeFznsaAP1WXumDCdPqVuVWb1ZvWdSy','customers/1.jpg','1989-07-31','+13163975663',NULL,'2024-08-10 00:04:40','2024-08-10 00:04:40','2024-08-10 07:04:39',NULL,'activated',NULL),(3,'Elroy Nienow PhD','sgutmann@example.net','$2y$12$0TkZw7L13FMfI0yRw2SZFecoD1TCZPjJDQPr6ZAuQJ0cNCkIwF9tu','customers/2.jpg','1990-07-18','+19103981556',NULL,'2024-08-10 00:04:40','2024-08-10 00:04:40','2024-08-10 07:04:39',NULL,'activated',NULL),(4,'Kimberly Bechtelar','karianne18@example.net','$2y$12$EaJor4b99Rf3AkgbckJFJO0yHtjsaRG3E.NP4vJ0PXbuKdbKrwh0m','customers/3.jpg','1981-08-09','+16507827619',NULL,'2024-08-10 00:04:40','2024-08-10 00:04:40','2024-08-10 07:04:39',NULL,'activated',NULL),(5,'Jermain Moen','precious.lang@example.org','$2y$12$LQ8CeAsm4vGtnvU6Hz3fQ.npuTHuepp4rVbQcdzHv.ZC0JKLfFZ2e','customers/4.jpg','1985-07-24','+19306122760',NULL,'2024-08-10 00:04:40','2024-08-10 00:04:40','2024-08-10 07:04:39',NULL,'activated',NULL),(6,'Hellen Jones','kankunding@example.net','$2y$12$vqmy1JlHQ.184n8xe3wgfuwU0C/v9km2pv/oaiKkYUyHKpoykVxuK','customers/5.jpg','1987-07-20','+18705579326',NULL,'2024-08-10 00:04:41','2024-08-10 00:04:41','2024-08-10 07:04:39',NULL,'activated',NULL),(7,'Miss Viviane Conroy','ernest.brekke@example.org','$2y$12$rrCUZvtppDAuxMqV98S74uaZaudAE/z7RYtUXXKKSlPVNjT8suh1i','customers/6.jpg','1988-07-16','+15155835922',NULL,'2024-08-10 00:04:41','2024-08-10 00:04:41','2024-08-10 07:04:39',NULL,'activated',NULL),(8,'Sylvia Gaylord','lgerlach@example.net','$2y$12$z76KYYWhm.fjliaDkA878OX4Y8Y0nF/6N.6UjSdwAoNKNir9NK9Z6','customers/7.jpg','1984-07-11','+13375229535',NULL,'2024-08-10 00:04:41','2024-08-10 00:04:41','2024-08-10 07:04:39',NULL,'activated',NULL),(9,'Johann Leffler','blick.kristin@example.org','$2y$12$FZvifRGzzx8PQdVHYOrxa.ODsawIvmAmeBBSYtQel1kaVbmYdQRV6','customers/8.jpg','1986-07-19','+17015054639',NULL,'2024-08-10 00:04:41','2024-08-10 00:04:41','2024-08-10 07:04:39',NULL,'activated',NULL);
/*!40000 ALTER TABLE `ec_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_customers`
--

DROP TABLE IF EXISTS `ec_discount_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_customers` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_customers`
--

LOCK TABLES `ec_discount_customers` WRITE;
/*!40000 ALTER TABLE `ec_discount_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_categories`
--

DROP TABLE IF EXISTS `ec_discount_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_categories` (
  `discount_id` bigint unsigned NOT NULL,
  `product_category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_categories`
--

LOCK TABLES `ec_discount_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_collections`
--

DROP TABLE IF EXISTS `ec_discount_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_collections` (
  `discount_id` bigint unsigned NOT NULL,
  `product_collection_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_collections`
--

LOCK TABLES `ec_discount_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_products`
--

DROP TABLE IF EXISTS `ec_discount_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_products` (
  `discount_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_products`
--

LOCK TABLES `ec_discount_products` WRITE;
/*!40000 ALTER TABLE `ec_discount_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discounts`
--

DROP TABLE IF EXISTS `ec_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discounts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `total_used` int unsigned NOT NULL DEFAULT '0',
  `value` double DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'coupon',
  `can_use_with_promotion` tinyint(1) NOT NULL DEFAULT '0',
  `discount_on` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_quantity` int unsigned DEFAULT NULL,
  `type_option` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'amount',
  `target` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'all-orders',
  `min_order_price` decimal(15,2) DEFAULT NULL,
  `apply_via_url` tinyint(1) NOT NULL DEFAULT '0',
  `display_at_checkout` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_discounts_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discounts`
--

LOCK TABLES `ec_discounts` WRITE;
/*!40000 ALTER TABLE `ec_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sale_products`
--

DROP TABLE IF EXISTS `ec_flash_sale_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sale_products` (
  `flash_sale_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `price` double unsigned DEFAULT NULL,
  `quantity` int unsigned DEFAULT NULL,
  `sold` int unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sale_products`
--

LOCK TABLES `ec_flash_sale_products` WRITE;
/*!40000 ALTER TABLE `ec_flash_sale_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sale_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales`
--

DROP TABLE IF EXISTS `ec_flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` datetime NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales`
--

LOCK TABLES `ec_flash_sales` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales_translations`
--

DROP TABLE IF EXISTS `ec_flash_sales_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_flash_sales_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_flash_sales_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales_translations`
--

LOCK TABLES `ec_flash_sales_translations` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value`
--

DROP TABLE IF EXISTS `ec_global_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value`
--

LOCK TABLES `ec_global_option_value` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value_translations`
--

DROP TABLE IF EXISTS `ec_global_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value_translations`
--

LOCK TABLES `ec_global_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options`
--

DROP TABLE IF EXISTS `ec_global_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'option type',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options`
--

LOCK TABLES `ec_global_options` WRITE;
/*!40000 ALTER TABLE `ec_global_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options_translations`
--

DROP TABLE IF EXISTS `ec_global_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options_translations`
--

LOCK TABLES `ec_global_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_grouped_products`
--

DROP TABLE IF EXISTS `ec_grouped_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_grouped_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_product_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `fixed_qty` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_grouped_products`
--

LOCK TABLES `ec_grouped_products` WRITE;
/*!40000 ALTER TABLE `ec_grouped_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_grouped_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoice_items`
--

DROP TABLE IF EXISTS `ec_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoice_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL DEFAULT '0.00',
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `amount` decimal(15,2) unsigned NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_invoice_items_reference_type_reference_id_index` (`reference_type`,`reference_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoice_items`
--

LOCK TABLES `ec_invoice_items` WRITE;
/*!40000 ALTER TABLE `ec_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoices`
--

DROP TABLE IF EXISTS `ec_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoices` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `payment_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_invoices_code_unique` (`code`),
  KEY `ec_invoices_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `ec_invoices_payment_id_index` (`payment_id`),
  KEY `ec_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoices`
--

LOCK TABLES `ec_invoices` WRITE;
/*!40000 ALTER TABLE `ec_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value`
--

DROP TABLE IF EXISTS `ec_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value`
--

LOCK TABLES `ec_option_value` WRITE;
/*!40000 ALTER TABLE `ec_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value_translations`
--

DROP TABLE IF EXISTS `ec_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value_translations`
--

LOCK TABLES `ec_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options`
--

DROP TABLE IF EXISTS `ec_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'option type',
  `product_id` bigint unsigned NOT NULL DEFAULT '0',
  `order` int NOT NULL DEFAULT '9999',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options`
--

LOCK TABLES `ec_options` WRITE;
/*!40000 ALTER TABLE `ec_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options_translations`
--

DROP TABLE IF EXISTS `ec_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options_translations`
--

LOCK TABLES `ec_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_addresses`
--

DROP TABLE IF EXISTS `ec_order_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'shipping_address',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_addresses`
--

LOCK TABLES `ec_order_addresses` WRITE;
/*!40000 ALTER TABLE `ec_order_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_histories`
--

DROP TABLE IF EXISTS `ec_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `extras` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_histories`
--

LOCK TABLES `ec_order_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_product`
--

DROP TABLE IF EXISTS `ec_order_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_product` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `qty` int NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `product_options` text COLLATE utf8mb4_unicode_ci COMMENT 'product option data',
  `product_id` bigint unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `restock_quantity` int unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'physical',
  `times_downloaded` int NOT NULL DEFAULT '0',
  `license_code` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `downloaded_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_product`
--

LOCK TABLES `ec_order_product` WRITE;
/*!40000 ALTER TABLE `ec_order_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_referrals`
--

DROP TABLE IF EXISTS `ec_order_referrals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_referrals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_page` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_params` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referral` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_source` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_campaign` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_medium` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_term` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_content` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer_url` text COLLATE utf8mb4_unicode_ci,
  `referrer_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_referrals_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_referrals`
--

LOCK TABLES `ec_order_referrals` WRITE;
/*!40000 ALTER TABLE `ec_order_referrals` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_histories`
--

DROP TABLE IF EXISTS `ec_order_return_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_return_id` bigint unsigned NOT NULL,
  `action` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_histories`
--

LOCK TABLES `ec_order_return_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_return_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_items`
--

DROP TABLE IF EXISTS `ec_order_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_return_id` bigint unsigned NOT NULL COMMENT 'Order return id',
  `order_product_id` bigint unsigned NOT NULL COMMENT 'Order product id',
  `product_id` bigint unsigned NOT NULL COMMENT 'Product id',
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int NOT NULL COMMENT 'Quantity return',
  `price` decimal(15,2) NOT NULL COMMENT 'Price Product',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `refund_amount` decimal(12,2) DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_items`
--

LOCK TABLES `ec_order_return_items` WRITE;
/*!40000 ALTER TABLE `ec_order_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_returns`
--

DROP TABLE IF EXISTS `ec_order_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_returns` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL COMMENT 'Order ID',
  `store_id` bigint unsigned DEFAULT NULL COMMENT 'Store ID',
  `user_id` bigint unsigned NOT NULL COMMENT 'Customer ID',
  `reason` text COLLATE utf8mb4_unicode_ci COMMENT 'Reason return order',
  `order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Order current status',
  `return_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Return status',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_order_returns_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_returns`
--

LOCK TABLES `ec_order_returns` WRITE;
/*!40000 ALTER TABLE `ec_order_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_tax_information`
--

DROP TABLE IF EXISTS `ec_order_tax_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_tax_information` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `company_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_tax_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_tax_information_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_tax_information`
--

LOCK TABLES `ec_order_tax_information` WRITE;
/*!40000 ALTER TABLE `ec_order_tax_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_tax_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_orders`
--

DROP TABLE IF EXISTS `ec_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `amount` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) DEFAULT NULL,
  `shipping_amount` decimal(15,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(15,2) DEFAULT NULL,
  `sub_total` decimal(15,2) NOT NULL,
  `is_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_finished` tinyint(1) DEFAULT '0',
  `cancellation_reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancellation_reason_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `completed_at` timestamp NULL DEFAULT NULL,
  `token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `proof_file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_orders_code_unique` (`code`),
  KEY `ec_orders_user_id_status_created_at_index` (`user_id`,`status`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_orders`
--

LOCK TABLES `ec_orders` WRITE;
/*!40000 ALTER TABLE `ec_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `display_layout` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'swatch_dropdown',
  `is_searchable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_comparable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_use_in_product_listing` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `use_image_from_product_variation` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets`
--

LOCK TABLES `ec_product_attribute_sets` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets` DISABLE KEYS */;
INSERT INTO `ec_product_attribute_sets` VALUES (1,'Color','color','visual',1,1,1,'published',0,'2024-08-10 00:04:38','2024-08-10 00:04:38',0),(2,'Size','size','text',1,1,1,'published',1,'2024-08-10 00:04:38','2024-08-10 00:04:38',0),(3,'Weight','weight','text',1,1,1,'published',0,'2024-08-10 00:04:38','2024-08-10 00:04:38',0),(4,'Boxes','boxes','text',1,1,1,'published',1,'2024-08-10 00:04:38','2024-08-10 00:04:38',0);
/*!40000 ALTER TABLE `ec_product_attribute_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets_translations`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attribute_sets_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attribute_sets_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets_translations`
--

LOCK TABLES `ec_product_attribute_sets_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes`
--

DROP TABLE IF EXISTS `ec_product_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_set_id` bigint unsigned NOT NULL,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_set_status_index` (`attribute_set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes`
--

LOCK TABLES `ec_product_attributes` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes` DISABLE KEYS */;
INSERT INTO `ec_product_attributes` VALUES (1,1,'Green','green','#5FB7D4',NULL,1,1,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(2,1,'Blue','blue','#333333',NULL,0,2,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(3,1,'Red','red','#DA323F',NULL,0,3,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(4,1,'Black','black','#2F366C',NULL,0,4,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(5,1,'Brown','brown','#87554B',NULL,0,5,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(6,2,'S','s',NULL,NULL,1,1,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(7,2,'M','m',NULL,NULL,0,2,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(8,2,'L','l',NULL,NULL,0,3,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(9,2,'XL','xl',NULL,NULL,0,4,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(10,2,'XXL','xxl',NULL,NULL,0,5,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(11,3,'1KG','1kg',NULL,NULL,1,1,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(12,3,'2KG','2kg',NULL,NULL,0,2,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(13,3,'3KG','3kg',NULL,NULL,0,3,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(14,3,'4KG','4kg',NULL,NULL,0,4,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(15,3,'5KG','5kg',NULL,NULL,0,5,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(16,4,'1 Box','1-box',NULL,NULL,1,1,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(17,4,'2 Boxes','2-boxes',NULL,NULL,0,2,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(18,4,'3 Boxes','3-boxes',NULL,NULL,0,3,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(19,4,'4 Boxes','4-boxes',NULL,NULL,0,4,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(20,4,'5 Boxes','5-boxes',NULL,NULL,0,5,'2024-08-10 00:04:38','2024-08-10 00:04:38');
/*!40000 ALTER TABLE `ec_product_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes_translations`
--

DROP TABLE IF EXISTS `ec_product_attributes_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attributes_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attributes_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes_translations`
--

LOCK TABLES `ec_product_attributes_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attributes_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories`
--

DROP TABLE IF EXISTS `ec_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` int unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_categories_parent_id_status_created_at_index` (`parent_id`,`status`,`created_at`),
  KEY `ec_product_categories_parent_id_status_index` (`parent_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories`
--

LOCK TABLES `ec_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_product_categories` DISABLE KEYS */;
INSERT INTO `ec_product_categories` VALUES (1,'Desktop PC',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',1,'product-categories/1.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(2,'Headphone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',2,'product-categories/2.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(3,'Laptop',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',3,'product-categories/3.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(4,'Mobile Phone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',4,'product-categories/4.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(5,'Printer',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',5,'product-categories/5.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(6,'Books',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',6,'product-categories/6.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(7,'Tablet',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',7,'product-categories/7.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(8,'USB Flash',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',8,'product-categories/8.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(9,'Game Mouse',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',9,'product-categories/9.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(10,'Security',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',10,'product-categories/10.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(11,'Watch',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',11,'product-categories/11.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL),(12,'Scanner',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',12,'product-categories/12.png',1,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,NULL);
/*!40000 ALTER TABLE `ec_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories_translations`
--

DROP TABLE IF EXISTS `ec_product_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_product_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories_translations`
--

LOCK TABLES `ec_product_categories_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categorizables`
--

DROP TABLE IF EXISTS `ec_product_categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categorizables` (
  `category_id` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`category_id`,`reference_id`,`reference_type`),
  KEY `ec_product_categorizables_category_id_index` (`category_id`),
  KEY `ec_product_categorizables_reference_id_index` (`reference_id`),
  KEY `ec_product_categorizables_reference_type_index` (`reference_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categorizables`
--

LOCK TABLES `ec_product_categorizables` WRITE;
/*!40000 ALTER TABLE `ec_product_categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categorizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_category_product`
--

DROP TABLE IF EXISTS `ec_product_category_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_category_product` (
  `category_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `ec_product_category_product_category_id_index` (`category_id`),
  KEY `ec_product_category_product_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_category_product`
--

LOCK TABLES `ec_product_category_product` WRITE;
/*!40000 ALTER TABLE `ec_product_category_product` DISABLE KEYS */;
INSERT INTO `ec_product_category_product` VALUES (1,3),(1,4),(1,12),(1,16),(1,36),(1,39),(1,42),(1,48),(1,51),(1,52),(1,54),(1,64),(2,28),(2,31),(2,45),(2,60),(3,1),(3,15),(3,21),(3,24),(3,38),(3,51),(4,19),(4,21),(4,25),(5,24),(5,30),(5,58),(5,64),(6,31),(6,51),(6,56),(7,8),(7,12),(7,61),(7,63),(8,7),(8,19),(8,25),(8,34),(8,37),(8,50),(8,52),(8,58),(8,62),(9,3),(9,6),(9,11),(9,41),(9,52),(9,57),(9,65),(10,6),(10,55),(10,56),(11,13),(11,46),(12,14),(12,17),(12,23),(12,39),(12,49),(12,54),(13,7),(13,32),(13,34),(13,37),(13,45),(13,64),(14,27),(14,55),(15,2),(15,16),(15,31),(15,32),(15,38),(15,39),(15,40),(15,42),(15,43),(16,4),(16,13),(16,14),(16,17),(16,19),(16,24),(16,26),(16,29),(16,31),(16,33),(16,48),(16,53),(16,57),(17,8),(17,15),(17,20),(17,26),(17,33),(17,35),(18,2),(18,3),(18,5),(18,8),(18,22),(18,28),(18,41),(18,42),(18,62),(19,6),(19,9),(19,14),(19,18),(19,19),(19,20),(19,30),(19,54),(19,63),(20,2),(20,11),(20,12),(20,17),(20,23),(20,27),(20,36),(20,41),(20,47),(20,50),(21,9),(21,18),(21,25),(21,32),(21,35),(21,62),(21,65),(22,7),(22,12),(22,29),(22,38),(22,43),(22,60),(22,65),(23,1),(23,4),(23,21),(23,23),(23,29),(23,35),(23,44),(23,50),(23,56),(24,5),(24,14),(24,30),(24,32),(24,45),(24,51),(24,53),(25,15),(25,28),(25,33),(25,38),(25,40),(25,41),(25,46),(25,47),(25,48),(25,55),(26,28),(26,33),(26,40),(26,56),(26,57),(26,58),(26,60),(27,10),(27,23),(27,44),(28,2),(28,13),(28,16),(28,27),(28,46),(29,10),(29,11),(29,15),(29,26),(29,36),(29,43),(29,50),(30,1),(30,16),(30,24),(30,25),(30,26),(30,36),(30,45),(30,57),(30,63),(30,64),(31,13),(31,20),(31,22),(31,37),(31,44),(31,49),(31,59),(32,3),(32,7),(32,21),(32,46),(32,49),(32,54),(32,59),(32,61),(33,39),(33,44),(33,59),(33,61),(33,63),(34,8),(34,9),(34,29),(34,49),(34,53),(35,1),(35,4),(35,5),(35,10),(35,11),(35,22),(35,34),(35,47),(35,55),(35,61),(35,65),(36,6),(36,9),(36,10),(36,18),(36,34),(36,42),(36,43),(36,47),(36,52),(36,60),(36,62),(37,27),(37,37),(37,48),(37,53);
/*!40000 ALTER TABLE `ec_product_category_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collection_products`
--

DROP TABLE IF EXISTS `ec_product_collection_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collection_products` (
  `product_collection_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`product_collection_id`),
  KEY `ec_product_collection_products_product_collection_id_index` (`product_collection_id`),
  KEY `ec_product_collection_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collection_products`
--

LOCK TABLES `ec_product_collection_products` WRITE;
/*!40000 ALTER TABLE `ec_product_collection_products` DISABLE KEYS */;
INSERT INTO `ec_product_collection_products` VALUES (1,3),(1,4),(1,5),(1,8),(1,11),(1,13),(1,16),(1,20),(1,21),(1,26),(1,28),(1,31),(1,35),(1,45),(1,53),(1,54),(1,60),(1,61),(1,62),(1,63),(2,2),(2,6),(2,9),(2,17),(2,22),(2,23),(2,38),(2,41),(2,42),(2,43),(2,44),(2,48),(2,49),(2,51),(2,56),(2,58),(2,64),(3,1),(3,7),(3,10),(3,12),(3,14),(3,15),(3,18),(3,19),(3,24),(3,25),(3,27),(3,29),(3,30),(3,32),(3,33),(3,34),(3,36),(3,37),(3,39),(3,40),(3,46),(3,47),(3,50),(3,52),(3,55),(3,57),(3,59),(3,65);
/*!40000 ALTER TABLE `ec_product_collection_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections`
--

DROP TABLE IF EXISTS `ec_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections`
--

LOCK TABLES `ec_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_product_collections` DISABLE KEYS */;
INSERT INTO `ec_product_collections` VALUES (1,'New Arrival','new-arrival',NULL,NULL,'published','2024-08-10 00:03:51','2024-08-10 00:03:51',0),(2,'Best Sellers','best-sellers',NULL,NULL,'published','2024-08-10 00:03:51','2024-08-10 00:03:51',0),(3,'Special Offer','special-offer',NULL,NULL,'published','2024-08-10 00:03:51','2024-08-10 00:03:51',0);
/*!40000 ALTER TABLE `ec_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections_translations`
--

DROP TABLE IF EXISTS `ec_product_collections_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_collections_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_collections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections_translations`
--

LOCK TABLES `ec_product_collections_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_collections_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_collections_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_cross_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_cross_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_cross_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  `is_variant` tinyint(1) NOT NULL DEFAULT '0',
  `price` decimal(15,2) DEFAULT '0.00',
  `price_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed',
  `apply_to_all_variations` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_cross_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_cross_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_cross_sale_relations`
--

LOCK TABLES `ec_product_cross_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` DISABLE KEYS */;
INSERT INTO `ec_product_cross_sale_relations` VALUES (1,3,0,0.00,'fixed',1),(1,5,0,0.00,'fixed',1),(1,11,0,0.00,'fixed',1),(1,14,0,0.00,'fixed',1),(1,16,0,0.00,'fixed',1),(1,17,0,0.00,'fixed',1),(1,20,0,0.00,'fixed',1),(2,4,0,0.00,'fixed',1),(2,11,0,0.00,'fixed',1),(2,14,0,0.00,'fixed',1),(2,15,0,0.00,'fixed',1),(2,18,0,0.00,'fixed',1),(2,20,0,0.00,'fixed',1),(3,2,0,0.00,'fixed',1),(3,7,0,0.00,'fixed',1),(3,9,0,0.00,'fixed',1),(3,17,0,0.00,'fixed',1),(3,18,0,0.00,'fixed',1),(3,19,0,0.00,'fixed',1),(4,1,0,0.00,'fixed',1),(4,8,0,0.00,'fixed',1),(4,14,0,0.00,'fixed',1),(4,15,0,0.00,'fixed',1),(4,20,0,0.00,'fixed',1),(5,3,0,0.00,'fixed',1),(5,4,0,0.00,'fixed',1),(5,8,0,0.00,'fixed',1),(5,10,0,0.00,'fixed',1),(5,11,0,0.00,'fixed',1),(5,15,0,0.00,'fixed',1),(5,20,0,0.00,'fixed',1),(6,1,0,0.00,'fixed',1),(6,5,0,0.00,'fixed',1),(6,12,0,0.00,'fixed',1),(6,14,0,0.00,'fixed',1),(6,16,0,0.00,'fixed',1),(6,18,0,0.00,'fixed',1),(6,20,0,0.00,'fixed',1),(7,1,0,0.00,'fixed',1),(7,2,0,0.00,'fixed',1),(7,12,0,0.00,'fixed',1),(7,13,0,0.00,'fixed',1),(7,19,0,0.00,'fixed',1),(7,20,0,0.00,'fixed',1),(8,5,0,0.00,'fixed',1),(8,11,0,0.00,'fixed',1),(8,12,0,0.00,'fixed',1),(8,15,0,0.00,'fixed',1),(8,17,0,0.00,'fixed',1),(8,18,0,0.00,'fixed',1),(8,20,0,0.00,'fixed',1),(9,7,0,0.00,'fixed',1),(9,8,0,0.00,'fixed',1),(9,13,0,0.00,'fixed',1),(9,16,0,0.00,'fixed',1),(9,18,0,0.00,'fixed',1),(9,19,0,0.00,'fixed',1),(10,1,0,0.00,'fixed',1),(10,7,0,0.00,'fixed',1),(10,8,0,0.00,'fixed',1),(10,14,0,0.00,'fixed',1),(10,18,0,0.00,'fixed',1),(11,1,0,0.00,'fixed',1),(11,3,0,0.00,'fixed',1),(11,8,0,0.00,'fixed',1),(11,12,0,0.00,'fixed',1),(11,17,0,0.00,'fixed',1),(11,19,0,0.00,'fixed',1),(12,2,0,0.00,'fixed',1),(12,5,0,0.00,'fixed',1),(12,8,0,0.00,'fixed',1),(12,16,0,0.00,'fixed',1),(12,17,0,0.00,'fixed',1),(12,18,0,0.00,'fixed',1),(13,1,0,0.00,'fixed',1),(13,3,0,0.00,'fixed',1),(13,8,0,0.00,'fixed',1),(13,12,0,0.00,'fixed',1),(13,16,0,0.00,'fixed',1),(13,19,0,0.00,'fixed',1),(13,20,0,0.00,'fixed',1),(14,3,0,0.00,'fixed',1),(14,6,0,0.00,'fixed',1),(14,11,0,0.00,'fixed',1),(14,13,0,0.00,'fixed',1),(14,18,0,0.00,'fixed',1),(14,20,0,0.00,'fixed',1),(15,1,0,0.00,'fixed',1),(15,2,0,0.00,'fixed',1),(15,5,0,0.00,'fixed',1),(15,7,0,0.00,'fixed',1),(15,11,0,0.00,'fixed',1),(16,1,0,0.00,'fixed',1),(16,3,0,0.00,'fixed',1),(16,4,0,0.00,'fixed',1),(16,11,0,0.00,'fixed',1),(16,13,0,0.00,'fixed',1),(16,18,0,0.00,'fixed',1),(16,19,0,0.00,'fixed',1),(17,3,0,0.00,'fixed',1),(17,5,0,0.00,'fixed',1),(17,7,0,0.00,'fixed',1),(17,11,0,0.00,'fixed',1),(17,16,0,0.00,'fixed',1),(17,19,0,0.00,'fixed',1),(18,7,0,0.00,'fixed',1),(18,10,0,0.00,'fixed',1),(18,15,0,0.00,'fixed',1),(18,16,0,0.00,'fixed',1),(18,19,0,0.00,'fixed',1),(19,2,0,0.00,'fixed',1),(19,9,0,0.00,'fixed',1),(19,10,0,0.00,'fixed',1),(19,11,0,0.00,'fixed',1),(19,14,0,0.00,'fixed',1),(19,16,0,0.00,'fixed',1),(19,20,0,0.00,'fixed',1),(20,7,0,0.00,'fixed',1),(20,8,0,0.00,'fixed',1),(20,10,0,0.00,'fixed',1),(20,11,0,0.00,'fixed',1),(20,14,0,0.00,'fixed',1),(20,16,0,0.00,'fixed',1),(20,17,0,0.00,'fixed',1),(21,1,0,0.00,'fixed',1),(21,9,0,0.00,'fixed',1),(21,13,0,0.00,'fixed',1),(21,14,0,0.00,'fixed',1),(21,18,0,0.00,'fixed',1),(22,2,0,0.00,'fixed',1),(22,4,0,0.00,'fixed',1),(22,13,0,0.00,'fixed',1),(22,14,0,0.00,'fixed',1),(22,19,0,0.00,'fixed',1),(23,8,0,0.00,'fixed',1),(23,10,0,0.00,'fixed',1),(23,14,0,0.00,'fixed',1),(23,17,0,0.00,'fixed',1),(24,1,0,0.00,'fixed',1),(24,4,0,0.00,'fixed',1),(24,6,0,0.00,'fixed',1),(24,7,0,0.00,'fixed',1),(24,11,0,0.00,'fixed',1),(24,15,0,0.00,'fixed',1),(25,7,0,0.00,'fixed',1),(25,9,0,0.00,'fixed',1),(25,10,0,0.00,'fixed',1),(25,12,0,0.00,'fixed',1),(26,4,0,0.00,'fixed',1),(26,6,0,0.00,'fixed',1),(26,8,0,0.00,'fixed',1),(26,11,0,0.00,'fixed',1),(26,15,0,0.00,'fixed',1),(26,19,0,0.00,'fixed',1),(27,5,0,0.00,'fixed',1),(27,7,0,0.00,'fixed',1),(27,8,0,0.00,'fixed',1),(27,10,0,0.00,'fixed',1),(27,12,0,0.00,'fixed',1),(27,16,0,0.00,'fixed',1),(27,17,0,0.00,'fixed',1),(28,5,0,0.00,'fixed',1),(28,10,0,0.00,'fixed',1),(28,12,0,0.00,'fixed',1),(28,13,0,0.00,'fixed',1),(28,15,0,0.00,'fixed',1),(28,16,0,0.00,'fixed',1),(28,17,0,0.00,'fixed',1),(29,3,0,0.00,'fixed',1),(29,8,0,0.00,'fixed',1),(29,15,0,0.00,'fixed',1),(29,17,0,0.00,'fixed',1),(29,19,0,0.00,'fixed',1),(30,3,0,0.00,'fixed',1),(30,7,0,0.00,'fixed',1),(30,9,0,0.00,'fixed',1),(30,10,0,0.00,'fixed',1),(30,11,0,0.00,'fixed',1),(30,18,0,0.00,'fixed',1),(31,2,0,0.00,'fixed',1),(31,6,0,0.00,'fixed',1),(31,11,0,0.00,'fixed',1),(31,13,0,0.00,'fixed',1),(31,14,0,0.00,'fixed',1),(31,15,0,0.00,'fixed',1),(31,16,0,0.00,'fixed',1),(32,4,0,0.00,'fixed',1),(32,5,0,0.00,'fixed',1),(32,6,0,0.00,'fixed',1),(32,7,0,0.00,'fixed',1),(32,8,0,0.00,'fixed',1),(32,9,0,0.00,'fixed',1),(32,17,0,0.00,'fixed',1),(33,1,0,0.00,'fixed',1),(33,2,0,0.00,'fixed',1),(33,3,0,0.00,'fixed',1),(33,4,0,0.00,'fixed',1),(33,6,0,0.00,'fixed',1),(33,13,0,0.00,'fixed',1),(33,15,0,0.00,'fixed',1),(34,6,0,0.00,'fixed',1),(34,7,0,0.00,'fixed',1),(34,15,0,0.00,'fixed',1),(34,17,0,0.00,'fixed',1),(34,18,0,0.00,'fixed',1),(35,1,0,0.00,'fixed',1),(35,2,0,0.00,'fixed',1),(35,4,0,0.00,'fixed',1),(35,14,0,0.00,'fixed',1),(35,16,0,0.00,'fixed',1),(35,17,0,0.00,'fixed',1),(36,2,0,0.00,'fixed',1),(36,5,0,0.00,'fixed',1),(36,6,0,0.00,'fixed',1),(36,13,0,0.00,'fixed',1),(36,18,0,0.00,'fixed',1),(36,19,0,0.00,'fixed',1),(37,2,0,0.00,'fixed',1),(37,9,0,0.00,'fixed',1),(37,10,0,0.00,'fixed',1),(37,11,0,0.00,'fixed',1),(38,1,0,0.00,'fixed',1),(38,5,0,0.00,'fixed',1),(38,7,0,0.00,'fixed',1),(38,15,0,0.00,'fixed',1),(38,19,0,0.00,'fixed',1),(39,2,0,0.00,'fixed',1),(39,9,0,0.00,'fixed',1),(39,11,0,0.00,'fixed',1),(39,13,0,0.00,'fixed',1),(39,14,0,0.00,'fixed',1),(39,16,0,0.00,'fixed',1),(40,5,0,0.00,'fixed',1),(40,8,0,0.00,'fixed',1),(40,10,0,0.00,'fixed',1),(40,11,0,0.00,'fixed',1),(40,13,0,0.00,'fixed',1),(40,18,0,0.00,'fixed',1),(40,19,0,0.00,'fixed',1),(41,2,0,0.00,'fixed',1),(41,3,0,0.00,'fixed',1),(41,4,0,0.00,'fixed',1),(41,12,0,0.00,'fixed',1),(41,16,0,0.00,'fixed',1),(41,19,0,0.00,'fixed',1),(42,3,0,0.00,'fixed',1),(42,5,0,0.00,'fixed',1),(42,6,0,0.00,'fixed',1),(42,10,0,0.00,'fixed',1),(42,16,0,0.00,'fixed',1),(42,18,0,0.00,'fixed',1),(43,2,0,0.00,'fixed',1),(43,4,0,0.00,'fixed',1),(43,6,0,0.00,'fixed',1),(43,8,0,0.00,'fixed',1),(43,12,0,0.00,'fixed',1),(44,3,0,0.00,'fixed',1),(44,6,0,0.00,'fixed',1),(44,7,0,0.00,'fixed',1),(44,8,0,0.00,'fixed',1),(44,14,0,0.00,'fixed',1),(44,17,0,0.00,'fixed',1),(44,19,0,0.00,'fixed',1),(45,6,0,0.00,'fixed',1),(45,12,0,0.00,'fixed',1),(45,14,0,0.00,'fixed',1),(45,15,0,0.00,'fixed',1),(45,18,0,0.00,'fixed',1),(45,19,0,0.00,'fixed',1),(46,1,0,0.00,'fixed',1),(46,3,0,0.00,'fixed',1),(46,5,0,0.00,'fixed',1),(46,17,0,0.00,'fixed',1),(47,5,0,0.00,'fixed',1),(47,11,0,0.00,'fixed',1),(47,16,0,0.00,'fixed',1),(47,17,0,0.00,'fixed',1),(47,18,0,0.00,'fixed',1),(47,19,0,0.00,'fixed',1),(48,1,0,0.00,'fixed',1),(48,2,0,0.00,'fixed',1),(48,4,0,0.00,'fixed',1),(48,7,0,0.00,'fixed',1),(48,8,0,0.00,'fixed',1),(48,14,0,0.00,'fixed',1),(48,19,0,0.00,'fixed',1),(49,1,0,0.00,'fixed',1),(49,2,0,0.00,'fixed',1),(49,3,0,0.00,'fixed',1),(49,14,0,0.00,'fixed',1),(49,19,0,0.00,'fixed',1),(50,1,0,0.00,'fixed',1),(50,7,0,0.00,'fixed',1),(50,11,0,0.00,'fixed',1),(50,17,0,0.00,'fixed',1),(50,18,0,0.00,'fixed',1),(51,2,0,0.00,'fixed',1),(51,7,0,0.00,'fixed',1),(51,13,0,0.00,'fixed',1),(51,17,0,0.00,'fixed',1),(51,18,0,0.00,'fixed',1),(51,19,0,0.00,'fixed',1),(52,5,0,0.00,'fixed',1),(52,7,0,0.00,'fixed',1),(52,10,0,0.00,'fixed',1),(52,12,0,0.00,'fixed',1),(52,15,0,0.00,'fixed',1),(52,17,0,0.00,'fixed',1),(52,18,0,0.00,'fixed',1),(53,1,0,0.00,'fixed',1),(53,2,0,0.00,'fixed',1),(53,3,0,0.00,'fixed',1),(53,6,0,0.00,'fixed',1),(53,9,0,0.00,'fixed',1),(53,16,0,0.00,'fixed',1),(53,18,0,0.00,'fixed',1),(54,1,0,0.00,'fixed',1),(54,3,0,0.00,'fixed',1),(54,5,0,0.00,'fixed',1),(54,7,0,0.00,'fixed',1),(54,14,0,0.00,'fixed',1),(54,15,0,0.00,'fixed',1),(55,2,0,0.00,'fixed',1),(55,5,0,0.00,'fixed',1),(55,8,0,0.00,'fixed',1),(55,11,0,0.00,'fixed',1),(55,18,0,0.00,'fixed',1),(56,2,0,0.00,'fixed',1),(56,4,0,0.00,'fixed',1),(56,7,0,0.00,'fixed',1),(56,9,0,0.00,'fixed',1),(56,11,0,0.00,'fixed',1),(56,12,0,0.00,'fixed',1),(57,2,0,0.00,'fixed',1),(57,3,0,0.00,'fixed',1),(57,7,0,0.00,'fixed',1),(57,12,0,0.00,'fixed',1),(57,13,0,0.00,'fixed',1),(57,17,0,0.00,'fixed',1),(58,5,0,0.00,'fixed',1),(58,8,0,0.00,'fixed',1),(58,9,0,0.00,'fixed',1),(58,10,0,0.00,'fixed',1),(58,11,0,0.00,'fixed',1),(58,15,0,0.00,'fixed',1),(58,17,0,0.00,'fixed',1),(59,5,0,0.00,'fixed',1),(59,7,0,0.00,'fixed',1),(59,10,0,0.00,'fixed',1),(59,11,0,0.00,'fixed',1),(59,13,0,0.00,'fixed',1),(59,17,0,0.00,'fixed',1),(59,18,0,0.00,'fixed',1),(60,1,0,0.00,'fixed',1),(60,2,0,0.00,'fixed',1),(60,7,0,0.00,'fixed',1),(60,11,0,0.00,'fixed',1),(60,15,0,0.00,'fixed',1),(60,17,0,0.00,'fixed',1),(60,19,0,0.00,'fixed',1),(61,3,0,0.00,'fixed',1),(61,4,0,0.00,'fixed',1),(61,9,0,0.00,'fixed',1),(61,14,0,0.00,'fixed',1),(61,15,0,0.00,'fixed',1),(61,17,0,0.00,'fixed',1),(62,2,0,0.00,'fixed',1),(62,3,0,0.00,'fixed',1),(62,4,0,0.00,'fixed',1),(62,7,0,0.00,'fixed',1),(62,9,0,0.00,'fixed',1),(62,13,0,0.00,'fixed',1),(62,18,0,0.00,'fixed',1),(63,1,0,0.00,'fixed',1),(63,2,0,0.00,'fixed',1),(63,11,0,0.00,'fixed',1),(63,12,0,0.00,'fixed',1),(63,14,0,0.00,'fixed',1),(63,15,0,0.00,'fixed',1),(63,18,0,0.00,'fixed',1),(64,2,0,0.00,'fixed',1),(64,3,0,0.00,'fixed',1),(64,11,0,0.00,'fixed',1),(64,13,0,0.00,'fixed',1),(64,17,0,0.00,'fixed',1),(64,19,0,0.00,'fixed',1),(65,1,0,0.00,'fixed',1),(65,4,0,0.00,'fixed',1),(65,7,0,0.00,'fixed',1),(65,12,0,0.00,'fixed',1),(65,13,0,0.00,'fixed',1),(65,14,0,0.00,'fixed',1),(65,18,0,0.00,'fixed',1);
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_files`
--

DROP TABLE IF EXISTS `ec_product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extras` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_files_product_id_index` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=113 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_files`
--

LOCK TABLES `ec_product_files` WRITE;
/*!40000 ALTER TABLE `ec_product_files` DISABLE KEYS */;
INSERT INTO `ec_product_files` VALUES (1,66,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(2,67,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(3,75,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(4,75,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(5,75,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(6,75,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(7,76,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(8,76,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(9,76,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(10,76,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(11,77,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(12,77,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(13,77,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(14,77,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(15,83,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(16,83,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(17,83,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(18,93,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(19,93,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(20,94,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(21,94,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(22,104,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(23,104,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(24,104,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(25,104,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(26,105,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(27,105,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(28,105,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(29,105,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(30,115,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(31,115,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(32,115,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(33,116,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(34,116,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(35,116,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(36,117,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(37,117,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(38,117,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(39,125,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(40,125,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(41,125,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(42,126,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(43,126,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(44,126,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(45,132,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(46,132,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(47,132,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(48,133,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(49,133,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(50,133,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(51,143,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(52,143,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(53,143,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(54,144,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(55,144,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(56,144,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(57,145,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(58,145,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(59,145,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:37\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:37','2024-08-10 00:04:37'),(60,157,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(61,157,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(62,157,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(63,158,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(64,158,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(65,158,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(66,165,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(67,165,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(68,165,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(69,166,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(70,166,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(71,166,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(72,176,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(73,176,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(74,177,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(75,177,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(76,178,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(77,178,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(78,183,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(79,183,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(80,183,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(81,184,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(82,184,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(83,184,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(84,191,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(85,191,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(86,192,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(87,192,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(88,193,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(89,193,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(90,194,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(91,194,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(92,195,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(93,195,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(94,202,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(95,202,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(96,203,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(97,203,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(98,209,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(99,209,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(100,210,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(101,210,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(102,211,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(103,211,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(104,217,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(105,217,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(106,217,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(107,218,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(108,218,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(109,218,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(110,219,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(111,219,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38'),(112,219,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 07:04:38\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-10 00:04:38','2024-08-10 00:04:38');
/*!40000 ALTER TABLE `ec_product_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_label_products`
--

DROP TABLE IF EXISTS `ec_product_label_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_label_products` (
  `product_label_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_label_id`,`product_id`),
  KEY `ec_product_label_products_product_label_id_index` (`product_label_id`),
  KEY `ec_product_label_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_label_products`
--

LOCK TABLES `ec_product_label_products` WRITE;
/*!40000 ALTER TABLE `ec_product_label_products` DISABLE KEYS */;
INSERT INTO `ec_product_label_products` VALUES (1,3),(1,24),(1,36),(1,48),(1,54),(1,57),(1,60),(2,6),(2,9),(2,12),(2,18),(2,21),(2,27),(2,30),(2,51),(2,63),(3,15),(3,33),(3,39),(3,42),(3,45);
/*!40000 ALTER TABLE `ec_product_label_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels`
--

DROP TABLE IF EXISTS `ec_product_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels`
--

LOCK TABLES `ec_product_labels` WRITE;
/*!40000 ALTER TABLE `ec_product_labels` DISABLE KEYS */;
INSERT INTO `ec_product_labels` VALUES (1,'Hot','#d71e2d','published','2024-08-10 00:03:51','2024-08-10 00:03:51'),(2,'New','#02856e','published','2024-08-10 00:03:51','2024-08-10 00:03:51'),(3,'Sale','#fe9931','published','2024-08-10 00:03:51','2024-08-10 00:03:51');
/*!40000 ALTER TABLE `ec_product_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels_translations`
--

DROP TABLE IF EXISTS `ec_product_labels_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_labels_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels_translations`
--

LOCK TABLES `ec_product_labels_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_labels_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_labels_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_related_relations`
--

DROP TABLE IF EXISTS `ec_product_related_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_related_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_related_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_related_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_related_relations`
--

LOCK TABLES `ec_product_related_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_related_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_related_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tag_product`
--

DROP TABLE IF EXISTS `ec_product_tag_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tag_product` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `ec_product_tag_product_product_id_index` (`product_id`),
  KEY `ec_product_tag_product_tag_id_index` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tag_product`
--

LOCK TABLES `ec_product_tag_product` WRITE;
/*!40000 ALTER TABLE `ec_product_tag_product` DISABLE KEYS */;
INSERT INTO `ec_product_tag_product` VALUES (1,2),(1,5),(1,6),(2,2),(2,3),(2,4),(3,1),(3,2),(3,5),(4,2),(4,5),(5,3),(5,5),(5,6),(6,1),(6,5),(6,6),(7,1),(7,4),(8,2),(8,4),(8,5),(9,1),(9,5),(10,4),(10,5),(11,2),(11,4),(12,1),(12,2),(12,4),(13,3),(13,4),(13,6),(14,1),(14,2),(14,4),(15,1),(15,6),(16,1),(16,3),(16,5),(17,2),(17,3),(17,6),(18,2),(18,3),(18,6),(19,3),(19,6),(20,4),(20,5),(20,6),(21,2),(21,4),(21,6),(22,1),(22,2),(22,3),(23,2),(23,5),(24,1),(24,4),(25,2),(25,6),(26,3),(26,4),(26,5),(27,2),(27,3),(27,6),(28,1),(28,5),(29,2),(29,4),(30,1),(30,4),(30,6),(31,1),(31,5),(31,6),(32,1),(32,3),(32,6),(33,3),(33,6),(34,1),(34,4),(35,2),(35,3),(35,6),(36,2),(36,3),(36,4),(37,2),(37,4),(37,6),(38,2),(38,3),(38,4),(39,1),(39,5),(39,6),(40,1),(40,2),(40,6),(41,3),(41,5),(42,1),(42,2),(42,4),(43,1),(43,2),(43,5),(44,1),(44,4),(44,5),(45,2),(45,5),(46,1),(46,6),(47,2),(47,3),(47,4),(48,4),(48,5),(48,6),(49,1),(49,4),(49,6),(50,5),(50,6),(51,1),(51,4),(51,6),(52,2),(52,3),(52,5),(53,1),(53,4),(53,6),(54,4),(54,5),(55,2),(55,5),(56,1),(56,4),(56,5),(57,2),(57,6),(58,1),(58,5),(59,1),(59,3),(59,6),(60,2),(60,3),(60,5),(61,2),(61,6),(62,1),(63,3),(63,5),(63,6),(64,1),(64,4),(64,5),(65,1),(65,5);
/*!40000 ALTER TABLE `ec_product_tag_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags`
--

DROP TABLE IF EXISTS `ec_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags`
--

LOCK TABLES `ec_product_tags` WRITE;
/*!40000 ALTER TABLE `ec_product_tags` DISABLE KEYS */;
INSERT INTO `ec_product_tags` VALUES (1,'Electronic',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38'),(2,'Mobile',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38'),(3,'Iphone',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38'),(4,'Printer',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38'),(5,'Office',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38'),(6,'IT',NULL,'published','2024-08-10 00:04:38','2024-08-10 00:04:38');
/*!40000 ALTER TABLE `ec_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags_translations`
--

DROP TABLE IF EXISTS `ec_product_tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags_translations`
--

LOCK TABLES `ec_product_tags_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_up_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_up_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_up_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_up_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_up_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_up_sale_relations`
--

LOCK TABLES `ec_product_up_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variation_items`
--

DROP TABLE IF EXISTS `ec_product_variation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variation_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variation_items_attribute_id_variation_id_unique` (`attribute_id`,`variation_id`),
  KEY `attribute_variation_index` (`attribute_id`,`variation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=309 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variation_items`
--

LOCK TABLES `ec_product_variation_items` WRITE;
/*!40000 ALTER TABLE `ec_product_variation_items` DISABLE KEYS */;
INSERT INTO `ec_product_variation_items` VALUES (9,1,5),(13,1,7),(21,1,11),(35,1,18),(39,1,20),(45,1,23),(51,1,26),(77,1,39),(81,1,41),(93,1,47),(101,1,51),(15,2,8),(27,2,14),(29,2,15),(41,2,21),(43,2,22),(53,2,27),(55,2,28),(61,2,31),(63,2,32),(67,2,34),(89,2,45),(103,2,52),(1,3,1),(3,3,2),(7,3,4),(17,3,9),(19,3,10),(23,3,12),(25,3,13),(37,3,19),(87,3,44),(91,3,46),(99,3,50),(105,3,53),(107,3,54),(109,3,55),(71,4,36),(73,4,37),(79,4,40),(83,4,42),(97,4,49),(5,5,3),(11,5,6),(31,5,16),(33,5,17),(47,5,24),(49,5,25),(57,5,29),(59,5,30),(65,5,33),(69,5,35),(75,5,38),(85,5,43),(95,5,48),(111,5,56),(113,5,57),(12,6,6),(16,6,8),(32,6,16),(38,6,19),(42,6,21),(62,6,31),(72,6,36),(102,6,51),(108,6,54),(10,7,5),(14,7,7),(18,7,9),(56,7,28),(64,7,32),(78,7,39),(84,7,42),(92,7,46),(96,7,48),(112,7,56),(2,8,1),(8,8,4),(34,8,17),(44,8,22),(46,8,23),(52,8,26),(58,8,29),(66,8,33),(70,8,35),(80,8,40),(90,8,45),(114,8,57),(4,9,2),(20,9,10),(22,9,11),(24,9,12),(26,9,13),(30,9,15),(36,9,18),(40,9,20),(68,9,34),(74,9,37),(88,9,44),(94,9,47),(100,9,50),(6,10,3),(28,10,14),(48,10,24),(50,10,25),(54,10,27),(60,10,30),(76,10,38),(82,10,41),(86,10,43),(98,10,49),(104,10,52),(106,10,53),(110,10,55),(117,11,59),(137,11,69),(149,11,75),(163,11,82),(171,11,86),(179,11,90),(189,11,95),(191,11,96),(199,11,100),(205,11,103),(207,11,104),(217,11,109),(233,11,117),(243,11,122),(257,11,129),(261,11,131),(271,11,136),(281,11,141),(291,11,146),(297,11,149),(303,11,152),(305,11,153),(123,12,62),(143,12,72),(155,12,78),(157,12,79),(161,12,81),(177,12,89),(185,12,93),(195,12,98),(237,12,119),(245,12,123),(247,12,124),(249,12,125),(255,12,128),(263,12,132),(267,12,134),(277,12,139),(279,12,140),(285,12,143),(287,12,144),(295,12,148),(145,13,73),(167,13,84),(169,13,85),(181,13,91),(183,13,92),(201,13,101),(211,13,106),(215,13,108),(221,13,111),(225,13,113),(259,13,130),(283,13,142),(289,13,145),(293,13,147),(121,14,61),(125,14,63),(127,14,64),(133,14,67),(139,14,70),(147,14,74),(153,14,77),(159,14,80),(175,14,88),(187,14,94),(203,14,102),(209,14,105),(213,14,107),(229,14,115),(231,14,116),(251,14,126),(265,14,133),(273,14,137),(275,14,138),(299,14,150),(307,14,154),(115,15,58),(119,15,60),(129,15,65),(131,15,66),(135,15,68),(141,15,71),(151,15,76),(165,15,83),(173,15,87),(193,15,97),(197,15,99),(219,15,110),(223,15,112),(227,15,114),(235,15,118),(239,15,120),(241,15,121),(253,15,127),(269,15,135),(301,15,151),(136,16,68),(138,16,69),(146,16,73),(152,16,76),(156,16,78),(182,16,91),(186,16,93),(234,16,117),(236,16,118),(238,16,119),(242,16,121),(252,16,126),(256,16,128),(264,16,132),(272,16,136),(282,16,141),(286,16,143),(290,16,145),(296,16,148),(306,16,153),(308,16,154),(120,17,60),(126,17,63),(130,17,65),(132,17,66),(140,17,70),(158,17,79),(170,17,85),(174,17,87),(188,17,94),(190,17,95),(216,17,108),(240,17,120),(246,17,123),(254,17,127),(260,17,130),(266,17,133),(274,17,137),(276,17,138),(278,17,139),(280,17,140),(116,18,58),(128,18,64),(142,18,71),(144,18,72),(150,18,75),(154,18,77),(160,18,80),(164,18,82),(168,18,84),(172,18,86),(208,18,104),(218,18,109),(224,18,112),(226,18,113),(230,18,115),(232,18,116),(250,18,125),(258,18,129),(288,18,144),(292,18,146),(302,18,151),(304,18,152),(148,19,74),(162,19,81),(166,19,83),(180,19,90),(184,19,92),(192,19,96),(194,19,97),(196,19,98),(198,19,99),(202,19,101),(204,19,102),(210,19,105),(220,19,110),(228,19,114),(244,19,122),(262,19,131),(270,19,135),(284,19,142),(294,19,147),(118,20,59),(122,20,61),(124,20,62),(134,20,67),(176,20,88),(178,20,89),(200,20,100),(206,20,103),(212,20,106),(214,20,107),(222,20,111),(248,20,124),(268,20,134),(298,20,149),(300,20,150);
/*!40000 ALTER TABLE `ec_product_variation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variations`
--

DROP TABLE IF EXISTS `ec_product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `configurable_product_id` bigint unsigned NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variations_product_id_configurable_product_id_unique` (`product_id`,`configurable_product_id`),
  KEY `configurable_product_index` (`product_id`,`configurable_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=155 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variations`
--

LOCK TABLES `ec_product_variations` WRITE;
/*!40000 ALTER TABLE `ec_product_variations` DISABLE KEYS */;
INSERT INTO `ec_product_variations` VALUES (1,66,1,1),(2,67,1,0),(3,68,2,1),(4,69,2,0),(5,70,2,0),(6,71,3,1),(7,72,4,1),(8,73,4,0),(9,74,4,0),(10,75,5,1),(11,76,5,0),(12,77,5,0),(13,78,6,1),(14,79,7,1),(15,80,8,1),(16,81,8,0),(17,82,8,0),(18,83,9,1),(19,84,10,1),(20,85,10,0),(21,86,11,1),(22,87,11,0),(23,88,11,0),(24,89,11,0),(25,90,12,1),(26,91,12,0),(27,92,12,0),(28,93,13,1),(29,94,13,0),(30,95,14,1),(31,96,14,0),(32,97,14,0),(33,98,14,0),(34,99,15,1),(35,100,16,1),(36,101,16,0),(37,102,16,0),(38,103,16,0),(39,104,17,1),(40,105,17,0),(41,106,18,1),(42,107,18,0),(43,108,18,0),(44,109,19,1),(45,110,19,0),(46,111,19,0),(47,112,19,0),(48,113,20,1),(49,114,20,0),(50,115,21,1),(51,116,21,0),(52,117,21,0),(53,118,22,1),(54,119,22,0),(55,120,23,1),(56,121,23,0),(57,122,23,0),(58,123,24,1),(59,124,24,0),(60,125,25,1),(61,126,25,0),(62,127,26,1),(63,128,26,0),(64,129,27,1),(65,130,27,0),(66,131,28,1),(67,132,29,1),(68,133,29,0),(69,134,30,1),(70,135,30,0),(71,136,30,0),(72,137,30,0),(73,138,31,1),(74,139,31,0),(75,140,31,0),(76,141,32,1),(77,142,32,0),(78,143,33,1),(79,144,33,0),(80,145,33,0),(81,146,34,1),(82,147,34,0),(83,148,34,0),(84,149,35,1),(85,150,35,0),(86,151,35,0),(87,152,35,0),(88,153,36,1),(89,154,36,0),(90,155,36,0),(91,156,36,0),(92,157,37,1),(93,158,37,0),(94,159,38,1),(95,160,38,0),(96,161,38,0),(97,162,39,1),(98,163,40,1),(99,164,40,0),(100,165,41,1),(101,166,41,0),(102,167,42,1),(103,168,42,0),(104,169,43,1),(105,170,43,0),(106,171,43,0),(107,172,44,1),(108,173,44,0),(109,174,44,0),(110,175,44,0),(111,176,45,1),(112,177,45,0),(113,178,45,0),(114,179,46,1),(115,180,47,1),(116,181,48,1),(117,182,48,0),(118,183,49,1),(119,184,49,0),(120,185,50,1),(121,186,50,0),(122,187,51,1),(123,188,52,1),(124,189,52,0),(125,190,52,0),(126,191,53,1),(127,192,53,0),(128,193,53,0),(129,194,53,0),(130,195,53,0),(131,196,54,1),(132,197,55,1),(133,198,55,0),(134,199,55,0),(135,200,56,1),(136,201,56,0),(137,202,57,1),(138,203,57,0),(139,204,58,1),(140,205,59,1),(141,206,59,0),(142,207,59,0),(143,208,60,1),(144,209,61,1),(145,210,61,0),(146,211,61,0),(147,212,62,1),(148,213,62,0),(149,214,63,1),(150,215,63,0),(151,216,64,1),(152,217,65,1),(153,218,65,0),(154,219,65,0);
/*!40000 ALTER TABLE `ec_product_variations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_views`
--

DROP TABLE IF EXISTS `ec_product_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `views` int NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '2024-08-10',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_views_product_id_date_unique` (`product_id`,`date`),
  KEY `ec_product_views_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_views`
--

LOCK TABLES `ec_product_views` WRITE;
/*!40000 ALTER TABLE `ec_product_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_with_attribute_set`
--

DROP TABLE IF EXISTS `ec_product_with_attribute_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_with_attribute_set` (
  `attribute_set_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`attribute_set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_with_attribute_set`
--

LOCK TABLES `ec_product_with_attribute_set` WRITE;
/*!40000 ALTER TABLE `ec_product_with_attribute_set` DISABLE KEYS */;
INSERT INTO `ec_product_with_attribute_set` VALUES (1,1,0),(2,1,0),(1,2,0),(2,2,0),(1,3,0),(2,3,0),(1,4,0),(2,4,0),(1,5,0),(2,5,0),(1,6,0),(2,6,0),(1,7,0),(2,7,0),(1,8,0),(2,8,0),(1,9,0),(2,9,0),(1,10,0),(2,10,0),(1,11,0),(2,11,0),(1,12,0),(2,12,0),(1,13,0),(2,13,0),(1,14,0),(2,14,0),(1,15,0),(2,15,0),(1,16,0),(2,16,0),(1,17,0),(2,17,0),(1,18,0),(2,18,0),(1,19,0),(2,19,0),(1,20,0),(2,20,0),(1,21,0),(2,21,0),(1,22,0),(2,22,0),(1,23,0),(2,23,0),(3,24,0),(4,24,0),(3,25,0),(4,25,0),(3,26,0),(4,26,0),(3,27,0),(4,27,0),(3,28,0),(4,28,0),(3,29,0),(4,29,0),(3,30,0),(4,30,0),(3,31,0),(4,31,0),(3,32,0),(4,32,0),(3,33,0),(4,33,0),(3,34,0),(4,34,0),(3,35,0),(4,35,0),(3,36,0),(4,36,0),(3,37,0),(4,37,0),(3,38,0),(4,38,0),(3,39,0),(4,39,0),(3,40,0),(4,40,0),(3,41,0),(4,41,0),(3,42,0),(4,42,0),(3,43,0),(4,43,0),(3,44,0),(4,44,0),(3,45,0),(4,45,0),(3,46,0),(4,46,0),(3,47,0),(4,47,0),(3,48,0),(4,48,0),(3,49,0),(4,49,0),(3,50,0),(4,50,0),(3,51,0),(4,51,0),(3,52,0),(4,52,0),(3,53,0),(4,53,0),(3,54,0),(4,54,0),(3,55,0),(4,55,0),(3,56,0),(4,56,0),(3,57,0),(4,57,0),(3,58,0),(4,58,0),(3,59,0),(4,59,0),(3,60,0),(4,60,0),(3,61,0),(4,61,0),(3,62,0),(4,62,0),(3,63,0),(4,63,0),(3,64,0),(4,64,0),(3,65,0),(4,65,0);
/*!40000 ALTER TABLE `ec_product_with_attribute_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products`
--

DROP TABLE IF EXISTS `ec_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `images` text COLLATE utf8mb4_unicode_ci,
  `video_media` text COLLATE utf8mb4_unicode_ci,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `quantity` int unsigned DEFAULT NULL,
  `allow_checkout_when_out_of_stock` tinyint unsigned NOT NULL DEFAULT '0',
  `with_storehouse_management` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `brand_id` bigint unsigned DEFAULT NULL,
  `is_variation` tinyint NOT NULL DEFAULT '0',
  `sale_type` tinyint NOT NULL DEFAULT '0',
  `price` double unsigned DEFAULT NULL,
  `sale_price` double unsigned DEFAULT NULL,
  `start_date` timestamp NULL DEFAULT NULL,
  `end_date` timestamp NULL DEFAULT NULL,
  `length` double(8,2) DEFAULT NULL,
  `wide` double(8,2) DEFAULT NULL,
  `height` double(8,2) DEFAULT NULL,
  `weight` double(8,2) DEFAULT NULL,
  `tax_id` bigint unsigned DEFAULT NULL,
  `views` bigint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `stock_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'in_stock',
  `created_by_id` bigint unsigned DEFAULT '0',
  `created_by_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'physical',
  `barcode` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_per_item` double DEFAULT NULL,
  `generate_license_code` tinyint(1) NOT NULL DEFAULT '0',
  `minimum_order_quantity` int unsigned DEFAULT '0',
  `maximum_order_quantity` int unsigned DEFAULT '0',
  `notify_attachment_updated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ec_products_brand_id_status_is_variation_created_at_index` (`brand_id`,`status`,`is_variation`,`created_at`),
  KEY `sale_type_index` (`sale_type`),
  KEY `start_date_index` (`start_date`),
  KEY `end_date_index` (`end_date`),
  KEY `sale_price_index` (`sale_price`),
  KEY `is_variation_index` (`is_variation`),
  KEY `ec_products_sku_index` (`sku`)
) ENGINE=InnoDB AUTO_INCREMENT=220 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products`
--

LOCK TABLES `ec_products` WRITE;
/*!40000 ALTER TABLE `ec_products` DISABLE KEYS */;
INSERT INTO `ec_products` VALUES (1,'Dual Camera 20MP (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/1.jpg\"]',NULL,'SW-194-A0',0,11,0,1,1,1,0,0,80.25,NULL,NULL,NULL,20.00,15.00,12.00,694.00,NULL,199946,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(2,'Smart Watches','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/2.jpg\",\"products\\/2-1.jpg\",\"products\\/2-2.jpg\",\"products\\/2-3.jpg\"]',NULL,'SW-132-A0',0,15,0,1,1,3,0,0,40.5,NULL,NULL,NULL,20.00,18.00,17.00,866.00,NULL,30094,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(3,'Beat Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/3.jpg\"]',NULL,'SW-144-A0',0,16,0,1,1,3,0,0,20,NULL,NULL,NULL,13.00,15.00,20.00,713.00,NULL,113724,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(4,'Red &amp; Black Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/4.jpg\",\"products\\/4-1.jpg\",\"products\\/4-2.jpg\",\"products\\/4-3.jpg\"]',NULL,'SW-118-A0',0,14,0,1,1,3,0,0,595,535.5,NULL,NULL,12.00,18.00,16.00,734.00,NULL,58845,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(5,'Smart Watch External (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/5.jpg\",\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/5-3.jpg\"]',NULL,'SW-181-A0',0,17,0,1,1,2,0,0,766,NULL,NULL,NULL,20.00,16.00,14.00,603.00,NULL,181644,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(6,'Nikon HD camera','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/6.jpg\"]',NULL,'SW-119-A0',0,14,0,1,1,5,0,0,460,NULL,NULL,NULL,16.00,18.00,10.00,597.00,NULL,96484,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(7,'Audio Equipment','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/7.jpg\"]',NULL,'SW-143-A0',0,11,0,1,1,5,0,0,547,NULL,NULL,NULL,18.00,14.00,13.00,796.00,NULL,153378,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(8,'Smart Televisions','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/8.jpg\",\"products\\/8-1.jpg\",\"products\\/8-2.jpg\",\"products\\/8-3.jpg\"]',NULL,'SW-129-A0',0,19,0,1,1,1,0,0,1184,1053.76,NULL,NULL,18.00,19.00,18.00,654.00,NULL,3040,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(9,'Samsung Smart Phone (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/9.jpg\",\"products\\/9-1.jpg\",\"products\\/9-2.jpg\"]',NULL,'SW-122-A0',0,13,0,1,1,5,0,0,586,NULL,NULL,NULL,12.00,18.00,10.00,620.00,NULL,127842,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(10,'Herschel Leather Duffle Bag In Brown Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/10.jpg\",\"products\\/10-1.jpg\",\"products\\/10-2.jpg\"]',NULL,'SW-188-A0',0,13,0,1,0,5,0,0,1114,NULL,NULL,NULL,12.00,10.00,19.00,647.00,NULL,164419,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(11,'Xbox One Wireless Controller Black Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/11.jpg\",\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/11-3.jpg\"]',NULL,'SW-123-A0',0,11,0,1,0,4,0,0,1235,NULL,NULL,NULL,15.00,16.00,16.00,718.00,NULL,159213,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(12,'EPSION Plaster Printer','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/12.jpg\",\"products\\/12-1.jpg\",\"products\\/12-2.jpg\",\"products\\/12-3.jpg\"]',NULL,'SW-149-A0',0,20,0,1,0,5,0,0,588,441,NULL,NULL,17.00,13.00,13.00,632.00,NULL,92671,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(13,'Sound Intone I65 Earphone White Version (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/13.jpg\",\"products\\/13-1.jpg\"]',NULL,'SW-195-A0',0,18,0,1,0,1,0,0,586,NULL,NULL,NULL,19.00,20.00,19.00,646.00,NULL,103472,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(14,'B&amp;O Play Mini Bluetooth Speaker','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/14.jpg\"]',NULL,'SW-166-A0',0,11,0,1,0,5,0,0,539,NULL,NULL,NULL,18.00,15.00,11.00,713.00,NULL,108565,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(15,'Apple MacBook Air Retina 13.3-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/15.jpg\",\"products\\/15-1.jpg\"]',NULL,'SW-190-A0',0,19,0,1,0,5,0,0,515,NULL,NULL,NULL,16.00,18.00,18.00,852.00,NULL,65419,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(16,'Apple MacBook Air Retina 12-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/16.jpg\"]',NULL,'SW-149-A0',0,12,0,1,0,2,0,0,564,456.84,NULL,NULL,17.00,17.00,11.00,780.00,NULL,64847,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(17,'Samsung Gear VR Virtual Reality Headset (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/17.jpg\",\"products\\/17-1.jpg\",\"products\\/17-2.jpg\",\"products\\/17-3.jpg\"]',NULL,'SW-125-A0',0,12,0,1,0,1,0,0,513,NULL,NULL,NULL,12.00,19.00,15.00,695.00,NULL,74651,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(18,'Aveeno Moisturizing Body Shower 450ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/18.jpg\",\"products\\/18-1.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\"]',NULL,'SW-101-A0',0,18,0,1,0,1,0,0,1273,NULL,NULL,NULL,10.00,12.00,13.00,846.00,NULL,64507,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(19,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/19.jpg\",\"products\\/19-1.jpg\",\"products\\/19-2.jpg\",\"products\\/19-3.jpg\"]',NULL,'SW-153-A0',0,15,0,1,0,2,0,0,1093,NULL,NULL,NULL,11.00,18.00,13.00,567.00,NULL,140952,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(20,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/20.jpg\",\"products\\/20-1.jpg\",\"products\\/20-2.jpg\",\"products\\/20-3.jpg\"]',NULL,'SW-163-A0',0,12,0,1,0,3,0,0,861,766.29,NULL,NULL,20.00,14.00,11.00,830.00,NULL,160950,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(21,'MVMTH Classical Leather Watch In Black (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/21.jpg\",\"products\\/21-1.jpg\",\"products\\/21-2.jpg\"]',NULL,'SW-101-A0',0,18,0,1,0,5,0,0,671,NULL,NULL,NULL,11.00,17.00,19.00,608.00,NULL,113940,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(22,'Baxter Care Hair Kit For Bearded Mens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/22.jpg\",\"products\\/22-1.jpg\",\"products\\/22-2.jpg\",\"products\\/22-3.jpg\"]',NULL,'SW-113-A0',0,12,0,1,0,2,0,0,444,NULL,NULL,NULL,11.00,10.00,18.00,835.00,NULL,115891,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(23,'Ciate Palemore Lipstick Bold Red Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/23.jpg\",\"products\\/23-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\"]',NULL,'SW-200-A0',0,15,0,1,0,1,0,0,1113,NULL,NULL,NULL,17.00,11.00,16.00,845.00,NULL,163679,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(24,'Vimto Squash Remix Apple 1.5 Litres','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/24.jpg\",\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]',NULL,'SW-162-A0',0,17,0,1,0,2,0,0,639,498.42,NULL,NULL,20.00,10.00,16.00,667.00,NULL,130115,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(25,'Crock Pot Slow Cooker (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/25.jpg\",\"products\\/25-1.jpg\",\"products\\/25-2.jpg\"]',NULL,'SW-105-A0',0,15,0,1,0,4,0,0,987,NULL,NULL,NULL,19.00,19.00,15.00,802.00,NULL,26917,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(26,'Taylors of Harrogate Yorkshire Coffee','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/26.jpg\",\"products\\/26-1.jpg\"]',NULL,'SW-108-A0',0,16,0,1,0,3,0,0,1076,NULL,NULL,NULL,14.00,13.00,12.00,867.00,NULL,86912,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(27,'Soft Mochi &amp; Galeto Ice Cream','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/27.jpg\",\"products\\/27-1.jpg\"]',NULL,'SW-115-A0',0,13,0,1,0,1,0,0,684,NULL,NULL,NULL,18.00,14.00,11.00,792.00,NULL,36225,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(28,'Naked Noodle Egg Noodles Singapore','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/28.jpg\",\"products\\/28-1.jpg\",\"products\\/28-2.jpg\"]',NULL,'SW-164-A0',0,15,0,1,0,4,0,0,942,753.6,NULL,NULL,20.00,14.00,10.00,592.00,NULL,119678,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(29,'Saute Pan Silver (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/29.jpg\",\"products\\/29-1.jpg\",\"products\\/29-2.jpg\"]',NULL,'SW-105-A0',0,19,0,1,0,1,0,0,956,NULL,NULL,NULL,15.00,12.00,15.00,674.00,NULL,164869,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(30,'Bar S – Classic Bun Length Franks','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/30.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]',NULL,'SW-132-A0',0,15,0,1,0,3,0,0,870,NULL,NULL,NULL,11.00,10.00,15.00,733.00,NULL,34646,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(31,'Broccoli Crowns','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/31.jpg\",\"products\\/31-1.jpg\"]',NULL,'SW-104-A0',0,11,0,1,0,3,0,0,686,NULL,NULL,NULL,10.00,19.00,19.00,783.00,NULL,73849,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(32,'Slimming World Vegan Mac Greens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/32.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]',NULL,'SW-199-A0',0,16,0,1,0,4,0,0,922,645.4,NULL,NULL,10.00,20.00,17.00,535.00,NULL,171988,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(33,'Häagen-Dazs Salted Caramel (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/33.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]',NULL,'SW-164-A0',0,18,0,1,0,1,0,0,1253,NULL,NULL,NULL,11.00,10.00,10.00,789.00,NULL,12320,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(34,'Iceland 3 Solo Exotic Burst','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/34.jpg\",\"products\\/34-1.jpg\"]',NULL,'SW-144-A0',0,17,0,1,0,5,0,0,1129,NULL,NULL,NULL,14.00,10.00,16.00,869.00,NULL,65309,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(35,'Extreme Budweiser Light Can','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/35.jpg\",\"products\\/35-1.jpg\"]',NULL,'SW-148-A0',0,18,0,1,0,4,0,0,537,NULL,NULL,NULL,18.00,12.00,17.00,864.00,NULL,75869,'2024-08-10 00:04:36','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(36,'Iceland Macaroni Cheese Traybake','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/36.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]',NULL,'SW-124-A0',0,13,0,1,0,3,0,0,1199,995.17,NULL,NULL,16.00,11.00,16.00,558.00,NULL,137203,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(37,'Dolmio Bolognese Pasta Sauce (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/37.jpg\",\"products\\/37-1.jpg\",\"products\\/37-2.jpg\"]',NULL,'SW-195-A0',0,11,0,1,0,2,0,0,1252,NULL,NULL,NULL,12.00,12.00,14.00,825.00,NULL,143696,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(38,'Sitema BakeIT Plastic Box','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/38.jpg\",\"products\\/38-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]',NULL,'SW-179-A0',0,10,0,1,0,4,0,0,503,NULL,NULL,NULL,15.00,17.00,19.00,670.00,NULL,13602,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(39,'Wayfair Basics Dinner Plate Storage','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/39.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\"]',NULL,'SW-143-A0',0,16,0,1,0,3,0,0,695,NULL,NULL,NULL,13.00,19.00,13.00,767.00,NULL,54826,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(40,'Miko The Panda Water Bottle','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/40.jpg\",\"products\\/40-1.jpg\"]',NULL,'SW-113-A0',0,14,0,1,0,4,0,0,697,536.69,NULL,NULL,10.00,18.00,17.00,613.00,NULL,7536,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(41,'Sesame Seed Bread (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/41.jpg\",\"products\\/41-1.jpg\",\"products\\/41-2.jpg\"]',NULL,'SW-159-A0',0,17,0,1,0,1,0,0,931,NULL,NULL,NULL,14.00,20.00,15.00,787.00,NULL,37106,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(42,'Morrisons The Best Beef','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/42.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\"]',NULL,'SW-187-A0',0,16,0,1,0,3,0,0,1105,NULL,NULL,NULL,13.00,12.00,10.00,514.00,NULL,155315,'2024-08-10 00:04:36','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(43,'Avocado, Hass Large','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/43.jpg\",\"products\\/43-1.jpg\",\"products\\/43-2.jpg\"]',NULL,'SW-198-A0',0,20,0,1,0,3,0,0,985,NULL,NULL,NULL,13.00,12.00,17.00,737.00,NULL,185413,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(44,'Italia Beef Lasagne','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/44.jpg\",\"products\\/44-1.jpg\",\"products\\/44-2.jpg\"]',NULL,'SW-162-A0',0,16,0,1,0,3,0,0,724,637.12,NULL,NULL,11.00,12.00,17.00,839.00,NULL,90700,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(45,'Maxwell House Classic Roast Mocha (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/45.jpg\",\"products\\/45-1.jpg\"]',NULL,'SW-137-A0',0,16,0,1,0,1,0,0,1298,NULL,NULL,NULL,15.00,15.00,12.00,559.00,NULL,114840,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(46,'Bottled Pure Water 500ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/46.jpg\",\"products\\/46-1.jpg\"]',NULL,'SW-139-A0',0,10,0,1,0,2,0,0,744,NULL,NULL,NULL,20.00,16.00,15.00,729.00,NULL,180735,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(47,'Famart Farmhouse Soft White','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/47.jpg\",\"products\\/47-1.jpg\"]',NULL,'SW-190-A0',0,16,0,1,0,1,0,0,787,NULL,NULL,NULL,15.00,13.00,11.00,667.00,NULL,81447,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(48,'Coca-Cola Original Taste','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/48.jpg\",\"products\\/48-1.jpg\",\"products\\/48-2.jpg\"]',NULL,'SW-185-A0',0,13,0,1,0,1,0,0,744,528.24,NULL,NULL,15.00,14.00,12.00,700.00,NULL,81256,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(49,'Casillero Diablo Cabernet Sauvignon (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/49.jpg\",\"products\\/49-1.jpg\",\"products\\/49-2.jpg\"]',NULL,'SW-124-A0',0,12,0,1,0,1,0,0,588,NULL,NULL,NULL,18.00,14.00,10.00,868.00,NULL,38972,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(50,'Arla Organic Free Range Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/50.jpg\",\"products\\/50-1.jpg\"]',NULL,'SW-186-A0',0,11,0,1,0,1,0,0,1133,NULL,NULL,NULL,15.00,12.00,18.00,879.00,NULL,168897,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(51,'Aptamil Follow On Baby Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0',0,10,0,1,0,5,0,0,818,NULL,NULL,NULL,11.00,20.00,15.00,810.00,NULL,137228,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(52,'Cuisinart Chef’S Classic Hard-Anodized','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/52.jpg\",\"products\\/52-1.jpg\",\"products\\/52-2.jpg\"]',NULL,'SW-126-A0',0,14,0,1,0,1,0,0,882,776.16,NULL,NULL,16.00,14.00,15.00,572.00,NULL,191300,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(53,'Corn, Yellow Sweet (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/53.jpg\",\"products\\/53-1.jpg\"]',NULL,'SW-110-A0',0,18,0,1,0,3,0,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,172887,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(54,'Hobnobs The Nobbly Biscuit','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/54.jpg\",\"products\\/54-1.jpg\"]',NULL,'SW-183-A0',0,15,0,1,0,3,0,0,583,NULL,NULL,NULL,18.00,10.00,19.00,540.00,NULL,60734,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(55,'Honest Organic Still Lemonade','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/55.jpg\",\"products\\/55-1.jpg\",\"products\\/55-2.jpg\"]',NULL,'SW-158-A0',0,12,0,1,0,2,0,0,790,NULL,NULL,NULL,19.00,15.00,13.00,792.00,NULL,152058,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(56,'Ice Beck’s Beer 350ml x 24 Pieces','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/56.jpg\",\"products\\/56-1.jpg\",\"products\\/56-2.jpg\"]',NULL,'SW-154-A0',0,12,0,1,0,4,0,0,584,443.84,NULL,NULL,13.00,20.00,13.00,849.00,NULL,73260,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(57,'Iceland 6 Hot Cross Buns (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/57.jpg\",\"products\\/57-1.jpg\"]',NULL,'SW-138-A0',0,11,0,1,0,2,0,0,789,NULL,NULL,NULL,16.00,16.00,17.00,667.00,NULL,94053,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(58,'Iceland Luxury 4 Panini Rolls','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/58.jpg\",\"products\\/58-1.jpg\",\"products\\/58-2.jpg\"]',NULL,'SW-197-A0',0,15,0,1,0,1,0,0,1184,NULL,NULL,NULL,20.00,14.00,18.00,775.00,NULL,71759,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(59,'Iceland Soft Scoop Vanilla','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/59.jpg\",\"products\\/59-1.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\"]',NULL,'SW-178-A0',0,10,0,1,0,1,0,0,1248,NULL,NULL,NULL,12.00,10.00,11.00,718.00,NULL,72045,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(60,'Iceland Spaghetti Bolognese','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/60.jpg\",\"products\\/60-1.jpg\",\"products\\/60-2.jpg\"]',NULL,'SW-191-A0',0,19,0,1,0,4,0,0,592,414.4,NULL,NULL,16.00,18.00,12.00,861.00,NULL,153071,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(61,'Kellogg’s Coco Pops Cereal (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/61.jpg\",\"products\\/61-1.jpg\"]',NULL,'SW-199-A0',0,14,0,1,0,4,0,0,721,NULL,NULL,NULL,10.00,12.00,18.00,549.00,NULL,165934,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(62,'Kit Kat Chunky Milk Chocolate','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/62.jpg\",\"products\\/62-1.jpg\"]',NULL,'SW-159-A0',0,12,0,1,0,1,0,0,820,NULL,NULL,NULL,12.00,11.00,13.00,595.00,NULL,153374,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(63,'Large Green Bell Pepper','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/63.jpg\",\"products\\/63-1.jpg\"]',NULL,'SW-178-A0',0,13,0,1,0,5,0,0,1203,NULL,NULL,NULL,20.00,12.00,13.00,727.00,NULL,8678,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(64,'Pice 94w Beasley Journal','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/64.jpg\",\"products\\/64-1.jpg\"]',NULL,'SW-133-A0',0,15,0,1,0,5,0,0,1213,958.27,NULL,NULL,13.00,10.00,15.00,568.00,NULL,140761,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(65,'Province Piece Glass Drinking Glass (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/65.jpg\",\"products\\/65-1.jpg\",\"products\\/65-2.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,1,0,0,1099,NULL,NULL,NULL,10.00,17.00,11.00,686.00,NULL,182293,'2024-08-10 00:04:37','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(66,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-194-A0',0,11,0,1,0,1,1,0,80.25,NULL,NULL,NULL,20.00,15.00,12.00,694.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(67,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-194-A0-A1',0,11,0,1,0,1,1,0,80.25,NULL,NULL,NULL,20.00,15.00,12.00,694.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(68,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]',NULL,'SW-132-A0',0,15,0,1,0,3,1,0,40.5,NULL,NULL,NULL,20.00,18.00,17.00,866.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(69,'Smart Watches',NULL,NULL,'published','[\"products\\/2-1.jpg\"]',NULL,'SW-132-A0-A1',0,15,0,1,0,3,1,0,40.5,NULL,NULL,NULL,20.00,18.00,17.00,866.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(70,'Smart Watches',NULL,NULL,'published','[\"products\\/2-2.jpg\"]',NULL,'SW-132-A0-A2',0,15,0,1,0,3,1,0,40.5,NULL,NULL,NULL,20.00,18.00,17.00,866.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(71,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-144-A0',0,16,0,1,0,3,1,0,20,NULL,NULL,NULL,13.00,15.00,20.00,713.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(72,'Red & Black Headphone',NULL,NULL,'published','[\"products\\/4.jpg\"]',NULL,'SW-118-A0',0,14,0,1,0,3,1,0,595,535.5,NULL,NULL,12.00,18.00,16.00,734.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(73,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-1.jpg\"]',NULL,'SW-118-A0-A1',0,14,0,1,0,3,1,0,595,434.35,NULL,NULL,12.00,18.00,16.00,734.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(74,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-2.jpg\"]',NULL,'SW-118-A0-A2',0,14,0,1,0,3,1,0,595,416.5,NULL,NULL,12.00,18.00,16.00,734.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(75,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5.jpg\"]',NULL,'SW-181-A0',0,17,0,1,0,2,1,0,766,NULL,NULL,NULL,20.00,16.00,14.00,603.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(76,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-1.jpg\"]',NULL,'SW-181-A0-A1',0,17,0,1,0,2,1,0,766,NULL,NULL,NULL,20.00,16.00,14.00,603.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(77,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-2.jpg\"]',NULL,'SW-181-A0-A2',0,17,0,1,0,2,1,0,766,NULL,NULL,NULL,20.00,16.00,14.00,603.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(78,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-119-A0',0,14,0,1,0,5,1,0,460,NULL,NULL,NULL,16.00,18.00,10.00,597.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(79,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-143-A0',0,11,0,1,0,5,1,0,547,NULL,NULL,NULL,18.00,14.00,13.00,796.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(80,'Smart Televisions',NULL,NULL,'published','[\"products\\/8.jpg\"]',NULL,'SW-129-A0',0,19,0,1,0,1,1,0,1184,1053.76,NULL,NULL,18.00,19.00,18.00,654.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(81,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-1.jpg\"]',NULL,'SW-129-A0-A1',0,19,0,1,0,1,1,0,1184,1053.76,NULL,NULL,18.00,19.00,18.00,654.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(82,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-2.jpg\"]',NULL,'SW-129-A0-A2',0,19,0,1,0,1,1,0,1184,935.36,NULL,NULL,18.00,19.00,18.00,654.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(83,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9.jpg\"]',NULL,'SW-122-A0',0,13,0,1,0,5,1,0,586,NULL,NULL,NULL,12.00,18.00,10.00,620.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(84,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-188-A0',0,13,0,1,0,5,1,0,1114,NULL,NULL,NULL,12.00,10.00,19.00,647.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(85,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-1.jpg\"]',NULL,'SW-188-A0-A1',0,13,0,1,0,5,1,0,1114,NULL,NULL,NULL,12.00,10.00,19.00,647.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(86,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11.jpg\"]',NULL,'SW-123-A0',0,11,0,1,0,4,1,0,1235,NULL,NULL,NULL,15.00,16.00,16.00,718.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(87,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-1.jpg\"]',NULL,'SW-123-A0-A1',0,11,0,1,0,4,1,0,1235,NULL,NULL,NULL,15.00,16.00,16.00,718.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(88,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-2.jpg\"]',NULL,'SW-123-A0-A2',0,11,0,1,0,4,1,0,1235,NULL,NULL,NULL,15.00,16.00,16.00,718.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(89,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-3.jpg\"]',NULL,'SW-123-A0-A3',0,11,0,1,0,4,1,0,1235,NULL,NULL,NULL,15.00,16.00,16.00,718.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(90,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]',NULL,'SW-149-A0',0,20,0,1,0,5,1,0,588,441,NULL,NULL,17.00,13.00,13.00,632.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(91,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-1.jpg\"]',NULL,'SW-149-A0-A1',0,20,0,1,0,5,1,0,588,488.04,NULL,NULL,17.00,13.00,13.00,632.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(92,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-2.jpg\"]',NULL,'SW-149-A0-A2',0,20,0,1,0,5,1,0,588,529.2,NULL,NULL,17.00,13.00,13.00,632.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(93,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-195-A0',0,18,0,1,0,1,1,0,586,NULL,NULL,NULL,19.00,20.00,19.00,646.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(94,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13-1.jpg\"]',NULL,'SW-195-A0-A1',0,18,0,1,0,1,1,0,586,NULL,NULL,NULL,19.00,20.00,19.00,646.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(95,'B&O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-166-A0',0,11,0,1,0,5,1,0,539,NULL,NULL,NULL,18.00,15.00,11.00,713.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(96,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-166-A0-A1',0,11,0,1,0,5,1,0,539,NULL,NULL,NULL,18.00,15.00,11.00,713.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(97,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-166-A0-A2',0,11,0,1,0,5,1,0,539,NULL,NULL,NULL,18.00,15.00,11.00,713.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(98,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-166-A0-A3',0,11,0,1,0,5,1,0,539,NULL,NULL,NULL,18.00,15.00,11.00,713.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(99,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-190-A0',0,19,0,1,0,5,1,0,515,NULL,NULL,NULL,16.00,18.00,18.00,852.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(100,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-149-A0',0,12,0,1,0,2,1,0,564,456.84,NULL,NULL,17.00,17.00,11.00,780.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(101,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-149-A0-A1',0,12,0,1,0,2,1,0,564,406.08,NULL,NULL,17.00,17.00,11.00,780.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(102,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-149-A0-A2',0,12,0,1,0,2,1,0,564,507.6,NULL,NULL,17.00,17.00,11.00,780.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(103,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-149-A0-A3',0,12,0,1,0,2,1,0,564,400.44,NULL,NULL,17.00,17.00,11.00,780.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(104,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17.jpg\"]',NULL,'SW-125-A0',0,12,0,1,0,1,1,0,513,NULL,NULL,NULL,12.00,19.00,15.00,695.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(105,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17-1.jpg\"]',NULL,'SW-125-A0-A1',0,12,0,1,0,1,1,0,513,NULL,NULL,NULL,12.00,19.00,15.00,695.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(106,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18.jpg\"]',NULL,'SW-101-A0',0,18,0,1,0,1,1,0,1273,NULL,NULL,NULL,10.00,12.00,13.00,846.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(107,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-1.jpg\"]',NULL,'SW-101-A0-A1',0,18,0,1,0,1,1,0,1273,NULL,NULL,NULL,10.00,12.00,13.00,846.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(108,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18-2.jpg\"]',NULL,'SW-101-A0-A2',0,18,0,1,0,1,1,0,1273,NULL,NULL,NULL,10.00,12.00,13.00,846.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(109,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19.jpg\"]',NULL,'SW-153-A0',0,15,0,1,0,2,1,0,1093,NULL,NULL,NULL,11.00,18.00,13.00,567.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(110,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-1.jpg\"]',NULL,'SW-153-A0-A1',0,15,0,1,0,2,1,0,1093,NULL,NULL,NULL,11.00,18.00,13.00,567.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(111,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-2.jpg\"]',NULL,'SW-153-A0-A2',0,15,0,1,0,2,1,0,1093,NULL,NULL,NULL,11.00,18.00,13.00,567.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(112,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-3.jpg\"]',NULL,'SW-153-A0-A3',0,15,0,1,0,2,1,0,1093,NULL,NULL,NULL,11.00,18.00,13.00,567.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(113,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20.jpg\"]',NULL,'SW-163-A0',0,12,0,1,0,3,1,0,861,766.29,NULL,NULL,20.00,14.00,11.00,830.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(114,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20-1.jpg\"]',NULL,'SW-163-A0-A1',0,12,0,1,0,3,1,0,861,766.29,NULL,NULL,20.00,14.00,11.00,830.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(115,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-101-A0',0,18,0,1,0,5,1,0,671,NULL,NULL,NULL,11.00,17.00,19.00,608.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(116,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-1.jpg\"]',NULL,'SW-101-A0-A1',0,18,0,1,0,5,1,0,671,NULL,NULL,NULL,11.00,17.00,19.00,608.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(117,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-2.jpg\"]',NULL,'SW-101-A0-A2',0,18,0,1,0,5,1,0,671,NULL,NULL,NULL,11.00,17.00,19.00,608.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(118,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22.jpg\"]',NULL,'SW-113-A0',0,12,0,1,0,2,1,0,444,NULL,NULL,NULL,11.00,10.00,18.00,835.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(119,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-1.jpg\"]',NULL,'SW-113-A0-A1',0,12,0,1,0,2,1,0,444,NULL,NULL,NULL,11.00,10.00,18.00,835.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(120,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23.jpg\"]',NULL,'SW-200-A0',0,15,0,1,0,1,1,0,1113,NULL,NULL,NULL,17.00,11.00,16.00,845.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(121,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-1.jpg\"]',NULL,'SW-200-A0-A1',0,15,0,1,0,1,1,0,1113,NULL,NULL,NULL,17.00,11.00,16.00,845.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(122,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-2.jpg\"]',NULL,'SW-200-A0-A2',0,15,0,1,0,1,1,0,1113,NULL,NULL,NULL,17.00,11.00,16.00,845.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(123,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24.jpg\"]',NULL,'SW-162-A0',0,17,0,1,0,2,1,0,639,498.42,NULL,NULL,20.00,10.00,16.00,667.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(124,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24-1.jpg\"]',NULL,'SW-162-A0-A1',0,17,0,1,0,2,1,0,639,460.08,NULL,NULL,20.00,10.00,16.00,667.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(125,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-105-A0',0,15,0,1,0,4,1,0,987,NULL,NULL,NULL,19.00,19.00,15.00,802.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(126,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-1.jpg\"]',NULL,'SW-105-A0-A1',0,15,0,1,0,4,1,0,987,NULL,NULL,NULL,19.00,19.00,15.00,802.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(127,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-108-A0',0,16,0,1,0,3,1,0,1076,NULL,NULL,NULL,14.00,13.00,12.00,867.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(128,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26-1.jpg\"]',NULL,'SW-108-A0-A1',0,16,0,1,0,3,1,0,1076,NULL,NULL,NULL,14.00,13.00,12.00,867.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(129,'Soft Mochi & Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-115-A0',0,13,0,1,0,1,1,0,684,NULL,NULL,NULL,18.00,14.00,11.00,792.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(130,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27-1.jpg\"]',NULL,'SW-115-A0-A1',0,13,0,1,0,1,1,0,684,NULL,NULL,NULL,18.00,14.00,11.00,792.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(131,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-164-A0',0,15,0,1,0,4,1,0,942,753.6,NULL,NULL,20.00,14.00,10.00,592.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(132,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-105-A0',0,19,0,1,0,1,1,0,956,NULL,NULL,NULL,15.00,12.00,15.00,674.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(133,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-1.jpg\"]',NULL,'SW-105-A0-A1',0,19,0,1,0,1,1,0,956,NULL,NULL,NULL,15.00,12.00,15.00,674.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(134,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-132-A0',0,15,0,1,0,3,1,0,870,NULL,NULL,NULL,11.00,10.00,15.00,733.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(135,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-1.jpg\"]',NULL,'SW-132-A0-A1',0,15,0,1,0,3,1,0,870,NULL,NULL,NULL,11.00,10.00,15.00,733.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(136,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-2.jpg\"]',NULL,'SW-132-A0-A2',0,15,0,1,0,3,1,0,870,NULL,NULL,NULL,11.00,10.00,15.00,733.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(137,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-132-A0-A3',0,15,0,1,0,3,1,0,870,NULL,NULL,NULL,11.00,10.00,15.00,733.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(138,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-104-A0',0,11,0,1,0,3,1,0,686,NULL,NULL,NULL,10.00,19.00,19.00,783.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(139,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31-1.jpg\"]',NULL,'SW-104-A0-A1',0,11,0,1,0,3,1,0,686,NULL,NULL,NULL,10.00,19.00,19.00,783.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(140,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-104-A0-A2',0,11,0,1,0,3,1,0,686,NULL,NULL,NULL,10.00,19.00,19.00,783.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(141,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32.jpg\"]',NULL,'SW-199-A0',0,16,0,1,0,4,1,0,922,645.4,NULL,NULL,10.00,20.00,17.00,535.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(142,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32-1.jpg\"]',NULL,'SW-199-A0-A1',0,16,0,1,0,4,1,0,922,746.82,NULL,NULL,10.00,20.00,17.00,535.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(143,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33.jpg\"]',NULL,'SW-164-A0',0,18,0,1,0,1,1,0,1253,NULL,NULL,NULL,11.00,10.00,10.00,789.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(144,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-1.jpg\"]',NULL,'SW-164-A0-A1',0,18,0,1,0,1,1,0,1253,NULL,NULL,NULL,11.00,10.00,10.00,789.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(145,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-2.jpg\"]',NULL,'SW-164-A0-A2',0,18,0,1,0,1,1,0,1253,NULL,NULL,NULL,11.00,10.00,10.00,789.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(146,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-144-A0',0,17,0,1,0,5,1,0,1129,NULL,NULL,NULL,14.00,10.00,16.00,869.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(147,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34-1.jpg\"]',NULL,'SW-144-A0-A1',0,17,0,1,0,5,1,0,1129,NULL,NULL,NULL,14.00,10.00,16.00,869.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(148,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-144-A0-A2',0,17,0,1,0,5,1,0,1129,NULL,NULL,NULL,14.00,10.00,16.00,869.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(149,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-148-A0',0,18,0,1,0,4,1,0,537,NULL,NULL,NULL,18.00,12.00,17.00,864.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(150,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35-1.jpg\"]',NULL,'SW-148-A0-A1',0,18,0,1,0,4,1,0,537,NULL,NULL,NULL,18.00,12.00,17.00,864.00,NULL,0,'2024-08-10 00:04:37','2024-08-10 00:04:37','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(151,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-148-A0-A2',0,18,0,1,0,4,1,0,537,NULL,NULL,NULL,18.00,12.00,17.00,864.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(152,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-148-A0-A3',0,18,0,1,0,4,1,0,537,NULL,NULL,NULL,18.00,12.00,17.00,864.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(153,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]',NULL,'SW-124-A0',0,13,0,1,0,3,1,0,1199,995.17,NULL,NULL,16.00,11.00,16.00,558.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(154,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36-1.jpg\"]',NULL,'SW-124-A0-A1',0,13,0,1,0,3,1,0,1199,911.24,NULL,NULL,16.00,11.00,16.00,558.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(155,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36-2.jpg\"]',NULL,'SW-124-A0-A2',0,13,0,1,0,3,1,0,1199,911.24,NULL,NULL,16.00,11.00,16.00,558.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(156,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]',NULL,'SW-124-A0-A3',0,13,0,1,0,3,1,0,1199,911.24,NULL,NULL,16.00,11.00,16.00,558.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(157,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]',NULL,'SW-195-A0',0,11,0,1,0,2,1,0,1252,NULL,NULL,NULL,12.00,12.00,14.00,825.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(158,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-1.jpg\"]',NULL,'SW-195-A0-A1',0,11,0,1,0,2,1,0,1252,NULL,NULL,NULL,12.00,12.00,14.00,825.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(159,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38.jpg\"]',NULL,'SW-179-A0',0,10,0,1,0,4,1,0,503,NULL,NULL,NULL,15.00,17.00,19.00,670.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(160,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-1.jpg\"]',NULL,'SW-179-A0-A1',0,10,0,1,0,4,1,0,503,NULL,NULL,NULL,15.00,17.00,19.00,670.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(161,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-2.jpg\"]',NULL,'SW-179-A0-A2',0,10,0,1,0,4,1,0,503,NULL,NULL,NULL,15.00,17.00,19.00,670.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(162,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]',NULL,'SW-143-A0',0,16,0,1,0,3,1,0,695,NULL,NULL,NULL,13.00,19.00,13.00,767.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(163,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-113-A0',0,14,0,1,0,4,1,0,697,536.69,NULL,NULL,10.00,18.00,17.00,613.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(164,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40-1.jpg\"]',NULL,'SW-113-A0-A1',0,14,0,1,0,4,1,0,697,592.45,NULL,NULL,10.00,18.00,17.00,613.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(165,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]',NULL,'SW-159-A0',0,17,0,1,0,1,1,0,931,NULL,NULL,NULL,14.00,20.00,15.00,787.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(166,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41-1.jpg\"]',NULL,'SW-159-A0-A1',0,17,0,1,0,1,1,0,931,NULL,NULL,NULL,14.00,20.00,15.00,787.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(167,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]',NULL,'SW-187-A0',0,16,0,1,0,3,1,0,1105,NULL,NULL,NULL,13.00,12.00,10.00,514.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(168,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-1.jpg\"]',NULL,'SW-187-A0-A1',0,16,0,1,0,3,1,0,1105,NULL,NULL,NULL,13.00,12.00,10.00,514.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(169,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-198-A0',0,20,0,1,0,3,1,0,985,NULL,NULL,NULL,13.00,12.00,17.00,737.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(170,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-1.jpg\"]',NULL,'SW-198-A0-A1',0,20,0,1,0,3,1,0,985,NULL,NULL,NULL,13.00,12.00,17.00,737.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(171,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-2.jpg\"]',NULL,'SW-198-A0-A2',0,20,0,1,0,3,1,0,985,NULL,NULL,NULL,13.00,12.00,17.00,737.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(172,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]',NULL,'SW-162-A0',0,16,0,1,0,3,1,0,724,637.12,NULL,NULL,11.00,12.00,17.00,839.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(173,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44-1.jpg\"]',NULL,'SW-162-A0-A1',0,16,0,1,0,3,1,0,724,571.96,NULL,NULL,11.00,12.00,17.00,839.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(174,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44-2.jpg\"]',NULL,'SW-162-A0-A2',0,16,0,1,0,3,1,0,724,615.4,NULL,NULL,11.00,12.00,17.00,839.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(175,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]',NULL,'SW-162-A0-A3',0,16,0,1,0,3,1,0,724,579.2,NULL,NULL,11.00,12.00,17.00,839.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(176,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-137-A0',0,16,0,1,0,1,1,0,1298,NULL,NULL,NULL,15.00,15.00,12.00,559.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(177,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45-1.jpg\"]',NULL,'SW-137-A0-A1',0,16,0,1,0,1,1,0,1298,NULL,NULL,NULL,15.00,15.00,12.00,559.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(178,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-137-A0-A2',0,16,0,1,0,1,1,0,1298,NULL,NULL,NULL,15.00,15.00,12.00,559.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(179,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-139-A0',0,10,0,1,0,2,1,0,744,NULL,NULL,NULL,20.00,16.00,15.00,729.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(180,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-190-A0',0,16,0,1,0,1,1,0,787,NULL,NULL,NULL,15.00,13.00,11.00,667.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(181,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48.jpg\"]',NULL,'SW-185-A0',0,13,0,1,0,1,1,0,744,528.24,NULL,NULL,15.00,14.00,12.00,700.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(182,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-1.jpg\"]',NULL,'SW-185-A0-A1',0,13,0,1,0,1,1,0,744,647.28,NULL,NULL,15.00,14.00,12.00,700.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(183,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49.jpg\"]',NULL,'SW-124-A0',0,12,0,1,0,1,1,0,588,NULL,NULL,NULL,18.00,14.00,10.00,868.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(184,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49-1.jpg\"]',NULL,'SW-124-A0-A1',0,12,0,1,0,1,1,0,588,NULL,NULL,NULL,18.00,14.00,10.00,868.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(185,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]',NULL,'SW-186-A0',0,11,0,1,0,1,1,0,1133,NULL,NULL,NULL,15.00,12.00,18.00,879.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(186,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50-1.jpg\"]',NULL,'SW-186-A0-A1',0,11,0,1,0,1,1,0,1133,NULL,NULL,NULL,15.00,12.00,18.00,879.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(187,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-154-A0',0,10,0,1,0,5,1,0,818,NULL,NULL,NULL,11.00,20.00,15.00,810.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(188,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]',NULL,'SW-126-A0',0,14,0,1,0,1,1,0,882,776.16,NULL,NULL,16.00,14.00,15.00,572.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(189,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-1.jpg\"]',NULL,'SW-126-A0-A1',0,14,0,1,0,1,1,0,882,626.22,NULL,NULL,16.00,14.00,15.00,572.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(190,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-2.jpg\"]',NULL,'SW-126-A0-A2',0,14,0,1,0,1,1,0,882,687.96,NULL,NULL,16.00,14.00,15.00,572.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(191,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-110-A0',0,18,0,1,0,3,1,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(192,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53-1.jpg\"]',NULL,'SW-110-A0-A1',0,18,0,1,0,3,1,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(193,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-110-A0-A2',0,18,0,1,0,3,1,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(194,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-110-A0-A3',0,18,0,1,0,3,1,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(195,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-110-A0-A4',0,18,0,1,0,3,1,0,898,NULL,NULL,NULL,17.00,20.00,12.00,704.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(196,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]',NULL,'SW-183-A0',0,15,0,1,0,3,1,0,583,NULL,NULL,NULL,18.00,10.00,19.00,540.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(197,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]',NULL,'SW-158-A0',0,12,0,1,0,2,1,0,790,NULL,NULL,NULL,19.00,15.00,13.00,792.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(198,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-1.jpg\"]',NULL,'SW-158-A0-A1',0,12,0,1,0,2,1,0,790,NULL,NULL,NULL,19.00,15.00,13.00,792.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(199,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-2.jpg\"]',NULL,'SW-158-A0-A2',0,12,0,1,0,2,1,0,790,NULL,NULL,NULL,19.00,15.00,13.00,792.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(200,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]',NULL,'SW-154-A0',0,12,0,1,0,4,1,0,584,443.84,NULL,NULL,13.00,20.00,13.00,849.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(201,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-1.jpg\"]',NULL,'SW-154-A0-A1',0,12,0,1,0,4,1,0,584,502.24,NULL,NULL,13.00,20.00,13.00,849.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(202,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-138-A0',0,11,0,1,0,2,1,0,789,NULL,NULL,NULL,16.00,16.00,17.00,667.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(203,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57-1.jpg\"]',NULL,'SW-138-A0-A1',0,11,0,1,0,2,1,0,789,NULL,NULL,NULL,16.00,16.00,17.00,667.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(204,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]',NULL,'SW-197-A0',0,15,0,1,0,1,1,0,1184,NULL,NULL,NULL,20.00,14.00,18.00,775.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(205,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59.jpg\"]',NULL,'SW-178-A0',0,10,0,1,0,1,1,0,1248,NULL,NULL,NULL,12.00,10.00,11.00,718.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(206,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59-1.jpg\"]',NULL,'SW-178-A0-A1',0,10,0,1,0,1,1,0,1248,NULL,NULL,NULL,12.00,10.00,11.00,718.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(207,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59-2.jpg\"]',NULL,'SW-178-A0-A2',0,10,0,1,0,1,1,0,1248,NULL,NULL,NULL,12.00,10.00,11.00,718.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(208,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]',NULL,'SW-191-A0',0,19,0,1,0,4,1,0,592,414.4,NULL,NULL,16.00,18.00,12.00,861.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(209,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-199-A0',0,14,0,1,0,4,1,0,721,NULL,NULL,NULL,10.00,12.00,18.00,549.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(210,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61-1.jpg\"]',NULL,'SW-199-A0-A1',0,14,0,1,0,4,1,0,721,NULL,NULL,NULL,10.00,12.00,18.00,549.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(211,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-199-A0-A2',0,14,0,1,0,4,1,0,721,NULL,NULL,NULL,10.00,12.00,18.00,549.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(212,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]',NULL,'SW-159-A0',0,12,0,1,0,1,1,0,820,NULL,NULL,NULL,12.00,11.00,13.00,595.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(213,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62-1.jpg\"]',NULL,'SW-159-A0-A1',0,12,0,1,0,1,1,0,820,NULL,NULL,NULL,12.00,11.00,13.00,595.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(214,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-178-A0',0,13,0,1,0,5,1,0,1203,NULL,NULL,NULL,20.00,12.00,13.00,727.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(215,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63-1.jpg\"]',NULL,'SW-178-A0-A1',0,13,0,1,0,5,1,0,1203,NULL,NULL,NULL,20.00,12.00,13.00,727.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(216,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-133-A0',0,15,0,1,0,5,1,0,1213,958.27,NULL,NULL,13.00,10.00,15.00,568.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(217,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65.jpg\"]',NULL,'SW-178-A0',0,14,0,1,0,1,1,0,1099,NULL,NULL,NULL,10.00,17.00,11.00,686.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(218,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-1.jpg\"]',NULL,'SW-178-A0-A1',0,14,0,1,0,1,1,0,1099,NULL,NULL,NULL,10.00,17.00,11.00,686.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(219,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-2.jpg\"]',NULL,'SW-178-A0-A2',0,14,0,1,0,1,1,0,1099,NULL,NULL,NULL,10.00,17.00,11.00,686.00,NULL,0,'2024-08-10 00:04:38','2024-08-10 00:04:38','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0);
/*!40000 ALTER TABLE `ec_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products_translations`
--

DROP TABLE IF EXISTS `ec_products_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_products_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products_translations`
--

LOCK TABLES `ec_products_translations` WRITE;
/*!40000 ALTER TABLE `ec_products_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_products_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_review_replies`
--

DROP TABLE IF EXISTS `ec_review_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_review_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `review_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_review_replies_review_id_user_id_unique` (`review_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_review_replies`
--

LOCK TABLES `ec_review_replies` WRITE;
/*!40000 ALTER TABLE `ec_review_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_review_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_reviews`
--

DROP TABLE IF EXISTS `ec_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned DEFAULT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_id` bigint unsigned NOT NULL,
  `star` double(8,2) NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_reviews_product_id_customer_id_unique` (`product_id`,`customer_id`),
  KEY `ec_reviews_product_id_customer_id_status_created_at_index` (`product_id`,`customer_id`,`status`,`created_at`),
  KEY `review_relation_index` (`product_id`,`customer_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_reviews`
--

LOCK TABLES `ec_reviews` WRITE;
/*!40000 ALTER TABLE `ec_reviews` DISABLE KEYS */;
INSERT INTO `ec_reviews` VALUES (1,3,NULL,NULL,5,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/35-1.jpg\",\"products\\/62.jpg\"]'),(2,5,NULL,NULL,42,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/43-2.jpg\"]'),(3,2,NULL,NULL,22,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/21-2.jpg\",\"products\\/32-2.jpg\",\"products\\/36-2.jpg\"]'),(4,4,NULL,NULL,12,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38-1.jpg\"]'),(5,7,NULL,NULL,35,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\"]'),(6,2,NULL,NULL,59,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/38-2.jpg\"]'),(7,3,NULL,NULL,3,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\",\"products\\/35.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]'),(8,9,NULL,NULL,36,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\",\"products\\/32-1.jpg\",\"products\\/55.jpg\"]'),(9,4,NULL,NULL,65,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59-1.jpg\"]'),(10,5,NULL,NULL,7,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27-1.jpg\",\"products\\/28-1.jpg\",\"products\\/34.jpg\",\"products\\/39-1.jpg\"]'),(11,8,NULL,NULL,55,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11.jpg\",\"products\\/38-2.jpg\",\"products\\/60-1.jpg\"]'),(12,8,NULL,NULL,57,2.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]'),(13,7,NULL,NULL,34,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/47-1.jpg\"]'),(14,4,NULL,NULL,32,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/48-1.jpg\"]'),(15,2,NULL,NULL,32,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/34-1.jpg\",\"products\\/42-2.jpg\",\"products\\/61.jpg\"]'),(16,3,NULL,NULL,6,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/10.jpg\"]'),(17,5,NULL,NULL,19,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-2.jpg\",\"products\\/20.jpg\",\"products\\/38-1.jpg\"]'),(18,6,NULL,NULL,13,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-1.jpg\",\"products\\/32-1.jpg\",\"products\\/38-3.jpg\",\"products\\/40-1.jpg\"]'),(19,4,NULL,NULL,6,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29-1.jpg\",\"products\\/31.jpg\",\"products\\/38.jpg\"]'),(20,5,NULL,NULL,63,5.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-3.jpg\",\"products\\/33-2.jpg\"]'),(21,5,NULL,NULL,35,2.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-2.jpg\",\"products\\/32.jpg\",\"products\\/39-2.jpg\",\"products\\/59-3.jpg\"]'),(22,4,NULL,NULL,29,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-1.jpg\"]'),(23,3,NULL,NULL,65,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4.jpg\"]'),(24,8,NULL,NULL,10,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/41-1.jpg\"]'),(25,5,NULL,NULL,29,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/25-1.jpg\",\"products\\/42-1.jpg\",\"products\\/48-1.jpg\"]'),(26,6,NULL,NULL,18,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/44-2.jpg\"]'),(27,9,NULL,NULL,48,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-2.jpg\",\"products\\/20-1.jpg\"]'),(28,3,NULL,NULL,40,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/29.jpg\",\"products\\/48.jpg\"]'),(30,6,NULL,NULL,37,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/10.jpg\",\"products\\/13.jpg\",\"products\\/56-1.jpg\"]'),(32,8,NULL,NULL,48,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/9.jpg\",\"products\\/30-1.jpg\",\"products\\/40-1.jpg\"]'),(33,6,NULL,NULL,52,2.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-3.jpg\",\"products\\/33.jpg\",\"products\\/42-1.jpg\"]'),(34,8,NULL,NULL,28,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-2.jpg\",\"products\\/35-1.jpg\",\"products\\/60-2.jpg\"]'),(35,5,NULL,NULL,9,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29-2.jpg\",\"products\\/37-2.jpg\"]'),(36,6,NULL,NULL,36,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-3.jpg\"]'),(37,4,NULL,NULL,25,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/1.jpg\",\"products\\/17.jpg\"]'),(38,5,NULL,NULL,41,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/47-1.jpg\"]'),(39,5,NULL,NULL,1,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/19-2.jpg\"]'),(40,1,NULL,NULL,60,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9.jpg\",\"products\\/53-1.jpg\"]'),(41,3,NULL,NULL,35,1.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/21-1.jpg\",\"products\\/29-2.jpg\",\"products\\/52.jpg\"]'),(42,9,NULL,NULL,12,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\"]'),(43,2,NULL,NULL,14,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36.jpg\",\"products\\/48-2.jpg\",\"products\\/55-1.jpg\"]'),(44,9,NULL,NULL,15,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/65.jpg\"]'),(45,7,NULL,NULL,3,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/51.jpg\"]'),(46,6,NULL,NULL,50,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36-2.jpg\"]'),(47,8,NULL,NULL,49,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11.jpg\",\"products\\/37-2.jpg\"]'),(48,1,NULL,NULL,4,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15-1.jpg\",\"products\\/27-1.jpg\"]'),(49,7,NULL,NULL,57,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-2.jpg\"]'),(50,5,NULL,NULL,15,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12.jpg\",\"products\\/13.jpg\",\"products\\/49-1.jpg\",\"products\\/62.jpg\"]'),(51,6,NULL,NULL,32,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/18-1.jpg\",\"products\\/65.jpg\"]'),(52,8,NULL,NULL,61,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\"]'),(53,7,NULL,NULL,24,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\",\"products\\/28.jpg\",\"products\\/34-1.jpg\"]'),(54,4,NULL,NULL,60,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38.jpg\",\"products\\/59-1.jpg\",\"products\\/60-2.jpg\"]'),(55,6,NULL,NULL,14,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59-1.jpg\"]'),(56,8,NULL,NULL,18,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33.jpg\"]'),(57,2,NULL,NULL,29,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/30.jpg\",\"products\\/41-1.jpg\"]'),(58,8,NULL,NULL,33,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/26-1.jpg\",\"products\\/37-1.jpg\"]'),(59,6,NULL,NULL,62,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38-2.jpg\",\"products\\/59-3.jpg\"]'),(60,2,NULL,NULL,18,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32.jpg\"]'),(61,5,NULL,NULL,50,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/43-2.jpg\"]'),(62,9,NULL,NULL,38,4.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\",\"products\\/38-2.jpg\"]'),(63,1,NULL,NULL,56,5.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-3.jpg\",\"products\\/20-3.jpg\",\"products\\/32-2.jpg\",\"products\\/65.jpg\"]'),(64,9,NULL,NULL,6,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/9-2.jpg\",\"products\\/47-1.jpg\",\"products\\/50.jpg\"]'),(66,4,NULL,NULL,20,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-3.jpg\",\"products\\/28.jpg\",\"products\\/53.jpg\"]'),(67,8,NULL,NULL,59,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5.jpg\",\"products\\/17-3.jpg\"]'),(68,9,NULL,NULL,33,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/1.jpg\",\"products\\/7.jpg\",\"products\\/33.jpg\",\"products\\/49.jpg\"]'),(69,7,NULL,NULL,17,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-1.jpg\",\"products\\/33-1.jpg\"]'),(70,6,NULL,NULL,64,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35.jpg\",\"products\\/39-2.jpg\",\"products\\/49-1.jpg\"]'),(71,3,NULL,NULL,63,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-1.jpg\"]'),(72,8,NULL,NULL,63,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/22-3.jpg\",\"products\\/52-2.jpg\"]'),(73,5,NULL,NULL,58,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-3.jpg\"]'),(74,6,NULL,NULL,63,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/19-1.jpg\",\"products\\/39.jpg\"]'),(75,6,NULL,NULL,11,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/17.jpg\",\"products\\/62-1.jpg\"]'),(76,2,NULL,NULL,64,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-3.jpg\",\"products\\/41-1.jpg\"]'),(77,7,NULL,NULL,39,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59-3.jpg\"]'),(78,2,NULL,NULL,49,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\",\"products\\/56.jpg\"]'),(79,2,NULL,NULL,47,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/22.jpg\"]'),(81,4,NULL,NULL,5,4.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\",\"products\\/25.jpg\",\"products\\/56-2.jpg\"]'),(83,4,NULL,NULL,45,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/39-2.jpg\"]'),(84,7,NULL,NULL,59,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/20-3.jpg\",\"products\\/21.jpg\"]'),(85,3,NULL,NULL,61,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-1.jpg\",\"products\\/8-3.jpg\",\"products\\/18-1.jpg\",\"products\\/22-3.jpg\"]'),(86,3,NULL,NULL,43,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/52-2.jpg\",\"products\\/65-2.jpg\"]'),(87,7,NULL,NULL,52,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-3.jpg\",\"products\\/31-1.jpg\",\"products\\/53.jpg\",\"products\\/64.jpg\"]'),(88,4,NULL,NULL,54,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/34-1.jpg\"]'),(89,4,NULL,NULL,36,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/50-1.jpg\"]'),(90,3,NULL,NULL,57,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/37-1.jpg\",\"products\\/53-1.jpg\"]'),(91,7,NULL,NULL,33,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/17-2.jpg\",\"products\\/22-1.jpg\",\"products\\/35.jpg\"]'),(92,5,NULL,NULL,8,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\"]'),(93,4,NULL,NULL,41,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-1.jpg\",\"products\\/37-1.jpg\"]'),(94,7,NULL,NULL,14,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/44-1.jpg\"]'),(95,9,NULL,NULL,60,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/17-1.jpg\",\"products\\/22-3.jpg\",\"products\\/55-2.jpg\"]'),(96,7,NULL,NULL,64,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-1.jpg\"]'),(97,3,NULL,NULL,53,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/12-1.jpg\",\"products\\/19-2.jpg\",\"products\\/29.jpg\"]'),(98,3,NULL,NULL,41,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/36-1.jpg\",\"products\\/44.jpg\",\"products\\/56.jpg\"]'),(99,1,NULL,NULL,43,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-3.jpg\",\"products\\/23-1.jpg\",\"products\\/51.jpg\"]'),(100,4,NULL,NULL,10,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29-1.jpg\"]'),(101,3,NULL,NULL,37,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/19.jpg\",\"products\\/58-2.jpg\"]'),(102,5,NULL,NULL,43,1.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-3.jpg\"]'),(103,1,NULL,NULL,57,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17.jpg\",\"products\\/29.jpg\",\"products\\/33-2.jpg\",\"products\\/47.jpg\"]'),(106,4,NULL,NULL,1,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-2.jpg\",\"products\\/25-2.jpg\",\"products\\/29-2.jpg\"]'),(107,2,NULL,NULL,62,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\",\"products\\/43-2.jpg\",\"products\\/54-1.jpg\"]'),(109,3,NULL,NULL,50,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-3.jpg\",\"products\\/33-1.jpg\"]'),(110,3,NULL,NULL,44,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/56-1.jpg\",\"products\\/64.jpg\"]'),(111,7,NULL,NULL,50,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-2.jpg\",\"products\\/14.jpg\",\"products\\/55.jpg\"]'),(112,1,NULL,NULL,49,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-2.jpg\"]'),(113,3,NULL,NULL,58,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10.jpg\",\"products\\/20-3.jpg\",\"products\\/28-1.jpg\",\"products\\/43-1.jpg\"]'),(114,1,NULL,NULL,34,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9.jpg\",\"products\\/22-3.jpg\",\"products\\/27-1.jpg\"]'),(115,2,NULL,NULL,7,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/43-2.jpg\"]'),(116,8,NULL,NULL,6,1.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/34-1.jpg\",\"products\\/53.jpg\"]'),(117,5,NULL,NULL,11,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-1.jpg\",\"products\\/13.jpg\",\"products\\/17-3.jpg\",\"products\\/29.jpg\"]'),(120,7,NULL,NULL,16,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-2.jpg\",\"products\\/33-2.jpg\",\"products\\/49.jpg\"]'),(122,9,NULL,NULL,4,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\"]'),(123,8,NULL,NULL,2,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-1.jpg\",\"products\\/43-1.jpg\"]'),(124,4,NULL,NULL,15,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/51.jpg\",\"products\\/64.jpg\"]'),(125,9,NULL,NULL,17,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\",\"products\\/29-2.jpg\",\"products\\/38.jpg\"]'),(126,2,NULL,NULL,2,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59.jpg\"]'),(128,7,NULL,NULL,1,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/25-2.jpg\",\"products\\/29-1.jpg\",\"products\\/32-1.jpg\",\"products\\/38-3.jpg\"]'),(129,2,NULL,NULL,15,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23.jpg\",\"products\\/32-2.jpg\",\"products\\/40.jpg\",\"products\\/59.jpg\"]'),(130,3,NULL,NULL,10,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/37.jpg\",\"products\\/46.jpg\",\"products\\/54.jpg\"]'),(133,5,NULL,NULL,53,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10.jpg\",\"products\\/15-1.jpg\",\"products\\/59-1.jpg\"]'),(134,8,NULL,NULL,32,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23.jpg\",\"products\\/37.jpg\"]'),(135,5,NULL,NULL,61,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\"]'),(136,6,NULL,NULL,49,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/34-1.jpg\",\"products\\/57.jpg\"]'),(137,3,NULL,NULL,28,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/43-2.jpg\",\"products\\/54-1.jpg\"]'),(138,3,NULL,NULL,15,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/19-3.jpg\",\"products\\/22-2.jpg\",\"products\\/41-2.jpg\",\"products\\/42.jpg\"]'),(139,4,NULL,NULL,37,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\"]'),(140,2,NULL,NULL,46,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-2.jpg\",\"products\\/61.jpg\"]'),(141,5,NULL,NULL,62,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/29.jpg\"]'),(142,2,NULL,NULL,20,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/39-2.jpg\",\"products\\/44-2.jpg\",\"products\\/51.jpg\",\"products\\/62.jpg\"]'),(143,6,NULL,NULL,42,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/40.jpg\",\"products\\/49-1.jpg\",\"products\\/50-1.jpg\",\"products\\/56-1.jpg\"]'),(144,1,NULL,NULL,41,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/61.jpg\"]'),(145,9,NULL,NULL,7,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/29-1.jpg\"]'),(146,3,NULL,NULL,36,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\",\"products\\/65.jpg\"]'),(147,5,NULL,NULL,49,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\",\"products\\/29-1.jpg\",\"products\\/35.jpg\",\"products\\/61-1.jpg\"]'),(149,4,NULL,NULL,16,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24-1.jpg\",\"products\\/26-1.jpg\",\"products\\/32-2.jpg\",\"products\\/56-1.jpg\"]'),(150,7,NULL,NULL,63,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5.jpg\",\"products\\/50.jpg\"]'),(151,2,NULL,NULL,33,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/25-1.jpg\",\"products\\/62.jpg\"]'),(153,1,NULL,NULL,40,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27-1.jpg\",\"products\\/45.jpg\"]'),(154,1,NULL,NULL,38,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-1.jpg\",\"products\\/36.jpg\"]'),(155,8,NULL,NULL,52,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-3.jpg\",\"products\\/52-2.jpg\",\"products\\/61.jpg\"]'),(156,7,NULL,NULL,22,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\",\"products\\/28.jpg\",\"products\\/54-1.jpg\",\"products\\/62-1.jpg\"]'),(157,9,NULL,NULL,28,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-1.jpg\",\"products\\/33.jpg\"]'),(159,9,NULL,NULL,47,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/20-1.jpg\",\"products\\/51.jpg\"]'),(160,3,NULL,NULL,23,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/39.jpg\",\"products\\/44.jpg\",\"products\\/59.jpg\"]'),(161,4,NULL,NULL,47,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\",\"products\\/31-1.jpg\",\"products\\/37-1.jpg\",\"products\\/46-1.jpg\"]'),(162,2,NULL,NULL,56,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/18-2.jpg\",\"products\\/20-3.jpg\"]'),(163,3,NULL,NULL,13,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-2.jpg\",\"products\\/8.jpg\",\"products\\/38.jpg\",\"products\\/59-1.jpg\"]'),(165,4,NULL,NULL,9,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-1.jpg\",\"products\\/20-3.jpg\",\"products\\/61.jpg\",\"products\\/65-1.jpg\"]'),(166,1,NULL,NULL,47,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\"]'),(167,1,NULL,NULL,63,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-3.jpg\",\"products\\/55-2.jpg\",\"products\\/65.jpg\"]'),(168,8,NULL,NULL,17,5.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9.jpg\"]'),(170,1,NULL,NULL,27,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\",\"products\\/9.jpg\",\"products\\/34-1.jpg\",\"products\\/52-2.jpg\"]'),(171,2,NULL,NULL,57,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\",\"products\\/44-2.jpg\"]'),(172,6,NULL,NULL,9,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-1.jpg\",\"products\\/63-1.jpg\"]'),(173,4,NULL,NULL,30,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/12-1.jpg\",\"products\\/26.jpg\",\"products\\/51.jpg\"]'),(174,5,NULL,NULL,12,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/20-3.jpg\",\"products\\/36.jpg\"]'),(175,3,NULL,NULL,42,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-3.jpg\",\"products\\/52-2.jpg\"]'),(176,3,NULL,NULL,7,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/12-3.jpg\",\"products\\/19-2.jpg\"]'),(177,2,NULL,NULL,42,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/47-1.jpg\",\"products\\/65.jpg\"]'),(180,8,NULL,NULL,9,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-2.jpg\",\"products\\/36.jpg\",\"products\\/38-1.jpg\",\"products\\/62.jpg\"]'),(181,9,NULL,NULL,51,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17.jpg\",\"products\\/21-1.jpg\",\"products\\/38-3.jpg\",\"products\\/40.jpg\"]'),(182,4,NULL,NULL,13,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-2.jpg\",\"products\\/23-2.jpg\",\"products\\/23.jpg\"]'),(184,2,NULL,NULL,5,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\"]'),(187,2,NULL,NULL,17,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38-2.jpg\",\"products\\/59-3.jpg\",\"products\\/65-2.jpg\"]'),(188,5,NULL,NULL,18,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/22-1.jpg\",\"products\\/51.jpg\"]'),(189,6,NULL,NULL,47,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/16.jpg\",\"products\\/19-2.jpg\",\"products\\/23-3.jpg\",\"products\\/64-1.jpg\"]'),(190,4,NULL,NULL,64,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/43-1.jpg\"]'),(191,5,NULL,NULL,3,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/21-1.jpg\",\"products\\/22-1.jpg\"]'),(192,7,NULL,NULL,9,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/12-1.jpg\",\"products\\/33-2.jpg\",\"products\\/39.jpg\"]'),(194,6,NULL,NULL,53,2.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36-2.jpg\",\"products\\/48-1.jpg\"]'),(195,7,NULL,NULL,60,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-1.jpg\",\"products\\/60.jpg\"]'),(196,7,NULL,NULL,46,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/25-2.jpg\",\"products\\/57.jpg\",\"products\\/59-1.jpg\"]'),(198,8,NULL,NULL,64,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/45.jpg\"]'),(199,4,NULL,NULL,49,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/41.jpg\",\"products\\/48-1.jpg\",\"products\\/59-3.jpg\"]'),(200,3,NULL,NULL,64,5.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-1.jpg\",\"products\\/18.jpg\",\"products\\/42-1.jpg\",\"products\\/61-1.jpg\"]'),(201,5,NULL,NULL,10,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/35-1.jpg\"]'),(202,7,NULL,NULL,65,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/30-1.jpg\",\"products\\/43-1.jpg\",\"products\\/48-2.jpg\",\"products\\/63-1.jpg\"]'),(203,3,NULL,NULL,17,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/12.jpg\",\"products\\/16.jpg\"]'),(206,4,NULL,NULL,35,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/22-3.jpg\"]'),(207,7,NULL,NULL,53,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/15.jpg\",\"products\\/38-3.jpg\",\"products\\/54.jpg\"]'),(208,4,NULL,NULL,7,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-3.jpg\",\"products\\/64-1.jpg\"]'),(209,3,NULL,NULL,55,5.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\",\"products\\/29-2.jpg\",\"products\\/49-1.jpg\"]'),(210,7,NULL,NULL,58,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27.jpg\",\"products\\/34.jpg\"]'),(213,3,NULL,NULL,21,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28.jpg\",\"products\\/30-2.jpg\"]'),(214,5,NULL,NULL,33,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/1.jpg\",\"products\\/8-2.jpg\",\"products\\/10-2.jpg\"]'),(215,2,NULL,NULL,28,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-2.jpg\",\"products\\/26-1.jpg\"]'),(216,4,NULL,NULL,59,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-1.jpg\",\"products\\/56.jpg\"]'),(218,7,NULL,NULL,6,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/57-1.jpg\"]'),(219,3,NULL,NULL,45,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/19-1.jpg\",\"products\\/28.jpg\",\"products\\/44-2.jpg\"]'),(220,7,NULL,NULL,51,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-2.jpg\",\"products\\/22.jpg\",\"products\\/48-2.jpg\"]'),(222,3,NULL,NULL,29,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28.jpg\",\"products\\/38-2.jpg\",\"products\\/52.jpg\"]'),(223,7,NULL,NULL,13,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/52-1.jpg\"]'),(224,4,NULL,NULL,55,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15-1.jpg\",\"products\\/54.jpg\"]'),(225,5,NULL,NULL,25,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/36-1.jpg\",\"products\\/55-1.jpg\",\"products\\/65.jpg\"]'),(226,4,NULL,NULL,21,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-2.jpg\",\"products\\/38-2.jpg\",\"products\\/63.jpg\"]'),(231,5,NULL,NULL,60,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/25-2.jpg\"]'),(232,8,NULL,NULL,60,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/20.jpg\",\"products\\/40.jpg\"]'),(233,1,NULL,NULL,48,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32.jpg\",\"products\\/54.jpg\"]'),(234,8,NULL,NULL,47,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-2.jpg\",\"products\\/38-3.jpg\",\"products\\/42-2.jpg\"]'),(235,6,NULL,NULL,44,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\"]'),(238,6,NULL,NULL,27,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11.jpg\",\"products\\/15-1.jpg\",\"products\\/29.jpg\",\"products\\/37.jpg\"]'),(239,2,NULL,NULL,52,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\",\"products\\/22.jpg\",\"products\\/52-1.jpg\",\"products\\/53.jpg\"]'),(240,2,NULL,NULL,38,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-2.jpg\"]'),(242,5,NULL,NULL,17,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38.jpg\"]'),(244,9,NULL,NULL,1,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/37.jpg\",\"products\\/60.jpg\"]'),(245,7,NULL,NULL,11,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/48.jpg\"]'),(246,7,NULL,NULL,5,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/23-1.jpg\",\"products\\/60.jpg\"]'),(252,6,NULL,NULL,12,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/46.jpg\",\"products\\/59.jpg\"]'),(253,8,NULL,NULL,13,1.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-2.jpg\"]'),(254,9,NULL,NULL,22,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/51.jpg\"]'),(255,1,NULL,NULL,24,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/17-1.jpg\"]'),(258,5,NULL,NULL,46,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\"]'),(259,2,NULL,NULL,41,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27-1.jpg\",\"products\\/58-1.jpg\"]'),(260,1,NULL,NULL,26,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38-2.jpg\",\"products\\/38.jpg\",\"products\\/46.jpg\",\"products\\/48-2.jpg\"]'),(261,6,NULL,NULL,48,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-3.jpg\",\"products\\/22.jpg\",\"products\\/40-1.jpg\",\"products\\/59-1.jpg\"]'),(262,1,NULL,NULL,9,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/58-1.jpg\"]'),(264,3,NULL,NULL,59,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/43-1.jpg\",\"products\\/62-1.jpg\"]'),(266,1,NULL,NULL,51,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-2.jpg\"]'),(267,3,NULL,NULL,34,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20.jpg\",\"products\\/44-1.jpg\"]'),(268,6,NULL,NULL,23,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-2.jpg\",\"products\\/57-1.jpg\",\"products\\/58.jpg\"]'),(269,1,NULL,NULL,65,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/19-2.jpg\",\"products\\/21.jpg\",\"products\\/30-1.jpg\"]'),(270,7,NULL,NULL,54,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/48.jpg\",\"products\\/50.jpg\",\"products\\/55.jpg\"]'),(271,3,NULL,NULL,2,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-1.jpg\",\"products\\/32.jpg\",\"products\\/33-1.jpg\",\"products\\/47-1.jpg\"]'),(272,5,NULL,NULL,64,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38.jpg\",\"products\\/58-1.jpg\"]'),(276,6,NULL,NULL,24,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/17-2.jpg\",\"products\\/34-1.jpg\",\"products\\/36.jpg\"]'),(277,9,NULL,NULL,34,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-3.jpg\",\"products\\/50.jpg\"]'),(278,3,NULL,NULL,20,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59.jpg\"]'),(279,2,NULL,NULL,25,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/8-3.jpg\",\"products\\/35.jpg\"]'),(281,5,NULL,NULL,13,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\",\"products\\/38-1.jpg\"]'),(284,1,NULL,NULL,46,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/61-1.jpg\"]'),(285,7,NULL,NULL,26,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/30-1.jpg\",\"products\\/30-2.jpg\",\"products\\/33-1.jpg\",\"products\\/56-2.jpg\"]'),(286,6,NULL,NULL,31,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/30-1.jpg\",\"products\\/30-2.jpg\",\"products\\/32-1.jpg\",\"products\\/35.jpg\"]'),(288,1,NULL,NULL,61,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/33-2.jpg\",\"products\\/35.jpg\",\"products\\/42-1.jpg\"]'),(290,8,NULL,NULL,24,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\",\"products\\/30-2.jpg\",\"products\\/33-2.jpg\",\"products\\/38-1.jpg\"]'),(291,5,NULL,NULL,31,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/17-1.jpg\",\"products\\/20-2.jpg\",\"products\\/38.jpg\"]'),(292,5,NULL,NULL,34,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\"]'),(293,8,NULL,NULL,11,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-1.jpg\",\"products\\/33-1.jpg\",\"products\\/36-2.jpg\"]'),(296,8,NULL,NULL,26,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\"]'),(298,3,NULL,NULL,19,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-2.jpg\",\"products\\/22.jpg\",\"products\\/29.jpg\",\"products\\/58-2.jpg\"]'),(299,9,NULL,NULL,59,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/1.jpg\",\"products\\/9-2.jpg\",\"products\\/12-2.jpg\",\"products\\/30-1.jpg\"]'),(300,8,NULL,NULL,36,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-3.jpg\",\"products\\/46-1.jpg\",\"products\\/50.jpg\",\"products\\/65-1.jpg\"]'),(302,4,NULL,NULL,33,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-1.jpg\"]'),(305,8,NULL,NULL,3,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-3.jpg\",\"products\\/31.jpg\",\"products\\/59-2.jpg\"]'),(306,5,NULL,NULL,6,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-1.jpg\",\"products\\/48.jpg\",\"products\\/62-1.jpg\"]'),(310,4,NULL,NULL,31,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-2.jpg\"]'),(312,2,NULL,NULL,6,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17.jpg\",\"products\\/23-1.jpg\",\"products\\/27.jpg\",\"products\\/56.jpg\"]'),(313,5,NULL,NULL,57,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/31.jpg\"]'),(316,6,NULL,NULL,46,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/35-1.jpg\",\"products\\/56-2.jpg\"]'),(319,1,NULL,NULL,12,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/58-1.jpg\"]'),(320,4,NULL,NULL,18,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/16.jpg\"]'),(321,7,NULL,NULL,47,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-1.jpg\",\"products\\/20.jpg\",\"products\\/24-1.jpg\",\"products\\/34-1.jpg\"]'),(326,3,NULL,NULL,31,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/4-1.jpg\",\"products\\/25.jpg\",\"products\\/29-2.jpg\"]'),(327,9,NULL,NULL,55,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-2.jpg\",\"products\\/22-1.jpg\"]'),(328,2,NULL,NULL,51,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/9-1.jpg\",\"products\\/12-2.jpg\",\"products\\/52.jpg\"]'),(329,4,NULL,NULL,23,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/19-3.jpg\",\"products\\/20-3.jpg\",\"products\\/64.jpg\"]'),(330,9,NULL,NULL,19,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-1.jpg\",\"products\\/56-2.jpg\",\"products\\/57.jpg\"]'),(331,9,NULL,NULL,20,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\",\"products\\/51.jpg\",\"products\\/61.jpg\"]'),(332,8,NULL,NULL,27,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/61.jpg\"]'),(333,7,NULL,NULL,36,2.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4.jpg\",\"products\\/39-2.jpg\",\"products\\/60-2.jpg\",\"products\\/62.jpg\"]'),(336,1,NULL,NULL,1,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-2.jpg\",\"products\\/46-1.jpg\",\"products\\/52-2.jpg\"]'),(338,4,NULL,NULL,40,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\",\"products\\/19.jpg\"]'),(339,4,NULL,NULL,63,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\"]'),(340,7,NULL,NULL,28,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/14.jpg\",\"products\\/23.jpg\"]'),(341,7,NULL,NULL,15,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/22.jpg\",\"products\\/24.jpg\"]'),(345,9,NULL,NULL,46,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\"]'),(348,8,NULL,NULL,44,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-3.jpg\",\"products\\/11-2.jpg\",\"products\\/13-1.jpg\",\"products\\/53-1.jpg\"]'),(350,9,NULL,NULL,21,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-2.jpg\",\"products\\/43-2.jpg\"]'),(351,4,NULL,NULL,56,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/28.jpg\",\"products\\/63.jpg\"]'),(355,6,NULL,NULL,2,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-1.jpg\",\"products\\/19-3.jpg\",\"products\\/28-1.jpg\",\"products\\/47-1.jpg\"]'),(357,8,NULL,NULL,40,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-2.jpg\",\"products\\/43-2.jpg\",\"products\\/45.jpg\",\"products\\/61.jpg\"]'),(358,8,NULL,NULL,37,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/22-1.jpg\",\"products\\/29-1.jpg\",\"products\\/59-3.jpg\"]'),(359,3,NULL,NULL,39,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/55-1.jpg\"]'),(360,9,NULL,NULL,37,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/49-2.jpg\"]'),(361,1,NULL,NULL,11,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/25-2.jpg\",\"products\\/34.jpg\"]'),(363,9,NULL,NULL,32,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\"]'),(364,7,NULL,NULL,20,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/22-1.jpg\"]'),(365,4,NULL,NULL,53,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/55.jpg\"]'),(367,2,NULL,NULL,19,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-3.jpg\",\"products\\/52.jpg\"]'),(371,9,NULL,NULL,16,4.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/50.jpg\",\"products\\/62-1.jpg\",\"products\\/62.jpg\"]'),(372,9,NULL,NULL,44,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\",\"products\\/40.jpg\",\"products\\/42-2.jpg\"]'),(374,2,NULL,NULL,11,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23.jpg\",\"products\\/59-1.jpg\"]'),(375,9,NULL,NULL,56,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\",\"products\\/40.jpg\",\"products\\/50-1.jpg\"]'),(376,9,NULL,NULL,5,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-2.jpg\"]'),(377,1,NULL,NULL,22,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\"]'),(379,2,NULL,NULL,63,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21.jpg\",\"products\\/56.jpg\",\"products\\/59-1.jpg\",\"products\\/60-1.jpg\"]'),(380,5,NULL,NULL,44,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24-2.jpg\",\"products\\/49.jpg\",\"products\\/55-1.jpg\",\"products\\/62.jpg\"]'),(384,6,NULL,NULL,60,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38.jpg\",\"products\\/41-2.jpg\"]'),(385,3,NULL,NULL,8,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29.jpg\"]'),(387,4,NULL,NULL,38,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/48-2.jpg\"]'),(389,6,NULL,NULL,65,4.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35.jpg\",\"products\\/39-1.jpg\"]'),(392,2,NULL,NULL,13,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32.jpg\",\"products\\/40-1.jpg\"]'),(393,8,NULL,NULL,4,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-2.jpg\",\"products\\/24-2.jpg\",\"products\\/44-1.jpg\",\"products\\/48-2.jpg\"]'),(394,5,NULL,NULL,28,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/30-2.jpg\",\"products\\/53.jpg\"]'),(396,3,NULL,NULL,30,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-3.jpg\",\"products\\/36-1.jpg\",\"products\\/46.jpg\"]'),(398,2,NULL,NULL,34,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/24-1.jpg\",\"products\\/34.jpg\",\"products\\/37-2.jpg\"]'),(400,5,NULL,NULL,54,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\",\"products\\/10-1.jpg\",\"products\\/12-3.jpg\",\"products\\/29.jpg\"]'),(401,6,NULL,NULL,4,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-3.jpg\",\"products\\/8.jpg\",\"products\\/26-1.jpg\",\"products\\/33.jpg\"]'),(404,5,NULL,NULL,45,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4.jpg\",\"products\\/32-2.jpg\",\"products\\/55-2.jpg\",\"products\\/55.jpg\"]'),(407,8,NULL,NULL,50,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36.jpg\",\"products\\/42.jpg\"]'),(408,2,NULL,NULL,40,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/65.jpg\"]'),(409,7,NULL,NULL,38,4.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5.jpg\",\"products\\/20-3.jpg\"]'),(413,6,NULL,NULL,21,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/41.jpg\",\"products\\/54.jpg\",\"products\\/61.jpg\",\"products\\/62.jpg\"]'),(415,5,NULL,NULL,14,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-1.jpg\"]'),(419,6,NULL,NULL,43,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/34.jpg\"]'),(420,2,NULL,NULL,50,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-2.jpg\",\"products\\/26.jpg\",\"products\\/62.jpg\"]'),(422,3,NULL,NULL,25,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17.jpg\",\"products\\/20-1.jpg\",\"products\\/60-1.jpg\",\"products\\/61.jpg\"]'),(426,1,NULL,NULL,54,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\",\"products\\/25.jpg\",\"products\\/45-1.jpg\",\"products\\/64-1.jpg\"]'),(431,1,NULL,NULL,10,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\",\"products\\/38.jpg\",\"products\\/51.jpg\"]'),(433,9,NULL,NULL,57,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36-2.jpg\",\"products\\/41-2.jpg\",\"products\\/59-3.jpg\"]'),(437,4,NULL,NULL,48,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/50-1.jpg\",\"products\\/64-1.jpg\",\"products\\/65-1.jpg\"]'),(442,2,NULL,NULL,53,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/37-2.jpg\"]'),(443,3,NULL,NULL,56,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\",\"products\\/19-2.jpg\",\"products\\/49-1.jpg\",\"products\\/59-3.jpg\"]'),(444,1,NULL,NULL,16,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/16.jpg\",\"products\\/50-1.jpg\",\"products\\/63-1.jpg\"]'),(446,8,NULL,NULL,34,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59-1.jpg\"]'),(451,4,NULL,NULL,17,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/39.jpg\"]'),(453,6,NULL,NULL,40,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/29-1.jpg\",\"products\\/61-1.jpg\"]'),(454,8,NULL,NULL,12,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-3.jpg\",\"products\\/26.jpg\"]'),(455,2,NULL,NULL,60,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/16.jpg\",\"products\\/25-1.jpg\",\"products\\/33-1.jpg\"]'),(457,4,NULL,NULL,62,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/11-3.jpg\"]'),(461,9,NULL,NULL,53,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-2.jpg\",\"products\\/26-1.jpg\",\"products\\/27-1.jpg\",\"products\\/37-2.jpg\"]'),(468,1,NULL,NULL,32,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35.jpg\",\"products\\/47.jpg\",\"products\\/52-2.jpg\",\"products\\/61-1.jpg\"]'),(469,6,NULL,NULL,54,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/20-1.jpg\",\"products\\/38-2.jpg\",\"products\\/60-1.jpg\"]'),(476,6,NULL,NULL,26,4.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/48-2.jpg\",\"products\\/56-1.jpg\",\"products\\/63.jpg\"]'),(478,2,NULL,NULL,4,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/19-3.jpg\",\"products\\/28-2.jpg\"]'),(479,8,NULL,NULL,35,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/26-1.jpg\"]'),(480,6,NULL,NULL,6,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32-1.jpg\",\"products\\/55-1.jpg\"]'),(481,9,NULL,NULL,39,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/32-2.jpg\",\"products\\/53.jpg\"]'),(482,9,NULL,NULL,40,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21.jpg\",\"products\\/28.jpg\",\"products\\/38-2.jpg\",\"products\\/63-1.jpg\"]'),(484,7,NULL,NULL,18,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-1.jpg\"]'),(485,2,NULL,NULL,1,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/37-1.jpg\"]'),(486,4,NULL,NULL,50,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/6.jpg\",\"products\\/30-1.jpg\",\"products\\/61.jpg\",\"products\\/62.jpg\"]'),(488,9,NULL,NULL,23,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-3.jpg\"]'),(491,7,NULL,NULL,43,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-3.jpg\",\"products\\/56-1.jpg\"]'),(493,8,NULL,NULL,54,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-1.jpg\",\"products\\/37.jpg\"]'),(503,8,NULL,NULL,7,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-2.jpg\",\"products\\/24-2.jpg\"]'),(504,5,NULL,NULL,39,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/14.jpg\"]'),(505,1,NULL,NULL,31,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17.jpg\"]'),(510,7,NULL,NULL,56,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/6.jpg\",\"products\\/20-2.jpg\",\"products\\/29.jpg\"]'),(511,1,NULL,NULL,18,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/45.jpg\"]'),(514,1,NULL,NULL,33,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\"]'),(519,6,NULL,NULL,41,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/55-1.jpg\"]'),(521,7,NULL,NULL,61,5.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18-2.jpg\",\"products\\/28.jpg\"]'),(522,3,NULL,NULL,18,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/54.jpg\"]'),(523,9,NULL,NULL,52,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/6.jpg\",\"products\\/26-1.jpg\",\"products\\/27.jpg\"]'),(524,1,NULL,NULL,44,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/26.jpg\",\"products\\/39-2.jpg\",\"products\\/64-1.jpg\"]'),(526,2,NULL,NULL,54,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-2.jpg\"]'),(532,9,NULL,NULL,45,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10.jpg\",\"products\\/22-1.jpg\",\"products\\/57.jpg\",\"products\\/60-2.jpg\"]'),(534,3,NULL,NULL,24,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27.jpg\",\"products\\/30-2.jpg\"]'),(535,1,NULL,NULL,62,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27.jpg\"]'),(536,8,NULL,NULL,23,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/25-1.jpg\",\"products\\/30.jpg\",\"products\\/59-3.jpg\"]'),(537,9,NULL,NULL,3,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/29-2.jpg\",\"products\\/37-1.jpg\",\"products\\/38-3.jpg\"]'),(539,6,NULL,NULL,22,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5.jpg\",\"products\\/17-2.jpg\",\"products\\/18-2.jpg\",\"products\\/25.jpg\"]'),(540,3,NULL,NULL,9,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\"]'),(542,8,NULL,NULL,21,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-2.jpg\",\"products\\/4-2.jpg\",\"products\\/52.jpg\",\"products\\/61-1.jpg\"]'),(543,9,NULL,NULL,62,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-2.jpg\",\"products\\/47.jpg\"]'),(544,1,NULL,NULL,39,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-2.jpg\"]'),(545,6,NULL,NULL,15,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/30-2.jpg\",\"products\\/43-2.jpg\",\"products\\/49.jpg\",\"products\\/54.jpg\"]'),(546,1,NULL,NULL,36,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/41-2.jpg\",\"products\\/64.jpg\"]'),(547,1,NULL,NULL,25,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-2.jpg\"]'),(548,6,NULL,NULL,58,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/24-1.jpg\",\"products\\/44-2.jpg\"]'),(551,3,NULL,NULL,27,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/36.jpg\",\"products\\/38-3.jpg\"]'),(555,6,NULL,NULL,20,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/23-1.jpg\",\"products\\/29-2.jpg\",\"products\\/44.jpg\"]'),(561,4,NULL,NULL,11,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/22-2.jpg\",\"products\\/46-1.jpg\",\"products\\/49.jpg\"]'),(569,7,NULL,NULL,55,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/44-1.jpg\"]'),(570,8,NULL,NULL,65,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/11-2.jpg\",\"products\\/26-1.jpg\",\"products\\/39.jpg\"]'),(578,7,NULL,NULL,27,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/22-2.jpg\",\"products\\/32.jpg\",\"products\\/55.jpg\"]'),(582,5,NULL,NULL,59,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15.jpg\"]'),(584,6,NULL,NULL,57,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\"]'),(587,5,NULL,NULL,40,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/52-1.jpg\",\"products\\/53-1.jpg\"]'),(594,8,NULL,NULL,43,1.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36-2.jpg\"]'),(599,4,NULL,NULL,22,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/42-2.jpg\"]'),(602,3,NULL,NULL,12,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/49-1.jpg\"]'),(604,5,NULL,NULL,36,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/56-2.jpg\"]'),(606,3,NULL,NULL,46,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/46-1.jpg\",\"products\\/52-2.jpg\"]'),(609,1,NULL,NULL,29,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24-2.jpg\",\"products\\/38.jpg\",\"products\\/49-1.jpg\"]'),(615,6,NULL,NULL,35,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/45-1.jpg\",\"products\\/58-1.jpg\"]'),(617,7,NULL,NULL,30,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/32.jpg\",\"products\\/55-1.jpg\",\"products\\/59-1.jpg\"]'),(620,4,NULL,NULL,19,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21.jpg\",\"products\\/30-2.jpg\",\"products\\/56.jpg\"]'),(626,7,NULL,NULL,25,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/31.jpg\",\"products\\/55-1.jpg\"]'),(627,7,NULL,NULL,23,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/40.jpg\"]'),(628,4,NULL,NULL,14,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/53-1.jpg\"]'),(632,2,NULL,NULL,36,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-1.jpg\",\"products\\/11-1.jpg\",\"products\\/36-1.jpg\"]'),(636,8,NULL,NULL,38,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/62.jpg\"]'),(637,3,NULL,NULL,22,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/39-2.jpg\",\"products\\/42.jpg\"]'),(638,9,NULL,NULL,58,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-1.jpg\",\"products\\/17-1.jpg\",\"products\\/64.jpg\"]'),(644,8,NULL,NULL,56,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\",\"products\\/59-1.jpg\"]'),(645,8,NULL,NULL,31,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\"]'),(646,6,NULL,NULL,33,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/25-1.jpg\",\"products\\/34.jpg\",\"products\\/44-1.jpg\",\"products\\/62.jpg\"]'),(650,2,NULL,NULL,27,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/39-1.jpg\",\"products\\/47-1.jpg\",\"products\\/59.jpg\"]'),(653,8,NULL,NULL,45,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-3.jpg\",\"products\\/11-2.jpg\",\"products\\/20-2.jpg\",\"products\\/59-1.jpg\"]'),(655,4,NULL,NULL,46,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/42-2.jpg\"]'),(660,1,NULL,NULL,17,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/41.jpg\",\"products\\/63-1.jpg\"]'),(662,9,NULL,NULL,25,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\"]'),(668,9,NULL,NULL,50,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/52.jpg\",\"products\\/55-1.jpg\"]'),(672,4,NULL,NULL,28,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18.jpg\",\"products\\/36.jpg\",\"products\\/56-1.jpg\",\"products\\/62-1.jpg\"]'),(682,4,NULL,NULL,4,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/55.jpg\",\"products\\/56-2.jpg\"]'),(684,1,NULL,NULL,50,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/9-2.jpg\",\"products\\/19-1.jpg\"]'),(691,8,NULL,NULL,42,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27-1.jpg\"]'),(693,9,NULL,NULL,43,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35-1.jpg\"]'),(699,2,NULL,NULL,37,3.00,'Best ecommerce CMS online store!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-1.jpg\",\"products\\/30.jpg\",\"products\\/37-2.jpg\",\"products\\/64-1.jpg\"]'),(700,7,NULL,NULL,2,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-1.jpg\",\"products\\/30-2.jpg\",\"products\\/65-2.jpg\"]'),(701,9,NULL,NULL,64,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/57.jpg\",\"products\\/58-2.jpg\",\"products\\/65-2.jpg\"]'),(703,6,NULL,NULL,3,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-1.jpg\",\"products\\/42-1.jpg\",\"products\\/60.jpg\"]'),(704,3,NULL,NULL,52,3.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4.jpg\",\"products\\/10-2.jpg\",\"products\\/18-2.jpg\",\"products\\/30-2.jpg\"]'),(707,6,NULL,NULL,61,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/25-2.jpg\"]'),(708,9,NULL,NULL,41,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/28-1.jpg\",\"products\\/36-2.jpg\",\"products\\/39-2.jpg\"]'),(711,6,NULL,NULL,30,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10-2.jpg\",\"products\\/17-1.jpg\",\"products\\/51.jpg\"]'),(715,8,NULL,NULL,30,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18.jpg\"]'),(719,8,NULL,NULL,25,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-2.jpg\",\"products\\/39-2.jpg\"]'),(721,1,NULL,NULL,42,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27.jpg\"]'),(722,1,NULL,NULL,59,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\",\"products\\/32-2.jpg\",\"products\\/37-1.jpg\",\"products\\/39.jpg\"]'),(725,3,NULL,NULL,16,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/33-1.jpg\"]'),(727,8,NULL,NULL,20,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-3.jpg\",\"products\\/43-1.jpg\"]'),(731,9,NULL,NULL,11,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/30-1.jpg\",\"products\\/45-1.jpg\"]'),(746,2,NULL,NULL,30,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/11-3.jpg\",\"products\\/40-1.jpg\",\"products\\/61.jpg\"]'),(748,9,NULL,NULL,65,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/18.jpg\",\"products\\/20-2.jpg\",\"products\\/23-1.jpg\",\"products\\/60-2.jpg\"]'),(749,3,NULL,NULL,33,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/56-2.jpg\"]'),(751,5,NULL,NULL,21,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/20-1.jpg\"]'),(756,8,NULL,NULL,16,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/39-2.jpg\"]'),(759,8,NULL,NULL,14,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29.jpg\",\"products\\/53.jpg\",\"products\\/58.jpg\",\"products\\/63.jpg\"]'),(762,6,NULL,NULL,55,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8.jpg\",\"products\\/11-2.jpg\",\"products\\/26.jpg\"]'),(764,6,NULL,NULL,10,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/17-3.jpg\"]'),(767,2,NULL,NULL,45,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/10.jpg\",\"products\\/12.jpg\",\"products\\/25-2.jpg\",\"products\\/57-1.jpg\"]'),(773,7,NULL,NULL,29,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-2.jpg\",\"products\\/25.jpg\",\"products\\/39-1.jpg\"]'),(774,2,NULL,NULL,65,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/15-1.jpg\",\"products\\/35.jpg\",\"products\\/43.jpg\",\"products\\/63-1.jpg\"]'),(775,7,NULL,NULL,40,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/16.jpg\",\"products\\/51.jpg\"]'),(778,2,NULL,NULL,3,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/65.jpg\"]'),(781,2,NULL,NULL,61,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-2.jpg\",\"products\\/13.jpg\",\"products\\/18.jpg\",\"products\\/25-1.jpg\"]'),(782,5,NULL,NULL,32,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-2.jpg\",\"products\\/22.jpg\",\"products\\/49-1.jpg\"]'),(786,5,NULL,NULL,24,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-2.jpg\",\"products\\/39-2.jpg\",\"products\\/53.jpg\"]'),(787,3,NULL,NULL,48,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13-1.jpg\",\"products\\/24.jpg\",\"products\\/48-2.jpg\"]'),(790,4,NULL,NULL,24,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/9-2.jpg\",\"products\\/10-2.jpg\",\"products\\/65-1.jpg\"]'),(794,2,NULL,NULL,39,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-1.jpg\"]'),(805,6,NULL,NULL,7,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/22-2.jpg\",\"products\\/24-1.jpg\",\"products\\/30.jpg\"]'),(808,5,NULL,NULL,27,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/56.jpg\"]'),(809,2,NULL,NULL,24,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/12-3.jpg\",\"products\\/26-1.jpg\",\"products\\/62-1.jpg\"]'),(811,4,NULL,NULL,57,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/27.jpg\",\"products\\/39-1.jpg\",\"products\\/50-1.jpg\"]'),(819,6,NULL,NULL,25,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4-3.jpg\",\"products\\/18-3.jpg\",\"products\\/38-1.jpg\"]'),(823,6,NULL,NULL,38,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/29-1.jpg\",\"products\\/60.jpg\"]'),(831,7,NULL,NULL,8,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/9-1.jpg\",\"products\\/12-2.jpg\",\"products\\/53.jpg\"]'),(838,3,NULL,NULL,1,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-3.jpg\",\"products\\/18-2.jpg\",\"products\\/57.jpg\"]'),(845,4,NULL,NULL,26,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/23-2.jpg\",\"products\\/60-2.jpg\"]'),(858,1,NULL,NULL,23,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35.jpg\"]'),(862,3,NULL,NULL,14,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/53-1.jpg\",\"products\\/56-2.jpg\"]'),(863,5,NULL,NULL,65,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/61-1.jpg\"]'),(872,7,NULL,NULL,48,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/59-2.jpg\"]'),(878,6,NULL,NULL,51,5.00,'Good app, good backup service and support. Good documentation.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\",\"products\\/47.jpg\"]'),(885,9,NULL,NULL,27,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/35-1.jpg\"]'),(892,3,NULL,NULL,26,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11-2.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\",\"products\\/64-1.jpg\"]'),(912,1,NULL,NULL,19,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/4.jpg\",\"products\\/35-1.jpg\"]'),(915,9,NULL,NULL,61,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/7.jpg\",\"products\\/8-1.jpg\"]'),(916,5,NULL,NULL,56,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/11-1.jpg\"]'),(917,1,NULL,NULL,15,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/13.jpg\",\"products\\/29-2.jpg\",\"products\\/30-1.jpg\"]'),(922,6,NULL,NULL,39,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/5-1.jpg\",\"products\\/50-1.jpg\"]'),(924,4,NULL,NULL,43,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/37-2.jpg\",\"products\\/53.jpg\"]'),(926,8,NULL,NULL,46,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/41.jpg\",\"products\\/42-2.jpg\"]'),(929,4,NULL,NULL,2,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11.jpg\",\"products\\/38.jpg\"]'),(938,7,NULL,NULL,42,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/50-1.jpg\"]'),(944,2,NULL,NULL,55,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/8-1.jpg\",\"products\\/42.jpg\"]'),(945,9,NULL,NULL,2,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/21-2.jpg\",\"products\\/22-3.jpg\"]'),(949,7,NULL,NULL,32,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/36-1.jpg\"]'),(955,6,NULL,NULL,16,4.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/24.jpg\",\"products\\/47-1.jpg\"]'),(956,2,NULL,NULL,21,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/38.jpg\",\"products\\/41.jpg\",\"products\\/43-2.jpg\"]'),(963,8,NULL,NULL,39,3.00,'Clean & perfect source code','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2-1.jpg\",\"products\\/9-2.jpg\",\"products\\/54.jpg\"]'),(973,4,NULL,NULL,61,3.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/2.jpg\",\"products\\/17-2.jpg\",\"products\\/19-1.jpg\"]'),(974,6,NULL,NULL,28,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/11.jpg\",\"products\\/38-2.jpg\",\"products\\/49-2.jpg\",\"products\\/52-2.jpg\"]'),(975,1,NULL,NULL,64,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/3.jpg\"]'),(995,2,NULL,NULL,35,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-10 00:04:41','2024-08-10 00:04:41','[\"products\\/22-2.jpg\",\"products\\/43-2.jpg\"]');
/*!40000 ALTER TABLE `ec_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shared_wishlists`
--

DROP TABLE IF EXISTS `ec_shared_wishlists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shared_wishlists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_ids` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_shared_wishlists_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shared_wishlists`
--

LOCK TABLES `ec_shared_wishlists` WRITE;
/*!40000 ALTER TABLE `ec_shared_wishlists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shared_wishlists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipment_histories`
--

DROP TABLE IF EXISTS `ec_shipment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipment_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `shipment_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipment_histories`
--

LOCK TABLES `ec_shipment_histories` WRITE;
/*!40000 ALTER TABLE `ec_shipment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipments`
--

DROP TABLE IF EXISTS `ec_shipments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `shipment_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cod_amount` decimal(15,2) DEFAULT '0.00',
  `cod_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cross_checking_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `price` decimal(15,2) DEFAULT '0.00',
  `store_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tracking_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimate_date_shipped` datetime DEFAULT NULL,
  `date_shipped` datetime DEFAULT NULL,
  `label_url` text COLLATE utf8mb4_unicode_ci,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipments`
--

LOCK TABLES `ec_shipments` WRITE;
/*!40000 ALTER TABLE `ec_shipments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping`
--

DROP TABLE IF EXISTS `ec_shipping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping`
--

LOCK TABLES `ec_shipping` WRITE;
/*!40000 ALTER TABLE `ec_shipping` DISABLE KEYS */;
INSERT INTO `ec_shipping` VALUES (1,'All',NULL,'2024-08-10 00:04:38','2024-08-10 00:04:38');
/*!40000 ALTER TABLE `ec_shipping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rule_items`
--

DROP TABLE IF EXISTS `ec_shipping_rule_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rule_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_rule_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_price` decimal(15,2) DEFAULT '0.00',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rule_items`
--

LOCK TABLES `ec_shipping_rule_items` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rule_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipping_rule_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rules`
--

DROP TABLE IF EXISTS `ec_shipping_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `shipping_id` bigint unsigned NOT NULL,
  `type` varchar(24) COLLATE utf8mb4_unicode_ci DEFAULT 'based_on_price',
  `from` decimal(15,2) DEFAULT '0.00',
  `to` decimal(15,2) DEFAULT '0.00',
  `price` decimal(15,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rules`
--

LOCK TABLES `ec_shipping_rules` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rules` DISABLE KEYS */;
INSERT INTO `ec_shipping_rules` VALUES (1,'Free delivery',1,'based_on_price',1000.00,NULL,0.00,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(2,'Flat Rate',1,'based_on_price',0.00,NULL,20.00,'2024-08-10 00:04:38','2024-08-10 00:04:38'),(3,'Local Pickup',1,'based_on_price',0.00,NULL,0.00,'2024-08-10 00:04:38','2024-08-10 00:04:38');
/*!40000 ALTER TABLE `ec_shipping_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_store_locators`
--

DROP TABLE IF EXISTS `ec_store_locators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_store_locators` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_primary` tinyint(1) DEFAULT '0',
  `is_shipping_location` tinyint(1) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_store_locators`
--

LOCK TABLES `ec_store_locators` WRITE;
/*!40000 ALTER TABLE `ec_store_locators` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_store_locators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_products`
--

DROP TABLE IF EXISTS `ec_tax_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_products` (
  `tax_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tax_id`),
  KEY `ec_tax_products_tax_id_index` (`tax_id`),
  KEY `ec_tax_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_products`
--

LOCK TABLES `ec_tax_products` WRITE;
/*!40000 ALTER TABLE `ec_tax_products` DISABLE KEYS */;
INSERT INTO `ec_tax_products` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65);
/*!40000 ALTER TABLE `ec_tax_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_rules`
--

DROP TABLE IF EXISTS `ec_tax_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_rules`
--

LOCK TABLES `ec_tax_rules` WRITE;
/*!40000 ALTER TABLE `ec_tax_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_tax_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_taxes`
--

DROP TABLE IF EXISTS `ec_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_taxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_taxes`
--

LOCK TABLES `ec_taxes` WRITE;
/*!40000 ALTER TABLE `ec_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_wish_lists`
--

DROP TABLE IF EXISTS `ec_wish_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_wish_lists` (
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`product_id`),
  KEY `wishlist_relation_index` (`product_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_wish_lists`
--

LOCK TABLES `ec_wish_lists` WRITE;
/*!40000 ALTER TABLE `ec_wish_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_wish_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
INSERT INTO `faq_categories` VALUES (1,'Sales &amp; Pricing',0,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(2,'Project Management',1,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(3,'Client Satisfaction',2,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(4,'Our Team',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(5,'Security',4,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(6,'Client Support',5,'published','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL);
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
INSERT INTO `faqs` VALUES (1,'Can I see a demo before purchasing your business services?','Absolutely! We understand that seeing our services in action can be helpful. In most cases, we can provide a free demo or consultation to showcase our capabilities and ensure they align with your specific needs.',4,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(2,'What types of payment plans do you offer for your business services?','We offer flexible payment plans to cater to different business budgets. We may offer upfront payments,  monthly installments, or project-based pricing depending on the service.  Feel free to discuss your preferred payment option with our sales team to find the best solution for you.',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(3,'What is the turnaround time for your business services?','Turnaround times can vary depending on the complexity of the service and your specific needs. We will provide a clear timeline during the initial consultation or proposal stage. We also prioritize open communication and keep you updated throughout the process.',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(4,'Do you offer any guarantees or warranties on your business services?','We stand behind the quality of our work and offer satisfaction guarantees on many of our services. The specific terms will be outlined in our agreement. If you have any concerns, don\'t hesitate to ask for clarification.',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(5,'What qualifications or certifications do your team members have?','Our team is comprised of experienced and qualified professionals. We invest in ongoing training to ensure we stay up-to-date on the latest industry trends and best practices.  Feel free to inquire about specific credentials or expertise relevant to your needs.',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(6,'How do you ensure the security of my data when using your business services?','Data security is a top priority for us. We employ robust security measures to protect your information, including secure servers, encryption protocols, and access controls. We can provide more details about our security practices upon request.',1,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(7,'Can I customize your business services to fit my specific needs?','Yes, customization is often possible. We understand that every business is unique. We take the time to understand your requirements and tailor our services to deliver the best possible outcome for your specific situation.',3,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(8,'How can I get a quote for your business services?','Getting a quote is easy! Simply contact us through our website, email, or phone. We will discuss your needs and provide a personalized quote based on the chosen service and its scope.',6,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(9,'What is the difference between your various business service packages?','We offer a variety of service packages to cater to different business needs and budgets. Each package will typically include a specific set of features or deliverables.  We would be happy to explain the differences and recommend the best option for you during a consultation.',2,'published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(10,'Do you offer any ongoing support after I purchase your business services?','Yes, we offer ongoing support to ensure you get the most out of our services. This may include training materials, access to a help desk, or even additional consultations depending on the service.',4,'published','2024-08-10 00:03:50','2024-08-10 00:03:50');
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fob_comments`
--

DROP TABLE IF EXISTS `fob_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fob_comments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reply_to` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fob_comments_author_type_author_id_index` (`author_type`,`author_id`),
  KEY `fob_comments_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `fob_comments_reply_to_index` (`reply_to`),
  KEY `fob_comments_reference_url_index` (`reference_url`),
  KEY `fob_comments_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fob_comments`
--

LOCK TABLES `fob_comments` WRITE;
/*!40000 ALTER TABLE `fob_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `fob_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries`
--

DROP TABLE IF EXISTS `galleries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleries_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries`
--

LOCK TABLES `galleries` WRITE;
/*!40000 ALTER TABLE `galleries` DISABLE KEYS */;
INSERT INTO `galleries` VALUES (1,'Perfect','Quisquam nostrum fugiat blanditiis cumque. Quis quasi sit eaque. Laborum nulla natus ut nulla laboriosam qui. Voluptas in quod et.',0,0,'galleries/1.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(2,'New Day','Repellat facilis ea illum ipsum ullam minus. Ea illo non deleniti ut fuga. Cumque sed aut et minima odit et.',0,0,'galleries/2.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(3,'Happy Day','Praesentium voluptatem nobis quas quasi. Ipsum iste reiciendis et sapiente ullam.',0,0,'galleries/3.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(4,'Nature','Est autem non et tenetur molestiae culpa perferendis. Cum voluptatibus placeat repellat odit. Sed reiciendis voluptatem veniam magnam est.',0,0,'galleries/4.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(5,'Morning','Ut dolor omnis magnam inventore dicta. Esse animi qui accusamus consectetur quia. Porro nobis ratione at enim dolores enim.',0,0,'galleries/5.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(6,'Sunset','Unde repudiandae perferendis est qui sapiente itaque vero. Voluptatem in ut enim adipisci facilis qui. Inventore aut et quia dicta ad molestiae.',0,0,'galleries/6.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(7,'Ocean Views','Accusamus qui ullam fugit architecto. Ullam esse eligendi officiis eius a. Sint totam ipsum nihil et ex sit aliquid. Laboriosam ut rerum et possimus.',0,0,'galleries/7.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39'),(8,'Adventure Time','Non unde labore iste laboriosam. Officia ut minima voluptatibus necessitatibus perspiciatis aliquid.',0,0,'galleries/8.jpg',1,'published','2024-08-10 00:03:39','2024-08-10 00:03:39');
/*!40000 ALTER TABLE `galleries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries_translations`
--

DROP TABLE IF EXISTS `galleries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `galleries_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`galleries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries_translations`
--

LOCK TABLES `galleries_translations` WRITE;
/*!40000 ALTER TABLE `galleries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `galleries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta`
--

DROP TABLE IF EXISTS `gallery_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `images` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gallery_meta_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta`
--

LOCK TABLES `gallery_meta` WRITE;
/*!40000 ALTER TABLE `gallery_meta` DISABLE KEYS */;
INSERT INTO `gallery_meta` VALUES (1,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',1,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(2,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',2,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(3,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',3,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(4,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',4,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(5,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',5,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(6,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',6,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(7,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',7,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39'),(8,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',8,'Botble\\Gallery\\Models\\Gallery','2024-08-10 00:03:39','2024-08-10 00:03:39');
/*!40000 ALTER TABLE `gallery_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta_translations`
--

DROP TABLE IF EXISTS `gallery_meta_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gallery_meta_id` bigint unsigned NOT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`gallery_meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta_translations`
--

LOCK TABLES `gallery_meta_translations` WRITE;
/*!40000 ALTER TABLE `gallery_meta_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery_meta_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','77820d4b5f864ee9aa7a86efd845c2cc',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','a62547adc5b9eea3dcc493c287ce4a16',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','b412b627d396f4699781b51e9f1d06a6',1,'Botble\\SimpleSlider\\Models\\SimpleSlider');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `visibility` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'public',
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=336 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'about-us-information-1','about-us-information-1',1,'image/jpeg',12878,'general/about-us-information-1.jpg','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(2,0,'about-us-information-10','about-us-information-10',1,'image/jpeg',6813,'general/about-us-information-10.jpg','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(3,0,'about-us-information-11-1','about-us-information-11-1',1,'image/jpeg',4980,'general/about-us-information-11-1.jpg','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(4,0,'about-us-information-11-2','about-us-information-11-2',1,'image/png',1940,'general/about-us-information-11-2.png','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(5,0,'about-us-information-11','about-us-information-11',1,'image/jpeg',7174,'general/about-us-information-11.jpg','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(6,0,'about-us-information-13','about-us-information-13',1,'image/jpeg',13236,'general/about-us-information-13.jpg','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(7,0,'about-us-information-14','about-us-information-14',1,'image/png',30399,'general/about-us-information-14.png','[]','2024-08-10 00:03:28','2024-08-10 00:03:28',NULL,'public'),(8,0,'about-us-information-15','about-us-information-15',1,'image/png',7778,'general/about-us-information-15.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(9,0,'about-us-information-16','about-us-information-16',1,'image/png',7320,'general/about-us-information-16.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(10,0,'about-us-information-2-1','about-us-information-2-1',1,'image/jpeg',8580,'general/about-us-information-2-1.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(11,0,'about-us-information-2-2','about-us-information-2-2',1,'image/jpeg',2974,'general/about-us-information-2-2.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(12,0,'about-us-information-3-1','about-us-information-3-1',1,'image/jpeg',10406,'general/about-us-information-3-1.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(13,0,'about-us-information-3-2','about-us-information-3-2',1,'image/jpeg',1745,'general/about-us-information-3-2.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(14,0,'about-us-information-4-1','about-us-information-4-1',1,'image/jpeg',9362,'general/about-us-information-4-1.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(15,0,'about-us-information-4-2','about-us-information-4-2',1,'image/jpeg',2161,'general/about-us-information-4-2.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(16,0,'about-us-information-4-3','about-us-information-4-3',1,'image/png',9470,'general/about-us-information-4-3.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(17,0,'about-us-information-5-1','about-us-information-5-1',1,'image/png',2845,'general/about-us-information-5-1.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(18,0,'about-us-information-5','about-us-information-5',1,'image/jpeg',10266,'general/about-us-information-5.jpg','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(19,0,'about-us-information-6-1','about-us-information-6-1',1,'image/png',9939,'general/about-us-information-6-1.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(20,0,'about-us-information-6-2','about-us-information-6-2',1,'image/png',3037,'general/about-us-information-6-2.png','[]','2024-08-10 00:03:29','2024-08-10 00:03:29',NULL,'public'),(21,0,'about-us-information-6-3','about-us-information-6-3',1,'image/png',2223,'general/about-us-information-6-3.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(22,0,'about-us-information-6-4','about-us-information-6-4',1,'image/png',12341,'general/about-us-information-6-4.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(23,0,'about-us-information-6','about-us-information-6',1,'image/jpeg',4329,'general/about-us-information-6.jpg','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(24,0,'about-us-information-7','about-us-information-7',1,'image/png',13510,'general/about-us-information-7.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(25,0,'about-us-information-8-1','about-us-information-8-1',1,'image/jpeg',8429,'general/about-us-information-8-1.jpg','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(26,0,'about-us-information-8-2','about-us-information-8-2',1,'image/jpeg',3553,'general/about-us-information-8-2.jpg','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(27,0,'about-us-information-9-1','about-us-information-9-1',1,'image/png',8037,'general/about-us-information-9-1.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(28,0,'about-us-information-9','about-us-information-9',1,'image/png',8152,'general/about-us-information-9.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(29,0,'author-avatar','author-avatar',1,'image/png',3528,'general/author-avatar.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(30,0,'author-signature','author-signature',1,'image/png',428,'general/author-signature.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(31,0,'consulting-block','consulting-block',1,'image/jpeg',5821,'general/consulting-block.jpg','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(32,0,'content-featured','content-featured',1,'image/jpeg',5678,'general/content-featured.jpg','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(33,0,'faq','faq',1,'image/png',24258,'general/faq.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(34,0,'hero-banner-4','hero-banner-4',1,'image/png',14400,'general/hero-banner-4.png','[]','2024-08-10 00:03:30','2024-08-10 00:03:30',NULL,'public'),(35,0,'hero-banner-5-1','hero-banner-5-1',1,'image/png',1967,'general/hero-banner-5-1.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(36,0,'hero-banner-5','hero-banner-5',1,'image/png',10642,'general/hero-banner-5.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(37,0,'hero-banner-slider-team','hero-banner-slider-team',1,'image/png',1760,'general/hero-banner-slider-team.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(38,0,'testimonials-1','testimonials-1',1,'image/png',6274,'general/testimonials-1.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(39,0,'testimonials-4-1','testimonials-4-1',1,'image/png',8618,'general/testimonials-4-1.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(40,0,'testimonials-4','testimonials-4',1,'image/png',8618,'general/testimonials-4.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(41,0,'favicon','favicon',2,'image/png',756,'icons/favicon.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(42,0,'logo-white','logo-white',2,'image/png',1748,'icons/logo-white.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(43,0,'logo','logo',2,'image/png',2537,'icons/logo.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(44,0,'popularity','popularity',2,'image/png',1531,'icons/popularity.png','[]','2024-08-10 00:03:31','2024-08-10 00:03:31',NULL,'public'),(45,0,'preloader-image','preloader-image',2,'image/gif',602487,'icons/preloader-image.gif','[]','2024-08-10 00:03:32','2024-08-10 00:03:32',NULL,'public'),(46,0,'star','star',2,'image/png',2711,'icons/star.png','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(47,0,'time','time',2,'image/png',1402,'icons/time.png','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(48,0,'trophy','trophy',2,'image/png',2209,'icons/trophy.png','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(49,0,'about-us-information-bg','about-us-information-bg',3,'image/jpeg',26687,'backgrounds/about-us-information-bg.jpg','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(50,0,'blog-posts-bg','blog-posts-bg',3,'image/jpeg',28680,'backgrounds/blog-posts-bg.jpg','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(51,0,'breadcrumb-bg','breadcrumb-bg',3,'image/jpeg',8920,'backgrounds/breadcrumb-bg.jpg','[]','2024-08-10 00:03:34','2024-08-10 00:03:34',NULL,'public'),(52,0,'contact-block-bg-1','contact-block-bg-1',3,'image/jpeg',19498,'backgrounds/contact-block-bg-1.jpg','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(53,0,'contact-block-bg-3','contact-block-bg-3',3,'image/png',216066,'backgrounds/contact-block-bg-3.png','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(54,0,'contact-block-bg','contact-block-bg',3,'image/jpeg',19498,'backgrounds/contact-block-bg.jpg','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(55,0,'footer-bg','footer-bg',3,'image/png',23940,'backgrounds/footer-bg.png','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(56,0,'hero-banner-1','hero-banner-1',3,'image/jpeg',20022,'backgrounds/hero-banner-1.jpg','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(57,0,'hero-banner-bg-4','hero-banner-bg-4',3,'image/jpeg',37935,'backgrounds/hero-banner-bg-4.jpg','[]','2024-08-10 00:03:35','2024-08-10 00:03:35',NULL,'public'),(58,0,'hero-banner-bg-5','hero-banner-bg-5',3,'image/jpeg',25168,'backgrounds/hero-banner-bg-5.jpg','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(59,0,'hero-banner','hero-banner',3,'image/jpeg',20022,'backgrounds/hero-banner.jpg','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(60,0,'newsletter-bg','newsletter-bg',3,'image/png',8876,'backgrounds/newsletter-bg.png','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(61,0,'services-bg-3','services-bg-3',3,'image/jpeg',35882,'backgrounds/services-bg-3.jpg','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(62,0,'services-bg','services-bg',3,'image/jpeg',31420,'backgrounds/services-bg.jpg','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(63,0,'site-statistics-bg','site-statistics-bg',3,'image/png',31111,'backgrounds/site-statistics-bg.png','[]','2024-08-10 00:03:36','2024-08-10 00:03:36',NULL,'public'),(65,0,'document','document',5,'application/pdf',9593,'downloads/document.pdf','[]','2024-08-10 00:03:37','2024-08-10 00:03:37',NULL,'public'),(66,0,'1','1',6,'image/jpeg',33268,'galleries/1.jpg','[]','2024-08-10 00:03:37','2024-08-10 00:03:37',NULL,'public'),(67,0,'2','2',6,'image/jpeg',33268,'galleries/2.jpg','[]','2024-08-10 00:03:37','2024-08-10 00:03:37',NULL,'public'),(68,0,'3','3',6,'image/jpeg',33268,'galleries/3.jpg','[]','2024-08-10 00:03:38','2024-08-10 00:03:38',NULL,'public'),(69,0,'4','4',6,'image/jpeg',33268,'galleries/4.jpg','[]','2024-08-10 00:03:38','2024-08-10 00:03:38',NULL,'public'),(70,0,'5','5',6,'image/jpeg',33268,'galleries/5.jpg','[]','2024-08-10 00:03:38','2024-08-10 00:03:38',NULL,'public'),(71,0,'6','6',6,'image/jpeg',33268,'galleries/6.jpg','[]','2024-08-10 00:03:38','2024-08-10 00:03:38',NULL,'public'),(72,0,'7','7',6,'image/jpeg',33268,'galleries/7.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(73,0,'8','8',6,'image/jpeg',33268,'galleries/8.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(74,0,'1','1',7,'image/jpeg',9803,'teams/1.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(75,0,'2-1','2-1',7,'image/jpeg',9803,'teams/2-1.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(76,0,'2-2','2-2',7,'image/jpeg',9803,'teams/2-2.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(77,0,'2-3','2-3',7,'image/jpeg',9803,'teams/2-3.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(78,0,'2-4','2-4',7,'image/jpeg',9803,'teams/2-4.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(79,0,'2-5','2-5',7,'image/jpeg',9803,'teams/2-5.jpg','[]','2024-08-10 00:03:39','2024-08-10 00:03:39',NULL,'public'),(80,0,'2-6','2-6',7,'image/jpeg',9803,'teams/2-6.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(81,0,'2-7','2-7',7,'image/jpeg',9803,'teams/2-7.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(82,0,'2-8','2-8',7,'image/jpeg',9803,'teams/2-8.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(83,0,'2','2',7,'image/jpeg',9803,'teams/2.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(84,0,'3','3',7,'image/jpeg',9803,'teams/3.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(85,0,'4','4',7,'image/jpeg',9803,'teams/4.jpg','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(86,0,'5-1','5-1',7,'image/png',9803,'teams/5-1.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(87,0,'5-2','5-2',7,'image/png',9803,'teams/5-2.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(88,0,'5-3','5-3',7,'image/png',9803,'teams/5-3.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(89,0,'5-4','5-4',7,'image/png',9803,'teams/5-4.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(90,0,'5-5','5-5',7,'image/png',9803,'teams/5-5.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(91,0,'5-6','5-6',7,'image/png',9803,'teams/5-6.png','[]','2024-08-10 00:03:40','2024-08-10 00:03:40',NULL,'public'),(92,0,'5-7','5-7',7,'image/png',9803,'teams/5-7.png','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(93,0,'5-8','5-8',7,'image/png',9803,'teams/5-8.png','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(94,0,'5','5',7,'image/jpeg',9803,'teams/5.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(95,0,'6','6',7,'image/jpeg',9803,'teams/6.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(96,0,'7','7',7,'image/jpeg',9803,'teams/7.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(97,0,'8','8',7,'image/jpeg',9803,'teams/8.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(98,0,'1','1',8,'image/jpeg',33268,'news/1.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(99,0,'10','10',8,'image/jpeg',33268,'news/10.jpg','[]','2024-08-10 00:03:41','2024-08-10 00:03:41',NULL,'public'),(100,0,'11','11',8,'image/jpeg',33268,'news/11.jpg','[]','2024-08-10 00:03:42','2024-08-10 00:03:42',NULL,'public'),(101,0,'12','12',8,'image/jpeg',33268,'news/12.jpg','[]','2024-08-10 00:03:42','2024-08-10 00:03:42',NULL,'public'),(102,0,'13','13',8,'image/jpeg',33268,'news/13.jpg','[]','2024-08-10 00:03:42','2024-08-10 00:03:42',NULL,'public'),(103,0,'14','14',8,'image/jpeg',33268,'news/14.jpg','[]','2024-08-10 00:03:43','2024-08-10 00:03:43',NULL,'public'),(104,0,'15','15',8,'image/jpeg',33268,'news/15.jpg','[]','2024-08-10 00:03:43','2024-08-10 00:03:43',NULL,'public'),(105,0,'16','16',8,'image/jpeg',33268,'news/16.jpg','[]','2024-08-10 00:03:43','2024-08-10 00:03:43',NULL,'public'),(106,0,'17','17',8,'image/jpeg',33268,'news/17.jpg','[]','2024-08-10 00:03:43','2024-08-10 00:03:43',NULL,'public'),(107,0,'18','18',8,'image/jpeg',33268,'news/18.jpg','[]','2024-08-10 00:03:44','2024-08-10 00:03:44',NULL,'public'),(108,0,'19','19',8,'image/jpeg',33268,'news/19.jpg','[]','2024-08-10 00:03:44','2024-08-10 00:03:44',NULL,'public'),(109,0,'2','2',8,'image/jpeg',33268,'news/2.jpg','[]','2024-08-10 00:03:44','2024-08-10 00:03:44',NULL,'public'),(110,0,'20','20',8,'image/jpeg',33268,'news/20.jpg','[]','2024-08-10 00:03:44','2024-08-10 00:03:44',NULL,'public'),(111,0,'3','3',8,'image/jpeg',33268,'news/3.jpg','[]','2024-08-10 00:03:45','2024-08-10 00:03:45',NULL,'public'),(112,0,'4','4',8,'image/jpeg',33268,'news/4.jpg','[]','2024-08-10 00:03:45','2024-08-10 00:03:45',NULL,'public'),(113,0,'5','5',8,'image/jpeg',33268,'news/5.jpg','[]','2024-08-10 00:03:45','2024-08-10 00:03:45',NULL,'public'),(114,0,'6','6',8,'image/jpeg',33268,'news/6.jpg','[]','2024-08-10 00:03:45','2024-08-10 00:03:45',NULL,'public'),(115,0,'7','7',8,'image/jpeg',33268,'news/7.jpg','[]','2024-08-10 00:03:46','2024-08-10 00:03:46',NULL,'public'),(116,0,'8','8',8,'image/jpeg',33268,'news/8.jpg','[]','2024-08-10 00:03:46','2024-08-10 00:03:46',NULL,'public'),(117,0,'9','9',8,'image/jpeg',33268,'news/9.jpg','[]','2024-08-10 00:03:46','2024-08-10 00:03:46',NULL,'public'),(118,0,'1','1',9,'image/jpeg',33268,'projects/1.jpg','[]','2024-08-10 00:03:47','2024-08-10 00:03:47',NULL,'public'),(119,0,'10','10',9,'image/jpeg',33268,'projects/10.jpg','[]','2024-08-10 00:03:47','2024-08-10 00:03:47',NULL,'public'),(120,0,'2','2',9,'image/jpeg',33268,'projects/2.jpg','[]','2024-08-10 00:03:47','2024-08-10 00:03:47',NULL,'public'),(121,0,'3','3',9,'image/jpeg',33268,'projects/3.jpg','[]','2024-08-10 00:03:47','2024-08-10 00:03:47',NULL,'public'),(122,0,'4','4',9,'image/jpeg',33268,'projects/4.jpg','[]','2024-08-10 00:03:48','2024-08-10 00:03:48',NULL,'public'),(123,0,'5','5',9,'image/jpeg',33268,'projects/5.jpg','[]','2024-08-10 00:03:48','2024-08-10 00:03:48',NULL,'public'),(124,0,'6','6',9,'image/jpeg',33268,'projects/6.jpg','[]','2024-08-10 00:03:48','2024-08-10 00:03:48',NULL,'public'),(125,0,'7','7',9,'image/jpeg',33268,'projects/7.jpg','[]','2024-08-10 00:03:48','2024-08-10 00:03:48',NULL,'public'),(126,0,'8','8',9,'image/jpeg',33268,'projects/8.jpg','[]','2024-08-10 00:03:49','2024-08-10 00:03:49',NULL,'public'),(127,0,'9','9',9,'image/jpeg',33268,'projects/9.jpg','[]','2024-08-10 00:03:49','2024-08-10 00:03:49',NULL,'public'),(128,0,'1','1',10,'image/jpeg',148419,'sliders/1.jpg','[]','2024-08-10 00:03:49','2024-08-10 00:03:49',NULL,'public'),(129,0,'2','2',10,'image/jpeg',112138,'sliders/2.jpg','[]','2024-08-10 00:03:49','2024-08-10 00:03:49',NULL,'public'),(130,0,'3','3',10,'image/jpeg',232756,'sliders/3.jpg','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(131,0,'1','1',11,'image/png',4294,'testimonials/1.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(132,0,'2','2',11,'image/png',4294,'testimonials/2.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(133,0,'3','3',11,'image/png',4294,'testimonials/3.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(134,0,'4','4',11,'image/png',4294,'testimonials/4.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(135,0,'banner','banner',12,'image/jpeg',33268,'careers/banner.jpg','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(136,0,'1','1',13,'image/png',496,'product-categories/1.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(137,0,'10','10',13,'image/png',496,'product-categories/10.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(138,0,'11','11',13,'image/png',496,'product-categories/11.png','[]','2024-08-10 00:03:50','2024-08-10 00:03:50',NULL,'public'),(139,0,'12','12',13,'image/png',496,'product-categories/12.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(140,0,'13','13',13,'image/png',496,'product-categories/13.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(141,0,'2','2',13,'image/png',496,'product-categories/2.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(142,0,'3','3',13,'image/png',496,'product-categories/3.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(143,0,'4','4',13,'image/png',496,'product-categories/4.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(144,0,'5','5',13,'image/png',496,'product-categories/5.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(145,0,'6','6',13,'image/png',496,'product-categories/6.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(146,0,'7','7',13,'image/png',496,'product-categories/7.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(147,0,'8','8',13,'image/png',496,'product-categories/8.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(148,0,'9','9',13,'image/png',496,'product-categories/9.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(149,0,'1','1',14,'image/png',834,'brands/1.png','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(150,0,'1','1',15,'image/jpeg',33268,'products/1.jpg','[]','2024-08-10 00:03:51','2024-08-10 00:03:51',NULL,'public'),(151,0,'10-1','10-1',15,'image/jpeg',33268,'products/10-1.jpg','[]','2024-08-10 00:03:52','2024-08-10 00:03:52',NULL,'public'),(152,0,'10-2','10-2',15,'image/jpeg',33268,'products/10-2.jpg','[]','2024-08-10 00:03:52','2024-08-10 00:03:52',NULL,'public'),(153,0,'10','10',15,'image/jpeg',33268,'products/10.jpg','[]','2024-08-10 00:03:52','2024-08-10 00:03:52',NULL,'public'),(154,0,'11-1','11-1',15,'image/jpeg',33268,'products/11-1.jpg','[]','2024-08-10 00:03:52','2024-08-10 00:03:52',NULL,'public'),(155,0,'11-2','11-2',15,'image/jpeg',33268,'products/11-2.jpg','[]','2024-08-10 00:03:53','2024-08-10 00:03:53',NULL,'public'),(156,0,'11-3','11-3',15,'image/jpeg',33268,'products/11-3.jpg','[]','2024-08-10 00:03:53','2024-08-10 00:03:53',NULL,'public'),(157,0,'11','11',15,'image/jpeg',33268,'products/11.jpg','[]','2024-08-10 00:03:53','2024-08-10 00:03:53',NULL,'public'),(158,0,'12-1','12-1',15,'image/jpeg',33268,'products/12-1.jpg','[]','2024-08-10 00:03:53','2024-08-10 00:03:53',NULL,'public'),(159,0,'12-2','12-2',15,'image/jpeg',33268,'products/12-2.jpg','[]','2024-08-10 00:03:54','2024-08-10 00:03:54',NULL,'public'),(160,0,'12-3','12-3',15,'image/jpeg',33268,'products/12-3.jpg','[]','2024-08-10 00:03:54','2024-08-10 00:03:54',NULL,'public'),(161,0,'12','12',15,'image/jpeg',33268,'products/12.jpg','[]','2024-08-10 00:03:54','2024-08-10 00:03:54',NULL,'public'),(162,0,'13-1','13-1',15,'image/jpeg',33268,'products/13-1.jpg','[]','2024-08-10 00:03:54','2024-08-10 00:03:54',NULL,'public'),(163,0,'13','13',15,'image/jpeg',33268,'products/13.jpg','[]','2024-08-10 00:03:55','2024-08-10 00:03:55',NULL,'public'),(164,0,'14','14',15,'image/jpeg',33268,'products/14.jpg','[]','2024-08-10 00:03:55','2024-08-10 00:03:55',NULL,'public'),(165,0,'15-1','15-1',15,'image/jpeg',33268,'products/15-1.jpg','[]','2024-08-10 00:03:55','2024-08-10 00:03:55',NULL,'public'),(166,0,'15','15',15,'image/jpeg',33268,'products/15.jpg','[]','2024-08-10 00:03:55','2024-08-10 00:03:55',NULL,'public'),(167,0,'16','16',15,'image/jpeg',33268,'products/16.jpg','[]','2024-08-10 00:03:56','2024-08-10 00:03:56',NULL,'public'),(168,0,'17-1','17-1',15,'image/jpeg',33268,'products/17-1.jpg','[]','2024-08-10 00:03:56','2024-08-10 00:03:56',NULL,'public'),(169,0,'17-2','17-2',15,'image/jpeg',33268,'products/17-2.jpg','[]','2024-08-10 00:03:56','2024-08-10 00:03:56',NULL,'public'),(170,0,'17-3','17-3',15,'image/jpeg',33268,'products/17-3.jpg','[]','2024-08-10 00:03:56','2024-08-10 00:03:56',NULL,'public'),(171,0,'17','17',15,'image/jpeg',33268,'products/17.jpg','[]','2024-08-10 00:03:57','2024-08-10 00:03:57',NULL,'public'),(172,0,'18-1','18-1',15,'image/jpeg',33268,'products/18-1.jpg','[]','2024-08-10 00:03:57','2024-08-10 00:03:57',NULL,'public'),(173,0,'18-2','18-2',15,'image/jpeg',33268,'products/18-2.jpg','[]','2024-08-10 00:03:57','2024-08-10 00:03:57',NULL,'public'),(174,0,'18-3','18-3',15,'image/jpeg',33268,'products/18-3.jpg','[]','2024-08-10 00:03:57','2024-08-10 00:03:57',NULL,'public'),(175,0,'18','18',15,'image/jpeg',33268,'products/18.jpg','[]','2024-08-10 00:03:58','2024-08-10 00:03:58',NULL,'public'),(176,0,'19-1','19-1',15,'image/jpeg',33268,'products/19-1.jpg','[]','2024-08-10 00:03:58','2024-08-10 00:03:58',NULL,'public'),(177,0,'19-2','19-2',15,'image/jpeg',33268,'products/19-2.jpg','[]','2024-08-10 00:03:58','2024-08-10 00:03:58',NULL,'public'),(178,0,'19-3','19-3',15,'image/jpeg',33268,'products/19-3.jpg','[]','2024-08-10 00:03:58','2024-08-10 00:03:58',NULL,'public'),(179,0,'19','19',15,'image/jpeg',33268,'products/19.jpg','[]','2024-08-10 00:03:59','2024-08-10 00:03:59',NULL,'public'),(180,0,'2-1','2-1',15,'image/jpeg',33268,'products/2-1.jpg','[]','2024-08-10 00:03:59','2024-08-10 00:03:59',NULL,'public'),(181,0,'2-2','2-2',15,'image/jpeg',33268,'products/2-2.jpg','[]','2024-08-10 00:03:59','2024-08-10 00:03:59',NULL,'public'),(182,0,'2-3','2-3',15,'image/jpeg',33268,'products/2-3.jpg','[]','2024-08-10 00:03:59','2024-08-10 00:03:59',NULL,'public'),(183,0,'2','2',15,'image/jpeg',33268,'products/2.jpg','[]','2024-08-10 00:04:00','2024-08-10 00:04:00',NULL,'public'),(184,0,'20-1','20-1',15,'image/jpeg',33268,'products/20-1.jpg','[]','2024-08-10 00:04:00','2024-08-10 00:04:00',NULL,'public'),(185,0,'20-2','20-2',15,'image/jpeg',33268,'products/20-2.jpg','[]','2024-08-10 00:04:00','2024-08-10 00:04:00',NULL,'public'),(186,0,'20-3','20-3',15,'image/jpeg',33268,'products/20-3.jpg','[]','2024-08-10 00:04:00','2024-08-10 00:04:00',NULL,'public'),(187,0,'20','20',15,'image/jpeg',33268,'products/20.jpg','[]','2024-08-10 00:04:01','2024-08-10 00:04:01',NULL,'public'),(188,0,'21-1','21-1',15,'image/jpeg',33268,'products/21-1.jpg','[]','2024-08-10 00:04:01','2024-08-10 00:04:01',NULL,'public'),(189,0,'21-2','21-2',15,'image/jpeg',33268,'products/21-2.jpg','[]','2024-08-10 00:04:01','2024-08-10 00:04:01',NULL,'public'),(190,0,'21','21',15,'image/jpeg',33268,'products/21.jpg','[]','2024-08-10 00:04:01','2024-08-10 00:04:01',NULL,'public'),(191,0,'22-1','22-1',15,'image/jpeg',33268,'products/22-1.jpg','[]','2024-08-10 00:04:02','2024-08-10 00:04:02',NULL,'public'),(192,0,'22-2','22-2',15,'image/jpeg',33268,'products/22-2.jpg','[]','2024-08-10 00:04:02','2024-08-10 00:04:02',NULL,'public'),(193,0,'22-3','22-3',15,'image/jpeg',33268,'products/22-3.jpg','[]','2024-08-10 00:04:02','2024-08-10 00:04:02',NULL,'public'),(194,0,'22','22',15,'image/jpeg',33268,'products/22.jpg','[]','2024-08-10 00:04:02','2024-08-10 00:04:02',NULL,'public'),(195,0,'23-1','23-1',15,'image/jpeg',33268,'products/23-1.jpg','[]','2024-08-10 00:04:03','2024-08-10 00:04:03',NULL,'public'),(196,0,'23-2','23-2',15,'image/jpeg',33268,'products/23-2.jpg','[]','2024-08-10 00:04:03','2024-08-10 00:04:03',NULL,'public'),(197,0,'23-3','23-3',15,'image/jpeg',33268,'products/23-3.jpg','[]','2024-08-10 00:04:03','2024-08-10 00:04:03',NULL,'public'),(198,0,'23','23',15,'image/jpeg',33268,'products/23.jpg','[]','2024-08-10 00:04:04','2024-08-10 00:04:04',NULL,'public'),(199,0,'24-1','24-1',15,'image/jpeg',33268,'products/24-1.jpg','[]','2024-08-10 00:04:04','2024-08-10 00:04:04',NULL,'public'),(200,0,'24-2','24-2',15,'image/jpeg',33268,'products/24-2.jpg','[]','2024-08-10 00:04:04','2024-08-10 00:04:04',NULL,'public'),(201,0,'24','24',15,'image/jpeg',33268,'products/24.jpg','[]','2024-08-10 00:04:04','2024-08-10 00:04:04',NULL,'public'),(202,0,'25-1','25-1',15,'image/jpeg',33268,'products/25-1.jpg','[]','2024-08-10 00:04:05','2024-08-10 00:04:05',NULL,'public'),(203,0,'25-2','25-2',15,'image/jpeg',33268,'products/25-2.jpg','[]','2024-08-10 00:04:05','2024-08-10 00:04:05',NULL,'public'),(204,0,'25','25',15,'image/jpeg',33268,'products/25.jpg','[]','2024-08-10 00:04:05','2024-08-10 00:04:05',NULL,'public'),(205,0,'26-1','26-1',15,'image/jpeg',33268,'products/26-1.jpg','[]','2024-08-10 00:04:05','2024-08-10 00:04:05',NULL,'public'),(206,0,'26','26',15,'image/jpeg',33268,'products/26.jpg','[]','2024-08-10 00:04:06','2024-08-10 00:04:06',NULL,'public'),(207,0,'27-1','27-1',15,'image/jpeg',33268,'products/27-1.jpg','[]','2024-08-10 00:04:06','2024-08-10 00:04:06',NULL,'public'),(208,0,'27','27',15,'image/jpeg',33268,'products/27.jpg','[]','2024-08-10 00:04:06','2024-08-10 00:04:06',NULL,'public'),(209,0,'28-1','28-1',15,'image/jpeg',33268,'products/28-1.jpg','[]','2024-08-10 00:04:06','2024-08-10 00:04:06',NULL,'public'),(210,0,'28-2','28-2',15,'image/jpeg',33268,'products/28-2.jpg','[]','2024-08-10 00:04:07','2024-08-10 00:04:07',NULL,'public'),(211,0,'28','28',15,'image/jpeg',33268,'products/28.jpg','[]','2024-08-10 00:04:07','2024-08-10 00:04:07',NULL,'public'),(212,0,'29-1','29-1',15,'image/jpeg',33268,'products/29-1.jpg','[]','2024-08-10 00:04:07','2024-08-10 00:04:07',NULL,'public'),(213,0,'29-2','29-2',15,'image/jpeg',33268,'products/29-2.jpg','[]','2024-08-10 00:04:07','2024-08-10 00:04:07',NULL,'public'),(214,0,'29','29',15,'image/jpeg',33268,'products/29.jpg','[]','2024-08-10 00:04:08','2024-08-10 00:04:08',NULL,'public'),(215,0,'3','3',15,'image/jpeg',33268,'products/3.jpg','[]','2024-08-10 00:04:08','2024-08-10 00:04:08',NULL,'public'),(216,0,'30-1','30-1',15,'image/jpeg',33268,'products/30-1.jpg','[]','2024-08-10 00:04:08','2024-08-10 00:04:08',NULL,'public'),(217,0,'30-2','30-2',15,'image/jpeg',33268,'products/30-2.jpg','[]','2024-08-10 00:04:08','2024-08-10 00:04:08',NULL,'public'),(218,0,'30','30',15,'image/jpeg',33268,'products/30.jpg','[]','2024-08-10 00:04:09','2024-08-10 00:04:09',NULL,'public'),(219,0,'31-1','31-1',15,'image/jpeg',33268,'products/31-1.jpg','[]','2024-08-10 00:04:09','2024-08-10 00:04:09',NULL,'public'),(220,0,'31','31',15,'image/jpeg',33268,'products/31.jpg','[]','2024-08-10 00:04:09','2024-08-10 00:04:09',NULL,'public'),(221,0,'32-1','32-1',15,'image/jpeg',33268,'products/32-1.jpg','[]','2024-08-10 00:04:09','2024-08-10 00:04:09',NULL,'public'),(222,0,'32-2','32-2',15,'image/jpeg',33268,'products/32-2.jpg','[]','2024-08-10 00:04:10','2024-08-10 00:04:10',NULL,'public'),(223,0,'32','32',15,'image/jpeg',33268,'products/32.jpg','[]','2024-08-10 00:04:10','2024-08-10 00:04:10',NULL,'public'),(224,0,'33-1','33-1',15,'image/jpeg',33268,'products/33-1.jpg','[]','2024-08-10 00:04:10','2024-08-10 00:04:10',NULL,'public'),(225,0,'33-2','33-2',15,'image/jpeg',33268,'products/33-2.jpg','[]','2024-08-10 00:04:10','2024-08-10 00:04:10',NULL,'public'),(226,0,'33','33',15,'image/jpeg',33268,'products/33.jpg','[]','2024-08-10 00:04:11','2024-08-10 00:04:11',NULL,'public'),(227,0,'34-1','34-1',15,'image/jpeg',33268,'products/34-1.jpg','[]','2024-08-10 00:04:11','2024-08-10 00:04:11',NULL,'public'),(228,0,'34','34',15,'image/jpeg',33268,'products/34.jpg','[]','2024-08-10 00:04:11','2024-08-10 00:04:11',NULL,'public'),(229,0,'35-1','35-1',15,'image/jpeg',33268,'products/35-1.jpg','[]','2024-08-10 00:04:11','2024-08-10 00:04:11',NULL,'public'),(230,0,'35','35',15,'image/jpeg',33268,'products/35.jpg','[]','2024-08-10 00:04:12','2024-08-10 00:04:12',NULL,'public'),(231,0,'36-1','36-1',15,'image/jpeg',33268,'products/36-1.jpg','[]','2024-08-10 00:04:12','2024-08-10 00:04:12',NULL,'public'),(232,0,'36-2','36-2',15,'image/jpeg',33268,'products/36-2.jpg','[]','2024-08-10 00:04:12','2024-08-10 00:04:12',NULL,'public'),(233,0,'36','36',15,'image/jpeg',33268,'products/36.jpg','[]','2024-08-10 00:04:12','2024-08-10 00:04:12',NULL,'public'),(234,0,'37-1','37-1',15,'image/jpeg',33268,'products/37-1.jpg','[]','2024-08-10 00:04:13','2024-08-10 00:04:13',NULL,'public'),(235,0,'37-2','37-2',15,'image/jpeg',33268,'products/37-2.jpg','[]','2024-08-10 00:04:13','2024-08-10 00:04:13',NULL,'public'),(236,0,'37','37',15,'image/jpeg',33268,'products/37.jpg','[]','2024-08-10 00:04:13','2024-08-10 00:04:13',NULL,'public'),(237,0,'38-1','38-1',15,'image/jpeg',33268,'products/38-1.jpg','[]','2024-08-10 00:04:13','2024-08-10 00:04:13',NULL,'public'),(238,0,'38-2','38-2',15,'image/jpeg',33268,'products/38-2.jpg','[]','2024-08-10 00:04:14','2024-08-10 00:04:14',NULL,'public'),(239,0,'38-3','38-3',15,'image/jpeg',33268,'products/38-3.jpg','[]','2024-08-10 00:04:14','2024-08-10 00:04:14',NULL,'public'),(240,0,'38','38',15,'image/jpeg',33268,'products/38.jpg','[]','2024-08-10 00:04:14','2024-08-10 00:04:14',NULL,'public'),(241,0,'39-1','39-1',15,'image/jpeg',33268,'products/39-1.jpg','[]','2024-08-10 00:04:14','2024-08-10 00:04:14',NULL,'public'),(242,0,'39-2','39-2',15,'image/jpeg',33268,'products/39-2.jpg','[]','2024-08-10 00:04:15','2024-08-10 00:04:15',NULL,'public'),(243,0,'39','39',15,'image/jpeg',33268,'products/39.jpg','[]','2024-08-10 00:04:15','2024-08-10 00:04:15',NULL,'public'),(244,0,'4-1','4-1',15,'image/jpeg',33268,'products/4-1.jpg','[]','2024-08-10 00:04:15','2024-08-10 00:04:15',NULL,'public'),(245,0,'4-2','4-2',15,'image/jpeg',33268,'products/4-2.jpg','[]','2024-08-10 00:04:16','2024-08-10 00:04:16',NULL,'public'),(246,0,'4-3','4-3',15,'image/jpeg',33268,'products/4-3.jpg','[]','2024-08-10 00:04:16','2024-08-10 00:04:16',NULL,'public'),(247,0,'4','4',15,'image/jpeg',33268,'products/4.jpg','[]','2024-08-10 00:04:16','2024-08-10 00:04:16',NULL,'public'),(248,0,'40-1','40-1',15,'image/jpeg',33268,'products/40-1.jpg','[]','2024-08-10 00:04:16','2024-08-10 00:04:16',NULL,'public'),(249,0,'40','40',15,'image/jpeg',33268,'products/40.jpg','[]','2024-08-10 00:04:17','2024-08-10 00:04:17',NULL,'public'),(250,0,'41-1','41-1',15,'image/jpeg',33268,'products/41-1.jpg','[]','2024-08-10 00:04:17','2024-08-10 00:04:17',NULL,'public'),(251,0,'41-2','41-2',15,'image/jpeg',33268,'products/41-2.jpg','[]','2024-08-10 00:04:17','2024-08-10 00:04:17',NULL,'public'),(252,0,'41','41',15,'image/jpeg',33268,'products/41.jpg','[]','2024-08-10 00:04:17','2024-08-10 00:04:17',NULL,'public'),(253,0,'42-1','42-1',15,'image/jpeg',33268,'products/42-1.jpg','[]','2024-08-10 00:04:18','2024-08-10 00:04:18',NULL,'public'),(254,0,'42-2','42-2',15,'image/jpeg',33268,'products/42-2.jpg','[]','2024-08-10 00:04:18','2024-08-10 00:04:18',NULL,'public'),(255,0,'42','42',15,'image/jpeg',33268,'products/42.jpg','[]','2024-08-10 00:04:18','2024-08-10 00:04:18',NULL,'public'),(256,0,'43-1','43-1',15,'image/jpeg',33268,'products/43-1.jpg','[]','2024-08-10 00:04:18','2024-08-10 00:04:18',NULL,'public'),(257,0,'43-2','43-2',15,'image/jpeg',33268,'products/43-2.jpg','[]','2024-08-10 00:04:19','2024-08-10 00:04:19',NULL,'public'),(258,0,'43','43',15,'image/jpeg',33268,'products/43.jpg','[]','2024-08-10 00:04:19','2024-08-10 00:04:19',NULL,'public'),(259,0,'44-1','44-1',15,'image/jpeg',33268,'products/44-1.jpg','[]','2024-08-10 00:04:19','2024-08-10 00:04:19',NULL,'public'),(260,0,'44-2','44-2',15,'image/jpeg',33268,'products/44-2.jpg','[]','2024-08-10 00:04:19','2024-08-10 00:04:19',NULL,'public'),(261,0,'44','44',15,'image/jpeg',33268,'products/44.jpg','[]','2024-08-10 00:04:20','2024-08-10 00:04:20',NULL,'public'),(262,0,'45-1','45-1',15,'image/jpeg',33268,'products/45-1.jpg','[]','2024-08-10 00:04:20','2024-08-10 00:04:20',NULL,'public'),(263,0,'45','45',15,'image/jpeg',33268,'products/45.jpg','[]','2024-08-10 00:04:20','2024-08-10 00:04:20',NULL,'public'),(264,0,'46-1','46-1',15,'image/jpeg',33268,'products/46-1.jpg','[]','2024-08-10 00:04:20','2024-08-10 00:04:20',NULL,'public'),(265,0,'46','46',15,'image/jpeg',33268,'products/46.jpg','[]','2024-08-10 00:04:21','2024-08-10 00:04:21',NULL,'public'),(266,0,'47-1','47-1',15,'image/jpeg',33268,'products/47-1.jpg','[]','2024-08-10 00:04:21','2024-08-10 00:04:21',NULL,'public'),(267,0,'47','47',15,'image/jpeg',33268,'products/47.jpg','[]','2024-08-10 00:04:21','2024-08-10 00:04:21',NULL,'public'),(268,0,'48-1','48-1',15,'image/jpeg',33268,'products/48-1.jpg','[]','2024-08-10 00:04:21','2024-08-10 00:04:21',NULL,'public'),(269,0,'48-2','48-2',15,'image/jpeg',33268,'products/48-2.jpg','[]','2024-08-10 00:04:22','2024-08-10 00:04:22',NULL,'public'),(270,0,'48','48',15,'image/jpeg',33268,'products/48.jpg','[]','2024-08-10 00:04:22','2024-08-10 00:04:22',NULL,'public'),(271,0,'49-1','49-1',15,'image/jpeg',33268,'products/49-1.jpg','[]','2024-08-10 00:04:22','2024-08-10 00:04:22',NULL,'public'),(272,0,'49-2','49-2',15,'image/jpeg',33268,'products/49-2.jpg','[]','2024-08-10 00:04:22','2024-08-10 00:04:22',NULL,'public'),(273,0,'49','49',15,'image/jpeg',33268,'products/49.jpg','[]','2024-08-10 00:04:23','2024-08-10 00:04:23',NULL,'public'),(274,0,'5-1','5-1',15,'image/jpeg',33268,'products/5-1.jpg','[]','2024-08-10 00:04:23','2024-08-10 00:04:23',NULL,'public'),(275,0,'5-2','5-2',15,'image/jpeg',33268,'products/5-2.jpg','[]','2024-08-10 00:04:23','2024-08-10 00:04:23',NULL,'public'),(276,0,'5-3','5-3',15,'image/jpeg',33268,'products/5-3.jpg','[]','2024-08-10 00:04:23','2024-08-10 00:04:23',NULL,'public'),(277,0,'5','5',15,'image/jpeg',33268,'products/5.jpg','[]','2024-08-10 00:04:24','2024-08-10 00:04:24',NULL,'public'),(278,0,'50-1','50-1',15,'image/jpeg',33268,'products/50-1.jpg','[]','2024-08-10 00:04:24','2024-08-10 00:04:24',NULL,'public'),(279,0,'50','50',15,'image/jpeg',33268,'products/50.jpg','[]','2024-08-10 00:04:24','2024-08-10 00:04:24',NULL,'public'),(280,0,'51','51',15,'image/jpeg',33268,'products/51.jpg','[]','2024-08-10 00:04:24','2024-08-10 00:04:24',NULL,'public'),(281,0,'52-1','52-1',15,'image/jpeg',33268,'products/52-1.jpg','[]','2024-08-10 00:04:25','2024-08-10 00:04:25',NULL,'public'),(282,0,'52-2','52-2',15,'image/jpeg',33268,'products/52-2.jpg','[]','2024-08-10 00:04:25','2024-08-10 00:04:25',NULL,'public'),(283,0,'52','52',15,'image/jpeg',33268,'products/52.jpg','[]','2024-08-10 00:04:25','2024-08-10 00:04:25',NULL,'public'),(284,0,'53-1','53-1',15,'image/jpeg',33268,'products/53-1.jpg','[]','2024-08-10 00:04:25','2024-08-10 00:04:25',NULL,'public'),(285,0,'53','53',15,'image/jpeg',33268,'products/53.jpg','[]','2024-08-10 00:04:26','2024-08-10 00:04:26',NULL,'public'),(286,0,'54-1','54-1',15,'image/jpeg',33268,'products/54-1.jpg','[]','2024-08-10 00:04:26','2024-08-10 00:04:26',NULL,'public'),(287,0,'54','54',15,'image/jpeg',33268,'products/54.jpg','[]','2024-08-10 00:04:26','2024-08-10 00:04:26',NULL,'public'),(288,0,'55-1','55-1',15,'image/jpeg',33268,'products/55-1.jpg','[]','2024-08-10 00:04:26','2024-08-10 00:04:26',NULL,'public'),(289,0,'55-2','55-2',15,'image/jpeg',33268,'products/55-2.jpg','[]','2024-08-10 00:04:27','2024-08-10 00:04:27',NULL,'public'),(290,0,'55','55',15,'image/jpeg',33268,'products/55.jpg','[]','2024-08-10 00:04:27','2024-08-10 00:04:27',NULL,'public'),(291,0,'56-1','56-1',15,'image/jpeg',33268,'products/56-1.jpg','[]','2024-08-10 00:04:27','2024-08-10 00:04:27',NULL,'public'),(292,0,'56-2','56-2',15,'image/jpeg',33268,'products/56-2.jpg','[]','2024-08-10 00:04:27','2024-08-10 00:04:27',NULL,'public'),(293,0,'56','56',15,'image/jpeg',33268,'products/56.jpg','[]','2024-08-10 00:04:28','2024-08-10 00:04:28',NULL,'public'),(294,0,'57-1','57-1',15,'image/jpeg',33268,'products/57-1.jpg','[]','2024-08-10 00:04:28','2024-08-10 00:04:28',NULL,'public'),(295,0,'57','57',15,'image/jpeg',33268,'products/57.jpg','[]','2024-08-10 00:04:28','2024-08-10 00:04:28',NULL,'public'),(296,0,'58-1','58-1',15,'image/jpeg',33268,'products/58-1.jpg','[]','2024-08-10 00:04:28','2024-08-10 00:04:28',NULL,'public'),(297,0,'58-2','58-2',15,'image/jpeg',33268,'products/58-2.jpg','[]','2024-08-10 00:04:29','2024-08-10 00:04:29',NULL,'public'),(298,0,'58','58',15,'image/jpeg',33268,'products/58.jpg','[]','2024-08-10 00:04:29','2024-08-10 00:04:29',NULL,'public'),(299,0,'59-1','59-1',15,'image/jpeg',33268,'products/59-1.jpg','[]','2024-08-10 00:04:29','2024-08-10 00:04:29',NULL,'public'),(300,0,'59-2','59-2',15,'image/jpeg',33268,'products/59-2.jpg','[]','2024-08-10 00:04:29','2024-08-10 00:04:29',NULL,'public'),(301,0,'59-3','59-3',15,'image/jpeg',33268,'products/59-3.jpg','[]','2024-08-10 00:04:30','2024-08-10 00:04:30',NULL,'public'),(302,0,'59','59',15,'image/jpeg',33268,'products/59.jpg','[]','2024-08-10 00:04:30','2024-08-10 00:04:30',NULL,'public'),(303,0,'6','6',15,'image/jpeg',33268,'products/6.jpg','[]','2024-08-10 00:04:30','2024-08-10 00:04:30',NULL,'public'),(304,0,'60-1','60-1',15,'image/jpeg',33268,'products/60-1.jpg','[]','2024-08-10 00:04:30','2024-08-10 00:04:30',NULL,'public'),(305,0,'60-2','60-2',15,'image/jpeg',33268,'products/60-2.jpg','[]','2024-08-10 00:04:31','2024-08-10 00:04:31',NULL,'public'),(306,0,'60','60',15,'image/jpeg',33268,'products/60.jpg','[]','2024-08-10 00:04:31','2024-08-10 00:04:31',NULL,'public'),(307,0,'61-1','61-1',15,'image/jpeg',33268,'products/61-1.jpg','[]','2024-08-10 00:04:31','2024-08-10 00:04:31',NULL,'public'),(308,0,'61','61',15,'image/jpeg',33268,'products/61.jpg','[]','2024-08-10 00:04:32','2024-08-10 00:04:32',NULL,'public'),(309,0,'62-1','62-1',15,'image/jpeg',33268,'products/62-1.jpg','[]','2024-08-10 00:04:32','2024-08-10 00:04:32',NULL,'public'),(310,0,'62','62',15,'image/jpeg',33268,'products/62.jpg','[]','2024-08-10 00:04:32','2024-08-10 00:04:32',NULL,'public'),(311,0,'63-1','63-1',15,'image/jpeg',33268,'products/63-1.jpg','[]','2024-08-10 00:04:32','2024-08-10 00:04:32',NULL,'public'),(312,0,'63','63',15,'image/jpeg',33268,'products/63.jpg','[]','2024-08-10 00:04:33','2024-08-10 00:04:33',NULL,'public'),(313,0,'64-1','64-1',15,'image/jpeg',33268,'products/64-1.jpg','[]','2024-08-10 00:04:33','2024-08-10 00:04:33',NULL,'public'),(314,0,'64','64',15,'image/jpeg',33268,'products/64.jpg','[]','2024-08-10 00:04:33','2024-08-10 00:04:33',NULL,'public'),(315,0,'65-1','65-1',15,'image/jpeg',33268,'products/65-1.jpg','[]','2024-08-10 00:04:33','2024-08-10 00:04:33',NULL,'public'),(316,0,'65-2','65-2',15,'image/jpeg',33268,'products/65-2.jpg','[]','2024-08-10 00:04:34','2024-08-10 00:04:34',NULL,'public'),(317,0,'65','65',15,'image/jpeg',33268,'products/65.jpg','[]','2024-08-10 00:04:34','2024-08-10 00:04:34',NULL,'public'),(318,0,'7','7',15,'image/jpeg',33268,'products/7.jpg','[]','2024-08-10 00:04:34','2024-08-10 00:04:34',NULL,'public'),(319,0,'8-1','8-1',15,'image/jpeg',33268,'products/8-1.jpg','[]','2024-08-10 00:04:34','2024-08-10 00:04:34',NULL,'public'),(320,0,'8-2','8-2',15,'image/jpeg',33268,'products/8-2.jpg','[]','2024-08-10 00:04:35','2024-08-10 00:04:35',NULL,'public'),(321,0,'8-3','8-3',15,'image/jpeg',33268,'products/8-3.jpg','[]','2024-08-10 00:04:35','2024-08-10 00:04:35',NULL,'public'),(322,0,'8','8',15,'image/jpeg',33268,'products/8.jpg','[]','2024-08-10 00:04:35','2024-08-10 00:04:35',NULL,'public'),(323,0,'9-1','9-1',15,'image/jpeg',33268,'products/9-1.jpg','[]','2024-08-10 00:04:35','2024-08-10 00:04:35',NULL,'public'),(324,0,'9-2','9-2',15,'image/jpeg',33268,'products/9-2.jpg','[]','2024-08-10 00:04:36','2024-08-10 00:04:36',NULL,'public'),(325,0,'9','9',15,'image/jpeg',33268,'products/9.jpg','[]','2024-08-10 00:04:36','2024-08-10 00:04:36',NULL,'public'),(326,0,'1','1',16,'image/jpeg',9803,'customers/1.jpg','[]','2024-08-10 00:04:38','2024-08-10 00:04:38',NULL,'public'),(327,0,'10','10',16,'image/jpeg',9803,'customers/10.jpg','[]','2024-08-10 00:04:38','2024-08-10 00:04:38',NULL,'public'),(328,0,'2','2',16,'image/jpeg',9803,'customers/2.jpg','[]','2024-08-10 00:04:38','2024-08-10 00:04:38',NULL,'public'),(329,0,'3','3',16,'image/jpeg',9803,'customers/3.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(330,0,'4','4',16,'image/jpeg',9803,'customers/4.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(331,0,'5','5',16,'image/jpeg',9803,'customers/5.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(332,0,'6','6',16,'image/jpeg',9803,'customers/6.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(333,0,'7','7',16,'image/jpeg',9803,'customers/7.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(334,0,'8','8',16,'image/jpeg',9803,'customers/8.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public'),(335,0,'9','9',16,'image/jpeg',9803,'customers/9.jpg','[]','2024-08-10 00:04:39','2024-08-10 00:04:39',NULL,'public');
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'general',NULL,'general',0,'2024-08-10 00:03:28','2024-08-10 00:03:28',NULL),(2,0,'icons',NULL,'icons',0,'2024-08-10 00:03:31','2024-08-10 00:03:31',NULL),(3,0,'backgrounds',NULL,'backgrounds',0,'2024-08-10 00:03:34','2024-08-10 00:03:34',NULL),(5,0,'downloads',NULL,'downloads',0,'2024-08-10 00:03:37','2024-08-10 00:03:37',NULL),(6,0,'galleries',NULL,'galleries',0,'2024-08-10 00:03:37','2024-08-10 00:03:37',NULL),(7,0,'teams',NULL,'teams',0,'2024-08-10 00:03:39','2024-08-10 00:03:39',NULL),(8,0,'news',NULL,'news',0,'2024-08-10 00:03:41','2024-08-10 00:03:41',NULL),(9,0,'projects',NULL,'projects',0,'2024-08-10 00:03:47','2024-08-10 00:03:47',NULL),(10,0,'sliders',NULL,'sliders',0,'2024-08-10 00:03:49','2024-08-10 00:03:49',NULL),(11,0,'testimonials',NULL,'testimonials',0,'2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(12,0,'careers',NULL,'careers',0,'2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(13,0,'product-categories',NULL,'product-categories',0,'2024-08-10 00:03:50','2024-08-10 00:03:50',NULL),(14,0,'brands',NULL,'brands',0,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL),(15,0,'products',NULL,'products',0,'2024-08-10 00:03:51','2024-08-10 00:03:51',NULL),(16,0,'customers',NULL,'customers',0,'2024-08-10 00:04:38','2024-08-10 00:04:38',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,'/',NULL,0,'Home',NULL,'_self',1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,1,1,NULL,NULL,'https://apexa.archielite.com',NULL,0,'Business',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,1,1,NULL,NULL,'https://apexa-finance.archielite.com',NULL,0,'Finance',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,1,1,NULL,NULL,'https://apexa-consulting.archielite.com',NULL,0,'Consulting',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(5,1,1,NULL,NULL,'https://apexa-insurance.archielite.com',NULL,0,'Insurance',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(6,1,1,NULL,NULL,'https://apexa-digital-agency.archielite.com',NULL,0,'Digital Agency',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(7,1,1,NULL,NULL,'https://apexa-finance-solutions.archielite.com',NULL,0,'Finance Solutions',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(8,1,1,NULL,NULL,'https://apexa-accounting-services.archielite.com',NULL,0,'Accounting Services',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(9,1,1,NULL,NULL,'https://apexa-it-solutions.archielite.com',NULL,0,'IT Solutions',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(10,1,0,NULL,NULL,'/',NULL,0,'About Us',NULL,'_self',1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(11,1,10,4,'Botble\\Page\\Models\\Page','/business-about',NULL,0,'Business About',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(12,1,10,5,'Botble\\Page\\Models\\Page','/finance-about',NULL,0,'Finance About',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(13,1,10,6,'Botble\\Page\\Models\\Page','/consulting-about',NULL,0,'Consulting About',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(14,1,10,7,'Botble\\Page\\Models\\Page','/insurance-about',NULL,0,'Insurance About',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(15,1,10,8,'Botble\\Page\\Models\\Page','/digital-agency-about',NULL,0,'Digital agency About',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(16,1,0,NULL,NULL,'/',NULL,0,'Services',NULL,'_self',1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(17,1,16,9,'Botble\\Page\\Models\\Page','/services',NULL,0,'Business Service',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(18,1,16,10,'Botble\\Page\\Models\\Page','/finance-service',NULL,0,'Finance Service',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(19,1,16,11,'Botble\\Page\\Models\\Page','/consulting-service',NULL,0,'Consulting Service',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(20,1,16,13,'Botble\\Page\\Models\\Page','/insurance-service',NULL,0,'Insurance Service',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(21,1,16,12,'Botble\\Page\\Models\\Page','/digital-agency-service',NULL,0,'Digital Agency Service',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(22,1,16,NULL,NULL,'/services/data-analyst',NULL,0,'Service Details One',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(23,1,0,NULL,NULL,'/',NULL,0,'Pages',NULL,'_self',1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(24,1,23,NULL,NULL,'/careers',NULL,0,'Careers',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(25,1,23,NULL,NULL,'/careers/lead-backend-developer',NULL,0,'Career Details',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(26,1,23,14,'Botble\\Page\\Models\\Page','/team-one',NULL,0,'Team One',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(27,1,23,15,'Botble\\Page\\Models\\Page','/team-two',NULL,0,'Team Two',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(28,1,23,16,'Botble\\Page\\Models\\Page','/team-three',NULL,0,'Team Three',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(29,1,23,17,'Botble\\Page\\Models\\Page','/team-four',NULL,0,'Team Four',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(30,1,23,NULL,NULL,'/teams/devon-lane',NULL,0,'Team Details',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(31,1,23,NULL,NULL,'/projects/strategic-planning',NULL,0,'Project Details',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(32,1,23,NULL,NULL,'/products',NULL,0,'Product List',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(33,1,23,NULL,NULL,'/products/kelloggs-coco-pops-cereal-digital',NULL,0,'Product Details',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(34,1,23,NULL,NULL,'/404',NULL,0,'404 Error Page',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(35,1,23,NULL,NULL,'/login',NULL,0,'Login Page',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(36,1,23,NULL,NULL,'/resister',NULL,0,'Register Page',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(37,1,23,NULL,NULL,'/password/reset',NULL,0,'Forgot password Page',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(38,1,0,NULL,NULL,'/',NULL,0,'Blogs',NULL,'_self',1,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(39,1,38,3,'Botble\\Page\\Models\\Page','/blog',NULL,0,'Our Blog',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(40,1,38,NULL,NULL,'/the-art-of-negotiation-winning-deals-and-building-relationships',NULL,0,'Blog Details',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37'),(41,1,0,2,'Botble\\Page\\Models\\Page','/contact-us',NULL,0,'Contact Us',NULL,'_self',0,'2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'action_label','[\"Get The Plan Now\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,'action_url','[\"\\/contact-us\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(3,'action_label','[\"Get The Plan Now\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(4,'action_url','[\"\\/contact-us\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(5,'action_label','[\"Get The Plan Now\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(6,'action_url','[\"\\/contact-us\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-10 00:03:49','2024-08-10 00:03:49'),(7,'category','[\"Business Strategy\"]',1,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(8,'category','[\"Business Services\"]',2,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(9,'category','[\"Business Services\"]',3,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(10,'category','[\"Financing Management\"]',4,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(11,'category','[\"Inventory Tracking\"]',5,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(12,'category','[\"Financing Management\"]',6,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(13,'category','[\"Inventory Tracking\"]',7,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(14,'category','[\"Business Strategy\"]',8,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(15,'category','[\"Business Services\"]',9,'Botble\\Portfolio\\Models\\Project','2024-08-10 00:03:49','2024-08-10 00:03:49'),(16,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-10 00:03:49','2024-08-10 00:03:49'),(17,'icon','[\"ti ti-square-percentage\"]',2,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-10 00:03:49','2024-08-10 00:03:49'),(18,'icon','[\"ti ti-layers-subtract\"]',3,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-10 00:03:49','2024-08-10 00:03:49'),(19,'icon','[\"ti ti-timeline\"]',4,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-10 00:03:49','2024-08-10 00:03:49'),(20,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(21,'icon','[\"ti ti-calendar-week\"]',2,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(22,'icon','[\"ti ti-coin\"]',3,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(23,'icon','[\"ti ti-layers-subtract\"]',4,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(24,'icon','[\"ti ti-brand-databricks\"]',5,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(25,'icon','[\"ti ti-report-analytics\"]',6,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(26,'icon','[\"ti ti-moneybag\"]',7,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(27,'icon','[\"ti ti-layers-subtract\"]',8,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(28,'icon','[\"ti ti-moneybag\"]',9,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(29,'icon','[\"ti ti-heart-handshake\"]',10,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(30,'icon','[\"ti ti-code-circle\"]',11,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(31,'icon','[\"ti ti-presentation\"]',12,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(32,'icon','[\"ti ti-brand-funimation\"]',13,'Botble\\Portfolio\\Models\\Service','2024-08-10 00:03:49','2024-08-10 00:03:49'),(33,'subtitle','[\"We Are Expert In This Field\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(34,'button_label','[\"Free Consulting\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(35,'data_count','[15]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(36,'data_count_description','[\"Years of applying <br> digital transformation\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(37,'subtitle','[\"Actionable Analytics & Reporting\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(38,'button_label','[\"Learn More\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(39,'data_count','[25]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(40,'data_count_description','[\"Years Experiences <br> in this field\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-10 00:03:50','2024-08-10 00:03:50'),(41,'rating_star','[5]',1,'Botble\\Testimonial\\Models\\Testimonial','2024-08-10 00:03:50','2024-08-10 00:03:50'),(42,'rating_star','[5]',2,'Botble\\Testimonial\\Models\\Testimonial','2024-08-10 00:03:50','2024-08-10 00:03:50'),(43,'rating_star','[5]',3,'Botble\\Testimonial\\Models\\Testimonial','2024-08-10 00:03:50','2024-08-10 00:03:50'),(44,'rating_star','[5]',4,'Botble\\Testimonial\\Models\\Testimonial','2024-08-10 00:03:50','2024-08-10 00:03:50'),(45,'image','[\"careers\\/banner.jpg\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(46,'icon','[\"ti ti-chart-bar\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(47,'apply_url','[\"\\/contact-us\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(48,'image','[\"careers\\/banner.jpg\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(49,'icon','[\"ti ti-replace\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(50,'apply_url','[\"\\/contact-us\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(51,'image','[\"careers\\/banner.jpg\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(52,'icon','[\"ti ti-components\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(53,'apply_url','[\"\\/contact-us\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(54,'image','[\"careers\\/banner.jpg\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(55,'icon','[\"ti ti-brand-deezer\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(56,'apply_url','[\"\\/contact-us\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(57,'image','[\"careers\\/banner.jpg\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(58,'icon','[\"ti ti-video\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(59,'apply_url','[\"\\/contact-us\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(60,'image','[\"careers\\/banner.jpg\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(61,'icon','[\"ti ti-device-desktop-code\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(62,'apply_url','[\"\\/contact-us\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-10 00:03:50','2024-08-10 00:03:50'),(63,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',1,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(64,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',2,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(65,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',3,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(66,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',4,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(67,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',5,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(68,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',6,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(69,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',7,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(70,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',8,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(71,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',9,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(72,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',10,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(73,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',11,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(74,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',12,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(75,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',13,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(76,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',14,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(77,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',15,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(78,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',16,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(79,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',17,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(80,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',18,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(81,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',19,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(82,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',20,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(83,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',21,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(84,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',22,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(85,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',23,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(86,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',24,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(87,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',25,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(88,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',26,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(89,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',27,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(90,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',28,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(91,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',29,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(92,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',30,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(93,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',31,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(94,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',32,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(95,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',33,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(96,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',34,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(97,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',35,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(98,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',36,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(99,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',37,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(100,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',38,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(101,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',39,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(102,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',40,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(103,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',41,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:36','2024-08-10 00:04:36'),(104,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',42,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(105,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',43,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(106,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',44,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(107,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',45,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(108,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',46,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(109,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',47,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(110,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',48,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(111,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',49,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(112,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',50,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(113,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',51,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(114,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',52,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(115,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',53,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(116,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',54,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(117,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',55,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(118,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',56,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(119,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',57,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(120,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',58,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(121,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',59,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(122,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',60,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(123,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',61,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(124,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',62,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(125,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',63,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(126,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',64,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37'),(127,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',65,'Botble\\Ecommerce\\Models\\Product','2024-08-10 00:04:37','2024-08-10 00:04:37');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=201 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2015_06_18_033822_create_blog_table',1),(6,'2015_06_29_025744_create_audit_history',1),(7,'2016_06_10_230148_create_acl_tables',1),(8,'2016_06_14_230857_create_menus_table',1),(9,'2016_06_17_091537_create_contacts_table',1),(10,'2016_06_28_221418_create_pages_table',1),(11,'2016_10_03_032336_create_languages_table',1),(12,'2016_10_05_074239_create_setting_table',1),(13,'2016_10_07_193005_create_translations_table',1),(14,'2016_10_13_150201_create_galleries_table',1),(15,'2016_11_28_032840_create_dashboard_widget_tables',1),(16,'2016_12_16_084601_create_widgets_table',1),(17,'2017_05_09_070343_create_media_tables',1),(18,'2017_05_18_080441_create_payment_tables',1),(19,'2017_07_11_140018_create_simple_slider_table',1),(20,'2017_10_24_154832_create_newsletter_table',1),(21,'2017_11_03_070450_create_slug_table',1),(22,'2018_07_09_214610_create_testimonial_table',1),(23,'2018_07_09_221238_create_faq_table',1),(24,'2019_01_05_053554_create_jobs_table',1),(25,'2019_06_24_211801_create_career_table',1),(26,'2019_08_19_000000_create_failed_jobs_table',1),(27,'2019_11_18_061011_create_country_table',1),(28,'2019_12_14_000001_create_personal_access_tokens_table',1),(29,'2020_03_05_041139_create_ecommerce_tables',1),(30,'2021_01_01_044147_ecommerce_create_flash_sale_table',1),(31,'2021_01_17_082713_add_column_is_featured_to_product_collections_table',1),(32,'2021_01_18_024333_add_zip_code_into_table_customer_addresses',1),(33,'2021_02_16_092633_remove_default_value_for_author_type',1),(34,'2021_02_18_073505_update_table_ec_reviews',1),(35,'2021_03_10_024419_add_column_confirmed_at_to_table_ec_customers',1),(36,'2021_03_10_025153_change_column_tax_amount',1),(37,'2021_03_20_033103_add_column_availability_to_table_ec_products',1),(38,'2021_03_27_144913_add_customer_type_into_table_payments',1),(39,'2021_04_28_074008_ecommerce_create_product_label_table',1),(40,'2021_05_24_034720_make_column_currency_nullable',1),(41,'2021_05_31_173037_ecommerce_create_ec_products_translations',1),(42,'2021_08_09_161302_add_metadata_column_to_payments_table',1),(43,'2021_08_17_105016_remove_column_currency_id_in_some_tables',1),(44,'2021_08_30_142128_add_images_column_to_ec_reviews_table',1),(45,'2021_10_04_030050_add_column_created_by_to_table_ec_products',1),(46,'2021_10_05_122616_add_status_column_to_ec_customers_table',1),(47,'2021_10_19_020859_update_metadata_field',1),(48,'2021_10_25_021023_fix-priority-load-for-language-advanced',1),(49,'2021_11_03_025806_nullable_phone_number_in_ec_customer_addresses',1),(50,'2021_11_23_071403_correct_languages_for_product_variations',1),(51,'2021_11_28_031808_add_product_tags_translations',1),(52,'2021_12_01_031123_add_featured_image_to_ec_products',1),(53,'2021_12_03_030600_create_blog_translations',1),(54,'2021_12_03_075608_create_page_translations',1),(55,'2021_12_03_082134_create_faq_translations',1),(56,'2021_12_03_082953_create_gallery_translations',1),(57,'2021_12_03_083642_create_testimonials_translations',1),(58,'2021_12_03_084118_create_location_translations',1),(59,'2021_12_03_094518_migrate_old_location_data',1),(60,'2021_12_04_095357_create_careers_translations_table',1),(61,'2021_12_10_034440_switch_plugin_location_to_use_language_advanced',1),(62,'2022_01_01_033107_update_table_ec_shipments',1),(63,'2022_01_16_085908_improve_plugin_location',1),(64,'2022_02_16_042457_improve_product_attribute_sets',1),(65,'2022_03_22_075758_correct_product_name',1),(66,'2022_04_19_113334_add_index_to_ec_products',1),(67,'2022_04_19_113923_add_index_to_table_posts',1),(68,'2022_04_20_100851_add_index_to_media_table',1),(69,'2022_04_20_101046_add_index_to_menu_table',1),(70,'2022_04_28_144405_remove_unused_table',1),(71,'2022_04_30_034048_create_gallery_meta_translations_table',1),(72,'2022_05_05_115015_create_ec_customer_recently_viewed_products_table',1),(73,'2022_05_18_143720_add_index_to_table_ec_product_categories',1),(74,'2022_06_16_095633_add_index_to_some_tables',1),(75,'2022_06_28_151901_activate_paypal_stripe_plugin',1),(76,'2022_06_30_035148_create_order_referrals_table',1),(77,'2022_07_07_153354_update_charge_id_in_table_payments',1),(78,'2022_07_10_034813_move_lang_folder_to_root',1),(79,'2022_07_24_153815_add_completed_at_to_ec_orders_table',1),(80,'2022_08_04_051940_add_missing_column_expires_at',1),(81,'2022_08_04_052122_delete_location_backup_tables',1),(82,'2022_08_14_032836_create_ec_order_returns_table',1),(83,'2022_08_14_033554_create_ec_order_return_items_table',1),(84,'2022_08_15_040324_add_billing_address',1),(85,'2022_08_30_091114_support_digital_products_table',1),(86,'2022_09_01_000001_create_admin_notifications_tables',1),(87,'2022_09_13_095744_create_options_table',1),(88,'2022_09_13_104347_create_option_value_table',1),(89,'2022_10_05_163518_alter_table_ec_order_product',1),(90,'2022_10_12_041517_create_invoices_table',1),(91,'2022_10_12_142226_update_orders_table',1),(92,'2022_10_13_024916_update_table_order_returns',1),(93,'2022_10_14_024629_drop_column_is_featured',1),(94,'2022_10_21_030830_update_columns_in_ec_shipments_table',1),(95,'2022_10_28_021046_update_columns_in_ec_shipments_table',1),(96,'2022_11_02_092723_team_create_team_table',1),(97,'2022_11_16_034522_update_type_column_in_ec_shipping_rules_table',1),(98,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(99,'2022_11_19_041643_add_ec_tax_product_table',1),(100,'2022_12_02_093615_update_slug_index_columns',1),(101,'2022_12_12_063830_update_tax_defadult_in_ec_tax_products_table',1),(102,'2022_12_17_041532_fix_address_in_order_invoice',1),(103,'2022_12_26_070329_create_ec_product_views_table',1),(104,'2023_01_04_033051_fix_product_categories',1),(105,'2023_01_09_050400_add_ec_global_options_translations_table',1),(106,'2023_01_10_093754_add_missing_option_value_id',1),(107,'2023_01_17_082713_add_column_barcode_and_cost_per_item_to_product_table',1),(108,'2023_01_26_021854_add_ec_customer_used_coupons_table',1),(109,'2023_01_30_024431_add_alt_to_media_table',1),(110,'2023_02_08_015900_update_options_column_in_ec_order_product_table',1),(111,'2023_02_16_042611_drop_table_password_resets',1),(112,'2023_02_27_095752_remove_duplicate_reviews',1),(113,'2023_03_20_115757_add_user_type_column_to_ec_shipment_histories_table',1),(114,'2023_04_21_082427_create_ec_product_categorizables_table',1),(115,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(116,'2023_04_23_061847_increase_state_translations_abbreviation_column',1),(117,'2023_05_03_011331_add_missing_column_price_into_invoice_items_table',1),(118,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(119,'2023_05_17_025812_fix_invoice_issue',1),(120,'2023_05_26_073140_move_option_make_phone_field_optional_at_checkout_page_to_mandatory_fields',1),(121,'2023_05_27_144611_fix_exchange_rate_setting',1),(122,'2023_06_22_084331_add_generate_license_code_to_ec_products_table',1),(123,'2023_06_30_042512_create_ec_order_tax_information_table',1),(124,'2023_07_06_011444_create_slug_translations_table',1),(125,'2023_07_14_022724_remove_column_id_from_ec_product_collection_products',1),(126,'2023_07_25_072632_create_portfolio_tables',1),(127,'2023_07_26_041451_add_more_columns_to_location_table',1),(128,'2023_07_27_041451_add_more_columns_to_location_translation_table',1),(129,'2023_08_03_041207_remove_unused_plugins',1),(130,'2023_08_06_070140_fix_shortcode_name',1),(131,'2023_08_09_012940_remove_column_status_in_ec_product_attributes',1),(132,'2023_08_09_035520_activate_business_services_plugin',1),(133,'2023_08_10_030324_migrate_old_shortcodes',1),(134,'2023_08_11_060908_create_announcements_table',1),(135,'2023_08_11_094574_update_team_table',1),(136,'2023_08_15_064505_create_ec_tax_rules_table',1),(137,'2023_08_15_073307_drop_unique_in_states_cities_translations',1),(138,'2023_08_21_021819_make_column_address_in_ec_customer_addresses_nullable',1),(139,'2023_08_21_090810_make_page_content_nullable',1),(140,'2023_08_22_094114_drop_unique_for_barcode',1),(141,'2023_08_29_074620_make_column_author_id_nullable',1),(142,'2023_08_29_075308_make_column_user_id_nullable',1),(143,'2023_08_30_031811_add_apply_via_url_column_to_ec_discounts_table',1),(144,'2023_09_07_094312_add_index_to_product_sku_and_translations',1),(145,'2023_09_11_023233_create_pf_custom_fields_table',1),(146,'2023_09_13_042633_add_columns_to_pf_projects_table',1),(147,'2023_09_13_044041_create_pf_project_categories_table',1),(148,'2023_09_14_021936_update_index_for_slugs_table',1),(149,'2023_09_14_022423_add_index_for_language_table',1),(150,'2023_09_19_024955_create_discount_product_categories_table',1),(151,'2023_09_20_050420_add_missing_translation_column',1),(152,'2023_09_22_061723_create_custom_fields_translations_table',1),(153,'2023_09_22_343531_remove_project_categories_table',1),(154,'2023_10_17_070728_add_icon_and_icon_image_to_product_categories_table',1),(155,'2023_10_21_065016_make_state_id_in_table_cities_nullable',1),(156,'2023_11_05_081701_fix_projects_table',1),(157,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',1),(158,'2023_11_14_033417_change_request_column_in_table_audit_histories',1),(159,'2023_11_17_063408_add_description_column_to_faq_categories_table',1),(160,'2023_11_22_154643_add_unique_in_table_ec_products_variations',1),(161,'2023_11_27_032313_add_price_columns_to_ec_product_cross_sale_relations_table',1),(162,'2023_11_30_085354_add_missing_description_to_team',1),(163,'2023_12_06_023945_add_display_on_checkout_column_to_ec_discounts_table',1),(164,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(165,'2023_12_12_105220_drop_translations_table',1),(166,'2023_12_17_162208_make_sure_column_color_in_media_folders_nullable',1),(167,'2023_12_25_040604_ec_create_review_replies_table',1),(168,'2023_12_26_090340_add_private_notes_column_to_ec_customers_table',1),(169,'2024_01_07_072057_update_theme_option_for_login_page',1),(170,'2024_01_16_050056_create_comments_table',1),(171,'2024_01_16_070706_fix_translation_tables',1),(172,'2024_01_23_075227_add_proof_file_to_ec_orders_table',1),(173,'2024_03_20_080001_migrate_change_attribute_email_to_nullable_form_contacts_table',1),(174,'2024_03_25_000001_update_captcha_settings_for_contact',1),(175,'2024_03_25_000001_update_captcha_settings_for_newsletter',1),(176,'2024_03_26_041531_add_cancel_reason_to_ec_orders_table',1),(177,'2024_03_27_062402_create_ec_customer_deletion_requests_table',1),(178,'2024_03_29_042242_migrate_old_captcha_settings',1),(179,'2024_03_29_093946_create_ec_order_return_histories_table',1),(180,'2024_04_01_063523_add_customer_columns_to_ec_reviews_table',1),(181,'2024_04_04_110758_update_value_column_in_user_meta_table',1),(182,'2024_04_15_092654_migrate_ecommerce_google_tag_manager_code_setting',1),(183,'2024_04_16_035713_add_min_max_order_quantity_columns_to_products_table',1),(184,'2024_04_19_063914_create_custom_fields_table',1),(185,'2024_04_27_100730_improve_analytics_setting',1),(186,'2024_05_07_073153_improve_table_wishlist',1),(187,'2024_05_07_093703_add_missing_zip_code_into_table_store_locators',1),(188,'2024_05_12_091229_add_column_visibility_to_table_media_files',1),(189,'2024_05_15_021503_fix_invoice_path',1),(190,'2024_05_16_060328_add_projects_translations_table',1),(191,'2024_06_20_160724_create_ec_shared_wishlists_table',1),(192,'2024_06_28_025104_add_notify_attachment_updated_column_to_ec_products_table',1),(193,'2024_07_03_030900_add_downloaded_at_column_to_ec_order_product_table',1),(194,'2024_07_04_083133_create_payment_logs_table',1),(195,'2024_07_07_091316_fix_column_url_in_menu_nodes_table',1),(196,'2024_07_12_100000_change_random_hash_for_media',1),(197,'2024_07_14_071826_make_customer_email_nullable',1),(198,'2024_07_15_104916_add_video_media_column_to_ec_products_table',1),(199,'2024_07_26_052530_add_percentage_to_tax_rules_table',1),(200,'2024_07_30_091615_fix_order_column_in_categories_table',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Homepage','[simple-slider style=&quot;style-2&quot; key=&quot;home-slider&quot;][/simple-slider][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;#FFFBF3&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][services style=&quot;style-5&quot; title=&quot;The Best Of Product &lt;br&gt; Your Business&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/services][testimonials style=&quot;style-2&quot; title=&quot;What Our Loving Clients Saying&quot; subtitle=&quot;CLIENTS TESTIMONIAL&quot; testimonial_ids=&quot;1,2,3,4&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][about-us-information style=&quot;style-6&quot; title=&quot;We provide comprehensive financial solutions and platform for your business&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-6-1.png&quot; image_1=&quot;general/about-us-information-6-3.png&quot; image_2=&quot;general/about-us-information-6-2.png&quot; quantity=&quot;2&quot; title_1=&quot;Team Support&quot; description_1=&quot;Apexa helps youcona doing tempor incididunt.&quot; icon_1=&quot;ti ti-24-hours&quot; title_2=&quot;Financial Experts&quot; description_2=&quot;Apexa helps youcona doing tempor incididunt.&quot; icon_2=&quot;ti ti-report-money&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][contact-block style=&quot;style-3&quot; title=&quot;We offer specialized financial guidance tailored to both businesses and individuals.&quot; subtitle=&quot;Empowering Businesses through Strategic Consulting With Us&quot; button_label=&quot;See All Services&quot; button_url=&quot;/services&quot; background_image=&quot;backgrounds/contact-block-bg-3.png&quot; background_color=&quot;rgb(20, 23, 108)&quot;][/contact-block][team style=&quot;style-5&quot; title=&quot;Meet Our Amazing Team&quot; subtitle=&quot;Financial Experts&quot; team_ids=&quot;1,2,3,4&quot; button_label=&quot;Contact Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][faqs title=&quot;Frequently asked questions&quot; description=&quot;Our power of choice is untrammelled and when nothing preventsbeing able to do what we like best every pleasure.&quot; image=&quot;general/faq.png&quot; faq_category_ids=&quot;1,2,3&quot; limit=&quot;3&quot; floating_block_icon=&quot;ti ti-24-hours&quot; floating_block_title=&quot;Need more help?&quot; floating_block_description=&quot;Feeling inquisitive? Have a read through some of our FAQs or contact our Supporters for help&quot; enable_lazy_loading=&quot;yes&quot;][/faqs][about-us-information style=&quot;style-14&quot; title=&quot;Want to talk to a marketing expert?&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master.&quot; image=&quot;general/about-us-information-14.png&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; button_label=&quot;Read more&quot; button_url=&quot;/contact-us&quot; background_color=&quot;rgb(236, 246, 250)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][blog-posts style=&quot;style-1&quot; category_ids=&quot;2,3,4,5&quot; title=&quot;Featured News And Insights&quot; subtitle=&quot;OUR BLOG UPDATE&quot; limit=&quot;3&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/blog-posts]',1,NULL,'homepage',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,'Contact Us','<br><br><br><br><div>[google-map height=\"500\"]Awamileaug Drive, Kensington London, UK[/google-map]</div>[contact-form display_fields=\"phone,email,subject,address\" mandatory_fields=\"email\" title=\"How can we help you?\" description=\"When an unknown printer took a galley of type and scrambled it to make type pecimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker\" quantity=\"3\" title_1=\"Address\" icon_1=\"ti ti-map-pin\" description_1=\"Awamileaug Drive, Kensington London, UK\" title_2=\"Phone\" icon_2=\"ti ti-phone-call\" description_2=\"+48 500-130-0001\" title_3=\"E-mail\" icon_3=\"ti ti-mail\" description_3=\"info@gmail.com\" form_title=\"Give Us a Message\" form_description=\"Your email address will not be published. Required fields are marked *\" form_button_label=\"Submit Post\"][/contact-form]',1,NULL,NULL,NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,'Blog','',1,NULL,NULL,NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,'Business About','[about-us-information style=&quot;style-11&quot; title=&quot;We Help Organizations To Make Ultimate Businesses Growth Success&quot; subtitle=&quot;SIMPLY KNOW ABOUT&quot; description=&quot;We successfully cope with tasks of varying complexityprovide longerty term guarantees and regularly master new Practice Area technol ogiesOur portfolio includes dozen&quot; image=&quot;general/about-us-information-11.jpg&quot; image_1=&quot;general/about-us-information-11-1.jpg&quot; image_2=&quot;general/about-us-information-11-2.png&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;15+&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; button_label=&quot;Contact With Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands][about-us-information style=&quot;style-12&quot; title=&quot;Digital Solutions For Your Online Business&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur.&quot; quantity=&quot;4&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-histogram&quot; title_2=&quot;Finance Planning&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-building-bank&quot; title_3=&quot;Market Analysis&quot; description_3=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_3=&quot;ti ti-ad-2&quot; title_4=&quot;Business Solutions&quot; description_4=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_4=&quot;ti ti-box-model&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][team style=&quot;style-4&quot; title=&quot;Business Expertise Is Here For You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(5,'Finance About','[about-us-information style=&quot;style-13&quot; title=&quot;Dedicated Teams &lt;br&gt; &lt;span&gt;Always&lt;/span&gt; Bring Something &lt;span&gt;Good&lt;/span&gt;&quot; description=&quot;We when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only fiveawe centuriesbut also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release offer Letraset when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only &quot; image=&quot;general/about-us-information-13.jpg&quot; quantity=&quot;6&quot; data_count=&quot;25&quot; data_count_description=&quot;Years of experience&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(6,'Consulting About','[about-us-information style=&quot;style-3&quot; title=&quot;Providing Expert Advice On Business Consulting, Planning &amp; Success&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-3-1.jpg&quot; image_1=&quot;general/about-us-information-3-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Business Growth&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure&quot; data_count=&quot;25&quot; data_count_description=&quot;YEARS &lt;br&gt; EXPERIENCE &lt;br&gt; IN CONSULTING&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; contact_title=&quot;+123 8989 444&quot; contact_subtitle=&quot;Hot Line Number&quot; contact_url=&quot;tel:+123 8989444&quot; contact_icon=&quot;ti ti-phone-call&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(7,'Insurance About','[about-us-information style=&quot;style-4&quot; title=&quot;Insurance For The Better Family &amp; Corporate Life&quot; subtitle=&quot;ABOUT US&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-4-1.jpg&quot; image_1=&quot;general/about-us-information-4-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;25&quot; data_count_description=&quot;Years Experience &lt;br&gt;  in This Field&quot; button_label=&quot;Quick Contact Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][testimonials style=&quot;style-1&quot; image=&quot;general/testimonials-4-1.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(8,'Digital Agency About','<br><br><br><br>[about-us-information style=&quot;style-5&quot; title=&quot;Business Growth Creativity Meet Our Agency&#039;s Experts&quot; subtitle=&quot;ABOUT COMPANY&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master. We successfully cope varying complexity provide area longerty guarantees.&quot; image=&quot;general/about-us-information-5.jpg&quot; image_1=&quot;general/about-us-information-5-1.png&quot; data_count=&quot;15&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; quantity=&quot;4&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; title_4=&quot;100% Money Growth&quot; button_label=&quot;Contact with Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][services style=&quot;style-3&quot; title=&quot;Transforming Your Business With Technology&quot; subtitle=&quot;SPECIAL FEATURES&quot; service_ids=&quot;1,2,7&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/services][testimonials style=&quot;style-2&quot; title=&quot;What Our Loving Clients Saying&quot; subtitle=&quot;CLIENTS TESTIMONIAL&quot; testimonial_ids=&quot;1,2,3&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(9,'Services','[services style=&quot;style-1&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(10,'Finance Service','[services style=&quot;style-2&quot; title=&quot;Let&rsquo;s Discover Our Service &lt;br&gt; Features Charter&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_color=&quot;#14176C&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(11,'Consulting Service','[services style=&quot;style-3&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(12,'Digital Agency Service','[services style=&quot;style-6&quot; title=&quot;We Do World Class Work For You&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(13,'Insurance Service','[services-tab title=&quot;Discover Our Insurance Services For All&quot; subtitle=&quot;WHAT WE OFFER&quot; quantity=&quot;6&quot; service_id_1=&quot;1&quot; title_1=&quot;Data Analyst&quot; description_1=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_1=&quot;Business Growth&quot; featured_title_2_1=&quot;100% Secure&quot; featured_title_3_1=&quot;Business Growth&quot; service_id_2=&quot;8&quot; title_2=&quot;Strategy Adviser&quot; description_2=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_2=&quot;Business Growth&quot; featured_title_2_2=&quot;Analysis &amp; Research&quot; featured_title_3_2=&quot;100% Secure&quot; service_id_3=&quot;2&quot; title_3=&quot;Liability Planner&quot; description_3=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_3=&quot;Business Growth&quot; featured_title_2_3=&quot;Analysis &amp; Research&quot; featured_title_3_3=&quot;100% Secure&quot; service_id_4=&quot;12&quot; title_4=&quot;Growth Planner&quot; description_4=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_4=&quot;Business Growth&quot; featured_title_2_4=&quot;Analysis &amp; Research&quot; featured_title_3_4=&quot;100% Secure&quot; service_id_5=&quot;7&quot; title_5=&quot;Insurance Expert&quot; description_5=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_5=&quot;Business Growth&quot; featured_title_2_5=&quot;Analysis &amp; Research&quot; featured_title_3_5=&quot;100% Secure&quot; service_id_6=&quot;10&quot; title_6=&quot;Operations Expert&quot; description_6=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_6=&quot;Business Growth&quot; featured_title_2_6=&quot;Analysis &amp; Research&quot; featured_title_3_6=&quot;100% Secure&quot; button_label=&quot;See More Services&quot; button_url=&quot;/services&quot; background_image=&quot;backgrounds/services-bg-3.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services-tab]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(14,'Team One','[team style=\"style-1\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"transparent\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(15,'Team Two','[team style=\"style-2\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(16,'Team Three','[team style=\"style-3\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(17,'Team Four','[team style=\"style-4\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(18,'How Its Work','[instruction-steps title=\"Engage With Us For Financial And Accounting Services With This Step-By-Step Guide\" description=\"Discover how our company can help your business with our comprehensive financial and accounting services. From bookkeeping to tax planning, we have you covered. Contact us today to get started.\" quantity=\"3\" title_1=\"Step 1: Initial Consultation\" description_1=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_1=\"ti ti-chart-pie\" button_label_1=\"Read More\" button_url_1=\"/contact-us\" title_2=\"Step 2: Initial Consultation\" description_2=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_2=\"ti ti-bulb\" button_label_2=\"Read more\" button_url_2=\"/contact-us\" title_3=\"Step 3: Initial Consultation\" description_3=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_3=\"ti ti-rocket\" button_label_3=\"Read More\" button_url_3=\"/contact-us\" background_color=\"rgb(20, 23, 108)\"][/instruction-steps]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(19,'Pricing','[pricing title=\"We’ve Offered The Best Pricing For You\" subtitle=\"FLEXIBLE PRICING PLAN\" package_ids=\"1,2,3\" background_image=\"backgrounds/blog-posts-bg.jpg\" enable_lazy_loading=\"yes\"][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37'),(20,'Testimonials','[testimonials style=\"style-2\" title=\"What Our Loving Clients Saying\" subtitle=\"CLIENTS TESTIMONIAL\" testimonial_ids=\"1,2,3\" background_color=\"rgb(20, 23, 108)\" enable_lazy_loading=\"yes\"][/testimonials]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_logs`
--

DROP TABLE IF EXISTS `payment_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `response` longtext COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_logs`
--

LOCK TABLES `payment_logs` WRITE;
/*!40000 ALTER TABLE `payment_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `payment_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `currency` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `charge_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_channel` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'pending',
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'confirm',
  `customer_id` bigint unsigned DEFAULT NULL,
  `refunded_amount` decimal(15,2) unsigned DEFAULT NULL,
  `refund_note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options`
--

DROP TABLE IF EXISTS `pf_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_field_options_custom_field_id_index` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options`
--

LOCK TABLES `pf_custom_field_options` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options` DISABLE KEYS */;
INSERT INTO `pf_custom_field_options` VALUES (1,1,'Health Insurance','Health Insurance',999,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,1,'Travel Insurance','Travel Insurance',999,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(3,1,'Vehicle Insurance','Vehicle Insurance',999,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(4,1,'Cargo Insurance','Cargo Insurance',999,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(5,1,'Fire Insurance','Fire Insurance',999,'2024-08-10 00:03:49','2024-08-10 00:03:49');
/*!40000 ALTER TABLE `pf_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options_translations`
--

DROP TABLE IF EXISTS `pf_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_field_options_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options_translations`
--

LOCK TABLES `pf_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields`
--

DROP TABLE IF EXISTS `pf_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_fields_author_type_author_id_index` (`author_type`,`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields`
--

LOCK TABLES `pf_custom_fields` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields` DISABLE KEYS */;
INSERT INTO `pf_custom_fields` VALUES (1,'Botble\\ACL\\Models\\User',1,'Type',NULL,0,'dropdown',999,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,'Botble\\ACL\\Models\\User',1,'Price',NULL,0,'number',999,'published','2024-08-10 00:03:49','2024-08-10 00:03:49');
/*!40000 ALTER TABLE `pf_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields_translations`
--

DROP TABLE IF EXISTS `pf_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_fields_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields_translations`
--

LOCK TABLES `pf_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages`
--

DROP TABLE IF EXISTS `pf_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages`
--

LOCK TABLES `pf_packages` WRITE;
/*!40000 ALTER TABLE `pf_packages` DISABLE KEYS */;
INSERT INTO `pf_packages` VALUES (1,'Basic Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$19','$119','monthly','+ 100 User Activities\n+ Limit Access\n+ No Hidden Charge\n+ 01 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,'Team Plan','All the basics for businesses that are just getting started.','<p>This is package content</p>\n','$49','$499','monthly','+ 1000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 03 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',1,'2024-08-10 00:03:49','2024-08-10 00:03:49'),(3,'Enterprise Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$99','$999','monthly','+ 5000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 10 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-10 00:03:49','2024-08-10 00:03:49');
/*!40000 ALTER TABLE `pf_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages_translations`
--

DROP TABLE IF EXISTS `pf_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages_translations`
--

LOCK TABLES `pf_packages_translations` WRITE;
/*!40000 ALTER TABLE `pf_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects`
--

DROP TABLE IF EXISTS `pf_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `place` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects`
--

LOCK TABLES `pf_projects` WRITE;
/*!40000 ALTER TABLE `pf_projects` DISABLE KEYS */;
INSERT INTO `pf_projects` VALUES (1,'Innovation Hub: Navigating the Future','Gain invaluable insights into strategic business planning and decision-making through our comprehensive program. Unlock the power of data-driven strategies for sustainable growth.','<p>We are excited to introduce you to Innovation Hub: Navigating the Future, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Innovation Hub: Navigating the Future</span>?</h2>\n<p>\n    Choosing <span>Innovation Hub: Navigating the Future</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Paris','Grace Williams',0,'projects/1.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Ms. Mertie Schmeler','2007-05-30'),(2,'Leadership Excellence Initiative','Join us at the Innovation Hub, where we explore cutting-edge technologies and trends shaping the future of business. Discover innovative solutions and stay ahead of the curve.','<p>We are excited to introduce you to Leadership Excellence Initiative, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Leadership Excellence Initiative</span>?</h2>\n<p>\n    Choosing <span>Leadership Excellence Initiative</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','Michael Turner',0,'projects/2.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Sylvia Strosin','2002-04-06'),(3,'Startup Accelerator Program','Accelerate your startup’s growth with our intensive program. From idea to market entry, we provide mentorship, resources, and networking opportunities for success.','<p>We are excited to introduce you to Startup Accelerator Program, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Startup Accelerator Program</span>?</h2>\n<p>\n    Choosing <span>Startup Accelerator Program</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thailand','David Chen',0,'projects/3.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Sierra Fay','2001-08-12'),(4,'Marketing Mastery Series','Master the art of marketing with our comprehensive series. From branding to digital marketing, this series equips you with the skills to captivate your audience.','<p>We are excited to introduce you to Marketing Mastery Series, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Mastery Series</span>?</h2>\n<p>\n    Choosing <span>Marketing Mastery Series</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Japan','Takashi Hamachi',0,'projects/4.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Dr. Luciano Bins Sr.','1981-02-16'),(5,'Illustration Design','Pariatur nihil illo debitis. Sit aliquam architecto sed quo odit vel id. Voluptatem quam et dolore velit voluptate aut. Iusto aspernatur libero sed vero numquam voluptatem.','<p>We are excited to introduce you to Illustration Design, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Illustration Design</span>?</h2>\n<p>\n    Choosing <span>Illustration Design</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','David Kane',0,'projects/5.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Roselyn Powlowski','2002-05-25'),(6,'Design & Development','Quo quo ea dolorem. Quibusdam similique recusandae iusto est qui. Nulla sapiente aliquam eum sit nemo unde porro. Occaecati eos laudantium est sint assumenda.','<p>We are excited to introduce you to Design & Development, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Design & Development</span>?</h2>\n<p>\n    Choosing <span>Design & Development</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Canada','Franks Doe',0,'projects/6.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Asia Oberbrunner','2003-11-14'),(7,'Marketing Consultancy','Dolorem quia doloribus nemo veritatis. Quasi quibusdam ut voluptatem velit perferendis. Assumenda possimus animi dignissimos sed illo voluptatem aut.','<p>We are excited to introduce you to Marketing Consultancy, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Consultancy</span>?</h2>\n<p>\n    Choosing <span>Marketing Consultancy</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','India','Alexander Kavas',0,'projects/7.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Jessyca Brown','2019-03-04'),(8,'Digital Marketing','Quod possimus deleniti culpa exercitationem. Quibusdam aut est nihil aut. Voluptate at aut qui repellat cupiditate at.','<p>We are excited to introduce you to Digital Marketing, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Digital Marketing</span>?</h2>\n<p>\n    Choosing <span>Digital Marketing</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Brazil','Roby Elexa',0,'projects/8.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Taurean Miller Jr.','2001-02-14'),(9,'Strategic Planning','Sint non at odit perspiciatis et cum eos. Ipsum inventore libero ut hic consectetur rerum.','<p>We are excited to introduce you to Strategic Planning, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Strategic Planning</span>?</h2>\n<p>\n    Choosing <span>Strategic Planning</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thai Lan','Nicola Per',0,'projects/9.jpg',NULL,0,'published','2024-08-10 00:03:49','2024-08-10 00:03:49','Mrs. Sunny Langosh PhD','2010-05-12');
/*!40000 ALTER TABLE `pf_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects_translations`
--

DROP TABLE IF EXISTS `pf_projects_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_projects_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects_translations`
--

LOCK TABLES `pf_projects_translations` WRITE;
/*!40000 ALTER TABLE `pf_projects_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_projects_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_quotes`
--

DROP TABLE IF EXISTS `pf_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_quotes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_quotes`
--

LOCK TABLES `pf_quotes` WRITE;
/*!40000 ALTER TABLE `pf_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories`
--

DROP TABLE IF EXISTS `pf_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories`
--

LOCK TABLES `pf_service_categories` WRITE;
/*!40000 ALTER TABLE `pf_service_categories` DISABLE KEYS */;
INSERT INTO `pf_service_categories` VALUES (1,NULL,'Financial Analysis','Similique aut qui velit qui. Reprehenderit et sed ut quia at aut. Esse quo velit dolorum laborum ut corporis. Vel magni consequatur a et rerum rerum dolore illo. Voluptatem amet corporis itaque optio quia deleniti. Libero ut illum voluptatem doloribus distinctio reiciendis et. Minus laboriosam labore dolor repellendus sed reprehenderit consequatur tenetur.',NULL,1,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,NULL,'Tax Strategy','Quia ex et dignissimos incidunt ab reprehenderit et. Deserunt quas nihil dolorem nihil aliquam. Iusto quae esse est est veniam. Dignissimos odit natus tempore hic voluptatem delectus.',NULL,2,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(3,NULL,'Market Research','Non qui aut deleniti placeat neque aut alias. Magni voluptas nemo ipsam deserunt qui animi temporibus. Numquam aut sed ut nesciunt praesentium in nihil. Dolores laudantium iusto omnis voluptatem illum ut ullam. Sint cupiditate rem vel sed accusamus.',NULL,3,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(4,NULL,'Business Strategy','Eos error dolores sequi. Id unde temporibus nostrum animi sequi. Iusto possimus et praesentium esse. Tempora incidunt est rem sequi. Velit sunt quidem et et sit excepturi. Eos cum accusamus impedit expedita. Commodi et quidem ab et occaecati est. Voluptatem sed nisi consequuntur qui qui cupiditate voluptatum.',NULL,4,'published','2024-08-10 00:03:49','2024-08-10 00:03:49');
/*!40000 ALTER TABLE `pf_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories_translations`
--

DROP TABLE IF EXISTS `pf_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`pf_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories_translations`
--

LOCK TABLES `pf_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `pf_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services`
--

DROP TABLE IF EXISTS `pf_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services`
--

LOCK TABLES `pf_services` WRITE;
/*!40000 ALTER TABLE `pf_services` DISABLE KEYS */;
INSERT INTO `pf_services` VALUES (1,4,'Data Analyst','Dolores quod quos quibusdam et rerum aliquam. Sit magni aliquam at nesciunt. Soluta eos nobis voluptas odit aliquam explicabo. Voluptas sit iure consequatur molestias.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/1.jpg','[\"news\\/1.jpg\"]',4203,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(2,2,'Liability Planner','Ipsam quae voluptatibus aut est voluptas tempore. Similique qui autem quae quo. Expedita quo harum quia quos consequatur iusto. Eos ut culpa rerum.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/3.jpg','[\"news\\/3.jpg\"]',3145,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(3,4,'Growth Planner','Harum ipsam voluptas voluptatibus dolorum. Doloremque consequatur rerum nihil quo aut. Voluptas voluptatem mollitia vel odio. Quod consequatur itaque quasi praesentium quae.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/2.jpg\"]',3654,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(4,3,'Risk Manager','Neque non ducimus et ullam. Nostrum rerum nostrum ut et quo sit doloremque. Velit ut temporibus officia assumenda culpa aut aliquam qui. Voluptatem nostrum facilis necessitatibus illum nobis.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',6050,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(5,1,'Retirement Planner','Commodi consequatur ut aut velit deleniti quam iste. Fugit delectus earum voluptas expedita adipisci ducimus. Est ducimus voluptatem repellat.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/4.jpg','[\"news\\/3.jpg\"]',4174,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(6,4,'Risk Analyst','Optio ad velit et sapiente fugit et. Culpa est necessitatibus doloremque ut. Magni facere beatae facilis quis quas vero iure. Itaque praesentium assumenda ut sint beatae in accusantium.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/2.jpg\"]',2943,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(7,1,'Insurance Expert','Aut praesentium dolore voluptatibus omnis. Et omnis et dolorem vero. Sed voluptatum consequuntur sunt adipisci ut quaerat est. Quisquam aut quaerat provident earum sit.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/4.jpg\"]',4071,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(8,2,'Budget Manager','Rem quo voluptatum sunt optio natus quis. Deleniti ullam aut voluptatum nesciunt ab qui eos. Veritatis doloremque ipsa omnis qui consequatur.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',9196,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(9,2,'Strategy Adviser','Eos exercitationem dolores non laudantium. Et saepe suscipit ad quasi.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',2408,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(10,1,'Operations Expert','Et tenetur voluptatem velit provident iure. Quia ut in nesciunt. Qui sequi voluptate laborum ut consequatur et eveniet.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',5034,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(11,4,'Profit Strategist','Rerum itaque aspernatur enim ratione aperiam soluta. Iure neque iusto sunt sapiente temporibus praesentium. Deleniti atque ducimus non rerum quos repellat quo delectus.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/1.jpg','[\"news\\/4.jpg\"]',3486,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(12,4,'Objective Planner','Quod deleniti vel sed ratione praesentium. Similique minus est est cum quas eum. Dolore hic facere accusamus inventore recusandae aspernatur laborum sunt.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/4.jpg\"]',1065,'published','2024-08-10 00:03:49','2024-08-10 00:03:49'),(13,4,'Goal Specialist','Recusandae est velit deserunt hic aut cupiditate. Dolor sequi ipsum reiciendis facilis possimus totam. Dolorem possimus debitis et porro eligendi. Ea est qui facilis dolor ratione nam.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/3.jpg','[\"news\\/4.jpg\"]',3134,'published','2024-08-10 00:03:49','2024-08-10 00:03:49');
/*!40000 ALTER TABLE `pf_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services_translations`
--

DROP TABLE IF EXISTS `pf_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services_translations`
--

LOCK TABLES `pf_services_translations` WRITE;
/*!40000 ALTER TABLE `pf_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (6,1),(10,1),(15,2),(18,2),(9,3),(8,3),(16,4),(1,4),(4,5),(18,5),(1,6),(9,7),(14,8),(7,8),(17,9),(8,9),(11,10),(18,10),(4,11),(10,11),(20,12),(15,12),(10,13),(19,14),(16,14),(19,15),(17,15),(15,16),(5,16),(6,17),(17,17),(20,18),(16,18),(5,19),(13,19);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (20,1),(6,1),(12,1),(17,2),(6,2),(15,2),(13,3),(11,3),(2,3),(11,4),(6,4),(16,4),(3,5),(14,5),(20,5),(18,6),(20,6),(11,6),(10,7),(14,7),(13,7),(8,8),(19,8),(6,8),(11,9),(16,9),(14,9),(10,10),(6,10),(5,10),(11,11),(12,11),(14,11),(15,12),(2,12),(10,12),(1,13),(13,13),(20,13),(9,14),(8,14),(11,15),(16,15),(15,15),(2,16),(19,16),(13,16),(19,17),(6,17),(17,17),(6,18),(5,18),(8,18),(6,19),(16,19),(9,19);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'The Power of Networking: Building Relationships for Business Growth','Learn how to build strategic connections and leverage your network to propel your business forward.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/1.jpg',1903,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(2,'5 Productivity Hacks for Busy Entrepreneurs','Feeling overwhelmed? Discover practical tips to maximize your time and achieve more in your workday.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/2.jpg',1126,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(3,'From Brainstorm to Boardroom: Crafting a Winning Business Plan','Unleash your inner strategist. This post outlines the key elements of a compelling business plan.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/3.jpg',721,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(4,'The Art of Delegation: Empowering Your Team for Success','Effective leaders empower others. Learn how to delegate tasks effectively and unlock your team\'s full potential.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/4.jpg',2418,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(5,'Customer Centricity: Putting Your Customers at the Heart of Your Business','In today\'s competitive market, customer satisfaction is paramount. Discover strategies to prioritize your customers.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/5.jpg',1988,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(6,'Data-Driven Decisions: Leveraging Insights to Fuel Business Growth','Data is king. Learn how to harness the power of data analytics to make informed decisions for your business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/6.jpg',117,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(7,'Building a Strong Brand Identity: Standing Out from the Crowd','Create a brand that resonates with your audience. Explore strategies to develop a unique and memorable brand identity.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/7.jpg',1955,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(8,'The Importance of Social Media Marketing for Businesses','Reach a wider audience and engage with potential customers. Discover the power of social media marketing for businesses.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/8.jpg',1330,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(9,'Content is King: Creating Engaging Content to Attract Customers','High-quality content is key to attracting and retaining customers. Explore strategies to create valuable and engaging content.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/9.jpg',1588,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(10,'The Art of Negotiation: Winning Deals and Building Relationships','Master the art of negotiation and achieve mutually beneficial outcomes. Learn effective negotiation strategies for business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/10.jpg',537,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(11,'Managing Cash Flow: The Lifeblood of Your Business','Cash flow is crucial for any business. Explore strategies to manage your cash flow effectively and ensure financial stability.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/11.jpg',1054,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(12,'The Power of Storytelling: Connecting with Your Audience on a Deeper Level','Stories have the power to inspire and connect. Learn how storytelling can enhance your marketing and brand communication.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/12.jpg',1897,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(13,'Overcoming Challenges: Embracing Failure as a Learning Opportunity','Challenges are inevitable in business. Discover how to overcome obstacles and use setbacks as fuel for growth.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/13.jpg',2068,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(14,'Building a High-Performing Team: Creating a Culture of Collaboration and Success','The strength of a business lies in its people. Explore strategies to foster a collaborative and successful team environment.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/14.jpg',1817,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(15,'The Importance of Work-Life Balance for Entrepreneurs','Burnout is real. Learn how to maintain a healthy work-life balance for long-term success as an entrepreneur.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/15.jpg',1616,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(16,'Staying Ahead of the Curve: Embracing Innovation in Business','In a rapidly changing world, innovation is key. Learn strategies to stay ahead of the curve and adapt to industry trends.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/16.jpg',2142,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(17,'The Power of Public Speaking: Captivate Your Audience and Deliver Your Message with Impact','Master the art of public speaking to elevate your presentations and connect with your audience effectively.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/17.jpg',1791,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(18,'Building a Sustainable Business: Environmental and Social Responsibility','Today\'s consumers are conscious. Learn how to build a sustainable business model that prioritizes social responsibility.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/18.jpg',1770,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46'),(19,'The Future of Business: Trends and Technologies Shaping the Landscape','Explore emerging trends and technologies that are shaping the future of business. Prepare your business for what\'s to come.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/19.jpg',1529,NULL,'2024-08-10 00:03:46','2024-08-10 00:03:46');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.cms\":true,\"core.manage.license\":true,\"systems.cronjob\":true,\"core.tools\":true,\"tools.data-synchronize\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.common\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"settings.others\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"theme.robots-txt\":true,\"settings.website-tracking\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"announcements.index\":true,\"announcements.create\":true,\"announcements.edit\":true,\"announcements.destroy\":true,\"announcements.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"posts.export\":true,\"posts.import\":true,\"captcha.settings\":true,\"careers.index\":true,\"careers.create\":true,\"careers.edit\":true,\"careers.destroy\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugins.ecommerce\":true,\"ecommerce.report.index\":true,\"products.index\":true,\"products.create\":true,\"products.edit\":true,\"products.destroy\":true,\"products.duplicate\":true,\"ecommerce.product-prices.index\":true,\"ecommerce.product-prices.edit\":true,\"ecommerce.product-inventory.index\":true,\"ecommerce.product-inventory.edit\":true,\"product-categories.index\":true,\"product-categories.create\":true,\"product-categories.edit\":true,\"product-categories.destroy\":true,\"product-tag.index\":true,\"product-tag.create\":true,\"product-tag.edit\":true,\"product-tag.destroy\":true,\"brands.index\":true,\"brands.create\":true,\"brands.edit\":true,\"brands.destroy\":true,\"product-collections.index\":true,\"product-collections.create\":true,\"product-collections.edit\":true,\"product-collections.destroy\":true,\"product-attribute-sets.index\":true,\"product-attribute-sets.create\":true,\"product-attribute-sets.edit\":true,\"product-attribute-sets.destroy\":true,\"product-attributes.index\":true,\"product-attributes.create\":true,\"product-attributes.edit\":true,\"product-attributes.destroy\":true,\"tax.index\":true,\"tax.create\":true,\"tax.edit\":true,\"tax.destroy\":true,\"reviews.index\":true,\"reviews.create\":true,\"reviews.destroy\":true,\"reviews.publish\":true,\"reviews.reply\":true,\"ecommerce.shipments.index\":true,\"ecommerce.shipments.create\":true,\"ecommerce.shipments.edit\":true,\"ecommerce.shipments.destroy\":true,\"orders.index\":true,\"orders.create\":true,\"orders.edit\":true,\"orders.destroy\":true,\"discounts.index\":true,\"discounts.create\":true,\"discounts.edit\":true,\"discounts.destroy\":true,\"customers.index\":true,\"customers.create\":true,\"customers.edit\":true,\"customers.destroy\":true,\"flash-sale.index\":true,\"flash-sale.create\":true,\"flash-sale.edit\":true,\"flash-sale.destroy\":true,\"product-label.index\":true,\"product-label.create\":true,\"product-label.edit\":true,\"product-label.destroy\":true,\"ecommerce.import.products.index\":true,\"ecommerce.export.products.index\":true,\"order_returns.index\":true,\"order_returns.edit\":true,\"order_returns.destroy\":true,\"global-option.index\":true,\"global-option.create\":true,\"global-option.edit\":true,\"global-option.destroy\":true,\"ecommerce.invoice.index\":true,\"ecommerce.invoice.edit\":true,\"ecommerce.invoice.destroy\":true,\"ecommerce.settings\":true,\"ecommerce.settings.general\":true,\"ecommerce.invoice-template.index\":true,\"ecommerce.settings.currencies\":true,\"ecommerce.settings.products\":true,\"ecommerce.settings.product-search\":true,\"ecommerce.settings.digital-products\":true,\"ecommerce.settings.store-locators\":true,\"ecommerce.settings.invoices\":true,\"ecommerce.settings.product-reviews\":true,\"ecommerce.settings.customers\":true,\"ecommerce.settings.shopping\":true,\"ecommerce.settings.taxes\":true,\"ecommerce.settings.shipping\":true,\"ecommerce.settings.tracking\":true,\"ecommerce.settings.standard-and-format\":true,\"ecommerce.settings.checkout\":true,\"ecommerce.settings.return\":true,\"ecommerce.settings.flash-sale\":true,\"product-categories.export\":true,\"product-categories.import\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"fob-comment.index\":true,\"fob-comment.comments.index\":true,\"fob-comment.comments.edit\":true,\"fob-comment.comments.destroy\":true,\"fob-comment.comments.reply\":true,\"fob-comment.settings\":true,\"galleries.index\":true,\"galleries.create\":true,\"galleries.edit\":true,\"galleries.destroy\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"plugin.location\":true,\"country.index\":true,\"country.create\":true,\"country.edit\":true,\"country.destroy\":true,\"state.index\":true,\"state.create\":true,\"state.edit\":true,\"state.destroy\":true,\"city.index\":true,\"city.create\":true,\"city.edit\":true,\"city.destroy\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"payment.index\":true,\"payments.settings\":true,\"payment.destroy\":true,\"payments.logs\":true,\"payments.logs.show\":true,\"payments.logs.destroy\":true,\"plugins.portfolio\":true,\"portfolio.projects.index\":true,\"portfolio.projects.create\":true,\"portfolio.projects.edit\":true,\"portfolio.projects.destroy\":true,\"portfolio.service-categories.index\":true,\"portfolio.service-categories.create\":true,\"portfolio.service-categories.edit\":true,\"portfolio.service-categories.destroy\":true,\"portfolio.services.index\":true,\"portfolio.services.create\":true,\"portfolio.services.edit\":true,\"portfolio.services.destroy\":true,\"portfolio.packages.index\":true,\"portfolio.packages.create\":true,\"portfolio.packages.edit\":true,\"portfolio.packages.destroy\":true,\"portfolio.quotation-requests.index\":true,\"portfolio.quotation-requests.create\":true,\"portfolio.quotation-requests.edit\":true,\"portfolio.quotation-requests.destroy\":true,\"portfolio.custom-fields.index\":true,\"portfolio.custom-fields.create\":true,\"portfolio.custom-fields.edit\":true,\"portfolio.custom-fields.destroy\":true,\"simple-slider.index\":true,\"simple-slider.create\":true,\"simple-slider.edit\":true,\"simple-slider.destroy\":true,\"simple-slider-item.index\":true,\"simple-slider-item.create\":true,\"simple-slider-item.edit\":true,\"simple-slider-item.destroy\":true,\"simple-slider.settings\":true,\"social-login.settings\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true,\"theme-translations.export\":true,\"other-translations.export\":true,\"theme-translations.import\":true,\"other-translations.import\":true}','Admin users role',1,1,1,'2024-08-10 00:03:36','2024-08-10 00:03:36');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','58be267fcb85e9fedab1db96331e5b0f',NULL,'2024-08-10 00:04:42'),(2,'api_enabled','0',NULL,'2024-08-10 00:04:42'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"analytics\",\"announcement\",\"audit-log\",\"backup\",\"blog\",\"captcha\",\"career\",\"contact\",\"cookie-consent\",\"ecommerce\",\"faq\",\"fob-comment\",\"gallery\",\"location\",\"mollie\",\"newsletter\",\"payment\",\"paypal\",\"paystack\",\"portfolio\",\"razorpay\",\"rss-feed\",\"shippo\",\"simple-slider\",\"social-login\",\"sslcommerz\",\"stripe\",\"team\",\"testimonial\",\"translation\"]',NULL,'2024-08-10 00:04:42'),(4,'payment_cod_status','1',NULL,'2024-08-10 00:04:42'),(5,'payment_bank_transfer_status','1',NULL,'2024-08-10 00:04:42'),(6,'theme','apexa',NULL,'2024-08-10 00:04:42'),(7,'show_admin_bar','1',NULL,'2024-08-10 00:04:42'),(8,'admin_logo','icons/logo-white.png',NULL,'2024-08-10 00:04:42'),(9,'admin_favicon','icons/favicon.png',NULL,'2024-08-10 00:04:42'),(10,'language_hide_default','1',NULL,'2024-08-10 00:04:42'),(11,'language_switcher_display','dropdown',NULL,'2024-08-10 00:04:42'),(12,'language_display','all',NULL,'2024-08-10 00:04:42'),(13,'language_hide_languages','[]',NULL,'2024-08-10 00:04:42'),(14,'theme-apexa-site_title','Apexa - Business Consulting Laravel Script',NULL,'2024-08-10 00:04:42'),(15,'theme-apexa-seo_description','Elevate your business consulting with Apexa - Business Consulting Laravel Script. Streamline operations, enhance client relationships, and boost productivity effortlessly. Get started now!',NULL,'2024-08-10 00:04:42'),(16,'theme-apexa-copyright','©%Y Archi Elite Team. All Rights Reserved.',NULL,'2024-08-10 00:04:42'),(17,'theme-apexa-favicon','icons/favicon.png',NULL,'2024-08-10 00:04:42'),(18,'theme-apexa-logo','icons/logo.png',NULL,'2024-08-10 00:04:42'),(19,'theme-apexa-logo_height','40',NULL,'2024-08-10 00:04:42'),(20,'theme-apexa-primary_font','Inter',NULL,'2024-08-10 00:04:42'),(21,'theme-apexa-secondary_font','Outfit',NULL,'2024-08-10 00:04:42'),(22,'theme-apexa-primary_color','#F7A400',NULL,'2024-08-10 00:04:42'),(23,'theme-apexa-secondary_color','#191D88',NULL,'2024-08-10 00:04:42'),(24,'theme-apexa-heading_color','#14176C',NULL,'2024-08-10 00:04:42'),(25,'theme-apexa-text_color','#3E4073',NULL,'2024-08-10 00:04:42'),(26,'theme-apexa-preloader_enabled','1',NULL,'2024-08-10 00:04:42'),(27,'theme-apexa-preloader_version','v2',NULL,'2024-08-10 00:04:42'),(28,'theme-apexa-lazy_load_images','1',NULL,'2024-08-10 00:04:42'),(29,'theme-apexa-lazy_load_placeholder_image','icons/preloader-image.gif',NULL,'2024-08-10 00:04:42'),(30,'theme-apexa-header_action_label','Let’s Talk',NULL,'2024-08-10 00:04:42'),(31,'theme-apexa-header_action_url','/contact-us',NULL,'2024-08-10 00:04:42'),(32,'theme-apexa-social_links','[[{\"key\":\"name\",\"value\":\"Facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.facebook.com\"}],[{\"key\":\"name\",\"value\":\"X\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"},{\"key\":\"url\",\"value\":\"https:\\/\\/x.com\"}],[{\"key\":\"name\",\"value\":\"Youtube\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-youtube\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.youtube.com\"}],[{\"key\":\"name\",\"value\":\"Instagram\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.linkedin.com\"}]]',NULL,'2024-08-10 00:04:42'),(33,'theme-apexa-social_sharing','[[{\"key\":\"social\",\"value\":\"facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"}],[{\"key\":\"social\",\"value\":\"x\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"}],[{\"key\":\"social\",\"value\":\"pinterest\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-pinterest\"}],[{\"key\":\"social\",\"value\":\"linkedin\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"}],[{\"key\":\"social\",\"value\":\"whatsapp\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-whatsapp\"}],[{\"key\":\"social\",\"value\":\"email\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}]]',NULL,'2024-08-10 00:04:42'),(34,'theme-apexa-footer_background_color','#0E104B',NULL,'2024-08-10 00:04:42'),(35,'theme-apexa-footer_bottom_background_color','#0E104B',NULL,'2024-08-10 00:04:42'),(36,'theme-apexa-footer_heading_color','#ffffff',NULL,'2024-08-10 00:04:42'),(37,'theme-apexa-footer_text_color','#b8b9da',NULL,'2024-08-10 00:04:42'),(38,'theme-apexa-footer_border_color','#272A68',NULL,'2024-08-10 00:04:42'),(39,'theme-apexa-footer_background_image','backgrounds/footer-bg.png',NULL,'2024-08-10 00:04:42'),(40,'theme-apexa-header_style','4',NULL,'2024-08-10 00:04:42'),(41,'theme-apexa-is_header_transparent','0',NULL,'2024-08-10 00:04:42'),(42,'theme-apexa-header_top_text_color','#E6EEFF',NULL,'2024-08-10 00:04:42'),(43,'theme-apexa-header_top_background_color','#0E104B',NULL,'2024-08-10 00:04:42'),(44,'theme-apexa-header_action_buttons','[[{\"key\":\"label\",\"value\":\"Login\"},{\"key\":\"url\",\"value\":\"\\/login\"}],[{\"key\":\"label\",\"value\":\"Free Trail\"},{\"key\":\"url\",\"value\":\"\\/contact-us\"}]]',NULL,'2024-08-10 00:04:42'),(45,'theme-apexa-homepage_id','1',NULL,'2024-08-10 00:04:42'),(46,'theme-apexa-blog_page_id','3',NULL,'2024-08-10 00:04:42'),(47,'theme-apexa-breadcrumb_background_image','backgrounds/breadcrumb-bg.jpg',NULL,'2024-08-10 00:04:42'),(48,'theme-apexa-quotation_form_title','Get A Quote',NULL,'2024-08-10 00:04:42'),(49,'theme-apexa-quotation_form_button_label','Request A Quote',NULL,'2024-08-10 00:04:42'),(50,'simple_slider_using_assets','0',NULL,'2024-08-10 00:04:42'),(51,'announcement_max_width','1210',NULL,NULL),(52,'announcement_text_color','#FFFFFF',NULL,NULL),(53,'announcement_background_color','#F7A400',NULL,NULL),(54,'announcement_text_alignment','start',NULL,NULL),(55,'announcement_dismissible','1',NULL,NULL),(56,'announcement_font_size','1',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_slider_items`
--

DROP TABLE IF EXISTS `simple_slider_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_slider_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `simple_slider_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `order` int unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_slider_items`
--

LOCK TABLES `simple_slider_items` WRITE;
/*!40000 ALTER TABLE `simple_slider_items` DISABLE KEYS */;
INSERT INTO `simple_slider_items` VALUES (1,1,'Transforming Dreams into Financial Reality','sliders/1.jpg','/','Apexa helps you to convert your data into a strategic asset and get business insights Apexa helps you to convert.',0,'2024-08-10 00:03:50','2024-08-10 00:03:50'),(2,1,'Unlock the Power of Data-Driven Decisions','sliders/2.jpg','/','Gain valuable insights from your data to optimize marketing campaigns, improve customer experiences, and boost your bottom line.',1,'2024-08-10 00:03:50','2024-08-10 00:03:50');
/*!40000 ALTER TABLE `simple_slider_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_sliders`
--

DROP TABLE IF EXISTS `simple_sliders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_sliders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_sliders`
--

LOCK TABLES `simple_sliders` WRITE;
/*!40000 ALTER TABLE `simple_sliders` DISABLE KEYS */;
INSERT INTO `simple_sliders` VALUES (1,'Home slider','home-slider','The main slider on homepage','published','2024-08-10 00:03:50','2024-08-10 00:03:50');
/*!40000 ALTER TABLE `simple_sliders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=372 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'homepage',1,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,'contact-us',2,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,'blog',3,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,'business-about',4,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(5,'finance-about',5,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(6,'consulting-about',6,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(7,'insurance-about',7,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(8,'digital-agency-about',8,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(9,'services',9,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(10,'finance-service',10,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(11,'consulting-service',11,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(12,'digital-agency-service',12,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(13,'insurance-service',13,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(14,'team-one',14,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(15,'team-two',15,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(16,'team-three',16,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(17,'team-four',17,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(18,'how-its-work',18,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(19,'pricing',19,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(20,'testimonials',20,'Botble\\Page\\Models\\Page','','2024-08-10 00:03:37','2024-08-10 00:03:37'),(21,'perfect',1,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(22,'new-day',2,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(23,'happy-day',3,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(24,'nature',4,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(25,'morning',5,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(26,'sunset',6,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(27,'ocean-views',7,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(28,'adventure-time',8,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-10 00:03:39','2024-08-10 00:03:39'),(29,'devon-lane',1,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(30,'marvin-mckinney',2,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(31,'ronald-richards',3,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(32,'cameron-williamson',4,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(33,'alicia-sanders',5,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(34,'ethan-wright',6,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(35,'isabella-johnson',7,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(36,'liam-brown',8,'Botble\\Team\\Models\\Team','teams','2024-08-10 00:03:41','2024-08-10 00:03:41'),(37,'entrepreneurship',1,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(38,'startups',2,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(39,'marketing',3,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(40,'sales',4,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(41,'finance',5,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(42,'leadership',6,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(43,'management',7,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(44,'human-resources',8,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(45,'customer-service',9,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(46,'innovation',10,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(47,'business-strategy',11,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(48,'e-commerce',12,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(49,'technology',13,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(50,'networking',14,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(51,'productivity',15,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(52,'operations',16,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(53,'legal',17,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(54,'industry-trends',18,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(55,'small-business',19,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(56,'consulting',20,'Botble\\Blog\\Models\\Category','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(57,'growth',1,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(58,'strategy',2,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(59,'innovation',3,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(60,'leadership',4,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(61,'funding',5,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(62,'marketing',6,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(63,'sales',7,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(64,'seo',8,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(65,'branding',9,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(66,'customer-service',10,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(67,'productivity',11,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(68,'networking',12,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(69,'startups',13,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(70,'e-commerce',14,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(71,'finance',15,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(72,'business-development',16,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(73,'team-building',17,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(74,'operations',18,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(75,'legal-advice',19,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(76,'hr-management',20,'Botble\\Blog\\Models\\Tag','tag','2024-08-10 00:03:46','2024-08-10 00:03:46'),(77,'the-power-of-networking-building-relationships-for-business-growth',1,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(78,'5-productivity-hacks-for-busy-entrepreneurs',2,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(79,'from-brainstorm-to-boardroom-crafting-a-winning-business-plan',3,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(80,'the-art-of-delegation-empowering-your-team-for-success',4,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(81,'customer-centricity-putting-your-customers-at-the-heart-of-your-business',5,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(82,'data-driven-decisions-leveraging-insights-to-fuel-business-growth',6,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(83,'building-a-strong-brand-identity-standing-out-from-the-crowd',7,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(84,'the-importance-of-social-media-marketing-for-businesses',8,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(85,'content-is-king-creating-engaging-content-to-attract-customers',9,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(86,'the-art-of-negotiation-winning-deals-and-building-relationships',10,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(87,'managing-cash-flow-the-lifeblood-of-your-business',11,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(88,'the-power-of-storytelling-connecting-with-your-audience-on-a-deeper-level',12,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(89,'overcoming-challenges-embracing-failure-as-a-learning-opportunity',13,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(90,'building-a-high-performing-team-creating-a-culture-of-collaboration-and-success',14,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(91,'the-importance-of-work-life-balance-for-entrepreneurs',15,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(92,'staying-ahead-of-the-curve-embracing-innovation-in-business',16,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(93,'the-power-of-public-speaking-captivate-your-audience-and-deliver-your-message-with-impact',17,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(94,'building-a-sustainable-business-environmental-and-social-responsibility',18,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:46','2024-08-10 00:03:46'),(95,'the-future-of-business-trends-and-technologies-shaping-the-landscape',19,'Botble\\Blog\\Models\\Post','','2024-08-10 00:03:47','2024-08-10 00:03:47'),(96,'basic-plan',1,'Botble\\Portfolio\\Models\\Package','packages','2024-08-10 00:03:49','2024-08-10 00:03:49'),(97,'team-plan',2,'Botble\\Portfolio\\Models\\Package','packages','2024-08-10 00:03:49','2024-08-10 00:03:49'),(98,'enterprise-plan',3,'Botble\\Portfolio\\Models\\Package','packages','2024-08-10 00:03:49','2024-08-10 00:03:49'),(99,'innovation-hub-navigating-the-future',1,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(100,'leadership-excellence-initiative',2,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(101,'startup-accelerator-program',3,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(102,'marketing-mastery-series',4,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(103,'illustration-design',5,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(104,'design-development',6,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(105,'marketing-consultancy',7,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(106,'digital-marketing',8,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(107,'strategic-planning',9,'Botble\\Portfolio\\Models\\Project','projects','2024-08-10 00:03:49','2024-08-10 00:03:49'),(108,'financial-analysis',1,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-10 00:03:49','2024-08-10 00:03:49'),(109,'tax-strategy',2,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-10 00:03:49','2024-08-10 00:03:49'),(110,'market-research',3,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-10 00:03:49','2024-08-10 00:03:49'),(111,'business-strategy',4,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-10 00:03:49','2024-08-10 00:03:49'),(112,'data-analyst',1,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(113,'liability-planner',2,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(114,'growth-planner',3,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(115,'risk-manager',4,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(116,'retirement-planner',5,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(117,'risk-analyst',6,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(118,'insurance-expert',7,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(119,'budget-manager',8,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(120,'strategy-adviser',9,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(121,'operations-expert',10,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(122,'profit-strategist',11,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(123,'objective-planner',12,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(124,'goal-specialist',13,'Botble\\Portfolio\\Models\\Service','services','2024-08-10 00:03:49','2024-08-10 00:03:49'),(125,'senior-full-stack-engineer',1,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(126,'lead-backend-developer',2,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(127,'uiux-designer',3,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(128,'product-manager',4,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(129,'data-scientist',5,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(130,'devops-engineer',6,'ArchiElite\\Career\\Models\\Career','careers','2024-08-10 00:03:50','2024-08-10 00:03:50'),(131,'desktop-pc',1,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(132,'headphone',2,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(133,'laptop',3,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(134,'mobile-phone',4,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(135,'printer',5,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(136,'books',6,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(137,'tablet',7,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(138,'usb-flash',8,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(139,'game-mouse',9,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(140,'security',10,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(141,'watch',11,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(142,'scanner',12,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-10 00:03:51','2024-08-10 00:03:51'),(143,'foodpound',1,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:03:51','2024-08-10 00:03:51'),(144,'itea-jsc',2,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:03:51','2024-08-10 00:03:51'),(145,'soda-brand',3,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:03:51','2024-08-10 00:03:51'),(146,'farmart',4,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-10 00:03:51','2024-08-10 00:03:51'),(147,'dual-camera-20mp-digital',1,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(148,'smart-watches',2,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(149,'beat-headphone',3,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(150,'red-black-headphone',4,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(151,'smart-watch-external-digital',5,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(152,'nikon-hd-camera',6,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(153,'audio-equipment',7,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(154,'smart-televisions',8,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(155,'samsung-smart-phone-digital',9,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(156,'herschel-leather-duffle-bag-in-brown-color',10,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(157,'xbox-one-wireless-controller-black-color',11,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(158,'epsion-plaster-printer',12,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(159,'sound-intone-i65-earphone-white-version-digital',13,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(160,'bo-play-mini-bluetooth-speaker',14,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(161,'apple-macbook-air-retina-133-inch-laptop',15,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(162,'apple-macbook-air-retina-12-inch-laptop',16,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(163,'samsung-gear-vr-virtual-reality-headset-digital',17,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(164,'aveeno-moisturizing-body-shower-450ml',18,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(165,'nyx-beauty-couton-pallete-makeup-12',19,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(166,'nyx-beauty-couton-pallete-makeup-12',20,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(167,'mvmth-classical-leather-watch-in-black-digital',21,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(168,'baxter-care-hair-kit-for-bearded-mens',22,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(169,'ciate-palemore-lipstick-bold-red-color',23,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(170,'vimto-squash-remix-apple-15-litres',24,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(171,'crock-pot-slow-cooker-digital',25,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(172,'taylors-of-harrogate-yorkshire-coffee',26,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(173,'soft-mochi-galeto-ice-cream',27,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(174,'naked-noodle-egg-noodles-singapore',28,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(175,'saute-pan-silver-digital',29,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(176,'bar-s-classic-bun-length-franks',30,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(177,'broccoli-crowns',31,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(178,'slimming-world-vegan-mac-greens',32,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(179,'haagen-dazs-salted-caramel-digital',33,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(180,'iceland-3-solo-exotic-burst',34,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(181,'extreme-budweiser-light-can',35,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(182,'iceland-macaroni-cheese-traybake',36,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(183,'dolmio-bolognese-pasta-sauce-digital',37,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(184,'sitema-bakeit-plastic-box',38,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(185,'wayfair-basics-dinner-plate-storage',39,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(186,'miko-the-panda-water-bottle',40,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(187,'sesame-seed-bread-digital',41,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:36','2024-08-10 00:04:36'),(188,'morrisons-the-best-beef',42,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(189,'avocado-hass-large',43,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(190,'italia-beef-lasagne',44,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(191,'maxwell-house-classic-roast-mocha-digital',45,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(192,'bottled-pure-water-500ml',46,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(193,'famart-farmhouse-soft-white',47,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(194,'coca-cola-original-taste',48,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(195,'casillero-diablo-cabernet-sauvignon-digital',49,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(196,'arla-organic-free-range-milk',50,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(197,'aptamil-follow-on-baby-milk',51,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(198,'cuisinart-chefs-classic-hard-anodized',52,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(199,'corn-yellow-sweet-digital',53,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(200,'hobnobs-the-nobbly-biscuit',54,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(201,'honest-organic-still-lemonade',55,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(202,'ice-becks-beer-350ml-x-24-pieces',56,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(203,'iceland-6-hot-cross-buns-digital',57,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(204,'iceland-luxury-4-panini-rolls',58,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(205,'iceland-soft-scoop-vanilla',59,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(206,'iceland-spaghetti-bolognese',60,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(207,'kelloggs-coco-pops-cereal-digital',61,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(208,'kit-kat-chunky-milk-chocolate',62,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(209,'large-green-bell-pepper',63,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(210,'pice-94w-beasley-journal',64,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(211,'province-piece-glass-drinking-glass-digital',65,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:37','2024-08-10 00:04:37'),(212,'electronic',1,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(213,'mobile',2,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(214,'iphone',3,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(215,'printer',4,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(216,'office',5,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(217,'it',6,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-10 00:04:38','2024-08-10 00:04:38'),(218,'dual-camera-20mp-digital',66,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(219,'dual-camera-20mp-digital',67,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(220,'smart-watches',68,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(221,'smart-watches',69,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(222,'smart-watches',70,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(223,'beat-headphone',71,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(224,'red-black-headphone',72,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(225,'red-black-headphone',73,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(226,'red-black-headphone',74,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(227,'smart-watch-external-digital',75,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(228,'smart-watch-external-digital',76,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(229,'smart-watch-external-digital',77,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(230,'nikon-hd-camera',78,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(231,'audio-equipment',79,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(232,'smart-televisions',80,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(233,'smart-televisions',81,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(234,'smart-televisions',82,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(235,'samsung-smart-phone-digital',83,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(236,'herschel-leather-duffle-bag-in-brown-color',84,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(237,'herschel-leather-duffle-bag-in-brown-color',85,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(238,'xbox-one-wireless-controller-black-color',86,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(239,'xbox-one-wireless-controller-black-color',87,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(240,'xbox-one-wireless-controller-black-color',88,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(241,'xbox-one-wireless-controller-black-color',89,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(242,'epsion-plaster-printer',90,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(243,'epsion-plaster-printer',91,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(244,'epsion-plaster-printer',92,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(245,'sound-intone-i65-earphone-white-version-digital',93,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(246,'sound-intone-i65-earphone-white-version-digital',94,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(247,'bo-play-mini-bluetooth-speaker',95,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(248,'bo-play-mini-bluetooth-speaker',96,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(249,'bo-play-mini-bluetooth-speaker',97,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(250,'bo-play-mini-bluetooth-speaker',98,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(251,'apple-macbook-air-retina-133-inch-laptop',99,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(252,'apple-macbook-air-retina-12-inch-laptop',100,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(253,'apple-macbook-air-retina-12-inch-laptop',101,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(254,'apple-macbook-air-retina-12-inch-laptop',102,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(255,'apple-macbook-air-retina-12-inch-laptop',103,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(256,'samsung-gear-vr-virtual-reality-headset-digital',104,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(257,'samsung-gear-vr-virtual-reality-headset-digital',105,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(258,'aveeno-moisturizing-body-shower-450ml',106,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(259,'aveeno-moisturizing-body-shower-450ml',107,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(260,'aveeno-moisturizing-body-shower-450ml',108,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(261,'nyx-beauty-couton-pallete-makeup-12',109,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(262,'nyx-beauty-couton-pallete-makeup-12',110,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(263,'nyx-beauty-couton-pallete-makeup-12',111,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(264,'nyx-beauty-couton-pallete-makeup-12',112,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(265,'nyx-beauty-couton-pallete-makeup-12',113,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(266,'nyx-beauty-couton-pallete-makeup-12',114,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(267,'mvmth-classical-leather-watch-in-black-digital',115,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(268,'mvmth-classical-leather-watch-in-black-digital',116,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(269,'mvmth-classical-leather-watch-in-black-digital',117,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(270,'baxter-care-hair-kit-for-bearded-mens',118,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(271,'baxter-care-hair-kit-for-bearded-mens',119,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(272,'ciate-palemore-lipstick-bold-red-color',120,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(273,'ciate-palemore-lipstick-bold-red-color',121,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(274,'ciate-palemore-lipstick-bold-red-color',122,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(275,'vimto-squash-remix-apple-15-litres',123,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(276,'vimto-squash-remix-apple-15-litres',124,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(277,'crock-pot-slow-cooker-digital',125,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(278,'crock-pot-slow-cooker-digital',126,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(279,'taylors-of-harrogate-yorkshire-coffee',127,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(280,'taylors-of-harrogate-yorkshire-coffee',128,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(281,'soft-mochi-galeto-ice-cream',129,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(282,'soft-mochi-galeto-ice-cream',130,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(283,'naked-noodle-egg-noodles-singapore',131,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(284,'saute-pan-silver-digital',132,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(285,'saute-pan-silver-digital',133,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(286,'bar-s-classic-bun-length-franks',134,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(287,'bar-s-classic-bun-length-franks',135,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(288,'bar-s-classic-bun-length-franks',136,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(289,'bar-s-classic-bun-length-franks',137,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(290,'broccoli-crowns',138,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(291,'broccoli-crowns',139,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(292,'broccoli-crowns',140,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(293,'slimming-world-vegan-mac-greens',141,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(294,'slimming-world-vegan-mac-greens',142,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(295,'haagen-dazs-salted-caramel-digital',143,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(296,'haagen-dazs-salted-caramel-digital',144,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(297,'haagen-dazs-salted-caramel-digital',145,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(298,'iceland-3-solo-exotic-burst',146,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(299,'iceland-3-solo-exotic-burst',147,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(300,'iceland-3-solo-exotic-burst',148,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(301,'extreme-budweiser-light-can',149,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(302,'extreme-budweiser-light-can',150,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(303,'extreme-budweiser-light-can',151,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(304,'extreme-budweiser-light-can',152,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(305,'iceland-macaroni-cheese-traybake',153,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(306,'iceland-macaroni-cheese-traybake',154,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(307,'iceland-macaroni-cheese-traybake',155,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(308,'iceland-macaroni-cheese-traybake',156,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(309,'dolmio-bolognese-pasta-sauce-digital',157,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(310,'dolmio-bolognese-pasta-sauce-digital',158,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(311,'sitema-bakeit-plastic-box',159,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(312,'sitema-bakeit-plastic-box',160,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(313,'sitema-bakeit-plastic-box',161,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(314,'wayfair-basics-dinner-plate-storage',162,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(315,'miko-the-panda-water-bottle',163,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(316,'miko-the-panda-water-bottle',164,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(317,'sesame-seed-bread-digital',165,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(318,'sesame-seed-bread-digital',166,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(319,'morrisons-the-best-beef',167,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(320,'morrisons-the-best-beef',168,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(321,'avocado-hass-large',169,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(322,'avocado-hass-large',170,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(323,'avocado-hass-large',171,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(324,'italia-beef-lasagne',172,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(325,'italia-beef-lasagne',173,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(326,'italia-beef-lasagne',174,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(327,'italia-beef-lasagne',175,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(328,'maxwell-house-classic-roast-mocha-digital',176,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(329,'maxwell-house-classic-roast-mocha-digital',177,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(330,'maxwell-house-classic-roast-mocha-digital',178,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(331,'bottled-pure-water-500ml',179,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(332,'famart-farmhouse-soft-white',180,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(333,'coca-cola-original-taste',181,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(334,'coca-cola-original-taste',182,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(335,'casillero-diablo-cabernet-sauvignon-digital',183,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(336,'casillero-diablo-cabernet-sauvignon-digital',184,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(337,'arla-organic-free-range-milk',185,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(338,'arla-organic-free-range-milk',186,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(339,'aptamil-follow-on-baby-milk',187,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(340,'cuisinart-chefs-classic-hard-anodized',188,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(341,'cuisinart-chefs-classic-hard-anodized',189,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(342,'cuisinart-chefs-classic-hard-anodized',190,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(343,'corn-yellow-sweet-digital',191,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(344,'corn-yellow-sweet-digital',192,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(345,'corn-yellow-sweet-digital',193,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(346,'corn-yellow-sweet-digital',194,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(347,'corn-yellow-sweet-digital',195,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(348,'hobnobs-the-nobbly-biscuit',196,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(349,'honest-organic-still-lemonade',197,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(350,'honest-organic-still-lemonade',198,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(351,'honest-organic-still-lemonade',199,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(352,'ice-becks-beer-350ml-x-24-pieces',200,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(353,'ice-becks-beer-350ml-x-24-pieces',201,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(354,'iceland-6-hot-cross-buns-digital',202,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(355,'iceland-6-hot-cross-buns-digital',203,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(356,'iceland-luxury-4-panini-rolls',204,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(357,'iceland-soft-scoop-vanilla',205,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(358,'iceland-soft-scoop-vanilla',206,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(359,'iceland-soft-scoop-vanilla',207,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(360,'iceland-spaghetti-bolognese',208,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(361,'kelloggs-coco-pops-cereal-digital',209,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(362,'kelloggs-coco-pops-cereal-digital',210,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(363,'kelloggs-coco-pops-cereal-digital',211,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(364,'kit-kat-chunky-milk-chocolate',212,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(365,'kit-kat-chunky-milk-chocolate',213,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(366,'large-green-bell-pepper',214,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(367,'large-green-bell-pepper',215,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(368,'pice-94w-beasley-journal',216,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(369,'province-piece-glass-drinking-glass-digital',217,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(370,'province-piece-glass-drinking-glass-digital',218,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42'),(371,'province-piece-glass-drinking-glass-digital',219,'Botble\\Ecommerce\\Models\\Product','products','2024-08-10 00:04:42','2024-08-10 00:04:42');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `states_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states_translations`
--

DROP TABLE IF EXISTS `states_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `states_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`states_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states_translations`
--

LOCK TABLES `states_translations` WRITE;
/*!40000 ALTER TABLE `states_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `states_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Growth',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(2,'Strategy',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(3,'Innovation',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(4,'Leadership',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(5,'Funding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(6,'Marketing',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(7,'Sales',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(8,'SEO',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(9,'Branding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(10,'Customer Service',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(11,'Productivity',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(12,'Networking',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(13,'Startups',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(14,'E-commerce',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(15,'Finance',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(16,'Business Development',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(17,'Team Building',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(18,'Operations',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(19,'Legal Advice',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46'),(20,'HR Management',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-10 00:03:46','2024-08-10 00:03:46');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Devon Lane','teams/5-1.png','Sales Agent','India','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','01123259241','devonsoland111@gmail.com','4855, 24, Ansari Road, Darya Ganj',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(2,'Marvin McKinney','teams/5-2.png','Business Manager','Thailand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','6623742088','marvinkensy@gmail.com','849 Sukhapibal 1 Klong Chan Bang Kapi',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(3,'Ronald Richards','teams/5-3.png','Marketing Director','Canada','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','4165550123','ronrichards@marketing.com','123 Maple Street, Toronto, ON',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(4,'Cameron Williamson','teams/5-4.png','Chief Technology Officer','Germany','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','49221567890','cameronwill@tech.com','45 Hauptstraße, 50667 Köln',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(5,'Alicia Sanders','teams/5-5.png','Human Resources Manager','Australia','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0298765432','alicia.hr@company.com','15 George St, Sydney, NSW',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(6,'Ethan Wright','teams/5-6.png','Operations Manager','South Africa','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0217896543','ethanwright@operations.com','789 Beach Road, Cape Town',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(7,'Isabella Johnson','teams/5-7.png','Product Manager','New Zealand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0498761234','isabella.prod@company.com','32 Victoria St, Wellington',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(8,'Liam Brown','teams/5-8.png','Legal Advisor','United Kingdom','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-10 00:03:41','2024-08-10 00:03:41','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','02079461234','liam.legal@company.co.uk','10 Downing Street, London',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally');
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Guy Hawkins','Exceptional service! Gerow’s attention to detail and reliability have been instrumental in our supply chain success.','testimonials/1.png','CEO, JAKS Shans','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(2,'Eleanor Pena','Gerow has consistently met and exceeded our logistics needs. Their dedication to excellence is truly commendable.','testimonials/2.png','SEO, ChenTech Solutions','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(3,'Cody Fisher','Their team is a valuable asset to our business operations. Gerow’s efficient service has saved us time and money.','testimonials/3.png','Developer, Moie Agency','published','2024-08-10 00:03:50','2024-08-10 00:03:50'),(4,'Albert Flores','Gerow’s attention to detail and professionalism have made them our preferred logistics partner. Highly recommended!','testimonials/4.png','CEO, Bank of America','published','2024-08-10 00:03:50','2024-08-10 00:03:50');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'camren89@bogisich.net',NULL,'$2y$12$hIrOBhN8OeUu/J2pf6f9m.ndjsBuDR7LoC8qwtX5lHreC63IlNnRa',NULL,'2024-08-10 00:03:36','2024-08-10 00:03:41','Virginia','Champlin','admin',86,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'SiteInformationWidget','menu_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"quantity\":3,\"title_1\":\"Office Address\",\"description_1\":\"123\\/A, Miranda City Likaoli Prikano, Dope\",\"title_2\":\"Phone Number\",\"description_2\":\"+0989 7876 9865 9 <br> +(090) 8765 86543 85\",\"title_3\":\"Email Address\",\"description_3\":\"info@example.com <br> example.mail@hum.com\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(2,'SocialLinksWidget','menu_sidebar','apexa',2,'{\"id\":\"SocialLinksWidget\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(3,'NewsletterWidget','footer_sidebar','apexa',1,'{\"id\":\"NewsletterWidget\",\"title\":\"Never Miss Out On A Moment Apexa Us\",\"background_color\":\"transparent\",\"display_social_links\":true,\"style\":\"style-4\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(4,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Information\",\"items\":[[{\"key\":\"label\",\"value\":\"+123 888 9999\"},{\"key\":\"url\",\"value\":\"tel:+123 888 9999\"},{\"key\":\"icon\",\"value\":\"ti ti-phone-call\"}],[{\"key\":\"label\",\"value\":\"info@apexa.com\"},{\"key\":\"url\",\"value\":\"mailto:info@apexa.com\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}],[{\"key\":\"label\",\"value\":\"Sydney Harbour Bridge Circular City of Sydney, Australia.\"},{\"key\":\"url\",\"value\":\"\\/\"},{\"key\":\"icon\",\"value\":\"ti ti-map-pin\"}]]}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',3,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Top Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it\\u2019s Work\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/\"}]]}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(6,'GalleriesWidget','footer_sidebar','apexa',4,'{\"id\":\"GalleriesWidget\",\"title\":\"Instagram Posts\",\"limit\":6}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(7,'SiteCopyrightWidget','bottom_footer_sidebar','apexa',1,'[]','2024-08-10 00:03:37','2024-08-10 00:03:37'),(8,'SocialLinksWidget','bottom_footer_sidebar','apexa',2,'{\"id\":\"SocialLinksWidget\",\"style\":\"style-2\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(9,'BlogSearchWidget','blog_sidebar','apexa',1,'{\"id\":\"BlogSearchWidget\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(10,'BlogCategoriesWidget','blog_sidebar','apexa',2,'{\"id\":\"BlogCategoriesWidget\",\"title\":\"Categories\",\"category_ids\":[1,2,3,4,5]}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(11,'BlogPostsWidget','blog_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(12,'BlogTagsWidget','blog_sidebar','apexa',4,'{\"id\":\"BlogTagsWidget\",\"title\":\"Tags\",\"limit\":5}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(13,'ContactInformationWidget','header_top_start_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"+123 9898 500\",\"icon_1\":\"ti ti-phone-call\",\"url_1\":\"tel:123 9898 500\",\"title_2\":\"256 Avenue, Mark Street, NewYork City\",\"icon_2\":\"ti ti-map-pin\",\"url_2\":\"https:\\/\\/www.google.com\\/maps\\/place\\/256+St+Marks+Ave,+Freeport,+NY+11520,+USA\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(14,'ContactInformationWidget','header_top_end_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"info@apexa.com\",\"icon_1\":\"ti ti-mail\",\"url_1\":\"mailto:info@apexa.com\",\"title_2\":\"Mon-Fri: 10:00am - 09:00pm\",\"icon_2\":\"ti ti-clock-hour-6\",\"url_2\":\"\",\"alignment\":\"end\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(15,'ServicesWidget','service_sidebar','apexa',1,'{\"id\":\"ServicesWidget\",\"service_ids\":[1,2,3,4,5]}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(16,'BrochureDownloadsWidget','service_sidebar','apexa',2,'{\"id\":\"BrochureDownloadsWidget\",\"title\":\"Brochure\",\"description\":\"when an unknown printer took ga lley offer typey anddey.\",\"file_1\":\"downloads\\/document.pdf\",\"file_2\":\"downloads\\/document.pdf\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(17,'BlogPostsWidget','service_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(18,'ContactBlockWidget','service_sidebar','apexa',4,'{\"id\":\"ContactBlockWidget\",\"title\":\"If You Need Any Help Contact With Us\",\"phone_number\":\"+91 705 2101 786\"}','2024-08-10 00:03:37','2024-08-10 00:03:37'),(19,'ContactFormWidget','service_sidebar','apexa',5,'{\"id\":\"ContactFormWidget\",\"title\":\"Send Us Message\",\"button_label\":\"Send Message\",\"background_color\":\"#ECF6FA\"}','2024-08-10 00:03:37','2024-08-10 00:03:37');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-08-10 14:04:43
