-- MySQL dump 10.13  Distrib 8.0.36, for macos14 (arm64)
--
-- Host: 127.0.0.1    Database: archielite_apexa
-- ------------------------------------------------------
-- Server version	8.0.36

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'kChCJtM4WHpJpEIU73v9uoWSmwJH7JcR',1,'2024-08-09 23:57:09','2024-08-09 23:57:09','2024-08-09 23:57:09');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `has_action` tinyint(1) NOT NULL DEFAULT '0',
  `action_label` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_open_new_tab` tinyint(1) NOT NULL DEFAULT '0',
  `dismissible` tinyint(1) NOT NULL DEFAULT '0',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'Announcement 1','Introducing Our New Business Consulting Solutions!',0,NULL,NULL,0,1,'2024-08-10 06:58:14',NULL,1,'2024-08-09 23:58:14','2024-08-09 23:58:14'),(2,'Announcement 2','Elevate Your Business with Our Comprehensive Consulting Services.',0,NULL,NULL,0,1,'2024-08-10 06:58:14',NULL,1,'2024-08-09 23:58:14','2024-08-09 23:58:14'),(3,'Announcement 3','Revolutionize Your Business Strategy with Our Expertise.',0,NULL,NULL,0,1,'2024-08-10 06:58:14',NULL,1,'2024-08-09 23:58:14','2024-08-09 23:58:14');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements_translations`
--

DROP TABLE IF EXISTS `announcements_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `announcements_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `announcements_id` bigint unsigned NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`announcements_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements_translations`
--

LOCK TABLES `announcements_translations` WRITE;
/*!40000 ALTER TABLE `announcements_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `announcements_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers`
--

DROP TABLE IF EXISTS `careers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers`
--

LOCK TABLES `careers` WRITE;
/*!40000 ALTER TABLE `careers` DISABLE KEYS */;
INSERT INTO `careers` VALUES (1,'Senior Full Stack Engineer','North Cassie, Gibraltar','8,777','Join our team as a Senior Full Stack Engineer and help us build cutting-edge solutions to empower creators worldwide.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(2,'Lead Backend Developer','Lake Brigitte, Morocco','1,523','Exciting opportunity for a Lead Backend Developer to lead our backend team in architecting scalable and robust systems.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(3,'UI/UX Designer','South Margarettstad, Nepal','4,230','We are looking for a talented UI/UX Designer to create intuitive and visually stunning user experiences for our products.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(4,'Product Manager','Lake Pasqualemouth, Thailand','7,537','As a Product Manager, you will drive the development and strategy of our products to meet the needs of our growing user base.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(5,'Data Scientist','Valeriemouth, Saint Martin','7,930','Seeking a Data Scientist to analyze large datasets and derive actionable insights to inform business decisions.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(6,'DevOps Engineer','Lake Laurianneshire, Lithuania','3,074','We are hiring a DevOps Engineer to streamline our development processes and ensure the reliability and scalability of our infrastructure.','<h4>Responsibilities</h4>\n<p>Product knowledge: Deeply understand the technology and features of the product area to which you are assigned.</p>\n<p>Research: Provide human and business impact and insights for products.</p>\n<p>Deliverables: Create deliverables for your product area (for example competitive analyses, user flows, low fidelity wireframes, high fidelity mockups, prototypes, etc.) that solve real user problems through the user experience.</p>\n<p>Communication: Communicate the results of UX activities within your product area to the design team department, cross-functional partners within your product area, and other interested Superformula team members using clear language that simplifies complexity.</p>\n<h4 class=\"color-brand-1\">Requirements</h4>\n<ul>\n    <li>A portfolio demonstrating well thought through and polished end to end customer journeys</li>\n    <li>5+ years of industry experience in interactive design and / or visual design</li>\n    <li>Excellent interpersonal skills </li>\n    <li>Aware of trends in mobile, communications, and collaboration</li>\n    <li>Ability to create highly polished design prototypes, mockups, and other communication artifacts</li>\n    <li>The ability to scope and estimate efforts accurately and prioritize tasks and goals independently</li>\n    <li>History of impacting shipping products with your work</li>\n    <li>A Bachelor’s Degree in Design (or related field) or equivalent professional experience</li>\n    <li>Proficiency in a variety of design tools such as Figma, Photoshop, Illustrator, and Sketch</li>\n</ul>\n<h4 class=\"color-brand-1\">What\'s on Offer </h4>\n<ul>\n    <li>Annual bonus and holidays, social welfare, and health checks.</li>\n    <li>Training and attachment in Taiwan and other Greater China branches.</li>\n</ul>\n','published','2024-08-09 23:57:23','2024-08-09 23:57:23');
/*!40000 ALTER TABLE `careers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `careers_translations`
--

DROP TABLE IF EXISTS `careers_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `careers_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `careers_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`careers_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `careers_translations`
--

LOCK TABLES `careers_translations` WRITE;
/*!40000 ALTER TABLE `careers_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `careers_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Entrepreneurship',0,'Expedita at enim expedita et. Cupiditate officia aliquid veritatis quibusdam veritatis. Magni nesciunt voluptas veritatis.','published',1,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(2,'Startups',0,'Ut non mollitia rerum aut quis est. Sed distinctio autem qui voluptatibus illo. Voluptatem culpa sed est delectus. Velit non ipsa deleniti omnis libero totam.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(3,'Marketing',0,'Architecto praesentium et officia sit et alias. Numquam omnis fuga et nisi porro recusandae. Qui quo modi molestiae. Quia distinctio et nihil ut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(4,'Sales',0,'Et tempora dolor dolor tenetur odit. Distinctio perspiciatis porro fugiat dolores.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(5,'Finance',0,'Et aut rerum iusto quia. Assumenda rerum natus reprehenderit ut. Dolor possimus ipsa officiis est ut autem est exercitationem.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(6,'Leadership',0,'Et rem ducimus porro architecto ipsam sint. Eaque mollitia repellat voluptatem cupiditate sit. Vero et minima tenetur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(7,'Management',0,'Dolores non quia rerum illum et rerum. Omnis sunt quas odio animi tempora. Sapiente consequatur perspiciatis eveniet voluptatem assumenda rerum quo.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(8,'Human Resources',0,'Iste facilis dolorem et saepe ratione consequatur. Ipsam aut dolores voluptatem eum adipisci repudiandae aliquid. Harum eius deleniti et libero perspiciatis voluptate.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(9,'Customer Service',0,'Quos cum nisi omnis. Ad nisi temporibus totam et aperiam sequi. Beatae est voluptate veritatis necessitatibus.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(10,'Innovation',0,'Sed tempore officiis autem id similique eius. Id qui beatae ab vel dignissimos quasi dignissimos. Mollitia ut error quis adipisci et et minima ad. Autem at quae enim et repudiandae voluptas eveniet.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(11,'Business Strategy',0,'Molestiae temporibus quas ut repellendus repellat. Perspiciatis exercitationem est consectetur. Tempora quidem id eos omnis.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(12,'E-commerce',0,'Laudantium eveniet excepturi fuga sunt qui. Et necessitatibus saepe harum commodi. Quos quod placeat repellendus est natus. Inventore molestias dolor maiores est.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(13,'Technology',0,'Praesentium qui aut doloremque quis laudantium. Aliquid possimus est voluptatum blanditiis. Labore doloribus autem quo asperiores modi ipsam soluta.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(14,'Networking',0,'Dolore quo ut assumenda eos occaecati suscipit. Ipsam sit qui culpa rem consequatur libero. Dolore temporibus culpa quia enim reprehenderit ullam architecto ut.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(15,'Productivity',0,'Cupiditate non est quaerat in distinctio quia. Modi quaerat minima a eius voluptatibus iste. Dolor id eius quia omnis esse qui et. Dolor et officia at quis velit consectetur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(16,'Operations',0,'Dolores ducimus repellendus quisquam ut repellat architecto eos. Eos et tempore sint beatae explicabo autem impedit. Voluptatem reprehenderit velit minima. Vitae odit nihil atque sequi aliquam quae.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(17,'Legal',0,'Est repellendus officia dolores magnam eveniet. Tempora minima illo ipsum amet esse facere voluptatem. Quis totam dolore quasi pariatur.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(18,'Industry Trends',0,'Est nulla maxime deserunt ex. Officiis reiciendis sed nobis sit voluptatem et dolorem aut. Ea sed quos consequatur qui iusto nesciunt. Excepturi nemo rerum nihil sint sit suscipit.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(19,'Small Business',0,'Numquam rem consequatur et. Sit qui officia consequatur tempore veritatis vitae. Molestiae provident ipsa dolorum provident unde optio. Magni non omnis omnis quos.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(20,'Consulting',0,'Sed ducimus cumque earum ut laudantium. Dolorem ut mollitia esse quos officiis molestias aliquam. Nihil quos minima et expedita fugit nesciunt.','published',1,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2024-08-09 23:57:19','2024-08-09 23:57:19');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `record_id` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cities_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities`
--

LOCK TABLES `cities` WRITE;
/*!40000 ALTER TABLE `cities` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cities_translations`
--

DROP TABLE IF EXISTS `cities_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cities_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `cities_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`cities_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cities_translations`
--

LOCK TABLES `cities_translations` WRITE;
/*!40000 ALTER TABLE `cities_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cities_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options`
--

DROP TABLE IF EXISTS `contact_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options`
--

LOCK TABLES `contact_custom_field_options` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_field_options_translations`
--

DROP TABLE IF EXISTS `contact_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_field_options_translations` (
  `contact_custom_field_options_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_field_options_translations`
--

LOCK TABLES `contact_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields`
--

DROP TABLE IF EXISTS `contact_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields`
--

LOCK TABLES `contact_custom_fields` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_custom_fields_translations`
--

DROP TABLE IF EXISTS `contact_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_custom_fields_translations` (
  `contact_custom_fields_id` bigint unsigned NOT NULL,
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`contact_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_custom_fields_translations`
--

LOCK TABLES `contact_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `contact_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `custom_fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,'Dr. Ozella Halvorson MD','lila.hintz@example.com','417.754.7978','244 Prosacco Ramp Apt. 534\nLinafurt, MD 05231','Nihil quo quasi quia quisquam et.','Non vel nihil et et omnis quas praesentium. Quo nostrum vitae quia quae. Distinctio reiciendis velit voluptatibus sint eveniet enim aut. Est veritatis perspiciatis quae libero earum. Rem nam voluptas et. Est repudiandae distinctio alias voluptatem sit nemo placeat. Voluptatem mollitia nihil ea consequatur pariatur. Nemo inventore eius quibusdam blanditiis. Aperiam delectus reprehenderit suscipit qui minima. Id unde quae est sit corrupti ipsa. Iure cupiditate porro quod distinctio autem.',NULL,'unread','2024-08-09 23:57:09','2024-08-09 23:57:09'),(2,'Monserrat Sporer','vgutmann@example.net','+1-254-663-6049','59161 Bauch Mills Suite 722\nOsinskiside, VT 42464','Est recusandae dicta illo voluptatem velit illum.','Minima sed autem consequatur est earum. Cupiditate et voluptates ullam. Quam quidem qui eum dolor quas eum. Et architecto ad earum voluptates iste. Et enim explicabo odit voluptas ut. Doloremque impedit sit vel hic aut nostrum. Veritatis corrupti ea nobis et vel et voluptate vero. Molestias quas quia voluptas magnam ratione rerum. Quia iste deleniti iste et accusamus voluptas expedita. Sapiente quam reprehenderit ut quia. Rerum sit beatae est quo veritatis possimus tenetur.',NULL,'unread','2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,'Leone Schamberger','hilma53@example.org','1-623-256-4565','56723 Becker Spring\nGayside, NM 65773','Vel alias qui optio maiores distinctio quam ut.','Incidunt ut nisi dolorem dolor voluptas dicta. Natus asperiores et neque ad quae. Accusamus nemo perferendis et. Temporibus facere ut quasi reiciendis. Reprehenderit aut et sed beatae. In fugit sed deserunt voluptas qui voluptas consequatur dolore. Facere deserunt ea deserunt ut dolores pariatur. Ducimus dolores consequatur maiores magni facere sit. Fuga non vitae sint mollitia. Corrupti odio iusto voluptas suscipit deserunt.',NULL,'read','2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,'Ila Eichmann','mohr.jimmy@example.org','585-467-4809','9201 Fay Drive Apt. 514\nNorth Magnolia, MA 42051-7567','Nemo ab at autem est veniam maxime.','Et deserunt possimus voluptatibus non. Ex saepe similique temporibus dolorem provident. Odio dolor eum consequatur adipisci voluptatibus. Est ut expedita dolores quisquam tempore et rem. Et dignissimos ducimus nesciunt magni est. Tempore rerum velit quo eos mollitia deleniti non. Est excepturi id eos nesciunt ea. Laudantium ut accusamus consequuntur. At sequi provident est numquam ut ullam. Quia maxime omnis debitis quia. Id ullam dignissimos velit aut et.',NULL,'unread','2024-08-09 23:57:10','2024-08-09 23:57:10'),(5,'Mrs. Leonor Schowalter Jr.','ihaley@example.com','1-763-509-3374','9853 Bins Brook Apt. 395\nNew Davionside, NY 21537','Aut laborum eos error.','Et rem vitae dolorem odit. Sunt corporis optio qui quam harum. Qui commodi et velit ullam. Aut facere et suscipit et omnis natus libero. Doloremque nostrum qui odit aliquid dolorum. Consequatur reiciendis cupiditate voluptatem rerum nihil nostrum officiis. Mollitia dolor praesentium sit in voluptatem. Nesciunt nam delectus soluta dignissimos. Aut autem voluptas vero molestiae. Eveniet ex quas odio maiores pariatur. Eos voluptas sunt rerum quae. Quis iste quia molestiae pariatur ad vel ea.',NULL,'read','2024-08-09 23:57:10','2024-08-09 23:57:10'),(6,'Andre Armstrong Jr.','frieda.boyle@example.net','+15019839523','497 Nelson Villages\nEast Savannatown, AZ 41117-6706','Voluptate delectus qui voluptates quo.','Et ducimus beatae nostrum harum. Pariatur voluptatum voluptas iure similique quasi dolore et. In laboriosam officiis perferendis necessitatibus ea autem at. Vitae temporibus architecto unde non nobis. Aliquid beatae omnis et enim sit iusto consequuntur. Odit vitae dolorem quidem enim eum. Sed nisi quos ducimus et velit dolorem et.',NULL,'read','2024-08-09 23:57:10','2024-08-09 23:57:10'),(7,'Alford Simonis I','oswaldo.pollich@example.net','870.605.3562','8371 Gerhold Pines Suite 530\nCorwinside, DE 19572-9379','Quae sunt fugiat nesciunt voluptates ipsa culpa.','Perferendis qui asperiores omnis fuga. Labore facilis eum quasi modi id sapiente rerum. Iste minima impedit qui consequuntur enim voluptatibus optio. Accusantium in aliquam numquam voluptatem. Numquam tempore ratione impedit dicta. Reprehenderit repudiandae totam non eum. Temporibus alias debitis tenetur rerum perferendis harum. Dicta repellat quae quae ratione. Expedita facilis unde et aut. Aut maiores et nobis ut maiores aspernatur exercitationem. Est natus enim maxime eum voluptates eos.',NULL,'unread','2024-08-09 23:57:10','2024-08-09 23:57:10'),(8,'Matilde Langosh','fkautzer@example.net','(210) 377-6649','92004 Walter Haven\nMurazikberg, GA 15000-2783','Quia deserunt qui est voluptates distinctio et.','Voluptatem ut magni est quis. Eveniet at maiores ex animi quos dignissimos ipsa eligendi. Cum architecto neque eum sint alias rerum consectetur. Corrupti aliquid voluptas impedit reprehenderit. Animi qui quasi at sed quia tempore autem. Inventore animi amet nobis pariatur quae ut. Aliquam nobis dolores qui unde ipsam explicabo. Illum perferendis necessitatibus optio sint. Vero illum consequuntur voluptatibus quia reprehenderit ut sit. Est harum nesciunt quo possimus iste consequatur.',NULL,'read','2024-08-09 23:57:10','2024-08-09 23:57:10'),(9,'Prof. Percival Gleason','kathryn.von@example.org','1-928-416-1804','6020 Marilyne Union Suite 318\nWillmouth, NY 48038','Et eaque esse ut quo ut.','Et assumenda nobis vel quia corrupti aut cumque. Consequatur dolorem molestiae beatae est. Sit ea totam accusamus ullam. Aut eius qui neque sed unde magnam. Reprehenderit et nobis quod. Dolor velit consectetur enim sint qui aspernatur. Non exercitationem aut vitae ea soluta aperiam ipsa quam. Sed commodi aspernatur omnis.',NULL,'unread','2024-08-09 23:57:10','2024-08-09 23:57:10'),(10,'Rose Legros','delilah.bauch@example.org','(986) 312-9640','353 Sporer Prairie\nMozellbury, NV 79868','Beatae recusandae labore aut soluta unde dolorum.','Qui ut commodi praesentium optio. Qui in accusantium sunt. Aut corporis quia blanditiis excepturi. Autem ipsa ut accusamus omnis nisi. Temporibus in consequuntur omnis et sapiente. Ullam cum blanditiis qui modi magnam est provident suscipit. Beatae eum eligendi aut et rerum sint occaecati. Nostrum voluptatem nulla debitis. Assumenda quae quia id. Non inventore ad ut et. Magni fuga sit dignissimos accusantium dolores qui molestias.',NULL,'unread','2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_translations`
--

DROP TABLE IF EXISTS `countries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `countries_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`countries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries_translations`
--

LOCK TABLES `countries_translations` WRITE;
/*!40000 ALTER TABLE `countries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands`
--

DROP TABLE IF EXISTS `ec_brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands`
--

LOCK TABLES `ec_brands` WRITE;
/*!40000 ALTER TABLE `ec_brands` DISABLE KEYS */;
INSERT INTO `ec_brands` VALUES (1,'FoodPound','New Snacks Release',NULL,'brands/1.png','published',0,1,'2024-08-09 23:57:24','2024-08-09 23:57:24'),(2,'iTea JSC','Happy Tea 100% Organic. From $29.9',NULL,'brands/1.png','published',1,1,'2024-08-09 23:57:24','2024-08-09 23:57:24'),(3,'Soda Brand','Soda is a brand that lets your inner-dive out through creative makeup and cool makeup tips! Whichever product you choose, you will see that it is a perfect ...',NULL,'brands/1.png','published',2,1,'2024-08-09 23:57:24','2024-08-09 23:57:24'),(4,'Farmart','Fresh Meat Sausage. BUY 2 GET 1!',NULL,'brands/1.png','published',3,1,'2024-08-09 23:57:24','2024-08-09 23:57:24');
/*!40000 ALTER TABLE `ec_brands` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_brands_translations`
--

DROP TABLE IF EXISTS `ec_brands_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_brands_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_brands_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_brands_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_brands_translations`
--

LOCK TABLES `ec_brands_translations` WRITE;
/*!40000 ALTER TABLE `ec_brands_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_brands_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_cart`
--

DROP TABLE IF EXISTS `ec_cart`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_cart` (
  `identifier` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `instance` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`identifier`,`instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_cart`
--

LOCK TABLES `ec_cart` WRITE;
/*!40000 ALTER TABLE `ec_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_currencies`
--

DROP TABLE IF EXISTS `ec_currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_currencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_prefix_symbol` tinyint unsigned NOT NULL DEFAULT '0',
  `decimals` tinyint unsigned DEFAULT '0',
  `order` int unsigned DEFAULT '0',
  `is_default` tinyint NOT NULL DEFAULT '0',
  `exchange_rate` double NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_currencies`
--

LOCK TABLES `ec_currencies` WRITE;
/*!40000 ALTER TABLE `ec_currencies` DISABLE KEYS */;
INSERT INTO `ec_currencies` VALUES (1,'USD','$',1,2,0,1,1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(2,'EUR','€',0,2,1,0,0.84,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,'VND','₫',0,0,2,0,23203,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,'NGN','₦',1,2,2,0,895.52,'2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `ec_currencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_addresses`
--

DROP TABLE IF EXISTS `ec_customer_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_addresses`
--

LOCK TABLES `ec_customer_addresses` WRITE;
/*!40000 ALTER TABLE `ec_customer_addresses` DISABLE KEYS */;
INSERT INTO `ec_customer_addresses` VALUES (1,'Devin Kunze','customer@archielite.com','+15404687366','GL','California','Christiansenbury','403 Alexandro Roads Apt. 591',1,1,'2024-08-09 23:58:12','2024-08-09 23:58:12','07729-0422'),(2,'Devin Kunze','customer@archielite.com','+15595982568','EC','Washington','Port Ashlee','805 Kirsten Dam Apt. 162',1,0,'2024-08-09 23:58:12','2024-08-09 23:58:12','49531'),(3,'Roselyn Jakubowski','delmer48@example.org','+18202807622','MA','Texas','West Lavon','309 Octavia Springs Suite 157',2,1,'2024-08-09 23:58:12','2024-08-09 23:58:12','95490-2403'),(4,'Ms. Verna Wilderman PhD','branson.schumm@example.org','+13233199549','AL','Massachusetts','Angelicaport','22715 Tromp Square Suite 355',3,1,'2024-08-09 23:58:12','2024-08-09 23:58:12','60507-7889'),(5,'Dr. Alvah Fadel II','marcelle.boyer@example.org','+19789535702','GP','Indiana','New Oscar','37999 Denesik Spring Suite 755',4,1,'2024-08-09 23:58:13','2024-08-09 23:58:13','18340'),(6,'Callie Kuhic V','rosendo.treutel@example.com','+14848721995','GW','Colorado','Port Reid','389 Ellsworth Rest Apt. 168',5,1,'2024-08-09 23:58:13','2024-08-09 23:58:13','52189'),(7,'Kennith Hegmann','reyes41@example.org','+13208953021','FJ','Colorado','Port Hannaport','81374 Nikolaus Knoll',6,1,'2024-08-09 23:58:13','2024-08-09 23:58:13','25182-1773'),(8,'Kaylie Boehm','sasha.bayer@example.net','+19865090383','ST','Wyoming','North Astridberg','8794 Elisabeth Knolls',7,1,'2024-08-09 23:58:13','2024-08-09 23:58:13','37079-4268'),(9,'Kamille Fadel','rogelio24@example.net','+15047701674','GM','Nebraska','Krajcikmouth','578 Carter Ford',8,1,'2024-08-09 23:58:14','2024-08-09 23:58:14','98702'),(10,'Quinton Nienow','nbrakus@example.org','+13178015476','CA','Nevada','East Dedricbury','45600 Peter Mews',9,1,'2024-08-09 23:58:14','2024-08-09 23:58:14','88509');
/*!40000 ALTER TABLE `ec_customer_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_deletion_requests`
--

DROP TABLE IF EXISTS `ec_customer_deletion_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_deletion_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting_for_confirmation',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `confirmed_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customer_deletion_requests_token_unique` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_deletion_requests`
--

LOCK TABLES `ec_customer_deletion_requests` WRITE;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_deletion_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_password_resets`
--

DROP TABLE IF EXISTS `ec_customer_password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `ec_customer_password_resets_email_index` (`email`),
  KEY `ec_customer_password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_password_resets`
--

LOCK TABLES `ec_customer_password_resets` WRITE;
/*!40000 ALTER TABLE `ec_customer_password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_password_resets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_recently_viewed_products`
--

DROP TABLE IF EXISTS `ec_customer_recently_viewed_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_recently_viewed_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_recently_viewed_products`
--

LOCK TABLES `ec_customer_recently_viewed_products` WRITE;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_recently_viewed_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customer_used_coupons`
--

DROP TABLE IF EXISTS `ec_customer_used_coupons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customer_used_coupons` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customer_used_coupons`
--

LOCK TABLES `ec_customer_used_coupons` WRITE;
/*!40000 ALTER TABLE `ec_customer_used_coupons` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_customer_used_coupons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_customers`
--

DROP TABLE IF EXISTS `ec_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_customers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `confirmed_at` datetime DEFAULT NULL,
  `email_verify_token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'activated',
  `private_notes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_customers_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_customers`
--

LOCK TABLES `ec_customers` WRITE;
/*!40000 ALTER TABLE `ec_customers` DISABLE KEYS */;
INSERT INTO `ec_customers` VALUES (1,'Devin Kunze','customer@archielite.com','$2y$12$BCppg/HC4l0MIIF0UpcXP.qU.iYDBmfdGaUzbu8RY8aMnMVAebR5i','customers/3.jpg','1988-08-04','+19148284342',NULL,'2024-08-09 23:58:12','2024-08-09 23:58:12','2024-08-10 06:58:12',NULL,'activated',NULL),(2,'Roselyn Jakubowski','delmer48@example.org','$2y$12$TYipttcT6pdfYWYAFJr6Qe1kw/z6gKLsYRTu7boZlEyJMR/.4xMKC','customers/1.jpg','1999-08-04','+18285703472',NULL,'2024-08-09 23:58:12','2024-08-09 23:58:12','2024-08-10 06:58:12',NULL,'activated',NULL),(3,'Ms. Verna Wilderman PhD','branson.schumm@example.org','$2y$12$rZXsQU7E0MsUEsGJTDz7YOFTfDunKPUKw20eQ10TbRJ9CGVkutPLG','customers/2.jpg','2003-08-01','+19474390440',NULL,'2024-08-09 23:58:12','2024-08-09 23:58:12','2024-08-10 06:58:12',NULL,'activated',NULL),(4,'Dr. Alvah Fadel II','marcelle.boyer@example.org','$2y$12$0DmiIRHuEWeBDBxlBuQO5exCtzTEif6Yc8FQGOD1JdyUOpg/TzVsq','customers/3.jpg','2000-07-25','+18062151058',NULL,'2024-08-09 23:58:13','2024-08-09 23:58:13','2024-08-10 06:58:12',NULL,'activated',NULL),(5,'Callie Kuhic V','rosendo.treutel@example.com','$2y$12$i.zQkQCFdx95S5ycuQMVi.IiusLutXjh428xYQ/TfNGrZKxNhENJ2','customers/4.jpg','1984-07-29','+16128802706',NULL,'2024-08-09 23:58:13','2024-08-09 23:58:13','2024-08-10 06:58:12',NULL,'activated',NULL),(6,'Kennith Hegmann','reyes41@example.org','$2y$12$B9s4RqoHQXmDncZeWdTxteDRjwIE37HD0qopyIBQU0bo52xOXdPJS','customers/5.jpg','1999-07-19','+14063853825',NULL,'2024-08-09 23:58:13','2024-08-09 23:58:13','2024-08-10 06:58:12',NULL,'activated',NULL),(7,'Kaylie Boehm','sasha.bayer@example.net','$2y$12$M3EjBxbahTHlDJiqkJ5H3.zNwcgzw0CkfzHtKo1WEHFx2yK8mhnzK','customers/6.jpg','1976-08-09','+18642149846',NULL,'2024-08-09 23:58:13','2024-08-09 23:58:13','2024-08-10 06:58:12',NULL,'activated',NULL),(8,'Kamille Fadel','rogelio24@example.net','$2y$12$rM7ghGEetgHtyPphEZvr8eXIGCQh6Ek1xJfZVZ3QYaEZwAb5FR7BC','customers/7.jpg','1977-08-01','+15632108284',NULL,'2024-08-09 23:58:14','2024-08-09 23:58:14','2024-08-10 06:58:12',NULL,'activated',NULL),(9,'Quinton Nienow','nbrakus@example.org','$2y$12$VVKJb9NKRmANkJwEnxdjYuXuz6I6k.pkJEPkqUmKyvLrfkJXFwLNy','customers/8.jpg','1999-07-14','+19305497134',NULL,'2024-08-09 23:58:14','2024-08-09 23:58:14','2024-08-10 06:58:12',NULL,'activated',NULL);
/*!40000 ALTER TABLE `ec_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_customers`
--

DROP TABLE IF EXISTS `ec_discount_customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_customers` (
  `discount_id` bigint unsigned NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_customers`
--

LOCK TABLES `ec_discount_customers` WRITE;
/*!40000 ALTER TABLE `ec_discount_customers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_categories`
--

DROP TABLE IF EXISTS `ec_discount_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_categories` (
  `discount_id` bigint unsigned NOT NULL,
  `product_category_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_categories`
--

LOCK TABLES `ec_discount_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_product_collections`
--

DROP TABLE IF EXISTS `ec_discount_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_product_collections` (
  `discount_id` bigint unsigned NOT NULL,
  `product_collection_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_collection_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_product_collections`
--

LOCK TABLES `ec_discount_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_discount_product_collections` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discount_products`
--

DROP TABLE IF EXISTS `ec_discount_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discount_products` (
  `discount_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`discount_id`,`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discount_products`
--

LOCK TABLES `ec_discount_products` WRITE;
/*!40000 ALTER TABLE `ec_discount_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discount_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_discounts`
--

DROP TABLE IF EXISTS `ec_discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_discounts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `total_used` int unsigned NOT NULL DEFAULT '0',
  `value` double DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'coupon',
  `can_use_with_promotion` tinyint(1) NOT NULL DEFAULT '0',
  `discount_on` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_quantity` int unsigned DEFAULT NULL,
  `type_option` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'amount',
  `target` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'all-orders',
  `min_order_price` decimal(15,2) DEFAULT NULL,
  `apply_via_url` tinyint(1) NOT NULL DEFAULT '0',
  `display_at_checkout` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_discounts_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_discounts`
--

LOCK TABLES `ec_discounts` WRITE;
/*!40000 ALTER TABLE `ec_discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_discounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sale_products`
--

DROP TABLE IF EXISTS `ec_flash_sale_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sale_products` (
  `flash_sale_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `price` double unsigned DEFAULT NULL,
  `quantity` int unsigned DEFAULT NULL,
  `sold` int unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sale_products`
--

LOCK TABLES `ec_flash_sale_products` WRITE;
/*!40000 ALTER TABLE `ec_flash_sale_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sale_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales`
--

DROP TABLE IF EXISTS `ec_flash_sales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `end_date` datetime NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales`
--

LOCK TABLES `ec_flash_sales` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_flash_sales_translations`
--

DROP TABLE IF EXISTS `ec_flash_sales_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_flash_sales_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_flash_sales_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_flash_sales_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_flash_sales_translations`
--

LOCK TABLES `ec_flash_sales_translations` WRITE;
/*!40000 ALTER TABLE `ec_flash_sales_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_flash_sales_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value`
--

DROP TABLE IF EXISTS `ec_global_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value`
--

LOCK TABLES `ec_global_option_value` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_option_value_translations`
--

DROP TABLE IF EXISTS `ec_global_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_option_value_translations`
--

LOCK TABLES `ec_global_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options`
--

DROP TABLE IF EXISTS `ec_global_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'option type',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options`
--

LOCK TABLES `ec_global_options` WRITE;
/*!40000 ALTER TABLE `ec_global_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_global_options_translations`
--

DROP TABLE IF EXISTS `ec_global_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_global_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_global_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_global_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_global_options_translations`
--

LOCK TABLES `ec_global_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_global_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_global_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_grouped_products`
--

DROP TABLE IF EXISTS `ec_grouped_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_grouped_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_product_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `fixed_qty` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_grouped_products`
--

LOCK TABLES `ec_grouped_products` WRITE;
/*!40000 ALTER TABLE `ec_grouped_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_grouped_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoice_items`
--

DROP TABLE IF EXISTS `ec_invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoice_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL DEFAULT '0.00',
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `amount` decimal(15,2) unsigned NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_invoice_items_reference_type_reference_id_index` (`reference_type`,`reference_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoice_items`
--

LOCK TABLES `ec_invoice_items` WRITE;
/*!40000 ALTER TABLE `ec_invoice_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoice_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_invoices`
--

DROP TABLE IF EXISTS `ec_invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_invoices` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_tax_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total` decimal(15,2) unsigned NOT NULL,
  `tax_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `discount_amount` decimal(15,2) unsigned NOT NULL DEFAULT '0.00',
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `payment_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_invoices_code_unique` (`code`),
  KEY `ec_invoices_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `ec_invoices_payment_id_index` (`payment_id`),
  KEY `ec_invoices_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_invoices`
--

LOCK TABLES `ec_invoices` WRITE;
/*!40000 ALTER TABLE `ec_invoices` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_invoices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value`
--

DROP TABLE IF EXISTS `ec_option_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `option_id` bigint unsigned NOT NULL COMMENT 'option id',
  `option_value` tinytext COLLATE utf8mb4_unicode_ci COMMENT 'option value',
  `affect_price` double DEFAULT NULL COMMENT 'value of price of this option affect',
  `order` int NOT NULL DEFAULT '9999',
  `affect_type` tinyint NOT NULL DEFAULT '0' COMMENT '0. fixed 1. percent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value`
--

LOCK TABLES `ec_option_value` WRITE;
/*!40000 ALTER TABLE `ec_option_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_option_value_translations`
--

DROP TABLE IF EXISTS `ec_option_value_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_option_value_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_option_value_id` bigint unsigned NOT NULL,
  `option_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_option_value_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_option_value_translations`
--

LOCK TABLES `ec_option_value_translations` WRITE;
/*!40000 ALTER TABLE `ec_option_value_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_option_value_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options`
--

DROP TABLE IF EXISTS `ec_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Name of options',
  `option_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'option type',
  `product_id` bigint unsigned NOT NULL DEFAULT '0',
  `order` int NOT NULL DEFAULT '9999',
  `required` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Checked if this option is required',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options`
--

LOCK TABLES `ec_options` WRITE;
/*!40000 ALTER TABLE `ec_options` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_options_translations`
--

DROP TABLE IF EXISTS `ec_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_options_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_options_translations`
--

LOCK TABLES `ec_options_translations` WRITE;
/*!40000 ALTER TABLE `ec_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_addresses`
--

DROP TABLE IF EXISTS `ec_order_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'shipping_address',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_addresses`
--

LOCK TABLES `ec_order_addresses` WRITE;
/*!40000 ALTER TABLE `ec_order_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_addresses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_histories`
--

DROP TABLE IF EXISTS `ec_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL,
  `extras` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_histories`
--

LOCK TABLES `ec_order_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_product`
--

DROP TABLE IF EXISTS `ec_order_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_product` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `qty` int NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `product_options` text COLLATE utf8mb4_unicode_ci COMMENT 'product option data',
  `product_id` bigint unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `restock_quantity` int unsigned DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'physical',
  `times_downloaded` int NOT NULL DEFAULT '0',
  `license_code` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `downloaded_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_product`
--

LOCK TABLES `ec_order_product` WRITE;
/*!40000 ALTER TABLE `ec_order_product` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_referrals`
--

DROP TABLE IF EXISTS `ec_order_referrals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_referrals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip` varchar(39) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_page` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `landing_params` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referral` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fclid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_source` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_campaign` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_medium` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_term` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `utm_content` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referrer_url` text COLLATE utf8mb4_unicode_ci,
  `referrer_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_referrals_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_referrals`
--

LOCK TABLES `ec_order_referrals` WRITE;
/*!40000 ALTER TABLE `ec_order_referrals` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_referrals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_histories`
--

DROP TABLE IF EXISTS `ec_order_return_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `order_return_id` bigint unsigned NOT NULL,
  `action` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_histories`
--

LOCK TABLES `ec_order_return_histories` WRITE;
/*!40000 ALTER TABLE `ec_order_return_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_return_items`
--

DROP TABLE IF EXISTS `ec_order_return_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_return_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_return_id` bigint unsigned NOT NULL COMMENT 'Order return id',
  `order_product_id` bigint unsigned NOT NULL COMMENT 'Order product id',
  `product_id` bigint unsigned NOT NULL COMMENT 'Product id',
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qty` int NOT NULL COMMENT 'Quantity return',
  `price` decimal(15,2) NOT NULL COMMENT 'Price Product',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `refund_amount` decimal(12,2) DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_return_items`
--

LOCK TABLES `ec_order_return_items` WRITE;
/*!40000 ALTER TABLE `ec_order_return_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_return_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_returns`
--

DROP TABLE IF EXISTS `ec_order_returns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_returns` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_id` bigint unsigned NOT NULL COMMENT 'Order ID',
  `store_id` bigint unsigned DEFAULT NULL COMMENT 'Store ID',
  `user_id` bigint unsigned NOT NULL COMMENT 'Customer ID',
  `reason` text COLLATE utf8mb4_unicode_ci COMMENT 'Reason return order',
  `order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Order current status',
  `return_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Return status',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_order_returns_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_returns`
--

LOCK TABLES `ec_order_returns` WRITE;
/*!40000 ALTER TABLE `ec_order_returns` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_returns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_order_tax_information`
--

DROP TABLE IF EXISTS `ec_order_tax_information`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_order_tax_information` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `company_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_tax_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_order_tax_information_order_id_index` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_order_tax_information`
--

LOCK TABLES `ec_order_tax_information` WRITE;
/*!40000 ALTER TABLE `ec_order_tax_information` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_order_tax_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_orders`
--

DROP TABLE IF EXISTS `ec_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `shipping_option` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_method` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `amount` decimal(15,2) NOT NULL,
  `tax_amount` decimal(15,2) DEFAULT NULL,
  `shipping_amount` decimal(15,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `coupon_code` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(15,2) DEFAULT NULL,
  `sub_total` decimal(15,2) NOT NULL,
  `is_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `discount_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_finished` tinyint(1) DEFAULT '0',
  `cancellation_reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cancellation_reason_description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `completed_at` timestamp NULL DEFAULT NULL,
  `token` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `proof_file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_orders_code_unique` (`code`),
  KEY `ec_orders_user_id_status_created_at_index` (`user_id`,`status`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_orders`
--

LOCK TABLES `ec_orders` WRITE;
/*!40000 ALTER TABLE `ec_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `display_layout` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'swatch_dropdown',
  `is_searchable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_comparable` tinyint unsigned NOT NULL DEFAULT '1',
  `is_use_in_product_listing` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `use_image_from_product_variation` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets`
--

LOCK TABLES `ec_product_attribute_sets` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets` DISABLE KEYS */;
INSERT INTO `ec_product_attribute_sets` VALUES (1,'Color','color','visual',1,1,1,'published',0,'2024-08-09 23:58:11','2024-08-09 23:58:11',0),(2,'Size','size','text',1,1,1,'published',1,'2024-08-09 23:58:11','2024-08-09 23:58:11',0),(3,'Weight','weight','text',1,1,1,'published',0,'2024-08-09 23:58:11','2024-08-09 23:58:11',0),(4,'Boxes','boxes','text',1,1,1,'published',1,'2024-08-09 23:58:11','2024-08-09 23:58:11',0);
/*!40000 ALTER TABLE `ec_product_attribute_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attribute_sets_translations`
--

DROP TABLE IF EXISTS `ec_product_attribute_sets_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attribute_sets_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attribute_sets_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attribute_sets_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attribute_sets_translations`
--

LOCK TABLES `ec_product_attribute_sets_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attribute_sets_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes`
--

DROP TABLE IF EXISTS `ec_product_attributes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_set_id` bigint unsigned NOT NULL,
  `title` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attribute_set_status_index` (`attribute_set_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes`
--

LOCK TABLES `ec_product_attributes` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes` DISABLE KEYS */;
INSERT INTO `ec_product_attributes` VALUES (1,1,'Green','green','#5FB7D4',NULL,1,1,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(2,1,'Blue','blue','#333333',NULL,0,2,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(3,1,'Red','red','#DA323F',NULL,0,3,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(4,1,'Black','black','#2F366C',NULL,0,4,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(5,1,'Brown','brown','#87554B',NULL,0,5,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(6,2,'S','s',NULL,NULL,1,1,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(7,2,'M','m',NULL,NULL,0,2,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(8,2,'L','l',NULL,NULL,0,3,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(9,2,'XL','xl',NULL,NULL,0,4,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(10,2,'XXL','xxl',NULL,NULL,0,5,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(11,3,'1KG','1kg',NULL,NULL,1,1,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(12,3,'2KG','2kg',NULL,NULL,0,2,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(13,3,'3KG','3kg',NULL,NULL,0,3,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(14,3,'4KG','4kg',NULL,NULL,0,4,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(15,3,'5KG','5kg',NULL,NULL,0,5,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(16,4,'1 Box','1-box',NULL,NULL,1,1,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(17,4,'2 Boxes','2-boxes',NULL,NULL,0,2,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(18,4,'3 Boxes','3-boxes',NULL,NULL,0,3,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(19,4,'4 Boxes','4-boxes',NULL,NULL,0,4,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(20,4,'5 Boxes','5-boxes',NULL,NULL,0,5,'2024-08-09 23:58:11','2024-08-09 23:58:11');
/*!40000 ALTER TABLE `ec_product_attributes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_attributes_translations`
--

DROP TABLE IF EXISTS `ec_product_attributes_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_attributes_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_attributes_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_attributes_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_attributes_translations`
--

LOCK TABLES `ec_product_attributes_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_attributes_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_attributes_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories`
--

DROP TABLE IF EXISTS `ec_product_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `order` int unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_categories_parent_id_status_created_at_index` (`parent_id`,`status`,`created_at`),
  KEY `ec_product_categories_parent_id_status_index` (`parent_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories`
--

LOCK TABLES `ec_product_categories` WRITE;
/*!40000 ALTER TABLE `ec_product_categories` DISABLE KEYS */;
INSERT INTO `ec_product_categories` VALUES (1,'Desktop PC',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',1,'product-categories/1.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(2,'Headphone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',2,'product-categories/2.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(3,'Laptop',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',3,'product-categories/3.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(4,'Mobile Phone',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',4,'product-categories/4.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(5,'Printer',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',5,'product-categories/5.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(6,'Books',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',6,'product-categories/6.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(7,'Tablet',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',7,'product-categories/7.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(8,'USB Flash',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',8,'product-categories/8.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(9,'Game Mouse',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',9,'product-categories/9.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(10,'Security',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',10,'product-categories/10.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(11,'Watch',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',11,'product-categories/11.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL),(12,'Scanner',0,'From year to year we strive to invent the most innovative technology that is used by both small enterprises and space enterprises.','published',12,'product-categories/12.png',1,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,NULL);
/*!40000 ALTER TABLE `ec_product_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categories_translations`
--

DROP TABLE IF EXISTS `ec_product_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_categories_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_product_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categories_translations`
--

LOCK TABLES `ec_product_categories_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_categorizables`
--

DROP TABLE IF EXISTS `ec_product_categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_categorizables` (
  `category_id` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`category_id`,`reference_id`,`reference_type`),
  KEY `ec_product_categorizables_category_id_index` (`category_id`),
  KEY `ec_product_categorizables_reference_id_index` (`reference_id`),
  KEY `ec_product_categorizables_reference_type_index` (`reference_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_categorizables`
--

LOCK TABLES `ec_product_categorizables` WRITE;
/*!40000 ALTER TABLE `ec_product_categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_categorizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_category_product`
--

DROP TABLE IF EXISTS `ec_product_category_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_category_product` (
  `category_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`category_id`),
  KEY `ec_product_category_product_category_id_index` (`category_id`),
  KEY `ec_product_category_product_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_category_product`
--

LOCK TABLES `ec_product_category_product` WRITE;
/*!40000 ALTER TABLE `ec_product_category_product` DISABLE KEYS */;
INSERT INTO `ec_product_category_product` VALUES (1,1),(1,26),(1,34),(1,44),(1,51),(1,60),(2,14),(2,18),(2,26),(2,34),(2,48),(3,9),(3,16),(3,20),(3,36),(3,38),(3,54),(4,10),(4,24),(4,41),(4,54),(5,6),(5,20),(5,33),(5,48),(5,49),(5,55),(5,57),(5,59),(6,13),(6,16),(6,17),(6,20),(6,30),(6,32),(7,19),(7,44),(7,47),(7,54),(7,65),(8,9),(8,25),(8,39),(8,47),(9,7),(9,14),(9,25),(9,61),(10,2),(10,40),(10,64),(11,1),(11,3),(11,4),(11,5),(11,7),(11,19),(11,37),(11,56),(11,65),(12,4),(12,11),(12,16),(12,23),(12,29),(13,10),(14,22),(14,39),(14,43),(14,50),(14,52),(15,61),(16,22),(16,24),(16,27),(16,30),(16,41),(16,54),(16,59),(16,65),(17,37),(17,46),(18,4),(18,8),(18,11),(18,14),(18,34),(18,38),(18,47),(18,50),(19,12),(19,15),(19,44),(20,5),(20,16),(20,19),(20,27),(20,29),(20,37),(20,45),(20,51),(21,7),(21,21),(21,52),(21,55),(21,60),(21,64),(22,11),(22,12),(22,18),(22,30),(22,40),(22,42),(22,44),(22,45),(22,50),(22,58),(23,2),(23,15),(23,21),(23,39),(23,40),(23,41),(24,3),(24,6),(24,10),(24,11),(24,17),(24,19),(24,23),(24,28),(24,33),(24,57),(24,59),(25,6),(25,17),(25,22),(25,25),(25,31),(26,1),(26,29),(26,42),(26,47),(26,49),(26,56),(26,61),(26,65),(27,2),(27,5),(27,17),(27,25),(27,26),(27,31),(27,42),(27,43),(27,46),(27,64),(28,4),(28,5),(28,14),(28,15),(28,24),(28,35),(28,42),(28,43),(28,53),(28,56),(28,60),(28,63),(29,12),(29,28),(29,29),(29,35),(29,43),(29,46),(29,49),(29,55),(29,56),(29,57),(30,9),(30,18),(30,36),(30,50),(30,52),(30,58),(30,62),(31,13),(31,21),(31,24),(31,26),(31,33),(31,46),(32,3),(32,7),(32,23),(32,27),(32,31),(32,32),(32,40),(32,52),(32,53),(32,60),(32,62),(32,63),(32,64),(33,8),(33,13),(33,28),(33,36),(33,37),(33,38),(33,39),(33,49),(33,53),(33,57),(33,58),(34,12),(34,22),(34,27),(34,33),(34,48),(35,6),(35,13),(35,15),(35,18),(35,20),(35,21),(35,32),(35,35),(35,38),(35,53),(35,55),(36,23),(36,34),(36,41),(36,45),(36,51),(36,58),(36,59),(36,62),(36,63),(37,2),(37,9),(37,10),(37,28),(37,45);
/*!40000 ALTER TABLE `ec_product_category_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collection_products`
--

DROP TABLE IF EXISTS `ec_product_collection_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collection_products` (
  `product_collection_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`product_collection_id`),
  KEY `ec_product_collection_products_product_collection_id_index` (`product_collection_id`),
  KEY `ec_product_collection_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collection_products`
--

LOCK TABLES `ec_product_collection_products` WRITE;
/*!40000 ALTER TABLE `ec_product_collection_products` DISABLE KEYS */;
INSERT INTO `ec_product_collection_products` VALUES (1,2),(1,3),(1,4),(1,20),(1,22),(1,26),(1,27),(1,29),(1,30),(1,31),(1,32),(1,34),(1,35),(1,43),(1,44),(1,46),(1,47),(1,52),(1,54),(1,55),(1,56),(1,58),(1,59),(1,60),(2,1),(2,5),(2,8),(2,9),(2,13),(2,14),(2,15),(2,16),(2,17),(2,18),(2,19),(2,25),(2,33),(2,36),(2,38),(2,39),(2,49),(2,53),(2,61),(2,63),(2,64),(2,65),(3,6),(3,7),(3,10),(3,11),(3,12),(3,21),(3,23),(3,24),(3,28),(3,37),(3,40),(3,41),(3,42),(3,45),(3,48),(3,50),(3,51),(3,57),(3,62);
/*!40000 ALTER TABLE `ec_product_collection_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections`
--

DROP TABLE IF EXISTS `ec_product_collections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections`
--

LOCK TABLES `ec_product_collections` WRITE;
/*!40000 ALTER TABLE `ec_product_collections` DISABLE KEYS */;
INSERT INTO `ec_product_collections` VALUES (1,'New Arrival','new-arrival',NULL,NULL,'published','2024-08-09 23:57:24','2024-08-09 23:57:24',0),(2,'Best Sellers','best-sellers',NULL,NULL,'published','2024-08-09 23:57:24','2024-08-09 23:57:24',0),(3,'Special Offer','special-offer',NULL,NULL,'published','2024-08-09 23:57:24','2024-08-09 23:57:24',0);
/*!40000 ALTER TABLE `ec_product_collections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_collections_translations`
--

DROP TABLE IF EXISTS `ec_product_collections_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_collections_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_collections_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_collections_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_collections_translations`
--

LOCK TABLES `ec_product_collections_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_collections_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_collections_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_cross_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_cross_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_cross_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  `is_variant` tinyint(1) NOT NULL DEFAULT '0',
  `price` decimal(15,2) DEFAULT '0.00',
  `price_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed',
  `apply_to_all_variations` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_cross_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_cross_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_cross_sale_relations`
--

LOCK TABLES `ec_product_cross_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` DISABLE KEYS */;
INSERT INTO `ec_product_cross_sale_relations` VALUES (1,4,0,0.00,'fixed',1),(1,5,0,0.00,'fixed',1),(1,9,0,0.00,'fixed',1),(1,12,0,0.00,'fixed',1),(1,14,0,0.00,'fixed',1),(1,15,0,0.00,'fixed',1),(1,18,0,0.00,'fixed',1),(2,5,0,0.00,'fixed',1),(2,9,0,0.00,'fixed',1),(2,11,0,0.00,'fixed',1),(2,13,0,0.00,'fixed',1),(2,15,0,0.00,'fixed',1),(2,19,0,0.00,'fixed',1),(3,1,0,0.00,'fixed',1),(3,2,0,0.00,'fixed',1),(3,5,0,0.00,'fixed',1),(3,9,0,0.00,'fixed',1),(3,13,0,0.00,'fixed',1),(3,16,0,0.00,'fixed',1),(3,20,0,0.00,'fixed',1),(4,8,0,0.00,'fixed',1),(4,9,0,0.00,'fixed',1),(4,10,0,0.00,'fixed',1),(4,12,0,0.00,'fixed',1),(4,14,0,0.00,'fixed',1),(4,17,0,0.00,'fixed',1),(4,20,0,0.00,'fixed',1),(5,3,0,0.00,'fixed',1),(5,4,0,0.00,'fixed',1),(5,7,0,0.00,'fixed',1),(5,13,0,0.00,'fixed',1),(5,15,0,0.00,'fixed',1),(5,16,0,0.00,'fixed',1),(6,1,0,0.00,'fixed',1),(6,2,0,0.00,'fixed',1),(6,4,0,0.00,'fixed',1),(6,7,0,0.00,'fixed',1),(6,10,0,0.00,'fixed',1),(6,12,0,0.00,'fixed',1),(6,16,0,0.00,'fixed',1),(7,1,0,0.00,'fixed',1),(7,3,0,0.00,'fixed',1),(7,4,0,0.00,'fixed',1),(7,11,0,0.00,'fixed',1),(7,16,0,0.00,'fixed',1),(7,19,0,0.00,'fixed',1),(8,1,0,0.00,'fixed',1),(8,15,0,0.00,'fixed',1),(8,18,0,0.00,'fixed',1),(8,19,0,0.00,'fixed',1),(8,20,0,0.00,'fixed',1),(9,2,0,0.00,'fixed',1),(9,10,0,0.00,'fixed',1),(9,12,0,0.00,'fixed',1),(9,15,0,0.00,'fixed',1),(9,16,0,0.00,'fixed',1),(9,18,0,0.00,'fixed',1),(10,2,0,0.00,'fixed',1),(10,6,0,0.00,'fixed',1),(10,11,0,0.00,'fixed',1),(10,13,0,0.00,'fixed',1),(10,20,0,0.00,'fixed',1),(11,4,0,0.00,'fixed',1),(11,5,0,0.00,'fixed',1),(11,6,0,0.00,'fixed',1),(11,8,0,0.00,'fixed',1),(11,15,0,0.00,'fixed',1),(11,16,0,0.00,'fixed',1),(11,17,0,0.00,'fixed',1),(12,4,0,0.00,'fixed',1),(12,7,0,0.00,'fixed',1),(12,9,0,0.00,'fixed',1),(12,11,0,0.00,'fixed',1),(12,15,0,0.00,'fixed',1),(13,1,0,0.00,'fixed',1),(13,3,0,0.00,'fixed',1),(13,6,0,0.00,'fixed',1),(13,8,0,0.00,'fixed',1),(13,9,0,0.00,'fixed',1),(13,17,0,0.00,'fixed',1),(13,18,0,0.00,'fixed',1),(14,1,0,0.00,'fixed',1),(14,5,0,0.00,'fixed',1),(14,8,0,0.00,'fixed',1),(14,9,0,0.00,'fixed',1),(14,12,0,0.00,'fixed',1),(14,20,0,0.00,'fixed',1),(15,3,0,0.00,'fixed',1),(15,4,0,0.00,'fixed',1),(15,7,0,0.00,'fixed',1),(15,12,0,0.00,'fixed',1),(15,16,0,0.00,'fixed',1),(16,2,0,0.00,'fixed',1),(16,3,0,0.00,'fixed',1),(16,6,0,0.00,'fixed',1),(16,15,0,0.00,'fixed',1),(16,17,0,0.00,'fixed',1),(16,18,0,0.00,'fixed',1),(17,9,0,0.00,'fixed',1),(17,11,0,0.00,'fixed',1),(17,14,0,0.00,'fixed',1),(17,15,0,0.00,'fixed',1),(17,16,0,0.00,'fixed',1),(17,20,0,0.00,'fixed',1),(18,1,0,0.00,'fixed',1),(18,6,0,0.00,'fixed',1),(18,11,0,0.00,'fixed',1),(18,13,0,0.00,'fixed',1),(19,2,0,0.00,'fixed',1),(19,4,0,0.00,'fixed',1),(19,12,0,0.00,'fixed',1),(19,13,0,0.00,'fixed',1),(19,14,0,0.00,'fixed',1),(19,15,0,0.00,'fixed',1),(19,20,0,0.00,'fixed',1),(20,4,0,0.00,'fixed',1),(20,5,0,0.00,'fixed',1),(20,7,0,0.00,'fixed',1),(20,12,0,0.00,'fixed',1),(20,14,0,0.00,'fixed',1),(20,16,0,0.00,'fixed',1),(21,3,0,0.00,'fixed',1),(21,5,0,0.00,'fixed',1),(21,12,0,0.00,'fixed',1),(21,13,0,0.00,'fixed',1),(21,15,0,0.00,'fixed',1),(21,16,0,0.00,'fixed',1),(22,4,0,0.00,'fixed',1),(22,9,0,0.00,'fixed',1),(22,13,0,0.00,'fixed',1),(22,19,0,0.00,'fixed',1),(23,1,0,0.00,'fixed',1),(23,4,0,0.00,'fixed',1),(23,5,0,0.00,'fixed',1),(23,9,0,0.00,'fixed',1),(23,11,0,0.00,'fixed',1),(23,12,0,0.00,'fixed',1),(23,19,0,0.00,'fixed',1),(24,4,0,0.00,'fixed',1),(24,9,0,0.00,'fixed',1),(24,12,0,0.00,'fixed',1),(24,15,0,0.00,'fixed',1),(24,16,0,0.00,'fixed',1),(24,17,0,0.00,'fixed',1),(25,4,0,0.00,'fixed',1),(25,5,0,0.00,'fixed',1),(25,10,0,0.00,'fixed',1),(25,11,0,0.00,'fixed',1),(25,12,0,0.00,'fixed',1),(25,13,0,0.00,'fixed',1),(26,2,0,0.00,'fixed',1),(26,3,0,0.00,'fixed',1),(26,5,0,0.00,'fixed',1),(26,9,0,0.00,'fixed',1),(26,11,0,0.00,'fixed',1),(26,15,0,0.00,'fixed',1),(26,17,0,0.00,'fixed',1),(27,8,0,0.00,'fixed',1),(27,10,0,0.00,'fixed',1),(27,11,0,0.00,'fixed',1),(27,12,0,0.00,'fixed',1),(27,13,0,0.00,'fixed',1),(27,15,0,0.00,'fixed',1),(27,17,0,0.00,'fixed',1),(28,1,0,0.00,'fixed',1),(28,4,0,0.00,'fixed',1),(28,8,0,0.00,'fixed',1),(28,9,0,0.00,'fixed',1),(28,18,0,0.00,'fixed',1),(28,19,0,0.00,'fixed',1),(29,1,0,0.00,'fixed',1),(29,3,0,0.00,'fixed',1),(29,13,0,0.00,'fixed',1),(29,15,0,0.00,'fixed',1),(29,16,0,0.00,'fixed',1),(30,4,0,0.00,'fixed',1),(30,7,0,0.00,'fixed',1),(30,13,0,0.00,'fixed',1),(30,14,0,0.00,'fixed',1),(30,16,0,0.00,'fixed',1),(31,1,0,0.00,'fixed',1),(31,2,0,0.00,'fixed',1),(31,3,0,0.00,'fixed',1),(31,4,0,0.00,'fixed',1),(31,12,0,0.00,'fixed',1),(31,19,0,0.00,'fixed',1),(32,5,0,0.00,'fixed',1),(32,6,0,0.00,'fixed',1),(32,12,0,0.00,'fixed',1),(32,16,0,0.00,'fixed',1),(32,18,0,0.00,'fixed',1),(33,1,0,0.00,'fixed',1),(33,5,0,0.00,'fixed',1),(33,10,0,0.00,'fixed',1),(33,11,0,0.00,'fixed',1),(33,18,0,0.00,'fixed',1),(34,2,0,0.00,'fixed',1),(34,4,0,0.00,'fixed',1),(34,17,0,0.00,'fixed',1),(34,19,0,0.00,'fixed',1),(35,4,0,0.00,'fixed',1),(35,5,0,0.00,'fixed',1),(35,8,0,0.00,'fixed',1),(35,9,0,0.00,'fixed',1),(35,16,0,0.00,'fixed',1),(36,1,0,0.00,'fixed',1),(36,5,0,0.00,'fixed',1),(36,7,0,0.00,'fixed',1),(36,10,0,0.00,'fixed',1),(36,11,0,0.00,'fixed',1),(36,12,0,0.00,'fixed',1),(37,1,0,0.00,'fixed',1),(37,4,0,0.00,'fixed',1),(37,12,0,0.00,'fixed',1),(37,13,0,0.00,'fixed',1),(37,14,0,0.00,'fixed',1),(37,15,0,0.00,'fixed',1),(37,17,0,0.00,'fixed',1),(38,5,0,0.00,'fixed',1),(38,7,0,0.00,'fixed',1),(38,8,0,0.00,'fixed',1),(38,12,0,0.00,'fixed',1),(38,16,0,0.00,'fixed',1),(38,17,0,0.00,'fixed',1),(38,18,0,0.00,'fixed',1),(39,4,0,0.00,'fixed',1),(39,6,0,0.00,'fixed',1),(39,7,0,0.00,'fixed',1),(39,14,0,0.00,'fixed',1),(39,18,0,0.00,'fixed',1),(39,19,0,0.00,'fixed',1),(40,1,0,0.00,'fixed',1),(40,5,0,0.00,'fixed',1),(40,10,0,0.00,'fixed',1),(40,14,0,0.00,'fixed',1),(40,17,0,0.00,'fixed',1),(40,18,0,0.00,'fixed',1),(41,4,0,0.00,'fixed',1),(41,5,0,0.00,'fixed',1),(41,7,0,0.00,'fixed',1),(41,15,0,0.00,'fixed',1),(41,17,0,0.00,'fixed',1),(42,2,0,0.00,'fixed',1),(42,3,0,0.00,'fixed',1),(42,6,0,0.00,'fixed',1),(42,7,0,0.00,'fixed',1),(42,13,0,0.00,'fixed',1),(42,18,0,0.00,'fixed',1),(43,1,0,0.00,'fixed',1),(43,2,0,0.00,'fixed',1),(43,6,0,0.00,'fixed',1),(43,15,0,0.00,'fixed',1),(43,18,0,0.00,'fixed',1),(43,19,0,0.00,'fixed',1),(44,1,0,0.00,'fixed',1),(44,5,0,0.00,'fixed',1),(44,6,0,0.00,'fixed',1),(44,7,0,0.00,'fixed',1),(44,8,0,0.00,'fixed',1),(44,12,0,0.00,'fixed',1),(44,14,0,0.00,'fixed',1),(45,1,0,0.00,'fixed',1),(45,3,0,0.00,'fixed',1),(45,13,0,0.00,'fixed',1),(45,15,0,0.00,'fixed',1),(45,17,0,0.00,'fixed',1),(46,4,0,0.00,'fixed',1),(46,5,0,0.00,'fixed',1),(46,13,0,0.00,'fixed',1),(46,17,0,0.00,'fixed',1),(46,19,0,0.00,'fixed',1),(47,1,0,0.00,'fixed',1),(47,2,0,0.00,'fixed',1),(47,5,0,0.00,'fixed',1),(47,13,0,0.00,'fixed',1),(47,17,0,0.00,'fixed',1),(47,18,0,0.00,'fixed',1),(48,2,0,0.00,'fixed',1),(48,6,0,0.00,'fixed',1),(48,8,0,0.00,'fixed',1),(48,14,0,0.00,'fixed',1),(48,15,0,0.00,'fixed',1),(48,16,0,0.00,'fixed',1),(49,2,0,0.00,'fixed',1),(49,4,0,0.00,'fixed',1),(49,7,0,0.00,'fixed',1),(49,11,0,0.00,'fixed',1),(49,17,0,0.00,'fixed',1),(50,1,0,0.00,'fixed',1),(50,2,0,0.00,'fixed',1),(50,8,0,0.00,'fixed',1),(50,13,0,0.00,'fixed',1),(50,16,0,0.00,'fixed',1),(50,18,0,0.00,'fixed',1),(51,1,0,0.00,'fixed',1),(51,2,0,0.00,'fixed',1),(51,7,0,0.00,'fixed',1),(51,10,0,0.00,'fixed',1),(51,15,0,0.00,'fixed',1),(51,17,0,0.00,'fixed',1),(52,2,0,0.00,'fixed',1),(52,5,0,0.00,'fixed',1),(52,6,0,0.00,'fixed',1),(52,14,0,0.00,'fixed',1),(52,16,0,0.00,'fixed',1),(52,19,0,0.00,'fixed',1),(53,2,0,0.00,'fixed',1),(53,5,0,0.00,'fixed',1),(53,6,0,0.00,'fixed',1),(53,17,0,0.00,'fixed',1),(54,5,0,0.00,'fixed',1),(54,7,0,0.00,'fixed',1),(54,8,0,0.00,'fixed',1),(54,9,0,0.00,'fixed',1),(54,12,0,0.00,'fixed',1),(54,14,0,0.00,'fixed',1),(54,18,0,0.00,'fixed',1),(55,4,0,0.00,'fixed',1),(55,7,0,0.00,'fixed',1),(55,11,0,0.00,'fixed',1),(55,12,0,0.00,'fixed',1),(55,15,0,0.00,'fixed',1),(55,17,0,0.00,'fixed',1),(56,6,0,0.00,'fixed',1),(56,7,0,0.00,'fixed',1),(56,13,0,0.00,'fixed',1),(56,14,0,0.00,'fixed',1),(56,18,0,0.00,'fixed',1),(56,19,0,0.00,'fixed',1),(57,2,0,0.00,'fixed',1),(57,3,0,0.00,'fixed',1),(57,4,0,0.00,'fixed',1),(57,7,0,0.00,'fixed',1),(57,8,0,0.00,'fixed',1),(57,14,0,0.00,'fixed',1),(58,3,0,0.00,'fixed',1),(58,5,0,0.00,'fixed',1),(58,7,0,0.00,'fixed',1),(58,10,0,0.00,'fixed',1),(58,11,0,0.00,'fixed',1),(58,13,0,0.00,'fixed',1),(59,5,0,0.00,'fixed',1),(59,7,0,0.00,'fixed',1),(59,10,0,0.00,'fixed',1),(59,15,0,0.00,'fixed',1),(59,16,0,0.00,'fixed',1),(59,18,0,0.00,'fixed',1),(60,6,0,0.00,'fixed',1),(60,7,0,0.00,'fixed',1),(60,10,0,0.00,'fixed',1),(60,13,0,0.00,'fixed',1),(60,16,0,0.00,'fixed',1),(61,4,0,0.00,'fixed',1),(61,7,0,0.00,'fixed',1),(61,9,0,0.00,'fixed',1),(61,10,0,0.00,'fixed',1),(61,16,0,0.00,'fixed',1),(62,2,0,0.00,'fixed',1),(62,10,0,0.00,'fixed',1),(62,13,0,0.00,'fixed',1),(62,14,0,0.00,'fixed',1),(62,16,0,0.00,'fixed',1),(62,19,0,0.00,'fixed',1),(63,5,0,0.00,'fixed',1),(63,6,0,0.00,'fixed',1),(63,7,0,0.00,'fixed',1),(63,8,0,0.00,'fixed',1),(63,10,0,0.00,'fixed',1),(63,19,0,0.00,'fixed',1),(64,6,0,0.00,'fixed',1),(64,11,0,0.00,'fixed',1),(64,13,0,0.00,'fixed',1),(64,19,0,0.00,'fixed',1),(65,2,0,0.00,'fixed',1),(65,5,0,0.00,'fixed',1),(65,6,0,0.00,'fixed',1),(65,10,0,0.00,'fixed',1),(65,15,0,0.00,'fixed',1);
/*!40000 ALTER TABLE `ec_product_cross_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_files`
--

DROP TABLE IF EXISTS `ec_product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `url` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `extras` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ec_product_files_product_id_index` (`product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=142 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_files`
--

LOCK TABLES `ec_product_files` WRITE;
/*!40000 ALTER TABLE `ec_product_files` DISABLE KEYS */;
INSERT INTO `ec_product_files` VALUES (1,66,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(2,67,'ecommerce/digital-product-files/1.jpg','{\"filename\":\"1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(3,75,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(4,75,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(5,75,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(6,75,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(7,76,'ecommerce/digital-product-files/5.jpg','{\"filename\":\"5.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(8,76,'ecommerce/digital-product-files/5-1.jpg','{\"filename\":\"5-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(9,76,'ecommerce/digital-product-files/5-2.jpg','{\"filename\":\"5-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(10,76,'ecommerce/digital-product-files/5-3.jpg','{\"filename\":\"5-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/5-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"5-3\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(11,87,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(12,87,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(13,87,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(14,88,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(15,88,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(16,88,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(17,89,'ecommerce/digital-product-files/9.jpg','{\"filename\":\"9.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(18,89,'ecommerce/digital-product-files/9-1.jpg','{\"filename\":\"9-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(19,89,'ecommerce/digital-product-files/9-2.jpg','{\"filename\":\"9-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/9-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"9-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(20,101,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(21,101,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(22,102,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(23,102,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(24,103,'ecommerce/digital-product-files/13.jpg','{\"filename\":\"13.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(25,103,'ecommerce/digital-product-files/13-1.jpg','{\"filename\":\"13-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/13-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:09\",\"name\":\"13-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:09','2024-08-09 23:58:09'),(26,111,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(27,111,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(28,111,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(29,111,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(30,112,'ecommerce/digital-product-files/17.jpg','{\"filename\":\"17.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(31,112,'ecommerce/digital-product-files/17-1.jpg','{\"filename\":\"17-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(32,112,'ecommerce/digital-product-files/17-2.jpg','{\"filename\":\"17-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(33,112,'ecommerce/digital-product-files/17-3.jpg','{\"filename\":\"17-3.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/17-3.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"17-3\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(34,120,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(35,120,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(36,120,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(37,121,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(38,121,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(39,121,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(40,122,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(41,122,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(42,122,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(43,123,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(44,123,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(45,123,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(46,124,'ecommerce/digital-product-files/21.jpg','{\"filename\":\"21.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(47,124,'ecommerce/digital-product-files/21-1.jpg','{\"filename\":\"21-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(48,124,'ecommerce/digital-product-files/21-2.jpg','{\"filename\":\"21-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/21-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"21-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(49,133,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(50,133,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(51,133,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(52,134,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(53,134,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(54,134,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(55,135,'ecommerce/digital-product-files/25.jpg','{\"filename\":\"25.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(56,135,'ecommerce/digital-product-files/25-1.jpg','{\"filename\":\"25-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(57,135,'ecommerce/digital-product-files/25-2.jpg','{\"filename\":\"25-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/25-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"25-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(58,145,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(59,145,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(60,145,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(61,146,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(62,146,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(63,146,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(64,147,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(65,147,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(66,147,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(67,148,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(68,148,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(69,148,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(70,149,'ecommerce/digital-product-files/29.jpg','{\"filename\":\"29.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(71,149,'ecommerce/digital-product-files/29-1.jpg','{\"filename\":\"29-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(72,149,'ecommerce/digital-product-files/29-2.jpg','{\"filename\":\"29-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/29-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"29-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(73,154,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(74,154,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(75,154,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(76,155,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(77,155,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(78,155,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(79,156,'ecommerce/digital-product-files/33.jpg','{\"filename\":\"33.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(80,156,'ecommerce/digital-product-files/33-1.jpg','{\"filename\":\"33-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(81,156,'ecommerce/digital-product-files/33-2.jpg','{\"filename\":\"33-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/33-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"33-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(82,163,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(83,163,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(84,163,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(85,164,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(86,164,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(87,164,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(88,165,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(89,165,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(90,165,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(91,166,'ecommerce/digital-product-files/37.jpg','{\"filename\":\"37.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(92,166,'ecommerce/digital-product-files/37-1.jpg','{\"filename\":\"37-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(93,166,'ecommerce/digital-product-files/37-2.jpg','{\"filename\":\"37-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/37-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"37-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(94,177,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(95,177,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(96,177,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(97,178,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(98,178,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(99,178,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(100,179,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(101,179,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(102,179,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(103,180,'ecommerce/digital-product-files/41.jpg','{\"filename\":\"41.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(104,180,'ecommerce/digital-product-files/41-1.jpg','{\"filename\":\"41-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(105,180,'ecommerce/digital-product-files/41-2.jpg','{\"filename\":\"41-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/41-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"41-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(106,189,'ecommerce/digital-product-files/45.jpg','{\"filename\":\"45.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"45\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(107,189,'ecommerce/digital-product-files/45-1.jpg','{\"filename\":\"45-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/45-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"45-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(108,194,'ecommerce/digital-product-files/49.jpg','{\"filename\":\"49.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"49\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(109,194,'ecommerce/digital-product-files/49-1.jpg','{\"filename\":\"49-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"49-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(110,194,'ecommerce/digital-product-files/49-2.jpg','{\"filename\":\"49-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/49-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"49-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(111,203,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(112,203,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(113,204,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(114,204,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(115,205,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(116,205,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(117,206,'ecommerce/digital-product-files/53.jpg','{\"filename\":\"53.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(118,206,'ecommerce/digital-product-files/53-1.jpg','{\"filename\":\"53-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/53-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"53-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(119,212,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(120,212,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(121,213,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(122,213,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(123,214,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(124,214,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(125,215,'ecommerce/digital-product-files/57.jpg','{\"filename\":\"57.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(126,215,'ecommerce/digital-product-files/57-1.jpg','{\"filename\":\"57-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/57-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:10\",\"name\":\"57-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:10','2024-08-09 23:58:10'),(127,223,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(128,223,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(129,224,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(130,224,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(131,225,'ecommerce/digital-product-files/61.jpg','{\"filename\":\"61.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(132,225,'ecommerce/digital-product-files/61-1.jpg','{\"filename\":\"61-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/61-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"61-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(133,235,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(134,235,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(135,235,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(136,236,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(137,236,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(138,236,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(139,237,'ecommerce/digital-product-files/65.jpg','{\"filename\":\"65.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(140,237,'ecommerce/digital-product-files/65-1.jpg','{\"filename\":\"65-1.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-1.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-1\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11'),(141,237,'ecommerce/digital-product-files/65-2.jpg','{\"filename\":\"65-2.jpg\",\"url\":\"ecommerce\\/digital-product-files\\/65-2.jpg\",\"mime_type\":\"image\\/jpeg\",\"size\":34111,\"modified\":\"2024-08-10 06:58:11\",\"name\":\"65-2\",\"extension\":\"jpg\"}','2024-08-09 23:58:11','2024-08-09 23:58:11');
/*!40000 ALTER TABLE `ec_product_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_label_products`
--

DROP TABLE IF EXISTS `ec_product_label_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_label_products` (
  `product_label_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_label_id`,`product_id`),
  KEY `ec_product_label_products_product_label_id_index` (`product_label_id`),
  KEY `ec_product_label_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_label_products`
--

LOCK TABLES `ec_product_label_products` WRITE;
/*!40000 ALTER TABLE `ec_product_label_products` DISABLE KEYS */;
INSERT INTO `ec_product_label_products` VALUES (1,3),(1,15),(1,18),(1,21),(1,30),(1,42),(1,45),(2,6),(2,12),(2,27),(2,36),(2,39),(2,60),(2,63),(3,9),(3,24),(3,33),(3,48),(3,51),(3,54),(3,57);
/*!40000 ALTER TABLE `ec_product_label_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels`
--

DROP TABLE IF EXISTS `ec_product_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels`
--

LOCK TABLES `ec_product_labels` WRITE;
/*!40000 ALTER TABLE `ec_product_labels` DISABLE KEYS */;
INSERT INTO `ec_product_labels` VALUES (1,'Hot','#d71e2d','published','2024-08-09 23:57:24','2024-08-09 23:57:24'),(2,'New','#02856e','published','2024-08-09 23:57:24','2024-08-09 23:57:24'),(3,'Sale','#fe9931','published','2024-08-09 23:57:24','2024-08-09 23:57:24');
/*!40000 ALTER TABLE `ec_product_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_labels_translations`
--

DROP TABLE IF EXISTS `ec_product_labels_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_labels_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_labels_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_labels_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_labels_translations`
--

LOCK TABLES `ec_product_labels_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_labels_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_labels_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_related_relations`
--

DROP TABLE IF EXISTS `ec_product_related_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_related_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_related_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_related_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_related_relations`
--

LOCK TABLES `ec_product_related_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_related_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_related_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tag_product`
--

DROP TABLE IF EXISTS `ec_product_tag_product`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tag_product` (
  `product_id` bigint unsigned NOT NULL,
  `tag_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `ec_product_tag_product_product_id_index` (`product_id`),
  KEY `ec_product_tag_product_tag_id_index` (`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tag_product`
--

LOCK TABLES `ec_product_tag_product` WRITE;
/*!40000 ALTER TABLE `ec_product_tag_product` DISABLE KEYS */;
INSERT INTO `ec_product_tag_product` VALUES (1,2),(1,4),(1,6),(2,1),(2,2),(2,5),(3,2),(3,3),(3,5),(4,1),(5,1),(5,3),(5,4),(6,5),(6,6),(7,4),(7,5),(7,6),(8,1),(8,3),(8,6),(9,4),(9,5),(10,1),(10,3),(10,6),(11,2),(11,4),(11,6),(12,1),(12,3),(12,6),(13,5),(13,6),(14,2),(14,3),(14,4),(15,1),(15,3),(15,6),(16,1),(16,3),(16,6),(17,2),(17,3),(18,1),(18,3),(19,3),(19,6),(20,1),(20,2),(20,5),(21,2),(22,3),(22,4),(22,5),(23,3),(23,5),(23,6),(24,1),(24,3),(24,5),(25,2),(25,5),(26,2),(26,4),(26,6),(27,1),(27,5),(28,1),(28,4),(29,4),(29,5),(30,1),(30,6),(31,1),(31,2),(31,6),(32,1),(32,4),(32,6),(33,1),(33,2),(33,5),(34,4),(34,5),(35,2),(35,4),(36,1),(36,3),(36,6),(37,1),(37,2),(37,5),(38,2),(38,4),(39,2),(39,5),(40,2),(40,6),(41,4),(41,5),(42,1),(42,4),(42,5),(43,1),(43,2),(43,5),(44,4),(44,6),(45,2),(45,4),(46,1),(46,3),(46,4),(47,1),(47,3),(47,5),(48,1),(48,4),(48,5),(49,4),(49,6),(50,1),(50,6),(51,1),(51,2),(51,5),(52,4),(52,5),(52,6),(53,2),(53,6),(54,1),(54,4),(54,6),(55,2),(55,3),(55,5),(56,3),(56,4),(56,6),(57,2),(57,3),(57,5),(58,3),(58,4),(59,2),(59,3),(59,6),(60,2),(60,5),(60,6),(61,4),(61,5),(61,6),(62,1),(62,3),(62,4),(63,3),(63,6),(64,3),(64,4),(64,5),(65,1),(65,2),(65,5);
/*!40000 ALTER TABLE `ec_product_tag_product` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags`
--

DROP TABLE IF EXISTS `ec_product_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags`
--

LOCK TABLES `ec_product_tags` WRITE;
/*!40000 ALTER TABLE `ec_product_tags` DISABLE KEYS */;
INSERT INTO `ec_product_tags` VALUES (1,'Electronic',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11'),(2,'Mobile',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11'),(3,'Iphone',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11'),(4,'Printer',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11'),(5,'Office',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11'),(6,'IT',NULL,'published','2024-08-09 23:58:11','2024-08-09 23:58:11');
/*!40000 ALTER TABLE `ec_product_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_tags_translations`
--

DROP TABLE IF EXISTS `ec_product_tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_tags_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_product_tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`ec_product_tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_tags_translations`
--

LOCK TABLES `ec_product_tags_translations` WRITE;
/*!40000 ALTER TABLE `ec_product_tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_up_sale_relations`
--

DROP TABLE IF EXISTS `ec_product_up_sale_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_up_sale_relations` (
  `from_product_id` bigint unsigned NOT NULL,
  `to_product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`from_product_id`,`to_product_id`),
  KEY `ec_product_up_sale_relations_from_product_id_index` (`from_product_id`),
  KEY `ec_product_up_sale_relations_to_product_id_index` (`to_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_up_sale_relations`
--

LOCK TABLES `ec_product_up_sale_relations` WRITE;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_up_sale_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variation_items`
--

DROP TABLE IF EXISTS `ec_product_variation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variation_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `attribute_id` bigint unsigned NOT NULL,
  `variation_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variation_items_attribute_id_variation_id_unique` (`attribute_id`,`variation_id`),
  KEY `attribute_variation_index` (`attribute_id`,`variation_id`)
) ENGINE=InnoDB AUTO_INCREMENT=345 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variation_items`
--

LOCK TABLES `ec_product_variation_items` WRITE;
/*!40000 ALTER TABLE `ec_product_variation_items` DISABLE KEYS */;
INSERT INTO `ec_product_variation_items` VALUES (7,1,4),(23,1,12),(63,1,32),(65,1,33),(71,1,36),(77,1,39),(93,1,47),(101,1,51),(123,1,62),(131,1,66),(1,2,1),(3,2,2),(5,2,3),(25,2,13),(31,2,16),(43,2,22),(61,2,31),(67,2,34),(83,2,42),(85,2,43),(91,2,46),(103,2,52),(9,3,5),(13,3,7),(15,3,8),(27,3,14),(37,3,19),(53,3,27),(55,3,28),(59,3,30),(87,3,44),(111,3,56),(113,3,57),(117,3,59),(127,3,64),(11,4,6),(21,4,11),(29,4,15),(35,4,18),(39,4,20),(41,4,21),(47,4,24),(51,4,26),(57,4,29),(79,4,40),(81,4,41),(105,4,53),(107,4,54),(115,4,58),(119,4,60),(121,4,61),(125,4,63),(129,4,65),(17,5,9),(19,5,10),(33,5,17),(45,5,23),(49,5,25),(69,5,35),(73,5,37),(75,5,38),(89,5,45),(95,5,48),(97,5,49),(99,5,50),(109,5,55),(22,6,11),(26,6,13),(34,6,17),(48,6,24),(52,6,26),(62,6,31),(64,6,32),(66,6,33),(70,6,35),(74,6,37),(78,6,39),(84,6,42),(94,6,47),(106,6,53),(114,6,57),(116,6,58),(122,6,61),(128,6,64),(130,6,65),(20,7,10),(30,7,15),(44,7,22),(50,7,25),(54,7,27),(58,7,29),(68,7,34),(72,7,36),(102,7,51),(124,7,62),(2,8,1),(4,8,2),(8,8,4),(12,8,6),(18,8,9),(24,8,12),(36,8,18),(38,8,19),(60,8,30),(112,8,56),(14,9,7),(28,9,14),(90,9,45),(98,9,49),(108,9,54),(132,9,66),(6,10,3),(10,10,5),(16,10,8),(32,10,16),(40,10,20),(42,10,21),(46,10,23),(56,10,28),(76,10,38),(80,10,40),(82,10,41),(86,10,43),(88,10,44),(92,10,46),(96,10,48),(100,10,50),(104,10,52),(110,10,55),(118,10,59),(120,10,60),(126,10,63),(137,11,69),(141,11,71),(149,11,75),(151,11,76),(187,11,94),(191,11,96),(195,11,98),(209,11,105),(211,11,106),(213,11,107),(217,11,109),(229,11,115),(245,11,123),(261,11,131),(263,11,132),(297,11,149),(305,11,153),(307,11,154),(315,11,158),(319,11,160),(321,11,161),(329,11,165),(337,11,169),(339,11,170),(341,11,171),(143,12,72),(145,12,73),(147,12,74),(155,12,78),(157,12,79),(161,12,81),(163,12,82),(167,12,84),(177,12,89),(185,12,93),(199,12,100),(203,12,102),(205,12,103),(207,12,104),(247,12,124),(271,12,136),(273,12,137),(275,12,138),(279,12,140),(295,12,148),(309,12,155),(331,12,166),(335,12,168),(153,13,77),(165,13,83),(173,13,87),(175,13,88),(181,13,91),(189,13,95),(219,13,110),(231,13,116),(243,13,122),(265,13,133),(269,13,135),(291,13,146),(299,13,150),(313,13,157),(327,13,164),(343,13,172),(135,14,68),(169,14,85),(183,14,92),(197,14,99),(221,14,111),(233,14,117),(239,14,120),(241,14,121),(251,14,126),(267,14,134),(281,14,141),(283,14,142),(285,14,143),(293,14,147),(301,14,151),(317,14,159),(323,14,162),(325,14,163),(333,14,167),(133,15,67),(139,15,70),(159,15,80),(171,15,86),(179,15,90),(193,15,97),(201,15,101),(215,15,108),(223,15,112),(225,15,113),(227,15,114),(235,15,118),(237,15,119),(249,15,125),(253,15,127),(255,15,128),(257,15,129),(259,15,130),(277,15,139),(287,15,144),(289,15,145),(303,15,152),(311,15,156),(136,16,68),(142,16,71),(150,16,75),(152,16,76),(166,16,83),(172,16,86),(174,16,87),(184,16,92),(190,16,95),(194,16,97),(204,16,102),(212,16,106),(226,16,113),(256,16,128),(272,16,136),(276,16,138),(284,16,142),(286,16,143),(300,16,150),(304,16,152),(308,16,154),(310,16,155),(338,16,169),(342,16,171),(140,17,70),(156,17,78),(168,17,84),(182,17,91),(192,17,96),(196,17,98),(202,17,101),(210,17,105),(220,17,110),(230,17,115),(236,17,118),(242,17,121),(254,17,127),(258,17,129),(268,17,134),(274,17,137),(292,17,146),(314,17,157),(316,17,158),(322,17,161),(326,17,163),(330,17,165),(332,17,166),(336,17,168),(340,17,170),(144,18,72),(146,18,73),(154,18,77),(160,18,80),(164,18,82),(170,18,85),(176,18,88),(178,18,89),(180,18,90),(188,18,94),(200,18,100),(206,18,103),(208,18,104),(218,18,109),(224,18,112),(228,18,114),(240,18,120),(246,18,123),(260,18,130),(264,18,132),(270,18,135),(278,18,139),(288,18,144),(294,18,147),(296,18,148),(328,18,164),(138,19,69),(148,19,74),(162,19,81),(198,19,99),(214,19,107),(216,19,108),(232,19,116),(234,19,117),(248,19,124),(252,19,126),(262,19,131),(298,19,149),(306,19,153),(318,19,159),(324,19,162),(334,19,167),(134,20,67),(158,20,79),(186,20,93),(222,20,111),(238,20,119),(244,20,122),(250,20,125),(266,20,133),(280,20,140),(282,20,141),(290,20,145),(302,20,151),(312,20,156),(320,20,160),(344,20,172);
/*!40000 ALTER TABLE `ec_product_variation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_variations`
--

DROP TABLE IF EXISTS `ec_product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_variations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned DEFAULT NULL,
  `configurable_product_id` bigint unsigned NOT NULL,
  `is_default` tinyint NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_variations_product_id_configurable_product_id_unique` (`product_id`,`configurable_product_id`),
  KEY `configurable_product_index` (`product_id`,`configurable_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=173 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_variations`
--

LOCK TABLES `ec_product_variations` WRITE;
/*!40000 ALTER TABLE `ec_product_variations` DISABLE KEYS */;
INSERT INTO `ec_product_variations` VALUES (1,66,1,1),(2,67,1,0),(3,68,2,1),(4,69,3,1),(5,70,3,0),(6,71,4,1),(7,72,4,0),(8,73,4,0),(9,74,4,0),(10,75,5,1),(11,76,5,0),(12,77,6,1),(13,78,6,0),(14,79,6,0),(15,80,6,0),(16,81,7,1),(17,82,7,0),(18,83,7,0),(19,84,7,0),(20,85,8,1),(21,86,8,0),(22,87,9,1),(23,88,9,0),(24,89,9,0),(25,90,10,1),(26,91,10,0),(27,92,10,0),(28,93,11,1),(29,94,11,0),(30,95,11,0),(31,96,12,1),(32,97,12,0),(33,98,12,0),(34,99,12,0),(35,100,12,0),(36,101,13,1),(37,102,13,0),(38,103,13,0),(39,104,14,1),(40,105,14,0),(41,106,15,1),(42,107,15,0),(43,108,16,1),(44,109,16,0),(45,110,16,0),(46,111,17,1),(47,112,17,0),(48,113,18,1),(49,114,19,1),(50,115,19,0),(51,116,19,0),(52,117,20,1),(53,118,20,0),(54,119,20,0),(55,120,21,1),(56,121,21,0),(57,122,21,0),(58,123,21,0),(59,124,21,0),(60,125,22,1),(61,126,22,0),(62,127,22,0),(63,128,23,1),(64,129,23,0),(65,130,23,0),(66,131,23,0),(67,132,24,1),(68,133,25,1),(69,134,25,0),(70,135,25,0),(71,136,26,1),(72,137,26,0),(73,138,26,0),(74,139,26,0),(75,140,27,1),(76,141,27,0),(77,142,27,0),(78,143,28,1),(79,144,28,0),(80,145,29,1),(81,146,29,0),(82,147,29,0),(83,148,29,0),(84,149,29,0),(85,150,30,1),(86,151,30,0),(87,152,31,1),(88,153,32,1),(89,154,33,1),(90,155,33,0),(91,156,33,0),(92,157,34,1),(93,158,34,0),(94,159,34,0),(95,160,35,1),(96,161,35,0),(97,162,36,1),(98,163,37,1),(99,164,37,0),(100,165,37,0),(101,166,37,0),(102,167,38,1),(103,168,38,0),(104,169,38,0),(105,170,38,0),(106,171,39,1),(107,172,39,0),(108,173,39,0),(109,174,39,0),(110,175,40,1),(111,176,40,0),(112,177,41,1),(113,178,41,0),(114,179,41,0),(115,180,41,0),(116,181,42,1),(117,182,42,0),(118,183,43,1),(119,184,43,0),(120,185,43,0),(121,186,43,0),(122,187,44,1),(123,188,44,0),(124,189,45,1),(125,190,46,1),(126,191,47,1),(127,192,48,1),(128,193,48,0),(129,194,49,1),(130,195,50,1),(131,196,50,0),(132,197,50,0),(133,198,51,1),(134,199,51,0),(135,200,51,0),(136,201,52,1),(137,202,52,0),(138,203,53,1),(139,204,53,0),(140,205,53,0),(141,206,53,0),(142,207,54,1),(143,208,55,1),(144,209,55,0),(145,210,56,1),(146,211,56,0),(147,212,57,1),(148,213,57,0),(149,214,57,0),(150,215,57,0),(151,216,58,1),(152,217,58,0),(153,218,58,0),(154,219,58,0),(155,220,59,1),(156,221,60,1),(157,222,60,0),(158,223,61,1),(159,224,61,0),(160,225,61,0),(161,226,62,1),(162,227,62,0),(163,228,63,1),(164,229,63,0),(165,230,63,0),(166,231,64,1),(167,232,64,0),(168,233,64,0),(169,234,64,0),(170,235,65,1),(171,236,65,0),(172,237,65,0);
/*!40000 ALTER TABLE `ec_product_variations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_views`
--

DROP TABLE IF EXISTS `ec_product_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `product_id` bigint unsigned NOT NULL,
  `views` int NOT NULL DEFAULT '1',
  `date` date NOT NULL DEFAULT '2024-08-10',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_product_views_product_id_date_unique` (`product_id`,`date`),
  KEY `ec_product_views_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_views`
--

LOCK TABLES `ec_product_views` WRITE;
/*!40000 ALTER TABLE `ec_product_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_product_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_product_with_attribute_set`
--

DROP TABLE IF EXISTS `ec_product_with_attribute_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_product_with_attribute_set` (
  `attribute_set_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_id`,`attribute_set_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_product_with_attribute_set`
--

LOCK TABLES `ec_product_with_attribute_set` WRITE;
/*!40000 ALTER TABLE `ec_product_with_attribute_set` DISABLE KEYS */;
INSERT INTO `ec_product_with_attribute_set` VALUES (1,1,0),(2,1,0),(1,2,0),(2,2,0),(1,3,0),(2,3,0),(1,4,0),(2,4,0),(1,5,0),(2,5,0),(1,6,0),(2,6,0),(1,7,0),(2,7,0),(1,8,0),(2,8,0),(1,9,0),(2,9,0),(1,10,0),(2,10,0),(1,11,0),(2,11,0),(1,12,0),(2,12,0),(1,13,0),(2,13,0),(1,14,0),(2,14,0),(1,15,0),(2,15,0),(1,16,0),(2,16,0),(1,17,0),(2,17,0),(1,18,0),(2,18,0),(1,19,0),(2,19,0),(1,20,0),(2,20,0),(1,21,0),(2,21,0),(1,22,0),(2,22,0),(1,23,0),(2,23,0),(3,24,0),(4,24,0),(3,25,0),(4,25,0),(3,26,0),(4,26,0),(3,27,0),(4,27,0),(3,28,0),(4,28,0),(3,29,0),(4,29,0),(3,30,0),(4,30,0),(3,31,0),(4,31,0),(3,32,0),(4,32,0),(3,33,0),(4,33,0),(3,34,0),(4,34,0),(3,35,0),(4,35,0),(3,36,0),(4,36,0),(3,37,0),(4,37,0),(3,38,0),(4,38,0),(3,39,0),(4,39,0),(3,40,0),(4,40,0),(3,41,0),(4,41,0),(3,42,0),(4,42,0),(3,43,0),(4,43,0),(3,44,0),(4,44,0),(3,45,0),(4,45,0),(3,46,0),(4,46,0),(3,47,0),(4,47,0),(3,48,0),(4,48,0),(3,49,0),(4,49,0),(3,50,0),(4,50,0),(3,51,0),(4,51,0),(3,52,0),(4,52,0),(3,53,0),(4,53,0),(3,54,0),(4,54,0),(3,55,0),(4,55,0),(3,56,0),(4,56,0),(3,57,0),(4,57,0),(3,58,0),(4,58,0),(3,59,0),(4,59,0),(3,60,0),(4,60,0),(3,61,0),(4,61,0),(3,62,0),(4,62,0),(3,63,0),(4,63,0),(3,64,0),(4,64,0),(3,65,0),(4,65,0);
/*!40000 ALTER TABLE `ec_product_with_attribute_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products`
--

DROP TABLE IF EXISTS `ec_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `images` text COLLATE utf8mb4_unicode_ci,
  `video_media` text COLLATE utf8mb4_unicode_ci,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int unsigned NOT NULL DEFAULT '0',
  `quantity` int unsigned DEFAULT NULL,
  `allow_checkout_when_out_of_stock` tinyint unsigned NOT NULL DEFAULT '0',
  `with_storehouse_management` tinyint unsigned NOT NULL DEFAULT '0',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `brand_id` bigint unsigned DEFAULT NULL,
  `is_variation` tinyint NOT NULL DEFAULT '0',
  `sale_type` tinyint NOT NULL DEFAULT '0',
  `price` double unsigned DEFAULT NULL,
  `sale_price` double unsigned DEFAULT NULL,
  `start_date` timestamp NULL DEFAULT NULL,
  `end_date` timestamp NULL DEFAULT NULL,
  `length` double(8,2) DEFAULT NULL,
  `wide` double(8,2) DEFAULT NULL,
  `height` double(8,2) DEFAULT NULL,
  `weight` double(8,2) DEFAULT NULL,
  `tax_id` bigint unsigned DEFAULT NULL,
  `views` bigint NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `stock_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'in_stock',
  `created_by_id` bigint unsigned DEFAULT '0',
  `created_by_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'physical',
  `barcode` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cost_per_item` double DEFAULT NULL,
  `generate_license_code` tinyint(1) NOT NULL DEFAULT '0',
  `minimum_order_quantity` int unsigned DEFAULT '0',
  `maximum_order_quantity` int unsigned DEFAULT '0',
  `notify_attachment_updated` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ec_products_brand_id_status_is_variation_created_at_index` (`brand_id`,`status`,`is_variation`,`created_at`),
  KEY `sale_type_index` (`sale_type`),
  KEY `start_date_index` (`start_date`),
  KEY `end_date_index` (`end_date`),
  KEY `sale_price_index` (`sale_price`),
  KEY `is_variation_index` (`is_variation`),
  KEY `ec_products_sku_index` (`sku`)
) ENGINE=InnoDB AUTO_INCREMENT=238 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products`
--

LOCK TABLES `ec_products` WRITE;
/*!40000 ALTER TABLE `ec_products` DISABLE KEYS */;
INSERT INTO `ec_products` VALUES (1,'Dual Camera 20MP (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/1.jpg\"]',NULL,'SW-113-A0',0,20,0,1,1,4,0,0,80.25,NULL,NULL,NULL,16.00,12.00,17.00,502.00,NULL,58246,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(2,'Smart Watches','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/2.jpg\",\"products\\/2-1.jpg\",\"products\\/2-2.jpg\",\"products\\/2-3.jpg\"]',NULL,'SW-167-A0',0,17,0,1,1,2,0,0,40.5,NULL,NULL,NULL,15.00,18.00,13.00,598.00,NULL,3679,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(3,'Beat Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/3.jpg\"]',NULL,'SW-149-A0',0,15,0,1,1,3,0,0,20,NULL,NULL,NULL,16.00,18.00,13.00,777.00,NULL,93098,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(4,'Red &amp; Black Headphone','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/4.jpg\",\"products\\/4-1.jpg\",\"products\\/4-2.jpg\",\"products\\/4-3.jpg\"]',NULL,'SW-148-A0',0,20,0,1,1,4,0,0,558,463.14,NULL,NULL,16.00,13.00,15.00,880.00,NULL,118257,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(5,'Smart Watch External (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/5.jpg\",\"products\\/5-1.jpg\",\"products\\/5-2.jpg\",\"products\\/5-3.jpg\"]',NULL,'SW-114-A0',0,20,0,1,1,5,0,0,812,NULL,NULL,NULL,15.00,10.00,20.00,631.00,NULL,140082,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(6,'Nikon HD camera','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/6.jpg\"]',NULL,'SW-191-A0',0,16,0,1,1,3,0,0,485,NULL,NULL,NULL,13.00,11.00,17.00,670.00,NULL,35521,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(7,'Audio Equipment','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/7.jpg\"]',NULL,'SW-176-A0',0,18,0,1,1,1,0,0,557,NULL,NULL,NULL,18.00,11.00,17.00,769.00,NULL,96860,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(8,'Smart Televisions','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/8.jpg\",\"products\\/8-1.jpg\",\"products\\/8-2.jpg\",\"products\\/8-3.jpg\"]',NULL,'SW-112-A0',0,12,0,1,1,2,0,0,1119,951.15,NULL,NULL,15.00,12.00,14.00,895.00,NULL,154374,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(9,'Samsung Smart Phone (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/9.jpg\",\"products\\/9-1.jpg\",\"products\\/9-2.jpg\"]',NULL,'SW-141-A0',0,17,0,1,1,3,0,0,558,NULL,NULL,NULL,16.00,19.00,11.00,753.00,NULL,146344,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(10,'Herschel Leather Duffle Bag In Brown Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/10.jpg\",\"products\\/10-1.jpg\",\"products\\/10-2.jpg\"]',NULL,'SW-174-A0',0,16,0,1,0,1,0,0,1187,NULL,NULL,NULL,14.00,11.00,16.00,541.00,NULL,120923,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(11,'Xbox One Wireless Controller Black Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/11.jpg\",\"products\\/11-1.jpg\",\"products\\/11-2.jpg\",\"products\\/11-3.jpg\"]',NULL,'SW-114-A0',0,15,0,1,0,5,0,0,1183,NULL,NULL,NULL,12.00,17.00,13.00,539.00,NULL,88708,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(12,'EPSION Plaster Printer','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/12.jpg\",\"products\\/12-1.jpg\",\"products\\/12-2.jpg\",\"products\\/12-3.jpg\"]',NULL,'SW-107-A0',0,15,0,1,0,3,0,0,544,462.4,NULL,NULL,15.00,16.00,12.00,838.00,NULL,93307,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(13,'Sound Intone I65 Earphone White Version (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/13.jpg\",\"products\\/13-1.jpg\"]',NULL,'SW-182-A0',0,13,0,1,0,1,0,0,513,NULL,NULL,NULL,11.00,19.00,18.00,777.00,NULL,31068,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(14,'B&amp;O Play Mini Bluetooth Speaker','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/14.jpg\"]',NULL,'SW-142-A0',0,20,0,1,0,1,0,0,509,NULL,NULL,NULL,19.00,19.00,19.00,632.00,NULL,102701,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(15,'Apple MacBook Air Retina 13.3-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/15.jpg\",\"products\\/15-1.jpg\"]',NULL,'SW-160-A0',0,12,0,1,0,2,0,0,526,NULL,NULL,NULL,10.00,17.00,18.00,862.00,NULL,199883,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(16,'Apple MacBook Air Retina 12-Inch Laptop','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/16.jpg\"]',NULL,'SW-167-A0',0,14,0,1,0,4,0,0,535,411.95,NULL,NULL,11.00,20.00,15.00,553.00,NULL,184882,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(17,'Samsung Gear VR Virtual Reality Headset (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/17.jpg\",\"products\\/17-1.jpg\",\"products\\/17-2.jpg\",\"products\\/17-3.jpg\"]',NULL,'SW-186-A0',0,20,0,1,0,3,0,0,553,NULL,NULL,NULL,13.00,11.00,19.00,548.00,NULL,163585,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(18,'Aveeno Moisturizing Body Shower 450ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/18.jpg\",\"products\\/18-1.jpg\",\"products\\/18-2.jpg\",\"products\\/18-3.jpg\"]',NULL,'SW-163-A0',0,11,0,1,0,1,0,0,1131,NULL,NULL,NULL,15.00,16.00,11.00,613.00,NULL,114325,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(19,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/19.jpg\",\"products\\/19-1.jpg\",\"products\\/19-2.jpg\",\"products\\/19-3.jpg\"]',NULL,'SW-200-A0',0,19,0,1,0,4,0,0,1297,NULL,NULL,NULL,20.00,18.00,10.00,538.00,NULL,66511,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(20,'NYX Beauty Couton Pallete Makeup 12','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/20.jpg\",\"products\\/20-1.jpg\",\"products\\/20-2.jpg\",\"products\\/20-3.jpg\"]',NULL,'SW-169-A0',0,18,0,1,0,1,0,0,796,589.04,NULL,NULL,15.00,16.00,11.00,823.00,NULL,14643,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(21,'MVMTH Classical Leather Watch In Black (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/21.jpg\",\"products\\/21-1.jpg\",\"products\\/21-2.jpg\"]',NULL,'SW-164-A0',0,12,0,1,0,2,0,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,91139,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(22,'Baxter Care Hair Kit For Bearded Mens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/22.jpg\",\"products\\/22-1.jpg\",\"products\\/22-2.jpg\",\"products\\/22-3.jpg\"]',NULL,'SW-124-A0',0,18,0,1,0,5,0,0,476,NULL,NULL,NULL,12.00,16.00,18.00,731.00,NULL,129443,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(23,'Ciate Palemore Lipstick Bold Red Color','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/23.jpg\",\"products\\/23-1.jpg\",\"products\\/23-2.jpg\",\"products\\/23-3.jpg\"]',NULL,'SW-118-A0',0,12,0,1,0,3,0,0,783,NULL,NULL,NULL,11.00,17.00,13.00,761.00,NULL,123367,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(24,'Vimto Squash Remix Apple 1.5 Litres','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/24.jpg\",\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]',NULL,'SW-137-A0',0,14,0,1,0,4,0,0,999,709.29,NULL,NULL,15.00,18.00,18.00,834.00,NULL,105633,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(25,'Crock Pot Slow Cooker (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/25.jpg\",\"products\\/25-1.jpg\",\"products\\/25-2.jpg\"]',NULL,'SW-151-A0',0,17,0,1,0,3,0,0,582,NULL,NULL,NULL,14.00,20.00,14.00,740.00,NULL,157157,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(26,'Taylors of Harrogate Yorkshire Coffee','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/26.jpg\",\"products\\/26-1.jpg\"]',NULL,'SW-118-A0',0,10,0,1,0,3,0,0,848,NULL,NULL,NULL,14.00,14.00,12.00,659.00,NULL,28530,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(27,'Soft Mochi &amp; Galeto Ice Cream','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/27.jpg\",\"products\\/27-1.jpg\"]',NULL,'SW-110-A0',0,20,0,1,0,2,0,0,837,NULL,NULL,NULL,12.00,20.00,15.00,855.00,NULL,58448,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(28,'Naked Noodle Egg Noodles Singapore','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/28.jpg\",\"products\\/28-1.jpg\",\"products\\/28-2.jpg\"]',NULL,'SW-192-A0',0,12,0,1,0,4,0,0,966,743.82,NULL,NULL,17.00,15.00,19.00,831.00,NULL,130076,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(29,'Saute Pan Silver (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/29.jpg\",\"products\\/29-1.jpg\",\"products\\/29-2.jpg\"]',NULL,'SW-108-A0',0,12,0,1,0,3,0,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,49118,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(30,'Bar S – Classic Bun Length Franks','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/30.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]',NULL,'SW-139-A0',0,14,0,1,0,2,0,0,758,NULL,NULL,NULL,20.00,10.00,16.00,651.00,NULL,111607,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(31,'Broccoli Crowns','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/31.jpg\",\"products\\/31-1.jpg\"]',NULL,'SW-120-A0',0,15,0,1,0,3,0,0,755,NULL,NULL,NULL,12.00,16.00,12.00,631.00,NULL,56194,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(32,'Slimming World Vegan Mac Greens','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/32.jpg\",\"products\\/32-1.jpg\",\"products\\/32-2.jpg\"]',NULL,'SW-158-A0',0,15,0,1,0,1,0,0,1115,936.6,NULL,NULL,19.00,15.00,13.00,660.00,NULL,131400,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(33,'Häagen-Dazs Salted Caramel (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/33.jpg\",\"products\\/33-1.jpg\",\"products\\/33-2.jpg\"]',NULL,'SW-163-A0',0,14,0,1,0,4,0,0,1020,NULL,NULL,NULL,17.00,15.00,13.00,552.00,NULL,54122,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(34,'Iceland 3 Solo Exotic Burst','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/34.jpg\",\"products\\/34-1.jpg\"]',NULL,'SW-186-A0',0,14,0,1,0,5,0,0,1272,NULL,NULL,NULL,13.00,17.00,16.00,810.00,NULL,143323,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(35,'Extreme Budweiser Light Can','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/35.jpg\",\"products\\/35-1.jpg\"]',NULL,'SW-137-A0',0,13,0,1,0,4,0,0,938,NULL,NULL,NULL,17.00,16.00,17.00,748.00,NULL,164266,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(36,'Iceland Macaroni Cheese Traybake','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/36.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,2,0,0,967,831.62,NULL,NULL,20.00,19.00,18.00,837.00,NULL,32944,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(37,'Dolmio Bolognese Pasta Sauce (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/37.jpg\",\"products\\/37-1.jpg\",\"products\\/37-2.jpg\"]',NULL,'SW-115-A0',0,20,0,1,0,4,0,0,574,NULL,NULL,NULL,20.00,17.00,17.00,756.00,NULL,34503,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(38,'Sitema BakeIT Plastic Box','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/38.jpg\",\"products\\/38-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]',NULL,'SW-192-A0',0,12,0,1,0,2,0,0,1219,NULL,NULL,NULL,14.00,12.00,19.00,708.00,NULL,184958,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(39,'Wayfair Basics Dinner Plate Storage','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/39.jpg\",\"products\\/39-1.jpg\",\"products\\/39-2.jpg\"]',NULL,'SW-158-A0',0,14,0,1,0,4,0,0,829,NULL,NULL,NULL,15.00,14.00,13.00,719.00,NULL,180040,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(40,'Miko The Panda Water Bottle','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/40.jpg\",\"products\\/40-1.jpg\"]',NULL,'SW-195-A0',0,12,0,1,0,4,0,0,1129,835.46,NULL,NULL,15.00,16.00,19.00,819.00,NULL,24891,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(41,'Sesame Seed Bread (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/41.jpg\",\"products\\/41-1.jpg\",\"products\\/41-2.jpg\"]',NULL,'SW-172-A0',0,18,0,1,0,1,0,0,1012,NULL,NULL,NULL,12.00,14.00,14.00,881.00,NULL,52651,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(42,'Morrisons The Best Beef','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/42.jpg\",\"products\\/42-1.jpg\",\"products\\/42-2.jpg\"]',NULL,'SW-169-A0',0,17,0,1,0,4,0,0,1128,NULL,NULL,NULL,20.00,11.00,15.00,653.00,NULL,29576,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(43,'Avocado, Hass Large','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/43.jpg\",\"products\\/43-1.jpg\",\"products\\/43-2.jpg\"]',NULL,'SW-190-A0',0,17,0,1,0,2,0,0,675,NULL,NULL,NULL,10.00,15.00,16.00,818.00,NULL,50784,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(44,'Italia Beef Lasagne','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/44.jpg\",\"products\\/44-1.jpg\",\"products\\/44-2.jpg\"]',NULL,'SW-161-A0',0,10,0,1,0,3,0,0,1190,963.9,NULL,NULL,12.00,15.00,20.00,873.00,NULL,123072,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(45,'Maxwell House Classic Roast Mocha (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/45.jpg\",\"products\\/45-1.jpg\"]',NULL,'SW-132-A0',0,10,0,1,0,4,0,0,1052,NULL,NULL,NULL,16.00,20.00,19.00,803.00,NULL,41644,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(46,'Bottled Pure Water 500ml','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/46.jpg\",\"products\\/46-1.jpg\"]',NULL,'SW-183-A0',0,11,0,1,0,4,0,0,568,NULL,NULL,NULL,13.00,12.00,17.00,663.00,NULL,185232,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(47,'Famart Farmhouse Soft White','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/47.jpg\",\"products\\/47-1.jpg\"]',NULL,'SW-143-A0',0,20,0,1,0,4,0,0,1080,NULL,NULL,NULL,15.00,19.00,18.00,669.00,NULL,177115,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(48,'Coca-Cola Original Taste','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/48.jpg\",\"products\\/48-1.jpg\",\"products\\/48-2.jpg\"]',NULL,'SW-187-A0',0,13,0,1,0,1,0,0,1108,775.6,NULL,NULL,20.00,15.00,10.00,874.00,NULL,6978,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(49,'Casillero Diablo Cabernet Sauvignon (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/49.jpg\",\"products\\/49-1.jpg\",\"products\\/49-2.jpg\"]',NULL,'SW-111-A0',0,11,0,1,0,1,0,0,1023,NULL,NULL,NULL,13.00,12.00,16.00,651.00,NULL,31838,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(50,'Arla Organic Free Range Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/50.jpg\",\"products\\/50-1.jpg\"]',NULL,'SW-180-A0',0,16,0,1,0,1,0,0,554,NULL,NULL,NULL,19.00,14.00,13.00,594.00,NULL,13835,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(51,'Aptamil Follow On Baby Milk','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/51.jpg\"]',NULL,'SW-134-A0',0,10,0,1,0,5,0,0,712,NULL,NULL,NULL,16.00,20.00,20.00,703.00,NULL,144364,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(52,'Cuisinart Chef’S Classic Hard-Anodized','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/52.jpg\",\"products\\/52-1.jpg\",\"products\\/52-2.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,1,0,0,1171,1018.77,NULL,NULL,18.00,16.00,16.00,794.00,NULL,92609,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(53,'Corn, Yellow Sweet (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/53.jpg\",\"products\\/53-1.jpg\"]',NULL,'SW-170-A0',0,19,0,1,0,5,0,0,979,NULL,NULL,NULL,12.00,11.00,11.00,856.00,NULL,44325,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(54,'Hobnobs The Nobbly Biscuit','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/54.jpg\",\"products\\/54-1.jpg\"]',NULL,'SW-108-A0',0,18,0,1,0,4,0,0,864,NULL,NULL,NULL,20.00,15.00,18.00,542.00,NULL,59515,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(55,'Honest Organic Still Lemonade','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/55.jpg\",\"products\\/55-1.jpg\",\"products\\/55-2.jpg\"]',NULL,'SW-131-A0',0,15,0,1,0,5,0,0,1041,NULL,NULL,NULL,19.00,18.00,15.00,619.00,NULL,107568,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(56,'Ice Beck’s Beer 350ml x 24 Pieces','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/56.jpg\",\"products\\/56-1.jpg\",\"products\\/56-2.jpg\"]',NULL,'SW-136-A0',0,14,0,1,0,2,0,0,561,398.31,NULL,NULL,20.00,20.00,13.00,767.00,NULL,23349,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(57,'Iceland 6 Hot Cross Buns (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/57.jpg\",\"products\\/57-1.jpg\"]',NULL,'SW-142-A0',0,18,0,1,0,3,0,0,770,NULL,NULL,NULL,14.00,11.00,10.00,530.00,NULL,149916,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(58,'Iceland Luxury 4 Panini Rolls','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/58.jpg\",\"products\\/58-1.jpg\",\"products\\/58-2.jpg\"]',NULL,'SW-192-A0',0,15,0,1,0,5,0,0,1280,NULL,NULL,NULL,13.00,16.00,12.00,607.00,NULL,42685,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(59,'Iceland Soft Scoop Vanilla','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/59.jpg\",\"products\\/59-1.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\"]',NULL,'SW-111-A0',0,17,0,1,0,1,0,0,1058,NULL,NULL,NULL,11.00,15.00,17.00,740.00,NULL,54793,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(60,'Iceland Spaghetti Bolognese','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/60.jpg\",\"products\\/60-1.jpg\",\"products\\/60-2.jpg\"]',NULL,'SW-144-A0',0,18,0,1,0,3,0,0,1235,876.85,NULL,NULL,20.00,17.00,20.00,534.00,NULL,176497,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(61,'Kellogg’s Coco Pops Cereal (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/61.jpg\",\"products\\/61-1.jpg\"]',NULL,'SW-164-A0',0,20,0,1,0,2,0,0,1271,NULL,NULL,NULL,14.00,15.00,16.00,618.00,NULL,146186,'2024-08-09 23:58:09','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(62,'Kit Kat Chunky Milk Chocolate','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/62.jpg\",\"products\\/62-1.jpg\"]',NULL,'SW-182-A0',0,15,0,1,0,1,0,0,574,NULL,NULL,NULL,18.00,15.00,20.00,723.00,NULL,190233,'2024-08-09 23:58:09','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(63,'Large Green Bell Pepper','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/63.jpg\",\"products\\/63-1.jpg\"]',NULL,'SW-183-A0',0,16,0,1,0,4,0,0,645,NULL,NULL,NULL,16.00,11.00,16.00,572.00,NULL,35933,'2024-08-09 23:58:09','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(64,'Pice 94w Beasley Journal','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/64.jpg\",\"products\\/64-1.jpg\"]',NULL,'SW-146-A0',0,20,0,1,0,5,0,0,1038,778.5,NULL,NULL,10.00,10.00,19.00,694.00,NULL,122199,'2024-08-09 23:58:09','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(65,'Province Piece Glass Drinking Glass (Digital)','<ul><li> Unrestrained and portable active stereo speaker</li>\n            <li> Free from the confines of wires and chords</li>\n            <li> 20 hours of portable capabilities</li>\n            <li> Double-ended Coil Cord with 3.5mm Stereo Plugs Included</li>\n            <li> 3/4″ Dome Tweeters: 2X and 4″ Woofer: 1X</li></ul>','<p>Short Hooded Coat features a straight body, large pockets with button flaps, ventilation air holes, and a string detail along the hemline. The style is completed with a drawstring hood, featuring Rains’ signature built-in cap. Made from waterproof, matte PU, this lightweight unisex rain jacket is an ode to nostalgia through its classic silhouette and utilitarian design details.</p>\n                                <p>- Casual unisex fit</p>\n\n                                <p>- 64% polyester, 36% polyurethane</p>\n\n                                <p>- Water column pressure: 4000 mm</p>\n\n                                <p>- Model is 187cm tall and wearing a size S / M</p>\n\n                                <p>- Unisex fit</p>\n\n                                <p>- Drawstring hood with built-in cap</p>\n\n                                <p>- Front placket with snap buttons</p>\n\n                                <p>- Ventilation under armpit</p>\n\n                                <p>- Adjustable cuffs</p>\n\n                                <p>- Double welted front pockets</p>\n\n                                <p>- Adjustable elastic string at hempen</p>\n\n                                <p>- Ultrasonically welded seams</p>\n\n                                <p>This is a unisex item, please check our clothing &amp; footwear sizing guide for specific Rains jacket sizing information. RAINS comes from the rainy nation of Denmark at the edge of the European continent, close to the ocean and with prevailing westerly winds; all factors that contribute to an average of 121 rain days each year. Arising from these rainy weather conditions comes the attitude that a quick rain shower may be beautiful, as well as moody- but first and foremost requires the right outfit. Rains focus on the whole experience of going outside on rainy days, issuing an invitation to explore even in the most mercurial weather.</p>','published','[\"products\\/65.jpg\",\"products\\/65-1.jpg\",\"products\\/65-2.jpg\"]',NULL,'SW-178-A0',0,19,0,1,0,1,0,0,916,NULL,NULL,NULL,17.00,18.00,16.00,667.00,NULL,169487,'2024-08-09 23:58:09','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(66,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-113-A0',0,20,0,1,0,4,1,0,80.25,NULL,NULL,NULL,16.00,12.00,17.00,502.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(67,'Dual Camera 20MP (Digital)',NULL,NULL,'published','[\"products\\/1.jpg\"]',NULL,'SW-113-A0-A1',0,20,0,1,0,4,1,0,80.25,NULL,NULL,NULL,16.00,12.00,17.00,502.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(68,'Smart Watches',NULL,NULL,'published','[\"products\\/2.jpg\"]',NULL,'SW-167-A0',0,17,0,1,0,2,1,0,40.5,NULL,NULL,NULL,15.00,18.00,13.00,598.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(69,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-149-A0',0,15,0,1,0,3,1,0,20,NULL,NULL,NULL,16.00,18.00,13.00,777.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(70,'Beat Headphone',NULL,NULL,'published','[\"products\\/3.jpg\"]',NULL,'SW-149-A0-A1',0,15,0,1,0,3,1,0,20,NULL,NULL,NULL,16.00,18.00,13.00,777.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(71,'Red & Black Headphone',NULL,NULL,'published','[\"products\\/4.jpg\"]',NULL,'SW-148-A0',0,20,0,1,0,4,1,0,558,463.14,NULL,NULL,16.00,13.00,15.00,880.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(72,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-1.jpg\"]',NULL,'SW-148-A0-A1',0,20,0,1,0,4,1,0,558,474.3,NULL,NULL,16.00,13.00,15.00,880.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(73,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-2.jpg\"]',NULL,'SW-148-A0-A2',0,20,0,1,0,4,1,0,558,457.56,NULL,NULL,16.00,13.00,15.00,880.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(74,'Red &amp; Black Headphone',NULL,NULL,'published','[\"products\\/4-3.jpg\"]',NULL,'SW-148-A0-A3',0,20,0,1,0,4,1,0,558,424.08,NULL,NULL,16.00,13.00,15.00,880.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(75,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5.jpg\"]',NULL,'SW-114-A0',0,20,0,1,0,5,1,0,812,NULL,NULL,NULL,15.00,10.00,20.00,631.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(76,'Smart Watch External (Digital)',NULL,NULL,'published','[\"products\\/5-1.jpg\"]',NULL,'SW-114-A0-A1',0,20,0,1,0,5,1,0,812,NULL,NULL,NULL,15.00,10.00,20.00,631.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(77,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-191-A0',0,16,0,1,0,3,1,0,485,NULL,NULL,NULL,13.00,11.00,17.00,670.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(78,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-191-A0-A1',0,16,0,1,0,3,1,0,485,NULL,NULL,NULL,13.00,11.00,17.00,670.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(79,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-191-A0-A2',0,16,0,1,0,3,1,0,485,NULL,NULL,NULL,13.00,11.00,17.00,670.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(80,'Nikon HD camera',NULL,NULL,'published','[\"products\\/6.jpg\"]',NULL,'SW-191-A0-A3',0,16,0,1,0,3,1,0,485,NULL,NULL,NULL,13.00,11.00,17.00,670.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(81,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-176-A0',0,18,0,1,0,1,1,0,557,NULL,NULL,NULL,18.00,11.00,17.00,769.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(82,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-176-A0-A1',0,18,0,1,0,1,1,0,557,NULL,NULL,NULL,18.00,11.00,17.00,769.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(83,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-176-A0-A2',0,18,0,1,0,1,1,0,557,NULL,NULL,NULL,18.00,11.00,17.00,769.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(84,'Audio Equipment',NULL,NULL,'published','[\"products\\/7.jpg\"]',NULL,'SW-176-A0-A3',0,18,0,1,0,1,1,0,557,NULL,NULL,NULL,18.00,11.00,17.00,769.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(85,'Smart Televisions',NULL,NULL,'published','[\"products\\/8.jpg\"]',NULL,'SW-112-A0',0,12,0,1,0,2,1,0,1119,951.15,NULL,NULL,15.00,12.00,14.00,895.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(86,'Smart Televisions',NULL,NULL,'published','[\"products\\/8-1.jpg\"]',NULL,'SW-112-A0-A1',0,12,0,1,0,2,1,0,1119,928.77,NULL,NULL,15.00,12.00,14.00,895.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(87,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9.jpg\"]',NULL,'SW-141-A0',0,17,0,1,0,3,1,0,558,NULL,NULL,NULL,16.00,19.00,11.00,753.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(88,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-1.jpg\"]',NULL,'SW-141-A0-A1',0,17,0,1,0,3,1,0,558,NULL,NULL,NULL,16.00,19.00,11.00,753.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(89,'Samsung Smart Phone (Digital)',NULL,NULL,'published','[\"products\\/9-2.jpg\"]',NULL,'SW-141-A0-A2',0,17,0,1,0,3,1,0,558,NULL,NULL,NULL,16.00,19.00,11.00,753.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(90,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10.jpg\"]',NULL,'SW-174-A0',0,16,0,1,0,1,1,0,1187,NULL,NULL,NULL,14.00,11.00,16.00,541.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(91,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-1.jpg\"]',NULL,'SW-174-A0-A1',0,16,0,1,0,1,1,0,1187,NULL,NULL,NULL,14.00,11.00,16.00,541.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(92,'Herschel Leather Duffle Bag In Brown Color',NULL,NULL,'published','[\"products\\/10-2.jpg\"]',NULL,'SW-174-A0-A2',0,16,0,1,0,1,1,0,1187,NULL,NULL,NULL,14.00,11.00,16.00,541.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(93,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11.jpg\"]',NULL,'SW-114-A0',0,15,0,1,0,5,1,0,1183,NULL,NULL,NULL,12.00,17.00,13.00,539.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(94,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-1.jpg\"]',NULL,'SW-114-A0-A1',0,15,0,1,0,5,1,0,1183,NULL,NULL,NULL,12.00,17.00,13.00,539.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(95,'Xbox One Wireless Controller Black Color',NULL,NULL,'published','[\"products\\/11-2.jpg\"]',NULL,'SW-114-A0-A2',0,15,0,1,0,5,1,0,1183,NULL,NULL,NULL,12.00,17.00,13.00,539.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(96,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]',NULL,'SW-107-A0',0,15,0,1,0,3,1,0,544,462.4,NULL,NULL,15.00,16.00,12.00,838.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(97,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-1.jpg\"]',NULL,'SW-107-A0-A1',0,15,0,1,0,3,1,0,544,408,NULL,NULL,15.00,16.00,12.00,838.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(98,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-2.jpg\"]',NULL,'SW-107-A0-A2',0,15,0,1,0,3,1,0,544,489.6,NULL,NULL,15.00,16.00,12.00,838.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(99,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12-3.jpg\"]',NULL,'SW-107-A0-A3',0,15,0,1,0,3,1,0,544,478.72,NULL,NULL,15.00,16.00,12.00,838.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(100,'EPSION Plaster Printer',NULL,NULL,'published','[\"products\\/12.jpg\"]',NULL,'SW-107-A0-A4',0,15,0,1,0,3,1,0,544,397.12,NULL,NULL,15.00,16.00,12.00,838.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(101,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-182-A0',0,13,0,1,0,1,1,0,513,NULL,NULL,NULL,11.00,19.00,18.00,777.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(102,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13-1.jpg\"]',NULL,'SW-182-A0-A1',0,13,0,1,0,1,1,0,513,NULL,NULL,NULL,11.00,19.00,18.00,777.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(103,'Sound Intone I65 Earphone White Version (Digital)',NULL,NULL,'published','[\"products\\/13.jpg\"]',NULL,'SW-182-A0-A2',0,13,0,1,0,1,1,0,513,NULL,NULL,NULL,11.00,19.00,18.00,777.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(104,'B&O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-142-A0',0,20,0,1,0,1,1,0,509,NULL,NULL,NULL,19.00,19.00,19.00,632.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(105,'B&amp;O Play Mini Bluetooth Speaker',NULL,NULL,'published','[\"products\\/14.jpg\"]',NULL,'SW-142-A0-A1',0,20,0,1,0,1,1,0,509,NULL,NULL,NULL,19.00,19.00,19.00,632.00,NULL,0,'2024-08-09 23:58:09','2024-08-09 23:58:09','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(106,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15.jpg\"]',NULL,'SW-160-A0',0,12,0,1,0,2,1,0,526,NULL,NULL,NULL,10.00,17.00,18.00,862.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(107,'Apple MacBook Air Retina 13.3-Inch Laptop',NULL,NULL,'published','[\"products\\/15-1.jpg\"]',NULL,'SW-160-A0-A1',0,12,0,1,0,2,1,0,526,NULL,NULL,NULL,10.00,17.00,18.00,862.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(108,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-167-A0',0,14,0,1,0,4,1,0,535,411.95,NULL,NULL,11.00,20.00,15.00,553.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(109,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-167-A0-A1',0,14,0,1,0,4,1,0,535,401.25,NULL,NULL,11.00,20.00,15.00,553.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(110,'Apple MacBook Air Retina 12-Inch Laptop',NULL,NULL,'published','[\"products\\/16.jpg\"]',NULL,'SW-167-A0-A2',0,14,0,1,0,4,1,0,535,449.4,NULL,NULL,11.00,20.00,15.00,553.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(111,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17.jpg\"]',NULL,'SW-186-A0',0,20,0,1,0,3,1,0,553,NULL,NULL,NULL,13.00,11.00,19.00,548.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(112,'Samsung Gear VR Virtual Reality Headset (Digital)',NULL,NULL,'published','[\"products\\/17-1.jpg\"]',NULL,'SW-186-A0-A1',0,20,0,1,0,3,1,0,553,NULL,NULL,NULL,13.00,11.00,19.00,548.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(113,'Aveeno Moisturizing Body Shower 450ml',NULL,NULL,'published','[\"products\\/18.jpg\"]',NULL,'SW-163-A0',0,11,0,1,0,1,1,0,1131,NULL,NULL,NULL,15.00,16.00,11.00,613.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(114,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19.jpg\"]',NULL,'SW-200-A0',0,19,0,1,0,4,1,0,1297,NULL,NULL,NULL,20.00,18.00,10.00,538.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(115,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-1.jpg\"]',NULL,'SW-200-A0-A1',0,19,0,1,0,4,1,0,1297,NULL,NULL,NULL,20.00,18.00,10.00,538.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(116,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/19-2.jpg\"]',NULL,'SW-200-A0-A2',0,19,0,1,0,4,1,0,1297,NULL,NULL,NULL,20.00,18.00,10.00,538.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(117,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20.jpg\"]',NULL,'SW-169-A0',0,18,0,1,0,1,1,0,796,589.04,NULL,NULL,15.00,16.00,11.00,823.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(118,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20-1.jpg\"]',NULL,'SW-169-A0-A1',0,18,0,1,0,1,1,0,796,652.72,NULL,NULL,15.00,16.00,11.00,823.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(119,'NYX Beauty Couton Pallete Makeup 12',NULL,NULL,'published','[\"products\\/20-2.jpg\"]',NULL,'SW-169-A0-A2',0,18,0,1,0,1,1,0,796,676.6,NULL,NULL,15.00,16.00,11.00,823.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(120,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-164-A0',0,12,0,1,0,2,1,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(121,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-1.jpg\"]',NULL,'SW-164-A0-A1',0,12,0,1,0,2,1,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(122,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21-2.jpg\"]',NULL,'SW-164-A0-A2',0,12,0,1,0,2,1,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(123,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-164-A0-A3',0,12,0,1,0,2,1,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(124,'MVMTH Classical Leather Watch In Black (Digital)',NULL,NULL,'published','[\"products\\/21.jpg\"]',NULL,'SW-164-A0-A4',0,12,0,1,0,2,1,0,867,NULL,NULL,NULL,15.00,18.00,11.00,809.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(125,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22.jpg\"]',NULL,'SW-124-A0',0,18,0,1,0,5,1,0,476,NULL,NULL,NULL,12.00,16.00,18.00,731.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(126,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-1.jpg\"]',NULL,'SW-124-A0-A1',0,18,0,1,0,5,1,0,476,NULL,NULL,NULL,12.00,16.00,18.00,731.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(127,'Baxter Care Hair Kit For Bearded Mens',NULL,NULL,'published','[\"products\\/22-2.jpg\"]',NULL,'SW-124-A0-A2',0,18,0,1,0,5,1,0,476,NULL,NULL,NULL,12.00,16.00,18.00,731.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(128,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23.jpg\"]',NULL,'SW-118-A0',0,12,0,1,0,3,1,0,783,NULL,NULL,NULL,11.00,17.00,13.00,761.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(129,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-1.jpg\"]',NULL,'SW-118-A0-A1',0,12,0,1,0,3,1,0,783,NULL,NULL,NULL,11.00,17.00,13.00,761.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(130,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-2.jpg\"]',NULL,'SW-118-A0-A2',0,12,0,1,0,3,1,0,783,NULL,NULL,NULL,11.00,17.00,13.00,761.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(131,'Ciate Palemore Lipstick Bold Red Color',NULL,NULL,'published','[\"products\\/23-3.jpg\"]',NULL,'SW-118-A0-A3',0,12,0,1,0,3,1,0,783,NULL,NULL,NULL,11.00,17.00,13.00,761.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(132,'Vimto Squash Remix Apple 1.5 Litres',NULL,NULL,'published','[\"products\\/24.jpg\"]',NULL,'SW-137-A0',0,14,0,1,0,4,1,0,999,709.29,NULL,NULL,15.00,18.00,18.00,834.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(133,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25.jpg\"]',NULL,'SW-151-A0',0,17,0,1,0,3,1,0,582,NULL,NULL,NULL,14.00,20.00,14.00,740.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(134,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-1.jpg\"]',NULL,'SW-151-A0-A1',0,17,0,1,0,3,1,0,582,NULL,NULL,NULL,14.00,20.00,14.00,740.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(135,'Crock Pot Slow Cooker (Digital)',NULL,NULL,'published','[\"products\\/25-2.jpg\"]',NULL,'SW-151-A0-A2',0,17,0,1,0,3,1,0,582,NULL,NULL,NULL,14.00,20.00,14.00,740.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(136,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-118-A0',0,10,0,1,0,3,1,0,848,NULL,NULL,NULL,14.00,14.00,12.00,659.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(137,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26-1.jpg\"]',NULL,'SW-118-A0-A1',0,10,0,1,0,3,1,0,848,NULL,NULL,NULL,14.00,14.00,12.00,659.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(138,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-118-A0-A2',0,10,0,1,0,3,1,0,848,NULL,NULL,NULL,14.00,14.00,12.00,659.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(139,'Taylors of Harrogate Yorkshire Coffee',NULL,NULL,'published','[\"products\\/26.jpg\"]',NULL,'SW-118-A0-A3',0,10,0,1,0,3,1,0,848,NULL,NULL,NULL,14.00,14.00,12.00,659.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(140,'Soft Mochi & Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-110-A0',0,20,0,1,0,2,1,0,837,NULL,NULL,NULL,12.00,20.00,15.00,855.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(141,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27-1.jpg\"]',NULL,'SW-110-A0-A1',0,20,0,1,0,2,1,0,837,NULL,NULL,NULL,12.00,20.00,15.00,855.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(142,'Soft Mochi &amp; Galeto Ice Cream',NULL,NULL,'published','[\"products\\/27.jpg\"]',NULL,'SW-110-A0-A2',0,20,0,1,0,2,1,0,837,NULL,NULL,NULL,12.00,20.00,15.00,855.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(143,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28.jpg\"]',NULL,'SW-192-A0',0,12,0,1,0,4,1,0,966,743.82,NULL,NULL,17.00,15.00,19.00,831.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(144,'Naked Noodle Egg Noodles Singapore',NULL,NULL,'published','[\"products\\/28-1.jpg\"]',NULL,'SW-192-A0-A1',0,12,0,1,0,4,1,0,966,782.46,NULL,NULL,17.00,15.00,19.00,831.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(145,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-108-A0',0,12,0,1,0,3,1,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(146,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-1.jpg\"]',NULL,'SW-108-A0-A1',0,12,0,1,0,3,1,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(147,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29-2.jpg\"]',NULL,'SW-108-A0-A2',0,12,0,1,0,3,1,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(148,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-108-A0-A3',0,12,0,1,0,3,1,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(149,'Saute Pan Silver (Digital)',NULL,NULL,'published','[\"products\\/29.jpg\"]',NULL,'SW-108-A0-A4',0,12,0,1,0,3,1,0,688,NULL,NULL,NULL,10.00,10.00,12.00,715.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(150,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30.jpg\"]',NULL,'SW-139-A0',0,14,0,1,0,2,1,0,758,NULL,NULL,NULL,20.00,10.00,16.00,651.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(151,'Bar S – Classic Bun Length Franks',NULL,NULL,'published','[\"products\\/30-1.jpg\"]',NULL,'SW-139-A0-A1',0,14,0,1,0,2,1,0,758,NULL,NULL,NULL,20.00,10.00,16.00,651.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(152,'Broccoli Crowns',NULL,NULL,'published','[\"products\\/31.jpg\"]',NULL,'SW-120-A0',0,15,0,1,0,3,1,0,755,NULL,NULL,NULL,12.00,16.00,12.00,631.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(153,'Slimming World Vegan Mac Greens',NULL,NULL,'published','[\"products\\/32.jpg\"]',NULL,'SW-158-A0',0,15,0,1,0,1,1,0,1115,936.6,NULL,NULL,19.00,15.00,13.00,660.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(154,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33.jpg\"]',NULL,'SW-163-A0',0,14,0,1,0,4,1,0,1020,NULL,NULL,NULL,17.00,15.00,13.00,552.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(155,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-1.jpg\"]',NULL,'SW-163-A0-A1',0,14,0,1,0,4,1,0,1020,NULL,NULL,NULL,17.00,15.00,13.00,552.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(156,'Häagen-Dazs Salted Caramel (Digital)',NULL,NULL,'published','[\"products\\/33-2.jpg\"]',NULL,'SW-163-A0-A2',0,14,0,1,0,4,1,0,1020,NULL,NULL,NULL,17.00,15.00,13.00,552.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(157,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-186-A0',0,14,0,1,0,5,1,0,1272,NULL,NULL,NULL,13.00,17.00,16.00,810.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(158,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34-1.jpg\"]',NULL,'SW-186-A0-A1',0,14,0,1,0,5,1,0,1272,NULL,NULL,NULL,13.00,17.00,16.00,810.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(159,'Iceland 3 Solo Exotic Burst',NULL,NULL,'published','[\"products\\/34.jpg\"]',NULL,'SW-186-A0-A2',0,14,0,1,0,5,1,0,1272,NULL,NULL,NULL,13.00,17.00,16.00,810.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(160,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35.jpg\"]',NULL,'SW-137-A0',0,13,0,1,0,4,1,0,938,NULL,NULL,NULL,17.00,16.00,17.00,748.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(161,'Extreme Budweiser Light Can',NULL,NULL,'published','[\"products\\/35-1.jpg\"]',NULL,'SW-137-A0-A1',0,13,0,1,0,4,1,0,938,NULL,NULL,NULL,17.00,16.00,17.00,748.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(162,'Iceland Macaroni Cheese Traybake',NULL,NULL,'published','[\"products\\/36.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,2,1,0,967,831.62,NULL,NULL,20.00,19.00,18.00,837.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(163,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]',NULL,'SW-115-A0',0,20,0,1,0,4,1,0,574,NULL,NULL,NULL,20.00,17.00,17.00,756.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(164,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-1.jpg\"]',NULL,'SW-115-A0-A1',0,20,0,1,0,4,1,0,574,NULL,NULL,NULL,20.00,17.00,17.00,756.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(165,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37-2.jpg\"]',NULL,'SW-115-A0-A2',0,20,0,1,0,4,1,0,574,NULL,NULL,NULL,20.00,17.00,17.00,756.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(166,'Dolmio Bolognese Pasta Sauce (Digital)',NULL,NULL,'published','[\"products\\/37.jpg\"]',NULL,'SW-115-A0-A3',0,20,0,1,0,4,1,0,574,NULL,NULL,NULL,20.00,17.00,17.00,756.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(167,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38.jpg\"]',NULL,'SW-192-A0',0,12,0,1,0,2,1,0,1219,NULL,NULL,NULL,14.00,12.00,19.00,708.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(168,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-1.jpg\"]',NULL,'SW-192-A0-A1',0,12,0,1,0,2,1,0,1219,NULL,NULL,NULL,14.00,12.00,19.00,708.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(169,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-2.jpg\"]',NULL,'SW-192-A0-A2',0,12,0,1,0,2,1,0,1219,NULL,NULL,NULL,14.00,12.00,19.00,708.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(170,'Sitema BakeIT Plastic Box',NULL,NULL,'published','[\"products\\/38-3.jpg\"]',NULL,'SW-192-A0-A3',0,12,0,1,0,2,1,0,1219,NULL,NULL,NULL,14.00,12.00,19.00,708.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(171,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]',NULL,'SW-158-A0',0,14,0,1,0,4,1,0,829,NULL,NULL,NULL,15.00,14.00,13.00,719.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(172,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-1.jpg\"]',NULL,'SW-158-A0-A1',0,14,0,1,0,4,1,0,829,NULL,NULL,NULL,15.00,14.00,13.00,719.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(173,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39-2.jpg\"]',NULL,'SW-158-A0-A2',0,14,0,1,0,4,1,0,829,NULL,NULL,NULL,15.00,14.00,13.00,719.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(174,'Wayfair Basics Dinner Plate Storage',NULL,NULL,'published','[\"products\\/39.jpg\"]',NULL,'SW-158-A0-A3',0,14,0,1,0,4,1,0,829,NULL,NULL,NULL,15.00,14.00,13.00,719.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(175,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40.jpg\"]',NULL,'SW-195-A0',0,12,0,1,0,4,1,0,1129,835.46,NULL,NULL,15.00,16.00,19.00,819.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(176,'Miko The Panda Water Bottle',NULL,NULL,'published','[\"products\\/40-1.jpg\"]',NULL,'SW-195-A0-A1',0,12,0,1,0,4,1,0,1129,824.17,NULL,NULL,15.00,16.00,19.00,819.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(177,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]',NULL,'SW-172-A0',0,18,0,1,0,1,1,0,1012,NULL,NULL,NULL,12.00,14.00,14.00,881.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(178,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41-1.jpg\"]',NULL,'SW-172-A0-A1',0,18,0,1,0,1,1,0,1012,NULL,NULL,NULL,12.00,14.00,14.00,881.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(179,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41-2.jpg\"]',NULL,'SW-172-A0-A2',0,18,0,1,0,1,1,0,1012,NULL,NULL,NULL,12.00,14.00,14.00,881.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(180,'Sesame Seed Bread (Digital)',NULL,NULL,'published','[\"products\\/41.jpg\"]',NULL,'SW-172-A0-A3',0,18,0,1,0,1,1,0,1012,NULL,NULL,NULL,12.00,14.00,14.00,881.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(181,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42.jpg\"]',NULL,'SW-169-A0',0,17,0,1,0,4,1,0,1128,NULL,NULL,NULL,20.00,11.00,15.00,653.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(182,'Morrisons The Best Beef',NULL,NULL,'published','[\"products\\/42-1.jpg\"]',NULL,'SW-169-A0-A1',0,17,0,1,0,4,1,0,1128,NULL,NULL,NULL,20.00,11.00,15.00,653.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(183,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-190-A0',0,17,0,1,0,2,1,0,675,NULL,NULL,NULL,10.00,15.00,16.00,818.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(184,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-1.jpg\"]',NULL,'SW-190-A0-A1',0,17,0,1,0,2,1,0,675,NULL,NULL,NULL,10.00,15.00,16.00,818.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(185,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43-2.jpg\"]',NULL,'SW-190-A0-A2',0,17,0,1,0,2,1,0,675,NULL,NULL,NULL,10.00,15.00,16.00,818.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(186,'Avocado, Hass Large',NULL,NULL,'published','[\"products\\/43.jpg\"]',NULL,'SW-190-A0-A3',0,17,0,1,0,2,1,0,675,NULL,NULL,NULL,10.00,15.00,16.00,818.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(187,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44.jpg\"]',NULL,'SW-161-A0',0,10,0,1,0,3,1,0,1190,963.9,NULL,NULL,12.00,15.00,20.00,873.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(188,'Italia Beef Lasagne',NULL,NULL,'published','[\"products\\/44-1.jpg\"]',NULL,'SW-161-A0-A1',0,10,0,1,0,3,1,0,1190,1071,NULL,NULL,12.00,15.00,20.00,873.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(189,'Maxwell House Classic Roast Mocha (Digital)',NULL,NULL,'published','[\"products\\/45.jpg\"]',NULL,'SW-132-A0',0,10,0,1,0,4,1,0,1052,NULL,NULL,NULL,16.00,20.00,19.00,803.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(190,'Bottled Pure Water 500ml',NULL,NULL,'published','[\"products\\/46.jpg\"]',NULL,'SW-183-A0',0,11,0,1,0,4,1,0,568,NULL,NULL,NULL,13.00,12.00,17.00,663.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(191,'Famart Farmhouse Soft White',NULL,NULL,'published','[\"products\\/47.jpg\"]',NULL,'SW-143-A0',0,20,0,1,0,4,1,0,1080,NULL,NULL,NULL,15.00,19.00,18.00,669.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(192,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48.jpg\"]',NULL,'SW-187-A0',0,13,0,1,0,1,1,0,1108,775.6,NULL,NULL,20.00,15.00,10.00,874.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(193,'Coca-Cola Original Taste',NULL,NULL,'published','[\"products\\/48-1.jpg\"]',NULL,'SW-187-A0-A1',0,13,0,1,0,1,1,0,1108,864.24,NULL,NULL,20.00,15.00,10.00,874.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(194,'Casillero Diablo Cabernet Sauvignon (Digital)',NULL,NULL,'published','[\"products\\/49.jpg\"]',NULL,'SW-111-A0',0,11,0,1,0,1,1,0,1023,NULL,NULL,NULL,13.00,12.00,16.00,651.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(195,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]',NULL,'SW-180-A0',0,16,0,1,0,1,1,0,554,NULL,NULL,NULL,19.00,14.00,13.00,594.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(196,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50-1.jpg\"]',NULL,'SW-180-A0-A1',0,16,0,1,0,1,1,0,554,NULL,NULL,NULL,19.00,14.00,13.00,594.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(197,'Arla Organic Free Range Milk',NULL,NULL,'published','[\"products\\/50.jpg\"]',NULL,'SW-180-A0-A2',0,16,0,1,0,1,1,0,554,NULL,NULL,NULL,19.00,14.00,13.00,594.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(198,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-134-A0',0,10,0,1,0,5,1,0,712,NULL,NULL,NULL,16.00,20.00,20.00,703.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(199,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-134-A0-A1',0,10,0,1,0,5,1,0,712,NULL,NULL,NULL,16.00,20.00,20.00,703.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(200,'Aptamil Follow On Baby Milk',NULL,NULL,'published','[\"products\\/51.jpg\"]',NULL,'SW-134-A0-A2',0,10,0,1,0,5,1,0,712,NULL,NULL,NULL,16.00,20.00,20.00,703.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(201,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52.jpg\"]',NULL,'SW-171-A0',0,17,0,1,0,1,1,0,1171,1018.77,NULL,NULL,18.00,16.00,16.00,794.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(202,'Cuisinart Chef’S Classic Hard-Anodized',NULL,NULL,'published','[\"products\\/52-1.jpg\"]',NULL,'SW-171-A0-A1',0,17,0,1,0,1,1,0,1171,901.67,NULL,NULL,18.00,16.00,16.00,794.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(203,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-170-A0',0,19,0,1,0,5,1,0,979,NULL,NULL,NULL,12.00,11.00,11.00,856.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(204,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53-1.jpg\"]',NULL,'SW-170-A0-A1',0,19,0,1,0,5,1,0,979,NULL,NULL,NULL,12.00,11.00,11.00,856.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(205,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-170-A0-A2',0,19,0,1,0,5,1,0,979,NULL,NULL,NULL,12.00,11.00,11.00,856.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(206,'Corn, Yellow Sweet (Digital)',NULL,NULL,'published','[\"products\\/53.jpg\"]',NULL,'SW-170-A0-A3',0,19,0,1,0,5,1,0,979,NULL,NULL,NULL,12.00,11.00,11.00,856.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(207,'Hobnobs The Nobbly Biscuit',NULL,NULL,'published','[\"products\\/54.jpg\"]',NULL,'SW-108-A0',0,18,0,1,0,4,1,0,864,NULL,NULL,NULL,20.00,15.00,18.00,542.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(208,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55.jpg\"]',NULL,'SW-131-A0',0,15,0,1,0,5,1,0,1041,NULL,NULL,NULL,19.00,18.00,15.00,619.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(209,'Honest Organic Still Lemonade',NULL,NULL,'published','[\"products\\/55-1.jpg\"]',NULL,'SW-131-A0-A1',0,15,0,1,0,5,1,0,1041,NULL,NULL,NULL,19.00,18.00,15.00,619.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(210,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56.jpg\"]',NULL,'SW-136-A0',0,14,0,1,0,2,1,0,561,398.31,NULL,NULL,20.00,20.00,13.00,767.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(211,'Ice Beck’s Beer 350ml x 24 Pieces',NULL,NULL,'published','[\"products\\/56-1.jpg\"]',NULL,'SW-136-A0-A1',0,14,0,1,0,2,1,0,561,460.02,NULL,NULL,20.00,20.00,13.00,767.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(212,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-142-A0',0,18,0,1,0,3,1,0,770,NULL,NULL,NULL,14.00,11.00,10.00,530.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(213,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57-1.jpg\"]',NULL,'SW-142-A0-A1',0,18,0,1,0,3,1,0,770,NULL,NULL,NULL,14.00,11.00,10.00,530.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(214,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-142-A0-A2',0,18,0,1,0,3,1,0,770,NULL,NULL,NULL,14.00,11.00,10.00,530.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(215,'Iceland 6 Hot Cross Buns (Digital)',NULL,NULL,'published','[\"products\\/57.jpg\"]',NULL,'SW-142-A0-A3',0,18,0,1,0,3,1,0,770,NULL,NULL,NULL,14.00,11.00,10.00,530.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(216,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]',NULL,'SW-192-A0',0,15,0,1,0,5,1,0,1280,NULL,NULL,NULL,13.00,16.00,12.00,607.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(217,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-1.jpg\"]',NULL,'SW-192-A0-A1',0,15,0,1,0,5,1,0,1280,NULL,NULL,NULL,13.00,16.00,12.00,607.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(218,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58-2.jpg\"]',NULL,'SW-192-A0-A2',0,15,0,1,0,5,1,0,1280,NULL,NULL,NULL,13.00,16.00,12.00,607.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(219,'Iceland Luxury 4 Panini Rolls',NULL,NULL,'published','[\"products\\/58.jpg\"]',NULL,'SW-192-A0-A3',0,15,0,1,0,5,1,0,1280,NULL,NULL,NULL,13.00,16.00,12.00,607.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(220,'Iceland Soft Scoop Vanilla',NULL,NULL,'published','[\"products\\/59.jpg\"]',NULL,'SW-111-A0',0,17,0,1,0,1,1,0,1058,NULL,NULL,NULL,11.00,15.00,17.00,740.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(221,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60.jpg\"]',NULL,'SW-144-A0',0,18,0,1,0,3,1,0,1235,876.85,NULL,NULL,20.00,17.00,20.00,534.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(222,'Iceland Spaghetti Bolognese',NULL,NULL,'published','[\"products\\/60-1.jpg\"]',NULL,'SW-144-A0-A1',0,18,0,1,0,3,1,0,1235,1111.5,NULL,NULL,20.00,17.00,20.00,534.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(223,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-164-A0',0,20,0,1,0,2,1,0,1271,NULL,NULL,NULL,14.00,15.00,16.00,618.00,NULL,0,'2024-08-09 23:58:10','2024-08-09 23:58:10','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(224,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61-1.jpg\"]',NULL,'SW-164-A0-A1',0,20,0,1,0,2,1,0,1271,NULL,NULL,NULL,14.00,15.00,16.00,618.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(225,'Kellogg’s Coco Pops Cereal (Digital)',NULL,NULL,'published','[\"products\\/61.jpg\"]',NULL,'SW-164-A0-A2',0,20,0,1,0,2,1,0,1271,NULL,NULL,NULL,14.00,15.00,16.00,618.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(226,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62.jpg\"]',NULL,'SW-182-A0',0,15,0,1,0,1,1,0,574,NULL,NULL,NULL,18.00,15.00,20.00,723.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(227,'Kit Kat Chunky Milk Chocolate',NULL,NULL,'published','[\"products\\/62-1.jpg\"]',NULL,'SW-182-A0-A1',0,15,0,1,0,1,1,0,574,NULL,NULL,NULL,18.00,15.00,20.00,723.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(228,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-183-A0',0,16,0,1,0,4,1,0,645,NULL,NULL,NULL,16.00,11.00,16.00,572.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(229,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63-1.jpg\"]',NULL,'SW-183-A0-A1',0,16,0,1,0,4,1,0,645,NULL,NULL,NULL,16.00,11.00,16.00,572.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(230,'Large Green Bell Pepper',NULL,NULL,'published','[\"products\\/63.jpg\"]',NULL,'SW-183-A0-A2',0,16,0,1,0,4,1,0,645,NULL,NULL,NULL,16.00,11.00,16.00,572.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(231,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-146-A0',0,20,0,1,0,5,1,0,1038,778.5,NULL,NULL,10.00,10.00,19.00,694.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(232,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64-1.jpg\"]',NULL,'SW-146-A0-A1',0,20,0,1,0,5,1,0,1038,882.3,NULL,NULL,10.00,10.00,19.00,694.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(233,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-146-A0-A2',0,20,0,1,0,5,1,0,1038,882.3,NULL,NULL,10.00,10.00,19.00,694.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(234,'Pice 94w Beasley Journal',NULL,NULL,'published','[\"products\\/64.jpg\"]',NULL,'SW-146-A0-A3',0,20,0,1,0,5,1,0,1038,903.06,NULL,NULL,10.00,10.00,19.00,694.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'physical',NULL,NULL,0,0,0,0),(235,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65.jpg\"]',NULL,'SW-178-A0',0,19,0,1,0,1,1,0,916,NULL,NULL,NULL,17.00,18.00,16.00,667.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(236,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-1.jpg\"]',NULL,'SW-178-A0-A1',0,19,0,1,0,1,1,0,916,NULL,NULL,NULL,17.00,18.00,16.00,667.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0),(237,'Province Piece Glass Drinking Glass (Digital)',NULL,NULL,'published','[\"products\\/65-2.jpg\"]',NULL,'SW-178-A0-A2',0,19,0,1,0,1,1,0,916,NULL,NULL,NULL,17.00,18.00,16.00,667.00,NULL,0,'2024-08-09 23:58:11','2024-08-09 23:58:11','in_stock',0,'Botble\\ACL\\Models\\User',NULL,'digital',NULL,NULL,0,0,0,0);
/*!40000 ALTER TABLE `ec_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_products_translations`
--

DROP TABLE IF EXISTS `ec_products_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_products_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ec_products_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`ec_products_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_products_translations`
--

LOCK TABLES `ec_products_translations` WRITE;
/*!40000 ALTER TABLE `ec_products_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_products_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_review_replies`
--

DROP TABLE IF EXISTS `ec_review_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_review_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `review_id` bigint unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_review_replies_review_id_user_id_unique` (`review_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_review_replies`
--

LOCK TABLES `ec_review_replies` WRITE;
/*!40000 ALTER TABLE `ec_review_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_review_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_reviews`
--

DROP TABLE IF EXISTS `ec_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_reviews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `customer_id` bigint unsigned DEFAULT NULL,
  `customer_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_id` bigint unsigned NOT NULL,
  `star` double(8,2) NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_reviews_product_id_customer_id_unique` (`product_id`,`customer_id`),
  KEY `ec_reviews_product_id_customer_id_status_created_at_index` (`product_id`,`customer_id`,`status`,`created_at`),
  KEY `review_relation_index` (`product_id`,`customer_id`,`status`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_reviews`
--

LOCK TABLES `ec_reviews` WRITE;
/*!40000 ALTER TABLE `ec_reviews` DISABLE KEYS */;
INSERT INTO `ec_reviews` VALUES (1,4,NULL,NULL,23,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/39-1.jpg\",\"products\\/56-1.jpg\"]'),(2,8,NULL,NULL,36,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\",\"products\\/55.jpg\",\"products\\/58.jpg\",\"products\\/61-1.jpg\"]'),(3,3,NULL,NULL,31,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32-2.jpg\"]'),(4,1,NULL,NULL,13,5.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-3.jpg\",\"products\\/15.jpg\"]'),(5,1,NULL,NULL,35,5.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-1.jpg\",\"products\\/32-1.jpg\",\"products\\/43.jpg\",\"products\\/64.jpg\"]'),(6,6,NULL,NULL,19,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/28-2.jpg\",\"products\\/48-1.jpg\"]'),(7,1,NULL,NULL,53,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\"]'),(8,1,NULL,NULL,17,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/43.jpg\"]'),(9,4,NULL,NULL,13,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/36-1.jpg\",\"products\\/36-2.jpg\"]'),(10,7,NULL,NULL,47,1.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/59-1.jpg\"]'),(11,1,NULL,NULL,40,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/15.jpg\",\"products\\/44.jpg\"]'),(12,5,NULL,NULL,29,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/42-2.jpg\"]'),(13,1,NULL,NULL,14,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-3.jpg\",\"products\\/31.jpg\",\"products\\/42.jpg\",\"products\\/62.jpg\"]'),(14,5,NULL,NULL,57,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/40-1.jpg\"]'),(15,9,NULL,NULL,17,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/19-2.jpg\",\"products\\/45-1.jpg\",\"products\\/50-1.jpg\"]'),(16,3,NULL,NULL,42,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/52-2.jpg\"]'),(17,2,NULL,NULL,44,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/8.jpg\",\"products\\/18-2.jpg\"]'),(18,1,NULL,NULL,60,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-1.jpg\",\"products\\/38-2.jpg\",\"products\\/47-1.jpg\"]'),(20,1,NULL,NULL,62,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/27-1.jpg\"]'),(21,6,NULL,NULL,1,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-2.jpg\",\"products\\/36-2.jpg\",\"products\\/37-1.jpg\",\"products\\/64.jpg\"]'),(22,2,NULL,NULL,14,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-3.jpg\",\"products\\/8-3.jpg\",\"products\\/23-3.jpg\",\"products\\/58.jpg\"]'),(23,9,NULL,NULL,16,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/17-3.jpg\",\"products\\/42.jpg\",\"products\\/56-2.jpg\"]'),(24,3,NULL,NULL,45,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/34.jpg\",\"products\\/35-1.jpg\"]'),(25,5,NULL,NULL,3,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/56-2.jpg\",\"products\\/59.jpg\"]'),(26,2,NULL,NULL,34,3.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-2.jpg\",\"products\\/30.jpg\",\"products\\/33.jpg\",\"products\\/56.jpg\"]'),(27,6,NULL,NULL,9,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29-1.jpg\",\"products\\/49-1.jpg\",\"products\\/65-2.jpg\"]'),(28,2,NULL,NULL,35,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/12-1.jpg\",\"products\\/17-1.jpg\",\"products\\/56-1.jpg\"]'),(29,8,NULL,NULL,9,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/8.jpg\",\"products\\/12-3.jpg\",\"products\\/25.jpg\"]'),(30,7,NULL,NULL,48,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/24.jpg\",\"products\\/41-2.jpg\"]'),(31,6,NULL,NULL,29,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-3.jpg\",\"products\\/17-1.jpg\",\"products\\/22-1.jpg\",\"products\\/23-1.jpg\"]'),(32,3,NULL,NULL,59,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/10-2.jpg\",\"products\\/23-3.jpg\",\"products\\/37.jpg\"]'),(33,4,NULL,NULL,45,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/40-1.jpg\",\"products\\/41-1.jpg\",\"products\\/44-2.jpg\"]'),(34,3,NULL,NULL,15,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/57.jpg\"]'),(35,4,NULL,NULL,55,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41-2.jpg\"]'),(36,1,NULL,NULL,45,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/21-1.jpg\",\"products\\/31.jpg\"]'),(37,4,NULL,NULL,3,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/14.jpg\",\"products\\/28.jpg\",\"products\\/33.jpg\",\"products\\/50.jpg\"]'),(38,9,NULL,NULL,65,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/21-1.jpg\",\"products\\/38-2.jpg\",\"products\\/38-3.jpg\"]'),(39,2,NULL,NULL,22,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/55-2.jpg\"]'),(40,8,NULL,NULL,35,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31-1.jpg\"]'),(41,2,NULL,NULL,30,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32.jpg\",\"products\\/45-1.jpg\",\"products\\/45.jpg\"]'),(42,1,NULL,NULL,28,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/64.jpg\"]'),(43,8,NULL,NULL,56,4.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/34-1.jpg\",\"products\\/39.jpg\",\"products\\/44.jpg\",\"products\\/65-2.jpg\"]'),(44,2,NULL,NULL,6,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/37-1.jpg\",\"products\\/37.jpg\",\"products\\/44-1.jpg\"]'),(45,2,NULL,NULL,3,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\"]'),(46,4,NULL,NULL,4,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/43-1.jpg\",\"products\\/48-2.jpg\",\"products\\/57-1.jpg\",\"products\\/61.jpg\"]'),(47,2,NULL,NULL,57,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-1.jpg\",\"products\\/50-1.jpg\",\"products\\/64-1.jpg\"]'),(48,9,NULL,NULL,51,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-3.jpg\",\"products\\/28-1.jpg\"]'),(49,7,NULL,NULL,20,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/24-1.jpg\",\"products\\/31-1.jpg\",\"products\\/49.jpg\"]'),(50,4,NULL,NULL,65,2.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/60-1.jpg\"]'),(51,5,NULL,NULL,61,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/22-3.jpg\",\"products\\/29-1.jpg\"]'),(52,6,NULL,NULL,4,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/25-2.jpg\"]'),(53,4,NULL,NULL,41,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-3.jpg\"]'),(54,3,NULL,NULL,54,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-1.jpg\",\"products\\/64-1.jpg\"]'),(55,4,NULL,NULL,19,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/22-3.jpg\",\"products\\/28-2.jpg\",\"products\\/60.jpg\"]'),(56,1,NULL,NULL,18,5.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/38-1.jpg\",\"products\\/48-2.jpg\"]'),(57,9,NULL,NULL,37,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/36-1.jpg\",\"products\\/55-2.jpg\"]'),(58,5,NULL,NULL,47,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-3.jpg\",\"products\\/43-1.jpg\",\"products\\/49-2.jpg\",\"products\\/55.jpg\"]'),(59,8,NULL,NULL,64,4.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/53-1.jpg\",\"products\\/58-1.jpg\"]'),(60,5,NULL,NULL,40,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-1.jpg\",\"products\\/44-1.jpg\",\"products\\/46.jpg\",\"products\\/63-1.jpg\"]'),(61,1,NULL,NULL,7,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/10-2.jpg\",\"products\\/30-1.jpg\",\"products\\/32-1.jpg\"]'),(62,8,NULL,NULL,45,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/44-2.jpg\"]'),(63,7,NULL,NULL,10,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/49.jpg\"]'),(64,6,NULL,NULL,13,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/53.jpg\"]'),(66,4,NULL,NULL,46,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/27-1.jpg\"]'),(67,7,NULL,NULL,30,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/52.jpg\"]'),(68,9,NULL,NULL,1,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/16.jpg\",\"products\\/23.jpg\",\"products\\/39.jpg\",\"products\\/56-2.jpg\"]'),(69,6,NULL,NULL,60,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/9-2.jpg\",\"products\\/23-2.jpg\"]'),(70,6,NULL,NULL,57,5.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-3.jpg\",\"products\\/13-1.jpg\",\"products\\/20-1.jpg\"]'),(71,6,NULL,NULL,2,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/21-2.jpg\"]'),(73,3,NULL,NULL,7,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/29-2.jpg\",\"products\\/56.jpg\"]'),(74,7,NULL,NULL,13,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/12-1.jpg\",\"products\\/25-2.jpg\",\"products\\/44-2.jpg\"]'),(76,6,NULL,NULL,59,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/17.jpg\",\"products\\/39.jpg\",\"products\\/47-1.jpg\"]'),(77,3,NULL,NULL,26,5.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/13.jpg\",\"products\\/30.jpg\",\"products\\/38-2.jpg\"]'),(78,9,NULL,NULL,41,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/12.jpg\",\"products\\/21-1.jpg\"]'),(79,3,NULL,NULL,64,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/5.jpg\",\"products\\/23-1.jpg\",\"products\\/47-1.jpg\"]'),(81,3,NULL,NULL,55,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-3.jpg\",\"products\\/60.jpg\"]'),(82,6,NULL,NULL,40,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/38-3.jpg\",\"products\\/39-1.jpg\",\"products\\/63.jpg\"]'),(84,9,NULL,NULL,30,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/4.jpg\",\"products\\/16.jpg\"]'),(85,3,NULL,NULL,27,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/61-1.jpg\"]'),(86,6,NULL,NULL,50,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/20.jpg\",\"products\\/32-1.jpg\"]'),(87,1,NULL,NULL,51,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-1.jpg\",\"products\\/30.jpg\",\"products\\/37-2.jpg\",\"products\\/46.jpg\"]'),(88,8,NULL,NULL,19,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/16.jpg\",\"products\\/17-3.jpg\",\"products\\/50-1.jpg\"]'),(89,4,NULL,NULL,15,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20.jpg\",\"products\\/21-1.jpg\",\"products\\/35.jpg\"]'),(90,5,NULL,NULL,49,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-2.jpg\",\"products\\/13-1.jpg\",\"products\\/47-1.jpg\",\"products\\/56.jpg\"]'),(91,8,NULL,NULL,1,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/20-1.jpg\",\"products\\/37.jpg\",\"products\\/56-2.jpg\"]'),(92,7,NULL,NULL,57,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15-1.jpg\",\"products\\/23-2.jpg\",\"products\\/62.jpg\"]'),(93,7,NULL,NULL,59,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\"]'),(94,8,NULL,NULL,16,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\"]'),(95,1,NULL,NULL,25,1.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/20.jpg\",\"products\\/24-2.jpg\",\"products\\/43.jpg\"]'),(96,5,NULL,NULL,13,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/63.jpg\"]'),(97,6,NULL,NULL,64,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-1.jpg\",\"products\\/33.jpg\",\"products\\/34.jpg\",\"products\\/39-2.jpg\"]'),(99,5,NULL,NULL,10,5.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/21.jpg\",\"products\\/63-1.jpg\"]'),(100,6,NULL,NULL,30,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33-2.jpg\",\"products\\/38.jpg\",\"products\\/50.jpg\",\"products\\/60.jpg\"]'),(102,9,NULL,NULL,58,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-3.jpg\"]'),(103,8,NULL,NULL,7,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29-2.jpg\",\"products\\/31-1.jpg\"]'),(105,2,NULL,NULL,64,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33-2.jpg\",\"products\\/38.jpg\",\"products\\/60.jpg\"]'),(106,5,NULL,NULL,24,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\",\"products\\/25.jpg\",\"products\\/40-1.jpg\"]'),(107,9,NULL,NULL,21,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/54-1.jpg\",\"products\\/56-1.jpg\"]'),(108,1,NULL,NULL,29,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/42-2.jpg\"]'),(109,8,NULL,NULL,37,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/19-2.jpg\",\"products\\/55-2.jpg\",\"products\\/62-1.jpg\"]'),(110,1,NULL,NULL,23,5.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/19.jpg\"]'),(111,4,NULL,NULL,48,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/24-2.jpg\"]'),(112,8,NULL,NULL,13,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\",\"products\\/18.jpg\"]'),(113,6,NULL,NULL,8,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/60.jpg\"]'),(114,1,NULL,NULL,42,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\",\"products\\/17.jpg\"]'),(115,4,NULL,NULL,31,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-3.jpg\",\"products\\/22-3.jpg\"]'),(116,6,NULL,NULL,33,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/25-1.jpg\",\"products\\/31.jpg\",\"products\\/62-1.jpg\"]'),(117,8,NULL,NULL,55,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/18-1.jpg\",\"products\\/20-2.jpg\",\"products\\/23.jpg\"]'),(118,2,NULL,NULL,40,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/45.jpg\"]'),(119,8,NULL,NULL,12,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/35-1.jpg\",\"products\\/51.jpg\",\"products\\/60-1.jpg\"]'),(120,8,NULL,NULL,5,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/22.jpg\",\"products\\/35-1.jpg\"]'),(121,2,NULL,NULL,17,1.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-1.jpg\",\"products\\/19-3.jpg\",\"products\\/22-2.jpg\",\"products\\/32-1.jpg\"]'),(122,8,NULL,NULL,21,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/28-1.jpg\"]'),(123,6,NULL,NULL,25,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\"]'),(126,2,NULL,NULL,41,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/42-2.jpg\",\"products\\/47-1.jpg\"]'),(127,5,NULL,NULL,38,2.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\"]'),(128,2,NULL,NULL,47,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/29.jpg\",\"products\\/42-2.jpg\",\"products\\/64.jpg\"]'),(129,2,NULL,NULL,29,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\"]'),(130,4,NULL,NULL,17,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/39.jpg\",\"products\\/59-3.jpg\"]'),(131,5,NULL,NULL,17,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/35.jpg\"]'),(132,3,NULL,NULL,32,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/15.jpg\",\"products\\/22.jpg\"]'),(133,8,NULL,NULL,65,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/55-1.jpg\",\"products\\/60-1.jpg\"]'),(134,3,NULL,NULL,1,2.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9.jpg\",\"products\\/30-1.jpg\",\"products\\/33-1.jpg\"]'),(135,8,NULL,NULL,25,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-1.jpg\",\"products\\/39-2.jpg\"]'),(136,2,NULL,NULL,16,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-2.jpg\",\"products\\/28.jpg\",\"products\\/36-2.jpg\"]'),(137,2,NULL,NULL,59,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/56-1.jpg\",\"products\\/65.jpg\"]'),(139,7,NULL,NULL,62,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18.jpg\",\"products\\/32-2.jpg\"]'),(140,1,NULL,NULL,11,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/39-2.jpg\",\"products\\/48-2.jpg\",\"products\\/63-1.jpg\"]'),(142,1,NULL,NULL,31,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-3.jpg\",\"products\\/28-1.jpg\",\"products\\/34.jpg\"]'),(143,3,NULL,NULL,36,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\",\"products\\/11-2.jpg\",\"products\\/25.jpg\",\"products\\/33-1.jpg\"]'),(144,1,NULL,NULL,61,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/31.jpg\"]'),(145,3,NULL,NULL,23,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/39-1.jpg\",\"products\\/39.jpg\"]'),(149,3,NULL,NULL,24,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32-1.jpg\",\"products\\/55-1.jpg\"]'),(151,5,NULL,NULL,25,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/17-3.jpg\",\"products\\/55-2.jpg\"]'),(152,3,NULL,NULL,57,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/7.jpg\",\"products\\/17-1.jpg\",\"products\\/18-1.jpg\",\"products\\/52-2.jpg\"]'),(153,2,NULL,NULL,39,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/31-1.jpg\",\"products\\/42-2.jpg\"]'),(154,4,NULL,NULL,34,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/34-1.jpg\",\"products\\/48-1.jpg\",\"products\\/56-1.jpg\"]'),(155,9,NULL,NULL,35,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-1.jpg\",\"products\\/64.jpg\"]'),(156,4,NULL,NULL,32,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/56-2.jpg\",\"products\\/59-2.jpg\",\"products\\/59-3.jpg\",\"products\\/59.jpg\"]'),(157,1,NULL,NULL,4,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/22-3.jpg\",\"products\\/49-2.jpg\",\"products\\/51.jpg\"]'),(160,5,NULL,NULL,19,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/25-1.jpg\",\"products\\/65.jpg\"]'),(161,1,NULL,NULL,5,1.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-3.jpg\",\"products\\/50-1.jpg\",\"products\\/59-1.jpg\"]'),(162,9,NULL,NULL,59,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/55.jpg\",\"products\\/56-2.jpg\"]'),(163,6,NULL,NULL,39,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-1.jpg\",\"products\\/38-2.jpg\",\"products\\/54-1.jpg\",\"products\\/60.jpg\"]'),(164,9,NULL,NULL,23,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21.jpg\",\"products\\/49-1.jpg\",\"products\\/51.jpg\"]'),(167,9,NULL,NULL,33,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-2.jpg\",\"products\\/41.jpg\"]'),(168,7,NULL,NULL,11,3.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/56.jpg\"]'),(169,1,NULL,NULL,58,4.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/27.jpg\",\"products\\/29.jpg\",\"products\\/59-3.jpg\"]'),(171,5,NULL,NULL,44,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-2.jpg\",\"products\\/60-2.jpg\"]'),(172,7,NULL,NULL,29,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/42-1.jpg\",\"products\\/51.jpg\"]'),(174,6,NULL,NULL,42,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/20.jpg\",\"products\\/40-1.jpg\",\"products\\/43-2.jpg\"]'),(175,1,NULL,NULL,1,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/39-1.jpg\",\"products\\/56-2.jpg\",\"products\\/62-1.jpg\"]'),(176,9,NULL,NULL,36,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/18-3.jpg\",\"products\\/20.jpg\",\"products\\/25-1.jpg\"]'),(177,5,NULL,NULL,58,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12.jpg\",\"products\\/40.jpg\",\"products\\/45.jpg\"]'),(178,9,NULL,NULL,61,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/30-2.jpg\",\"products\\/34.jpg\",\"products\\/50.jpg\"]'),(179,4,NULL,NULL,10,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/28-2.jpg\",\"products\\/42-1.jpg\",\"products\\/57-1.jpg\"]'),(180,4,NULL,NULL,52,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/18-1.jpg\"]'),(181,7,NULL,NULL,58,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/17.jpg\",\"products\\/21.jpg\",\"products\\/37-2.jpg\"]'),(182,8,NULL,NULL,43,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/45-1.jpg\",\"products\\/52.jpg\"]'),(184,9,NULL,NULL,31,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/15-1.jpg\"]'),(185,6,NULL,NULL,65,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/27-1.jpg\",\"products\\/56-1.jpg\"]'),(188,8,NULL,NULL,39,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/39-1.jpg\"]'),(190,3,NULL,NULL,12,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/43-2.jpg\",\"products\\/45.jpg\",\"products\\/57-1.jpg\"]'),(191,4,NULL,NULL,43,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/40-1.jpg\",\"products\\/40.jpg\",\"products\\/52-1.jpg\"]'),(192,9,NULL,NULL,43,2.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/52-1.jpg\"]'),(193,8,NULL,NULL,48,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/18-1.jpg\",\"products\\/19-3.jpg\",\"products\\/44-1.jpg\"]'),(194,7,NULL,NULL,26,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-1.jpg\",\"products\\/11-3.jpg\",\"products\\/15.jpg\",\"products\\/35-1.jpg\"]'),(195,1,NULL,NULL,24,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/7.jpg\",\"products\\/30.jpg\",\"products\\/55.jpg\",\"products\\/59.jpg\"]'),(196,4,NULL,NULL,2,3.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/16.jpg\",\"products\\/17-3.jpg\",\"products\\/30-1.jpg\"]'),(197,6,NULL,NULL,34,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/22-2.jpg\",\"products\\/24-2.jpg\"]'),(198,6,NULL,NULL,17,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/20-3.jpg\"]'),(199,6,NULL,NULL,21,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/49-2.jpg\"]'),(201,7,NULL,NULL,7,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-1.jpg\",\"products\\/37.jpg\",\"products\\/42.jpg\",\"products\\/62.jpg\"]'),(202,6,NULL,NULL,12,2.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-3.jpg\",\"products\\/55-2.jpg\",\"products\\/59-1.jpg\"]'),(203,7,NULL,NULL,49,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-3.jpg\",\"products\\/28-1.jpg\"]'),(205,1,NULL,NULL,59,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/44-2.jpg\",\"products\\/46-1.jpg\",\"products\\/65.jpg\"]'),(208,6,NULL,NULL,48,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-3.jpg\",\"products\\/12-3.jpg\",\"products\\/20-3.jpg\",\"products\\/32-2.jpg\"]'),(209,3,NULL,NULL,58,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/29.jpg\",\"products\\/33.jpg\",\"products\\/55-1.jpg\"]'),(210,5,NULL,NULL,35,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/41-2.jpg\"]'),(214,7,NULL,NULL,37,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/31.jpg\",\"products\\/54.jpg\",\"products\\/63-1.jpg\"]'),(215,2,NULL,NULL,28,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-1.jpg\",\"products\\/37.jpg\",\"products\\/62-1.jpg\"]'),(217,4,NULL,NULL,50,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/13-1.jpg\",\"products\\/60-1.jpg\"]'),(219,2,NULL,NULL,36,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/36.jpg\",\"products\\/54.jpg\"]'),(220,4,NULL,NULL,53,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\"]'),(223,4,NULL,NULL,9,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/60-2.jpg\"]'),(224,4,NULL,NULL,51,1.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41-2.jpg\",\"products\\/58-2.jpg\"]'),(225,2,NULL,NULL,42,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31-1.jpg\",\"products\\/48-1.jpg\",\"products\\/60-2.jpg\"]'),(227,1,NULL,NULL,30,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/7.jpg\",\"products\\/19-1.jpg\"]'),(228,2,NULL,NULL,18,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/27-1.jpg\",\"products\\/39-1.jpg\"]'),(230,2,NULL,NULL,62,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\",\"products\\/44-2.jpg\"]'),(231,6,NULL,NULL,45,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-3.jpg\"]'),(232,8,NULL,NULL,31,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\"]'),(233,2,NULL,NULL,19,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/38-2.jpg\",\"products\\/50-1.jpg\"]'),(235,4,NULL,NULL,27,1.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/50.jpg\"]'),(236,5,NULL,NULL,15,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-3.jpg\",\"products\\/63.jpg\"]'),(237,5,NULL,NULL,53,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/10.jpg\",\"products\\/59.jpg\"]'),(238,6,NULL,NULL,63,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19.jpg\",\"products\\/20-1.jpg\",\"products\\/28.jpg\"]'),(239,7,NULL,NULL,14,3.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-2.jpg\"]'),(241,6,NULL,NULL,7,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/48-2.jpg\",\"products\\/53.jpg\"]'),(245,8,NULL,NULL,47,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/8-1.jpg\",\"products\\/17-3.jpg\",\"products\\/64.jpg\"]'),(246,7,NULL,NULL,64,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29-2.jpg\",\"products\\/35-1.jpg\",\"products\\/46.jpg\",\"products\\/56-2.jpg\"]'),(247,4,NULL,NULL,11,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/18-2.jpg\",\"products\\/30.jpg\",\"products\\/45.jpg\"]'),(248,8,NULL,NULL,63,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/15.jpg\",\"products\\/20-1.jpg\",\"products\\/52.jpg\"]'),(249,3,NULL,NULL,20,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/4.jpg\",\"products\\/35-1.jpg\",\"products\\/56-2.jpg\"]'),(250,2,NULL,NULL,32,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\",\"products\\/25.jpg\",\"products\\/35-1.jpg\"]'),(252,7,NULL,NULL,33,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-1.jpg\",\"products\\/35-1.jpg\"]'),(253,3,NULL,NULL,60,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/28.jpg\",\"products\\/32-1.jpg\",\"products\\/41-1.jpg\",\"products\\/65-1.jpg\"]'),(256,8,NULL,NULL,15,1.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31-1.jpg\",\"products\\/41.jpg\",\"products\\/55-1.jpg\"]'),(258,6,NULL,NULL,47,3.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/58.jpg\"]'),(260,6,NULL,NULL,22,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-2.jpg\",\"products\\/26-1.jpg\",\"products\\/45.jpg\"]'),(262,8,NULL,NULL,40,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\",\"products\\/38-1.jpg\"]'),(263,9,NULL,NULL,11,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\"]'),(265,5,NULL,NULL,54,5.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\",\"products\\/38-3.jpg\",\"products\\/39-1.jpg\",\"products\\/48-1.jpg\"]'),(267,5,NULL,NULL,56,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/26.jpg\"]'),(269,7,NULL,NULL,42,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-1.jpg\",\"products\\/50.jpg\",\"products\\/55.jpg\",\"products\\/56-2.jpg\"]'),(270,7,NULL,NULL,40,1.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33.jpg\"]'),(272,9,NULL,NULL,55,5.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\"]'),(273,2,NULL,NULL,24,2.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/35.jpg\",\"products\\/54.jpg\"]'),(274,8,NULL,NULL,27,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-2.jpg\",\"products\\/23-3.jpg\"]'),(275,9,NULL,NULL,19,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32.jpg\"]'),(280,4,NULL,NULL,12,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\"]'),(281,2,NULL,NULL,46,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15-1.jpg\",\"products\\/23.jpg\"]'),(284,7,NULL,NULL,52,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\"]'),(285,5,NULL,NULL,27,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/38.jpg\"]'),(286,1,NULL,NULL,50,5.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/28-2.jpg\"]'),(289,7,NULL,NULL,8,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/44.jpg\",\"products\\/60-2.jpg\",\"products\\/63-1.jpg\"]'),(293,1,NULL,NULL,38,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-1.jpg\",\"products\\/54.jpg\"]'),(294,3,NULL,NULL,51,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/23.jpg\"]'),(295,1,NULL,NULL,10,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-1.jpg\",\"products\\/35.jpg\",\"products\\/41-1.jpg\"]'),(297,3,NULL,NULL,6,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-2.jpg\",\"products\\/20-3.jpg\",\"products\\/22-3.jpg\",\"products\\/50-1.jpg\"]'),(298,4,NULL,NULL,22,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-1.jpg\",\"products\\/60-2.jpg\"]'),(300,8,NULL,NULL,62,4.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-2.jpg\",\"products\\/28.jpg\"]'),(301,3,NULL,NULL,22,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\",\"products\\/5-1.jpg\",\"products\\/22-2.jpg\"]'),(305,4,NULL,NULL,18,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12.jpg\",\"products\\/26-1.jpg\",\"products\\/35.jpg\"]'),(308,1,NULL,NULL,27,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/9.jpg\",\"products\\/51.jpg\"]'),(309,6,NULL,NULL,27,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/53-1.jpg\",\"products\\/54.jpg\",\"products\\/61.jpg\"]'),(311,1,NULL,NULL,41,5.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\",\"products\\/19-1.jpg\",\"products\\/38-2.jpg\",\"products\\/62-1.jpg\"]'),(312,8,NULL,NULL,32,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/8.jpg\",\"products\\/65-2.jpg\"]'),(313,3,NULL,NULL,50,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/14.jpg\"]'),(314,4,NULL,NULL,37,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/23-2.jpg\",\"products\\/36-1.jpg\"]'),(316,1,NULL,NULL,8,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/57-1.jpg\"]'),(317,4,NULL,NULL,54,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/44-1.jpg\",\"products\\/48-1.jpg\"]'),(318,9,NULL,NULL,44,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/46.jpg\",\"products\\/56-1.jpg\",\"products\\/59-3.jpg\"]'),(319,8,NULL,NULL,41,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-2.jpg\",\"products\\/25-1.jpg\",\"products\\/37.jpg\"]'),(320,9,NULL,NULL,56,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/47.jpg\"]'),(322,3,NULL,NULL,4,5.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/55.jpg\"]'),(323,8,NULL,NULL,28,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-1.jpg\",\"products\\/32.jpg\",\"products\\/37.jpg\",\"products\\/65-2.jpg\"]'),(324,7,NULL,NULL,34,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/14.jpg\"]'),(325,7,NULL,NULL,55,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/48-2.jpg\"]'),(327,4,NULL,NULL,42,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/50-1.jpg\"]'),(329,2,NULL,NULL,21,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\",\"products\\/49-1.jpg\",\"products\\/59-3.jpg\"]'),(331,8,NULL,NULL,49,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/57.jpg\"]'),(332,3,NULL,NULL,18,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-2.jpg\"]'),(334,2,NULL,NULL,55,5.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\",\"products\\/20-1.jpg\",\"products\\/53.jpg\",\"products\\/65-2.jpg\"]'),(335,6,NULL,NULL,62,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/43.jpg\",\"products\\/44.jpg\"]'),(337,6,NULL,NULL,54,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/28-1.jpg\"]'),(338,3,NULL,NULL,17,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/20.jpg\",\"products\\/36-2.jpg\",\"products\\/52.jpg\"]'),(339,9,NULL,NULL,62,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/9-2.jpg\",\"products\\/20-3.jpg\"]'),(343,1,NULL,NULL,15,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/35-1.jpg\",\"products\\/51.jpg\"]'),(345,5,NULL,NULL,28,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-2.jpg\",\"products\\/28-2.jpg\",\"products\\/59-1.jpg\"]'),(347,4,NULL,NULL,28,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/7.jpg\",\"products\\/18-3.jpg\"]'),(349,4,NULL,NULL,64,3.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-1.jpg\",\"products\\/45-1.jpg\",\"products\\/54.jpg\"]'),(353,2,NULL,NULL,9,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/26.jpg\"]'),(355,4,NULL,NULL,5,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/12.jpg\",\"products\\/18-3.jpg\",\"products\\/19.jpg\"]'),(359,1,NULL,NULL,47,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/38.jpg\",\"products\\/50.jpg\",\"products\\/60.jpg\"]'),(360,5,NULL,NULL,42,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/60-2.jpg\"]'),(361,9,NULL,NULL,14,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\"]'),(366,2,NULL,NULL,11,4.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/26-1.jpg\",\"products\\/40-1.jpg\",\"products\\/62.jpg\"]'),(367,4,NULL,NULL,26,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/13.jpg\",\"products\\/22-1.jpg\",\"products\\/65.jpg\"]'),(369,3,NULL,NULL,38,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/12-1.jpg\",\"products\\/56-1.jpg\",\"products\\/65-2.jpg\"]'),(370,5,NULL,NULL,50,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18.jpg\"]'),(372,1,NULL,NULL,22,5.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/1.jpg\",\"products\\/32-1.jpg\"]'),(375,2,NULL,NULL,1,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/37-1.jpg\",\"products\\/44.jpg\"]'),(376,1,NULL,NULL,57,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-2.jpg\",\"products\\/27.jpg\"]'),(377,9,NULL,NULL,6,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-1.jpg\",\"products\\/36-1.jpg\",\"products\\/59.jpg\"]'),(379,7,NULL,NULL,4,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29-1.jpg\",\"products\\/38-2.jpg\",\"products\\/56-2.jpg\"]'),(382,2,NULL,NULL,38,4.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/17-3.jpg\",\"products\\/49.jpg\"]'),(383,9,NULL,NULL,48,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/61-1.jpg\"]'),(385,1,NULL,NULL,36,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/43-1.jpg\",\"products\\/50.jpg\"]'),(386,2,NULL,NULL,60,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/18-2.jpg\",\"products\\/62.jpg\",\"products\\/64.jpg\"]'),(389,5,NULL,NULL,6,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9.jpg\",\"products\\/49.jpg\",\"products\\/55.jpg\"]'),(391,6,NULL,NULL,11,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-3.jpg\",\"products\\/20.jpg\",\"products\\/44-2.jpg\",\"products\\/48.jpg\"]'),(394,8,NULL,NULL,34,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-2.jpg\"]'),(395,6,NULL,NULL,26,1.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/41-1.jpg\"]'),(396,5,NULL,NULL,45,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21.jpg\",\"products\\/36.jpg\",\"products\\/45-1.jpg\",\"products\\/59-2.jpg\"]'),(397,2,NULL,NULL,10,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/2-3.jpg\",\"products\\/60.jpg\"]'),(398,7,NULL,NULL,1,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/53.jpg\",\"products\\/60-1.jpg\"]'),(400,1,NULL,NULL,43,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-1.jpg\",\"products\\/31-1.jpg\",\"products\\/43.jpg\",\"products\\/59-3.jpg\"]'),(402,4,NULL,NULL,14,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/43.jpg\"]'),(405,5,NULL,NULL,64,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21.jpg\",\"products\\/24-2.jpg\",\"products\\/42-1.jpg\"]'),(406,5,NULL,NULL,14,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/52.jpg\",\"products\\/55.jpg\",\"products\\/64.jpg\"]'),(407,8,NULL,NULL,29,3.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/27-1.jpg\"]'),(410,2,NULL,NULL,43,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/44.jpg\",\"products\\/50.jpg\"]'),(412,5,NULL,NULL,41,5.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/16.jpg\",\"products\\/38.jpg\"]'),(415,9,NULL,NULL,47,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/38-3.jpg\",\"products\\/48-1.jpg\",\"products\\/63.jpg\"]'),(416,9,NULL,NULL,2,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/11-3.jpg\",\"products\\/64.jpg\"]'),(419,8,NULL,NULL,38,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/42-2.jpg\",\"products\\/59-3.jpg\"]'),(420,3,NULL,NULL,11,4.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\",\"products\\/28.jpg\",\"products\\/65-2.jpg\"]'),(421,4,NULL,NULL,20,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/38-3.jpg\"]'),(422,1,NULL,NULL,2,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/20-3.jpg\",\"products\\/21-2.jpg\"]'),(423,4,NULL,NULL,63,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/41.jpg\"]'),(425,9,NULL,NULL,13,3.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-1.jpg\",\"products\\/24-2.jpg\"]'),(428,5,NULL,NULL,18,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\",\"products\\/23-1.jpg\",\"products\\/36-2.jpg\"]'),(430,5,NULL,NULL,32,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/56-2.jpg\",\"products\\/64-1.jpg\",\"products\\/65-1.jpg\"]'),(431,9,NULL,NULL,20,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/22.jpg\",\"products\\/62-1.jpg\"]'),(432,7,NULL,NULL,3,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/44-2.jpg\"]'),(433,6,NULL,NULL,15,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-1.jpg\"]'),(434,5,NULL,NULL,23,4.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/48-2.jpg\"]'),(435,9,NULL,NULL,57,4.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/22.jpg\",\"products\\/33.jpg\"]'),(436,5,NULL,NULL,9,3.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\",\"products\\/10.jpg\",\"products\\/19-3.jpg\",\"products\\/44-2.jpg\"]'),(437,8,NULL,NULL,4,2.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/58-1.jpg\"]'),(439,3,NULL,NULL,21,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31.jpg\",\"products\\/61.jpg\"]'),(443,8,NULL,NULL,44,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/21-2.jpg\",\"products\\/29.jpg\",\"products\\/30.jpg\",\"products\\/59-1.jpg\"]'),(445,5,NULL,NULL,22,3.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20.jpg\",\"products\\/26.jpg\",\"products\\/57.jpg\"]'),(447,1,NULL,NULL,46,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/53.jpg\",\"products\\/56-2.jpg\",\"products\\/63-1.jpg\"]'),(453,4,NULL,NULL,49,5.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-3.jpg\",\"products\\/19-3.jpg\",\"products\\/23-3.jpg\",\"products\\/43.jpg\"]'),(458,9,NULL,NULL,53,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-2.jpg\",\"products\\/25-2.jpg\",\"products\\/61-1.jpg\"]'),(459,6,NULL,NULL,18,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29.jpg\",\"products\\/38-1.jpg\"]'),(460,9,NULL,NULL,5,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/60.jpg\"]'),(461,5,NULL,NULL,39,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/43-1.jpg\",\"products\\/50.jpg\",\"products\\/51.jpg\",\"products\\/59-2.jpg\"]'),(462,3,NULL,NULL,14,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/40.jpg\",\"products\\/65.jpg\"]'),(464,6,NULL,NULL,37,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/10-1.jpg\"]'),(465,7,NULL,NULL,36,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/60-2.jpg\"]'),(467,5,NULL,NULL,62,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-2.jpg\",\"products\\/20.jpg\",\"products\\/21-1.jpg\",\"products\\/60-2.jpg\"]'),(468,8,NULL,NULL,42,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-3.jpg\"]'),(471,1,NULL,NULL,54,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/55-2.jpg\",\"products\\/60-1.jpg\",\"products\\/65-2.jpg\"]'),(474,4,NULL,NULL,39,3.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/8-2.jpg\",\"products\\/51.jpg\",\"products\\/64.jpg\"]'),(475,2,NULL,NULL,54,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/27.jpg\",\"products\\/29-2.jpg\",\"products\\/55-1.jpg\",\"products\\/59-1.jpg\"]'),(476,8,NULL,NULL,14,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/21-1.jpg\",\"products\\/26-1.jpg\"]'),(479,6,NULL,NULL,61,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/17-2.jpg\",\"products\\/43.jpg\"]'),(480,5,NULL,NULL,21,5.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/56-2.jpg\"]'),(481,4,NULL,NULL,36,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9.jpg\",\"products\\/10-2.jpg\",\"products\\/34.jpg\",\"products\\/53-1.jpg\"]'),(482,9,NULL,NULL,50,5.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\"]'),(483,3,NULL,NULL,16,4.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-2.jpg\"]'),(484,8,NULL,NULL,18,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9.jpg\",\"products\\/19-1.jpg\",\"products\\/23.jpg\",\"products\\/30-2.jpg\"]'),(486,8,NULL,NULL,22,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/9.jpg\",\"products\\/41-1.jpg\",\"products\\/49.jpg\"]'),(488,2,NULL,NULL,51,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-3.jpg\",\"products\\/13-1.jpg\",\"products\\/15.jpg\",\"products\\/54.jpg\"]'),(489,7,NULL,NULL,22,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\",\"products\\/32-2.jpg\",\"products\\/40-1.jpg\"]'),(491,4,NULL,NULL,33,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-2.jpg\",\"products\\/26.jpg\",\"products\\/35.jpg\",\"products\\/63-1.jpg\"]'),(492,8,NULL,NULL,58,5.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13-1.jpg\",\"products\\/17-2.jpg\",\"products\\/29.jpg\",\"products\\/33.jpg\"]'),(501,3,NULL,NULL,8,3.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/46.jpg\"]'),(504,3,NULL,NULL,33,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-2.jpg\"]'),(508,7,NULL,NULL,23,2.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/38.jpg\",\"products\\/51.jpg\",\"products\\/59-1.jpg\",\"products\\/61.jpg\"]'),(509,1,NULL,NULL,32,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19.jpg\",\"products\\/36-2.jpg\",\"products\\/59.jpg\"]'),(513,1,NULL,NULL,65,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/15-1.jpg\",\"products\\/41-1.jpg\"]'),(514,4,NULL,NULL,7,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/22-1.jpg\",\"products\\/38-3.jpg\"]'),(516,3,NULL,NULL,25,4.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41-2.jpg\",\"products\\/53.jpg\",\"products\\/58-2.jpg\"]'),(520,3,NULL,NULL,19,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32.jpg\",\"products\\/38-3.jpg\"]'),(522,1,NULL,NULL,64,3.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/19-3.jpg\",\"products\\/26.jpg\",\"products\\/44-2.jpg\"]'),(524,8,NULL,NULL,20,2.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-1.jpg\",\"products\\/50.jpg\",\"products\\/51.jpg\",\"products\\/64.jpg\"]'),(526,6,NULL,NULL,16,4.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-3.jpg\",\"products\\/31.jpg\",\"products\\/57.jpg\"]'),(528,6,NULL,NULL,3,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/11-1.jpg\",\"products\\/15-1.jpg\",\"products\\/59-1.jpg\"]'),(529,4,NULL,NULL,60,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\",\"products\\/50.jpg\",\"products\\/53.jpg\"]'),(532,7,NULL,NULL,32,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-3.jpg\",\"products\\/32.jpg\",\"products\\/65-2.jpg\"]'),(543,5,NULL,NULL,31,1.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/9-2.jpg\",\"products\\/26.jpg\",\"products\\/56-1.jpg\"]'),(545,7,NULL,NULL,56,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/25-1.jpg\",\"products\\/25.jpg\",\"products\\/32.jpg\"]'),(547,3,NULL,NULL,5,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\"]'),(549,9,NULL,NULL,24,4.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-2.jpg\",\"products\\/40.jpg\",\"products\\/46.jpg\"]'),(551,6,NULL,NULL,32,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-2.jpg\",\"products\\/25-2.jpg\",\"products\\/42-1.jpg\"]'),(554,9,NULL,NULL,28,3.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/58-2.jpg\",\"products\\/59.jpg\",\"products\\/63-1.jpg\"]'),(555,1,NULL,NULL,3,1.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/25.jpg\",\"products\\/30-1.jpg\"]'),(558,5,NULL,NULL,34,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/14.jpg\",\"products\\/20.jpg\",\"products\\/49-1.jpg\"]'),(560,9,NULL,NULL,3,2.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/56-2.jpg\"]'),(566,3,NULL,NULL,43,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41.jpg\",\"products\\/55-2.jpg\"]'),(567,7,NULL,NULL,65,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23.jpg\",\"products\\/28-1.jpg\",\"products\\/52.jpg\"]'),(572,3,NULL,NULL,37,1.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-2.jpg\",\"products\\/27-1.jpg\",\"products\\/27.jpg\",\"products\\/36-1.jpg\"]'),(573,9,NULL,NULL,38,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/49.jpg\"]'),(575,7,NULL,NULL,53,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/30.jpg\",\"products\\/36.jpg\",\"products\\/48.jpg\"]'),(578,9,NULL,NULL,7,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/32-2.jpg\",\"products\\/65.jpg\"]'),(580,4,NULL,NULL,25,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/52-2.jpg\"]'),(581,8,NULL,NULL,30,2.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-1.jpg\",\"products\\/37-2.jpg\"]'),(583,5,NULL,NULL,4,4.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/60.jpg\"]'),(584,7,NULL,NULL,2,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/17-1.jpg\",\"products\\/18-2.jpg\",\"products\\/36.jpg\"]'),(586,9,NULL,NULL,64,2.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/39-2.jpg\",\"products\\/60-1.jpg\"]'),(591,8,NULL,NULL,60,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-1.jpg\",\"products\\/8-3.jpg\",\"products\\/22.jpg\",\"products\\/44-2.jpg\"]'),(593,3,NULL,NULL,47,1.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\"]'),(594,1,NULL,NULL,37,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41-2.jpg\",\"products\\/41.jpg\"]'),(598,2,NULL,NULL,25,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-3.jpg\",\"products\\/45.jpg\"]'),(603,3,NULL,NULL,61,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-2.jpg\",\"products\\/30-1.jpg\",\"products\\/32-2.jpg\",\"products\\/46.jpg\"]'),(604,2,NULL,NULL,45,5.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/36-2.jpg\"]'),(605,1,NULL,NULL,12,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/54-1.jpg\"]'),(611,5,NULL,NULL,12,4.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-2.jpg\",\"products\\/57-1.jpg\"]'),(612,9,NULL,NULL,29,2.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/41-2.jpg\",\"products\\/50-1.jpg\"]'),(619,5,NULL,NULL,26,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/11-2.jpg\",\"products\\/30-1.jpg\",\"products\\/50.jpg\"]'),(623,4,NULL,NULL,40,4.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-2.jpg\",\"products\\/38-1.jpg\",\"products\\/47-1.jpg\",\"products\\/59-3.jpg\"]'),(625,3,NULL,NULL,56,5.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-1.jpg\",\"products\\/17-1.jpg\",\"products\\/47-1.jpg\"]'),(627,1,NULL,NULL,63,4.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/25-1.jpg\",\"products\\/49.jpg\"]'),(635,9,NULL,NULL,52,1.00,'Good app, good backup service and support. Good documentation.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\",\"products\\/10-2.jpg\",\"products\\/32.jpg\",\"products\\/61-1.jpg\"]'),(641,7,NULL,NULL,28,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-3.jpg\",\"products\\/42-2.jpg\",\"products\\/48-1.jpg\",\"products\\/59-2.jpg\"]'),(643,1,NULL,NULL,44,1.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-3.jpg\",\"products\\/21-1.jpg\",\"products\\/31.jpg\",\"products\\/32-2.jpg\"]'),(646,8,NULL,NULL,24,3.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33-2.jpg\"]'),(647,7,NULL,NULL,16,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\",\"products\\/23-3.jpg\"]'),(652,7,NULL,NULL,31,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-2.jpg\",\"products\\/24-1.jpg\",\"products\\/25-2.jpg\",\"products\\/27.jpg\"]'),(659,8,NULL,NULL,46,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/44-2.jpg\",\"products\\/61-1.jpg\"]'),(660,4,NULL,NULL,59,3.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/36-1.jpg\",\"products\\/40-1.jpg\",\"products\\/58-2.jpg\"]'),(662,1,NULL,NULL,55,5.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31-1.jpg\",\"products\\/37-2.jpg\",\"products\\/49.jpg\",\"products\\/59-2.jpg\"]'),(664,3,NULL,NULL,40,4.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/28.jpg\",\"products\\/32-2.jpg\",\"products\\/44-2.jpg\"]'),(669,3,NULL,NULL,44,1.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/41-2.jpg\"]'),(672,5,NULL,NULL,36,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18.jpg\",\"products\\/49-2.jpg\",\"products\\/54-1.jpg\",\"products\\/60.jpg\"]'),(673,7,NULL,NULL,61,5.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-1.jpg\",\"products\\/43-2.jpg\"]'),(685,3,NULL,NULL,39,1.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/7.jpg\",\"products\\/60-1.jpg\"]'),(689,9,NULL,NULL,25,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/34-1.jpg\"]'),(700,5,NULL,NULL,1,1.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-1.jpg\",\"products\\/31.jpg\",\"products\\/52.jpg\"]'),(704,7,NULL,NULL,54,1.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11-2.jpg\",\"products\\/30-1.jpg\",\"products\\/30-2.jpg\"]'),(706,5,NULL,NULL,30,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/35-1.jpg\",\"products\\/37-2.jpg\",\"products\\/60-2.jpg\",\"products\\/62.jpg\"]'),(707,7,NULL,NULL,50,2.00,'As a developer I reviewed this script. This is really awesome ecommerce script. I have convinced when I noticed that it\'s built on fully WordPress concept.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29.jpg\",\"products\\/48-1.jpg\",\"products\\/54.jpg\"]'),(709,9,NULL,NULL,42,1.00,'Ok good product. I have some issues in customizations. But its not correct to blame the developer. The product is good. Good luck for your business.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12.jpg\",\"products\\/15-1.jpg\",\"products\\/19.jpg\",\"products\\/32.jpg\"]'),(711,2,NULL,NULL,26,5.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-3.jpg\"]'),(713,5,NULL,NULL,16,1.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/9-2.jpg\",\"products\\/36-2.jpg\"]'),(719,7,NULL,NULL,41,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/26.jpg\"]'),(722,6,NULL,NULL,6,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-2.jpg\",\"products\\/36-2.jpg\"]'),(723,7,NULL,NULL,38,2.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/17-3.jpg\",\"products\\/38.jpg\",\"products\\/47-1.jpg\"]'),(726,1,NULL,NULL,6,3.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/1.jpg\",\"products\\/24-2.jpg\"]'),(728,8,NULL,NULL,26,2.00,'Very enthusiastic support! Excellent code is written. It\'s a true pleasure working with.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-3.jpg\",\"products\\/32-2.jpg\",\"products\\/53.jpg\"]'),(736,8,NULL,NULL,57,2.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/34.jpg\",\"products\\/58-1.jpg\"]'),(737,9,NULL,NULL,32,5.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17-2.jpg\",\"products\\/57-1.jpg\",\"products\\/63-1.jpg\"]'),(738,5,NULL,NULL,5,5.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/41.jpg\"]'),(744,2,NULL,NULL,33,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/23-3.jpg\",\"products\\/47-1.jpg\"]'),(750,6,NULL,NULL,38,3.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10-1.jpg\",\"products\\/22-1.jpg\",\"products\\/27-1.jpg\",\"products\\/41-2.jpg\"]'),(751,6,NULL,NULL,20,1.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-3.jpg\"]'),(752,5,NULL,NULL,63,2.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\"]'),(758,8,NULL,NULL,10,2.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/15-1.jpg\",\"products\\/49-1.jpg\",\"products\\/63-1.jpg\"]'),(760,4,NULL,NULL,44,4.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/34-1.jpg\",\"products\\/44-1.jpg\"]'),(761,5,NULL,NULL,65,3.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/45-1.jpg\",\"products\\/46-1.jpg\"]'),(764,2,NULL,NULL,2,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33-2.jpg\",\"products\\/39.jpg\",\"products\\/41.jpg\",\"products\\/56-1.jpg\"]'),(773,9,NULL,NULL,26,2.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/39.jpg\",\"products\\/42.jpg\",\"products\\/58.jpg\"]'),(780,8,NULL,NULL,11,4.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\",\"products\\/37.jpg\",\"products\\/63.jpg\"]'),(782,3,NULL,NULL,13,5.00,'Cool template. Excellent code quality. The support responds very quickly, which is very rare on themeforest and codecanyon.net, I buy a lot of templates, and everyone will have a response from technical support for two or three days. Thanks to tech support. I recommend to buy.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-2.jpg\",\"products\\/27.jpg\"]'),(790,9,NULL,NULL,34,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/3.jpg\",\"products\\/19-2.jpg\"]'),(792,2,NULL,NULL,27,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/31-1.jpg\",\"products\\/35-1.jpg\"]'),(798,5,NULL,NULL,48,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-2.jpg\",\"products\\/29-1.jpg\"]'),(805,7,NULL,NULL,18,1.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-2.jpg\",\"products\\/49-1.jpg\"]'),(816,3,NULL,NULL,29,1.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29.jpg\",\"products\\/38-2.jpg\"]'),(820,1,NULL,NULL,48,4.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/38-2.jpg\"]'),(831,9,NULL,NULL,15,2.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/17.jpg\",\"products\\/25-1.jpg\"]'),(844,2,NULL,NULL,56,3.00,'It\'s not my first experience here on Codecanyon and I can honestly tell you all that Botble puts a LOT of effort into the support. They answer so fast, they helped me tons of times. REALLY by far THE BEST EXPERIENCE on Codecanyon. Those guys at Botble are so good that they deserve 5 stars. I recommend them, I trust them and I can\'t wait to see what they will sell in a near future. Thank you Botble :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29-2.jpg\"]'),(847,9,NULL,NULL,40,4.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4-2.jpg\",\"products\\/30.jpg\"]'),(849,2,NULL,NULL,12,4.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/49.jpg\"]'),(851,9,NULL,NULL,63,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/11.jpg\",\"products\\/48.jpg\",\"products\\/54.jpg\"]'),(853,4,NULL,NULL,35,1.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/17-3.jpg\",\"products\\/27-1.jpg\"]'),(856,7,NULL,NULL,44,3.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/33.jpg\",\"products\\/60-2.jpg\",\"products\\/61.jpg\",\"products\\/65.jpg\"]'),(861,2,NULL,NULL,37,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24.jpg\",\"products\\/61-1.jpg\"]'),(862,9,NULL,NULL,27,2.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\"]'),(863,6,NULL,NULL,56,1.00,'Second or third time that I buy a Botble product, happy with the products and support. You guys do a good job :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/6.jpg\",\"products\\/17.jpg\",\"products\\/45.jpg\"]'),(865,6,NULL,NULL,36,5.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5.jpg\",\"products\\/35-1.jpg\",\"products\\/42.jpg\"]'),(866,6,NULL,NULL,55,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29.jpg\"]'),(868,3,NULL,NULL,35,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\",\"products\\/11-3.jpg\",\"products\\/30.jpg\"]'),(872,8,NULL,NULL,51,4.00,'Those guys now what they are doing, the release such a good product that it\'s a pleasure to work with ! Even when I was stuck on the project, I created a ticket and the next day it was replied by the team. GOOD JOB guys. I love working with them :)','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/23.jpg\",\"products\\/29-1.jpg\",\"products\\/49-2.jpg\"]'),(876,7,NULL,NULL,21,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/58.jpg\"]'),(892,5,NULL,NULL,33,2.00,'Clean & perfect source code','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/29-1.jpg\"]'),(893,3,NULL,NULL,65,2.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/20.jpg\",\"products\\/58.jpg\"]'),(894,4,NULL,NULL,24,4.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/29.jpg\"]'),(895,4,NULL,NULL,62,3.00,'The best store template! Excellent coding! Very good support! Thank you so much for all the help, I really appreciated.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/36-2.jpg\"]'),(898,4,NULL,NULL,57,1.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2.jpg\"]'),(900,6,NULL,NULL,46,2.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-1.jpg\",\"products\\/45.jpg\"]'),(906,8,NULL,NULL,3,5.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/24-2.jpg\",\"products\\/61.jpg\",\"products\\/62.jpg\"]'),(907,2,NULL,NULL,58,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-2.jpg\",\"products\\/24-2.jpg\",\"products\\/35-1.jpg\",\"products\\/43-1.jpg\"]'),(909,7,NULL,NULL,9,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/9-1.jpg\",\"products\\/11.jpg\",\"products\\/19-1.jpg\",\"products\\/50-1.jpg\"]'),(913,8,NULL,NULL,61,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/19-2.jpg\",\"products\\/44.jpg\",\"products\\/62.jpg\",\"products\\/63.jpg\"]'),(915,9,NULL,NULL,45,2.00,'The best ecommerce CMS! Excellent coding! best support service! Thank you so much..... I really like your hard work.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12.jpg\",\"products\\/21.jpg\",\"products\\/38-3.jpg\",\"products\\/52-2.jpg\"]'),(924,4,NULL,NULL,38,3.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/23-2.jpg\",\"products\\/25-1.jpg\"]'),(939,4,NULL,NULL,58,3.00,'Great system, great support, good job Botble. I\'m looking forward to more great functional plugins.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/4.jpg\",\"products\\/37-2.jpg\"]'),(944,7,NULL,NULL,45,2.00,'I Love this Script. I also found how to add other fees. Now I just wait the BIG update for the Marketplace with the Bulk Import. Just do not forget to make it to be Multi-language for us the Botble Fans.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/45-1.jpg\"]'),(946,7,NULL,NULL,46,1.00,'This script is well coded and is super fast. The support is pretty quick. Very patient and helpful team. I strongly recommend it and they deserve more than 5 stars.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/20-1.jpg\"]'),(949,8,NULL,NULL,33,3.00,'Solution is too robust for our purpose so we didn\'t use it at the end. But I appreciate customer support during initial configuration.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/59-2.jpg\"]'),(950,7,NULL,NULL,19,1.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/35-1.jpg\",\"products\\/53-1.jpg\",\"products\\/59-1.jpg\",\"products\\/64.jpg\"]'),(952,7,NULL,NULL,25,3.00,'For me the best eCommerce script on Envato at this moment: modern, clean code, a lot of great features. The customer support is great too: I always get an answer within hours!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/10.jpg\",\"products\\/59-2.jpg\",\"products\\/62.jpg\"]'),(956,5,NULL,NULL,43,3.00,'Perfect +++++++++ i love it really also i get to fast ticket answers... Thanks Lot BOTBLE Teams','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/13.jpg\",\"products\\/29.jpg\",\"products\\/36-2.jpg\"]'),(959,5,NULL,NULL,52,1.00,'Amazing code, amazing support. Overall, im really confident in Botble and im happy I made the right choice! Thank you so much guys for coding this masterpiece','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/18-1.jpg\",\"products\\/25.jpg\"]'),(966,3,NULL,NULL,3,2.00,'We have received brilliant service support and will be expanding the features with the developer. Nice product!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/38-1.jpg\",\"products\\/58-2.jpg\"]'),(969,3,NULL,NULL,62,3.00,'Customer Support are grade (A*), however the code is a way too over engineered for it\'s purpose.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8-3.jpg\",\"products\\/17-1.jpg\",\"products\\/24-2.jpg\",\"products\\/35.jpg\"]'),(973,1,NULL,NULL,56,4.00,'Best ecommerce CMS online store!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/12-1.jpg\",\"products\\/36-1.jpg\",\"products\\/44.jpg\"]'),(980,5,NULL,NULL,59,3.00,'This web app is really good in design, code quality & features. Besides, the customer support provided by the Botble team was really fast & helpful. You guys are awesome!','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/15.jpg\",\"products\\/44-1.jpg\"]'),(981,3,NULL,NULL,10,4.00,'Great E-commerce system. And much more : Wonderful Customer Support.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/5-2.jpg\",\"products\\/41-1.jpg\"]'),(984,2,NULL,NULL,65,3.00,'The script is the best of its class, fast, easy to implement and work with , and the most important thing is the great support team , Recommend with no doubt.','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/22-2.jpg\"]'),(992,9,NULL,NULL,60,1.00,'The code is good, in general, if you like it, can you give it 5 stars?','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/2-1.jpg\",\"products\\/22-1.jpg\",\"products\\/44-2.jpg\"]'),(996,7,NULL,NULL,12,2.00,'These guys are amazing! Responses immediately, amazing support and help... I immediately feel at ease after Purchasing..','published','2024-08-09 23:58:14','2024-08-09 23:58:14','[\"products\\/8.jpg\",\"products\\/25-1.jpg\",\"products\\/30.jpg\",\"products\\/34-1.jpg\"]');
/*!40000 ALTER TABLE `ec_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shared_wishlists`
--

DROP TABLE IF EXISTS `ec_shared_wishlists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shared_wishlists` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_ids` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ec_shared_wishlists_code_unique` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shared_wishlists`
--

LOCK TABLES `ec_shared_wishlists` WRITE;
/*!40000 ALTER TABLE `ec_shared_wishlists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shared_wishlists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipment_histories`
--

DROP TABLE IF EXISTS `ec_shipment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipment_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `shipment_id` bigint unsigned NOT NULL,
  `order_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipment_histories`
--

LOCK TABLES `ec_shipment_histories` WRITE;
/*!40000 ALTER TABLE `ec_shipment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipments`
--

DROP TABLE IF EXISTS `ec_shipments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `weight` double(8,2) DEFAULT '0.00',
  `shipment_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate_id` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cod_amount` decimal(15,2) DEFAULT '0.00',
  `cod_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `cross_checking_status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `price` decimal(15,2) DEFAULT '0.00',
  `store_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `tracking_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tracking_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimate_date_shipped` datetime DEFAULT NULL,
  `date_shipped` datetime DEFAULT NULL,
  `label_url` text COLLATE utf8mb4_unicode_ci,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipments`
--

LOCK TABLES `ec_shipments` WRITE;
/*!40000 ALTER TABLE `ec_shipments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping`
--

DROP TABLE IF EXISTS `ec_shipping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping`
--

LOCK TABLES `ec_shipping` WRITE;
/*!40000 ALTER TABLE `ec_shipping` DISABLE KEYS */;
INSERT INTO `ec_shipping` VALUES (1,'All',NULL,'2024-08-09 23:58:11','2024-08-09 23:58:11');
/*!40000 ALTER TABLE `ec_shipping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rule_items`
--

DROP TABLE IF EXISTS `ec_shipping_rule_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rule_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `shipping_rule_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_price` decimal(15,2) DEFAULT '0.00',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rule_items`
--

LOCK TABLES `ec_shipping_rule_items` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rule_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_shipping_rule_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_shipping_rules`
--

DROP TABLE IF EXISTS `ec_shipping_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_shipping_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `shipping_id` bigint unsigned NOT NULL,
  `type` varchar(24) COLLATE utf8mb4_unicode_ci DEFAULT 'based_on_price',
  `from` decimal(15,2) DEFAULT '0.00',
  `to` decimal(15,2) DEFAULT '0.00',
  `price` decimal(15,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_shipping_rules`
--

LOCK TABLES `ec_shipping_rules` WRITE;
/*!40000 ALTER TABLE `ec_shipping_rules` DISABLE KEYS */;
INSERT INTO `ec_shipping_rules` VALUES (1,'Free delivery',1,'based_on_price',1000.00,NULL,0.00,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(2,'Flat Rate',1,'based_on_price',0.00,NULL,20.00,'2024-08-09 23:58:11','2024-08-09 23:58:11'),(3,'Local Pickup',1,'based_on_price',0.00,NULL,0.00,'2024-08-09 23:58:11','2024-08-09 23:58:11');
/*!40000 ALTER TABLE `ec_shipping_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_store_locators`
--

DROP TABLE IF EXISTS `ec_store_locators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_store_locators` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_primary` tinyint(1) DEFAULT '0',
  `is_shipping_location` tinyint(1) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_store_locators`
--

LOCK TABLES `ec_store_locators` WRITE;
/*!40000 ALTER TABLE `ec_store_locators` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_store_locators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_products`
--

DROP TABLE IF EXISTS `ec_tax_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_products` (
  `tax_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tax_id`),
  KEY `ec_tax_products_tax_id_index` (`tax_id`),
  KEY `ec_tax_products_product_id_index` (`product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_products`
--

LOCK TABLES `ec_tax_products` WRITE;
/*!40000 ALTER TABLE `ec_tax_products` DISABLE KEYS */;
INSERT INTO `ec_tax_products` VALUES (1,1),(1,2),(1,3),(1,4),(1,5),(1,6),(1,7),(1,8),(1,9),(1,10),(1,11),(1,12),(1,13),(1,14),(1,15),(1,16),(1,17),(1,18),(1,19),(1,20),(1,21),(1,22),(1,23),(1,24),(1,25),(1,26),(1,27),(1,28),(1,29),(1,30),(1,31),(1,32),(1,33),(1,34),(1,35),(1,36),(1,37),(1,38),(1,39),(1,40),(1,41),(1,42),(1,43),(1,44),(1,45),(1,46),(1,47),(1,48),(1,49),(1,50),(1,51),(1,52),(1,53),(1,54),(1,55),(1,56),(1,57),(1,58),(1,59),(1,60),(1,61),(1,62),(1,63),(1,64),(1,65);
/*!40000 ALTER TABLE `ec_tax_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_tax_rules`
--

DROP TABLE IF EXISTS `ec_tax_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_tax_rules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tax_id` bigint unsigned NOT NULL,
  `country` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_tax_rules`
--

LOCK TABLES `ec_tax_rules` WRITE;
/*!40000 ALTER TABLE `ec_tax_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_tax_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_taxes`
--

DROP TABLE IF EXISTS `ec_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_taxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` double(8,6) DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_taxes`
--

LOCK TABLES `ec_taxes` WRITE;
/*!40000 ALTER TABLE `ec_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_taxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ec_wish_lists`
--

DROP TABLE IF EXISTS `ec_wish_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ec_wish_lists` (
  `customer_id` bigint unsigned NOT NULL,
  `product_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`customer_id`,`product_id`),
  KEY `wishlist_relation_index` (`product_id`,`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ec_wish_lists`
--

LOCK TABLES `ec_wish_lists` WRITE;
/*!40000 ALTER TABLE `ec_wish_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `ec_wish_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
INSERT INTO `faq_categories` VALUES (1,'Sales &amp; Pricing',0,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(2,'Project Management',1,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(3,'Client Satisfaction',2,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(4,'Our Team',3,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(5,'Security',4,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(6,'Client Support',5,'published','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL);
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
INSERT INTO `faqs` VALUES (1,'Can I see a demo before purchasing your business services?','Absolutely! We understand that seeing our services in action can be helpful. In most cases, we can provide a free demo or consultation to showcase our capabilities and ensure they align with your specific needs.',3,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(2,'What types of payment plans do you offer for your business services?','We offer flexible payment plans to cater to different business budgets. We may offer upfront payments,  monthly installments, or project-based pricing depending on the service.  Feel free to discuss your preferred payment option with our sales team to find the best solution for you.',6,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(3,'What is the turnaround time for your business services?','Turnaround times can vary depending on the complexity of the service and your specific needs. We will provide a clear timeline during the initial consultation or proposal stage. We also prioritize open communication and keep you updated throughout the process.',6,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(4,'Do you offer any guarantees or warranties on your business services?','We stand behind the quality of our work and offer satisfaction guarantees on many of our services. The specific terms will be outlined in our agreement. If you have any concerns, don\'t hesitate to ask for clarification.',3,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(5,'What qualifications or certifications do your team members have?','Our team is comprised of experienced and qualified professionals. We invest in ongoing training to ensure we stay up-to-date on the latest industry trends and best practices.  Feel free to inquire about specific credentials or expertise relevant to your needs.',3,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(6,'How do you ensure the security of my data when using your business services?','Data security is a top priority for us. We employ robust security measures to protect your information, including secure servers, encryption protocols, and access controls. We can provide more details about our security practices upon request.',5,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(7,'Can I customize your business services to fit my specific needs?','Yes, customization is often possible. We understand that every business is unique. We take the time to understand your requirements and tailor our services to deliver the best possible outcome for your specific situation.',2,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(8,'How can I get a quote for your business services?','Getting a quote is easy! Simply contact us through our website, email, or phone. We will discuss your needs and provide a personalized quote based on the chosen service and its scope.',1,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(9,'What is the difference between your various business service packages?','We offer a variety of service packages to cater to different business needs and budgets. Each package will typically include a specific set of features or deliverables.  We would be happy to explain the differences and recommend the best option for you during a consultation.',5,'published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(10,'Do you offer any ongoing support after I purchase your business services?','Yes, we offer ongoing support to ensure you get the most out of our services. This may include training materials, access to a help desk, or even additional consultations depending on the service.',3,'published','2024-08-09 23:57:23','2024-08-09 23:57:23');
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fob_comments`
--

DROP TABLE IF EXISTS `fob_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fob_comments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `reply_to` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fob_comments_author_type_author_id_index` (`author_type`,`author_id`),
  KEY `fob_comments_reference_type_reference_id_index` (`reference_type`,`reference_id`),
  KEY `fob_comments_reply_to_index` (`reply_to`),
  KEY `fob_comments_reference_url_index` (`reference_url`),
  KEY `fob_comments_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fob_comments`
--

LOCK TABLES `fob_comments` WRITE;
/*!40000 ALTER TABLE `fob_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `fob_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries`
--

DROP TABLE IF EXISTS `galleries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleries_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries`
--

LOCK TABLES `galleries` WRITE;
/*!40000 ALTER TABLE `galleries` DISABLE KEYS */;
INSERT INTO `galleries` VALUES (1,'Perfect','Quisquam eos et non totam nihil dolorem. Ut quod velit cumque perspiciatis ut vel. Qui ad ut magnam modi voluptas animi.',0,0,'galleries/1.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(2,'New Day','Sed aut quos asperiores omnis. Amet quia magni consectetur quasi. Iure id magni sint nemo officiis saepe. Nisi et odio odio sit est eos illo.',0,0,'galleries/2.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(3,'Happy Day','Ad sunt expedita voluptatum totam voluptate veritatis. Sunt eum tenetur ad quibusdam beatae.',0,0,'galleries/3.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(4,'Nature','Asperiores in officiis sed incidunt repellendus consequatur eaque dolores. Nostrum doloremque atque similique.',0,0,'galleries/4.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(5,'Morning','Dolorem dolor blanditiis sed optio. Est provident ab possimus. Quo dolorem ducimus consequatur.',0,0,'galleries/5.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(6,'Sunset','Laborum assumenda sit quis. Nihil est ut tempora est. Adipisci est quaerat nostrum eligendi ut harum id. Et fuga itaque illo.',0,0,'galleries/6.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(7,'Ocean Views','Explicabo ea quia unde quaerat enim assumenda natus. Velit enim quia provident quia ratione autem suscipit. Est sed temporibus possimus qui aperiam.',0,0,'galleries/7.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12'),(8,'Adventure Time','Neque laboriosam quia amet ut aliquam. Sequi cupiditate cum et tempora voluptatem. Voluptatem consequatur fuga et.',0,0,'galleries/8.jpg',1,'published','2024-08-09 23:57:12','2024-08-09 23:57:12');
/*!40000 ALTER TABLE `galleries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries_translations`
--

DROP TABLE IF EXISTS `galleries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `galleries_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`galleries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries_translations`
--

LOCK TABLES `galleries_translations` WRITE;
/*!40000 ALTER TABLE `galleries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `galleries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta`
--

DROP TABLE IF EXISTS `gallery_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `images` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gallery_meta_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta`
--

LOCK TABLES `gallery_meta` WRITE;
/*!40000 ALTER TABLE `gallery_meta` DISABLE KEYS */;
INSERT INTO `gallery_meta` VALUES (1,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',1,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(2,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',2,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(3,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',3,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(4,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',4,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(5,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',5,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(6,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',6,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(7,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',7,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12'),(8,'[{\"img\":\"galleries\\/1.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/2.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/3.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/4.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/5.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/6.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/7.jpg\",\"description\":\"\"},{\"img\":\"galleries\\/8.jpg\",\"description\":\"\"}]',8,'Botble\\Gallery\\Models\\Gallery','2024-08-09 23:57:12','2024-08-09 23:57:12');
/*!40000 ALTER TABLE `gallery_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta_translations`
--

DROP TABLE IF EXISTS `gallery_meta_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gallery_meta_id` bigint unsigned NOT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`gallery_meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta_translations`
--

LOCK TABLES `gallery_meta_translations` WRITE;
/*!40000 ALTER TABLE `gallery_meta_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery_meta_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','5d98aea52faa8a4b375e3c0b6c05123b',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','a0026f6ff63178c5956e8d0f8675101b',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','6912a869ce99c9edffaab0fb59f60b30',1,'Botble\\SimpleSlider\\Models\\SimpleSlider');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `visibility` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'public',
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=336 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'about-us-information-1','about-us-information-1',1,'image/jpeg',12878,'general/about-us-information-1.jpg','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(2,0,'about-us-information-10','about-us-information-10',1,'image/jpeg',6813,'general/about-us-information-10.jpg','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(3,0,'about-us-information-11-1','about-us-information-11-1',1,'image/jpeg',4980,'general/about-us-information-11-1.jpg','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(4,0,'about-us-information-11-2','about-us-information-11-2',1,'image/png',1940,'general/about-us-information-11-2.png','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(5,0,'about-us-information-11','about-us-information-11',1,'image/jpeg',7174,'general/about-us-information-11.jpg','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(6,0,'about-us-information-13','about-us-information-13',1,'image/jpeg',13236,'general/about-us-information-13.jpg','[]','2024-08-09 23:57:01','2024-08-09 23:57:01',NULL,'public'),(7,0,'about-us-information-14','about-us-information-14',1,'image/png',30399,'general/about-us-information-14.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(8,0,'about-us-information-15','about-us-information-15',1,'image/png',7778,'general/about-us-information-15.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(9,0,'about-us-information-16','about-us-information-16',1,'image/png',7320,'general/about-us-information-16.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(10,0,'about-us-information-2-1','about-us-information-2-1',1,'image/jpeg',8580,'general/about-us-information-2-1.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(11,0,'about-us-information-2-2','about-us-information-2-2',1,'image/jpeg',2974,'general/about-us-information-2-2.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(12,0,'about-us-information-3-1','about-us-information-3-1',1,'image/jpeg',10406,'general/about-us-information-3-1.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(13,0,'about-us-information-3-2','about-us-information-3-2',1,'image/jpeg',1745,'general/about-us-information-3-2.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(14,0,'about-us-information-4-1','about-us-information-4-1',1,'image/jpeg',9362,'general/about-us-information-4-1.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(15,0,'about-us-information-4-2','about-us-information-4-2',1,'image/jpeg',2161,'general/about-us-information-4-2.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(16,0,'about-us-information-4-3','about-us-information-4-3',1,'image/png',9470,'general/about-us-information-4-3.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(17,0,'about-us-information-5-1','about-us-information-5-1',1,'image/png',2845,'general/about-us-information-5-1.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(18,0,'about-us-information-5','about-us-information-5',1,'image/jpeg',10266,'general/about-us-information-5.jpg','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(19,0,'about-us-information-6-1','about-us-information-6-1',1,'image/png',9939,'general/about-us-information-6-1.png','[]','2024-08-09 23:57:02','2024-08-09 23:57:02',NULL,'public'),(20,0,'about-us-information-6-2','about-us-information-6-2',1,'image/png',3037,'general/about-us-information-6-2.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(21,0,'about-us-information-6-3','about-us-information-6-3',1,'image/png',2223,'general/about-us-information-6-3.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(22,0,'about-us-information-6-4','about-us-information-6-4',1,'image/png',12341,'general/about-us-information-6-4.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(23,0,'about-us-information-6','about-us-information-6',1,'image/jpeg',4329,'general/about-us-information-6.jpg','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(24,0,'about-us-information-7','about-us-information-7',1,'image/png',13510,'general/about-us-information-7.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(25,0,'about-us-information-8-1','about-us-information-8-1',1,'image/jpeg',8429,'general/about-us-information-8-1.jpg','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(26,0,'about-us-information-8-2','about-us-information-8-2',1,'image/jpeg',3553,'general/about-us-information-8-2.jpg','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(27,0,'about-us-information-9-1','about-us-information-9-1',1,'image/png',8037,'general/about-us-information-9-1.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(28,0,'about-us-information-9','about-us-information-9',1,'image/png',8152,'general/about-us-information-9.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(29,0,'author-avatar','author-avatar',1,'image/png',3528,'general/author-avatar.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(30,0,'author-signature','author-signature',1,'image/png',428,'general/author-signature.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(31,0,'consulting-block','consulting-block',1,'image/jpeg',5821,'general/consulting-block.jpg','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(32,0,'content-featured','content-featured',1,'image/jpeg',5678,'general/content-featured.jpg','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(33,0,'faq','faq',1,'image/png',24258,'general/faq.png','[]','2024-08-09 23:57:03','2024-08-09 23:57:03',NULL,'public'),(34,0,'hero-banner-4','hero-banner-4',1,'image/png',14400,'general/hero-banner-4.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(35,0,'hero-banner-5-1','hero-banner-5-1',1,'image/png',1967,'general/hero-banner-5-1.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(36,0,'hero-banner-5','hero-banner-5',1,'image/png',10642,'general/hero-banner-5.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(37,0,'hero-banner-slider-team','hero-banner-slider-team',1,'image/png',1760,'general/hero-banner-slider-team.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(38,0,'testimonials-1','testimonials-1',1,'image/png',6274,'general/testimonials-1.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(39,0,'testimonials-4-1','testimonials-4-1',1,'image/png',8618,'general/testimonials-4-1.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(40,0,'testimonials-4','testimonials-4',1,'image/png',8618,'general/testimonials-4.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(41,0,'favicon','favicon',2,'image/png',756,'icons/favicon.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(42,0,'logo-white','logo-white',2,'image/png',1748,'icons/logo-white.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(43,0,'logo','logo',2,'image/png',2537,'icons/logo.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(44,0,'popularity','popularity',2,'image/png',1531,'icons/popularity.png','[]','2024-08-09 23:57:04','2024-08-09 23:57:04',NULL,'public'),(45,0,'preloader-image','preloader-image',2,'image/gif',602487,'icons/preloader-image.gif','[]','2024-08-09 23:57:05','2024-08-09 23:57:05',NULL,'public'),(46,0,'star','star',2,'image/png',2711,'icons/star.png','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(47,0,'time','time',2,'image/png',1402,'icons/time.png','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(48,0,'trophy','trophy',2,'image/png',2209,'icons/trophy.png','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(49,0,'about-us-information-bg','about-us-information-bg',3,'image/jpeg',26687,'backgrounds/about-us-information-bg.jpg','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(50,0,'blog-posts-bg','blog-posts-bg',3,'image/jpeg',28680,'backgrounds/blog-posts-bg.jpg','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(51,0,'breadcrumb-bg','breadcrumb-bg',3,'image/jpeg',8920,'backgrounds/breadcrumb-bg.jpg','[]','2024-08-09 23:57:07','2024-08-09 23:57:07',NULL,'public'),(52,0,'contact-block-bg-1','contact-block-bg-1',3,'image/jpeg',19498,'backgrounds/contact-block-bg-1.jpg','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(53,0,'contact-block-bg-3','contact-block-bg-3',3,'image/png',216066,'backgrounds/contact-block-bg-3.png','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(54,0,'contact-block-bg','contact-block-bg',3,'image/jpeg',19498,'backgrounds/contact-block-bg.jpg','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(55,0,'footer-bg','footer-bg',3,'image/png',23940,'backgrounds/footer-bg.png','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(56,0,'hero-banner-1','hero-banner-1',3,'image/jpeg',20022,'backgrounds/hero-banner-1.jpg','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(57,0,'hero-banner-bg-4','hero-banner-bg-4',3,'image/jpeg',37935,'backgrounds/hero-banner-bg-4.jpg','[]','2024-08-09 23:57:08','2024-08-09 23:57:08',NULL,'public'),(58,0,'hero-banner-bg-5','hero-banner-bg-5',3,'image/jpeg',25168,'backgrounds/hero-banner-bg-5.jpg','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(59,0,'hero-banner','hero-banner',3,'image/jpeg',20022,'backgrounds/hero-banner.jpg','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(60,0,'newsletter-bg','newsletter-bg',3,'image/png',8876,'backgrounds/newsletter-bg.png','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(61,0,'services-bg-3','services-bg-3',3,'image/jpeg',35882,'backgrounds/services-bg-3.jpg','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(62,0,'services-bg','services-bg',3,'image/jpeg',31420,'backgrounds/services-bg.jpg','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(63,0,'site-statistics-bg','site-statistics-bg',3,'image/png',31111,'backgrounds/site-statistics-bg.png','[]','2024-08-09 23:57:09','2024-08-09 23:57:09',NULL,'public'),(65,0,'document','document',5,'application/pdf',9593,'downloads/document.pdf','[]','2024-08-09 23:57:10','2024-08-09 23:57:10',NULL,'public'),(66,0,'1','1',6,'image/jpeg',33268,'galleries/1.jpg','[]','2024-08-09 23:57:10','2024-08-09 23:57:10',NULL,'public'),(67,0,'2','2',6,'image/jpeg',33268,'galleries/2.jpg','[]','2024-08-09 23:57:10','2024-08-09 23:57:10',NULL,'public'),(68,0,'3','3',6,'image/jpeg',33268,'galleries/3.jpg','[]','2024-08-09 23:57:10','2024-08-09 23:57:10',NULL,'public'),(69,0,'4','4',6,'image/jpeg',33268,'galleries/4.jpg','[]','2024-08-09 23:57:11','2024-08-09 23:57:11',NULL,'public'),(70,0,'5','5',6,'image/jpeg',33268,'galleries/5.jpg','[]','2024-08-09 23:57:11','2024-08-09 23:57:11',NULL,'public'),(71,0,'6','6',6,'image/jpeg',33268,'galleries/6.jpg','[]','2024-08-09 23:57:11','2024-08-09 23:57:11',NULL,'public'),(72,0,'7','7',6,'image/jpeg',33268,'galleries/7.jpg','[]','2024-08-09 23:57:11','2024-08-09 23:57:11',NULL,'public'),(73,0,'8','8',6,'image/jpeg',33268,'galleries/8.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(74,0,'1','1',7,'image/jpeg',9803,'teams/1.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(75,0,'2-1','2-1',7,'image/jpeg',9803,'teams/2-1.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(76,0,'2-2','2-2',7,'image/jpeg',9803,'teams/2-2.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(77,0,'2-3','2-3',7,'image/jpeg',9803,'teams/2-3.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(78,0,'2-4','2-4',7,'image/jpeg',9803,'teams/2-4.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(79,0,'2-5','2-5',7,'image/jpeg',9803,'teams/2-5.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(80,0,'2-6','2-6',7,'image/jpeg',9803,'teams/2-6.jpg','[]','2024-08-09 23:57:12','2024-08-09 23:57:12',NULL,'public'),(81,0,'2-7','2-7',7,'image/jpeg',9803,'teams/2-7.jpg','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(82,0,'2-8','2-8',7,'image/jpeg',9803,'teams/2-8.jpg','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(83,0,'2','2',7,'image/jpeg',9803,'teams/2.jpg','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(84,0,'3','3',7,'image/jpeg',9803,'teams/3.jpg','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(85,0,'4','4',7,'image/jpeg',9803,'teams/4.jpg','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(86,0,'5-1','5-1',7,'image/png',9803,'teams/5-1.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(87,0,'5-2','5-2',7,'image/png',9803,'teams/5-2.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(88,0,'5-3','5-3',7,'image/png',9803,'teams/5-3.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(89,0,'5-4','5-4',7,'image/png',9803,'teams/5-4.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(90,0,'5-5','5-5',7,'image/png',9803,'teams/5-5.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(91,0,'5-6','5-6',7,'image/png',9803,'teams/5-6.png','[]','2024-08-09 23:57:13','2024-08-09 23:57:13',NULL,'public'),(92,0,'5-7','5-7',7,'image/png',9803,'teams/5-7.png','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(93,0,'5-8','5-8',7,'image/png',9803,'teams/5-8.png','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(94,0,'5','5',7,'image/jpeg',9803,'teams/5.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(95,0,'6','6',7,'image/jpeg',9803,'teams/6.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(96,0,'7','7',7,'image/jpeg',9803,'teams/7.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(97,0,'8','8',7,'image/jpeg',9803,'teams/8.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(98,0,'1','1',8,'image/jpeg',33268,'news/1.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(99,0,'10','10',8,'image/jpeg',33268,'news/10.jpg','[]','2024-08-09 23:57:14','2024-08-09 23:57:14',NULL,'public'),(100,0,'11','11',8,'image/jpeg',33268,'news/11.jpg','[]','2024-08-09 23:57:15','2024-08-09 23:57:15',NULL,'public'),(101,0,'12','12',8,'image/jpeg',33268,'news/12.jpg','[]','2024-08-09 23:57:15','2024-08-09 23:57:15',NULL,'public'),(102,0,'13','13',8,'image/jpeg',33268,'news/13.jpg','[]','2024-08-09 23:57:15','2024-08-09 23:57:15',NULL,'public'),(103,0,'14','14',8,'image/jpeg',33268,'news/14.jpg','[]','2024-08-09 23:57:15','2024-08-09 23:57:15',NULL,'public'),(104,0,'15','15',8,'image/jpeg',33268,'news/15.jpg','[]','2024-08-09 23:57:16','2024-08-09 23:57:16',NULL,'public'),(105,0,'16','16',8,'image/jpeg',33268,'news/16.jpg','[]','2024-08-09 23:57:16','2024-08-09 23:57:16',NULL,'public'),(106,0,'17','17',8,'image/jpeg',33268,'news/17.jpg','[]','2024-08-09 23:57:16','2024-08-09 23:57:16',NULL,'public'),(107,0,'18','18',8,'image/jpeg',33268,'news/18.jpg','[]','2024-08-09 23:57:16','2024-08-09 23:57:16',NULL,'public'),(108,0,'19','19',8,'image/jpeg',33268,'news/19.jpg','[]','2024-08-09 23:57:17','2024-08-09 23:57:17',NULL,'public'),(109,0,'2','2',8,'image/jpeg',33268,'news/2.jpg','[]','2024-08-09 23:57:17','2024-08-09 23:57:17',NULL,'public'),(110,0,'20','20',8,'image/jpeg',33268,'news/20.jpg','[]','2024-08-09 23:57:17','2024-08-09 23:57:17',NULL,'public'),(111,0,'3','3',8,'image/jpeg',33268,'news/3.jpg','[]','2024-08-09 23:57:17','2024-08-09 23:57:17',NULL,'public'),(112,0,'4','4',8,'image/jpeg',33268,'news/4.jpg','[]','2024-08-09 23:57:18','2024-08-09 23:57:18',NULL,'public'),(113,0,'5','5',8,'image/jpeg',33268,'news/5.jpg','[]','2024-08-09 23:57:18','2024-08-09 23:57:18',NULL,'public'),(114,0,'6','6',8,'image/jpeg',33268,'news/6.jpg','[]','2024-08-09 23:57:18','2024-08-09 23:57:18',NULL,'public'),(115,0,'7','7',8,'image/jpeg',33268,'news/7.jpg','[]','2024-08-09 23:57:18','2024-08-09 23:57:18',NULL,'public'),(116,0,'8','8',8,'image/jpeg',33268,'news/8.jpg','[]','2024-08-09 23:57:19','2024-08-09 23:57:19',NULL,'public'),(117,0,'9','9',8,'image/jpeg',33268,'news/9.jpg','[]','2024-08-09 23:57:19','2024-08-09 23:57:19',NULL,'public'),(118,0,'1','1',9,'image/jpeg',33268,'projects/1.jpg','[]','2024-08-09 23:57:19','2024-08-09 23:57:19',NULL,'public'),(119,0,'10','10',9,'image/jpeg',33268,'projects/10.jpg','[]','2024-08-09 23:57:20','2024-08-09 23:57:20',NULL,'public'),(120,0,'2','2',9,'image/jpeg',33268,'projects/2.jpg','[]','2024-08-09 23:57:20','2024-08-09 23:57:20',NULL,'public'),(121,0,'3','3',9,'image/jpeg',33268,'projects/3.jpg','[]','2024-08-09 23:57:20','2024-08-09 23:57:20',NULL,'public'),(122,0,'4','4',9,'image/jpeg',33268,'projects/4.jpg','[]','2024-08-09 23:57:21','2024-08-09 23:57:21',NULL,'public'),(123,0,'5','5',9,'image/jpeg',33268,'projects/5.jpg','[]','2024-08-09 23:57:21','2024-08-09 23:57:21',NULL,'public'),(124,0,'6','6',9,'image/jpeg',33268,'projects/6.jpg','[]','2024-08-09 23:57:21','2024-08-09 23:57:21',NULL,'public'),(125,0,'7','7',9,'image/jpeg',33268,'projects/7.jpg','[]','2024-08-09 23:57:21','2024-08-09 23:57:21',NULL,'public'),(126,0,'8','8',9,'image/jpeg',33268,'projects/8.jpg','[]','2024-08-09 23:57:22','2024-08-09 23:57:22',NULL,'public'),(127,0,'9','9',9,'image/jpeg',33268,'projects/9.jpg','[]','2024-08-09 23:57:22','2024-08-09 23:57:22',NULL,'public'),(128,0,'1','1',10,'image/jpeg',148419,'sliders/1.jpg','[]','2024-08-09 23:57:22','2024-08-09 23:57:22',NULL,'public'),(129,0,'2','2',10,'image/jpeg',112138,'sliders/2.jpg','[]','2024-08-09 23:57:22','2024-08-09 23:57:22',NULL,'public'),(130,0,'3','3',10,'image/jpeg',232756,'sliders/3.jpg','[]','2024-08-09 23:57:22','2024-08-09 23:57:22',NULL,'public'),(131,0,'1','1',11,'image/png',4294,'testimonials/1.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(132,0,'2','2',11,'image/png',4294,'testimonials/2.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(133,0,'3','3',11,'image/png',4294,'testimonials/3.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(134,0,'4','4',11,'image/png',4294,'testimonials/4.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(135,0,'banner','banner',12,'image/jpeg',33268,'careers/banner.jpg','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(136,0,'1','1',13,'image/png',496,'product-categories/1.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(137,0,'10','10',13,'image/png',496,'product-categories/10.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(138,0,'11','11',13,'image/png',496,'product-categories/11.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(139,0,'12','12',13,'image/png',496,'product-categories/12.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(140,0,'13','13',13,'image/png',496,'product-categories/13.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(141,0,'2','2',13,'image/png',496,'product-categories/2.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(142,0,'3','3',13,'image/png',496,'product-categories/3.png','[]','2024-08-09 23:57:23','2024-08-09 23:57:23',NULL,'public'),(143,0,'4','4',13,'image/png',496,'product-categories/4.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(144,0,'5','5',13,'image/png',496,'product-categories/5.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(145,0,'6','6',13,'image/png',496,'product-categories/6.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(146,0,'7','7',13,'image/png',496,'product-categories/7.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(147,0,'8','8',13,'image/png',496,'product-categories/8.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(148,0,'9','9',13,'image/png',496,'product-categories/9.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(149,0,'1','1',14,'image/png',834,'brands/1.png','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(150,0,'1','1',15,'image/jpeg',33268,'products/1.jpg','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(151,0,'10-1','10-1',15,'image/jpeg',33268,'products/10-1.jpg','[]','2024-08-09 23:57:24','2024-08-09 23:57:24',NULL,'public'),(152,0,'10-2','10-2',15,'image/jpeg',33268,'products/10-2.jpg','[]','2024-08-09 23:57:25','2024-08-09 23:57:25',NULL,'public'),(153,0,'10','10',15,'image/jpeg',33268,'products/10.jpg','[]','2024-08-09 23:57:25','2024-08-09 23:57:25',NULL,'public'),(154,0,'11-1','11-1',15,'image/jpeg',33268,'products/11-1.jpg','[]','2024-08-09 23:57:25','2024-08-09 23:57:25',NULL,'public'),(155,0,'11-2','11-2',15,'image/jpeg',33268,'products/11-2.jpg','[]','2024-08-09 23:57:25','2024-08-09 23:57:25',NULL,'public'),(156,0,'11-3','11-3',15,'image/jpeg',33268,'products/11-3.jpg','[]','2024-08-09 23:57:26','2024-08-09 23:57:26',NULL,'public'),(157,0,'11','11',15,'image/jpeg',33268,'products/11.jpg','[]','2024-08-09 23:57:26','2024-08-09 23:57:26',NULL,'public'),(158,0,'12-1','12-1',15,'image/jpeg',33268,'products/12-1.jpg','[]','2024-08-09 23:57:26','2024-08-09 23:57:26',NULL,'public'),(159,0,'12-2','12-2',15,'image/jpeg',33268,'products/12-2.jpg','[]','2024-08-09 23:57:26','2024-08-09 23:57:26',NULL,'public'),(160,0,'12-3','12-3',15,'image/jpeg',33268,'products/12-3.jpg','[]','2024-08-09 23:57:27','2024-08-09 23:57:27',NULL,'public'),(161,0,'12','12',15,'image/jpeg',33268,'products/12.jpg','[]','2024-08-09 23:57:27','2024-08-09 23:57:27',NULL,'public'),(162,0,'13-1','13-1',15,'image/jpeg',33268,'products/13-1.jpg','[]','2024-08-09 23:57:27','2024-08-09 23:57:27',NULL,'public'),(163,0,'13','13',15,'image/jpeg',33268,'products/13.jpg','[]','2024-08-09 23:57:27','2024-08-09 23:57:27',NULL,'public'),(164,0,'14','14',15,'image/jpeg',33268,'products/14.jpg','[]','2024-08-09 23:57:28','2024-08-09 23:57:28',NULL,'public'),(165,0,'15-1','15-1',15,'image/jpeg',33268,'products/15-1.jpg','[]','2024-08-09 23:57:28','2024-08-09 23:57:28',NULL,'public'),(166,0,'15','15',15,'image/jpeg',33268,'products/15.jpg','[]','2024-08-09 23:57:28','2024-08-09 23:57:28',NULL,'public'),(167,0,'16','16',15,'image/jpeg',33268,'products/16.jpg','[]','2024-08-09 23:57:28','2024-08-09 23:57:28',NULL,'public'),(168,0,'17-1','17-1',15,'image/jpeg',33268,'products/17-1.jpg','[]','2024-08-09 23:57:29','2024-08-09 23:57:29',NULL,'public'),(169,0,'17-2','17-2',15,'image/jpeg',33268,'products/17-2.jpg','[]','2024-08-09 23:57:29','2024-08-09 23:57:29',NULL,'public'),(170,0,'17-3','17-3',15,'image/jpeg',33268,'products/17-3.jpg','[]','2024-08-09 23:57:29','2024-08-09 23:57:29',NULL,'public'),(171,0,'17','17',15,'image/jpeg',33268,'products/17.jpg','[]','2024-08-09 23:57:29','2024-08-09 23:57:29',NULL,'public'),(172,0,'18-1','18-1',15,'image/jpeg',33268,'products/18-1.jpg','[]','2024-08-09 23:57:30','2024-08-09 23:57:30',NULL,'public'),(173,0,'18-2','18-2',15,'image/jpeg',33268,'products/18-2.jpg','[]','2024-08-09 23:57:30','2024-08-09 23:57:30',NULL,'public'),(174,0,'18-3','18-3',15,'image/jpeg',33268,'products/18-3.jpg','[]','2024-08-09 23:57:30','2024-08-09 23:57:30',NULL,'public'),(175,0,'18','18',15,'image/jpeg',33268,'products/18.jpg','[]','2024-08-09 23:57:30','2024-08-09 23:57:30',NULL,'public'),(176,0,'19-1','19-1',15,'image/jpeg',33268,'products/19-1.jpg','[]','2024-08-09 23:57:31','2024-08-09 23:57:31',NULL,'public'),(177,0,'19-2','19-2',15,'image/jpeg',33268,'products/19-2.jpg','[]','2024-08-09 23:57:31','2024-08-09 23:57:31',NULL,'public'),(178,0,'19-3','19-3',15,'image/jpeg',33268,'products/19-3.jpg','[]','2024-08-09 23:57:31','2024-08-09 23:57:31',NULL,'public'),(179,0,'19','19',15,'image/jpeg',33268,'products/19.jpg','[]','2024-08-09 23:57:31','2024-08-09 23:57:31',NULL,'public'),(180,0,'2-1','2-1',15,'image/jpeg',33268,'products/2-1.jpg','[]','2024-08-09 23:57:32','2024-08-09 23:57:32',NULL,'public'),(181,0,'2-2','2-2',15,'image/jpeg',33268,'products/2-2.jpg','[]','2024-08-09 23:57:32','2024-08-09 23:57:32',NULL,'public'),(182,0,'2-3','2-3',15,'image/jpeg',33268,'products/2-3.jpg','[]','2024-08-09 23:57:32','2024-08-09 23:57:32',NULL,'public'),(183,0,'2','2',15,'image/jpeg',33268,'products/2.jpg','[]','2024-08-09 23:57:32','2024-08-09 23:57:32',NULL,'public'),(184,0,'20-1','20-1',15,'image/jpeg',33268,'products/20-1.jpg','[]','2024-08-09 23:57:33','2024-08-09 23:57:33',NULL,'public'),(185,0,'20-2','20-2',15,'image/jpeg',33268,'products/20-2.jpg','[]','2024-08-09 23:57:33','2024-08-09 23:57:33',NULL,'public'),(186,0,'20-3','20-3',15,'image/jpeg',33268,'products/20-3.jpg','[]','2024-08-09 23:57:33','2024-08-09 23:57:33',NULL,'public'),(187,0,'20','20',15,'image/jpeg',33268,'products/20.jpg','[]','2024-08-09 23:57:33','2024-08-09 23:57:33',NULL,'public'),(188,0,'21-1','21-1',15,'image/jpeg',33268,'products/21-1.jpg','[]','2024-08-09 23:57:34','2024-08-09 23:57:34',NULL,'public'),(189,0,'21-2','21-2',15,'image/jpeg',33268,'products/21-2.jpg','[]','2024-08-09 23:57:34','2024-08-09 23:57:34',NULL,'public'),(190,0,'21','21',15,'image/jpeg',33268,'products/21.jpg','[]','2024-08-09 23:57:34','2024-08-09 23:57:34',NULL,'public'),(191,0,'22-1','22-1',15,'image/jpeg',33268,'products/22-1.jpg','[]','2024-08-09 23:57:34','2024-08-09 23:57:34',NULL,'public'),(192,0,'22-2','22-2',15,'image/jpeg',33268,'products/22-2.jpg','[]','2024-08-09 23:57:35','2024-08-09 23:57:35',NULL,'public'),(193,0,'22-3','22-3',15,'image/jpeg',33268,'products/22-3.jpg','[]','2024-08-09 23:57:35','2024-08-09 23:57:35',NULL,'public'),(194,0,'22','22',15,'image/jpeg',33268,'products/22.jpg','[]','2024-08-09 23:57:35','2024-08-09 23:57:35',NULL,'public'),(195,0,'23-1','23-1',15,'image/jpeg',33268,'products/23-1.jpg','[]','2024-08-09 23:57:35','2024-08-09 23:57:35',NULL,'public'),(196,0,'23-2','23-2',15,'image/jpeg',33268,'products/23-2.jpg','[]','2024-08-09 23:57:36','2024-08-09 23:57:36',NULL,'public'),(197,0,'23-3','23-3',15,'image/jpeg',33268,'products/23-3.jpg','[]','2024-08-09 23:57:36','2024-08-09 23:57:36',NULL,'public'),(198,0,'23','23',15,'image/jpeg',33268,'products/23.jpg','[]','2024-08-09 23:57:36','2024-08-09 23:57:36',NULL,'public'),(199,0,'24-1','24-1',15,'image/jpeg',33268,'products/24-1.jpg','[]','2024-08-09 23:57:36','2024-08-09 23:57:36',NULL,'public'),(200,0,'24-2','24-2',15,'image/jpeg',33268,'products/24-2.jpg','[]','2024-08-09 23:57:37','2024-08-09 23:57:37',NULL,'public'),(201,0,'24','24',15,'image/jpeg',33268,'products/24.jpg','[]','2024-08-09 23:57:37','2024-08-09 23:57:37',NULL,'public'),(202,0,'25-1','25-1',15,'image/jpeg',33268,'products/25-1.jpg','[]','2024-08-09 23:57:37','2024-08-09 23:57:37',NULL,'public'),(203,0,'25-2','25-2',15,'image/jpeg',33268,'products/25-2.jpg','[]','2024-08-09 23:57:37','2024-08-09 23:57:37',NULL,'public'),(204,0,'25','25',15,'image/jpeg',33268,'products/25.jpg','[]','2024-08-09 23:57:38','2024-08-09 23:57:38',NULL,'public'),(205,0,'26-1','26-1',15,'image/jpeg',33268,'products/26-1.jpg','[]','2024-08-09 23:57:38','2024-08-09 23:57:38',NULL,'public'),(206,0,'26','26',15,'image/jpeg',33268,'products/26.jpg','[]','2024-08-09 23:57:38','2024-08-09 23:57:38',NULL,'public'),(207,0,'27-1','27-1',15,'image/jpeg',33268,'products/27-1.jpg','[]','2024-08-09 23:57:38','2024-08-09 23:57:38',NULL,'public'),(208,0,'27','27',15,'image/jpeg',33268,'products/27.jpg','[]','2024-08-09 23:57:39','2024-08-09 23:57:39',NULL,'public'),(209,0,'28-1','28-1',15,'image/jpeg',33268,'products/28-1.jpg','[]','2024-08-09 23:57:39','2024-08-09 23:57:39',NULL,'public'),(210,0,'28-2','28-2',15,'image/jpeg',33268,'products/28-2.jpg','[]','2024-08-09 23:57:39','2024-08-09 23:57:39',NULL,'public'),(211,0,'28','28',15,'image/jpeg',33268,'products/28.jpg','[]','2024-08-09 23:57:39','2024-08-09 23:57:39',NULL,'public'),(212,0,'29-1','29-1',15,'image/jpeg',33268,'products/29-1.jpg','[]','2024-08-09 23:57:40','2024-08-09 23:57:40',NULL,'public'),(213,0,'29-2','29-2',15,'image/jpeg',33268,'products/29-2.jpg','[]','2024-08-09 23:57:40','2024-08-09 23:57:40',NULL,'public'),(214,0,'29','29',15,'image/jpeg',33268,'products/29.jpg','[]','2024-08-09 23:57:40','2024-08-09 23:57:40',NULL,'public'),(215,0,'3','3',15,'image/jpeg',33268,'products/3.jpg','[]','2024-08-09 23:57:40','2024-08-09 23:57:40',NULL,'public'),(216,0,'30-1','30-1',15,'image/jpeg',33268,'products/30-1.jpg','[]','2024-08-09 23:57:41','2024-08-09 23:57:41',NULL,'public'),(217,0,'30-2','30-2',15,'image/jpeg',33268,'products/30-2.jpg','[]','2024-08-09 23:57:41','2024-08-09 23:57:41',NULL,'public'),(218,0,'30','30',15,'image/jpeg',33268,'products/30.jpg','[]','2024-08-09 23:57:41','2024-08-09 23:57:41',NULL,'public'),(219,0,'31-1','31-1',15,'image/jpeg',33268,'products/31-1.jpg','[]','2024-08-09 23:57:41','2024-08-09 23:57:41',NULL,'public'),(220,0,'31','31',15,'image/jpeg',33268,'products/31.jpg','[]','2024-08-09 23:57:42','2024-08-09 23:57:42',NULL,'public'),(221,0,'32-1','32-1',15,'image/jpeg',33268,'products/32-1.jpg','[]','2024-08-09 23:57:42','2024-08-09 23:57:42',NULL,'public'),(222,0,'32-2','32-2',15,'image/jpeg',33268,'products/32-2.jpg','[]','2024-08-09 23:57:42','2024-08-09 23:57:42',NULL,'public'),(223,0,'32','32',15,'image/jpeg',33268,'products/32.jpg','[]','2024-08-09 23:57:43','2024-08-09 23:57:43',NULL,'public'),(224,0,'33-1','33-1',15,'image/jpeg',33268,'products/33-1.jpg','[]','2024-08-09 23:57:43','2024-08-09 23:57:43',NULL,'public'),(225,0,'33-2','33-2',15,'image/jpeg',33268,'products/33-2.jpg','[]','2024-08-09 23:57:43','2024-08-09 23:57:43',NULL,'public'),(226,0,'33','33',15,'image/jpeg',33268,'products/33.jpg','[]','2024-08-09 23:57:43','2024-08-09 23:57:43',NULL,'public'),(227,0,'34-1','34-1',15,'image/jpeg',33268,'products/34-1.jpg','[]','2024-08-09 23:57:44','2024-08-09 23:57:44',NULL,'public'),(228,0,'34','34',15,'image/jpeg',33268,'products/34.jpg','[]','2024-08-09 23:57:44','2024-08-09 23:57:44',NULL,'public'),(229,0,'35-1','35-1',15,'image/jpeg',33268,'products/35-1.jpg','[]','2024-08-09 23:57:44','2024-08-09 23:57:44',NULL,'public'),(230,0,'35','35',15,'image/jpeg',33268,'products/35.jpg','[]','2024-08-09 23:57:44','2024-08-09 23:57:44',NULL,'public'),(231,0,'36-1','36-1',15,'image/jpeg',33268,'products/36-1.jpg','[]','2024-08-09 23:57:45','2024-08-09 23:57:45',NULL,'public'),(232,0,'36-2','36-2',15,'image/jpeg',33268,'products/36-2.jpg','[]','2024-08-09 23:57:45','2024-08-09 23:57:45',NULL,'public'),(233,0,'36','36',15,'image/jpeg',33268,'products/36.jpg','[]','2024-08-09 23:57:45','2024-08-09 23:57:45',NULL,'public'),(234,0,'37-1','37-1',15,'image/jpeg',33268,'products/37-1.jpg','[]','2024-08-09 23:57:45','2024-08-09 23:57:45',NULL,'public'),(235,0,'37-2','37-2',15,'image/jpeg',33268,'products/37-2.jpg','[]','2024-08-09 23:57:46','2024-08-09 23:57:46',NULL,'public'),(236,0,'37','37',15,'image/jpeg',33268,'products/37.jpg','[]','2024-08-09 23:57:46','2024-08-09 23:57:46',NULL,'public'),(237,0,'38-1','38-1',15,'image/jpeg',33268,'products/38-1.jpg','[]','2024-08-09 23:57:46','2024-08-09 23:57:46',NULL,'public'),(238,0,'38-2','38-2',15,'image/jpeg',33268,'products/38-2.jpg','[]','2024-08-09 23:57:46','2024-08-09 23:57:46',NULL,'public'),(239,0,'38-3','38-3',15,'image/jpeg',33268,'products/38-3.jpg','[]','2024-08-09 23:57:47','2024-08-09 23:57:47',NULL,'public'),(240,0,'38','38',15,'image/jpeg',33268,'products/38.jpg','[]','2024-08-09 23:57:47','2024-08-09 23:57:47',NULL,'public'),(241,0,'39-1','39-1',15,'image/jpeg',33268,'products/39-1.jpg','[]','2024-08-09 23:57:47','2024-08-09 23:57:47',NULL,'public'),(242,0,'39-2','39-2',15,'image/jpeg',33268,'products/39-2.jpg','[]','2024-08-09 23:57:47','2024-08-09 23:57:47',NULL,'public'),(243,0,'39','39',15,'image/jpeg',33268,'products/39.jpg','[]','2024-08-09 23:57:48','2024-08-09 23:57:48',NULL,'public'),(244,0,'4-1','4-1',15,'image/jpeg',33268,'products/4-1.jpg','[]','2024-08-09 23:57:48','2024-08-09 23:57:48',NULL,'public'),(245,0,'4-2','4-2',15,'image/jpeg',33268,'products/4-2.jpg','[]','2024-08-09 23:57:48','2024-08-09 23:57:48',NULL,'public'),(246,0,'4-3','4-3',15,'image/jpeg',33268,'products/4-3.jpg','[]','2024-08-09 23:57:48','2024-08-09 23:57:48',NULL,'public'),(247,0,'4','4',15,'image/jpeg',33268,'products/4.jpg','[]','2024-08-09 23:57:49','2024-08-09 23:57:49',NULL,'public'),(248,0,'40-1','40-1',15,'image/jpeg',33268,'products/40-1.jpg','[]','2024-08-09 23:57:49','2024-08-09 23:57:49',NULL,'public'),(249,0,'40','40',15,'image/jpeg',33268,'products/40.jpg','[]','2024-08-09 23:57:49','2024-08-09 23:57:49',NULL,'public'),(250,0,'41-1','41-1',15,'image/jpeg',33268,'products/41-1.jpg','[]','2024-08-09 23:57:49','2024-08-09 23:57:49',NULL,'public'),(251,0,'41-2','41-2',15,'image/jpeg',33268,'products/41-2.jpg','[]','2024-08-09 23:57:50','2024-08-09 23:57:50',NULL,'public'),(252,0,'41','41',15,'image/jpeg',33268,'products/41.jpg','[]','2024-08-09 23:57:50','2024-08-09 23:57:50',NULL,'public'),(253,0,'42-1','42-1',15,'image/jpeg',33268,'products/42-1.jpg','[]','2024-08-09 23:57:50','2024-08-09 23:57:50',NULL,'public'),(254,0,'42-2','42-2',15,'image/jpeg',33268,'products/42-2.jpg','[]','2024-08-09 23:57:50','2024-08-09 23:57:50',NULL,'public'),(255,0,'42','42',15,'image/jpeg',33268,'products/42.jpg','[]','2024-08-09 23:57:51','2024-08-09 23:57:51',NULL,'public'),(256,0,'43-1','43-1',15,'image/jpeg',33268,'products/43-1.jpg','[]','2024-08-09 23:57:51','2024-08-09 23:57:51',NULL,'public'),(257,0,'43-2','43-2',15,'image/jpeg',33268,'products/43-2.jpg','[]','2024-08-09 23:57:51','2024-08-09 23:57:51',NULL,'public'),(258,0,'43','43',15,'image/jpeg',33268,'products/43.jpg','[]','2024-08-09 23:57:51','2024-08-09 23:57:51',NULL,'public'),(259,0,'44-1','44-1',15,'image/jpeg',33268,'products/44-1.jpg','[]','2024-08-09 23:57:52','2024-08-09 23:57:52',NULL,'public'),(260,0,'44-2','44-2',15,'image/jpeg',33268,'products/44-2.jpg','[]','2024-08-09 23:57:52','2024-08-09 23:57:52',NULL,'public'),(261,0,'44','44',15,'image/jpeg',33268,'products/44.jpg','[]','2024-08-09 23:57:52','2024-08-09 23:57:52',NULL,'public'),(262,0,'45-1','45-1',15,'image/jpeg',33268,'products/45-1.jpg','[]','2024-08-09 23:57:52','2024-08-09 23:57:52',NULL,'public'),(263,0,'45','45',15,'image/jpeg',33268,'products/45.jpg','[]','2024-08-09 23:57:53','2024-08-09 23:57:53',NULL,'public'),(264,0,'46-1','46-1',15,'image/jpeg',33268,'products/46-1.jpg','[]','2024-08-09 23:57:53','2024-08-09 23:57:53',NULL,'public'),(265,0,'46','46',15,'image/jpeg',33268,'products/46.jpg','[]','2024-08-09 23:57:53','2024-08-09 23:57:53',NULL,'public'),(266,0,'47-1','47-1',15,'image/jpeg',33268,'products/47-1.jpg','[]','2024-08-09 23:57:53','2024-08-09 23:57:53',NULL,'public'),(267,0,'47','47',15,'image/jpeg',33268,'products/47.jpg','[]','2024-08-09 23:57:54','2024-08-09 23:57:54',NULL,'public'),(268,0,'48-1','48-1',15,'image/jpeg',33268,'products/48-1.jpg','[]','2024-08-09 23:57:54','2024-08-09 23:57:54',NULL,'public'),(269,0,'48-2','48-2',15,'image/jpeg',33268,'products/48-2.jpg','[]','2024-08-09 23:57:54','2024-08-09 23:57:54',NULL,'public'),(270,0,'48','48',15,'image/jpeg',33268,'products/48.jpg','[]','2024-08-09 23:57:54','2024-08-09 23:57:54',NULL,'public'),(271,0,'49-1','49-1',15,'image/jpeg',33268,'products/49-1.jpg','[]','2024-08-09 23:57:55','2024-08-09 23:57:55',NULL,'public'),(272,0,'49-2','49-2',15,'image/jpeg',33268,'products/49-2.jpg','[]','2024-08-09 23:57:55','2024-08-09 23:57:55',NULL,'public'),(273,0,'49','49',15,'image/jpeg',33268,'products/49.jpg','[]','2024-08-09 23:57:55','2024-08-09 23:57:55',NULL,'public'),(274,0,'5-1','5-1',15,'image/jpeg',33268,'products/5-1.jpg','[]','2024-08-09 23:57:55','2024-08-09 23:57:55',NULL,'public'),(275,0,'5-2','5-2',15,'image/jpeg',33268,'products/5-2.jpg','[]','2024-08-09 23:57:56','2024-08-09 23:57:56',NULL,'public'),(276,0,'5-3','5-3',15,'image/jpeg',33268,'products/5-3.jpg','[]','2024-08-09 23:57:56','2024-08-09 23:57:56',NULL,'public'),(277,0,'5','5',15,'image/jpeg',33268,'products/5.jpg','[]','2024-08-09 23:57:56','2024-08-09 23:57:56',NULL,'public'),(278,0,'50-1','50-1',15,'image/jpeg',33268,'products/50-1.jpg','[]','2024-08-09 23:57:56','2024-08-09 23:57:56',NULL,'public'),(279,0,'50','50',15,'image/jpeg',33268,'products/50.jpg','[]','2024-08-09 23:57:57','2024-08-09 23:57:57',NULL,'public'),(280,0,'51','51',15,'image/jpeg',33268,'products/51.jpg','[]','2024-08-09 23:57:57','2024-08-09 23:57:57',NULL,'public'),(281,0,'52-1','52-1',15,'image/jpeg',33268,'products/52-1.jpg','[]','2024-08-09 23:57:57','2024-08-09 23:57:57',NULL,'public'),(282,0,'52-2','52-2',15,'image/jpeg',33268,'products/52-2.jpg','[]','2024-08-09 23:57:57','2024-08-09 23:57:57',NULL,'public'),(283,0,'52','52',15,'image/jpeg',33268,'products/52.jpg','[]','2024-08-09 23:57:58','2024-08-09 23:57:58',NULL,'public'),(284,0,'53-1','53-1',15,'image/jpeg',33268,'products/53-1.jpg','[]','2024-08-09 23:57:58','2024-08-09 23:57:58',NULL,'public'),(285,0,'53','53',15,'image/jpeg',33268,'products/53.jpg','[]','2024-08-09 23:57:58','2024-08-09 23:57:58',NULL,'public'),(286,0,'54-1','54-1',15,'image/jpeg',33268,'products/54-1.jpg','[]','2024-08-09 23:57:58','2024-08-09 23:57:58',NULL,'public'),(287,0,'54','54',15,'image/jpeg',33268,'products/54.jpg','[]','2024-08-09 23:57:59','2024-08-09 23:57:59',NULL,'public'),(288,0,'55-1','55-1',15,'image/jpeg',33268,'products/55-1.jpg','[]','2024-08-09 23:57:59','2024-08-09 23:57:59',NULL,'public'),(289,0,'55-2','55-2',15,'image/jpeg',33268,'products/55-2.jpg','[]','2024-08-09 23:57:59','2024-08-09 23:57:59',NULL,'public'),(290,0,'55','55',15,'image/jpeg',33268,'products/55.jpg','[]','2024-08-09 23:58:00','2024-08-09 23:58:00',NULL,'public'),(291,0,'56-1','56-1',15,'image/jpeg',33268,'products/56-1.jpg','[]','2024-08-09 23:58:00','2024-08-09 23:58:00',NULL,'public'),(292,0,'56-2','56-2',15,'image/jpeg',33268,'products/56-2.jpg','[]','2024-08-09 23:58:00','2024-08-09 23:58:00',NULL,'public'),(293,0,'56','56',15,'image/jpeg',33268,'products/56.jpg','[]','2024-08-09 23:58:00','2024-08-09 23:58:00',NULL,'public'),(294,0,'57-1','57-1',15,'image/jpeg',33268,'products/57-1.jpg','[]','2024-08-09 23:58:01','2024-08-09 23:58:01',NULL,'public'),(295,0,'57','57',15,'image/jpeg',33268,'products/57.jpg','[]','2024-08-09 23:58:01','2024-08-09 23:58:01',NULL,'public'),(296,0,'58-1','58-1',15,'image/jpeg',33268,'products/58-1.jpg','[]','2024-08-09 23:58:01','2024-08-09 23:58:01',NULL,'public'),(297,0,'58-2','58-2',15,'image/jpeg',33268,'products/58-2.jpg','[]','2024-08-09 23:58:01','2024-08-09 23:58:01',NULL,'public'),(298,0,'58','58',15,'image/jpeg',33268,'products/58.jpg','[]','2024-08-09 23:58:02','2024-08-09 23:58:02',NULL,'public'),(299,0,'59-1','59-1',15,'image/jpeg',33268,'products/59-1.jpg','[]','2024-08-09 23:58:02','2024-08-09 23:58:02',NULL,'public'),(300,0,'59-2','59-2',15,'image/jpeg',33268,'products/59-2.jpg','[]','2024-08-09 23:58:02','2024-08-09 23:58:02',NULL,'public'),(301,0,'59-3','59-3',15,'image/jpeg',33268,'products/59-3.jpg','[]','2024-08-09 23:58:02','2024-08-09 23:58:02',NULL,'public'),(302,0,'59','59',15,'image/jpeg',33268,'products/59.jpg','[]','2024-08-09 23:58:03','2024-08-09 23:58:03',NULL,'public'),(303,0,'6','6',15,'image/jpeg',33268,'products/6.jpg','[]','2024-08-09 23:58:03','2024-08-09 23:58:03',NULL,'public'),(304,0,'60-1','60-1',15,'image/jpeg',33268,'products/60-1.jpg','[]','2024-08-09 23:58:03','2024-08-09 23:58:03',NULL,'public'),(305,0,'60-2','60-2',15,'image/jpeg',33268,'products/60-2.jpg','[]','2024-08-09 23:58:03','2024-08-09 23:58:03',NULL,'public'),(306,0,'60','60',15,'image/jpeg',33268,'products/60.jpg','[]','2024-08-09 23:58:04','2024-08-09 23:58:04',NULL,'public'),(307,0,'61-1','61-1',15,'image/jpeg',33268,'products/61-1.jpg','[]','2024-08-09 23:58:04','2024-08-09 23:58:04',NULL,'public'),(308,0,'61','61',15,'image/jpeg',33268,'products/61.jpg','[]','2024-08-09 23:58:04','2024-08-09 23:58:04',NULL,'public'),(309,0,'62-1','62-1',15,'image/jpeg',33268,'products/62-1.jpg','[]','2024-08-09 23:58:04','2024-08-09 23:58:04',NULL,'public'),(310,0,'62','62',15,'image/jpeg',33268,'products/62.jpg','[]','2024-08-09 23:58:05','2024-08-09 23:58:05',NULL,'public'),(311,0,'63-1','63-1',15,'image/jpeg',33268,'products/63-1.jpg','[]','2024-08-09 23:58:05','2024-08-09 23:58:05',NULL,'public'),(312,0,'63','63',15,'image/jpeg',33268,'products/63.jpg','[]','2024-08-09 23:58:05','2024-08-09 23:58:05',NULL,'public'),(313,0,'64-1','64-1',15,'image/jpeg',33268,'products/64-1.jpg','[]','2024-08-09 23:58:05','2024-08-09 23:58:05',NULL,'public'),(314,0,'64','64',15,'image/jpeg',33268,'products/64.jpg','[]','2024-08-09 23:58:06','2024-08-09 23:58:06',NULL,'public'),(315,0,'65-1','65-1',15,'image/jpeg',33268,'products/65-1.jpg','[]','2024-08-09 23:58:06','2024-08-09 23:58:06',NULL,'public'),(316,0,'65-2','65-2',15,'image/jpeg',33268,'products/65-2.jpg','[]','2024-08-09 23:58:06','2024-08-09 23:58:06',NULL,'public'),(317,0,'65','65',15,'image/jpeg',33268,'products/65.jpg','[]','2024-08-09 23:58:06','2024-08-09 23:58:06',NULL,'public'),(318,0,'7','7',15,'image/jpeg',33268,'products/7.jpg','[]','2024-08-09 23:58:07','2024-08-09 23:58:07',NULL,'public'),(319,0,'8-1','8-1',15,'image/jpeg',33268,'products/8-1.jpg','[]','2024-08-09 23:58:07','2024-08-09 23:58:07',NULL,'public'),(320,0,'8-2','8-2',15,'image/jpeg',33268,'products/8-2.jpg','[]','2024-08-09 23:58:07','2024-08-09 23:58:07',NULL,'public'),(321,0,'8-3','8-3',15,'image/jpeg',33268,'products/8-3.jpg','[]','2024-08-09 23:58:07','2024-08-09 23:58:07',NULL,'public'),(322,0,'8','8',15,'image/jpeg',33268,'products/8.jpg','[]','2024-08-09 23:58:08','2024-08-09 23:58:08',NULL,'public'),(323,0,'9-1','9-1',15,'image/jpeg',33268,'products/9-1.jpg','[]','2024-08-09 23:58:08','2024-08-09 23:58:08',NULL,'public'),(324,0,'9-2','9-2',15,'image/jpeg',33268,'products/9-2.jpg','[]','2024-08-09 23:58:08','2024-08-09 23:58:08',NULL,'public'),(325,0,'9','9',15,'image/jpeg',33268,'products/9.jpg','[]','2024-08-09 23:58:08','2024-08-09 23:58:08',NULL,'public'),(326,0,'1','1',16,'image/jpeg',9803,'customers/1.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(327,0,'10','10',16,'image/jpeg',9803,'customers/10.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(328,0,'2','2',16,'image/jpeg',9803,'customers/2.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(329,0,'3','3',16,'image/jpeg',9803,'customers/3.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(330,0,'4','4',16,'image/jpeg',9803,'customers/4.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(331,0,'5','5',16,'image/jpeg',9803,'customers/5.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(332,0,'6','6',16,'image/jpeg',9803,'customers/6.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(333,0,'7','7',16,'image/jpeg',9803,'customers/7.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(334,0,'8','8',16,'image/jpeg',9803,'customers/8.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public'),(335,0,'9','9',16,'image/jpeg',9803,'customers/9.jpg','[]','2024-08-09 23:58:11','2024-08-09 23:58:11',NULL,'public');
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'general',NULL,'general',0,'2024-08-09 23:57:01','2024-08-09 23:57:01',NULL),(2,0,'icons',NULL,'icons',0,'2024-08-09 23:57:04','2024-08-09 23:57:04',NULL),(3,0,'backgrounds',NULL,'backgrounds',0,'2024-08-09 23:57:07','2024-08-09 23:57:07',NULL),(5,0,'downloads',NULL,'downloads',0,'2024-08-09 23:57:10','2024-08-09 23:57:10',NULL),(6,0,'galleries',NULL,'galleries',0,'2024-08-09 23:57:10','2024-08-09 23:57:10',NULL),(7,0,'teams',NULL,'teams',0,'2024-08-09 23:57:12','2024-08-09 23:57:12',NULL),(8,0,'news',NULL,'news',0,'2024-08-09 23:57:14','2024-08-09 23:57:14',NULL),(9,0,'projects',NULL,'projects',0,'2024-08-09 23:57:19','2024-08-09 23:57:19',NULL),(10,0,'sliders',NULL,'sliders',0,'2024-08-09 23:57:22','2024-08-09 23:57:22',NULL),(11,0,'testimonials',NULL,'testimonials',0,'2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(12,0,'careers',NULL,'careers',0,'2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(13,0,'product-categories',NULL,'product-categories',0,'2024-08-09 23:57:23','2024-08-09 23:57:23',NULL),(14,0,'brands',NULL,'brands',0,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL),(15,0,'products',NULL,'products',0,'2024-08-09 23:57:24','2024-08-09 23:57:24',NULL),(16,0,'customers',NULL,'customers',0,'2024-08-09 23:58:11','2024-08-09 23:58:11',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,'/',NULL,0,'Home',NULL,'_self',1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(2,1,1,NULL,NULL,'https://apexa.archielite.com',NULL,0,'Business',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,1,1,NULL,NULL,'https://apexa-finance.archielite.com',NULL,0,'Finance',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,1,1,NULL,NULL,'https://apexa-consulting.archielite.com',NULL,0,'Consulting',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(5,1,1,NULL,NULL,'https://apexa-insurance.archielite.com',NULL,0,'Insurance',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(6,1,1,NULL,NULL,'https://apexa-digital-agency.archielite.com',NULL,0,'Digital Agency',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(7,1,1,NULL,NULL,'https://apexa-finance-solutions.archielite.com',NULL,0,'Finance Solutions',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(8,1,1,NULL,NULL,'https://apexa-accounting-services.archielite.com',NULL,0,'Accounting Services',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(9,1,1,NULL,NULL,'https://apexa-it-solutions.archielite.com',NULL,0,'IT Solutions',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(10,1,0,NULL,NULL,'/',NULL,0,'About Us',NULL,'_self',1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(11,1,10,4,'Botble\\Page\\Models\\Page','/business-about',NULL,0,'Business About',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(12,1,10,5,'Botble\\Page\\Models\\Page','/finance-about',NULL,0,'Finance About',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(13,1,10,6,'Botble\\Page\\Models\\Page','/consulting-about',NULL,0,'Consulting About',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(14,1,10,7,'Botble\\Page\\Models\\Page','/insurance-about',NULL,0,'Insurance About',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(15,1,10,8,'Botble\\Page\\Models\\Page','/digital-agency-about',NULL,0,'Digital agency About',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(16,1,0,NULL,NULL,'/',NULL,0,'Services',NULL,'_self',1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(17,1,16,9,'Botble\\Page\\Models\\Page','/services',NULL,0,'Business Service',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(18,1,16,10,'Botble\\Page\\Models\\Page','/finance-service',NULL,0,'Finance Service',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(19,1,16,11,'Botble\\Page\\Models\\Page','/consulting-service',NULL,0,'Consulting Service',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(20,1,16,13,'Botble\\Page\\Models\\Page','/insurance-service',NULL,0,'Insurance Service',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(21,1,16,12,'Botble\\Page\\Models\\Page','/digital-agency-service',NULL,0,'Digital Agency Service',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(22,1,16,NULL,NULL,'/services/data-analyst',NULL,0,'Service Details One',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(23,1,0,NULL,NULL,'/',NULL,0,'Pages',NULL,'_self',1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(24,1,23,NULL,NULL,'/careers',NULL,0,'Careers',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(25,1,23,NULL,NULL,'/careers/lead-backend-developer',NULL,0,'Career Details',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(26,1,23,14,'Botble\\Page\\Models\\Page','/team-one',NULL,0,'Team One',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(27,1,23,15,'Botble\\Page\\Models\\Page','/team-two',NULL,0,'Team Two',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(28,1,23,16,'Botble\\Page\\Models\\Page','/team-three',NULL,0,'Team Three',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(29,1,23,17,'Botble\\Page\\Models\\Page','/team-four',NULL,0,'Team Four',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(30,1,23,NULL,NULL,'/teams/devon-lane',NULL,0,'Team Details',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(31,1,23,NULL,NULL,'/projects/strategic-planning',NULL,0,'Project Details',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(32,1,23,NULL,NULL,'/products',NULL,0,'Product List',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(33,1,23,NULL,NULL,'/products/kelloggs-coco-pops-cereal-digital',NULL,0,'Product Details',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(34,1,23,NULL,NULL,'/404',NULL,0,'404 Error Page',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(35,1,23,NULL,NULL,'/login',NULL,0,'Login Page',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(36,1,23,NULL,NULL,'/resister',NULL,0,'Register Page',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(37,1,23,NULL,NULL,'/password/reset',NULL,0,'Forgot password Page',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(38,1,0,NULL,NULL,'/',NULL,0,'Blogs',NULL,'_self',1,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(39,1,38,3,'Botble\\Page\\Models\\Page','/blog',NULL,0,'Our Blog',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(40,1,38,NULL,NULL,'/the-art-of-negotiation-winning-deals-and-building-relationships',NULL,0,'Blog Details',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10'),(41,1,0,2,'Botble\\Page\\Models\\Page','/contact-us',NULL,0,'Contact Us',NULL,'_self',0,'2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'action_label','[\"Get The Plan Now\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,'action_url','[\"\\/contact-us\"]',1,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(3,'action_label','[\"Get The Plan Now\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(4,'action_url','[\"\\/contact-us\"]',2,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(5,'action_label','[\"Get The Plan Now\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(6,'action_url','[\"\\/contact-us\"]',3,'Botble\\Portfolio\\Models\\Package','2024-08-09 23:57:22','2024-08-09 23:57:22'),(7,'category','[\"Financing Management\"]',1,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(8,'category','[\"Business Services\"]',2,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(9,'category','[\"Business Services\"]',3,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(10,'category','[\"Financing Management\"]',4,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(11,'category','[\"Business Strategy\"]',5,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(12,'category','[\"Inventory Tracking\"]',6,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(13,'category','[\"Financing Management\"]',7,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(14,'category','[\"Inventory Tracking\"]',8,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(15,'category','[\"Financing Management\"]',9,'Botble\\Portfolio\\Models\\Project','2024-08-09 23:57:22','2024-08-09 23:57:22'),(16,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:57:22','2024-08-09 23:57:22'),(17,'icon','[\"ti ti-square-percentage\"]',2,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:57:22','2024-08-09 23:57:22'),(18,'icon','[\"ti ti-layers-subtract\"]',3,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:57:22','2024-08-09 23:57:22'),(19,'icon','[\"ti ti-timeline\"]',4,'Botble\\Portfolio\\Models\\ServiceCategory','2024-08-09 23:57:22','2024-08-09 23:57:22'),(20,'icon','[\"ti ti-briefcase\"]',1,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(21,'icon','[\"ti ti-calendar-week\"]',2,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(22,'icon','[\"ti ti-coin\"]',3,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(23,'icon','[\"ti ti-layers-subtract\"]',4,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(24,'icon','[\"ti ti-brand-databricks\"]',5,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(25,'icon','[\"ti ti-report-analytics\"]',6,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(26,'icon','[\"ti ti-moneybag\"]',7,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(27,'icon','[\"ti ti-layers-subtract\"]',8,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(28,'icon','[\"ti ti-moneybag\"]',9,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(29,'icon','[\"ti ti-heart-handshake\"]',10,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(30,'icon','[\"ti ti-code-circle\"]',11,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(31,'icon','[\"ti ti-presentation\"]',12,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(32,'icon','[\"ti ti-brand-funimation\"]',13,'Botble\\Portfolio\\Models\\Service','2024-08-09 23:57:22','2024-08-09 23:57:22'),(33,'subtitle','[\"We Are Expert In This Field\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(34,'button_label','[\"Free Consulting\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(35,'data_count','[15]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(36,'data_count_description','[\"Years of applying <br> digital transformation\"]',1,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(37,'subtitle','[\"Actionable Analytics & Reporting\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(38,'button_label','[\"Learn More\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(39,'data_count','[25]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(40,'data_count_description','[\"Years Experiences <br> in this field\"]',2,'Botble\\SimpleSlider\\Models\\SimpleSliderItem','2024-08-09 23:57:23','2024-08-09 23:57:23'),(41,'rating_star','[5]',1,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:57:23','2024-08-09 23:57:23'),(42,'rating_star','[5]',2,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:57:23','2024-08-09 23:57:23'),(43,'rating_star','[5]',3,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:57:23','2024-08-09 23:57:23'),(44,'rating_star','[5]',4,'Botble\\Testimonial\\Models\\Testimonial','2024-08-09 23:57:23','2024-08-09 23:57:23'),(45,'image','[\"careers\\/banner.jpg\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(46,'icon','[\"ti ti-chart-bar\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(47,'apply_url','[\"\\/contact-us\"]',1,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(48,'image','[\"careers\\/banner.jpg\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(49,'icon','[\"ti ti-replace\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(50,'apply_url','[\"\\/contact-us\"]',2,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(51,'image','[\"careers\\/banner.jpg\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(52,'icon','[\"ti ti-components\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(53,'apply_url','[\"\\/contact-us\"]',3,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(54,'image','[\"careers\\/banner.jpg\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(55,'icon','[\"ti ti-brand-deezer\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(56,'apply_url','[\"\\/contact-us\"]',4,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(57,'image','[\"careers\\/banner.jpg\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(58,'icon','[\"ti ti-video\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(59,'apply_url','[\"\\/contact-us\"]',5,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(60,'image','[\"careers\\/banner.jpg\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(61,'icon','[\"ti ti-device-desktop-code\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(62,'apply_url','[\"\\/contact-us\"]',6,'ArchiElite\\Career\\Models\\Career','2024-08-09 23:57:23','2024-08-09 23:57:23'),(63,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',1,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(64,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',2,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(65,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',3,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(66,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',4,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(67,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',5,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(68,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',6,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(69,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',7,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(70,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',8,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(71,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',9,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(72,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',10,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(73,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',11,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(74,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',12,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(75,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',13,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(76,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',14,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(77,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',15,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(78,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',16,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(79,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',17,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(80,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',18,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(81,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',19,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(82,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',20,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(83,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',21,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(84,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',22,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(85,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',23,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(86,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',24,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(87,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',25,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(88,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',26,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(89,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',27,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(90,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',28,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(91,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',29,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(92,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',30,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(93,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',31,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(94,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',32,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(95,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',33,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(96,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',34,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(97,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',35,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(98,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',36,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(99,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',37,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(100,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',38,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(101,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',39,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(102,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',40,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(103,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',41,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(104,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',42,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(105,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',43,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(106,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',44,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(107,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',45,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(108,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',46,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(109,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',47,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(110,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',48,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(111,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',49,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(112,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',50,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(113,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',51,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(114,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',52,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(115,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',53,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(116,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',54,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(117,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',55,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(118,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',56,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(119,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',57,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(120,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',58,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(121,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',59,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(122,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',60,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(123,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',61,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(124,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',62,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(125,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',63,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(126,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',64,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09'),(127,'faq_schema_config','[[[{\"key\":\"question\",\"value\":\"What Shipping Methods Are Available?\"},{\"key\":\"answer\",\"value\":\"Ex Portland Pitchfork irure mustache. Eutra fap before they sold out literally. Aliquip ugh bicycle rights actually mlkshk, seitan squid craft beer tempor.\"}],[{\"key\":\"question\",\"value\":\"Do You Ship Internationally?\"},{\"key\":\"answer\",\"value\":\"Hoodie tote bag mixtape tofu. Typewriter jean shorts wolf quinoa, messenger bag organic freegan cray.\"}],[{\"key\":\"question\",\"value\":\"How Long Will It Take To Get My Package?\"},{\"key\":\"answer\",\"value\":\"Swag slow-carb quinoa VHS typewriter pork belly brunch, paleo single-origin coffee Wes Anderson. Flexitarian Pitchfork forage, literally paleo fap pour-over. Wes Anderson Pinterest YOLO fanny pack meggings, deep v XOXO chambray sustainable slow-carb raw denim church-key fap chillwave Etsy. +1 typewriter kitsch, American Apparel tofu Banksy Vice.\"}],[{\"key\":\"question\",\"value\":\"What Payment Methods Are Accepted?\"},{\"key\":\"answer\",\"value\":\"Fashion axe DIY jean shorts, swag kale chips meh polaroid kogi butcher Wes Anderson chambray next level semiotics gentrify yr. Voluptate photo booth fugiat Vice. Austin sed Williamsburg, ea labore raw denim voluptate cred proident mixtape excepteur mustache. Twee chia photo booth readymade food truck, hoodie roof party swag keytar PBR DIY.\"}],[{\"key\":\"question\",\"value\":\"Is Buying On-Line Safe?\"},{\"key\":\"answer\",\"value\":\"Art party authentic freegan semiotics jean shorts chia cred. Neutra Austin roof party Brooklyn, synth Thundercats swag 8-bit photo booth. Plaid letterpress leggings craft beer meh ethical Pinterest.\"}]]]',65,'Botble\\Ecommerce\\Models\\Product','2024-08-09 23:58:09','2024-08-09 23:58:09');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=201 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2016_06_10_230148_create_acl_tables',1),(6,'2016_06_14_230857_create_menus_table',1),(7,'2016_06_28_221418_create_pages_table',1),(8,'2016_10_05_074239_create_setting_table',1),(9,'2016_11_28_032840_create_dashboard_widget_tables',1),(10,'2016_12_16_084601_create_widgets_table',1),(11,'2017_05_09_070343_create_media_tables',1),(12,'2017_11_03_070450_create_slug_table',1),(13,'2019_01_05_053554_create_jobs_table',1),(14,'2019_08_19_000000_create_failed_jobs_table',1),(15,'2019_12_14_000001_create_personal_access_tokens_table',1),(16,'2022_04_20_100851_add_index_to_media_table',1),(17,'2022_04_20_101046_add_index_to_menu_table',1),(18,'2022_07_10_034813_move_lang_folder_to_root',1),(19,'2022_08_04_051940_add_missing_column_expires_at',1),(20,'2022_09_01_000001_create_admin_notifications_tables',1),(21,'2022_10_14_024629_drop_column_is_featured',1),(22,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(23,'2022_12_02_093615_update_slug_index_columns',1),(24,'2023_01_30_024431_add_alt_to_media_table',1),(25,'2023_02_16_042611_drop_table_password_resets',1),(26,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(27,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(28,'2023_08_03_041207_remove_unused_plugins',1),(29,'2023_08_06_070140_fix_shortcode_name',1),(30,'2019_06_24_211801_create_career_table',2),(31,'2021_12_04_095357_create_careers_translations_table',2),(32,'2023_09_20_050420_add_missing_translation_column',2),(33,'2023_07_25_072632_create_portfolio_tables',3),(34,'2023_09_11_023233_create_pf_custom_fields_table',3),(35,'2023_09_13_042633_add_columns_to_pf_projects_table',3),(36,'2023_09_13_044041_create_pf_project_categories_table',3),(37,'2023_09_22_061723_create_custom_fields_translations_table',3),(38,'2023_09_22_343531_remove_project_categories_table',3),(39,'2023_11_05_081701_fix_projects_table',3),(40,'2024_05_16_060328_add_projects_translations_table',3),(41,'2023_08_09_035520_activate_business_services_plugin',1),(42,'2023_08_10_030324_migrate_old_shortcodes',1),(43,'2023_08_21_090810_make_page_content_nullable',1),(44,'2023_09_14_021936_update_index_for_slugs_table',1),(45,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(46,'2023_12_17_162208_make_sure_column_color_in_media_folders_nullable',1),(47,'2024_01_07_072057_update_theme_option_for_login_page',1),(48,'2024_04_04_110758_update_value_column_in_user_meta_table',1),(49,'2024_05_12_091229_add_column_visibility_to_table_media_files',1),(50,'2024_07_07_091316_fix_column_url_in_menu_nodes_table',1),(51,'2024_07_12_100000_change_random_hash_for_media',1),(52,'2024_04_27_100730_improve_analytics_setting',4),(53,'2023_08_11_060908_create_announcements_table',5),(54,'2015_06_29_025744_create_audit_history',6),(55,'2023_11_14_033417_change_request_column_in_table_audit_histories',6),(56,'2015_06_18_033822_create_blog_table',7),(57,'2021_02_16_092633_remove_default_value_for_author_type',7),(58,'2021_12_03_030600_create_blog_translations',7),(59,'2022_04_19_113923_add_index_to_table_posts',7),(60,'2023_08_29_074620_make_column_author_id_nullable',7),(61,'2024_07_30_091615_fix_order_column_in_categories_table',7),(62,'2016_06_17_091537_create_contacts_table',8),(63,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',8),(64,'2024_03_20_080001_migrate_change_attribute_email_to_nullable_form_contacts_table',8),(65,'2024_03_25_000001_update_captcha_settings_for_contact',8),(66,'2024_04_19_063914_create_custom_fields_table',8),(67,'2020_03_05_041139_create_ecommerce_tables',9),(68,'2021_01_01_044147_ecommerce_create_flash_sale_table',9),(69,'2021_01_17_082713_add_column_is_featured_to_product_collections_table',9),(70,'2021_01_18_024333_add_zip_code_into_table_customer_addresses',9),(71,'2021_02_18_073505_update_table_ec_reviews',9),(72,'2021_03_10_024419_add_column_confirmed_at_to_table_ec_customers',9),(73,'2021_03_10_025153_change_column_tax_amount',9),(74,'2021_03_20_033103_add_column_availability_to_table_ec_products',9),(75,'2021_04_28_074008_ecommerce_create_product_label_table',9),(76,'2021_05_31_173037_ecommerce_create_ec_products_translations',9),(77,'2021_08_17_105016_remove_column_currency_id_in_some_tables',9),(78,'2021_08_30_142128_add_images_column_to_ec_reviews_table',9),(79,'2021_10_04_030050_add_column_created_by_to_table_ec_products',9),(80,'2021_10_05_122616_add_status_column_to_ec_customers_table',9),(81,'2021_11_03_025806_nullable_phone_number_in_ec_customer_addresses',9),(82,'2021_11_23_071403_correct_languages_for_product_variations',9),(83,'2021_11_28_031808_add_product_tags_translations',9),(84,'2021_12_01_031123_add_featured_image_to_ec_products',9),(85,'2022_01_01_033107_update_table_ec_shipments',9),(86,'2022_02_16_042457_improve_product_attribute_sets',9),(87,'2022_03_22_075758_correct_product_name',9),(88,'2022_04_19_113334_add_index_to_ec_products',9),(89,'2022_04_28_144405_remove_unused_table',9),(90,'2022_05_05_115015_create_ec_customer_recently_viewed_products_table',9),(91,'2022_05_18_143720_add_index_to_table_ec_product_categories',9),(92,'2022_06_16_095633_add_index_to_some_tables',9),(93,'2022_06_30_035148_create_order_referrals_table',9),(94,'2022_07_24_153815_add_completed_at_to_ec_orders_table',9),(95,'2022_08_14_032836_create_ec_order_returns_table',9),(96,'2022_08_14_033554_create_ec_order_return_items_table',9),(97,'2022_08_15_040324_add_billing_address',9),(98,'2022_08_30_091114_support_digital_products_table',9),(99,'2022_09_13_095744_create_options_table',9),(100,'2022_09_13_104347_create_option_value_table',9),(101,'2022_10_05_163518_alter_table_ec_order_product',9),(102,'2022_10_12_041517_create_invoices_table',9),(103,'2022_10_12_142226_update_orders_table',9),(104,'2022_10_13_024916_update_table_order_returns',9),(105,'2022_10_21_030830_update_columns_in_ec_shipments_table',9),(106,'2022_10_28_021046_update_columns_in_ec_shipments_table',9),(107,'2022_11_16_034522_update_type_column_in_ec_shipping_rules_table',9),(108,'2022_11_19_041643_add_ec_tax_product_table',9),(109,'2022_12_12_063830_update_tax_defadult_in_ec_tax_products_table',9),(110,'2022_12_17_041532_fix_address_in_order_invoice',9),(111,'2022_12_26_070329_create_ec_product_views_table',9),(112,'2023_01_04_033051_fix_product_categories',9),(113,'2023_01_09_050400_add_ec_global_options_translations_table',9),(114,'2023_01_10_093754_add_missing_option_value_id',9),(115,'2023_01_17_082713_add_column_barcode_and_cost_per_item_to_product_table',9),(116,'2023_01_26_021854_add_ec_customer_used_coupons_table',9),(117,'2023_02_08_015900_update_options_column_in_ec_order_product_table',9),(118,'2023_02_27_095752_remove_duplicate_reviews',9),(119,'2023_03_20_115757_add_user_type_column_to_ec_shipment_histories_table',9),(120,'2023_04_21_082427_create_ec_product_categorizables_table',9),(121,'2023_05_03_011331_add_missing_column_price_into_invoice_items_table',9),(122,'2023_05_17_025812_fix_invoice_issue',9),(123,'2023_05_26_073140_move_option_make_phone_field_optional_at_checkout_page_to_mandatory_fields',9),(124,'2023_05_27_144611_fix_exchange_rate_setting',9),(125,'2023_06_22_084331_add_generate_license_code_to_ec_products_table',9),(126,'2023_06_30_042512_create_ec_order_tax_information_table',9),(127,'2023_07_14_022724_remove_column_id_from_ec_product_collection_products',9),(128,'2023_08_09_012940_remove_column_status_in_ec_product_attributes',9),(129,'2023_08_15_064505_create_ec_tax_rules_table',9),(130,'2023_08_21_021819_make_column_address_in_ec_customer_addresses_nullable',9),(131,'2023_08_22_094114_drop_unique_for_barcode',9),(132,'2023_08_30_031811_add_apply_via_url_column_to_ec_discounts_table',9),(133,'2023_09_07_094312_add_index_to_product_sku_and_translations',9),(134,'2023_09_19_024955_create_discount_product_categories_table',9),(135,'2023_10_17_070728_add_icon_and_icon_image_to_product_categories_table',9),(136,'2023_11_22_154643_add_unique_in_table_ec_products_variations',9),(137,'2023_11_27_032313_add_price_columns_to_ec_product_cross_sale_relations_table',9),(138,'2023_12_06_023945_add_display_on_checkout_column_to_ec_discounts_table',9),(139,'2023_12_25_040604_ec_create_review_replies_table',9),(140,'2023_12_26_090340_add_private_notes_column_to_ec_customers_table',9),(141,'2024_01_16_070706_fix_translation_tables',9),(142,'2024_01_23_075227_add_proof_file_to_ec_orders_table',9),(143,'2024_03_26_041531_add_cancel_reason_to_ec_orders_table',9),(144,'2024_03_27_062402_create_ec_customer_deletion_requests_table',9),(145,'2024_03_29_042242_migrate_old_captcha_settings',9),(146,'2024_03_29_093946_create_ec_order_return_histories_table',9),(147,'2024_04_01_063523_add_customer_columns_to_ec_reviews_table',9),(148,'2024_04_15_092654_migrate_ecommerce_google_tag_manager_code_setting',9),(149,'2024_04_16_035713_add_min_max_order_quantity_columns_to_products_table',9),(150,'2024_05_07_073153_improve_table_wishlist',9),(151,'2024_05_07_093703_add_missing_zip_code_into_table_store_locators',9),(152,'2024_05_15_021503_fix_invoice_path',9),(153,'2024_06_20_160724_create_ec_shared_wishlists_table',9),(154,'2024_06_28_025104_add_notify_attachment_updated_column_to_ec_products_table',9),(155,'2024_07_03_030900_add_downloaded_at_column_to_ec_order_product_table',9),(156,'2024_07_14_071826_make_customer_email_nullable',9),(157,'2024_07_15_104916_add_video_media_column_to_ec_products_table',9),(158,'2024_07_26_052530_add_percentage_to_tax_rules_table',9),(159,'2018_07_09_221238_create_faq_table',10),(160,'2021_12_03_082134_create_faq_translations',10),(161,'2023_11_17_063408_add_description_column_to_faq_categories_table',10),(162,'2024_01_16_050056_create_comments_table',11),(163,'2016_10_13_150201_create_galleries_table',12),(164,'2021_12_03_082953_create_gallery_translations',12),(165,'2022_04_30_034048_create_gallery_meta_translations_table',12),(166,'2023_08_29_075308_make_column_user_id_nullable',12),(167,'2016_10_03_032336_create_languages_table',13),(168,'2023_09_14_022423_add_index_for_language_table',13),(169,'2021_10_25_021023_fix-priority-load-for-language-advanced',14),(170,'2021_12_03_075608_create_page_translations',14),(171,'2023_07_06_011444_create_slug_translations_table',14),(172,'2019_11_18_061011_create_country_table',15),(173,'2021_12_03_084118_create_location_translations',15),(174,'2021_12_03_094518_migrate_old_location_data',15),(175,'2021_12_10_034440_switch_plugin_location_to_use_language_advanced',15),(176,'2022_01_16_085908_improve_plugin_location',15),(177,'2022_08_04_052122_delete_location_backup_tables',15),(178,'2023_04_23_061847_increase_state_translations_abbreviation_column',15),(179,'2023_07_26_041451_add_more_columns_to_location_table',15),(180,'2023_07_27_041451_add_more_columns_to_location_translation_table',15),(181,'2023_08_15_073307_drop_unique_in_states_cities_translations',15),(182,'2023_10_21_065016_make_state_id_in_table_cities_nullable',15),(183,'2017_10_24_154832_create_newsletter_table',16),(184,'2024_03_25_000001_update_captcha_settings_for_newsletter',16),(185,'2017_05_18_080441_create_payment_tables',17),(186,'2021_03_27_144913_add_customer_type_into_table_payments',17),(187,'2021_05_24_034720_make_column_currency_nullable',17),(188,'2021_08_09_161302_add_metadata_column_to_payments_table',17),(189,'2021_10_19_020859_update_metadata_field',17),(190,'2022_06_28_151901_activate_paypal_stripe_plugin',17),(191,'2022_07_07_153354_update_charge_id_in_table_payments',17),(192,'2024_07_04_083133_create_payment_logs_table',17),(193,'2017_07_11_140018_create_simple_slider_table',18),(194,'2022_11_02_092723_team_create_team_table',19),(195,'2023_08_11_094574_update_team_table',19),(196,'2023_11_30_085354_add_missing_description_to_team',19),(197,'2018_07_09_214610_create_testimonial_table',20),(198,'2021_12_03_083642_create_testimonials_translations',20),(199,'2016_10_07_193005_create_translations_table',21),(200,'2023_12_12_105220_drop_translations_table',21);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Homepage','[hero-banner title=&quot;Business Consulting All Solutions&quot; subtitle=&quot;WE ARE EXPERT IN THIS FIELD&quot; description=&quot;Apexa Helps You To Convert Your Data Into A Strategic Asset And Get Business Insights Apexa Helps You To Convert Your Data Into Asset And Get Top-Notch Business Insights.&quot; button_label=&quot;Read more&quot; button_url=&quot;/&quot; display_social_links=&quot;0,1&quot; display_button_scroll_down=&quot;0,1&quot; background_image=&quot;backgrounds/hero-banner.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/hero-banner][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands][about-us-information style=&quot;style-1&quot; title=&quot;We Help Organizations To Make Ultimate Businesses Growth Success.&quot; subtitle=&quot;SIMPLY KNOW ABOUT&quot; description=&quot;We successfully cope with tasks of varying complexity, provide long-term guarantees and regularly master new Practice Area technologies. Our portfolio includes dozens.&quot; image=&quot;general/about-us-information-1.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis tellus urna condi&quot; icon_1=&quot;ti ti-target&quot; title_2=&quot;Quality Services&quot; description_2=&quot;Semper egetuis tellus urna condi&quot; icon_2=&quot;ti ti-chart-bar&quot; data_count=&quot;25 -&quot; data_count_description=&quot;Years Of - Experience&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; button_label=&quot;Read more&quot; button_url=&quot;/&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][services style=&quot;style-1&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; description=&quot;Empowering Businesses through Strategic Consulting With Us&quot; service_ids=&quot;1,2,3,4&quot; button_label=&quot;See All Services&quot; button_url=&quot;/&quot; background_image=&quot;backgrounds/services-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/services][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][projects style=&quot;style-1&quot; title=&quot;Let&rsquo;s Discover All Our Clients Recent Project&quot; subtitle=&quot;OUR PROJECTS&quot; description=&quot;We successfully cope with tasks of varying complexity, &lt;br&gt; provide long-term guarantees and regularly&quot; project_ids=&quot;1,2,3,4&quot; button_label=&quot;See All Projects&quot; button_url=&quot;/&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/projects][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][consulting-block title=&quot;Trusted , Happy &amp; Satisfied Businesses&quot; description=&quot;When you work with HR Solutions, you get the best. We provide adaptable solutions that allow you to be a part of the entire process&quot; image=&quot;general/consulting-block.jpg&quot; data_count=&quot;40+&quot; data_count_description=&quot;Consulting &lt;br&gt; farm&quot; background_color=&quot;rgb(25, 29, 136)&quot;][/consulting-block][testimonials style=&quot;style-1&quot; image=&quot;general/testimonials-1.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][blog-posts style=&quot;style-1&quot; category_ids=&quot;2,3,4,5&quot; title=&quot;Featured News And Insights&quot; subtitle=&quot;OUR BLOG UPDATE&quot; limit=&quot;3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/blog-posts]',1,NULL,'homepage',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(2,'Contact Us','<br><br><br><br><div>[google-map height=\"500\"]Awamileaug Drive, Kensington London, UK[/google-map]</div>[contact-form display_fields=\"phone,email,subject,address\" mandatory_fields=\"email\" title=\"How can we help you?\" description=\"When an unknown printer took a galley of type and scrambled it to make type pecimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker\" quantity=\"3\" title_1=\"Address\" icon_1=\"ti ti-map-pin\" description_1=\"Awamileaug Drive, Kensington London, UK\" title_2=\"Phone\" icon_2=\"ti ti-phone-call\" description_2=\"+48 500-130-0001\" title_3=\"E-mail\" icon_3=\"ti ti-mail\" description_3=\"info@gmail.com\" form_title=\"Give Us a Message\" form_description=\"Your email address will not be published. Required fields are marked *\" form_button_label=\"Submit Post\"][/contact-form]',1,NULL,NULL,NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,'Blog','',1,NULL,NULL,NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,'Business About','[about-us-information style=&quot;style-11&quot; title=&quot;We Help Organizations To Make Ultimate Businesses Growth Success&quot; subtitle=&quot;SIMPLY KNOW ABOUT&quot; description=&quot;We successfully cope with tasks of varying complexityprovide longerty term guarantees and regularly master new Practice Area technol ogiesOur portfolio includes dozen&quot; image=&quot;general/about-us-information-11.jpg&quot; image_1=&quot;general/about-us-information-11-1.jpg&quot; image_2=&quot;general/about-us-information-11-2.png&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;15+&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; button_label=&quot;Contact With Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands][about-us-information style=&quot;style-12&quot; title=&quot;Digital Solutions For Your Online Business&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur.&quot; quantity=&quot;4&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-histogram&quot; title_2=&quot;Finance Planning&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-building-bank&quot; title_3=&quot;Market Analysis&quot; description_3=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_3=&quot;ti ti-ad-2&quot; title_4=&quot;Business Solutions&quot; description_4=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_4=&quot;ti ti-box-model&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][team style=&quot;style-4&quot; title=&quot;Business Expertise Is Here For You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(5,'Finance About','[about-us-information style=&quot;style-13&quot; title=&quot;Dedicated Teams &lt;br&gt; &lt;span&gt;Always&lt;/span&gt; Bring Something &lt;span&gt;Good&lt;/span&gt;&quot; description=&quot;We when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only fiveawe centuriesbut also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release offer Letraset when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only &quot; image=&quot;general/about-us-information-13.jpg&quot; quantity=&quot;6&quot; data_count=&quot;25&quot; data_count_description=&quot;Years of experience&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(6,'Consulting About','[about-us-information style=&quot;style-3&quot; title=&quot;Providing Expert Advice On Business Consulting, Planning &amp; Success&quot; subtitle=&quot;ABOUT OUR COMPANY&quot; description=&quot;Mauris ut enim sit amet lacus ornare ullamcorper. Praesent plaacerat neque eu purus rhoncus, vel tincidunt odio ultrices. Seed theya are feugiat elis Curabitur posuere tristique.&quot; image=&quot;general/about-us-information-3-1.jpg&quot; image_1=&quot;general/about-us-information-3-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Business Growth&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure&quot; data_count=&quot;25&quot; data_count_description=&quot;YEARS &lt;br&gt; EXPERIENCE &lt;br&gt; IN CONSULTING&quot; author_name=&quot;Martinaze&quot; author_title=&quot;CEO&quot; author_avatar=&quot;general/author-avatar.png&quot; author_signature=&quot;general/author-signature.png&quot; contact_title=&quot;+123 8989 444&quot; contact_subtitle=&quot;Hot Line Number&quot; contact_url=&quot;tel:+123 8989444&quot; contact_icon=&quot;ti ti-phone-call&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][site-statistics style=&quot;style-1&quot; quantity=&quot;4&quot; title_1=&quot;Successfully Completed Projects&quot; data_1=&quot;45&quot; unit_1=&quot;+&quot; image_1=&quot;icons/trophy.png&quot; title_2=&quot;Satisfied 100% Our Clients&quot; data_2=&quot;92&quot; unit_2=&quot;K&quot; image_2=&quot;icons/star.png&quot; title_3=&quot;All Over The World We Are Available&quot; data_3=&quot;19&quot; unit_3=&quot;+&quot; image_3=&quot;icons/popularity.png&quot; title_4=&quot;Years of Experiences To Run This Company&quot; data_4=&quot;25&quot; unit_4=&quot;+&quot; image_4=&quot;icons/time.png&quot; background_image=&quot;backgrounds/site-statistics-bg.png&quot; background_color=&quot;rgb(255, 251, 243)&quot; enable_lazy_loading=&quot;yes&quot;][/site-statistics][contact-block style=&quot;style-1&quot; title=&quot;Offering The Best Experience Of Business Consulting Services&quot; subtitle=&quot;Toll Free Call&quot; phone_number=&quot;+ 88 ( 9600 ) 6002&quot; button_label=&quot;Request a Free Call&quot; button_url=&quot;tel:8896006002&quot; background_image=&quot;backgrounds/contact-block-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/contact-block][team style=&quot;style-1&quot; title=&quot;Financial Expertise You Can Trust&quot; subtitle=&quot;MEET OUR TEAM&quot; description=&quot;Our power of choice is untrammelled and when nothing prevents being able to do what we like best every pleasure.&quot; team_ids=&quot;1,2,3,4&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;yes&quot;][/team][testimonials style=&quot;style-4&quot; image=&quot;general/testimonials-4.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(7,'Insurance About','[about-us-information style=&quot;style-4&quot; title=&quot;Insurance For The Better Family &amp; Corporate Life&quot; subtitle=&quot;ABOUT US&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes.&quot; image=&quot;general/about-us-information-4-1.jpg&quot; image_1=&quot;general/about-us-information-4-2.jpg&quot; quantity=&quot;3&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; data_count=&quot;25&quot; data_count_description=&quot;Years Experience &lt;br&gt;  in This Field&quot; button_label=&quot;Quick Contact Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][about-us-information style=&quot;style-8&quot; title=&quot;We Offer Business Insight World Class Consulting&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master new Practice Following gies heur portfolio includes dozen.&quot; image=&quot;general/about-us-information-8-1.jpg&quot; image_1=&quot;general/about-us-information-8-2.jpg&quot; quantity=&quot;2&quot; title_1=&quot;Business Solutions&quot; description_1=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_1=&quot;ti ti-chart-pie-2&quot; title_2=&quot;Market Analysis&quot; description_2=&quot;Semper egetuis kelly for tellus urna area condition.&quot; icon_2=&quot;ti ti-broadcast&quot; background_color=&quot;rgb(23, 26, 124)&quot; enable_lazy_loading=&quot;yes&quot;][/about-us-information][testimonials style=&quot;style-1&quot; image=&quot;general/testimonials-4-1.png&quot; testimonial_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/about-us-information-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing][brands name_1=&quot;Door Dash&quot; image_1=&quot;brands/1.png&quot; url_1=&quot;/&quot; name_2=&quot;Discord&quot; image_2=&quot;brands/1.png&quot; url_2=&quot;/&quot; name_3=&quot;Airbnb&quot; image_3=&quot;brands/1.png&quot; url_3=&quot;/&quot; name_4=&quot;Norton&quot; image_4=&quot;brands/1.png&quot; url_4=&quot;/&quot; name_5=&quot;Naturewave&quot; image_5=&quot;brands/1.png&quot; url_5=&quot;/&quot; quantity=&quot;5&quot; background_color=&quot;transparent&quot;][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(8,'Digital Agency About','<br><br><br><br>[about-us-information style=&quot;style-5&quot; title=&quot;Business Growth Creativity Meet Our Agency&#039;s Experts&quot; subtitle=&quot;ABOUT COMPANY&quot; description=&quot;We successfully cope with tasks of varying complexity provide area longerty guarantees and regularly master. We successfully cope varying complexity provide area longerty guarantees.&quot; image=&quot;general/about-us-information-5.jpg&quot; image_1=&quot;general/about-us-information-5-1.png&quot; data_count=&quot;15&quot; data_count_description=&quot;World Best Agency &lt;br&gt; Award Got&quot; quantity=&quot;4&quot; title_1=&quot;Medicare Advantage Plans&quot; title_2=&quot;Analysis &amp; Research&quot; title_3=&quot;100% Secure Money Back&quot; title_4=&quot;100% Money Growth&quot; button_label=&quot;Contact with Us&quot; button_url=&quot;/contact-us&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/about-us-information][services style=&quot;style-3&quot; title=&quot;Transforming Your Business With Technology&quot; subtitle=&quot;SPECIAL FEATURES&quot; service_ids=&quot;1,2,7&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/services][testimonials style=&quot;style-2&quot; title=&quot;What Our Loving Clients Saying&quot; subtitle=&quot;CLIENTS TESTIMONIAL&quot; testimonial_ids=&quot;1,2,3&quot; background_color=&quot;rgb(20, 23, 108)&quot; enable_lazy_loading=&quot;yes&quot;][/testimonials][pricing title=&quot;We&rsquo;ve Offered The Best Pricing For You&quot; subtitle=&quot;FLEXIBLE PRICING PLAN&quot; package_ids=&quot;1,2,3&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; enable_lazy_loading=&quot;yes&quot;][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(9,'Services','[services style=&quot;style-1&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(10,'Finance Service','[services style=&quot;style-2&quot; title=&quot;Let&rsquo;s Discover Our Service &lt;br&gt; Features Charter&quot; subtitle=&quot;WHY WE ARE THE BEST&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_color=&quot;#14176C&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(11,'Consulting Service','[services style=&quot;style-3&quot; title=&quot;We Offer An Effective Wide Area Business solutions&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(12,'Digital Agency Service','[services style=&quot;style-6&quot; title=&quot;We Do World Class Work For You&quot; subtitle=&quot;WHAT WE OFFER&quot; service_ids=&quot;1,2,3,4,5,6,7,8&quot; background_image=&quot;backgrounds/blog-posts-bg.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(13,'Insurance Service','[services-tab title=&quot;Discover Our Insurance Services For All&quot; subtitle=&quot;WHAT WE OFFER&quot; quantity=&quot;6&quot; service_id_1=&quot;1&quot; title_1=&quot;Data Analyst&quot; description_1=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_1=&quot;Business Growth&quot; featured_title_2_1=&quot;100% Secure&quot; featured_title_3_1=&quot;Business Growth&quot; service_id_2=&quot;8&quot; title_2=&quot;Strategy Adviser&quot; description_2=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_2=&quot;Business Growth&quot; featured_title_2_2=&quot;Analysis &amp; Research&quot; featured_title_3_2=&quot;100% Secure&quot; service_id_3=&quot;2&quot; title_3=&quot;Liability Planner&quot; description_3=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_3=&quot;Business Growth&quot; featured_title_2_3=&quot;Analysis &amp; Research&quot; featured_title_3_3=&quot;100% Secure&quot; service_id_4=&quot;12&quot; title_4=&quot;Growth Planner&quot; description_4=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_4=&quot;Business Growth&quot; featured_title_2_4=&quot;Analysis &amp; Research&quot; featured_title_3_4=&quot;100% Secure&quot; service_id_5=&quot;7&quot; title_5=&quot;Insurance Expert&quot; description_5=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_5=&quot;Business Growth&quot; featured_title_2_5=&quot;Analysis &amp; Research&quot; featured_title_3_5=&quot;100% Secure&quot; service_id_6=&quot;10&quot; title_6=&quot;Operations Expert&quot; description_6=&quot;Explore our savings, quality care and wellness solutions to craft the perfect plan for your business when an unknown printer.&quot; featured_title_1_6=&quot;Business Growth&quot; featured_title_2_6=&quot;Analysis &amp; Research&quot; featured_title_3_6=&quot;100% Secure&quot; button_label=&quot;See More Services&quot; button_url=&quot;/services&quot; background_image=&quot;backgrounds/services-bg-3.jpg&quot; background_color=&quot;transparent&quot; enable_lazy_loading=&quot;no&quot;][/services-tab]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(14,'Team One','[team style=\"style-1\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"transparent\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(15,'Team Two','[team style=\"style-2\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(16,'Team Three','[team style=\"style-3\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(17,'Team Four','[team style=\"style-4\" team_ids=\"1,2,3,4,5,6,7,8\" background_color=\"transparent\" enable_lazy_loading=\"no\"][/team][brands name_1=\"Door Dash\" image_1=\"brands/1.png\" url_1=\"/\" name_2=\"Discord\" image_2=\"brands/1.png\" url_2=\"/\" name_3=\"Airbnb\" image_3=\"brands/1.png\" url_3=\"/\" name_4=\"Norton\" image_4=\"brands/1.png\" url_4=\"/\" name_5=\"Naturewave\" image_5=\"brands/1.png\" url_5=\"/\" quantity=\"5\" background_color=\"#F7F7F8\"][/brands]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(18,'How Its Work','[instruction-steps title=\"Engage With Us For Financial And Accounting Services With This Step-By-Step Guide\" description=\"Discover how our company can help your business with our comprehensive financial and accounting services. From bookkeeping to tax planning, we have you covered. Contact us today to get started.\" quantity=\"3\" title_1=\"Step 1: Initial Consultation\" description_1=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_1=\"ti ti-chart-pie\" button_label_1=\"Read More\" button_url_1=\"/contact-us\" title_2=\"Step 2: Initial Consultation\" description_2=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_2=\"ti ti-bulb\" button_label_2=\"Read more\" button_url_2=\"/contact-us\" title_3=\"Step 3: Initial Consultation\" description_3=\"Schedule a consultation with our experts to discuss your business needs and goals.\" icon_3=\"ti ti-rocket\" button_label_3=\"Read More\" button_url_3=\"/contact-us\" background_color=\"rgb(20, 23, 108)\"][/instruction-steps]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(19,'Pricing','[pricing title=\"We’ve Offered The Best Pricing For You\" subtitle=\"FLEXIBLE PRICING PLAN\" package_ids=\"1,2,3\" background_image=\"backgrounds/blog-posts-bg.jpg\" enable_lazy_loading=\"yes\"][/pricing]',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10'),(20,'Testimonials','[testimonials style=\"style-2\" title=\"What Our Loving Clients Saying\" subtitle=\"CLIENTS TESTIMONIAL\" testimonial_ids=\"1,2,3\" background_color=\"rgb(20, 23, 108)\" enable_lazy_loading=\"yes\"][/testimonials]<br><br>',1,NULL,'full-width',NULL,'published','2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payment_logs`
--

DROP TABLE IF EXISTS `payment_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `response` longtext COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payment_logs`
--

LOCK TABLES `payment_logs` WRITE;
/*!40000 ALTER TABLE `payment_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `payment_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `payments`
--

DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `currency` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL DEFAULT '0',
  `charge_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_channel` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(15,2) unsigned NOT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT 'pending',
  `payment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'confirm',
  `customer_id` bigint unsigned DEFAULT NULL,
  `refunded_amount` decimal(15,2) unsigned DEFAULT NULL,
  `refund_note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `customer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `payments`
--

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options`
--

DROP TABLE IF EXISTS `pf_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_field_options_custom_field_id_index` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options`
--

LOCK TABLES `pf_custom_field_options` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options` DISABLE KEYS */;
INSERT INTO `pf_custom_field_options` VALUES (1,1,'Health Insurance','Health Insurance',999,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,1,'Travel Insurance','Travel Insurance',999,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(3,1,'Vehicle Insurance','Vehicle Insurance',999,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(4,1,'Cargo Insurance','Cargo Insurance',999,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(5,1,'Fire Insurance','Fire Insurance',999,'2024-08-09 23:57:22','2024-08-09 23:57:22');
/*!40000 ALTER TABLE `pf_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options_translations`
--

DROP TABLE IF EXISTS `pf_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_field_options_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options_translations`
--

LOCK TABLES `pf_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields`
--

DROP TABLE IF EXISTS `pf_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_fields_author_type_author_id_index` (`author_type`,`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields`
--

LOCK TABLES `pf_custom_fields` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields` DISABLE KEYS */;
INSERT INTO `pf_custom_fields` VALUES (1,'Botble\\ACL\\Models\\User',1,'Type',NULL,1,'dropdown',999,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,'Botble\\ACL\\Models\\User',1,'Price',NULL,0,'number',999,'published','2024-08-09 23:57:22','2024-08-09 23:57:22');
/*!40000 ALTER TABLE `pf_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields_translations`
--

DROP TABLE IF EXISTS `pf_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_fields_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields_translations`
--

LOCK TABLES `pf_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages`
--

DROP TABLE IF EXISTS `pf_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages`
--

LOCK TABLES `pf_packages` WRITE;
/*!40000 ALTER TABLE `pf_packages` DISABLE KEYS */;
INSERT INTO `pf_packages` VALUES (1,'Basic Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$19','$119','monthly','+ 100 User Activities\n+ Limit Access\n+ No Hidden Charge\n+ 01 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,'Team Plan','All the basics for businesses that are just getting started.','<p>This is package content</p>\n','$49','$499','monthly','+ 1000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 03 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',1,'2024-08-09 23:57:22','2024-08-09 23:57:22'),(3,'Enterprise Plan','Advanced features for pros who need more customization.','<p>This is package content</p>\n','$99','$999','monthly','+ 5000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 10 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2024-08-09 23:57:22','2024-08-09 23:57:22');
/*!40000 ALTER TABLE `pf_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages_translations`
--

DROP TABLE IF EXISTS `pf_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages_translations`
--

LOCK TABLES `pf_packages_translations` WRITE;
/*!40000 ALTER TABLE `pf_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects`
--

DROP TABLE IF EXISTS `pf_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `place` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects`
--

LOCK TABLES `pf_projects` WRITE;
/*!40000 ALTER TABLE `pf_projects` DISABLE KEYS */;
INSERT INTO `pf_projects` VALUES (1,'Innovation Hub: Navigating the Future','Gain invaluable insights into strategic business planning and decision-making through our comprehensive program. Unlock the power of data-driven strategies for sustainable growth.','<p>We are excited to introduce you to Innovation Hub: Navigating the Future, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Innovation Hub: Navigating the Future</span>?</h2>\n<p>\n    Choosing <span>Innovation Hub: Navigating the Future</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Paris','Grace Williams',0,'projects/1.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Darian Durgan','1976-07-09'),(2,'Leadership Excellence Initiative','Join us at the Innovation Hub, where we explore cutting-edge technologies and trends shaping the future of business. Discover innovative solutions and stay ahead of the curve.','<p>We are excited to introduce you to Leadership Excellence Initiative, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Leadership Excellence Initiative</span>?</h2>\n<p>\n    Choosing <span>Leadership Excellence Initiative</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','Michael Turner',0,'projects/2.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Elsa Hauck','1989-07-24'),(3,'Startup Accelerator Program','Accelerate your startup’s growth with our intensive program. From idea to market entry, we provide mentorship, resources, and networking opportunities for success.','<p>We are excited to introduce you to Startup Accelerator Program, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Startup Accelerator Program</span>?</h2>\n<p>\n    Choosing <span>Startup Accelerator Program</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thailand','David Chen',0,'projects/3.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Ms. Geraldine Ritchie Sr.','2024-04-22'),(4,'Marketing Mastery Series','Master the art of marketing with our comprehensive series. From branding to digital marketing, this series equips you with the skills to captivate your audience.','<p>We are excited to introduce you to Marketing Mastery Series, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Mastery Series</span>?</h2>\n<p>\n    Choosing <span>Marketing Mastery Series</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Japan','Takashi Hamachi',0,'projects/4.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Dr. Tyrique Langosh','1993-10-15'),(5,'Illustration Design','Laudantium et voluptas delectus ullam nesciunt. Eaque suscipit molestias dolore fugiat eos. Debitis autem itaque modi autem ab provident. Repudiandae sed officiis ut consectetur tenetur nulla.','<p>We are excited to introduce you to Illustration Design, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Illustration Design</span>?</h2>\n<p>\n    Choosing <span>Illustration Design</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','USA','David Kane',0,'projects/5.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Heber Howe','2016-02-12'),(6,'Design & Development','Accusamus quasi veritatis ullam nobis numquam. Aut doloribus facilis inventore quam sed ut delectus. Voluptatem sapiente illum porro ut saepe. Et debitis a aut optio.','<p>We are excited to introduce you to Design & Development, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Design & Development</span>?</h2>\n<p>\n    Choosing <span>Design & Development</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Canada','Franks Doe',0,'projects/6.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Dr. Rosemary Nader DDS','1976-10-06'),(7,'Marketing Consultancy','Odio perferendis et velit tempore maxime id. Quia et voluptatem illum a omnis dolore alias.','<p>We are excited to introduce you to Marketing Consultancy, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Marketing Consultancy</span>?</h2>\n<p>\n    Choosing <span>Marketing Consultancy</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','India','Alexander Kavas',0,'projects/7.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Carmela Franecki','2013-07-06'),(8,'Digital Marketing','Aliquam velit molestiae voluptas qui eum quisquam. Aut dolorem praesentium consequatur excepturi molestias quia similique. Excepturi sunt soluta amet sint. Fuga voluptatem aut odit et adipisci.','<p>We are excited to introduce you to Digital Marketing, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Digital Marketing</span>?</h2>\n<p>\n    Choosing <span>Digital Marketing</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Brazil','Roby Elexa',0,'projects/8.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Winfield Windler','2009-03-09'),(9,'Strategic Planning','Officiis suscipit tempora hic quia. Soluta nihil itaque fugit voluptate. Veniam voluptatem magni officia molestiae nam. Asperiores sunt natus accusantium omnis quae.','<p>We are excited to introduce you to Strategic Planning, a cutting-edge platform designed to transform the way you manage content. Developed with the latest technology, our project aims to deliver exceptional performance, user-friendly interfaces, and robust functionality to meet your specific needs.</p>\n[content-featured title=\"Our Corporate Business Planning\" description=\"When an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries.but also the leap into electronic typesetting, remaining.\" image=\"general/content-featured.jpg\" quantity=\"4\" title_1=\"Medicare Advantage Plans\" title_2=\"Analysis & Research\" title_3=\"100% Secure Money Back\" title_4=\"100% Money Growth\"][/content-featured]\n<h2>Why Choose <span>Strategic Planning</span>?</h2>\n<p>\n    Choosing <span>Strategic Planning</span> means opting for excellence and innovation. Here are some reasons why our project stands out:\n</p>\n<ul>\n    <li><strong>Ease of Use:</strong> Our intuitive design ensures that users of all skill levels can quickly get up to speed.</li>\n    <li><strong>Comprehensive Support:</strong> We offer extensive documentation, tutorials, and a dedicated support team to assist you.</li>\n    <li><strong>Customizable:</strong> Tailor the platform to meet your unique requirements with flexible options and settings.</li>\n    <li><strong>Secure and Reliable:</strong> Built with security and reliability in mind, our platform ensures your data is protected and always available.</li>\n</ul>\n','Thai Lan','Nicola Per',0,'projects/9.jpg',NULL,0,'published','2024-08-09 23:57:22','2024-08-09 23:57:22','Scot Bayer V','1980-10-15');
/*!40000 ALTER TABLE `pf_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects_translations`
--

DROP TABLE IF EXISTS `pf_projects_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_projects_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects_translations`
--

LOCK TABLES `pf_projects_translations` WRITE;
/*!40000 ALTER TABLE `pf_projects_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_projects_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_quotes`
--

DROP TABLE IF EXISTS `pf_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_quotes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_quotes`
--

LOCK TABLES `pf_quotes` WRITE;
/*!40000 ALTER TABLE `pf_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories`
--

DROP TABLE IF EXISTS `pf_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories`
--

LOCK TABLES `pf_service_categories` WRITE;
/*!40000 ALTER TABLE `pf_service_categories` DISABLE KEYS */;
INSERT INTO `pf_service_categories` VALUES (1,NULL,'Financial Analysis','Quidem temporibus excepturi cum omnis ut quia. Dolor alias doloribus rerum omnis laboriosam odit aspernatur. Repellat excepturi suscipit voluptate voluptatem quia necessitatibus quia. Quia iure quasi fugit illo est aut. Rerum et eum omnis quia repellendus sed. Consequatur et officia omnis voluptates. Ut nisi non qui corporis reiciendis sint explicabo.',NULL,1,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,NULL,'Tax Strategy','Velit perferendis laudantium tenetur voluptatem beatae et neque. Eligendi eum quaerat vitae necessitatibus quia amet. Labore neque explicabo sint sunt voluptatem qui doloribus. Nihil nesciunt vel repellat commodi voluptas ea. Minus magnam molestiae praesentium. Vero est possimus officiis nobis similique. Reprehenderit quia ut non aut officia natus illo.',NULL,2,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(3,NULL,'Market Research','Provident consectetur eveniet iste quis neque harum. Reprehenderit asperiores ut velit esse accusantium repellat. Maxime repellendus quas voluptatem consequatur et et esse reiciendis. Illum sit labore ducimus totam eum. Et eum voluptatum qui dignissimos.',NULL,3,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(4,NULL,'Business Strategy','Ea neque neque in necessitatibus. Fugiat consectetur est a aliquam dolorem neque voluptatem sed. Impedit magnam commodi similique enim ab eos enim. Saepe repellendus harum qui hic.',NULL,4,'published','2024-08-09 23:57:22','2024-08-09 23:57:22');
/*!40000 ALTER TABLE `pf_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories_translations`
--

DROP TABLE IF EXISTS `pf_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`pf_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories_translations`
--

LOCK TABLES `pf_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `pf_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services`
--

DROP TABLE IF EXISTS `pf_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services`
--

LOCK TABLES `pf_services` WRITE;
/*!40000 ALTER TABLE `pf_services` DISABLE KEYS */;
INSERT INTO `pf_services` VALUES (1,2,'Data Analyst','Aut dolores autem autem expedita ex. Occaecati similique perferendis adipisci possimus. Ad tempore molestiae a repellendus cum explicabo numquam.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/1.jpg\"]',9924,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(2,2,'Liability Planner','Sint natus maxime deserunt consequatur. Qui non aliquid inventore et praesentium est. Accusamus sunt dolores temporibus magnam expedita.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/3.jpg','[\"news\\/3.jpg\"]',1453,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(3,2,'Growth Planner','Tempore autem ut vitae est sed maxime. Ut a quisquam a perspiciatis cum quaerat consequatur.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/4.jpg','[\"news\\/2.jpg\"]',2353,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(4,3,'Risk Manager','Eos aliquam alias itaque odio nihil nulla fuga. Accusamus quae ullam eius quas eveniet et aut. Tempora quis amet ut voluptatem ad.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',2409,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(5,2,'Retirement Planner','Ipsam libero ipsa esse nihil quibusdam similique. Voluptas sit fugiat dicta animi dolore impedit voluptas. Quo qui dolores minus. Doloremque minus et enim quam non.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/4.jpg','[\"news\\/3.jpg\"]',9898,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(6,2,'Risk Analyst','Magni nemo et mollitia recusandae. Necessitatibus sit ducimus voluptatibus et autem. Dolorem cupiditate a voluptatum esse et. Maxime officiis non et est assumenda sint quia.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/2.jpg\"]',2068,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(7,4,'Insurance Expert','In nostrum iure et atque amet non. Impedit qui enim quidem recusandae voluptatum voluptatum. Modi expedita dicta deserunt temporibus. Enim cupiditate ea nostrum laboriosam soluta.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/4.jpg','[\"news\\/4.jpg\"]',2746,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(8,2,'Budget Manager','Maxime debitis laboriosam velit libero vel. Eum praesentium quo natus eius distinctio ut. Ad officiis ipsa fugit sint. Sed dolorem numquam sit dolorem rerum est esse ut.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',577,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(9,4,'Strategy Adviser','Qui sit eveniet nihil est. Minus iste sed et. Qui et dolores quaerat aliquam. Velit voluptas in nesciunt voluptatibus possimus deserunt quaerat.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',3810,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(10,1,'Operations Expert','Dolor provident quisquam aut sed. Architecto quod laboriosam maxime in dolores. Autem hic perferendis molestiae nobis.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/2.jpg','[\"news\\/4.jpg\"]',5631,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(11,2,'Profit Strategist','Quibusdam consequatur veritatis dolorum iusto reiciendis. Quaerat modi dolorem dolorem unde nihil reprehenderit. Rerum officia dolorum molestiae enim explicabo nostrum in.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/1.jpg','[\"news\\/4.jpg\"]',7519,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(12,1,'Objective Planner','Deleniti et porro debitis numquam at. Voluptate voluptatem tenetur nam aliquid velit. Possimus est quaerat aut quia saepe debitis debitis eos. Quae provident nobis commodi corporis.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',1,'news/2.jpg','[\"news\\/4.jpg\"]',8774,'published','2024-08-09 23:57:22','2024-08-09 23:57:22'),(13,1,'Goal Specialist','Illum voluptatem aspernatur perferendis sapiente qui vel ullam. Perspiciatis itaque aperiam autem alias. Enim omnis possimus autem maxime blanditiis quas.','<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-feature-list quantity=\"2\" title_1=\"Extend Coverage\" icon_1=\"ti ti-plant-2\" description_1=\"We successfully copey withtks arying mplexity aweprguara nd regularly master\" title_2=\"Modern Insurance\" icon_2=\"ti ti-assembly\" description_2=\"Master the art of negotiation and achieve mutually beneficial outcomes.\"][/content-feature-list]\n<p>Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise. That’s why we’ve developed close working relationships with a number of strategic partner.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>Finanappreciate your trust greatly Our clients choose dentace ducts because kn ow we are the best area Awaitingare really.</p>\n',0,'news/3.jpg','[\"news\\/4.jpg\"]',3800,'published','2024-08-09 23:57:22','2024-08-09 23:57:22');
/*!40000 ALTER TABLE `pf_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services_translations`
--

DROP TABLE IF EXISTS `pf_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services_translations`
--

LOCK TABLES `pf_services_translations` WRITE;
/*!40000 ALTER TABLE `pf_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (5,1),(9,1),(18,2),(15,2),(6,3),(15,3),(16,4),(17,4),(5,5),(11,5),(14,6),(12,6),(13,7),(7,7),(20,8),(18,8),(16,9),(8,9),(11,10),(8,10),(9,11),(15,11),(14,12),(13,12),(20,13),(14,13),(6,14),(15,14),(18,15),(16,15),(17,16),(7,16),(7,17),(5,17),(12,18),(8,18),(10,19),(11,19);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (9,1),(5,1),(8,1),(2,2),(17,2),(6,2),(3,3),(9,3),(4,3),(2,4),(16,4),(11,4),(2,5),(4,5),(10,5),(19,6),(12,6),(14,6),(15,7),(8,7),(10,7),(9,8),(5,8),(11,8),(1,9),(15,9),(6,9),(1,10),(20,10),(7,10),(12,11),(6,11),(19,11),(6,12),(8,12),(2,12),(1,13),(19,13),(16,13),(19,14),(14,14),(12,14),(3,15),(14,15),(19,15),(11,16),(13,16),(2,16),(3,17),(19,17),(18,17),(17,18),(13,18),(10,18),(2,19),(6,19),(1,19);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'The Power of Networking: Building Relationships for Business Growth','Learn how to build strategic connections and leverage your network to propel your business forward.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/1.jpg',925,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(2,'5 Productivity Hacks for Busy Entrepreneurs','Feeling overwhelmed? Discover practical tips to maximize your time and achieve more in your workday.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/2.jpg',1272,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(3,'From Brainstorm to Boardroom: Crafting a Winning Business Plan','Unleash your inner strategist. This post outlines the key elements of a compelling business plan.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/3.jpg',1094,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(4,'The Art of Delegation: Empowering Your Team for Success','Effective leaders empower others. Learn how to delegate tasks effectively and unlock your team\'s full potential.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/4.jpg',1014,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(5,'Customer Centricity: Putting Your Customers at the Heart of Your Business','In today\'s competitive market, customer satisfaction is paramount. Discover strategies to prioritize your customers.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/5.jpg',2321,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(6,'Data-Driven Decisions: Leveraging Insights to Fuel Business Growth','Data is king. Learn how to harness the power of data analytics to make informed decisions for your business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/6.jpg',946,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(7,'Building a Strong Brand Identity: Standing Out from the Crowd','Create a brand that resonates with your audience. Explore strategies to develop a unique and memorable brand identity.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/7.jpg',1110,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(8,'The Importance of Social Media Marketing for Businesses','Reach a wider audience and engage with potential customers. Discover the power of social media marketing for businesses.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/8.jpg',1344,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(9,'Content is King: Creating Engaging Content to Attract Customers','High-quality content is key to attracting and retaining customers. Explore strategies to create valuable and engaging content.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/9.jpg',1972,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(10,'The Art of Negotiation: Winning Deals and Building Relationships','Master the art of negotiation and achieve mutually beneficial outcomes. Learn effective negotiation strategies for business.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/10.jpg',893,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(11,'Managing Cash Flow: The Lifeblood of Your Business','Cash flow is crucial for any business. Explore strategies to manage your cash flow effectively and ensure financial stability.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/11.jpg',2169,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(12,'The Power of Storytelling: Connecting with Your Audience on a Deeper Level','Stories have the power to inspire and connect. Learn how storytelling can enhance your marketing and brand communication.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/12.jpg',2177,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(13,'Overcoming Challenges: Embracing Failure as a Learning Opportunity','Challenges are inevitable in business. Discover how to overcome obstacles and use setbacks as fuel for growth.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/13.jpg',1186,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(14,'Building a High-Performing Team: Creating a Culture of Collaboration and Success','The strength of a business lies in its people. Explore strategies to foster a collaborative and successful team environment.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/14.jpg',2036,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(15,'The Importance of Work-Life Balance for Entrepreneurs','Burnout is real. Learn how to maintain a healthy work-life balance for long-term success as an entrepreneur.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/15.jpg',557,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(16,'Staying Ahead of the Curve: Embracing Innovation in Business','In a rapidly changing world, innovation is key. Learn strategies to stay ahead of the curve and adapt to industry trends.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/16.jpg',2107,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(17,'The Power of Public Speaking: Captivate Your Audience and Deliver Your Message with Impact','Master the art of public speaking to elevate your presentations and connect with your audience effectively.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/17.jpg',192,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(18,'Building a Sustainable Business: Environmental and Social Responsibility','Today\'s consumers are conscious. Learn how to build a sustainable business model that prioritizes social responsibility.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/18.jpg',208,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19'),(19,'The Future of Business: Trends and Technologies Shaping the Landscape','Explore emerging trends and technologies that are shaping the future of business. Prepare your business for what\'s to come.','[content-quote content_text=\"“ Urabitur Varius Eros Rutrum Consequat Mauris Aewa Sollicitudin Enim Condimentum Luctus Enim Justo Non Molestie Nisl ”\" background_color=\"#F8FAFF\"][/content-quote]\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n[content-featured title=\"Raise Capital Faster & Negotiate On Your Own Terms\" description=\"Accelerate your business growth and secure funding with confidence through our comprehensive services tailored to meet your needs.\" image=\"general/content-featured.jpg\" quantity=\"3\" title_1=\"Business Growth\" title_2=\"Analysis & Research\" title_3=\"100% Secure\"][/content-featured]\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/19.jpg',218,NULL,'2024-08-09 23:57:19','2024-08-09 23:57:19');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.cms\":true,\"core.manage.license\":true,\"systems.cronjob\":true,\"core.tools\":true,\"tools.data-synchronize\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.common\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"settings.others\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"theme.robots-txt\":true,\"settings.website-tracking\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"announcements.index\":true,\"announcements.create\":true,\"announcements.edit\":true,\"announcements.destroy\":true,\"announcements.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"posts.export\":true,\"posts.import\":true,\"captcha.settings\":true,\"careers.index\":true,\"careers.create\":true,\"careers.edit\":true,\"careers.destroy\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugins.ecommerce\":true,\"ecommerce.report.index\":true,\"products.index\":true,\"products.create\":true,\"products.edit\":true,\"products.destroy\":true,\"products.duplicate\":true,\"ecommerce.product-prices.index\":true,\"ecommerce.product-prices.edit\":true,\"ecommerce.product-inventory.index\":true,\"ecommerce.product-inventory.edit\":true,\"product-categories.index\":true,\"product-categories.create\":true,\"product-categories.edit\":true,\"product-categories.destroy\":true,\"product-tag.index\":true,\"product-tag.create\":true,\"product-tag.edit\":true,\"product-tag.destroy\":true,\"brands.index\":true,\"brands.create\":true,\"brands.edit\":true,\"brands.destroy\":true,\"product-collections.index\":true,\"product-collections.create\":true,\"product-collections.edit\":true,\"product-collections.destroy\":true,\"product-attribute-sets.index\":true,\"product-attribute-sets.create\":true,\"product-attribute-sets.edit\":true,\"product-attribute-sets.destroy\":true,\"product-attributes.index\":true,\"product-attributes.create\":true,\"product-attributes.edit\":true,\"product-attributes.destroy\":true,\"tax.index\":true,\"tax.create\":true,\"tax.edit\":true,\"tax.destroy\":true,\"reviews.index\":true,\"reviews.create\":true,\"reviews.destroy\":true,\"reviews.publish\":true,\"reviews.reply\":true,\"ecommerce.shipments.index\":true,\"ecommerce.shipments.create\":true,\"ecommerce.shipments.edit\":true,\"ecommerce.shipments.destroy\":true,\"orders.index\":true,\"orders.create\":true,\"orders.edit\":true,\"orders.destroy\":true,\"discounts.index\":true,\"discounts.create\":true,\"discounts.edit\":true,\"discounts.destroy\":true,\"customers.index\":true,\"customers.create\":true,\"customers.edit\":true,\"customers.destroy\":true,\"flash-sale.index\":true,\"flash-sale.create\":true,\"flash-sale.edit\":true,\"flash-sale.destroy\":true,\"product-label.index\":true,\"product-label.create\":true,\"product-label.edit\":true,\"product-label.destroy\":true,\"ecommerce.import.products.index\":true,\"ecommerce.export.products.index\":true,\"order_returns.index\":true,\"order_returns.edit\":true,\"order_returns.destroy\":true,\"global-option.index\":true,\"global-option.create\":true,\"global-option.edit\":true,\"global-option.destroy\":true,\"ecommerce.invoice.index\":true,\"ecommerce.invoice.edit\":true,\"ecommerce.invoice.destroy\":true,\"ecommerce.settings\":true,\"ecommerce.settings.general\":true,\"ecommerce.invoice-template.index\":true,\"ecommerce.settings.currencies\":true,\"ecommerce.settings.products\":true,\"ecommerce.settings.product-search\":true,\"ecommerce.settings.digital-products\":true,\"ecommerce.settings.store-locators\":true,\"ecommerce.settings.invoices\":true,\"ecommerce.settings.product-reviews\":true,\"ecommerce.settings.customers\":true,\"ecommerce.settings.shopping\":true,\"ecommerce.settings.taxes\":true,\"ecommerce.settings.shipping\":true,\"ecommerce.settings.tracking\":true,\"ecommerce.settings.standard-and-format\":true,\"ecommerce.settings.checkout\":true,\"ecommerce.settings.return\":true,\"ecommerce.settings.flash-sale\":true,\"product-categories.export\":true,\"product-categories.import\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"fob-comment.index\":true,\"fob-comment.comments.index\":true,\"fob-comment.comments.edit\":true,\"fob-comment.comments.destroy\":true,\"fob-comment.comments.reply\":true,\"fob-comment.settings\":true,\"galleries.index\":true,\"galleries.create\":true,\"galleries.edit\":true,\"galleries.destroy\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"plugin.location\":true,\"country.index\":true,\"country.create\":true,\"country.edit\":true,\"country.destroy\":true,\"state.index\":true,\"state.create\":true,\"state.edit\":true,\"state.destroy\":true,\"city.index\":true,\"city.create\":true,\"city.edit\":true,\"city.destroy\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"payment.index\":true,\"payments.settings\":true,\"payment.destroy\":true,\"payments.logs\":true,\"payments.logs.show\":true,\"payments.logs.destroy\":true,\"plugins.portfolio\":true,\"portfolio.projects.index\":true,\"portfolio.projects.create\":true,\"portfolio.projects.edit\":true,\"portfolio.projects.destroy\":true,\"portfolio.service-categories.index\":true,\"portfolio.service-categories.create\":true,\"portfolio.service-categories.edit\":true,\"portfolio.service-categories.destroy\":true,\"portfolio.services.index\":true,\"portfolio.services.create\":true,\"portfolio.services.edit\":true,\"portfolio.services.destroy\":true,\"portfolio.packages.index\":true,\"portfolio.packages.create\":true,\"portfolio.packages.edit\":true,\"portfolio.packages.destroy\":true,\"portfolio.quotation-requests.index\":true,\"portfolio.quotation-requests.create\":true,\"portfolio.quotation-requests.edit\":true,\"portfolio.quotation-requests.destroy\":true,\"portfolio.custom-fields.index\":true,\"portfolio.custom-fields.create\":true,\"portfolio.custom-fields.edit\":true,\"portfolio.custom-fields.destroy\":true,\"simple-slider.index\":true,\"simple-slider.create\":true,\"simple-slider.edit\":true,\"simple-slider.destroy\":true,\"simple-slider-item.index\":true,\"simple-slider-item.create\":true,\"simple-slider-item.edit\":true,\"simple-slider-item.destroy\":true,\"simple-slider.settings\":true,\"social-login.settings\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true,\"theme-translations.export\":true,\"other-translations.export\":true,\"theme-translations.import\":true,\"other-translations.import\":true}','Admin users role',1,1,1,'2024-08-09 23:57:09','2024-08-09 23:57:09');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','9ac7233b7043f7577b9d9f4c5d3f640b',NULL,'2024-08-09 23:58:14'),(2,'api_enabled','0',NULL,'2024-08-09 23:58:14'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"analytics\",\"announcement\",\"audit-log\",\"backup\",\"blog\",\"captcha\",\"career\",\"contact\",\"cookie-consent\",\"ecommerce\",\"faq\",\"fob-comment\",\"gallery\",\"location\",\"mollie\",\"newsletter\",\"payment\",\"paypal\",\"paystack\",\"portfolio\",\"razorpay\",\"rss-feed\",\"shippo\",\"simple-slider\",\"social-login\",\"sslcommerz\",\"stripe\",\"team\",\"testimonial\",\"translation\"]',NULL,'2024-08-09 23:58:14'),(4,'payment_cod_status','1',NULL,'2024-08-09 23:58:14'),(5,'payment_bank_transfer_status','1',NULL,'2024-08-09 23:58:14'),(6,'theme','apexa',NULL,'2024-08-09 23:58:14'),(7,'show_admin_bar','1',NULL,'2024-08-09 23:58:14'),(8,'admin_logo','icons/logo-white.png',NULL,'2024-08-09 23:58:14'),(9,'admin_favicon','icons/favicon.png',NULL,'2024-08-09 23:58:14'),(10,'language_hide_default','1',NULL,'2024-08-09 23:58:14'),(11,'language_switcher_display','dropdown',NULL,'2024-08-09 23:58:14'),(12,'language_display','all',NULL,'2024-08-09 23:58:14'),(13,'language_hide_languages','[]',NULL,'2024-08-09 23:58:14'),(14,'theme-apexa-site_title','Apexa - Business Consulting Laravel Script',NULL,'2024-08-09 23:58:14'),(15,'theme-apexa-seo_description','Elevate your business consulting with Apexa - Business Consulting Laravel Script. Streamline operations, enhance client relationships, and boost productivity effortlessly. Get started now!',NULL,'2024-08-09 23:58:14'),(16,'theme-apexa-copyright','©%Y Archi Elite Team. All Rights Reserved.',NULL,'2024-08-09 23:58:14'),(17,'theme-apexa-favicon','icons/favicon.png',NULL,'2024-08-09 23:58:14'),(18,'theme-apexa-logo','icons/logo.png',NULL,'2024-08-09 23:58:14'),(19,'theme-apexa-logo_height','40',NULL,'2024-08-09 23:58:14'),(20,'theme-apexa-primary_font','Inter',NULL,'2024-08-09 23:58:14'),(21,'theme-apexa-secondary_font','Outfit',NULL,'2024-08-09 23:58:14'),(22,'theme-apexa-primary_color','#F7A400',NULL,'2024-08-09 23:58:14'),(23,'theme-apexa-secondary_color','#191D88',NULL,'2024-08-09 23:58:14'),(24,'theme-apexa-heading_color','#14176C',NULL,'2024-08-09 23:58:14'),(25,'theme-apexa-text_color','#3E4073',NULL,'2024-08-09 23:58:14'),(26,'theme-apexa-preloader_enabled','1',NULL,'2024-08-09 23:58:14'),(27,'theme-apexa-preloader_version','v2',NULL,'2024-08-09 23:58:14'),(28,'theme-apexa-lazy_load_images','1',NULL,'2024-08-09 23:58:14'),(29,'theme-apexa-lazy_load_placeholder_image','icons/preloader-image.gif',NULL,'2024-08-09 23:58:14'),(30,'theme-apexa-header_action_label','Let’s Talk',NULL,'2024-08-09 23:58:14'),(31,'theme-apexa-header_action_url','/contact-us',NULL,'2024-08-09 23:58:14'),(32,'theme-apexa-social_links','[[{\"key\":\"name\",\"value\":\"Facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.facebook.com\"}],[{\"key\":\"name\",\"value\":\"X\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"},{\"key\":\"url\",\"value\":\"https:\\/\\/x.com\"}],[{\"key\":\"name\",\"value\":\"Youtube\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-youtube\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.youtube.com\"}],[{\"key\":\"name\",\"value\":\"Instagram\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"},{\"key\":\"url\",\"value\":\"https:\\/\\/www.linkedin.com\"}]]',NULL,'2024-08-09 23:58:14'),(33,'theme-apexa-social_sharing','[[{\"key\":\"social\",\"value\":\"facebook\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-facebook\"}],[{\"key\":\"social\",\"value\":\"x\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-x\"}],[{\"key\":\"social\",\"value\":\"pinterest\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-pinterest\"}],[{\"key\":\"social\",\"value\":\"linkedin\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-linkedin\"}],[{\"key\":\"social\",\"value\":\"whatsapp\"},{\"key\":\"icon\",\"value\":\"ti ti-brand-whatsapp\"}],[{\"key\":\"social\",\"value\":\"email\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}]]',NULL,'2024-08-09 23:58:14'),(34,'theme-apexa-footer_background_color','#FFFFFF',NULL,'2024-08-09 23:58:14'),(35,'theme-apexa-footer_bottom_background_color','#ECF6FA',NULL,'2024-08-09 23:58:14'),(36,'theme-apexa-footer_heading_color','#14176C',NULL,'2024-08-09 23:58:14'),(37,'theme-apexa-footer_text_color','#3E4073',NULL,'2024-08-09 23:58:14'),(38,'theme-apexa-footer_border_color','#CFDDE2',NULL,'2024-08-09 23:58:14'),(39,'theme-apexa-footer_background_image','backgrounds/footer-bg.png',NULL,'2024-08-09 23:58:14'),(40,'theme-apexa-header_style','1',NULL,'2024-08-09 23:58:14'),(41,'theme-apexa-is_header_transparent','1',NULL,'2024-08-09 23:58:14'),(42,'theme-apexa-header_top_text_color','#E6EEFF',NULL,'2024-08-09 23:58:14'),(43,'theme-apexa-header_top_background_color','#0E104B',NULL,'2024-08-09 23:58:14'),(44,'theme-apexa-header_action_buttons','[[{\"key\":\"label\",\"value\":\"Let\\u2019s Talk\"},{\"key\":\"url\",\"value\":\"\\/contact-us\"}]]',NULL,'2024-08-09 23:58:14'),(45,'theme-apexa-homepage_id','1',NULL,'2024-08-09 23:58:14'),(46,'theme-apexa-blog_page_id','3',NULL,'2024-08-09 23:58:14'),(47,'theme-apexa-breadcrumb_background_image','backgrounds/breadcrumb-bg.jpg',NULL,'2024-08-09 23:58:14'),(48,'theme-apexa-quotation_form_title','Get A Quote',NULL,'2024-08-09 23:58:14'),(49,'theme-apexa-quotation_form_button_label','Request A Quote',NULL,'2024-08-09 23:58:14'),(50,'simple_slider_using_assets','0',NULL,'2024-08-09 23:58:14'),(51,'announcement_max_width','1210',NULL,NULL),(52,'announcement_text_color','#FFFFFF',NULL,NULL),(53,'announcement_background_color','#F7A400',NULL,NULL),(54,'announcement_text_alignment','start',NULL,NULL),(55,'announcement_dismissible','1',NULL,NULL),(56,'announcement_font_size','1',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_slider_items`
--

DROP TABLE IF EXISTS `simple_slider_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_slider_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `simple_slider_id` bigint unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `order` int unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_slider_items`
--

LOCK TABLES `simple_slider_items` WRITE;
/*!40000 ALTER TABLE `simple_slider_items` DISABLE KEYS */;
INSERT INTO `simple_slider_items` VALUES (1,1,'Transforming Dreams into Financial Reality','sliders/1.jpg','/','Apexa helps you to convert your data into a strategic asset and get business insights Apexa helps you to convert.',0,'2024-08-09 23:57:23','2024-08-09 23:57:23'),(2,1,'Unlock the Power of Data-Driven Decisions','sliders/2.jpg','/','Gain valuable insights from your data to optimize marketing campaigns, improve customer experiences, and boost your bottom line.',1,'2024-08-09 23:57:23','2024-08-09 23:57:23');
/*!40000 ALTER TABLE `simple_slider_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `simple_sliders`
--

DROP TABLE IF EXISTS `simple_sliders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `simple_sliders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simple_sliders`
--

LOCK TABLES `simple_sliders` WRITE;
/*!40000 ALTER TABLE `simple_sliders` DISABLE KEYS */;
INSERT INTO `simple_sliders` VALUES (1,'Home slider','home-slider','The main slider on homepage','published','2024-08-09 23:57:23','2024-08-09 23:57:23');
/*!40000 ALTER TABLE `simple_sliders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=390 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'homepage',1,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(2,'contact-us',2,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,'blog',3,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,'business-about',4,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(5,'finance-about',5,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(6,'consulting-about',6,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(7,'insurance-about',7,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(8,'digital-agency-about',8,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(9,'services',9,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(10,'finance-service',10,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(11,'consulting-service',11,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(12,'digital-agency-service',12,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(13,'insurance-service',13,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(14,'team-one',14,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(15,'team-two',15,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(16,'team-three',16,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(17,'team-four',17,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(18,'how-its-work',18,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(19,'pricing',19,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(20,'testimonials',20,'Botble\\Page\\Models\\Page','','2024-08-09 23:57:10','2024-08-09 23:57:10'),(21,'perfect',1,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(22,'new-day',2,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(23,'happy-day',3,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(24,'nature',4,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(25,'morning',5,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(26,'sunset',6,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(27,'ocean-views',7,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(28,'adventure-time',8,'Botble\\Gallery\\Models\\Gallery','galleries','2024-08-09 23:57:12','2024-08-09 23:57:12'),(29,'devon-lane',1,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(30,'marvin-mckinney',2,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(31,'ronald-richards',3,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(32,'cameron-williamson',4,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(33,'alicia-sanders',5,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(34,'ethan-wright',6,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(35,'isabella-johnson',7,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(36,'liam-brown',8,'Botble\\Team\\Models\\Team','teams','2024-08-09 23:57:14','2024-08-09 23:57:14'),(37,'entrepreneurship',1,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(38,'startups',2,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(39,'marketing',3,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(40,'sales',4,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(41,'finance',5,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(42,'leadership',6,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(43,'management',7,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(44,'human-resources',8,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(45,'customer-service',9,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(46,'innovation',10,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(47,'business-strategy',11,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(48,'e-commerce',12,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(49,'technology',13,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(50,'networking',14,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(51,'productivity',15,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(52,'operations',16,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(53,'legal',17,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(54,'industry-trends',18,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(55,'small-business',19,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(56,'consulting',20,'Botble\\Blog\\Models\\Category','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(57,'growth',1,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(58,'strategy',2,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(59,'innovation',3,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(60,'leadership',4,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(61,'funding',5,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(62,'marketing',6,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(63,'sales',7,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(64,'seo',8,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(65,'branding',9,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(66,'customer-service',10,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(67,'productivity',11,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(68,'networking',12,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(69,'startups',13,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(70,'e-commerce',14,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(71,'finance',15,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(72,'business-development',16,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(73,'team-building',17,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(74,'operations',18,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(75,'legal-advice',19,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(76,'hr-management',20,'Botble\\Blog\\Models\\Tag','tag','2024-08-09 23:57:19','2024-08-09 23:57:19'),(77,'the-power-of-networking-building-relationships-for-business-growth',1,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(78,'5-productivity-hacks-for-busy-entrepreneurs',2,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(79,'from-brainstorm-to-boardroom-crafting-a-winning-business-plan',3,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(80,'the-art-of-delegation-empowering-your-team-for-success',4,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(81,'customer-centricity-putting-your-customers-at-the-heart-of-your-business',5,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(82,'data-driven-decisions-leveraging-insights-to-fuel-business-growth',6,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(83,'building-a-strong-brand-identity-standing-out-from-the-crowd',7,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(84,'the-importance-of-social-media-marketing-for-businesses',8,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(85,'content-is-king-creating-engaging-content-to-attract-customers',9,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(86,'the-art-of-negotiation-winning-deals-and-building-relationships',10,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(87,'managing-cash-flow-the-lifeblood-of-your-business',11,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(88,'the-power-of-storytelling-connecting-with-your-audience-on-a-deeper-level',12,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(89,'overcoming-challenges-embracing-failure-as-a-learning-opportunity',13,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(90,'building-a-high-performing-team-creating-a-culture-of-collaboration-and-success',14,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(91,'the-importance-of-work-life-balance-for-entrepreneurs',15,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(92,'staying-ahead-of-the-curve-embracing-innovation-in-business',16,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(93,'the-power-of-public-speaking-captivate-your-audience-and-deliver-your-message-with-impact',17,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(94,'building-a-sustainable-business-environmental-and-social-responsibility',18,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(95,'the-future-of-business-trends-and-technologies-shaping-the-landscape',19,'Botble\\Blog\\Models\\Post','','2024-08-09 23:57:19','2024-08-09 23:57:19'),(96,'basic-plan',1,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:57:22','2024-08-09 23:57:22'),(97,'team-plan',2,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:57:22','2024-08-09 23:57:22'),(98,'enterprise-plan',3,'Botble\\Portfolio\\Models\\Package','packages','2024-08-09 23:57:22','2024-08-09 23:57:22'),(99,'innovation-hub-navigating-the-future',1,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(100,'leadership-excellence-initiative',2,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(101,'startup-accelerator-program',3,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(102,'marketing-mastery-series',4,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(103,'illustration-design',5,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(104,'design-development',6,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(105,'marketing-consultancy',7,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(106,'digital-marketing',8,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(107,'strategic-planning',9,'Botble\\Portfolio\\Models\\Project','projects','2024-08-09 23:57:22','2024-08-09 23:57:22'),(108,'financial-analysis',1,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:57:22','2024-08-09 23:57:22'),(109,'tax-strategy',2,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:57:22','2024-08-09 23:57:22'),(110,'market-research',3,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:57:22','2024-08-09 23:57:22'),(111,'business-strategy',4,'Botble\\Portfolio\\Models\\ServiceCategory','service-categories','2024-08-09 23:57:22','2024-08-09 23:57:22'),(112,'data-analyst',1,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(113,'liability-planner',2,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(114,'growth-planner',3,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(115,'risk-manager',4,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(116,'retirement-planner',5,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(117,'risk-analyst',6,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(118,'insurance-expert',7,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(119,'budget-manager',8,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(120,'strategy-adviser',9,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(121,'operations-expert',10,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(122,'profit-strategist',11,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(123,'objective-planner',12,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(124,'goal-specialist',13,'Botble\\Portfolio\\Models\\Service','services','2024-08-09 23:57:22','2024-08-09 23:57:22'),(125,'senior-full-stack-engineer',1,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(126,'lead-backend-developer',2,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(127,'uiux-designer',3,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(128,'product-manager',4,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(129,'data-scientist',5,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(130,'devops-engineer',6,'ArchiElite\\Career\\Models\\Career','careers','2024-08-09 23:57:23','2024-08-09 23:57:23'),(131,'desktop-pc',1,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(132,'headphone',2,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(133,'laptop',3,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(134,'mobile-phone',4,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(135,'printer',5,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(136,'books',6,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(137,'tablet',7,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(138,'usb-flash',8,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(139,'game-mouse',9,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(140,'security',10,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(141,'watch',11,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(142,'scanner',12,'Botble\\Ecommerce\\Models\\ProductCategory','product-categories','2024-08-09 23:57:24','2024-08-09 23:57:24'),(143,'foodpound',1,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:57:24','2024-08-09 23:57:24'),(144,'itea-jsc',2,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:57:24','2024-08-09 23:57:24'),(145,'soda-brand',3,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:57:24','2024-08-09 23:57:24'),(146,'farmart',4,'Botble\\Ecommerce\\Models\\Brand','brands','2024-08-09 23:57:24','2024-08-09 23:57:24'),(147,'dual-camera-20mp-digital',1,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(148,'smart-watches',2,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(149,'beat-headphone',3,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(150,'red-black-headphone',4,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(151,'smart-watch-external-digital',5,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(152,'nikon-hd-camera',6,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(153,'audio-equipment',7,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(154,'smart-televisions',8,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(155,'samsung-smart-phone-digital',9,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(156,'herschel-leather-duffle-bag-in-brown-color',10,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(157,'xbox-one-wireless-controller-black-color',11,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(158,'epsion-plaster-printer',12,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(159,'sound-intone-i65-earphone-white-version-digital',13,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(160,'bo-play-mini-bluetooth-speaker',14,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(161,'apple-macbook-air-retina-133-inch-laptop',15,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(162,'apple-macbook-air-retina-12-inch-laptop',16,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(163,'samsung-gear-vr-virtual-reality-headset-digital',17,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(164,'aveeno-moisturizing-body-shower-450ml',18,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(165,'nyx-beauty-couton-pallete-makeup-12',19,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(166,'nyx-beauty-couton-pallete-makeup-12',20,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(167,'mvmth-classical-leather-watch-in-black-digital',21,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(168,'baxter-care-hair-kit-for-bearded-mens',22,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(169,'ciate-palemore-lipstick-bold-red-color',23,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(170,'vimto-squash-remix-apple-15-litres',24,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(171,'crock-pot-slow-cooker-digital',25,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(172,'taylors-of-harrogate-yorkshire-coffee',26,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(173,'soft-mochi-galeto-ice-cream',27,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(174,'naked-noodle-egg-noodles-singapore',28,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(175,'saute-pan-silver-digital',29,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(176,'bar-s-classic-bun-length-franks',30,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(177,'broccoli-crowns',31,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(178,'slimming-world-vegan-mac-greens',32,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(179,'haagen-dazs-salted-caramel-digital',33,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(180,'iceland-3-solo-exotic-burst',34,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(181,'extreme-budweiser-light-can',35,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(182,'iceland-macaroni-cheese-traybake',36,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(183,'dolmio-bolognese-pasta-sauce-digital',37,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(184,'sitema-bakeit-plastic-box',38,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(185,'wayfair-basics-dinner-plate-storage',39,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(186,'miko-the-panda-water-bottle',40,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(187,'sesame-seed-bread-digital',41,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(188,'morrisons-the-best-beef',42,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(189,'avocado-hass-large',43,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(190,'italia-beef-lasagne',44,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(191,'maxwell-house-classic-roast-mocha-digital',45,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(192,'bottled-pure-water-500ml',46,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(193,'famart-farmhouse-soft-white',47,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(194,'coca-cola-original-taste',48,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(195,'casillero-diablo-cabernet-sauvignon-digital',49,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(196,'arla-organic-free-range-milk',50,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(197,'aptamil-follow-on-baby-milk',51,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(198,'cuisinart-chefs-classic-hard-anodized',52,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(199,'corn-yellow-sweet-digital',53,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(200,'hobnobs-the-nobbly-biscuit',54,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(201,'honest-organic-still-lemonade',55,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(202,'ice-becks-beer-350ml-x-24-pieces',56,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(203,'iceland-6-hot-cross-buns-digital',57,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(204,'iceland-luxury-4-panini-rolls',58,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(205,'iceland-soft-scoop-vanilla',59,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(206,'iceland-spaghetti-bolognese',60,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(207,'kelloggs-coco-pops-cereal-digital',61,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(208,'kit-kat-chunky-milk-chocolate',62,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(209,'large-green-bell-pepper',63,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(210,'pice-94w-beasley-journal',64,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(211,'province-piece-glass-drinking-glass-digital',65,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:09','2024-08-09 23:58:09'),(212,'electronic',1,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(213,'mobile',2,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(214,'iphone',3,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(215,'printer',4,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(216,'office',5,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(217,'it',6,'Botble\\Ecommerce\\Models\\ProductTag','product-tags','2024-08-09 23:58:11','2024-08-09 23:58:11'),(218,'dual-camera-20mp-digital',66,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(219,'dual-camera-20mp-digital',67,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(220,'smart-watches',68,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(221,'beat-headphone',69,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(222,'beat-headphone',70,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(223,'red-black-headphone',71,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(224,'red-black-headphone',72,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(225,'red-black-headphone',73,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(226,'red-black-headphone',74,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(227,'smart-watch-external-digital',75,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(228,'smart-watch-external-digital',76,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(229,'nikon-hd-camera',77,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(230,'nikon-hd-camera',78,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(231,'nikon-hd-camera',79,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(232,'nikon-hd-camera',80,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(233,'audio-equipment',81,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(234,'audio-equipment',82,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(235,'audio-equipment',83,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(236,'audio-equipment',84,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(237,'smart-televisions',85,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(238,'smart-televisions',86,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(239,'samsung-smart-phone-digital',87,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(240,'samsung-smart-phone-digital',88,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(241,'samsung-smart-phone-digital',89,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(242,'herschel-leather-duffle-bag-in-brown-color',90,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(243,'herschel-leather-duffle-bag-in-brown-color',91,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(244,'herschel-leather-duffle-bag-in-brown-color',92,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(245,'xbox-one-wireless-controller-black-color',93,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(246,'xbox-one-wireless-controller-black-color',94,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(247,'xbox-one-wireless-controller-black-color',95,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(248,'epsion-plaster-printer',96,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(249,'epsion-plaster-printer',97,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(250,'epsion-plaster-printer',98,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(251,'epsion-plaster-printer',99,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(252,'epsion-plaster-printer',100,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(253,'sound-intone-i65-earphone-white-version-digital',101,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(254,'sound-intone-i65-earphone-white-version-digital',102,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(255,'sound-intone-i65-earphone-white-version-digital',103,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(256,'bo-play-mini-bluetooth-speaker',104,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(257,'bo-play-mini-bluetooth-speaker',105,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(258,'apple-macbook-air-retina-133-inch-laptop',106,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(259,'apple-macbook-air-retina-133-inch-laptop',107,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(260,'apple-macbook-air-retina-12-inch-laptop',108,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(261,'apple-macbook-air-retina-12-inch-laptop',109,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(262,'apple-macbook-air-retina-12-inch-laptop',110,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(263,'samsung-gear-vr-virtual-reality-headset-digital',111,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(264,'samsung-gear-vr-virtual-reality-headset-digital',112,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(265,'aveeno-moisturizing-body-shower-450ml',113,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(266,'nyx-beauty-couton-pallete-makeup-12',114,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(267,'nyx-beauty-couton-pallete-makeup-12',115,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(268,'nyx-beauty-couton-pallete-makeup-12',116,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(269,'nyx-beauty-couton-pallete-makeup-12',117,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(270,'nyx-beauty-couton-pallete-makeup-12',118,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(271,'nyx-beauty-couton-pallete-makeup-12',119,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(272,'mvmth-classical-leather-watch-in-black-digital',120,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(273,'mvmth-classical-leather-watch-in-black-digital',121,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(274,'mvmth-classical-leather-watch-in-black-digital',122,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(275,'mvmth-classical-leather-watch-in-black-digital',123,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(276,'mvmth-classical-leather-watch-in-black-digital',124,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(277,'baxter-care-hair-kit-for-bearded-mens',125,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(278,'baxter-care-hair-kit-for-bearded-mens',126,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(279,'baxter-care-hair-kit-for-bearded-mens',127,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(280,'ciate-palemore-lipstick-bold-red-color',128,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(281,'ciate-palemore-lipstick-bold-red-color',129,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(282,'ciate-palemore-lipstick-bold-red-color',130,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(283,'ciate-palemore-lipstick-bold-red-color',131,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(284,'vimto-squash-remix-apple-15-litres',132,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(285,'crock-pot-slow-cooker-digital',133,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(286,'crock-pot-slow-cooker-digital',134,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(287,'crock-pot-slow-cooker-digital',135,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(288,'taylors-of-harrogate-yorkshire-coffee',136,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(289,'taylors-of-harrogate-yorkshire-coffee',137,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(290,'taylors-of-harrogate-yorkshire-coffee',138,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(291,'taylors-of-harrogate-yorkshire-coffee',139,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(292,'soft-mochi-galeto-ice-cream',140,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(293,'soft-mochi-galeto-ice-cream',141,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(294,'soft-mochi-galeto-ice-cream',142,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(295,'naked-noodle-egg-noodles-singapore',143,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(296,'naked-noodle-egg-noodles-singapore',144,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(297,'saute-pan-silver-digital',145,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(298,'saute-pan-silver-digital',146,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(299,'saute-pan-silver-digital',147,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(300,'saute-pan-silver-digital',148,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(301,'saute-pan-silver-digital',149,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(302,'bar-s-classic-bun-length-franks',150,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(303,'bar-s-classic-bun-length-franks',151,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(304,'broccoli-crowns',152,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(305,'slimming-world-vegan-mac-greens',153,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(306,'haagen-dazs-salted-caramel-digital',154,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(307,'haagen-dazs-salted-caramel-digital',155,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(308,'haagen-dazs-salted-caramel-digital',156,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(309,'iceland-3-solo-exotic-burst',157,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(310,'iceland-3-solo-exotic-burst',158,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(311,'iceland-3-solo-exotic-burst',159,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(312,'extreme-budweiser-light-can',160,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(313,'extreme-budweiser-light-can',161,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(314,'iceland-macaroni-cheese-traybake',162,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(315,'dolmio-bolognese-pasta-sauce-digital',163,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(316,'dolmio-bolognese-pasta-sauce-digital',164,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(317,'dolmio-bolognese-pasta-sauce-digital',165,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(318,'dolmio-bolognese-pasta-sauce-digital',166,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(319,'sitema-bakeit-plastic-box',167,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(320,'sitema-bakeit-plastic-box',168,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(321,'sitema-bakeit-plastic-box',169,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(322,'sitema-bakeit-plastic-box',170,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(323,'wayfair-basics-dinner-plate-storage',171,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(324,'wayfair-basics-dinner-plate-storage',172,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(325,'wayfair-basics-dinner-plate-storage',173,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(326,'wayfair-basics-dinner-plate-storage',174,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(327,'miko-the-panda-water-bottle',175,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(328,'miko-the-panda-water-bottle',176,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(329,'sesame-seed-bread-digital',177,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(330,'sesame-seed-bread-digital',178,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(331,'sesame-seed-bread-digital',179,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(332,'sesame-seed-bread-digital',180,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(333,'morrisons-the-best-beef',181,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(334,'morrisons-the-best-beef',182,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(335,'avocado-hass-large',183,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(336,'avocado-hass-large',184,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(337,'avocado-hass-large',185,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(338,'avocado-hass-large',186,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(339,'italia-beef-lasagne',187,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(340,'italia-beef-lasagne',188,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(341,'maxwell-house-classic-roast-mocha-digital',189,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(342,'bottled-pure-water-500ml',190,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(343,'famart-farmhouse-soft-white',191,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(344,'coca-cola-original-taste',192,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(345,'coca-cola-original-taste',193,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(346,'casillero-diablo-cabernet-sauvignon-digital',194,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(347,'arla-organic-free-range-milk',195,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(348,'arla-organic-free-range-milk',196,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(349,'arla-organic-free-range-milk',197,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(350,'aptamil-follow-on-baby-milk',198,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(351,'aptamil-follow-on-baby-milk',199,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(352,'aptamil-follow-on-baby-milk',200,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(353,'cuisinart-chefs-classic-hard-anodized',201,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(354,'cuisinart-chefs-classic-hard-anodized',202,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(355,'corn-yellow-sweet-digital',203,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(356,'corn-yellow-sweet-digital',204,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(357,'corn-yellow-sweet-digital',205,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(358,'corn-yellow-sweet-digital',206,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(359,'hobnobs-the-nobbly-biscuit',207,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(360,'honest-organic-still-lemonade',208,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(361,'honest-organic-still-lemonade',209,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(362,'ice-becks-beer-350ml-x-24-pieces',210,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(363,'ice-becks-beer-350ml-x-24-pieces',211,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(364,'iceland-6-hot-cross-buns-digital',212,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(365,'iceland-6-hot-cross-buns-digital',213,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(366,'iceland-6-hot-cross-buns-digital',214,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(367,'iceland-6-hot-cross-buns-digital',215,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(368,'iceland-luxury-4-panini-rolls',216,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(369,'iceland-luxury-4-panini-rolls',217,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(370,'iceland-luxury-4-panini-rolls',218,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(371,'iceland-luxury-4-panini-rolls',219,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(372,'iceland-soft-scoop-vanilla',220,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(373,'iceland-spaghetti-bolognese',221,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(374,'iceland-spaghetti-bolognese',222,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(375,'kelloggs-coco-pops-cereal-digital',223,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(376,'kelloggs-coco-pops-cereal-digital',224,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(377,'kelloggs-coco-pops-cereal-digital',225,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(378,'kit-kat-chunky-milk-chocolate',226,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(379,'kit-kat-chunky-milk-chocolate',227,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(380,'large-green-bell-pepper',228,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(381,'large-green-bell-pepper',229,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(382,'large-green-bell-pepper',230,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(383,'pice-94w-beasley-journal',231,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(384,'pice-94w-beasley-journal',232,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(385,'pice-94w-beasley-journal',233,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(386,'pice-94w-beasley-journal',234,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(387,'province-piece-glass-drinking-glass-digital',235,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(388,'province-piece-glass-drinking-glass-digital',236,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14'),(389,'province-piece-glass-drinking-glass-digital',237,'Botble\\Ecommerce\\Models\\Product','products','2024-08-09 23:58:14','2024-08-09 23:58:14');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `states_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states_translations`
--

DROP TABLE IF EXISTS `states_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `states_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `abbreviation` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`states_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states_translations`
--

LOCK TABLES `states_translations` WRITE;
/*!40000 ALTER TABLE `states_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `states_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Growth',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(2,'Strategy',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(3,'Innovation',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(4,'Leadership',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(5,'Funding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(6,'Marketing',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(7,'Sales',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(8,'SEO',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(9,'Branding',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(10,'Customer Service',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(11,'Productivity',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(12,'Networking',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(13,'Startups',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(14,'E-commerce',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(15,'Finance',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(16,'Business Development',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(17,'Team Building',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(18,'Operations',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(19,'Legal Advice',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19'),(20,'HR Management',NULL,'Botble\\ACL\\Models\\User',NULL,'published','2024-08-09 23:57:19','2024-08-09 23:57:19');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Devon Lane','teams/1.jpg','Sales Agent','India','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','01123259241','devonsoland111@gmail.com','4855, 24, Ansari Road, Darya Ganj',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(2,'Marvin McKinney','teams/2.jpg','Business Manager','Thailand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','6623742088','marvinkensy@gmail.com','849 Sukhapibal 1 Klong Chan Bang Kapi',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(3,'Ronald Richards','teams/3.jpg','Marketing Director','Canada','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','4165550123','ronrichards@marketing.com','123 Maple Street, Toronto, ON',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(4,'Cameron Williamson','teams/4.jpg','Chief Technology Officer','Germany','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','49221567890','cameronwill@tech.com','45 Hauptstraße, 50667 Köln',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(5,'Alicia Sanders','teams/5.jpg','Human Resources Manager','Australia','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0298765432','alicia.hr@company.com','15 George St, Sydney, NSW',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(6,'Ethan Wright','teams/6.jpg','Operations Manager','South Africa','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0217896543','ethanwright@operations.com','789 Beach Road, Cape Town',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(7,'Isabella Johnson','teams/7.jpg','Product Manager','New Zealand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0498761234','isabella.prod@company.com','32 Victoria St, Wellington',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(8,'Liam Brown','teams/8.jpg','Legal Advisor','United Kingdom','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2024-08-09 23:57:14','2024-08-09 23:57:14','<p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','02079461234','liam.legal@company.co.uk','10 Downing Street, London',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally');
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Guy Hawkins','Exceptional service! Gerow’s attention to detail and reliability have been instrumental in our supply chain success.','testimonials/1.png','CEO, JAKS Shans','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(2,'Eleanor Pena','Gerow has consistently met and exceeded our logistics needs. Their dedication to excellence is truly commendable.','testimonials/2.png','SEO, ChenTech Solutions','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(3,'Cody Fisher','Their team is a valuable asset to our business operations. Gerow’s efficient service has saved us time and money.','testimonials/3.png','Developer, Moie Agency','published','2024-08-09 23:57:23','2024-08-09 23:57:23'),(4,'Albert Flores','Gerow’s attention to detail and professionalism have made them our preferred logistics partner. Highly recommended!','testimonials/4.png','CEO, Bank of America','published','2024-08-09 23:57:23','2024-08-09 23:57:23');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'kennedy03@kautzer.com',NULL,'$2y$12$RXd1GYQ0/UZBZCdj19w5Ve3/Kh3RxQovUmL/DNsCDLIZreEaNfQ2u',NULL,'2024-08-09 23:57:09','2024-08-09 23:57:14','Erica','Greenholt','admin',94,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'SiteInformationWidget','menu_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"quantity\":3,\"title_1\":\"Office Address\",\"description_1\":\"123\\/A, Miranda City Likaoli Prikano, Dope\",\"title_2\":\"Phone Number\",\"description_2\":\"+0989 7876 9865 9 <br> +(090) 8765 86543 85\",\"title_3\":\"Email Address\",\"description_3\":\"info@example.com <br> example.mail@hum.com\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(2,'SocialLinksWidget','menu_sidebar','apexa',2,'{\"id\":\"SocialLinksWidget\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(3,'SiteInformationWidget','footer_sidebar','apexa',1,'{\"id\":\"SiteInformationWidget\",\"description\":\"Felis consquat magnis fames sagittis ultrices plasodales porttitor quisque ultrice tempor turpis.\",\"background_color\":\"rgb(20, 23, 108)\",\"display_social_links\":true,\"quantity\":0,\"style\":\"style-2\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(4,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Information\",\"items\":[[{\"key\":\"label\",\"value\":\"+123 888 9999\"},{\"key\":\"url\",\"value\":\"tel:+123 888 9999\"},{\"key\":\"icon\",\"value\":\"ti ti-phone-call\"}],[{\"key\":\"label\",\"value\":\"info@apexa.com\"},{\"key\":\"url\",\"value\":\"mailto:info@apexa.com\"},{\"key\":\"icon\",\"value\":\"ti ti-mail\"}],[{\"key\":\"label\",\"value\":\"Sydney Harbour Bridge Circular City of Sydney, Australia.\"},{\"key\":\"url\",\"value\":\"\\/\"},{\"key\":\"icon\",\"value\":\"ti ti-map-pin\"}]]}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','apexa',3,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Top Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it\\u2019s Work\"},{\"key\":\"url\",\"value\":\"\\/how-its-work\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/team-one\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/testimonials\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/contact-us\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/pricing\"}]]}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(6,'GalleriesWidget','footer_sidebar','apexa',4,'{\"id\":\"GalleriesWidget\",\"title\":\"Instagram Posts\",\"limit\":6}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(7,'NewsletterWidget','top_footer_sidebar','apexa',1,'{\"id\":\"NewsletterWidget\",\"title\":\"Request A Call Back\",\"description\":\"Ever find yourself staring at your computer screen a good consulting slogan to come to mind? Oftentimes.\",\"image\":\"backgrounds\\/newsletter-bg.png\",\"background_color\":\"rgb(20, 23, 108)\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(8,'SiteCopyrightWidget','bottom_footer_sidebar','apexa',1,'[]','2024-08-09 23:57:10','2024-08-09 23:57:10'),(9,'BlogSearchWidget','blog_sidebar','apexa',1,'{\"id\":\"BlogSearchWidget\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(10,'BlogCategoriesWidget','blog_sidebar','apexa',2,'{\"id\":\"BlogCategoriesWidget\",\"title\":\"Categories\",\"category_ids\":[1,2,3,4,5]}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(11,'BlogPostsWidget','blog_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(12,'BlogTagsWidget','blog_sidebar','apexa',4,'{\"id\":\"BlogTagsWidget\",\"title\":\"Tags\",\"limit\":5}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(13,'ContactInformationWidget','header_top_start_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"+123 9898 500\",\"icon_1\":\"ti ti-phone-call\",\"url_1\":\"tel:123 9898 500\",\"title_2\":\"256 Avenue, Mark Street, NewYork City\",\"icon_2\":\"ti ti-map-pin\",\"url_2\":\"https:\\/\\/www.google.com\\/maps\\/place\\/256+St+Marks+Ave,+Freeport,+NY+11520,+USA\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(14,'ContactInformationWidget','header_top_end_sidebar','apexa',1,'{\"id\":\"ContactInformationWidget\",\"quantity\":2,\"title_1\":\"info@apexa.com\",\"icon_1\":\"ti ti-mail\",\"url_1\":\"mailto:info@apexa.com\",\"title_2\":\"Mon-Fri: 10:00am - 09:00pm\",\"icon_2\":\"ti ti-clock-hour-6\",\"url_2\":\"\",\"alignment\":\"end\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(15,'ServicesWidget','service_sidebar','apexa',1,'{\"id\":\"ServicesWidget\",\"service_ids\":[1,2,3,4,5]}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(16,'BrochureDownloadsWidget','service_sidebar','apexa',2,'{\"id\":\"BrochureDownloadsWidget\",\"title\":\"Brochure\",\"description\":\"when an unknown printer took ga lley offer typey anddey.\",\"file_1\":\"downloads\\/document.pdf\",\"file_2\":\"downloads\\/document.pdf\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(17,'BlogPostsWidget','service_sidebar','apexa',3,'{\"id\":\"BlogPostsWidget\",\"title\":\"Latest Posts\",\"category_ids\":[1,2,3,4,5],\"limit\":4}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(18,'ContactBlockWidget','service_sidebar','apexa',4,'{\"id\":\"ContactBlockWidget\",\"title\":\"If You Need Any Help Contact With Us\",\"phone_number\":\"+91 705 2101 786\"}','2024-08-09 23:57:10','2024-08-09 23:57:10'),(19,'ContactFormWidget','service_sidebar','apexa',5,'{\"id\":\"ContactFormWidget\",\"title\":\"Send Us Message\",\"button_label\":\"Send Message\",\"background_color\":\"#ECF6FA\"}','2024-08-09 23:57:10','2024-08-09 23:57:10');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-08-10 13:58:16
